// @bun
// Copyright (C) 2024-2025 Pextra Inc. (v1.29.2+b2fc46e+b2fc46e)
var __create = Object.create;
var __getProtoOf = Object.getPrototypeOf;
var __defProp = Object.defineProperty;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __toESM = (mod, isNodeMode, target) => {
  target = mod != null ? __create(__getProtoOf(mod)) : {};
  const to = isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target;
  for (let key of __getOwnPropNames(mod))
    if (!__hasOwnProp.call(to, key))
      __defProp(to, key, {
        get: () => mod[key],
        enumerable: true
      });
  return to;
};
var __moduleCache = /* @__PURE__ */ new WeakMap;
var __toCommonJS = (from) => {
  var entry = __moduleCache.get(from), desc;
  if (entry)
    return entry;
  entry = __defProp({}, "__esModule", { value: true });
  if (from && typeof from === "object" || typeof from === "function")
    __getOwnPropNames(from).map((key) => !__hasOwnProp.call(entry, key) && __defProp(entry, key, {
      get: () => from[key],
      enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable
    }));
  __moduleCache.set(from, entry);
  return entry;
};
var __commonJS = (cb, mod) => () => (mod || cb((mod = { exports: {} }).exports, mod), mod.exports);
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, {
      get: all[name],
      enumerable: true,
      configurable: true,
      set: (newValue) => all[name] = () => newValue
    });
};
var __esm = (fn, res) => () => (fn && (res = fn(fn = 0)), res);
var __require = import.meta.require;

// src/workers/utils.ts
var CreateStreams = () => {
  const outputStream = new WritableStream({
    write(chunk) {
      self.postMessage({
        type: "output",
        data: {
          type: "output",
          chunk
        }
      });
    }
  });
  const errorStream = new WritableStream({
    write(chunk) {
      self.postMessage({
        type: "output",
        data: {
          type: "error",
          chunk
        }
      });
    }
  });
  return {
    output: outputStream.getWriter(),
    error: errorStream.getWriter(),
    outputStream,
    errorStream,
    closeStreams: () => {
      if (!outputStream.locked) {
        outputStream.close();
        return;
      }
      if (!errorStream.locked) {
        errorStream.close();
        return;
      }
      self.postMessage({
        type: "close"
      });
    }
  };
};
// src/workers/nodes/refresh_updates.ts
var {$ } = globalThis.Bun;
var RunWorker = async (payload) => {
  self.postMessage({ type: "state", data: { state: "running" } });
  const { output, error, closeStreams } = CreateStreams();
  output.write(`Updating package list...
`);
  const result = await $`apt update`.quiet().nothrow();
  if (result.exitCode !== 0) {
    error.write(`Failed to update package list.
`);
    self.postMessage({ type: "state", data: { state: "failed" } });
    closeStreams();
    return;
  }
  output.write(`Package list updated.
`);
  self.postMessage({ type: "state", data: { state: "completed" } });
  closeStreams();
};
self.onmessage = (event) => {
  const message = event.data;
  switch (message.type) {
    case "action":
      RunWorker(message.data.data);
      break;
    default:
      break;
  }
};
