// @bun
// Copyright (C) 2024-2025 Pextra Inc. (v1.29.2+b2fc46e+b2fc46e)
var __create = Object.create;
var __getProtoOf = Object.getPrototypeOf;
var __defProp = Object.defineProperty;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __toESM = (mod, isNodeMode, target) => {
  target = mod != null ? __create(__getProtoOf(mod)) : {};
  const to = isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target;
  for (let key of __getOwnPropNames(mod))
    if (!__hasOwnProp.call(to, key))
      __defProp(to, key, {
        get: () => mod[key],
        enumerable: true
      });
  return to;
};
var __moduleCache = /* @__PURE__ */ new WeakMap;
var __toCommonJS = (from) => {
  var entry = __moduleCache.get(from), desc;
  if (entry)
    return entry;
  entry = __defProp({}, "__esModule", { value: true });
  if (from && typeof from === "object" || typeof from === "function")
    __getOwnPropNames(from).map((key) => !__hasOwnProp.call(entry, key) && __defProp(entry, key, {
      get: () => from[key],
      enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable
    }));
  __moduleCache.set(from, entry);
  return entry;
};
var __commonJS = (cb, mod) => () => (mod || cb((mod = { exports: {} }).exports, mod), mod.exports);
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, {
      get: all[name],
      enumerable: true,
      configurable: true,
      set: (newValue) => all[name] = () => newValue
    });
};
var __esm = (fn, res) => () => (fn && (res = fn(fn = 0)), res);
var __require = import.meta.require;

// ../common/storage.ts
var StoragePoolType, StorageVolumeStatusEnum, commonPrefixes, getNextDiskPaths = (paths, n) => {
  if (n <= 0) {
    return [];
  }
  const cleanedPaths = paths.map((p) => p.replace(/\/dev\//, "")).filter((p) => /^[a-z]+$/.test(p) && commonPrefixes.some((prefix2) => p.startsWith(prefix2)));
  if (cleanedPaths.length === 0) {
    cleanedPaths.push("sda");
  }
  cleanedPaths.sort();
  const lastPath = cleanedPaths[cleanedPaths.length - 1];
  const prefix = commonPrefixes.find((p) => lastPath.startsWith(p)) ?? "";
  let letters = lastPath.substring(prefix.length);
  const nextPaths = [];
  for (let i = 0;i < n; i++) {
    let carry = 1;
    let nextLetters = "";
    for (let j = letters.length - 1;j >= 0; j--) {
      if (carry === 0) {
        nextLetters = letters.substring(0, j + 1) + nextLetters;
        break;
      }
      const charCode = letters.charCodeAt(j);
      if (charCode === 122) {
        nextLetters = "a" + nextLetters;
        carry = 1;
      } else {
        nextLetters = String.fromCharCode(charCode + 1) + nextLetters;
        carry = 0;
      }
    }
    if (carry === 1) {
      nextLetters = "a" + nextLetters;
    }
    letters = nextLetters;
    nextPaths.push(`${prefix}${letters}`);
  }
  return nextPaths.map((path) => `/dev/${path}`);
};
var init_storage = __esm(() => {
  ((StoragePoolType2) => {
    StoragePoolType2[StoragePoolType2["DIRECTORY"] = 1] = "DIRECTORY";
    StoragePoolType2[StoragePoolType2["ISCSI"] = 3] = "ISCSI";
    StoragePoolType2[StoragePoolType2["LVM"] = 4] = "LVM";
    StoragePoolType2[StoragePoolType2["NETFS"] = 5] = "NETFS";
    StoragePoolType2[StoragePoolType2["RBD"] = 6] = "RBD";
    StoragePoolType2[StoragePoolType2["ZFS"] = 7] = "ZFS";
  })(StoragePoolType ||= {});
  ((StorageVolumeStatusEnum2) => {
    StorageVolumeStatusEnum2[StorageVolumeStatusEnum2["CREATING"] = 1] = "CREATING";
    StorageVolumeStatusEnum2[StorageVolumeStatusEnum2["AVAILABLE"] = 2] = "AVAILABLE";
    StorageVolumeStatusEnum2[StorageVolumeStatusEnum2["ATTACHING"] = 3] = "ATTACHING";
    StorageVolumeStatusEnum2[StorageVolumeStatusEnum2["DETACHING"] = 4] = "DETACHING";
    StorageVolumeStatusEnum2[StorageVolumeStatusEnum2["DESTROYING"] = 5] = "DESTROYING";
    StorageVolumeStatusEnum2[StorageVolumeStatusEnum2["RESIZING"] = 6] = "RESIZING";
    StorageVolumeStatusEnum2[StorageVolumeStatusEnum2["ERROR"] = 7] = "ERROR";
  })(StorageVolumeStatusEnum ||= {});
  commonPrefixes = ["sd", "vd", "hd", "xvd"];
});

// ../../node_modules/logform/format.js
var require_format = __commonJS((exports, module) => {
  class InvalidFormatError extends Error {
    constructor(formatFn) {
      super(`Format functions must be synchronous taking a two arguments: (info, opts)
Found: ${formatFn.toString().split(`
`)[0]}
`);
      Error.captureStackTrace(this, InvalidFormatError);
    }
  }
  module.exports = (formatFn) => {
    if (formatFn.length > 2) {
      throw new InvalidFormatError(formatFn);
    }
    function Format(options = {}) {
      this.options = options;
    }
    Format.prototype.transform = formatFn;
    function createFormatWrap(opts) {
      return new Format(opts);
    }
    createFormatWrap.Format = Format;
    return createFormatWrap;
  };
});

// ../../node_modules/@colors/colors/lib/styles.js
var require_styles = __commonJS((exports, module) => {
  var styles = {};
  module["exports"] = styles;
  var codes = {
    reset: [0, 0],
    bold: [1, 22],
    dim: [2, 22],
    italic: [3, 23],
    underline: [4, 24],
    inverse: [7, 27],
    hidden: [8, 28],
    strikethrough: [9, 29],
    black: [30, 39],
    red: [31, 39],
    green: [32, 39],
    yellow: [33, 39],
    blue: [34, 39],
    magenta: [35, 39],
    cyan: [36, 39],
    white: [37, 39],
    gray: [90, 39],
    grey: [90, 39],
    brightRed: [91, 39],
    brightGreen: [92, 39],
    brightYellow: [93, 39],
    brightBlue: [94, 39],
    brightMagenta: [95, 39],
    brightCyan: [96, 39],
    brightWhite: [97, 39],
    bgBlack: [40, 49],
    bgRed: [41, 49],
    bgGreen: [42, 49],
    bgYellow: [43, 49],
    bgBlue: [44, 49],
    bgMagenta: [45, 49],
    bgCyan: [46, 49],
    bgWhite: [47, 49],
    bgGray: [100, 49],
    bgGrey: [100, 49],
    bgBrightRed: [101, 49],
    bgBrightGreen: [102, 49],
    bgBrightYellow: [103, 49],
    bgBrightBlue: [104, 49],
    bgBrightMagenta: [105, 49],
    bgBrightCyan: [106, 49],
    bgBrightWhite: [107, 49],
    blackBG: [40, 49],
    redBG: [41, 49],
    greenBG: [42, 49],
    yellowBG: [43, 49],
    blueBG: [44, 49],
    magentaBG: [45, 49],
    cyanBG: [46, 49],
    whiteBG: [47, 49]
  };
  Object.keys(codes).forEach(function(key) {
    var val = codes[key];
    var style = styles[key] = [];
    style.open = "\x1B[" + val[0] + "m";
    style.close = "\x1B[" + val[1] + "m";
  });
});

// ../../node_modules/@colors/colors/lib/system/has-flag.js
var require_has_flag = __commonJS((exports, module) => {
  module.exports = function(flag, argv) {
    argv = argv || process.argv || [];
    var terminatorPos = argv.indexOf("--");
    var prefix = /^-{1,2}/.test(flag) ? "" : "--";
    var pos = argv.indexOf(prefix + flag);
    return pos !== -1 && (terminatorPos === -1 ? true : pos < terminatorPos);
  };
});

// ../../node_modules/@colors/colors/lib/system/supports-colors.js
var require_supports_colors = __commonJS((exports, module) => {
  var os = __require("os");
  var hasFlag = require_has_flag();
  var env = process.env;
  var forceColor = undefined;
  if (hasFlag("no-color") || hasFlag("no-colors") || hasFlag("color=false")) {
    forceColor = false;
  } else if (hasFlag("color") || hasFlag("colors") || hasFlag("color=true") || hasFlag("color=always")) {
    forceColor = true;
  }
  if ("FORCE_COLOR" in env) {
    forceColor = env.FORCE_COLOR.length === 0 || parseInt(env.FORCE_COLOR, 10) !== 0;
  }
  function translateLevel(level) {
    if (level === 0) {
      return false;
    }
    return {
      level,
      hasBasic: true,
      has256: level >= 2,
      has16m: level >= 3
    };
  }
  function supportsColor(stream) {
    if (forceColor === false) {
      return 0;
    }
    if (hasFlag("color=16m") || hasFlag("color=full") || hasFlag("color=truecolor")) {
      return 3;
    }
    if (hasFlag("color=256")) {
      return 2;
    }
    if (stream && !stream.isTTY && forceColor !== true) {
      return 0;
    }
    var min = forceColor ? 1 : 0;
    if (process.platform === "win32") {
      var osRelease = os.release().split(".");
      if (Number(process.versions.node.split(".")[0]) >= 8 && Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
        return Number(osRelease[2]) >= 14931 ? 3 : 2;
      }
      return 1;
    }
    if ("CI" in env) {
      if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI"].some(function(sign) {
        return sign in env;
      }) || env.CI_NAME === "codeship") {
        return 1;
      }
      return min;
    }
    if ("TEAMCITY_VERSION" in env) {
      return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
    }
    if ("TERM_PROGRAM" in env) {
      var version = parseInt((env.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
      switch (env.TERM_PROGRAM) {
        case "iTerm.app":
          return version >= 3 ? 3 : 2;
        case "Hyper":
          return 3;
        case "Apple_Terminal":
          return 2;
      }
    }
    if (/-256(color)?$/i.test(env.TERM)) {
      return 2;
    }
    if (/^screen|^xterm|^vt100|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
      return 1;
    }
    if ("COLORTERM" in env) {
      return 1;
    }
    if (env.TERM === "dumb") {
      return min;
    }
    return min;
  }
  function getSupportLevel(stream) {
    var level = supportsColor(stream);
    return translateLevel(level);
  }
  module.exports = {
    supportsColor: getSupportLevel,
    stdout: getSupportLevel(process.stdout),
    stderr: getSupportLevel(process.stderr)
  };
});

// ../../node_modules/@colors/colors/lib/custom/trap.js
var require_trap = __commonJS((exports, module) => {
  module["exports"] = function runTheTrap(text, options) {
    var result = "";
    text = text || "Run the trap, drop the bass";
    text = text.split("");
    var trap = {
      a: ["@", "\u0104", "\u023A", "\u0245", "\u0394", "\u039B", "\u0414"],
      b: ["\xDF", "\u0181", "\u0243", "\u026E", "\u03B2", "\u0E3F"],
      c: ["\xA9", "\u023B", "\u03FE"],
      d: ["\xD0", "\u018A", "\u0500", "\u0501", "\u0502", "\u0503"],
      e: [
        "\xCB",
        "\u0115",
        "\u018E",
        "\u0258",
        "\u03A3",
        "\u03BE",
        "\u04BC",
        "\u0A6C"
      ],
      f: ["\u04FA"],
      g: ["\u0262"],
      h: ["\u0126", "\u0195", "\u04A2", "\u04BA", "\u04C7", "\u050A"],
      i: ["\u0F0F"],
      j: ["\u0134"],
      k: ["\u0138", "\u04A0", "\u04C3", "\u051E"],
      l: ["\u0139"],
      m: ["\u028D", "\u04CD", "\u04CE", "\u0520", "\u0521", "\u0D69"],
      n: ["\xD1", "\u014B", "\u019D", "\u0376", "\u03A0", "\u048A"],
      o: [
        "\xD8",
        "\xF5",
        "\xF8",
        "\u01FE",
        "\u0298",
        "\u047A",
        "\u05DD",
        "\u06DD",
        "\u0E4F"
      ],
      p: ["\u01F7", "\u048E"],
      q: ["\u09CD"],
      r: ["\xAE", "\u01A6", "\u0210", "\u024C", "\u0280", "\u042F"],
      s: ["\xA7", "\u03DE", "\u03DF", "\u03E8"],
      t: ["\u0141", "\u0166", "\u0373"],
      u: ["\u01B1", "\u054D"],
      v: ["\u05D8"],
      w: ["\u0428", "\u0460", "\u047C", "\u0D70"],
      x: ["\u04B2", "\u04FE", "\u04FC", "\u04FD"],
      y: ["\xA5", "\u04B0", "\u04CB"],
      z: ["\u01B5", "\u0240"]
    };
    text.forEach(function(c) {
      c = c.toLowerCase();
      var chars = trap[c] || [" "];
      var rand = Math.floor(Math.random() * chars.length);
      if (typeof trap[c] !== "undefined") {
        result += trap[c][rand];
      } else {
        result += c;
      }
    });
    return result;
  };
});

// ../../node_modules/@colors/colors/lib/custom/zalgo.js
var require_zalgo = __commonJS((exports, module) => {
  module["exports"] = function zalgo(text, options) {
    text = text || "   he is here   ";
    var soul = {
      up: [
        "\u030D",
        "\u030E",
        "\u0304",
        "\u0305",
        "\u033F",
        "\u0311",
        "\u0306",
        "\u0310",
        "\u0352",
        "\u0357",
        "\u0351",
        "\u0307",
        "\u0308",
        "\u030A",
        "\u0342",
        "\u0313",
        "\u0308",
        "\u034A",
        "\u034B",
        "\u034C",
        "\u0303",
        "\u0302",
        "\u030C",
        "\u0350",
        "\u0300",
        "\u0301",
        "\u030B",
        "\u030F",
        "\u0312",
        "\u0313",
        "\u0314",
        "\u033D",
        "\u0309",
        "\u0363",
        "\u0364",
        "\u0365",
        "\u0366",
        "\u0367",
        "\u0368",
        "\u0369",
        "\u036A",
        "\u036B",
        "\u036C",
        "\u036D",
        "\u036E",
        "\u036F",
        "\u033E",
        "\u035B",
        "\u0346",
        "\u031A"
      ],
      down: [
        "\u0316",
        "\u0317",
        "\u0318",
        "\u0319",
        "\u031C",
        "\u031D",
        "\u031E",
        "\u031F",
        "\u0320",
        "\u0324",
        "\u0325",
        "\u0326",
        "\u0329",
        "\u032A",
        "\u032B",
        "\u032C",
        "\u032D",
        "\u032E",
        "\u032F",
        "\u0330",
        "\u0331",
        "\u0332",
        "\u0333",
        "\u0339",
        "\u033A",
        "\u033B",
        "\u033C",
        "\u0345",
        "\u0347",
        "\u0348",
        "\u0349",
        "\u034D",
        "\u034E",
        "\u0353",
        "\u0354",
        "\u0355",
        "\u0356",
        "\u0359",
        "\u035A",
        "\u0323"
      ],
      mid: [
        "\u0315",
        "\u031B",
        "\u0300",
        "\u0301",
        "\u0358",
        "\u0321",
        "\u0322",
        "\u0327",
        "\u0328",
        "\u0334",
        "\u0335",
        "\u0336",
        "\u035C",
        "\u035D",
        "\u035E",
        "\u035F",
        "\u0360",
        "\u0362",
        "\u0338",
        "\u0337",
        "\u0361",
        " \u0489"
      ]
    };
    var all = [].concat(soul.up, soul.down, soul.mid);
    function randomNumber(range) {
      var r = Math.floor(Math.random() * range);
      return r;
    }
    function isChar(character) {
      var bool = false;
      all.filter(function(i) {
        bool = i === character;
      });
      return bool;
    }
    function heComes(text2, options2) {
      var result = "";
      var counts;
      var l;
      options2 = options2 || {};
      options2["up"] = typeof options2["up"] !== "undefined" ? options2["up"] : true;
      options2["mid"] = typeof options2["mid"] !== "undefined" ? options2["mid"] : true;
      options2["down"] = typeof options2["down"] !== "undefined" ? options2["down"] : true;
      options2["size"] = typeof options2["size"] !== "undefined" ? options2["size"] : "maxi";
      text2 = text2.split("");
      for (l in text2) {
        if (isChar(l)) {
          continue;
        }
        result = result + text2[l];
        counts = { up: 0, down: 0, mid: 0 };
        switch (options2.size) {
          case "mini":
            counts.up = randomNumber(8);
            counts.mid = randomNumber(2);
            counts.down = randomNumber(8);
            break;
          case "maxi":
            counts.up = randomNumber(16) + 3;
            counts.mid = randomNumber(4) + 1;
            counts.down = randomNumber(64) + 3;
            break;
          default:
            counts.up = randomNumber(8) + 1;
            counts.mid = randomNumber(6) / 2;
            counts.down = randomNumber(8) + 1;
            break;
        }
        var arr = ["up", "mid", "down"];
        for (var d in arr) {
          var index = arr[d];
          for (var i = 0;i <= counts[index]; i++) {
            if (options2[index]) {
              result = result + soul[index][randomNumber(soul[index].length)];
            }
          }
        }
      }
      return result;
    }
    return heComes(text, options);
  };
});

// ../../node_modules/@colors/colors/lib/maps/america.js
var require_america = __commonJS((exports, module) => {
  module["exports"] = function(colors) {
    return function(letter, i, exploded) {
      if (letter === " ")
        return letter;
      switch (i % 3) {
        case 0:
          return colors.red(letter);
        case 1:
          return colors.white(letter);
        case 2:
          return colors.blue(letter);
      }
    };
  };
});

// ../../node_modules/@colors/colors/lib/maps/zebra.js
var require_zebra = __commonJS((exports, module) => {
  module["exports"] = function(colors) {
    return function(letter, i, exploded) {
      return i % 2 === 0 ? letter : colors.inverse(letter);
    };
  };
});

// ../../node_modules/@colors/colors/lib/maps/rainbow.js
var require_rainbow = __commonJS((exports, module) => {
  module["exports"] = function(colors) {
    var rainbowColors = ["red", "yellow", "green", "blue", "magenta"];
    return function(letter, i, exploded) {
      if (letter === " ") {
        return letter;
      } else {
        return colors[rainbowColors[i++ % rainbowColors.length]](letter);
      }
    };
  };
});

// ../../node_modules/@colors/colors/lib/maps/random.js
var require_random = __commonJS((exports, module) => {
  module["exports"] = function(colors) {
    var available = [
      "underline",
      "inverse",
      "grey",
      "yellow",
      "red",
      "green",
      "blue",
      "white",
      "cyan",
      "magenta",
      "brightYellow",
      "brightRed",
      "brightGreen",
      "brightBlue",
      "brightWhite",
      "brightCyan",
      "brightMagenta"
    ];
    return function(letter, i, exploded) {
      return letter === " " ? letter : colors[available[Math.round(Math.random() * (available.length - 2))]](letter);
    };
  };
});

// ../../node_modules/@colors/colors/lib/colors.js
var require_colors = __commonJS((exports, module) => {
  var colors = {};
  module["exports"] = colors;
  colors.themes = {};
  var util = __require("util");
  var ansiStyles = colors.styles = require_styles();
  var defineProps = Object.defineProperties;
  var newLineRegex = new RegExp(/[\r\n]+/g);
  colors.supportsColor = require_supports_colors().supportsColor;
  if (typeof colors.enabled === "undefined") {
    colors.enabled = colors.supportsColor() !== false;
  }
  colors.enable = function() {
    colors.enabled = true;
  };
  colors.disable = function() {
    colors.enabled = false;
  };
  colors.stripColors = colors.strip = function(str) {
    return ("" + str).replace(/\x1B\[\d+m/g, "");
  };
  var stylize = colors.stylize = function stylize(str, style) {
    if (!colors.enabled) {
      return str + "";
    }
    var styleMap = ansiStyles[style];
    if (!styleMap && style in colors) {
      return colors[style](str);
    }
    return styleMap.open + str + styleMap.close;
  };
  var matchOperatorsRe = /[|\\{}()[\]^$+*?.]/g;
  var escapeStringRegexp = function(str) {
    if (typeof str !== "string") {
      throw new TypeError("Expected a string");
    }
    return str.replace(matchOperatorsRe, "\\$&");
  };
  function build(_styles) {
    var builder = function builder() {
      return applyStyle.apply(builder, arguments);
    };
    builder._styles = _styles;
    builder.__proto__ = proto;
    return builder;
  }
  var styles = function() {
    var ret = {};
    ansiStyles.grey = ansiStyles.gray;
    Object.keys(ansiStyles).forEach(function(key) {
      ansiStyles[key].closeRe = new RegExp(escapeStringRegexp(ansiStyles[key].close), "g");
      ret[key] = {
        get: function() {
          return build(this._styles.concat(key));
        }
      };
    });
    return ret;
  }();
  var proto = defineProps(function colors() {
  }, styles);
  function applyStyle() {
    var args = Array.prototype.slice.call(arguments);
    var str = args.map(function(arg) {
      if (arg != null && arg.constructor === String) {
        return arg;
      } else {
        return util.inspect(arg);
      }
    }).join(" ");
    if (!colors.enabled || !str) {
      return str;
    }
    var newLinesPresent = str.indexOf(`
`) != -1;
    var nestedStyles = this._styles;
    var i = nestedStyles.length;
    while (i--) {
      var code = ansiStyles[nestedStyles[i]];
      str = code.open + str.replace(code.closeRe, code.open) + code.close;
      if (newLinesPresent) {
        str = str.replace(newLineRegex, function(match) {
          return code.close + match + code.open;
        });
      }
    }
    return str;
  }
  colors.setTheme = function(theme) {
    if (typeof theme === "string") {
      console.log("colors.setTheme now only accepts an object, not a string.  " + "If you are trying to set a theme from a file, it is now your (the " + "caller's) responsibility to require the file.  The old syntax " + "looked like colors.setTheme(__dirname + " + "'/../themes/generic-logging.js'); The new syntax looks like " + "colors.setTheme(require(__dirname + " + "'/../themes/generic-logging.js'));");
      return;
    }
    for (var style in theme) {
      (function(style2) {
        colors[style2] = function(str) {
          if (typeof theme[style2] === "object") {
            var out = str;
            for (var i in theme[style2]) {
              out = colors[theme[style2][i]](out);
            }
            return out;
          }
          return colors[theme[style2]](str);
        };
      })(style);
    }
  };
  function init() {
    var ret = {};
    Object.keys(styles).forEach(function(name) {
      ret[name] = {
        get: function() {
          return build([name]);
        }
      };
    });
    return ret;
  }
  var sequencer = function sequencer(map2, str) {
    var exploded = str.split("");
    exploded = exploded.map(map2);
    return exploded.join("");
  };
  colors.trap = require_trap();
  colors.zalgo = require_zalgo();
  colors.maps = {};
  colors.maps.america = require_america()(colors);
  colors.maps.zebra = require_zebra()(colors);
  colors.maps.rainbow = require_rainbow()(colors);
  colors.maps.random = require_random()(colors);
  for (map in colors.maps) {
    (function(map2) {
      colors[map2] = function(str) {
        return sequencer(colors.maps[map2], str);
      };
    })(map);
  }
  var map;
  defineProps(colors, init());
});

// ../../node_modules/@colors/colors/safe.js
var require_safe = __commonJS((exports, module) => {
  var colors = require_colors();
  module["exports"] = colors;
});

// ../../node_modules/triple-beam/config/cli.js
var require_cli = __commonJS((exports) => {
  exports.levels = {
    error: 0,
    warn: 1,
    help: 2,
    data: 3,
    info: 4,
    debug: 5,
    prompt: 6,
    verbose: 7,
    input: 8,
    silly: 9
  };
  exports.colors = {
    error: "red",
    warn: "yellow",
    help: "cyan",
    data: "grey",
    info: "green",
    debug: "blue",
    prompt: "grey",
    verbose: "cyan",
    input: "grey",
    silly: "magenta"
  };
});

// ../../node_modules/triple-beam/config/npm.js
var require_npm = __commonJS((exports) => {
  exports.levels = {
    error: 0,
    warn: 1,
    info: 2,
    http: 3,
    verbose: 4,
    debug: 5,
    silly: 6
  };
  exports.colors = {
    error: "red",
    warn: "yellow",
    info: "green",
    http: "green",
    verbose: "cyan",
    debug: "blue",
    silly: "magenta"
  };
});

// ../../node_modules/triple-beam/config/syslog.js
var require_syslog = __commonJS((exports) => {
  exports.levels = {
    emerg: 0,
    alert: 1,
    crit: 2,
    error: 3,
    warning: 4,
    notice: 5,
    info: 6,
    debug: 7
  };
  exports.colors = {
    emerg: "red",
    alert: "yellow",
    crit: "red",
    error: "red",
    warning: "red",
    notice: "yellow",
    info: "green",
    debug: "blue"
  };
});

// ../../node_modules/triple-beam/config/index.js
var require_config = __commonJS((exports) => {
  Object.defineProperty(exports, "cli", {
    value: require_cli()
  });
  Object.defineProperty(exports, "npm", {
    value: require_npm()
  });
  Object.defineProperty(exports, "syslog", {
    value: require_syslog()
  });
});

// ../../node_modules/triple-beam/index.js
var require_triple_beam = __commonJS((exports) => {
  Object.defineProperty(exports, "LEVEL", {
    value: Symbol.for("level")
  });
  Object.defineProperty(exports, "MESSAGE", {
    value: Symbol.for("message")
  });
  Object.defineProperty(exports, "SPLAT", {
    value: Symbol.for("splat")
  });
  Object.defineProperty(exports, "configs", {
    value: require_config()
  });
});

// ../../node_modules/logform/colorize.js
var require_colorize = __commonJS((exports, module) => {
  var colors = require_safe();
  var { LEVEL, MESSAGE } = require_triple_beam();
  colors.enabled = true;
  var hasSpace = /\s+/;

  class Colorizer {
    constructor(opts = {}) {
      if (opts.colors) {
        this.addColors(opts.colors);
      }
      this.options = opts;
    }
    static addColors(clrs) {
      const nextColors = Object.keys(clrs).reduce((acc, level) => {
        acc[level] = hasSpace.test(clrs[level]) ? clrs[level].split(hasSpace) : clrs[level];
        return acc;
      }, {});
      Colorizer.allColors = Object.assign({}, Colorizer.allColors || {}, nextColors);
      return Colorizer.allColors;
    }
    addColors(clrs) {
      return Colorizer.addColors(clrs);
    }
    colorize(lookup, level, message) {
      if (typeof message === "undefined") {
        message = level;
      }
      if (!Array.isArray(Colorizer.allColors[lookup])) {
        return colors[Colorizer.allColors[lookup]](message);
      }
      for (let i = 0, len = Colorizer.allColors[lookup].length;i < len; i++) {
        message = colors[Colorizer.allColors[lookup][i]](message);
      }
      return message;
    }
    transform(info, opts) {
      if (opts.all && typeof info[MESSAGE] === "string") {
        info[MESSAGE] = this.colorize(info[LEVEL], info.level, info[MESSAGE]);
      }
      if (opts.level || opts.all || !opts.message) {
        info.level = this.colorize(info[LEVEL], info.level);
      }
      if (opts.all || opts.message) {
        info.message = this.colorize(info[LEVEL], info.level, info.message);
      }
      return info;
    }
  }
  module.exports = (opts) => new Colorizer(opts);
  module.exports.Colorizer = module.exports.Format = Colorizer;
});

// ../../node_modules/logform/levels.js
var require_levels = __commonJS((exports, module) => {
  var { Colorizer } = require_colorize();
  module.exports = (config) => {
    Colorizer.addColors(config.colors || config);
    return config;
  };
});

// ../../node_modules/logform/align.js
var require_align = __commonJS((exports, module) => {
  var format = require_format();
  module.exports = format((info) => {
    info.message = `\t${info.message}`;
    return info;
  });
});

// ../../node_modules/logform/errors.js
var require_errors = __commonJS((exports, module) => {
  var format = require_format();
  var { LEVEL, MESSAGE } = require_triple_beam();
  module.exports = format((einfo, { stack, cause }) => {
    if (einfo instanceof Error) {
      const info = Object.assign({}, einfo, {
        level: einfo.level,
        [LEVEL]: einfo[LEVEL] || einfo.level,
        message: einfo.message,
        [MESSAGE]: einfo[MESSAGE] || einfo.message
      });
      if (stack)
        info.stack = einfo.stack;
      if (cause)
        info.cause = einfo.cause;
      return info;
    }
    if (!(einfo.message instanceof Error))
      return einfo;
    const err = einfo.message;
    Object.assign(einfo, err);
    einfo.message = err.message;
    einfo[MESSAGE] = err.message;
    if (stack)
      einfo.stack = err.stack;
    if (cause)
      einfo.cause = err.cause;
    return einfo;
  });
});

// ../../node_modules/logform/pad-levels.js
var require_pad_levels = __commonJS((exports, module) => {
  var { configs, LEVEL, MESSAGE } = require_triple_beam();

  class Padder {
    constructor(opts = { levels: configs.npm.levels }) {
      this.paddings = Padder.paddingForLevels(opts.levels, opts.filler);
      this.options = opts;
    }
    static getLongestLevel(levels) {
      const lvls = Object.keys(levels).map((level) => level.length);
      return Math.max(...lvls);
    }
    static paddingForLevel(level, filler, maxLength) {
      const targetLen = maxLength + 1 - level.length;
      const rep = Math.floor(targetLen / filler.length);
      const padding = `${filler}${filler.repeat(rep)}`;
      return padding.slice(0, targetLen);
    }
    static paddingForLevels(levels, filler = " ") {
      const maxLength = Padder.getLongestLevel(levels);
      return Object.keys(levels).reduce((acc, level) => {
        acc[level] = Padder.paddingForLevel(level, filler, maxLength);
        return acc;
      }, {});
    }
    transform(info, opts) {
      info.message = `${this.paddings[info[LEVEL]]}${info.message}`;
      if (info[MESSAGE]) {
        info[MESSAGE] = `${this.paddings[info[LEVEL]]}${info[MESSAGE]}`;
      }
      return info;
    }
  }
  module.exports = (opts) => new Padder(opts);
  module.exports.Padder = module.exports.Format = Padder;
});

// ../../node_modules/logform/cli.js
var require_cli2 = __commonJS((exports, module) => {
  var { Colorizer } = require_colorize();
  var { Padder } = require_pad_levels();
  var { configs, MESSAGE } = require_triple_beam();

  class CliFormat {
    constructor(opts = {}) {
      if (!opts.levels) {
        opts.levels = configs.cli.levels;
      }
      this.colorizer = new Colorizer(opts);
      this.padder = new Padder(opts);
      this.options = opts;
    }
    transform(info, opts) {
      this.colorizer.transform(this.padder.transform(info, opts), opts);
      info[MESSAGE] = `${info.level}:${info.message}`;
      return info;
    }
  }
  module.exports = (opts) => new CliFormat(opts);
  module.exports.Format = CliFormat;
});

// ../../node_modules/logform/combine.js
var require_combine = __commonJS((exports, module) => {
  var format = require_format();
  function cascade(formats) {
    if (!formats.every(isValidFormat)) {
      return;
    }
    return (info) => {
      let obj = info;
      for (let i = 0;i < formats.length; i++) {
        obj = formats[i].transform(obj, formats[i].options);
        if (!obj) {
          return false;
        }
      }
      return obj;
    };
  }
  function isValidFormat(fmt) {
    if (typeof fmt.transform !== "function") {
      throw new Error([
        "No transform function found on format. Did you create a format instance?",
        "const myFormat = format(formatFn);",
        "const instance = myFormat();"
      ].join(`
`));
    }
    return true;
  }
  module.exports = (...formats) => {
    const combinedFormat = format(cascade(formats));
    const instance = combinedFormat();
    instance.Format = combinedFormat.Format;
    return instance;
  };
  module.exports.cascade = cascade;
});

// ../../node_modules/safe-stable-stringify/index.js
var require_safe_stable_stringify = __commonJS((exports, module) => {
  var { hasOwnProperty } = Object.prototype;
  var stringify = configure();
  stringify.configure = configure;
  stringify.stringify = stringify;
  stringify.default = stringify;
  exports.stringify = stringify;
  exports.configure = configure;
  module.exports = stringify;
  var strEscapeSequencesRegExp = /[\u0000-\u001f\u0022\u005c\ud800-\udfff]|[\ud800-\udbff](?![\udc00-\udfff])|(?:[^\ud800-\udbff]|^)[\udc00-\udfff]/;
  function strEscape(str) {
    if (str.length < 5000 && !strEscapeSequencesRegExp.test(str)) {
      return `"${str}"`;
    }
    return JSON.stringify(str);
  }
  function insertSort(array) {
    if (array.length > 200) {
      return array.sort();
    }
    for (let i = 1;i < array.length; i++) {
      const currentValue = array[i];
      let position = i;
      while (position !== 0 && array[position - 1] > currentValue) {
        array[position] = array[position - 1];
        position--;
      }
      array[position] = currentValue;
    }
    return array;
  }
  var typedArrayPrototypeGetSymbolToStringTag = Object.getOwnPropertyDescriptor(Object.getPrototypeOf(Object.getPrototypeOf(new Int8Array)), Symbol.toStringTag).get;
  function isTypedArrayWithEntries(value) {
    return typedArrayPrototypeGetSymbolToStringTag.call(value) !== undefined && value.length !== 0;
  }
  function stringifyTypedArray(array, separator, maximumBreadth) {
    if (array.length < maximumBreadth) {
      maximumBreadth = array.length;
    }
    const whitespace = separator === "," ? "" : " ";
    let res = `"0":${whitespace}${array[0]}`;
    for (let i = 1;i < maximumBreadth; i++) {
      res += `${separator}"${i}":${whitespace}${array[i]}`;
    }
    return res;
  }
  function getCircularValueOption(options) {
    if (hasOwnProperty.call(options, "circularValue")) {
      const circularValue = options.circularValue;
      if (typeof circularValue === "string") {
        return `"${circularValue}"`;
      }
      if (circularValue == null) {
        return circularValue;
      }
      if (circularValue === Error || circularValue === TypeError) {
        return {
          toString() {
            throw new TypeError("Converting circular structure to JSON");
          }
        };
      }
      throw new TypeError('The "circularValue" argument must be of type string or the value null or undefined');
    }
    return '"[Circular]"';
  }
  function getBooleanOption(options, key) {
    let value;
    if (hasOwnProperty.call(options, key)) {
      value = options[key];
      if (typeof value !== "boolean") {
        throw new TypeError(`The "${key}" argument must be of type boolean`);
      }
    }
    return value === undefined ? true : value;
  }
  function getPositiveIntegerOption(options, key) {
    let value;
    if (hasOwnProperty.call(options, key)) {
      value = options[key];
      if (typeof value !== "number") {
        throw new TypeError(`The "${key}" argument must be of type number`);
      }
      if (!Number.isInteger(value)) {
        throw new TypeError(`The "${key}" argument must be an integer`);
      }
      if (value < 1) {
        throw new RangeError(`The "${key}" argument must be >= 1`);
      }
    }
    return value === undefined ? Infinity : value;
  }
  function getItemCount(number) {
    if (number === 1) {
      return "1 item";
    }
    return `${number} items`;
  }
  function getUniqueReplacerSet(replacerArray) {
    const replacerSet = new Set;
    for (const value of replacerArray) {
      if (typeof value === "string" || typeof value === "number") {
        replacerSet.add(String(value));
      }
    }
    return replacerSet;
  }
  function getStrictOption(options) {
    if (hasOwnProperty.call(options, "strict")) {
      const value = options.strict;
      if (typeof value !== "boolean") {
        throw new TypeError('The "strict" argument must be of type boolean');
      }
      if (value) {
        return (value2) => {
          let message = `Object can not safely be stringified. Received type ${typeof value2}`;
          if (typeof value2 !== "function")
            message += ` (${value2.toString()})`;
          throw new Error(message);
        };
      }
    }
  }
  function configure(options) {
    options = { ...options };
    const fail = getStrictOption(options);
    if (fail) {
      if (options.bigint === undefined) {
        options.bigint = false;
      }
      if (!("circularValue" in options)) {
        options.circularValue = Error;
      }
    }
    const circularValue = getCircularValueOption(options);
    const bigint = getBooleanOption(options, "bigint");
    const deterministic = getBooleanOption(options, "deterministic");
    const maximumDepth = getPositiveIntegerOption(options, "maximumDepth");
    const maximumBreadth = getPositiveIntegerOption(options, "maximumBreadth");
    function stringifyFnReplacer(key, parent, stack, replacer, spacer, indentation) {
      let value = parent[key];
      if (typeof value === "object" && value !== null && typeof value.toJSON === "function") {
        value = value.toJSON(key);
      }
      value = replacer.call(parent, key, value);
      switch (typeof value) {
        case "string":
          return strEscape(value);
        case "object": {
          if (value === null) {
            return "null";
          }
          if (stack.indexOf(value) !== -1) {
            return circularValue;
          }
          let res = "";
          let join = ",";
          const originalIndentation = indentation;
          if (Array.isArray(value)) {
            if (value.length === 0) {
              return "[]";
            }
            if (maximumDepth < stack.length + 1) {
              return '"[Array]"';
            }
            stack.push(value);
            if (spacer !== "") {
              indentation += spacer;
              res += `
${indentation}`;
              join = `,
${indentation}`;
            }
            const maximumValuesToStringify = Math.min(value.length, maximumBreadth);
            let i = 0;
            for (;i < maximumValuesToStringify - 1; i++) {
              const tmp2 = stringifyFnReplacer(String(i), value, stack, replacer, spacer, indentation);
              res += tmp2 !== undefined ? tmp2 : "null";
              res += join;
            }
            const tmp = stringifyFnReplacer(String(i), value, stack, replacer, spacer, indentation);
            res += tmp !== undefined ? tmp : "null";
            if (value.length - 1 > maximumBreadth) {
              const removedKeys = value.length - maximumBreadth - 1;
              res += `${join}"... ${getItemCount(removedKeys)} not stringified"`;
            }
            if (spacer !== "") {
              res += `
${originalIndentation}`;
            }
            stack.pop();
            return `[${res}]`;
          }
          let keys = Object.keys(value);
          const keyLength = keys.length;
          if (keyLength === 0) {
            return "{}";
          }
          if (maximumDepth < stack.length + 1) {
            return '"[Object]"';
          }
          let whitespace = "";
          let separator = "";
          if (spacer !== "") {
            indentation += spacer;
            join = `,
${indentation}`;
            whitespace = " ";
          }
          const maximumPropertiesToStringify = Math.min(keyLength, maximumBreadth);
          if (deterministic && !isTypedArrayWithEntries(value)) {
            keys = insertSort(keys);
          }
          stack.push(value);
          for (let i = 0;i < maximumPropertiesToStringify; i++) {
            const key2 = keys[i];
            const tmp = stringifyFnReplacer(key2, value, stack, replacer, spacer, indentation);
            if (tmp !== undefined) {
              res += `${separator}${strEscape(key2)}:${whitespace}${tmp}`;
              separator = join;
            }
          }
          if (keyLength > maximumBreadth) {
            const removedKeys = keyLength - maximumBreadth;
            res += `${separator}"...":${whitespace}"${getItemCount(removedKeys)} not stringified"`;
            separator = join;
          }
          if (spacer !== "" && separator.length > 1) {
            res = `
${indentation}${res}
${originalIndentation}`;
          }
          stack.pop();
          return `{${res}}`;
        }
        case "number":
          return isFinite(value) ? String(value) : fail ? fail(value) : "null";
        case "boolean":
          return value === true ? "true" : "false";
        case "undefined":
          return;
        case "bigint":
          if (bigint) {
            return String(value);
          }
        default:
          return fail ? fail(value) : undefined;
      }
    }
    function stringifyArrayReplacer(key, value, stack, replacer, spacer, indentation) {
      if (typeof value === "object" && value !== null && typeof value.toJSON === "function") {
        value = value.toJSON(key);
      }
      switch (typeof value) {
        case "string":
          return strEscape(value);
        case "object": {
          if (value === null) {
            return "null";
          }
          if (stack.indexOf(value) !== -1) {
            return circularValue;
          }
          const originalIndentation = indentation;
          let res = "";
          let join = ",";
          if (Array.isArray(value)) {
            if (value.length === 0) {
              return "[]";
            }
            if (maximumDepth < stack.length + 1) {
              return '"[Array]"';
            }
            stack.push(value);
            if (spacer !== "") {
              indentation += spacer;
              res += `
${indentation}`;
              join = `,
${indentation}`;
            }
            const maximumValuesToStringify = Math.min(value.length, maximumBreadth);
            let i = 0;
            for (;i < maximumValuesToStringify - 1; i++) {
              const tmp2 = stringifyArrayReplacer(String(i), value[i], stack, replacer, spacer, indentation);
              res += tmp2 !== undefined ? tmp2 : "null";
              res += join;
            }
            const tmp = stringifyArrayReplacer(String(i), value[i], stack, replacer, spacer, indentation);
            res += tmp !== undefined ? tmp : "null";
            if (value.length - 1 > maximumBreadth) {
              const removedKeys = value.length - maximumBreadth - 1;
              res += `${join}"... ${getItemCount(removedKeys)} not stringified"`;
            }
            if (spacer !== "") {
              res += `
${originalIndentation}`;
            }
            stack.pop();
            return `[${res}]`;
          }
          stack.push(value);
          let whitespace = "";
          if (spacer !== "") {
            indentation += spacer;
            join = `,
${indentation}`;
            whitespace = " ";
          }
          let separator = "";
          for (const key2 of replacer) {
            const tmp = stringifyArrayReplacer(key2, value[key2], stack, replacer, spacer, indentation);
            if (tmp !== undefined) {
              res += `${separator}${strEscape(key2)}:${whitespace}${tmp}`;
              separator = join;
            }
          }
          if (spacer !== "" && separator.length > 1) {
            res = `
${indentation}${res}
${originalIndentation}`;
          }
          stack.pop();
          return `{${res}}`;
        }
        case "number":
          return isFinite(value) ? String(value) : fail ? fail(value) : "null";
        case "boolean":
          return value === true ? "true" : "false";
        case "undefined":
          return;
        case "bigint":
          if (bigint) {
            return String(value);
          }
        default:
          return fail ? fail(value) : undefined;
      }
    }
    function stringifyIndent(key, value, stack, spacer, indentation) {
      switch (typeof value) {
        case "string":
          return strEscape(value);
        case "object": {
          if (value === null) {
            return "null";
          }
          if (typeof value.toJSON === "function") {
            value = value.toJSON(key);
            if (typeof value !== "object") {
              return stringifyIndent(key, value, stack, spacer, indentation);
            }
            if (value === null) {
              return "null";
            }
          }
          if (stack.indexOf(value) !== -1) {
            return circularValue;
          }
          const originalIndentation = indentation;
          if (Array.isArray(value)) {
            if (value.length === 0) {
              return "[]";
            }
            if (maximumDepth < stack.length + 1) {
              return '"[Array]"';
            }
            stack.push(value);
            indentation += spacer;
            let res2 = `
${indentation}`;
            const join2 = `,
${indentation}`;
            const maximumValuesToStringify = Math.min(value.length, maximumBreadth);
            let i = 0;
            for (;i < maximumValuesToStringify - 1; i++) {
              const tmp2 = stringifyIndent(String(i), value[i], stack, spacer, indentation);
              res2 += tmp2 !== undefined ? tmp2 : "null";
              res2 += join2;
            }
            const tmp = stringifyIndent(String(i), value[i], stack, spacer, indentation);
            res2 += tmp !== undefined ? tmp : "null";
            if (value.length - 1 > maximumBreadth) {
              const removedKeys = value.length - maximumBreadth - 1;
              res2 += `${join2}"... ${getItemCount(removedKeys)} not stringified"`;
            }
            res2 += `
${originalIndentation}`;
            stack.pop();
            return `[${res2}]`;
          }
          let keys = Object.keys(value);
          const keyLength = keys.length;
          if (keyLength === 0) {
            return "{}";
          }
          if (maximumDepth < stack.length + 1) {
            return '"[Object]"';
          }
          indentation += spacer;
          const join = `,
${indentation}`;
          let res = "";
          let separator = "";
          let maximumPropertiesToStringify = Math.min(keyLength, maximumBreadth);
          if (isTypedArrayWithEntries(value)) {
            res += stringifyTypedArray(value, join, maximumBreadth);
            keys = keys.slice(value.length);
            maximumPropertiesToStringify -= value.length;
            separator = join;
          }
          if (deterministic) {
            keys = insertSort(keys);
          }
          stack.push(value);
          for (let i = 0;i < maximumPropertiesToStringify; i++) {
            const key2 = keys[i];
            const tmp = stringifyIndent(key2, value[key2], stack, spacer, indentation);
            if (tmp !== undefined) {
              res += `${separator}${strEscape(key2)}: ${tmp}`;
              separator = join;
            }
          }
          if (keyLength > maximumBreadth) {
            const removedKeys = keyLength - maximumBreadth;
            res += `${separator}"...": "${getItemCount(removedKeys)} not stringified"`;
            separator = join;
          }
          if (separator !== "") {
            res = `
${indentation}${res}
${originalIndentation}`;
          }
          stack.pop();
          return `{${res}}`;
        }
        case "number":
          return isFinite(value) ? String(value) : fail ? fail(value) : "null";
        case "boolean":
          return value === true ? "true" : "false";
        case "undefined":
          return;
        case "bigint":
          if (bigint) {
            return String(value);
          }
        default:
          return fail ? fail(value) : undefined;
      }
    }
    function stringifySimple(key, value, stack) {
      switch (typeof value) {
        case "string":
          return strEscape(value);
        case "object": {
          if (value === null) {
            return "null";
          }
          if (typeof value.toJSON === "function") {
            value = value.toJSON(key);
            if (typeof value !== "object") {
              return stringifySimple(key, value, stack);
            }
            if (value === null) {
              return "null";
            }
          }
          if (stack.indexOf(value) !== -1) {
            return circularValue;
          }
          let res = "";
          if (Array.isArray(value)) {
            if (value.length === 0) {
              return "[]";
            }
            if (maximumDepth < stack.length + 1) {
              return '"[Array]"';
            }
            stack.push(value);
            const maximumValuesToStringify = Math.min(value.length, maximumBreadth);
            let i = 0;
            for (;i < maximumValuesToStringify - 1; i++) {
              const tmp2 = stringifySimple(String(i), value[i], stack);
              res += tmp2 !== undefined ? tmp2 : "null";
              res += ",";
            }
            const tmp = stringifySimple(String(i), value[i], stack);
            res += tmp !== undefined ? tmp : "null";
            if (value.length - 1 > maximumBreadth) {
              const removedKeys = value.length - maximumBreadth - 1;
              res += `,"... ${getItemCount(removedKeys)} not stringified"`;
            }
            stack.pop();
            return `[${res}]`;
          }
          let keys = Object.keys(value);
          const keyLength = keys.length;
          if (keyLength === 0) {
            return "{}";
          }
          if (maximumDepth < stack.length + 1) {
            return '"[Object]"';
          }
          let separator = "";
          let maximumPropertiesToStringify = Math.min(keyLength, maximumBreadth);
          if (isTypedArrayWithEntries(value)) {
            res += stringifyTypedArray(value, ",", maximumBreadth);
            keys = keys.slice(value.length);
            maximumPropertiesToStringify -= value.length;
            separator = ",";
          }
          if (deterministic) {
            keys = insertSort(keys);
          }
          stack.push(value);
          for (let i = 0;i < maximumPropertiesToStringify; i++) {
            const key2 = keys[i];
            const tmp = stringifySimple(key2, value[key2], stack);
            if (tmp !== undefined) {
              res += `${separator}${strEscape(key2)}:${tmp}`;
              separator = ",";
            }
          }
          if (keyLength > maximumBreadth) {
            const removedKeys = keyLength - maximumBreadth;
            res += `${separator}"...":"${getItemCount(removedKeys)} not stringified"`;
          }
          stack.pop();
          return `{${res}}`;
        }
        case "number":
          return isFinite(value) ? String(value) : fail ? fail(value) : "null";
        case "boolean":
          return value === true ? "true" : "false";
        case "undefined":
          return;
        case "bigint":
          if (bigint) {
            return String(value);
          }
        default:
          return fail ? fail(value) : undefined;
      }
    }
    function stringify2(value, replacer, space) {
      if (arguments.length > 1) {
        let spacer = "";
        if (typeof space === "number") {
          spacer = " ".repeat(Math.min(space, 10));
        } else if (typeof space === "string") {
          spacer = space.slice(0, 10);
        }
        if (replacer != null) {
          if (typeof replacer === "function") {
            return stringifyFnReplacer("", { "": value }, [], replacer, spacer, "");
          }
          if (Array.isArray(replacer)) {
            return stringifyArrayReplacer("", value, [], getUniqueReplacerSet(replacer), spacer, "");
          }
        }
        if (spacer.length !== 0) {
          return stringifyIndent("", value, [], spacer, "");
        }
      }
      return stringifySimple("", value, []);
    }
    return stringify2;
  }
});

// ../../node_modules/logform/json.js
var require_json = __commonJS((exports, module) => {
  var format = require_format();
  var { MESSAGE } = require_triple_beam();
  var stringify = require_safe_stable_stringify();
  function replacer(key, value) {
    if (typeof value === "bigint")
      return value.toString();
    return value;
  }
  module.exports = format((info, opts) => {
    const jsonStringify = stringify.configure(opts);
    info[MESSAGE] = jsonStringify(info, opts.replacer || replacer, opts.space);
    return info;
  });
});

// ../../node_modules/logform/label.js
var require_label = __commonJS((exports, module) => {
  var format = require_format();
  module.exports = format((info, opts) => {
    if (opts.message) {
      info.message = `[${opts.label}] ${info.message}`;
      return info;
    }
    info.label = opts.label;
    return info;
  });
});

// ../../node_modules/logform/logstash.js
var require_logstash = __commonJS((exports, module) => {
  var format = require_format();
  var { MESSAGE } = require_triple_beam();
  var jsonStringify = require_safe_stable_stringify();
  module.exports = format((info) => {
    const logstash = {};
    if (info.message) {
      logstash["@message"] = info.message;
      delete info.message;
    }
    if (info.timestamp) {
      logstash["@timestamp"] = info.timestamp;
      delete info.timestamp;
    }
    logstash["@fields"] = info;
    info[MESSAGE] = jsonStringify(logstash);
    return info;
  });
});

// ../../node_modules/logform/metadata.js
var require_metadata = __commonJS((exports, module) => {
  var format = require_format();
  function fillExcept(info, fillExceptKeys, metadataKey) {
    const savedKeys = fillExceptKeys.reduce((acc, key) => {
      acc[key] = info[key];
      delete info[key];
      return acc;
    }, {});
    const metadata = Object.keys(info).reduce((acc, key) => {
      acc[key] = info[key];
      delete info[key];
      return acc;
    }, {});
    Object.assign(info, savedKeys, {
      [metadataKey]: metadata
    });
    return info;
  }
  function fillWith(info, fillWithKeys, metadataKey) {
    info[metadataKey] = fillWithKeys.reduce((acc, key) => {
      acc[key] = info[key];
      delete info[key];
      return acc;
    }, {});
    return info;
  }
  module.exports = format((info, opts = {}) => {
    let metadataKey = "metadata";
    if (opts.key) {
      metadataKey = opts.key;
    }
    let fillExceptKeys = [];
    if (!opts.fillExcept && !opts.fillWith) {
      fillExceptKeys.push("level");
      fillExceptKeys.push("message");
    }
    if (opts.fillExcept) {
      fillExceptKeys = opts.fillExcept;
    }
    if (fillExceptKeys.length > 0) {
      return fillExcept(info, fillExceptKeys, metadataKey);
    }
    if (opts.fillWith) {
      return fillWith(info, opts.fillWith, metadataKey);
    }
    return info;
  });
});

// ../../node_modules/ms/index.js
var require_ms = __commonJS((exports, module) => {
  var s = 1000;
  var m = s * 60;
  var h = m * 60;
  var d = h * 24;
  var w = d * 7;
  var y = d * 365.25;
  module.exports = function(val, options) {
    options = options || {};
    var type = typeof val;
    if (type === "string" && val.length > 0) {
      return parse(val);
    } else if (type === "number" && isFinite(val)) {
      return options.long ? fmtLong(val) : fmtShort(val);
    }
    throw new Error("val is not a non-empty string or a valid number. val=" + JSON.stringify(val));
  };
  function parse(str) {
    str = String(str);
    if (str.length > 100) {
      return;
    }
    var match = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(str);
    if (!match) {
      return;
    }
    var n = parseFloat(match[1]);
    var type = (match[2] || "ms").toLowerCase();
    switch (type) {
      case "years":
      case "year":
      case "yrs":
      case "yr":
      case "y":
        return n * y;
      case "weeks":
      case "week":
      case "w":
        return n * w;
      case "days":
      case "day":
      case "d":
        return n * d;
      case "hours":
      case "hour":
      case "hrs":
      case "hr":
      case "h":
        return n * h;
      case "minutes":
      case "minute":
      case "mins":
      case "min":
      case "m":
        return n * m;
      case "seconds":
      case "second":
      case "secs":
      case "sec":
      case "s":
        return n * s;
      case "milliseconds":
      case "millisecond":
      case "msecs":
      case "msec":
      case "ms":
        return n;
      default:
        return;
    }
  }
  function fmtShort(ms) {
    var msAbs = Math.abs(ms);
    if (msAbs >= d) {
      return Math.round(ms / d) + "d";
    }
    if (msAbs >= h) {
      return Math.round(ms / h) + "h";
    }
    if (msAbs >= m) {
      return Math.round(ms / m) + "m";
    }
    if (msAbs >= s) {
      return Math.round(ms / s) + "s";
    }
    return ms + "ms";
  }
  function fmtLong(ms) {
    var msAbs = Math.abs(ms);
    if (msAbs >= d) {
      return plural(ms, msAbs, d, "day");
    }
    if (msAbs >= h) {
      return plural(ms, msAbs, h, "hour");
    }
    if (msAbs >= m) {
      return plural(ms, msAbs, m, "minute");
    }
    if (msAbs >= s) {
      return plural(ms, msAbs, s, "second");
    }
    return ms + " ms";
  }
  function plural(ms, msAbs, n, name) {
    var isPlural = msAbs >= n * 1.5;
    return Math.round(ms / n) + " " + name + (isPlural ? "s" : "");
  }
});

// ../../node_modules/logform/ms.js
var require_ms2 = __commonJS((exports, module) => {
  var format = require_format();
  var ms = require_ms();
  module.exports = format((info) => {
    const curr = +new Date;
    exports.diff = curr - (exports.prevTime || curr);
    exports.prevTime = curr;
    info.ms = `+${ms(exports.diff)}`;
    return info;
  });
});

// ../../node_modules/logform/pretty-print.js
var require_pretty_print = __commonJS((exports, module) => {
  var inspect = __require("util").inspect;
  var format = require_format();
  var { LEVEL, MESSAGE, SPLAT } = require_triple_beam();
  module.exports = format((info, opts = {}) => {
    const stripped = Object.assign({}, info);
    delete stripped[LEVEL];
    delete stripped[MESSAGE];
    delete stripped[SPLAT];
    info[MESSAGE] = inspect(stripped, false, opts.depth || null, opts.colorize);
    return info;
  });
});

// ../../node_modules/logform/printf.js
var require_printf = __commonJS((exports, module) => {
  var { MESSAGE } = require_triple_beam();

  class Printf {
    constructor(templateFn) {
      this.template = templateFn;
    }
    transform(info) {
      info[MESSAGE] = this.template(info);
      return info;
    }
  }
  module.exports = (opts) => new Printf(opts);
  module.exports.Printf = module.exports.Format = Printf;
});

// ../../node_modules/logform/simple.js
var require_simple = __commonJS((exports, module) => {
  var format = require_format();
  var { MESSAGE } = require_triple_beam();
  var jsonStringify = require_safe_stable_stringify();
  module.exports = format((info) => {
    const stringifiedRest = jsonStringify(Object.assign({}, info, {
      level: undefined,
      message: undefined,
      splat: undefined
    }));
    const padding = info.padding && info.padding[info.level] || "";
    if (stringifiedRest !== "{}") {
      info[MESSAGE] = `${info.level}:${padding} ${info.message} ${stringifiedRest}`;
    } else {
      info[MESSAGE] = `${info.level}:${padding} ${info.message}`;
    }
    return info;
  });
});

// ../../node_modules/logform/splat.js
var require_splat = __commonJS((exports, module) => {
  var util = __require("util");
  var { SPLAT } = require_triple_beam();
  var formatRegExp = /%[scdjifoO%]/g;
  var escapedPercent = /%%/g;

  class Splatter {
    constructor(opts) {
      this.options = opts;
    }
    _splat(info, tokens) {
      const msg = info.message;
      const splat = info[SPLAT] || info.splat || [];
      const percents = msg.match(escapedPercent);
      const escapes = percents && percents.length || 0;
      const expectedSplat = tokens.length - escapes;
      const extraSplat = expectedSplat - splat.length;
      const metas = extraSplat < 0 ? splat.splice(extraSplat, -1 * extraSplat) : [];
      const metalen = metas.length;
      if (metalen) {
        for (let i = 0;i < metalen; i++) {
          Object.assign(info, metas[i]);
        }
      }
      info.message = util.format(msg, ...splat);
      return info;
    }
    transform(info) {
      const msg = info.message;
      const splat = info[SPLAT] || info.splat;
      if (!splat || !splat.length) {
        return info;
      }
      const tokens = msg && msg.match && msg.match(formatRegExp);
      if (!tokens && (splat || splat.length)) {
        const metas = splat.length > 1 ? splat.splice(0) : splat;
        const metalen = metas.length;
        if (metalen) {
          for (let i = 0;i < metalen; i++) {
            Object.assign(info, metas[i]);
          }
        }
        return info;
      }
      if (tokens) {
        return this._splat(info, tokens);
      }
      return info;
    }
  }
  module.exports = (opts) => new Splatter(opts);
});

// ../../node_modules/fecha/lib/fecha.umd.js
var require_fecha_umd = __commonJS((exports, module) => {
  (function(global2, factory) {
    typeof exports === "object" && typeof module !== "undefined" ? factory(exports) : typeof define === "function" && define.amd ? define(["exports"], factory) : factory(global2.fecha = {});
  })(exports, function(exports2) {
    var token = /d{1,4}|M{1,4}|YY(?:YY)?|S{1,3}|Do|ZZ|Z|([HhMsDm])\1?|[aA]|"[^"]*"|'[^']*'/g;
    var twoDigitsOptional = "\\d\\d?";
    var twoDigits = "\\d\\d";
    var threeDigits = "\\d{3}";
    var fourDigits = "\\d{4}";
    var word = "[^\\s]+";
    var literal = /\[([^]*?)\]/gm;
    function shorten(arr, sLen) {
      var newArr = [];
      for (var i = 0, len = arr.length;i < len; i++) {
        newArr.push(arr[i].substr(0, sLen));
      }
      return newArr;
    }
    var monthUpdate = function(arrName) {
      return function(v, i18n) {
        var lowerCaseArr = i18n[arrName].map(function(v2) {
          return v2.toLowerCase();
        });
        var index = lowerCaseArr.indexOf(v.toLowerCase());
        if (index > -1) {
          return index;
        }
        return null;
      };
    };
    function assign(origObj) {
      var args = [];
      for (var _i = 1;_i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
      }
      for (var _a = 0, args_1 = args;_a < args_1.length; _a++) {
        var obj = args_1[_a];
        for (var key in obj) {
          origObj[key] = obj[key];
        }
      }
      return origObj;
    }
    var dayNames = [
      "Sunday",
      "Monday",
      "Tuesday",
      "Wednesday",
      "Thursday",
      "Friday",
      "Saturday"
    ];
    var monthNames = [
      "January",
      "February",
      "March",
      "April",
      "May",
      "June",
      "July",
      "August",
      "September",
      "October",
      "November",
      "December"
    ];
    var monthNamesShort = shorten(monthNames, 3);
    var dayNamesShort = shorten(dayNames, 3);
    var defaultI18n = {
      dayNamesShort,
      dayNames,
      monthNamesShort,
      monthNames,
      amPm: ["am", "pm"],
      DoFn: function(dayOfMonth) {
        return dayOfMonth + ["th", "st", "nd", "rd"][dayOfMonth % 10 > 3 ? 0 : (dayOfMonth - dayOfMonth % 10 !== 10 ? 1 : 0) * dayOfMonth % 10];
      }
    };
    var globalI18n = assign({}, defaultI18n);
    var setGlobalDateI18n = function(i18n) {
      return globalI18n = assign(globalI18n, i18n);
    };
    var regexEscape = function(str) {
      return str.replace(/[|\\{()[^$+*?.-]/g, "\\$&");
    };
    var pad = function(val, len) {
      if (len === undefined) {
        len = 2;
      }
      val = String(val);
      while (val.length < len) {
        val = "0" + val;
      }
      return val;
    };
    var formatFlags = {
      D: function(dateObj) {
        return String(dateObj.getDate());
      },
      DD: function(dateObj) {
        return pad(dateObj.getDate());
      },
      Do: function(dateObj, i18n) {
        return i18n.DoFn(dateObj.getDate());
      },
      d: function(dateObj) {
        return String(dateObj.getDay());
      },
      dd: function(dateObj) {
        return pad(dateObj.getDay());
      },
      ddd: function(dateObj, i18n) {
        return i18n.dayNamesShort[dateObj.getDay()];
      },
      dddd: function(dateObj, i18n) {
        return i18n.dayNames[dateObj.getDay()];
      },
      M: function(dateObj) {
        return String(dateObj.getMonth() + 1);
      },
      MM: function(dateObj) {
        return pad(dateObj.getMonth() + 1);
      },
      MMM: function(dateObj, i18n) {
        return i18n.monthNamesShort[dateObj.getMonth()];
      },
      MMMM: function(dateObj, i18n) {
        return i18n.monthNames[dateObj.getMonth()];
      },
      YY: function(dateObj) {
        return pad(String(dateObj.getFullYear()), 4).substr(2);
      },
      YYYY: function(dateObj) {
        return pad(dateObj.getFullYear(), 4);
      },
      h: function(dateObj) {
        return String(dateObj.getHours() % 12 || 12);
      },
      hh: function(dateObj) {
        return pad(dateObj.getHours() % 12 || 12);
      },
      H: function(dateObj) {
        return String(dateObj.getHours());
      },
      HH: function(dateObj) {
        return pad(dateObj.getHours());
      },
      m: function(dateObj) {
        return String(dateObj.getMinutes());
      },
      mm: function(dateObj) {
        return pad(dateObj.getMinutes());
      },
      s: function(dateObj) {
        return String(dateObj.getSeconds());
      },
      ss: function(dateObj) {
        return pad(dateObj.getSeconds());
      },
      S: function(dateObj) {
        return String(Math.round(dateObj.getMilliseconds() / 100));
      },
      SS: function(dateObj) {
        return pad(Math.round(dateObj.getMilliseconds() / 10), 2);
      },
      SSS: function(dateObj) {
        return pad(dateObj.getMilliseconds(), 3);
      },
      a: function(dateObj, i18n) {
        return dateObj.getHours() < 12 ? i18n.amPm[0] : i18n.amPm[1];
      },
      A: function(dateObj, i18n) {
        return dateObj.getHours() < 12 ? i18n.amPm[0].toUpperCase() : i18n.amPm[1].toUpperCase();
      },
      ZZ: function(dateObj) {
        var offset = dateObj.getTimezoneOffset();
        return (offset > 0 ? "-" : "+") + pad(Math.floor(Math.abs(offset) / 60) * 100 + Math.abs(offset) % 60, 4);
      },
      Z: function(dateObj) {
        var offset = dateObj.getTimezoneOffset();
        return (offset > 0 ? "-" : "+") + pad(Math.floor(Math.abs(offset) / 60), 2) + ":" + pad(Math.abs(offset) % 60, 2);
      }
    };
    var monthParse = function(v) {
      return +v - 1;
    };
    var emptyDigits = [null, twoDigitsOptional];
    var emptyWord = [null, word];
    var amPm = [
      "isPm",
      word,
      function(v, i18n) {
        var val = v.toLowerCase();
        if (val === i18n.amPm[0]) {
          return 0;
        } else if (val === i18n.amPm[1]) {
          return 1;
        }
        return null;
      }
    ];
    var timezoneOffset = [
      "timezoneOffset",
      "[^\\s]*?[\\+\\-]\\d\\d:?\\d\\d|[^\\s]*?Z?",
      function(v) {
        var parts = (v + "").match(/([+-]|\d\d)/gi);
        if (parts) {
          var minutes = +parts[1] * 60 + parseInt(parts[2], 10);
          return parts[0] === "+" ? minutes : -minutes;
        }
        return 0;
      }
    ];
    var parseFlags = {
      D: ["day", twoDigitsOptional],
      DD: ["day", twoDigits],
      Do: ["day", twoDigitsOptional + word, function(v) {
        return parseInt(v, 10);
      }],
      M: ["month", twoDigitsOptional, monthParse],
      MM: ["month", twoDigits, monthParse],
      YY: [
        "year",
        twoDigits,
        function(v) {
          var now = new Date;
          var cent = +("" + now.getFullYear()).substr(0, 2);
          return +("" + (+v > 68 ? cent - 1 : cent) + v);
        }
      ],
      h: ["hour", twoDigitsOptional, undefined, "isPm"],
      hh: ["hour", twoDigits, undefined, "isPm"],
      H: ["hour", twoDigitsOptional],
      HH: ["hour", twoDigits],
      m: ["minute", twoDigitsOptional],
      mm: ["minute", twoDigits],
      s: ["second", twoDigitsOptional],
      ss: ["second", twoDigits],
      YYYY: ["year", fourDigits],
      S: ["millisecond", "\\d", function(v) {
        return +v * 100;
      }],
      SS: ["millisecond", twoDigits, function(v) {
        return +v * 10;
      }],
      SSS: ["millisecond", threeDigits],
      d: emptyDigits,
      dd: emptyDigits,
      ddd: emptyWord,
      dddd: emptyWord,
      MMM: ["month", word, monthUpdate("monthNamesShort")],
      MMMM: ["month", word, monthUpdate("monthNames")],
      a: amPm,
      A: amPm,
      ZZ: timezoneOffset,
      Z: timezoneOffset
    };
    var globalMasks = {
      default: "ddd MMM DD YYYY HH:mm:ss",
      shortDate: "M/D/YY",
      mediumDate: "MMM D, YYYY",
      longDate: "MMMM D, YYYY",
      fullDate: "dddd, MMMM D, YYYY",
      isoDate: "YYYY-MM-DD",
      isoDateTime: "YYYY-MM-DDTHH:mm:ssZ",
      shortTime: "HH:mm",
      mediumTime: "HH:mm:ss",
      longTime: "HH:mm:ss.SSS"
    };
    var setGlobalDateMasks = function(masks) {
      return assign(globalMasks, masks);
    };
    var format = function(dateObj, mask, i18n) {
      if (mask === undefined) {
        mask = globalMasks["default"];
      }
      if (i18n === undefined) {
        i18n = {};
      }
      if (typeof dateObj === "number") {
        dateObj = new Date(dateObj);
      }
      if (Object.prototype.toString.call(dateObj) !== "[object Date]" || isNaN(dateObj.getTime())) {
        throw new Error("Invalid Date pass to format");
      }
      mask = globalMasks[mask] || mask;
      var literals = [];
      mask = mask.replace(literal, function($0, $1) {
        literals.push($1);
        return "@@@";
      });
      var combinedI18nSettings = assign(assign({}, globalI18n), i18n);
      mask = mask.replace(token, function($0) {
        return formatFlags[$0](dateObj, combinedI18nSettings);
      });
      return mask.replace(/@@@/g, function() {
        return literals.shift();
      });
    };
    function parse(dateStr, format2, i18n) {
      if (i18n === undefined) {
        i18n = {};
      }
      if (typeof format2 !== "string") {
        throw new Error("Invalid format in fecha parse");
      }
      format2 = globalMasks[format2] || format2;
      if (dateStr.length > 1000) {
        return null;
      }
      var today = new Date;
      var dateInfo = {
        year: today.getFullYear(),
        month: 0,
        day: 1,
        hour: 0,
        minute: 0,
        second: 0,
        millisecond: 0,
        isPm: null,
        timezoneOffset: null
      };
      var parseInfo = [];
      var literals = [];
      var newFormat = format2.replace(literal, function($0, $1) {
        literals.push(regexEscape($1));
        return "@@@";
      });
      var specifiedFields = {};
      var requiredFields = {};
      newFormat = regexEscape(newFormat).replace(token, function($0) {
        var info = parseFlags[$0];
        var field2 = info[0], regex = info[1], requiredField = info[3];
        if (specifiedFields[field2]) {
          throw new Error("Invalid format. " + field2 + " specified twice in format");
        }
        specifiedFields[field2] = true;
        if (requiredField) {
          requiredFields[requiredField] = true;
        }
        parseInfo.push(info);
        return "(" + regex + ")";
      });
      Object.keys(requiredFields).forEach(function(field2) {
        if (!specifiedFields[field2]) {
          throw new Error("Invalid format. " + field2 + " is required in specified format");
        }
      });
      newFormat = newFormat.replace(/@@@/g, function() {
        return literals.shift();
      });
      var matches = dateStr.match(new RegExp(newFormat, "i"));
      if (!matches) {
        return null;
      }
      var combinedI18nSettings = assign(assign({}, globalI18n), i18n);
      for (var i = 1;i < matches.length; i++) {
        var _a = parseInfo[i - 1], field = _a[0], parser = _a[2];
        var value = parser ? parser(matches[i], combinedI18nSettings) : +matches[i];
        if (value == null) {
          return null;
        }
        dateInfo[field] = value;
      }
      if (dateInfo.isPm === 1 && dateInfo.hour != null && +dateInfo.hour !== 12) {
        dateInfo.hour = +dateInfo.hour + 12;
      } else if (dateInfo.isPm === 0 && +dateInfo.hour === 12) {
        dateInfo.hour = 0;
      }
      var dateTZ;
      if (dateInfo.timezoneOffset == null) {
        dateTZ = new Date(dateInfo.year, dateInfo.month, dateInfo.day, dateInfo.hour, dateInfo.minute, dateInfo.second, dateInfo.millisecond);
        var validateFields = [
          ["month", "getMonth"],
          ["day", "getDate"],
          ["hour", "getHours"],
          ["minute", "getMinutes"],
          ["second", "getSeconds"]
        ];
        for (var i = 0, len = validateFields.length;i < len; i++) {
          if (specifiedFields[validateFields[i][0]] && dateInfo[validateFields[i][0]] !== dateTZ[validateFields[i][1]]()) {
            return null;
          }
        }
      } else {
        dateTZ = new Date(Date.UTC(dateInfo.year, dateInfo.month, dateInfo.day, dateInfo.hour, dateInfo.minute - dateInfo.timezoneOffset, dateInfo.second, dateInfo.millisecond));
        if (dateInfo.month > 11 || dateInfo.month < 0 || dateInfo.day > 31 || dateInfo.day < 1 || dateInfo.hour > 23 || dateInfo.hour < 0 || dateInfo.minute > 59 || dateInfo.minute < 0 || dateInfo.second > 59 || dateInfo.second < 0) {
          return null;
        }
      }
      return dateTZ;
    }
    var fecha = {
      format,
      parse,
      defaultI18n,
      setGlobalDateI18n,
      setGlobalDateMasks
    };
    exports2.assign = assign;
    exports2.default = fecha;
    exports2.format = format;
    exports2.parse = parse;
    exports2.defaultI18n = defaultI18n;
    exports2.setGlobalDateI18n = setGlobalDateI18n;
    exports2.setGlobalDateMasks = setGlobalDateMasks;
    Object.defineProperty(exports2, "__esModule", { value: true });
  });
});

// ../../node_modules/logform/timestamp.js
var require_timestamp = __commonJS((exports, module) => {
  var fecha = require_fecha_umd();
  var format = require_format();
  module.exports = format((info, opts = {}) => {
    if (opts.format) {
      info.timestamp = typeof opts.format === "function" ? opts.format() : fecha.format(new Date, opts.format);
    }
    if (!info.timestamp) {
      info.timestamp = new Date().toISOString();
    }
    if (opts.alias) {
      info[opts.alias] = info.timestamp;
    }
    return info;
  });
});

// ../../node_modules/logform/uncolorize.js
var require_uncolorize = __commonJS((exports, module) => {
  var colors = require_safe();
  var format = require_format();
  var { MESSAGE } = require_triple_beam();
  module.exports = format((info, opts) => {
    if (opts.level !== false) {
      info.level = colors.strip(info.level);
    }
    if (opts.message !== false) {
      info.message = colors.strip(String(info.message));
    }
    if (opts.raw !== false && info[MESSAGE]) {
      info[MESSAGE] = colors.strip(String(info[MESSAGE]));
    }
    return info;
  });
});

// ../../node_modules/logform/index.js
var require_logform = __commonJS((exports) => {
  var format = exports.format = require_format();
  exports.levels = require_levels();
  function exposeFormat(name, requireFormat) {
    Object.defineProperty(format, name, {
      get() {
        return requireFormat();
      },
      configurable: true
    });
  }
  exposeFormat("align", function() {
    return require_align();
  });
  exposeFormat("errors", function() {
    return require_errors();
  });
  exposeFormat("cli", function() {
    return require_cli2();
  });
  exposeFormat("combine", function() {
    return require_combine();
  });
  exposeFormat("colorize", function() {
    return require_colorize();
  });
  exposeFormat("json", function() {
    return require_json();
  });
  exposeFormat("label", function() {
    return require_label();
  });
  exposeFormat("logstash", function() {
    return require_logstash();
  });
  exposeFormat("metadata", function() {
    return require_metadata();
  });
  exposeFormat("ms", function() {
    return require_ms2();
  });
  exposeFormat("padLevels", function() {
    return require_pad_levels();
  });
  exposeFormat("prettyPrint", function() {
    return require_pretty_print();
  });
  exposeFormat("printf", function() {
    return require_printf();
  });
  exposeFormat("simple", function() {
    return require_simple();
  });
  exposeFormat("splat", function() {
    return require_splat();
  });
  exposeFormat("timestamp", function() {
    return require_timestamp();
  });
  exposeFormat("uncolorize", function() {
    return require_uncolorize();
  });
});

// ../../node_modules/winston/lib/winston/common.js
var require_common = __commonJS((exports) => {
  var { format } = __require("util");
  exports.warn = {
    deprecated(prop) {
      return () => {
        throw new Error(format("{ %s } was removed in winston@3.0.0.", prop));
      };
    },
    useFormat(prop) {
      return () => {
        throw new Error([
          format("{ %s } was removed in winston@3.0.0.", prop),
          "Use a custom winston.format = winston.format(function) instead."
        ].join(`
`));
      };
    },
    forFunctions(obj, type, props) {
      props.forEach((prop) => {
        obj[prop] = exports.warn[type](prop);
      });
    },
    forProperties(obj, type, props) {
      props.forEach((prop) => {
        const notice = exports.warn[type](prop);
        Object.defineProperty(obj, prop, {
          get: notice,
          set: notice
        });
      });
    }
  };
});

// ../../node_modules/winston/package.json
var require_package = __commonJS((exports, module) => {
  module.exports = {
    name: "winston",
    description: "A logger for just about everything.",
    version: "3.15.0",
    author: "Charlie Robbins <charlie.robbins@gmail.com>",
    maintainers: [
      "David Hyde <dabh@alumni.stanford.edu>"
    ],
    repository: {
      type: "git",
      url: "https://github.com/winstonjs/winston.git"
    },
    keywords: [
      "winston",
      "logger",
      "logging",
      "logs",
      "sysadmin",
      "bunyan",
      "pino",
      "loglevel",
      "tools",
      "json",
      "stream"
    ],
    dependencies: {
      "@dabh/diagnostics": "^2.0.2",
      "@colors/colors": "^1.6.0",
      async: "^3.2.3",
      "is-stream": "^2.0.0",
      logform: "^2.6.0",
      "one-time": "^1.0.0",
      "readable-stream": "^3.4.0",
      "safe-stable-stringify": "^2.3.1",
      "stack-trace": "0.0.x",
      "triple-beam": "^1.3.0",
      "winston-transport": "^4.7.0"
    },
    devDependencies: {
      "@babel/cli": "^7.23.9",
      "@babel/core": "^7.24.0",
      "@babel/preset-env": "^7.24.0",
      "@dabh/eslint-config-populist": "^4.4.0",
      "@types/node": "^20.11.24",
      "abstract-winston-transport": "^0.5.1",
      assume: "^2.2.0",
      "cross-spawn-async": "^2.2.5",
      eslint: "^8.57.0",
      hock: "^1.4.1",
      mocha: "^10.3.0",
      nyc: "^17.1.0",
      rimraf: "5.0.1",
      split2: "^4.1.0",
      "std-mocks": "^2.0.0",
      through2: "^4.0.2",
      "winston-compat": "^0.1.5"
    },
    main: "./lib/winston.js",
    browser: "./dist/winston",
    types: "./index.d.ts",
    scripts: {
      lint: "eslint lib/*.js lib/winston/*.js lib/winston/**/*.js --resolve-plugins-relative-to ./node_modules/@dabh/eslint-config-populist",
      test: "rimraf test/fixtures/logs/* && mocha",
      "test:coverage": "nyc npm run test:unit",
      "test:unit": "mocha test/unit",
      "test:integration": "mocha test/integration",
      build: "rimraf dist && babel lib -d dist",
      prepublishOnly: "npm run build"
    },
    engines: {
      node: ">= 12.0.0"
    },
    license: "MIT"
  };
});

// ../../node_modules/util-deprecate/node.js
var require_node = __commonJS((exports, module) => {
  module.exports = __require("util").deprecate;
});

// ../../node_modules/readable-stream/lib/internal/streams/destroy.js
var require_destroy = __commonJS((exports, module) => {
  function destroy(err, cb) {
    var _this = this;
    var readableDestroyed = this._readableState && this._readableState.destroyed;
    var writableDestroyed = this._writableState && this._writableState.destroyed;
    if (readableDestroyed || writableDestroyed) {
      if (cb) {
        cb(err);
      } else if (err) {
        if (!this._writableState) {
          process.nextTick(emitErrorNT, this, err);
        } else if (!this._writableState.errorEmitted) {
          this._writableState.errorEmitted = true;
          process.nextTick(emitErrorNT, this, err);
        }
      }
      return this;
    }
    if (this._readableState) {
      this._readableState.destroyed = true;
    }
    if (this._writableState) {
      this._writableState.destroyed = true;
    }
    this._destroy(err || null, function(err2) {
      if (!cb && err2) {
        if (!_this._writableState) {
          process.nextTick(emitErrorAndCloseNT, _this, err2);
        } else if (!_this._writableState.errorEmitted) {
          _this._writableState.errorEmitted = true;
          process.nextTick(emitErrorAndCloseNT, _this, err2);
        } else {
          process.nextTick(emitCloseNT, _this);
        }
      } else if (cb) {
        process.nextTick(emitCloseNT, _this);
        cb(err2);
      } else {
        process.nextTick(emitCloseNT, _this);
      }
    });
    return this;
  }
  function emitErrorAndCloseNT(self2, err) {
    emitErrorNT(self2, err);
    emitCloseNT(self2);
  }
  function emitCloseNT(self2) {
    if (self2._writableState && !self2._writableState.emitClose)
      return;
    if (self2._readableState && !self2._readableState.emitClose)
      return;
    self2.emit("close");
  }
  function undestroy() {
    if (this._readableState) {
      this._readableState.destroyed = false;
      this._readableState.reading = false;
      this._readableState.ended = false;
      this._readableState.endEmitted = false;
    }
    if (this._writableState) {
      this._writableState.destroyed = false;
      this._writableState.ended = false;
      this._writableState.ending = false;
      this._writableState.finalCalled = false;
      this._writableState.prefinished = false;
      this._writableState.finished = false;
      this._writableState.errorEmitted = false;
    }
  }
  function emitErrorNT(self2, err) {
    self2.emit("error", err);
  }
  function errorOrDestroy(stream, err) {
    var rState = stream._readableState;
    var wState = stream._writableState;
    if (rState && rState.autoDestroy || wState && wState.autoDestroy)
      stream.destroy(err);
    else
      stream.emit("error", err);
  }
  module.exports = {
    destroy,
    undestroy,
    errorOrDestroy
  };
});

// ../../node_modules/readable-stream/errors.js
var require_errors2 = __commonJS((exports, module) => {
  var codes = {};
  function createErrorType(code, message, Base) {
    if (!Base) {
      Base = Error;
    }
    function getMessage(arg1, arg2, arg3) {
      if (typeof message === "string") {
        return message;
      } else {
        return message(arg1, arg2, arg3);
      }
    }

    class NodeError extends Base {
      constructor(arg1, arg2, arg3) {
        super(getMessage(arg1, arg2, arg3));
      }
    }
    NodeError.prototype.name = Base.name;
    NodeError.prototype.code = code;
    codes[code] = NodeError;
  }
  function oneOf(expected, thing) {
    if (Array.isArray(expected)) {
      const len = expected.length;
      expected = expected.map((i) => String(i));
      if (len > 2) {
        return `one of ${thing} ${expected.slice(0, len - 1).join(", ")}, or ` + expected[len - 1];
      } else if (len === 2) {
        return `one of ${thing} ${expected[0]} or ${expected[1]}`;
      } else {
        return `of ${thing} ${expected[0]}`;
      }
    } else {
      return `of ${thing} ${String(expected)}`;
    }
  }
  function startsWith(str, search, pos) {
    return str.substr(!pos || pos < 0 ? 0 : +pos, search.length) === search;
  }
  function endsWith(str, search, this_len) {
    if (this_len === undefined || this_len > str.length) {
      this_len = str.length;
    }
    return str.substring(this_len - search.length, this_len) === search;
  }
  function includes(str, search, start) {
    if (typeof start !== "number") {
      start = 0;
    }
    if (start + search.length > str.length) {
      return false;
    } else {
      return str.indexOf(search, start) !== -1;
    }
  }
  createErrorType("ERR_INVALID_OPT_VALUE", function(name, value) {
    return 'The value "' + value + '" is invalid for option "' + name + '"';
  }, TypeError);
  createErrorType("ERR_INVALID_ARG_TYPE", function(name, expected, actual) {
    let determiner;
    if (typeof expected === "string" && startsWith(expected, "not ")) {
      determiner = "must not be";
      expected = expected.replace(/^not /, "");
    } else {
      determiner = "must be";
    }
    let msg;
    if (endsWith(name, " argument")) {
      msg = `The ${name} ${determiner} ${oneOf(expected, "type")}`;
    } else {
      const type = includes(name, ".") ? "property" : "argument";
      msg = `The "${name}" ${type} ${determiner} ${oneOf(expected, "type")}`;
    }
    msg += `. Received type ${typeof actual}`;
    return msg;
  }, TypeError);
  createErrorType("ERR_STREAM_PUSH_AFTER_EOF", "stream.push() after EOF");
  createErrorType("ERR_METHOD_NOT_IMPLEMENTED", function(name) {
    return "The " + name + " method is not implemented";
  });
  createErrorType("ERR_STREAM_PREMATURE_CLOSE", "Premature close");
  createErrorType("ERR_STREAM_DESTROYED", function(name) {
    return "Cannot call " + name + " after a stream was destroyed";
  });
  createErrorType("ERR_MULTIPLE_CALLBACK", "Callback called multiple times");
  createErrorType("ERR_STREAM_CANNOT_PIPE", "Cannot pipe, not readable");
  createErrorType("ERR_STREAM_WRITE_AFTER_END", "write after end");
  createErrorType("ERR_STREAM_NULL_VALUES", "May not write null values to stream", TypeError);
  createErrorType("ERR_UNKNOWN_ENCODING", function(arg) {
    return "Unknown encoding: " + arg;
  }, TypeError);
  createErrorType("ERR_STREAM_UNSHIFT_AFTER_END_EVENT", "stream.unshift() after end event");
  exports.codes = codes;
});

// ../../node_modules/readable-stream/lib/internal/streams/state.js
var require_state = __commonJS((exports, module) => {
  var ERR_INVALID_OPT_VALUE = require_errors2().codes.ERR_INVALID_OPT_VALUE;
  function highWaterMarkFrom(options, isDuplex, duplexKey) {
    return options.highWaterMark != null ? options.highWaterMark : isDuplex ? options[duplexKey] : null;
  }
  function getHighWaterMark(state, options, duplexKey, isDuplex) {
    var hwm = highWaterMarkFrom(options, isDuplex, duplexKey);
    if (hwm != null) {
      if (!(isFinite(hwm) && Math.floor(hwm) === hwm) || hwm < 0) {
        var name = isDuplex ? duplexKey : "highWaterMark";
        throw new ERR_INVALID_OPT_VALUE(name, hwm);
      }
      return Math.floor(hwm);
    }
    return state.objectMode ? 16 : 16 * 1024;
  }
  module.exports = {
    getHighWaterMark
  };
});

// ../../node_modules/inherits/inherits_browser.js
var require_inherits_browser = __commonJS((exports, module) => {
  if (typeof Object.create === "function") {
    module.exports = function inherits(ctor, superCtor) {
      if (superCtor) {
        ctor.super_ = superCtor;
        ctor.prototype = Object.create(superCtor.prototype, {
          constructor: {
            value: ctor,
            enumerable: false,
            writable: true,
            configurable: true
          }
        });
      }
    };
  } else {
    module.exports = function inherits(ctor, superCtor) {
      if (superCtor) {
        ctor.super_ = superCtor;
        var TempCtor = function() {
        };
        TempCtor.prototype = superCtor.prototype;
        ctor.prototype = new TempCtor;
        ctor.prototype.constructor = ctor;
      }
    };
  }
});

// ../../node_modules/inherits/inherits.js
var require_inherits = __commonJS((exports, module) => {
  try {
    util = __require("util");
    if (typeof util.inherits !== "function")
      throw "";
    module.exports = util.inherits;
  } catch (e) {
    module.exports = require_inherits_browser();
  }
  var util;
});

// ../../node_modules/readable-stream/lib/internal/streams/buffer_list.js
var require_buffer_list = __commonJS((exports, module) => {
  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }
    return keys;
  }
  function _objectSpread(target) {
    for (var i = 1;i < arguments.length; i++) {
      var source = arguments[i] != null ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), true).forEach(function(key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
    return target;
  }
  function _defineProperty(obj, key, value) {
    key = _toPropertyKey(key);
    if (key in obj) {
      Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
    } else {
      obj[key] = value;
    }
    return obj;
  }
  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }
  function _defineProperties(target, props) {
    for (var i = 0;i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor)
        descriptor.writable = true;
      Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor);
    }
  }
  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps)
      _defineProperties(Constructor.prototype, protoProps);
    if (staticProps)
      _defineProperties(Constructor, staticProps);
    Object.defineProperty(Constructor, "prototype", { writable: false });
    return Constructor;
  }
  function _toPropertyKey(arg) {
    var key = _toPrimitive(arg, "string");
    return typeof key === "symbol" ? key : String(key);
  }
  function _toPrimitive(input, hint) {
    if (typeof input !== "object" || input === null)
      return input;
    var prim = input[Symbol.toPrimitive];
    if (prim !== undefined) {
      var res = prim.call(input, hint || "default");
      if (typeof res !== "object")
        return res;
      throw new TypeError("@@toPrimitive must return a primitive value.");
    }
    return (hint === "string" ? String : Number)(input);
  }
  var _require = __require("buffer");
  var Buffer2 = _require.Buffer;
  var _require2 = __require("util");
  var inspect = _require2.inspect;
  var custom = inspect && inspect.custom || "inspect";
  function copyBuffer(src, target, offset) {
    Buffer2.prototype.copy.call(src, target, offset);
  }
  module.exports = /* @__PURE__ */ function() {
    function BufferList() {
      _classCallCheck(this, BufferList);
      this.head = null;
      this.tail = null;
      this.length = 0;
    }
    _createClass(BufferList, [{
      key: "push",
      value: function push(v) {
        var entry = {
          data: v,
          next: null
        };
        if (this.length > 0)
          this.tail.next = entry;
        else
          this.head = entry;
        this.tail = entry;
        ++this.length;
      }
    }, {
      key: "unshift",
      value: function unshift(v) {
        var entry = {
          data: v,
          next: this.head
        };
        if (this.length === 0)
          this.tail = entry;
        this.head = entry;
        ++this.length;
      }
    }, {
      key: "shift",
      value: function shift() {
        if (this.length === 0)
          return;
        var ret = this.head.data;
        if (this.length === 1)
          this.head = this.tail = null;
        else
          this.head = this.head.next;
        --this.length;
        return ret;
      }
    }, {
      key: "clear",
      value: function clear() {
        this.head = this.tail = null;
        this.length = 0;
      }
    }, {
      key: "join",
      value: function join(s) {
        if (this.length === 0)
          return "";
        var p = this.head;
        var ret = "" + p.data;
        while (p = p.next)
          ret += s + p.data;
        return ret;
      }
    }, {
      key: "concat",
      value: function concat(n) {
        if (this.length === 0)
          return Buffer2.alloc(0);
        var ret = Buffer2.allocUnsafe(n >>> 0);
        var p = this.head;
        var i = 0;
        while (p) {
          copyBuffer(p.data, ret, i);
          i += p.data.length;
          p = p.next;
        }
        return ret;
      }
    }, {
      key: "consume",
      value: function consume(n, hasStrings) {
        var ret;
        if (n < this.head.data.length) {
          ret = this.head.data.slice(0, n);
          this.head.data = this.head.data.slice(n);
        } else if (n === this.head.data.length) {
          ret = this.shift();
        } else {
          ret = hasStrings ? this._getString(n) : this._getBuffer(n);
        }
        return ret;
      }
    }, {
      key: "first",
      value: function first() {
        return this.head.data;
      }
    }, {
      key: "_getString",
      value: function _getString(n) {
        var p = this.head;
        var c = 1;
        var ret = p.data;
        n -= ret.length;
        while (p = p.next) {
          var str = p.data;
          var nb = n > str.length ? str.length : n;
          if (nb === str.length)
            ret += str;
          else
            ret += str.slice(0, n);
          n -= nb;
          if (n === 0) {
            if (nb === str.length) {
              ++c;
              if (p.next)
                this.head = p.next;
              else
                this.head = this.tail = null;
            } else {
              this.head = p;
              p.data = str.slice(nb);
            }
            break;
          }
          ++c;
        }
        this.length -= c;
        return ret;
      }
    }, {
      key: "_getBuffer",
      value: function _getBuffer(n) {
        var ret = Buffer2.allocUnsafe(n);
        var p = this.head;
        var c = 1;
        p.data.copy(ret);
        n -= p.data.length;
        while (p = p.next) {
          var buf = p.data;
          var nb = n > buf.length ? buf.length : n;
          buf.copy(ret, ret.length - n, 0, nb);
          n -= nb;
          if (n === 0) {
            if (nb === buf.length) {
              ++c;
              if (p.next)
                this.head = p.next;
              else
                this.head = this.tail = null;
            } else {
              this.head = p;
              p.data = buf.slice(nb);
            }
            break;
          }
          ++c;
        }
        this.length -= c;
        return ret;
      }
    }, {
      key: custom,
      value: function value(_, options) {
        return inspect(this, _objectSpread(_objectSpread({}, options), {}, {
          depth: 0,
          customInspect: false
        }));
      }
    }]);
    return BufferList;
  }();
});

// ../../node_modules/safe-buffer/index.js
var require_safe_buffer = __commonJS((exports, module) => {
  /*! safe-buffer. MIT License. Feross Aboukhadijeh <https://feross.org/opensource> */
  var buffer = __require("buffer");
  var Buffer2 = buffer.Buffer;
  function copyProps(src, dst) {
    for (var key in src) {
      dst[key] = src[key];
    }
  }
  if (Buffer2.from && Buffer2.alloc && Buffer2.allocUnsafe && Buffer2.allocUnsafeSlow) {
    module.exports = buffer;
  } else {
    copyProps(buffer, exports);
    exports.Buffer = SafeBuffer;
  }
  function SafeBuffer(arg, encodingOrOffset, length) {
    return Buffer2(arg, encodingOrOffset, length);
  }
  SafeBuffer.prototype = Object.create(Buffer2.prototype);
  copyProps(Buffer2, SafeBuffer);
  SafeBuffer.from = function(arg, encodingOrOffset, length) {
    if (typeof arg === "number") {
      throw new TypeError("Argument must not be a number");
    }
    return Buffer2(arg, encodingOrOffset, length);
  };
  SafeBuffer.alloc = function(size, fill, encoding) {
    if (typeof size !== "number") {
      throw new TypeError("Argument must be a number");
    }
    var buf = Buffer2(size);
    if (fill !== undefined) {
      if (typeof encoding === "string") {
        buf.fill(fill, encoding);
      } else {
        buf.fill(fill);
      }
    } else {
      buf.fill(0);
    }
    return buf;
  };
  SafeBuffer.allocUnsafe = function(size) {
    if (typeof size !== "number") {
      throw new TypeError("Argument must be a number");
    }
    return Buffer2(size);
  };
  SafeBuffer.allocUnsafeSlow = function(size) {
    if (typeof size !== "number") {
      throw new TypeError("Argument must be a number");
    }
    return buffer.SlowBuffer(size);
  };
});

// ../../node_modules/string_decoder/lib/string_decoder.js
var require_string_decoder = __commonJS((exports) => {
  var Buffer2 = require_safe_buffer().Buffer;
  var isEncoding = Buffer2.isEncoding || function(encoding) {
    encoding = "" + encoding;
    switch (encoding && encoding.toLowerCase()) {
      case "hex":
      case "utf8":
      case "utf-8":
      case "ascii":
      case "binary":
      case "base64":
      case "ucs2":
      case "ucs-2":
      case "utf16le":
      case "utf-16le":
      case "raw":
        return true;
      default:
        return false;
    }
  };
  function _normalizeEncoding(enc) {
    if (!enc)
      return "utf8";
    var retried;
    while (true) {
      switch (enc) {
        case "utf8":
        case "utf-8":
          return "utf8";
        case "ucs2":
        case "ucs-2":
        case "utf16le":
        case "utf-16le":
          return "utf16le";
        case "latin1":
        case "binary":
          return "latin1";
        case "base64":
        case "ascii":
        case "hex":
          return enc;
        default:
          if (retried)
            return;
          enc = ("" + enc).toLowerCase();
          retried = true;
      }
    }
  }
  function normalizeEncoding(enc) {
    var nenc = _normalizeEncoding(enc);
    if (typeof nenc !== "string" && (Buffer2.isEncoding === isEncoding || !isEncoding(enc)))
      throw new Error("Unknown encoding: " + enc);
    return nenc || enc;
  }
  exports.StringDecoder = StringDecoder;
  function StringDecoder(encoding) {
    this.encoding = normalizeEncoding(encoding);
    var nb;
    switch (this.encoding) {
      case "utf16le":
        this.text = utf16Text;
        this.end = utf16End;
        nb = 4;
        break;
      case "utf8":
        this.fillLast = utf8FillLast;
        nb = 4;
        break;
      case "base64":
        this.text = base64Text;
        this.end = base64End;
        nb = 3;
        break;
      default:
        this.write = simpleWrite;
        this.end = simpleEnd;
        return;
    }
    this.lastNeed = 0;
    this.lastTotal = 0;
    this.lastChar = Buffer2.allocUnsafe(nb);
  }
  StringDecoder.prototype.write = function(buf) {
    if (buf.length === 0)
      return "";
    var r;
    var i;
    if (this.lastNeed) {
      r = this.fillLast(buf);
      if (r === undefined)
        return "";
      i = this.lastNeed;
      this.lastNeed = 0;
    } else {
      i = 0;
    }
    if (i < buf.length)
      return r ? r + this.text(buf, i) : this.text(buf, i);
    return r || "";
  };
  StringDecoder.prototype.end = utf8End;
  StringDecoder.prototype.text = utf8Text;
  StringDecoder.prototype.fillLast = function(buf) {
    if (this.lastNeed <= buf.length) {
      buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, this.lastNeed);
      return this.lastChar.toString(this.encoding, 0, this.lastTotal);
    }
    buf.copy(this.lastChar, this.lastTotal - this.lastNeed, 0, buf.length);
    this.lastNeed -= buf.length;
  };
  function utf8CheckByte(byte) {
    if (byte <= 127)
      return 0;
    else if (byte >> 5 === 6)
      return 2;
    else if (byte >> 4 === 14)
      return 3;
    else if (byte >> 3 === 30)
      return 4;
    return byte >> 6 === 2 ? -1 : -2;
  }
  function utf8CheckIncomplete(self2, buf, i) {
    var j = buf.length - 1;
    if (j < i)
      return 0;
    var nb = utf8CheckByte(buf[j]);
    if (nb >= 0) {
      if (nb > 0)
        self2.lastNeed = nb - 1;
      return nb;
    }
    if (--j < i || nb === -2)
      return 0;
    nb = utf8CheckByte(buf[j]);
    if (nb >= 0) {
      if (nb > 0)
        self2.lastNeed = nb - 2;
      return nb;
    }
    if (--j < i || nb === -2)
      return 0;
    nb = utf8CheckByte(buf[j]);
    if (nb >= 0) {
      if (nb > 0) {
        if (nb === 2)
          nb = 0;
        else
          self2.lastNeed = nb - 3;
      }
      return nb;
    }
    return 0;
  }
  function utf8CheckExtraBytes(self2, buf, p) {
    if ((buf[0] & 192) !== 128) {
      self2.lastNeed = 0;
      return "\uFFFD";
    }
    if (self2.lastNeed > 1 && buf.length > 1) {
      if ((buf[1] & 192) !== 128) {
        self2.lastNeed = 1;
        return "\uFFFD";
      }
      if (self2.lastNeed > 2 && buf.length > 2) {
        if ((buf[2] & 192) !== 128) {
          self2.lastNeed = 2;
          return "\uFFFD";
        }
      }
    }
  }
  function utf8FillLast(buf) {
    var p = this.lastTotal - this.lastNeed;
    var r = utf8CheckExtraBytes(this, buf, p);
    if (r !== undefined)
      return r;
    if (this.lastNeed <= buf.length) {
      buf.copy(this.lastChar, p, 0, this.lastNeed);
      return this.lastChar.toString(this.encoding, 0, this.lastTotal);
    }
    buf.copy(this.lastChar, p, 0, buf.length);
    this.lastNeed -= buf.length;
  }
  function utf8Text(buf, i) {
    var total = utf8CheckIncomplete(this, buf, i);
    if (!this.lastNeed)
      return buf.toString("utf8", i);
    this.lastTotal = total;
    var end = buf.length - (total - this.lastNeed);
    buf.copy(this.lastChar, 0, end);
    return buf.toString("utf8", i, end);
  }
  function utf8End(buf) {
    var r = buf && buf.length ? this.write(buf) : "";
    if (this.lastNeed)
      return r + "\uFFFD";
    return r;
  }
  function utf16Text(buf, i) {
    if ((buf.length - i) % 2 === 0) {
      var r = buf.toString("utf16le", i);
      if (r) {
        var c = r.charCodeAt(r.length - 1);
        if (c >= 55296 && c <= 56319) {
          this.lastNeed = 2;
          this.lastTotal = 4;
          this.lastChar[0] = buf[buf.length - 2];
          this.lastChar[1] = buf[buf.length - 1];
          return r.slice(0, -1);
        }
      }
      return r;
    }
    this.lastNeed = 1;
    this.lastTotal = 2;
    this.lastChar[0] = buf[buf.length - 1];
    return buf.toString("utf16le", i, buf.length - 1);
  }
  function utf16End(buf) {
    var r = buf && buf.length ? this.write(buf) : "";
    if (this.lastNeed) {
      var end = this.lastTotal - this.lastNeed;
      return r + this.lastChar.toString("utf16le", 0, end);
    }
    return r;
  }
  function base64Text(buf, i) {
    var n = (buf.length - i) % 3;
    if (n === 0)
      return buf.toString("base64", i);
    this.lastNeed = 3 - n;
    this.lastTotal = 3;
    if (n === 1) {
      this.lastChar[0] = buf[buf.length - 1];
    } else {
      this.lastChar[0] = buf[buf.length - 2];
      this.lastChar[1] = buf[buf.length - 1];
    }
    return buf.toString("base64", i, buf.length - n);
  }
  function base64End(buf) {
    var r = buf && buf.length ? this.write(buf) : "";
    if (this.lastNeed)
      return r + this.lastChar.toString("base64", 0, 3 - this.lastNeed);
    return r;
  }
  function simpleWrite(buf) {
    return buf.toString(this.encoding);
  }
  function simpleEnd(buf) {
    return buf && buf.length ? this.write(buf) : "";
  }
});

// ../../node_modules/readable-stream/lib/internal/streams/end-of-stream.js
var require_end_of_stream = __commonJS((exports, module) => {
  var ERR_STREAM_PREMATURE_CLOSE = require_errors2().codes.ERR_STREAM_PREMATURE_CLOSE;
  function once(callback) {
    var called = false;
    return function() {
      if (called)
        return;
      called = true;
      for (var _len = arguments.length, args = new Array(_len), _key = 0;_key < _len; _key++) {
        args[_key] = arguments[_key];
      }
      callback.apply(this, args);
    };
  }
  function noop() {
  }
  function isRequest(stream) {
    return stream.setHeader && typeof stream.abort === "function";
  }
  function eos(stream, opts, callback) {
    if (typeof opts === "function")
      return eos(stream, null, opts);
    if (!opts)
      opts = {};
    callback = once(callback || noop);
    var readable = opts.readable || opts.readable !== false && stream.readable;
    var writable = opts.writable || opts.writable !== false && stream.writable;
    var onlegacyfinish = function onlegacyfinish() {
      if (!stream.writable)
        onfinish();
    };
    var writableEnded = stream._writableState && stream._writableState.finished;
    var onfinish = function onfinish() {
      writable = false;
      writableEnded = true;
      if (!readable)
        callback.call(stream);
    };
    var readableEnded = stream._readableState && stream._readableState.endEmitted;
    var onend = function onend() {
      readable = false;
      readableEnded = true;
      if (!writable)
        callback.call(stream);
    };
    var onerror = function onerror(err) {
      callback.call(stream, err);
    };
    var onclose = function onclose() {
      var err;
      if (readable && !readableEnded) {
        if (!stream._readableState || !stream._readableState.ended)
          err = new ERR_STREAM_PREMATURE_CLOSE;
        return callback.call(stream, err);
      }
      if (writable && !writableEnded) {
        if (!stream._writableState || !stream._writableState.ended)
          err = new ERR_STREAM_PREMATURE_CLOSE;
        return callback.call(stream, err);
      }
    };
    var onrequest = function onrequest() {
      stream.req.on("finish", onfinish);
    };
    if (isRequest(stream)) {
      stream.on("complete", onfinish);
      stream.on("abort", onclose);
      if (stream.req)
        onrequest();
      else
        stream.on("request", onrequest);
    } else if (writable && !stream._writableState) {
      stream.on("end", onlegacyfinish);
      stream.on("close", onlegacyfinish);
    }
    stream.on("end", onend);
    stream.on("finish", onfinish);
    if (opts.error !== false)
      stream.on("error", onerror);
    stream.on("close", onclose);
    return function() {
      stream.removeListener("complete", onfinish);
      stream.removeListener("abort", onclose);
      stream.removeListener("request", onrequest);
      if (stream.req)
        stream.req.removeListener("finish", onfinish);
      stream.removeListener("end", onlegacyfinish);
      stream.removeListener("close", onlegacyfinish);
      stream.removeListener("finish", onfinish);
      stream.removeListener("end", onend);
      stream.removeListener("error", onerror);
      stream.removeListener("close", onclose);
    };
  }
  module.exports = eos;
});

// ../../node_modules/readable-stream/lib/internal/streams/async_iterator.js
var require_async_iterator = __commonJS((exports, module) => {
  var _Object$setPrototypeO;
  function _defineProperty(obj, key, value) {
    key = _toPropertyKey(key);
    if (key in obj) {
      Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
    } else {
      obj[key] = value;
    }
    return obj;
  }
  function _toPropertyKey(arg) {
    var key = _toPrimitive(arg, "string");
    return typeof key === "symbol" ? key : String(key);
  }
  function _toPrimitive(input, hint) {
    if (typeof input !== "object" || input === null)
      return input;
    var prim = input[Symbol.toPrimitive];
    if (prim !== undefined) {
      var res = prim.call(input, hint || "default");
      if (typeof res !== "object")
        return res;
      throw new TypeError("@@toPrimitive must return a primitive value.");
    }
    return (hint === "string" ? String : Number)(input);
  }
  var finished = require_end_of_stream();
  var kLastResolve = Symbol("lastResolve");
  var kLastReject = Symbol("lastReject");
  var kError = Symbol("error");
  var kEnded = Symbol("ended");
  var kLastPromise = Symbol("lastPromise");
  var kHandlePromise = Symbol("handlePromise");
  var kStream = Symbol("stream");
  function createIterResult(value, done) {
    return {
      value,
      done
    };
  }
  function readAndResolve(iter) {
    var resolve = iter[kLastResolve];
    if (resolve !== null) {
      var data = iter[kStream].read();
      if (data !== null) {
        iter[kLastPromise] = null;
        iter[kLastResolve] = null;
        iter[kLastReject] = null;
        resolve(createIterResult(data, false));
      }
    }
  }
  function onReadable(iter) {
    process.nextTick(readAndResolve, iter);
  }
  function wrapForNext(lastPromise, iter) {
    return function(resolve, reject) {
      lastPromise.then(function() {
        if (iter[kEnded]) {
          resolve(createIterResult(undefined, true));
          return;
        }
        iter[kHandlePromise](resolve, reject);
      }, reject);
    };
  }
  var AsyncIteratorPrototype = Object.getPrototypeOf(function() {
  });
  var ReadableStreamAsyncIteratorPrototype = Object.setPrototypeOf((_Object$setPrototypeO = {
    get stream() {
      return this[kStream];
    },
    next: function next() {
      var _this = this;
      var error = this[kError];
      if (error !== null) {
        return Promise.reject(error);
      }
      if (this[kEnded]) {
        return Promise.resolve(createIterResult(undefined, true));
      }
      if (this[kStream].destroyed) {
        return new Promise(function(resolve, reject) {
          process.nextTick(function() {
            if (_this[kError]) {
              reject(_this[kError]);
            } else {
              resolve(createIterResult(undefined, true));
            }
          });
        });
      }
      var lastPromise = this[kLastPromise];
      var promise;
      if (lastPromise) {
        promise = new Promise(wrapForNext(lastPromise, this));
      } else {
        var data = this[kStream].read();
        if (data !== null) {
          return Promise.resolve(createIterResult(data, false));
        }
        promise = new Promise(this[kHandlePromise]);
      }
      this[kLastPromise] = promise;
      return promise;
    }
  }, _defineProperty(_Object$setPrototypeO, Symbol.asyncIterator, function() {
    return this;
  }), _defineProperty(_Object$setPrototypeO, "return", function _return() {
    var _this2 = this;
    return new Promise(function(resolve, reject) {
      _this2[kStream].destroy(null, function(err) {
        if (err) {
          reject(err);
          return;
        }
        resolve(createIterResult(undefined, true));
      });
    });
  }), _Object$setPrototypeO), AsyncIteratorPrototype);
  var createReadableStreamAsyncIterator = function createReadableStreamAsyncIterator(stream) {
    var _Object$create;
    var iterator = Object.create(ReadableStreamAsyncIteratorPrototype, (_Object$create = {}, _defineProperty(_Object$create, kStream, {
      value: stream,
      writable: true
    }), _defineProperty(_Object$create, kLastResolve, {
      value: null,
      writable: true
    }), _defineProperty(_Object$create, kLastReject, {
      value: null,
      writable: true
    }), _defineProperty(_Object$create, kError, {
      value: null,
      writable: true
    }), _defineProperty(_Object$create, kEnded, {
      value: stream._readableState.endEmitted,
      writable: true
    }), _defineProperty(_Object$create, kHandlePromise, {
      value: function value(resolve, reject) {
        var data = iterator[kStream].read();
        if (data) {
          iterator[kLastPromise] = null;
          iterator[kLastResolve] = null;
          iterator[kLastReject] = null;
          resolve(createIterResult(data, false));
        } else {
          iterator[kLastResolve] = resolve;
          iterator[kLastReject] = reject;
        }
      },
      writable: true
    }), _Object$create));
    iterator[kLastPromise] = null;
    finished(stream, function(err) {
      if (err && err.code !== "ERR_STREAM_PREMATURE_CLOSE") {
        var reject = iterator[kLastReject];
        if (reject !== null) {
          iterator[kLastPromise] = null;
          iterator[kLastResolve] = null;
          iterator[kLastReject] = null;
          reject(err);
        }
        iterator[kError] = err;
        return;
      }
      var resolve = iterator[kLastResolve];
      if (resolve !== null) {
        iterator[kLastPromise] = null;
        iterator[kLastResolve] = null;
        iterator[kLastReject] = null;
        resolve(createIterResult(undefined, true));
      }
      iterator[kEnded] = true;
    });
    stream.on("readable", onReadable.bind(null, iterator));
    return iterator;
  };
  module.exports = createReadableStreamAsyncIterator;
});

// ../../node_modules/readable-stream/lib/internal/streams/from.js
var require_from = __commonJS((exports, module) => {
  function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
    try {
      var info = gen[key](arg);
      var value = info.value;
    } catch (error) {
      reject(error);
      return;
    }
    if (info.done) {
      resolve(value);
    } else {
      Promise.resolve(value).then(_next, _throw);
    }
  }
  function _asyncToGenerator(fn) {
    return function() {
      var self2 = this, args = arguments;
      return new Promise(function(resolve, reject) {
        var gen = fn.apply(self2, args);
        function _next(value) {
          asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
        }
        function _throw(err) {
          asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
        }
        _next(undefined);
      });
    };
  }
  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      enumerableOnly && (symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      })), keys.push.apply(keys, symbols);
    }
    return keys;
  }
  function _objectSpread(target) {
    for (var i = 1;i < arguments.length; i++) {
      var source = arguments[i] != null ? arguments[i] : {};
      i % 2 ? ownKeys(Object(source), true).forEach(function(key) {
        _defineProperty(target, key, source[key]);
      }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
    return target;
  }
  function _defineProperty(obj, key, value) {
    key = _toPropertyKey(key);
    if (key in obj) {
      Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
    } else {
      obj[key] = value;
    }
    return obj;
  }
  function _toPropertyKey(arg) {
    var key = _toPrimitive(arg, "string");
    return typeof key === "symbol" ? key : String(key);
  }
  function _toPrimitive(input, hint) {
    if (typeof input !== "object" || input === null)
      return input;
    var prim = input[Symbol.toPrimitive];
    if (prim !== undefined) {
      var res = prim.call(input, hint || "default");
      if (typeof res !== "object")
        return res;
      throw new TypeError("@@toPrimitive must return a primitive value.");
    }
    return (hint === "string" ? String : Number)(input);
  }
  var ERR_INVALID_ARG_TYPE = require_errors2().codes.ERR_INVALID_ARG_TYPE;
  function from(Readable, iterable, opts) {
    var iterator;
    if (iterable && typeof iterable.next === "function") {
      iterator = iterable;
    } else if (iterable && iterable[Symbol.asyncIterator])
      iterator = iterable[Symbol.asyncIterator]();
    else if (iterable && iterable[Symbol.iterator])
      iterator = iterable[Symbol.iterator]();
    else
      throw new ERR_INVALID_ARG_TYPE("iterable", ["Iterable"], iterable);
    var readable = new Readable(_objectSpread({
      objectMode: true
    }, opts));
    var reading = false;
    readable._read = function() {
      if (!reading) {
        reading = true;
        next();
      }
    };
    function next() {
      return _next2.apply(this, arguments);
    }
    function _next2() {
      _next2 = _asyncToGenerator(function* () {
        try {
          var _yield$iterator$next = yield iterator.next(), value = _yield$iterator$next.value, done = _yield$iterator$next.done;
          if (done) {
            readable.push(null);
          } else if (readable.push(yield value)) {
            next();
          } else {
            reading = false;
          }
        } catch (err) {
          readable.destroy(err);
        }
      });
      return _next2.apply(this, arguments);
    }
    return readable;
  }
  module.exports = from;
});

// ../../node_modules/readable-stream/lib/_stream_readable.js
var require__stream_readable = __commonJS((exports, module) => {
  module.exports = Readable;
  var Duplex;
  Readable.ReadableState = ReadableState;
  var EE = __require("events").EventEmitter;
  var EElistenerCount = function EElistenerCount(emitter, type) {
    return emitter.listeners(type).length;
  };
  var Stream = __require("stream");
  var Buffer2 = __require("buffer").Buffer;
  var OurUint8Array = (typeof global !== "undefined" ? global : typeof window !== "undefined" ? window : typeof self !== "undefined" ? self : {}).Uint8Array || function() {
  };
  function _uint8ArrayToBuffer(chunk) {
    return Buffer2.from(chunk);
  }
  function _isUint8Array(obj) {
    return Buffer2.isBuffer(obj) || obj instanceof OurUint8Array;
  }
  var debugUtil = __require("util");
  var debug;
  if (debugUtil && debugUtil.debuglog) {
    debug = debugUtil.debuglog("stream");
  } else {
    debug = function debug() {
    };
  }
  var BufferList = require_buffer_list();
  var destroyImpl = require_destroy();
  var _require = require_state();
  var getHighWaterMark = _require.getHighWaterMark;
  var _require$codes = require_errors2().codes;
  var ERR_INVALID_ARG_TYPE = _require$codes.ERR_INVALID_ARG_TYPE;
  var ERR_STREAM_PUSH_AFTER_EOF = _require$codes.ERR_STREAM_PUSH_AFTER_EOF;
  var ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED;
  var ERR_STREAM_UNSHIFT_AFTER_END_EVENT = _require$codes.ERR_STREAM_UNSHIFT_AFTER_END_EVENT;
  var StringDecoder;
  var createReadableStreamAsyncIterator;
  var from;
  require_inherits()(Readable, Stream);
  var errorOrDestroy = destroyImpl.errorOrDestroy;
  var kProxyEvents = ["error", "close", "destroy", "pause", "resume"];
  function prependListener(emitter, event, fn) {
    if (typeof emitter.prependListener === "function")
      return emitter.prependListener(event, fn);
    if (!emitter._events || !emitter._events[event])
      emitter.on(event, fn);
    else if (Array.isArray(emitter._events[event]))
      emitter._events[event].unshift(fn);
    else
      emitter._events[event] = [fn, emitter._events[event]];
  }
  function ReadableState(options, stream, isDuplex) {
    Duplex = Duplex || require__stream_duplex();
    options = options || {};
    if (typeof isDuplex !== "boolean")
      isDuplex = stream instanceof Duplex;
    this.objectMode = !!options.objectMode;
    if (isDuplex)
      this.objectMode = this.objectMode || !!options.readableObjectMode;
    this.highWaterMark = getHighWaterMark(this, options, "readableHighWaterMark", isDuplex);
    this.buffer = new BufferList;
    this.length = 0;
    this.pipes = null;
    this.pipesCount = 0;
    this.flowing = null;
    this.ended = false;
    this.endEmitted = false;
    this.reading = false;
    this.sync = true;
    this.needReadable = false;
    this.emittedReadable = false;
    this.readableListening = false;
    this.resumeScheduled = false;
    this.paused = true;
    this.emitClose = options.emitClose !== false;
    this.autoDestroy = !!options.autoDestroy;
    this.destroyed = false;
    this.defaultEncoding = options.defaultEncoding || "utf8";
    this.awaitDrain = 0;
    this.readingMore = false;
    this.decoder = null;
    this.encoding = null;
    if (options.encoding) {
      if (!StringDecoder)
        StringDecoder = require_string_decoder().StringDecoder;
      this.decoder = new StringDecoder(options.encoding);
      this.encoding = options.encoding;
    }
  }
  function Readable(options) {
    Duplex = Duplex || require__stream_duplex();
    if (!(this instanceof Readable))
      return new Readable(options);
    var isDuplex = this instanceof Duplex;
    this._readableState = new ReadableState(options, this, isDuplex);
    this.readable = true;
    if (options) {
      if (typeof options.read === "function")
        this._read = options.read;
      if (typeof options.destroy === "function")
        this._destroy = options.destroy;
    }
    Stream.call(this);
  }
  Object.defineProperty(Readable.prototype, "destroyed", {
    enumerable: false,
    get: function get() {
      if (this._readableState === undefined) {
        return false;
      }
      return this._readableState.destroyed;
    },
    set: function set(value) {
      if (!this._readableState) {
        return;
      }
      this._readableState.destroyed = value;
    }
  });
  Readable.prototype.destroy = destroyImpl.destroy;
  Readable.prototype._undestroy = destroyImpl.undestroy;
  Readable.prototype._destroy = function(err, cb) {
    cb(err);
  };
  Readable.prototype.push = function(chunk, encoding) {
    var state = this._readableState;
    var skipChunkCheck;
    if (!state.objectMode) {
      if (typeof chunk === "string") {
        encoding = encoding || state.defaultEncoding;
        if (encoding !== state.encoding) {
          chunk = Buffer2.from(chunk, encoding);
          encoding = "";
        }
        skipChunkCheck = true;
      }
    } else {
      skipChunkCheck = true;
    }
    return readableAddChunk(this, chunk, encoding, false, skipChunkCheck);
  };
  Readable.prototype.unshift = function(chunk) {
    return readableAddChunk(this, chunk, null, true, false);
  };
  function readableAddChunk(stream, chunk, encoding, addToFront, skipChunkCheck) {
    debug("readableAddChunk", chunk);
    var state = stream._readableState;
    if (chunk === null) {
      state.reading = false;
      onEofChunk(stream, state);
    } else {
      var er;
      if (!skipChunkCheck)
        er = chunkInvalid(state, chunk);
      if (er) {
        errorOrDestroy(stream, er);
      } else if (state.objectMode || chunk && chunk.length > 0) {
        if (typeof chunk !== "string" && !state.objectMode && Object.getPrototypeOf(chunk) !== Buffer2.prototype) {
          chunk = _uint8ArrayToBuffer(chunk);
        }
        if (addToFront) {
          if (state.endEmitted)
            errorOrDestroy(stream, new ERR_STREAM_UNSHIFT_AFTER_END_EVENT);
          else
            addChunk(stream, state, chunk, true);
        } else if (state.ended) {
          errorOrDestroy(stream, new ERR_STREAM_PUSH_AFTER_EOF);
        } else if (state.destroyed) {
          return false;
        } else {
          state.reading = false;
          if (state.decoder && !encoding) {
            chunk = state.decoder.write(chunk);
            if (state.objectMode || chunk.length !== 0)
              addChunk(stream, state, chunk, false);
            else
              maybeReadMore(stream, state);
          } else {
            addChunk(stream, state, chunk, false);
          }
        }
      } else if (!addToFront) {
        state.reading = false;
        maybeReadMore(stream, state);
      }
    }
    return !state.ended && (state.length < state.highWaterMark || state.length === 0);
  }
  function addChunk(stream, state, chunk, addToFront) {
    if (state.flowing && state.length === 0 && !state.sync) {
      state.awaitDrain = 0;
      stream.emit("data", chunk);
    } else {
      state.length += state.objectMode ? 1 : chunk.length;
      if (addToFront)
        state.buffer.unshift(chunk);
      else
        state.buffer.push(chunk);
      if (state.needReadable)
        emitReadable(stream);
    }
    maybeReadMore(stream, state);
  }
  function chunkInvalid(state, chunk) {
    var er;
    if (!_isUint8Array(chunk) && typeof chunk !== "string" && chunk !== undefined && !state.objectMode) {
      er = new ERR_INVALID_ARG_TYPE("chunk", ["string", "Buffer", "Uint8Array"], chunk);
    }
    return er;
  }
  Readable.prototype.isPaused = function() {
    return this._readableState.flowing === false;
  };
  Readable.prototype.setEncoding = function(enc) {
    if (!StringDecoder)
      StringDecoder = require_string_decoder().StringDecoder;
    var decoder = new StringDecoder(enc);
    this._readableState.decoder = decoder;
    this._readableState.encoding = this._readableState.decoder.encoding;
    var p = this._readableState.buffer.head;
    var content = "";
    while (p !== null) {
      content += decoder.write(p.data);
      p = p.next;
    }
    this._readableState.buffer.clear();
    if (content !== "")
      this._readableState.buffer.push(content);
    this._readableState.length = content.length;
    return this;
  };
  var MAX_HWM = 1073741824;
  function computeNewHighWaterMark(n) {
    if (n >= MAX_HWM) {
      n = MAX_HWM;
    } else {
      n--;
      n |= n >>> 1;
      n |= n >>> 2;
      n |= n >>> 4;
      n |= n >>> 8;
      n |= n >>> 16;
      n++;
    }
    return n;
  }
  function howMuchToRead(n, state) {
    if (n <= 0 || state.length === 0 && state.ended)
      return 0;
    if (state.objectMode)
      return 1;
    if (n !== n) {
      if (state.flowing && state.length)
        return state.buffer.head.data.length;
      else
        return state.length;
    }
    if (n > state.highWaterMark)
      state.highWaterMark = computeNewHighWaterMark(n);
    if (n <= state.length)
      return n;
    if (!state.ended) {
      state.needReadable = true;
      return 0;
    }
    return state.length;
  }
  Readable.prototype.read = function(n) {
    debug("read", n);
    n = parseInt(n, 10);
    var state = this._readableState;
    var nOrig = n;
    if (n !== 0)
      state.emittedReadable = false;
    if (n === 0 && state.needReadable && ((state.highWaterMark !== 0 ? state.length >= state.highWaterMark : state.length > 0) || state.ended)) {
      debug("read: emitReadable", state.length, state.ended);
      if (state.length === 0 && state.ended)
        endReadable(this);
      else
        emitReadable(this);
      return null;
    }
    n = howMuchToRead(n, state);
    if (n === 0 && state.ended) {
      if (state.length === 0)
        endReadable(this);
      return null;
    }
    var doRead = state.needReadable;
    debug("need readable", doRead);
    if (state.length === 0 || state.length - n < state.highWaterMark) {
      doRead = true;
      debug("length less than watermark", doRead);
    }
    if (state.ended || state.reading) {
      doRead = false;
      debug("reading or ended", doRead);
    } else if (doRead) {
      debug("do read");
      state.reading = true;
      state.sync = true;
      if (state.length === 0)
        state.needReadable = true;
      this._read(state.highWaterMark);
      state.sync = false;
      if (!state.reading)
        n = howMuchToRead(nOrig, state);
    }
    var ret;
    if (n > 0)
      ret = fromList(n, state);
    else
      ret = null;
    if (ret === null) {
      state.needReadable = state.length <= state.highWaterMark;
      n = 0;
    } else {
      state.length -= n;
      state.awaitDrain = 0;
    }
    if (state.length === 0) {
      if (!state.ended)
        state.needReadable = true;
      if (nOrig !== n && state.ended)
        endReadable(this);
    }
    if (ret !== null)
      this.emit("data", ret);
    return ret;
  };
  function onEofChunk(stream, state) {
    debug("onEofChunk");
    if (state.ended)
      return;
    if (state.decoder) {
      var chunk = state.decoder.end();
      if (chunk && chunk.length) {
        state.buffer.push(chunk);
        state.length += state.objectMode ? 1 : chunk.length;
      }
    }
    state.ended = true;
    if (state.sync) {
      emitReadable(stream);
    } else {
      state.needReadable = false;
      if (!state.emittedReadable) {
        state.emittedReadable = true;
        emitReadable_(stream);
      }
    }
  }
  function emitReadable(stream) {
    var state = stream._readableState;
    debug("emitReadable", state.needReadable, state.emittedReadable);
    state.needReadable = false;
    if (!state.emittedReadable) {
      debug("emitReadable", state.flowing);
      state.emittedReadable = true;
      process.nextTick(emitReadable_, stream);
    }
  }
  function emitReadable_(stream) {
    var state = stream._readableState;
    debug("emitReadable_", state.destroyed, state.length, state.ended);
    if (!state.destroyed && (state.length || state.ended)) {
      stream.emit("readable");
      state.emittedReadable = false;
    }
    state.needReadable = !state.flowing && !state.ended && state.length <= state.highWaterMark;
    flow(stream);
  }
  function maybeReadMore(stream, state) {
    if (!state.readingMore) {
      state.readingMore = true;
      process.nextTick(maybeReadMore_, stream, state);
    }
  }
  function maybeReadMore_(stream, state) {
    while (!state.reading && !state.ended && (state.length < state.highWaterMark || state.flowing && state.length === 0)) {
      var len = state.length;
      debug("maybeReadMore read 0");
      stream.read(0);
      if (len === state.length)
        break;
    }
    state.readingMore = false;
  }
  Readable.prototype._read = function(n) {
    errorOrDestroy(this, new ERR_METHOD_NOT_IMPLEMENTED("_read()"));
  };
  Readable.prototype.pipe = function(dest, pipeOpts) {
    var src = this;
    var state = this._readableState;
    switch (state.pipesCount) {
      case 0:
        state.pipes = dest;
        break;
      case 1:
        state.pipes = [state.pipes, dest];
        break;
      default:
        state.pipes.push(dest);
        break;
    }
    state.pipesCount += 1;
    debug("pipe count=%d opts=%j", state.pipesCount, pipeOpts);
    var doEnd = (!pipeOpts || pipeOpts.end !== false) && dest !== process.stdout && dest !== process.stderr;
    var endFn = doEnd ? onend : unpipe;
    if (state.endEmitted)
      process.nextTick(endFn);
    else
      src.once("end", endFn);
    dest.on("unpipe", onunpipe);
    function onunpipe(readable, unpipeInfo) {
      debug("onunpipe");
      if (readable === src) {
        if (unpipeInfo && unpipeInfo.hasUnpiped === false) {
          unpipeInfo.hasUnpiped = true;
          cleanup();
        }
      }
    }
    function onend() {
      debug("onend");
      dest.end();
    }
    var ondrain = pipeOnDrain(src);
    dest.on("drain", ondrain);
    var cleanedUp = false;
    function cleanup() {
      debug("cleanup");
      dest.removeListener("close", onclose);
      dest.removeListener("finish", onfinish);
      dest.removeListener("drain", ondrain);
      dest.removeListener("error", onerror);
      dest.removeListener("unpipe", onunpipe);
      src.removeListener("end", onend);
      src.removeListener("end", unpipe);
      src.removeListener("data", ondata);
      cleanedUp = true;
      if (state.awaitDrain && (!dest._writableState || dest._writableState.needDrain))
        ondrain();
    }
    src.on("data", ondata);
    function ondata(chunk) {
      debug("ondata");
      var ret = dest.write(chunk);
      debug("dest.write", ret);
      if (ret === false) {
        if ((state.pipesCount === 1 && state.pipes === dest || state.pipesCount > 1 && indexOf(state.pipes, dest) !== -1) && !cleanedUp) {
          debug("false write response, pause", state.awaitDrain);
          state.awaitDrain++;
        }
        src.pause();
      }
    }
    function onerror(er) {
      debug("onerror", er);
      unpipe();
      dest.removeListener("error", onerror);
      if (EElistenerCount(dest, "error") === 0)
        errorOrDestroy(dest, er);
    }
    prependListener(dest, "error", onerror);
    function onclose() {
      dest.removeListener("finish", onfinish);
      unpipe();
    }
    dest.once("close", onclose);
    function onfinish() {
      debug("onfinish");
      dest.removeListener("close", onclose);
      unpipe();
    }
    dest.once("finish", onfinish);
    function unpipe() {
      debug("unpipe");
      src.unpipe(dest);
    }
    dest.emit("pipe", src);
    if (!state.flowing) {
      debug("pipe resume");
      src.resume();
    }
    return dest;
  };
  function pipeOnDrain(src) {
    return function pipeOnDrainFunctionResult() {
      var state = src._readableState;
      debug("pipeOnDrain", state.awaitDrain);
      if (state.awaitDrain)
        state.awaitDrain--;
      if (state.awaitDrain === 0 && EElistenerCount(src, "data")) {
        state.flowing = true;
        flow(src);
      }
    };
  }
  Readable.prototype.unpipe = function(dest) {
    var state = this._readableState;
    var unpipeInfo = {
      hasUnpiped: false
    };
    if (state.pipesCount === 0)
      return this;
    if (state.pipesCount === 1) {
      if (dest && dest !== state.pipes)
        return this;
      if (!dest)
        dest = state.pipes;
      state.pipes = null;
      state.pipesCount = 0;
      state.flowing = false;
      if (dest)
        dest.emit("unpipe", this, unpipeInfo);
      return this;
    }
    if (!dest) {
      var dests = state.pipes;
      var len = state.pipesCount;
      state.pipes = null;
      state.pipesCount = 0;
      state.flowing = false;
      for (var i = 0;i < len; i++)
        dests[i].emit("unpipe", this, {
          hasUnpiped: false
        });
      return this;
    }
    var index = indexOf(state.pipes, dest);
    if (index === -1)
      return this;
    state.pipes.splice(index, 1);
    state.pipesCount -= 1;
    if (state.pipesCount === 1)
      state.pipes = state.pipes[0];
    dest.emit("unpipe", this, unpipeInfo);
    return this;
  };
  Readable.prototype.on = function(ev, fn) {
    var res = Stream.prototype.on.call(this, ev, fn);
    var state = this._readableState;
    if (ev === "data") {
      state.readableListening = this.listenerCount("readable") > 0;
      if (state.flowing !== false)
        this.resume();
    } else if (ev === "readable") {
      if (!state.endEmitted && !state.readableListening) {
        state.readableListening = state.needReadable = true;
        state.flowing = false;
        state.emittedReadable = false;
        debug("on readable", state.length, state.reading);
        if (state.length) {
          emitReadable(this);
        } else if (!state.reading) {
          process.nextTick(nReadingNextTick, this);
        }
      }
    }
    return res;
  };
  Readable.prototype.addListener = Readable.prototype.on;
  Readable.prototype.removeListener = function(ev, fn) {
    var res = Stream.prototype.removeListener.call(this, ev, fn);
    if (ev === "readable") {
      process.nextTick(updateReadableListening, this);
    }
    return res;
  };
  Readable.prototype.removeAllListeners = function(ev) {
    var res = Stream.prototype.removeAllListeners.apply(this, arguments);
    if (ev === "readable" || ev === undefined) {
      process.nextTick(updateReadableListening, this);
    }
    return res;
  };
  function updateReadableListening(self2) {
    var state = self2._readableState;
    state.readableListening = self2.listenerCount("readable") > 0;
    if (state.resumeScheduled && !state.paused) {
      state.flowing = true;
    } else if (self2.listenerCount("data") > 0) {
      self2.resume();
    }
  }
  function nReadingNextTick(self2) {
    debug("readable nexttick read 0");
    self2.read(0);
  }
  Readable.prototype.resume = function() {
    var state = this._readableState;
    if (!state.flowing) {
      debug("resume");
      state.flowing = !state.readableListening;
      resume(this, state);
    }
    state.paused = false;
    return this;
  };
  function resume(stream, state) {
    if (!state.resumeScheduled) {
      state.resumeScheduled = true;
      process.nextTick(resume_, stream, state);
    }
  }
  function resume_(stream, state) {
    debug("resume", state.reading);
    if (!state.reading) {
      stream.read(0);
    }
    state.resumeScheduled = false;
    stream.emit("resume");
    flow(stream);
    if (state.flowing && !state.reading)
      stream.read(0);
  }
  Readable.prototype.pause = function() {
    debug("call pause flowing=%j", this._readableState.flowing);
    if (this._readableState.flowing !== false) {
      debug("pause");
      this._readableState.flowing = false;
      this.emit("pause");
    }
    this._readableState.paused = true;
    return this;
  };
  function flow(stream) {
    var state = stream._readableState;
    debug("flow", state.flowing);
    while (state.flowing && stream.read() !== null)
      ;
  }
  Readable.prototype.wrap = function(stream) {
    var _this = this;
    var state = this._readableState;
    var paused = false;
    stream.on("end", function() {
      debug("wrapped end");
      if (state.decoder && !state.ended) {
        var chunk = state.decoder.end();
        if (chunk && chunk.length)
          _this.push(chunk);
      }
      _this.push(null);
    });
    stream.on("data", function(chunk) {
      debug("wrapped data");
      if (state.decoder)
        chunk = state.decoder.write(chunk);
      if (state.objectMode && (chunk === null || chunk === undefined))
        return;
      else if (!state.objectMode && (!chunk || !chunk.length))
        return;
      var ret = _this.push(chunk);
      if (!ret) {
        paused = true;
        stream.pause();
      }
    });
    for (var i in stream) {
      if (this[i] === undefined && typeof stream[i] === "function") {
        this[i] = function methodWrap(method) {
          return function methodWrapReturnFunction() {
            return stream[method].apply(stream, arguments);
          };
        }(i);
      }
    }
    for (var n = 0;n < kProxyEvents.length; n++) {
      stream.on(kProxyEvents[n], this.emit.bind(this, kProxyEvents[n]));
    }
    this._read = function(n2) {
      debug("wrapped _read", n2);
      if (paused) {
        paused = false;
        stream.resume();
      }
    };
    return this;
  };
  if (typeof Symbol === "function") {
    Readable.prototype[Symbol.asyncIterator] = function() {
      if (createReadableStreamAsyncIterator === undefined) {
        createReadableStreamAsyncIterator = require_async_iterator();
      }
      return createReadableStreamAsyncIterator(this);
    };
  }
  Object.defineProperty(Readable.prototype, "readableHighWaterMark", {
    enumerable: false,
    get: function get() {
      return this._readableState.highWaterMark;
    }
  });
  Object.defineProperty(Readable.prototype, "readableBuffer", {
    enumerable: false,
    get: function get() {
      return this._readableState && this._readableState.buffer;
    }
  });
  Object.defineProperty(Readable.prototype, "readableFlowing", {
    enumerable: false,
    get: function get() {
      return this._readableState.flowing;
    },
    set: function set(state) {
      if (this._readableState) {
        this._readableState.flowing = state;
      }
    }
  });
  Readable._fromList = fromList;
  Object.defineProperty(Readable.prototype, "readableLength", {
    enumerable: false,
    get: function get() {
      return this._readableState.length;
    }
  });
  function fromList(n, state) {
    if (state.length === 0)
      return null;
    var ret;
    if (state.objectMode)
      ret = state.buffer.shift();
    else if (!n || n >= state.length) {
      if (state.decoder)
        ret = state.buffer.join("");
      else if (state.buffer.length === 1)
        ret = state.buffer.first();
      else
        ret = state.buffer.concat(state.length);
      state.buffer.clear();
    } else {
      ret = state.buffer.consume(n, state.decoder);
    }
    return ret;
  }
  function endReadable(stream) {
    var state = stream._readableState;
    debug("endReadable", state.endEmitted);
    if (!state.endEmitted) {
      state.ended = true;
      process.nextTick(endReadableNT, state, stream);
    }
  }
  function endReadableNT(state, stream) {
    debug("endReadableNT", state.endEmitted, state.length);
    if (!state.endEmitted && state.length === 0) {
      state.endEmitted = true;
      stream.readable = false;
      stream.emit("end");
      if (state.autoDestroy) {
        var wState = stream._writableState;
        if (!wState || wState.autoDestroy && wState.finished) {
          stream.destroy();
        }
      }
    }
  }
  if (typeof Symbol === "function") {
    Readable.from = function(iterable, opts) {
      if (from === undefined) {
        from = require_from();
      }
      return from(Readable, iterable, opts);
    };
  }
  function indexOf(xs, x) {
    for (var i = 0, l = xs.length;i < l; i++) {
      if (xs[i] === x)
        return i;
    }
    return -1;
  }
});

// ../../node_modules/readable-stream/lib/_stream_duplex.js
var require__stream_duplex = __commonJS((exports, module) => {
  var objectKeys = Object.keys || function(obj) {
    var keys2 = [];
    for (var key in obj)
      keys2.push(key);
    return keys2;
  };
  module.exports = Duplex;
  var Readable = require__stream_readable();
  var Writable = require__stream_writable();
  require_inherits()(Duplex, Readable);
  {
    keys = objectKeys(Writable.prototype);
    for (v = 0;v < keys.length; v++) {
      method = keys[v];
      if (!Duplex.prototype[method])
        Duplex.prototype[method] = Writable.prototype[method];
    }
  }
  var keys;
  var method;
  var v;
  function Duplex(options) {
    if (!(this instanceof Duplex))
      return new Duplex(options);
    Readable.call(this, options);
    Writable.call(this, options);
    this.allowHalfOpen = true;
    if (options) {
      if (options.readable === false)
        this.readable = false;
      if (options.writable === false)
        this.writable = false;
      if (options.allowHalfOpen === false) {
        this.allowHalfOpen = false;
        this.once("end", onend);
      }
    }
  }
  Object.defineProperty(Duplex.prototype, "writableHighWaterMark", {
    enumerable: false,
    get: function get() {
      return this._writableState.highWaterMark;
    }
  });
  Object.defineProperty(Duplex.prototype, "writableBuffer", {
    enumerable: false,
    get: function get() {
      return this._writableState && this._writableState.getBuffer();
    }
  });
  Object.defineProperty(Duplex.prototype, "writableLength", {
    enumerable: false,
    get: function get() {
      return this._writableState.length;
    }
  });
  function onend() {
    if (this._writableState.ended)
      return;
    process.nextTick(onEndNT, this);
  }
  function onEndNT(self2) {
    self2.end();
  }
  Object.defineProperty(Duplex.prototype, "destroyed", {
    enumerable: false,
    get: function get() {
      if (this._readableState === undefined || this._writableState === undefined) {
        return false;
      }
      return this._readableState.destroyed && this._writableState.destroyed;
    },
    set: function set(value) {
      if (this._readableState === undefined || this._writableState === undefined) {
        return;
      }
      this._readableState.destroyed = value;
      this._writableState.destroyed = value;
    }
  });
});

// ../../node_modules/readable-stream/lib/_stream_writable.js
var require__stream_writable = __commonJS((exports, module) => {
  module.exports = Writable;
  function CorkedRequest(state) {
    var _this = this;
    this.next = null;
    this.entry = null;
    this.finish = function() {
      onCorkedFinish(_this, state);
    };
  }
  var Duplex;
  Writable.WritableState = WritableState;
  var internalUtil = {
    deprecate: require_node()
  };
  var Stream = __require("stream");
  var Buffer2 = __require("buffer").Buffer;
  var OurUint8Array = (typeof global !== "undefined" ? global : typeof window !== "undefined" ? window : typeof self !== "undefined" ? self : {}).Uint8Array || function() {
  };
  function _uint8ArrayToBuffer(chunk) {
    return Buffer2.from(chunk);
  }
  function _isUint8Array(obj) {
    return Buffer2.isBuffer(obj) || obj instanceof OurUint8Array;
  }
  var destroyImpl = require_destroy();
  var _require = require_state();
  var getHighWaterMark = _require.getHighWaterMark;
  var _require$codes = require_errors2().codes;
  var ERR_INVALID_ARG_TYPE = _require$codes.ERR_INVALID_ARG_TYPE;
  var ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED;
  var ERR_MULTIPLE_CALLBACK = _require$codes.ERR_MULTIPLE_CALLBACK;
  var ERR_STREAM_CANNOT_PIPE = _require$codes.ERR_STREAM_CANNOT_PIPE;
  var ERR_STREAM_DESTROYED = _require$codes.ERR_STREAM_DESTROYED;
  var ERR_STREAM_NULL_VALUES = _require$codes.ERR_STREAM_NULL_VALUES;
  var ERR_STREAM_WRITE_AFTER_END = _require$codes.ERR_STREAM_WRITE_AFTER_END;
  var ERR_UNKNOWN_ENCODING = _require$codes.ERR_UNKNOWN_ENCODING;
  var errorOrDestroy = destroyImpl.errorOrDestroy;
  require_inherits()(Writable, Stream);
  function nop() {
  }
  function WritableState(options, stream, isDuplex) {
    Duplex = Duplex || require__stream_duplex();
    options = options || {};
    if (typeof isDuplex !== "boolean")
      isDuplex = stream instanceof Duplex;
    this.objectMode = !!options.objectMode;
    if (isDuplex)
      this.objectMode = this.objectMode || !!options.writableObjectMode;
    this.highWaterMark = getHighWaterMark(this, options, "writableHighWaterMark", isDuplex);
    this.finalCalled = false;
    this.needDrain = false;
    this.ending = false;
    this.ended = false;
    this.finished = false;
    this.destroyed = false;
    var noDecode = options.decodeStrings === false;
    this.decodeStrings = !noDecode;
    this.defaultEncoding = options.defaultEncoding || "utf8";
    this.length = 0;
    this.writing = false;
    this.corked = 0;
    this.sync = true;
    this.bufferProcessing = false;
    this.onwrite = function(er) {
      onwrite(stream, er);
    };
    this.writecb = null;
    this.writelen = 0;
    this.bufferedRequest = null;
    this.lastBufferedRequest = null;
    this.pendingcb = 0;
    this.prefinished = false;
    this.errorEmitted = false;
    this.emitClose = options.emitClose !== false;
    this.autoDestroy = !!options.autoDestroy;
    this.bufferedRequestCount = 0;
    this.corkedRequestsFree = new CorkedRequest(this);
  }
  WritableState.prototype.getBuffer = function getBuffer() {
    var current = this.bufferedRequest;
    var out = [];
    while (current) {
      out.push(current);
      current = current.next;
    }
    return out;
  };
  (function() {
    try {
      Object.defineProperty(WritableState.prototype, "buffer", {
        get: internalUtil.deprecate(function writableStateBufferGetter() {
          return this.getBuffer();
        }, "_writableState.buffer is deprecated. Use _writableState.getBuffer " + "instead.", "DEP0003")
      });
    } catch (_) {
    }
  })();
  var realHasInstance;
  if (typeof Symbol === "function" && Symbol.hasInstance && typeof Function.prototype[Symbol.hasInstance] === "function") {
    realHasInstance = Function.prototype[Symbol.hasInstance];
    Object.defineProperty(Writable, Symbol.hasInstance, {
      value: function value(object) {
        if (realHasInstance.call(this, object))
          return true;
        if (this !== Writable)
          return false;
        return object && object._writableState instanceof WritableState;
      }
    });
  } else {
    realHasInstance = function realHasInstance(object) {
      return object instanceof this;
    };
  }
  function Writable(options) {
    Duplex = Duplex || require__stream_duplex();
    var isDuplex = this instanceof Duplex;
    if (!isDuplex && !realHasInstance.call(Writable, this))
      return new Writable(options);
    this._writableState = new WritableState(options, this, isDuplex);
    this.writable = true;
    if (options) {
      if (typeof options.write === "function")
        this._write = options.write;
      if (typeof options.writev === "function")
        this._writev = options.writev;
      if (typeof options.destroy === "function")
        this._destroy = options.destroy;
      if (typeof options.final === "function")
        this._final = options.final;
    }
    Stream.call(this);
  }
  Writable.prototype.pipe = function() {
    errorOrDestroy(this, new ERR_STREAM_CANNOT_PIPE);
  };
  function writeAfterEnd(stream, cb) {
    var er = new ERR_STREAM_WRITE_AFTER_END;
    errorOrDestroy(stream, er);
    process.nextTick(cb, er);
  }
  function validChunk(stream, state, chunk, cb) {
    var er;
    if (chunk === null) {
      er = new ERR_STREAM_NULL_VALUES;
    } else if (typeof chunk !== "string" && !state.objectMode) {
      er = new ERR_INVALID_ARG_TYPE("chunk", ["string", "Buffer"], chunk);
    }
    if (er) {
      errorOrDestroy(stream, er);
      process.nextTick(cb, er);
      return false;
    }
    return true;
  }
  Writable.prototype.write = function(chunk, encoding, cb) {
    var state = this._writableState;
    var ret = false;
    var isBuf = !state.objectMode && _isUint8Array(chunk);
    if (isBuf && !Buffer2.isBuffer(chunk)) {
      chunk = _uint8ArrayToBuffer(chunk);
    }
    if (typeof encoding === "function") {
      cb = encoding;
      encoding = null;
    }
    if (isBuf)
      encoding = "buffer";
    else if (!encoding)
      encoding = state.defaultEncoding;
    if (typeof cb !== "function")
      cb = nop;
    if (state.ending)
      writeAfterEnd(this, cb);
    else if (isBuf || validChunk(this, state, chunk, cb)) {
      state.pendingcb++;
      ret = writeOrBuffer(this, state, isBuf, chunk, encoding, cb);
    }
    return ret;
  };
  Writable.prototype.cork = function() {
    this._writableState.corked++;
  };
  Writable.prototype.uncork = function() {
    var state = this._writableState;
    if (state.corked) {
      state.corked--;
      if (!state.writing && !state.corked && !state.bufferProcessing && state.bufferedRequest)
        clearBuffer(this, state);
    }
  };
  Writable.prototype.setDefaultEncoding = function setDefaultEncoding(encoding) {
    if (typeof encoding === "string")
      encoding = encoding.toLowerCase();
    if (!(["hex", "utf8", "utf-8", "ascii", "binary", "base64", "ucs2", "ucs-2", "utf16le", "utf-16le", "raw"].indexOf((encoding + "").toLowerCase()) > -1))
      throw new ERR_UNKNOWN_ENCODING(encoding);
    this._writableState.defaultEncoding = encoding;
    return this;
  };
  Object.defineProperty(Writable.prototype, "writableBuffer", {
    enumerable: false,
    get: function get() {
      return this._writableState && this._writableState.getBuffer();
    }
  });
  function decodeChunk(state, chunk, encoding) {
    if (!state.objectMode && state.decodeStrings !== false && typeof chunk === "string") {
      chunk = Buffer2.from(chunk, encoding);
    }
    return chunk;
  }
  Object.defineProperty(Writable.prototype, "writableHighWaterMark", {
    enumerable: false,
    get: function get() {
      return this._writableState.highWaterMark;
    }
  });
  function writeOrBuffer(stream, state, isBuf, chunk, encoding, cb) {
    if (!isBuf) {
      var newChunk = decodeChunk(state, chunk, encoding);
      if (chunk !== newChunk) {
        isBuf = true;
        encoding = "buffer";
        chunk = newChunk;
      }
    }
    var len = state.objectMode ? 1 : chunk.length;
    state.length += len;
    var ret = state.length < state.highWaterMark;
    if (!ret)
      state.needDrain = true;
    if (state.writing || state.corked) {
      var last = state.lastBufferedRequest;
      state.lastBufferedRequest = {
        chunk,
        encoding,
        isBuf,
        callback: cb,
        next: null
      };
      if (last) {
        last.next = state.lastBufferedRequest;
      } else {
        state.bufferedRequest = state.lastBufferedRequest;
      }
      state.bufferedRequestCount += 1;
    } else {
      doWrite(stream, state, false, len, chunk, encoding, cb);
    }
    return ret;
  }
  function doWrite(stream, state, writev, len, chunk, encoding, cb) {
    state.writelen = len;
    state.writecb = cb;
    state.writing = true;
    state.sync = true;
    if (state.destroyed)
      state.onwrite(new ERR_STREAM_DESTROYED("write"));
    else if (writev)
      stream._writev(chunk, state.onwrite);
    else
      stream._write(chunk, encoding, state.onwrite);
    state.sync = false;
  }
  function onwriteError(stream, state, sync, er, cb) {
    --state.pendingcb;
    if (sync) {
      process.nextTick(cb, er);
      process.nextTick(finishMaybe, stream, state);
      stream._writableState.errorEmitted = true;
      errorOrDestroy(stream, er);
    } else {
      cb(er);
      stream._writableState.errorEmitted = true;
      errorOrDestroy(stream, er);
      finishMaybe(stream, state);
    }
  }
  function onwriteStateUpdate(state) {
    state.writing = false;
    state.writecb = null;
    state.length -= state.writelen;
    state.writelen = 0;
  }
  function onwrite(stream, er) {
    var state = stream._writableState;
    var sync = state.sync;
    var cb = state.writecb;
    if (typeof cb !== "function")
      throw new ERR_MULTIPLE_CALLBACK;
    onwriteStateUpdate(state);
    if (er)
      onwriteError(stream, state, sync, er, cb);
    else {
      var finished = needFinish(state) || stream.destroyed;
      if (!finished && !state.corked && !state.bufferProcessing && state.bufferedRequest) {
        clearBuffer(stream, state);
      }
      if (sync) {
        process.nextTick(afterWrite, stream, state, finished, cb);
      } else {
        afterWrite(stream, state, finished, cb);
      }
    }
  }
  function afterWrite(stream, state, finished, cb) {
    if (!finished)
      onwriteDrain(stream, state);
    state.pendingcb--;
    cb();
    finishMaybe(stream, state);
  }
  function onwriteDrain(stream, state) {
    if (state.length === 0 && state.needDrain) {
      state.needDrain = false;
      stream.emit("drain");
    }
  }
  function clearBuffer(stream, state) {
    state.bufferProcessing = true;
    var entry = state.bufferedRequest;
    if (stream._writev && entry && entry.next) {
      var l = state.bufferedRequestCount;
      var buffer = new Array(l);
      var holder = state.corkedRequestsFree;
      holder.entry = entry;
      var count = 0;
      var allBuffers = true;
      while (entry) {
        buffer[count] = entry;
        if (!entry.isBuf)
          allBuffers = false;
        entry = entry.next;
        count += 1;
      }
      buffer.allBuffers = allBuffers;
      doWrite(stream, state, true, state.length, buffer, "", holder.finish);
      state.pendingcb++;
      state.lastBufferedRequest = null;
      if (holder.next) {
        state.corkedRequestsFree = holder.next;
        holder.next = null;
      } else {
        state.corkedRequestsFree = new CorkedRequest(state);
      }
      state.bufferedRequestCount = 0;
    } else {
      while (entry) {
        var chunk = entry.chunk;
        var encoding = entry.encoding;
        var cb = entry.callback;
        var len = state.objectMode ? 1 : chunk.length;
        doWrite(stream, state, false, len, chunk, encoding, cb);
        entry = entry.next;
        state.bufferedRequestCount--;
        if (state.writing) {
          break;
        }
      }
      if (entry === null)
        state.lastBufferedRequest = null;
    }
    state.bufferedRequest = entry;
    state.bufferProcessing = false;
  }
  Writable.prototype._write = function(chunk, encoding, cb) {
    cb(new ERR_METHOD_NOT_IMPLEMENTED("_write()"));
  };
  Writable.prototype._writev = null;
  Writable.prototype.end = function(chunk, encoding, cb) {
    var state = this._writableState;
    if (typeof chunk === "function") {
      cb = chunk;
      chunk = null;
      encoding = null;
    } else if (typeof encoding === "function") {
      cb = encoding;
      encoding = null;
    }
    if (chunk !== null && chunk !== undefined)
      this.write(chunk, encoding);
    if (state.corked) {
      state.corked = 1;
      this.uncork();
    }
    if (!state.ending)
      endWritable(this, state, cb);
    return this;
  };
  Object.defineProperty(Writable.prototype, "writableLength", {
    enumerable: false,
    get: function get() {
      return this._writableState.length;
    }
  });
  function needFinish(state) {
    return state.ending && state.length === 0 && state.bufferedRequest === null && !state.finished && !state.writing;
  }
  function callFinal(stream, state) {
    stream._final(function(err) {
      state.pendingcb--;
      if (err) {
        errorOrDestroy(stream, err);
      }
      state.prefinished = true;
      stream.emit("prefinish");
      finishMaybe(stream, state);
    });
  }
  function prefinish(stream, state) {
    if (!state.prefinished && !state.finalCalled) {
      if (typeof stream._final === "function" && !state.destroyed) {
        state.pendingcb++;
        state.finalCalled = true;
        process.nextTick(callFinal, stream, state);
      } else {
        state.prefinished = true;
        stream.emit("prefinish");
      }
    }
  }
  function finishMaybe(stream, state) {
    var need = needFinish(state);
    if (need) {
      prefinish(stream, state);
      if (state.pendingcb === 0) {
        state.finished = true;
        stream.emit("finish");
        if (state.autoDestroy) {
          var rState = stream._readableState;
          if (!rState || rState.autoDestroy && rState.endEmitted) {
            stream.destroy();
          }
        }
      }
    }
    return need;
  }
  function endWritable(stream, state, cb) {
    state.ending = true;
    finishMaybe(stream, state);
    if (cb) {
      if (state.finished)
        process.nextTick(cb);
      else
        stream.once("finish", cb);
    }
    state.ended = true;
    stream.writable = false;
  }
  function onCorkedFinish(corkReq, state, err) {
    var entry = corkReq.entry;
    corkReq.entry = null;
    while (entry) {
      var cb = entry.callback;
      state.pendingcb--;
      cb(err);
      entry = entry.next;
    }
    state.corkedRequestsFree.next = corkReq;
  }
  Object.defineProperty(Writable.prototype, "destroyed", {
    enumerable: false,
    get: function get() {
      if (this._writableState === undefined) {
        return false;
      }
      return this._writableState.destroyed;
    },
    set: function set(value) {
      if (!this._writableState) {
        return;
      }
      this._writableState.destroyed = value;
    }
  });
  Writable.prototype.destroy = destroyImpl.destroy;
  Writable.prototype._undestroy = destroyImpl.undestroy;
  Writable.prototype._destroy = function(err, cb) {
    cb(err);
  };
});

// ../../node_modules/winston-transport/modern.js
var require_modern = __commonJS((exports, module) => {
  var util = __require("util");
  var Writable = require__stream_writable();
  var { LEVEL } = require_triple_beam();
  var TransportStream = module.exports = function TransportStream(options = {}) {
    Writable.call(this, { objectMode: true, highWaterMark: options.highWaterMark });
    this.format = options.format;
    this.level = options.level;
    this.handleExceptions = options.handleExceptions;
    this.handleRejections = options.handleRejections;
    this.silent = options.silent;
    if (options.log)
      this.log = options.log;
    if (options.logv)
      this.logv = options.logv;
    if (options.close)
      this.close = options.close;
    this.once("pipe", (logger) => {
      this.levels = logger.levels;
      this.parent = logger;
    });
    this.once("unpipe", (src) => {
      if (src === this.parent) {
        this.parent = null;
        if (this.close) {
          this.close();
        }
      }
    });
  };
  util.inherits(TransportStream, Writable);
  TransportStream.prototype._write = function _write(info, enc, callback) {
    if (this.silent || info.exception === true && !this.handleExceptions) {
      return callback(null);
    }
    const level = this.level || this.parent && this.parent.level;
    if (!level || this.levels[level] >= this.levels[info[LEVEL]]) {
      if (info && !this.format) {
        return this.log(info, callback);
      }
      let errState;
      let transformed;
      try {
        transformed = this.format.transform(Object.assign({}, info), this.format.options);
      } catch (err) {
        errState = err;
      }
      if (errState || !transformed) {
        callback();
        if (errState)
          throw errState;
        return;
      }
      return this.log(transformed, callback);
    }
    this._writableState.sync = false;
    return callback(null);
  };
  TransportStream.prototype._writev = function _writev(chunks, callback) {
    if (this.logv) {
      const infos = chunks.filter(this._accept, this);
      if (!infos.length) {
        return callback(null);
      }
      return this.logv(infos, callback);
    }
    for (let i = 0;i < chunks.length; i++) {
      if (!this._accept(chunks[i]))
        continue;
      if (chunks[i].chunk && !this.format) {
        this.log(chunks[i].chunk, chunks[i].callback);
        continue;
      }
      let errState;
      let transformed;
      try {
        transformed = this.format.transform(Object.assign({}, chunks[i].chunk), this.format.options);
      } catch (err) {
        errState = err;
      }
      if (errState || !transformed) {
        chunks[i].callback();
        if (errState) {
          callback(null);
          throw errState;
        }
      } else {
        this.log(transformed, chunks[i].callback);
      }
    }
    return callback(null);
  };
  TransportStream.prototype._accept = function _accept(write) {
    const info = write.chunk;
    if (this.silent) {
      return false;
    }
    const level = this.level || this.parent && this.parent.level;
    if (info.exception === true || !level || this.levels[level] >= this.levels[info[LEVEL]]) {
      if (this.handleExceptions || info.exception !== true) {
        return true;
      }
    }
    return false;
  };
  TransportStream.prototype._nop = function _nop() {
    return;
  };
});

// ../../node_modules/winston-transport/legacy.js
var require_legacy = __commonJS((exports, module) => {
  var util = __require("util");
  var { LEVEL } = require_triple_beam();
  var TransportStream = require_modern();
  var LegacyTransportStream = module.exports = function LegacyTransportStream(options = {}) {
    TransportStream.call(this, options);
    if (!options.transport || typeof options.transport.log !== "function") {
      throw new Error("Invalid transport, must be an object with a log method.");
    }
    this.transport = options.transport;
    this.level = this.level || options.transport.level;
    this.handleExceptions = this.handleExceptions || options.transport.handleExceptions;
    this._deprecated();
    function transportError(err) {
      this.emit("error", err, this.transport);
    }
    if (!this.transport.__winstonError) {
      this.transport.__winstonError = transportError.bind(this);
      this.transport.on("error", this.transport.__winstonError);
    }
  };
  util.inherits(LegacyTransportStream, TransportStream);
  LegacyTransportStream.prototype._write = function _write(info, enc, callback) {
    if (this.silent || info.exception === true && !this.handleExceptions) {
      return callback(null);
    }
    if (!this.level || this.levels[this.level] >= this.levels[info[LEVEL]]) {
      this.transport.log(info[LEVEL], info.message, info, this._nop);
    }
    callback(null);
  };
  LegacyTransportStream.prototype._writev = function _writev(chunks, callback) {
    for (let i = 0;i < chunks.length; i++) {
      if (this._accept(chunks[i])) {
        this.transport.log(chunks[i].chunk[LEVEL], chunks[i].chunk.message, chunks[i].chunk, this._nop);
        chunks[i].callback();
      }
    }
    return callback(null);
  };
  LegacyTransportStream.prototype._deprecated = function _deprecated() {
    console.error([
      `${this.transport.name} is a legacy winston transport. Consider upgrading: `,
      "- Upgrade docs: https://github.com/winstonjs/winston/blob/master/UPGRADE-3.0.md"
    ].join(`
`));
  };
  LegacyTransportStream.prototype.close = function close() {
    if (this.transport.close) {
      this.transport.close();
    }
    if (this.transport.__winstonError) {
      this.transport.removeListener("error", this.transport.__winstonError);
      this.transport.__winstonError = null;
    }
  };
});

// ../../node_modules/winston-transport/index.js
var require_winston_transport = __commonJS((exports, module) => {
  module.exports = require_modern();
  module.exports.LegacyTransportStream = require_legacy();
});

// ../../node_modules/winston/lib/winston/transports/console.js
var require_console = __commonJS((exports, module) => {
  var os = __require("os");
  var { LEVEL, MESSAGE } = require_triple_beam();
  var TransportStream = require_winston_transport();
  module.exports = class Console extends TransportStream {
    constructor(options = {}) {
      super(options);
      this.name = options.name || "console";
      this.stderrLevels = this._stringArrayToSet(options.stderrLevels);
      this.consoleWarnLevels = this._stringArrayToSet(options.consoleWarnLevels);
      this.eol = typeof options.eol === "string" ? options.eol : os.EOL;
      this.forceConsole = options.forceConsole || false;
      this._consoleLog = console.log.bind(console);
      this._consoleWarn = console.warn.bind(console);
      this._consoleError = console.error.bind(console);
      this.setMaxListeners(30);
    }
    log(info, callback) {
      setImmediate(() => this.emit("logged", info));
      if (this.stderrLevels[info[LEVEL]]) {
        if (console._stderr && !this.forceConsole) {
          console._stderr.write(`${info[MESSAGE]}${this.eol}`);
        } else {
          this._consoleError(info[MESSAGE]);
        }
        if (callback) {
          callback();
        }
        return;
      } else if (this.consoleWarnLevels[info[LEVEL]]) {
        if (console._stderr && !this.forceConsole) {
          console._stderr.write(`${info[MESSAGE]}${this.eol}`);
        } else {
          this._consoleWarn(info[MESSAGE]);
        }
        if (callback) {
          callback();
        }
        return;
      }
      if (console._stdout && !this.forceConsole) {
        console._stdout.write(`${info[MESSAGE]}${this.eol}`);
      } else {
        this._consoleLog(info[MESSAGE]);
      }
      if (callback) {
        callback();
      }
    }
    _stringArrayToSet(strArray, errMsg) {
      if (!strArray)
        return {};
      errMsg = errMsg || "Cannot make set from type other than Array of string elements";
      if (!Array.isArray(strArray)) {
        throw new Error(errMsg);
      }
      return strArray.reduce((set2, el) => {
        if (typeof el !== "string") {
          throw new Error(errMsg);
        }
        set2[el] = true;
        return set2;
      }, {});
    }
  };
});

// ../../node_modules/async/internal/isArrayLike.js
var require_isArrayLike = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = isArrayLike;
  function isArrayLike(value) {
    return value && typeof value.length === "number" && value.length >= 0 && value.length % 1 === 0;
  }
  module.exports = exports.default;
});

// ../../node_modules/async/internal/initialParams.js
var require_initialParams = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = function(fn) {
    return function(...args) {
      var callback = args.pop();
      return fn.call(this, args, callback);
    };
  };
  module.exports = exports.default;
});

// ../../node_modules/async/internal/setImmediate.js
var require_setImmediate = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.fallback = fallback;
  exports.wrap = wrap;
  var hasQueueMicrotask = exports.hasQueueMicrotask = typeof queueMicrotask === "function" && queueMicrotask;
  var hasSetImmediate = exports.hasSetImmediate = typeof setImmediate === "function" && setImmediate;
  var hasNextTick = exports.hasNextTick = typeof process === "object" && typeof process.nextTick === "function";
  function fallback(fn) {
    setTimeout(fn, 0);
  }
  function wrap(defer) {
    return (fn, ...args) => defer(() => fn(...args));
  }
  var _defer;
  if (hasQueueMicrotask) {
    _defer = queueMicrotask;
  } else if (hasSetImmediate) {
    _defer = setImmediate;
  } else if (hasNextTick) {
    _defer = process.nextTick;
  } else {
    _defer = fallback;
  }
  exports.default = wrap(_defer);
});

// ../../node_modules/async/asyncify.js
var require_asyncify = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = asyncify;
  var _initialParams = require_initialParams();
  var _initialParams2 = _interopRequireDefault(_initialParams);
  var _setImmediate = require_setImmediate();
  var _setImmediate2 = _interopRequireDefault(_setImmediate);
  var _wrapAsync = require_wrapAsync();
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function asyncify(func) {
    if ((0, _wrapAsync.isAsync)(func)) {
      return function(...args) {
        const callback = args.pop();
        const promise = func.apply(this, args);
        return handlePromise(promise, callback);
      };
    }
    return (0, _initialParams2.default)(function(args, callback) {
      var result;
      try {
        result = func.apply(this, args);
      } catch (e) {
        return callback(e);
      }
      if (result && typeof result.then === "function") {
        return handlePromise(result, callback);
      } else {
        callback(null, result);
      }
    });
  }
  function handlePromise(promise, callback) {
    return promise.then((value) => {
      invokeCallback(callback, null, value);
    }, (err) => {
      invokeCallback(callback, err && (err instanceof Error || err.message) ? err : new Error(err));
    });
  }
  function invokeCallback(callback, error, value) {
    try {
      callback(error, value);
    } catch (err) {
      (0, _setImmediate2.default)((e) => {
        throw e;
      }, err);
    }
  }
  module.exports = exports.default;
});

// ../../node_modules/async/internal/wrapAsync.js
var require_wrapAsync = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.isAsyncIterable = exports.isAsyncGenerator = exports.isAsync = undefined;
  var _asyncify = require_asyncify();
  var _asyncify2 = _interopRequireDefault(_asyncify);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function isAsync(fn) {
    return fn[Symbol.toStringTag] === "AsyncFunction";
  }
  function isAsyncGenerator(fn) {
    return fn[Symbol.toStringTag] === "AsyncGenerator";
  }
  function isAsyncIterable(obj) {
    return typeof obj[Symbol.asyncIterator] === "function";
  }
  function wrapAsync(asyncFn) {
    if (typeof asyncFn !== "function")
      throw new Error("expected a function");
    return isAsync(asyncFn) ? (0, _asyncify2.default)(asyncFn) : asyncFn;
  }
  exports.default = wrapAsync;
  exports.isAsync = isAsync;
  exports.isAsyncGenerator = isAsyncGenerator;
  exports.isAsyncIterable = isAsyncIterable;
});

// ../../node_modules/async/internal/awaitify.js
var require_awaitify = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = awaitify;
  function awaitify(asyncFn, arity) {
    if (!arity)
      arity = asyncFn.length;
    if (!arity)
      throw new Error("arity is undefined");
    function awaitable(...args) {
      if (typeof args[arity - 1] === "function") {
        return asyncFn.apply(this, args);
      }
      return new Promise((resolve, reject) => {
        args[arity - 1] = (err, ...cbArgs) => {
          if (err)
            return reject(err);
          resolve(cbArgs.length > 1 ? cbArgs : cbArgs[0]);
        };
        asyncFn.apply(this, args);
      });
    }
    return awaitable;
  }
  module.exports = exports.default;
});

// ../../node_modules/async/internal/parallel.js
var require_parallel = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var _isArrayLike = require_isArrayLike();
  var _isArrayLike2 = _interopRequireDefault(_isArrayLike);
  var _wrapAsync = require_wrapAsync();
  var _wrapAsync2 = _interopRequireDefault(_wrapAsync);
  var _awaitify = require_awaitify();
  var _awaitify2 = _interopRequireDefault(_awaitify);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  exports.default = (0, _awaitify2.default)((eachfn, tasks, callback) => {
    var results = (0, _isArrayLike2.default)(tasks) ? [] : {};
    eachfn(tasks, (task, key, taskCb) => {
      (0, _wrapAsync2.default)(task)((err, ...result) => {
        if (result.length < 2) {
          [result] = result;
        }
        results[key] = result;
        taskCb(err);
      });
    }, (err) => callback(err, results));
  }, 3);
  module.exports = exports.default;
});

// ../../node_modules/async/internal/once.js
var require_once = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = once;
  function once(fn) {
    function wrapper(...args) {
      if (fn === null)
        return;
      var callFn = fn;
      fn = null;
      callFn.apply(this, args);
    }
    Object.assign(wrapper, fn);
    return wrapper;
  }
  module.exports = exports.default;
});

// ../../node_modules/async/internal/getIterator.js
var require_getIterator = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = function(coll) {
    return coll[Symbol.iterator] && coll[Symbol.iterator]();
  };
  module.exports = exports.default;
});

// ../../node_modules/async/internal/iterator.js
var require_iterator = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = createIterator;
  var _isArrayLike = require_isArrayLike();
  var _isArrayLike2 = _interopRequireDefault(_isArrayLike);
  var _getIterator = require_getIterator();
  var _getIterator2 = _interopRequireDefault(_getIterator);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function createArrayIterator(coll) {
    var i = -1;
    var len = coll.length;
    return function next() {
      return ++i < len ? { value: coll[i], key: i } : null;
    };
  }
  function createES2015Iterator(iterator) {
    var i = -1;
    return function next() {
      var item = iterator.next();
      if (item.done)
        return null;
      i++;
      return { value: item.value, key: i };
    };
  }
  function createObjectIterator(obj) {
    var okeys = obj ? Object.keys(obj) : [];
    var i = -1;
    var len = okeys.length;
    return function next() {
      var key = okeys[++i];
      if (key === "__proto__") {
        return next();
      }
      return i < len ? { value: obj[key], key } : null;
    };
  }
  function createIterator(coll) {
    if ((0, _isArrayLike2.default)(coll)) {
      return createArrayIterator(coll);
    }
    var iterator = (0, _getIterator2.default)(coll);
    return iterator ? createES2015Iterator(iterator) : createObjectIterator(coll);
  }
  module.exports = exports.default;
});

// ../../node_modules/async/internal/onlyOnce.js
var require_onlyOnce = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = onlyOnce;
  function onlyOnce(fn) {
    return function(...args) {
      if (fn === null)
        throw new Error("Callback was already called.");
      var callFn = fn;
      fn = null;
      callFn.apply(this, args);
    };
  }
  module.exports = exports.default;
});

// ../../node_modules/async/internal/breakLoop.js
var require_breakLoop = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var breakLoop = {};
  exports.default = breakLoop;
  module.exports = exports.default;
});

// ../../node_modules/async/internal/asyncEachOfLimit.js
var require_asyncEachOfLimit = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = asyncEachOfLimit;
  var _breakLoop = require_breakLoop();
  var _breakLoop2 = _interopRequireDefault(_breakLoop);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function asyncEachOfLimit(generator, limit, iteratee, callback) {
    let done = false;
    let canceled = false;
    let awaiting = false;
    let running = 0;
    let idx = 0;
    function replenish() {
      if (running >= limit || awaiting || done)
        return;
      awaiting = true;
      generator.next().then(({ value, done: iterDone }) => {
        if (canceled || done)
          return;
        awaiting = false;
        if (iterDone) {
          done = true;
          if (running <= 0) {
            callback(null);
          }
          return;
        }
        running++;
        iteratee(value, idx, iterateeCallback);
        idx++;
        replenish();
      }).catch(handleError);
    }
    function iterateeCallback(err, result) {
      running -= 1;
      if (canceled)
        return;
      if (err)
        return handleError(err);
      if (err === false) {
        done = true;
        canceled = true;
        return;
      }
      if (result === _breakLoop2.default || done && running <= 0) {
        done = true;
        return callback(null);
      }
      replenish();
    }
    function handleError(err) {
      if (canceled)
        return;
      awaiting = false;
      done = true;
      callback(err);
    }
    replenish();
  }
  module.exports = exports.default;
});

// ../../node_modules/async/internal/eachOfLimit.js
var require_eachOfLimit = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var _once = require_once();
  var _once2 = _interopRequireDefault(_once);
  var _iterator = require_iterator();
  var _iterator2 = _interopRequireDefault(_iterator);
  var _onlyOnce = require_onlyOnce();
  var _onlyOnce2 = _interopRequireDefault(_onlyOnce);
  var _wrapAsync = require_wrapAsync();
  var _asyncEachOfLimit = require_asyncEachOfLimit();
  var _asyncEachOfLimit2 = _interopRequireDefault(_asyncEachOfLimit);
  var _breakLoop = require_breakLoop();
  var _breakLoop2 = _interopRequireDefault(_breakLoop);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  exports.default = (limit) => {
    return (obj, iteratee, callback) => {
      callback = (0, _once2.default)(callback);
      if (limit <= 0) {
        throw new RangeError("concurrency limit cannot be less than 1");
      }
      if (!obj) {
        return callback(null);
      }
      if ((0, _wrapAsync.isAsyncGenerator)(obj)) {
        return (0, _asyncEachOfLimit2.default)(obj, limit, iteratee, callback);
      }
      if ((0, _wrapAsync.isAsyncIterable)(obj)) {
        return (0, _asyncEachOfLimit2.default)(obj[Symbol.asyncIterator](), limit, iteratee, callback);
      }
      var nextElem = (0, _iterator2.default)(obj);
      var done = false;
      var canceled = false;
      var running = 0;
      var looping = false;
      function iterateeCallback(err, value) {
        if (canceled)
          return;
        running -= 1;
        if (err) {
          done = true;
          callback(err);
        } else if (err === false) {
          done = true;
          canceled = true;
        } else if (value === _breakLoop2.default || done && running <= 0) {
          done = true;
          return callback(null);
        } else if (!looping) {
          replenish();
        }
      }
      function replenish() {
        looping = true;
        while (running < limit && !done) {
          var elem = nextElem();
          if (elem === null) {
            done = true;
            if (running <= 0) {
              callback(null);
            }
            return;
          }
          running += 1;
          iteratee(elem.value, elem.key, (0, _onlyOnce2.default)(iterateeCallback));
        }
        looping = false;
      }
      replenish();
    };
  };
  module.exports = exports.default;
});

// ../../node_modules/async/eachOfLimit.js
var require_eachOfLimit2 = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var _eachOfLimit2 = require_eachOfLimit();
  var _eachOfLimit3 = _interopRequireDefault(_eachOfLimit2);
  var _wrapAsync = require_wrapAsync();
  var _wrapAsync2 = _interopRequireDefault(_wrapAsync);
  var _awaitify = require_awaitify();
  var _awaitify2 = _interopRequireDefault(_awaitify);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function eachOfLimit(coll, limit, iteratee, callback) {
    return (0, _eachOfLimit3.default)(limit)(coll, (0, _wrapAsync2.default)(iteratee), callback);
  }
  exports.default = (0, _awaitify2.default)(eachOfLimit, 4);
  module.exports = exports.default;
});

// ../../node_modules/async/eachOfSeries.js
var require_eachOfSeries = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var _eachOfLimit = require_eachOfLimit2();
  var _eachOfLimit2 = _interopRequireDefault(_eachOfLimit);
  var _awaitify = require_awaitify();
  var _awaitify2 = _interopRequireDefault(_awaitify);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function eachOfSeries(coll, iteratee, callback) {
    return (0, _eachOfLimit2.default)(coll, 1, iteratee, callback);
  }
  exports.default = (0, _awaitify2.default)(eachOfSeries, 3);
  module.exports = exports.default;
});

// ../../node_modules/async/series.js
var require_series = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = series;
  var _parallel2 = require_parallel();
  var _parallel3 = _interopRequireDefault(_parallel2);
  var _eachOfSeries = require_eachOfSeries();
  var _eachOfSeries2 = _interopRequireDefault(_eachOfSeries);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function series(tasks, callback) {
    return (0, _parallel3.default)(_eachOfSeries2.default, tasks, callback);
  }
  module.exports = exports.default;
});

// ../../node_modules/readable-stream/lib/_stream_transform.js
var require__stream_transform = __commonJS((exports, module) => {
  module.exports = Transform;
  var _require$codes = require_errors2().codes;
  var ERR_METHOD_NOT_IMPLEMENTED = _require$codes.ERR_METHOD_NOT_IMPLEMENTED;
  var ERR_MULTIPLE_CALLBACK = _require$codes.ERR_MULTIPLE_CALLBACK;
  var ERR_TRANSFORM_ALREADY_TRANSFORMING = _require$codes.ERR_TRANSFORM_ALREADY_TRANSFORMING;
  var ERR_TRANSFORM_WITH_LENGTH_0 = _require$codes.ERR_TRANSFORM_WITH_LENGTH_0;
  var Duplex = require__stream_duplex();
  require_inherits()(Transform, Duplex);
  function afterTransform(er, data) {
    var ts = this._transformState;
    ts.transforming = false;
    var cb = ts.writecb;
    if (cb === null) {
      return this.emit("error", new ERR_MULTIPLE_CALLBACK);
    }
    ts.writechunk = null;
    ts.writecb = null;
    if (data != null)
      this.push(data);
    cb(er);
    var rs = this._readableState;
    rs.reading = false;
    if (rs.needReadable || rs.length < rs.highWaterMark) {
      this._read(rs.highWaterMark);
    }
  }
  function Transform(options) {
    if (!(this instanceof Transform))
      return new Transform(options);
    Duplex.call(this, options);
    this._transformState = {
      afterTransform: afterTransform.bind(this),
      needTransform: false,
      transforming: false,
      writecb: null,
      writechunk: null,
      writeencoding: null
    };
    this._readableState.needReadable = true;
    this._readableState.sync = false;
    if (options) {
      if (typeof options.transform === "function")
        this._transform = options.transform;
      if (typeof options.flush === "function")
        this._flush = options.flush;
    }
    this.on("prefinish", prefinish);
  }
  function prefinish() {
    var _this = this;
    if (typeof this._flush === "function" && !this._readableState.destroyed) {
      this._flush(function(er, data) {
        done(_this, er, data);
      });
    } else {
      done(this, null, null);
    }
  }
  Transform.prototype.push = function(chunk, encoding) {
    this._transformState.needTransform = false;
    return Duplex.prototype.push.call(this, chunk, encoding);
  };
  Transform.prototype._transform = function(chunk, encoding, cb) {
    cb(new ERR_METHOD_NOT_IMPLEMENTED("_transform()"));
  };
  Transform.prototype._write = function(chunk, encoding, cb) {
    var ts = this._transformState;
    ts.writecb = cb;
    ts.writechunk = chunk;
    ts.writeencoding = encoding;
    if (!ts.transforming) {
      var rs = this._readableState;
      if (ts.needTransform || rs.needReadable || rs.length < rs.highWaterMark)
        this._read(rs.highWaterMark);
    }
  };
  Transform.prototype._read = function(n) {
    var ts = this._transformState;
    if (ts.writechunk !== null && !ts.transforming) {
      ts.transforming = true;
      this._transform(ts.writechunk, ts.writeencoding, ts.afterTransform);
    } else {
      ts.needTransform = true;
    }
  };
  Transform.prototype._destroy = function(err, cb) {
    Duplex.prototype._destroy.call(this, err, function(err2) {
      cb(err2);
    });
  };
  function done(stream, er, data) {
    if (er)
      return stream.emit("error", er);
    if (data != null)
      stream.push(data);
    if (stream._writableState.length)
      throw new ERR_TRANSFORM_WITH_LENGTH_0;
    if (stream._transformState.transforming)
      throw new ERR_TRANSFORM_ALREADY_TRANSFORMING;
    return stream.push(null);
  }
});

// ../../node_modules/readable-stream/lib/_stream_passthrough.js
var require__stream_passthrough = __commonJS((exports, module) => {
  module.exports = PassThrough;
  var Transform = require__stream_transform();
  require_inherits()(PassThrough, Transform);
  function PassThrough(options) {
    if (!(this instanceof PassThrough))
      return new PassThrough(options);
    Transform.call(this, options);
  }
  PassThrough.prototype._transform = function(chunk, encoding, cb) {
    cb(null, chunk);
  };
});

// ../../node_modules/readable-stream/lib/internal/streams/pipeline.js
var require_pipeline = __commonJS((exports, module) => {
  var eos;
  function once(callback) {
    var called = false;
    return function() {
      if (called)
        return;
      called = true;
      callback.apply(undefined, arguments);
    };
  }
  var _require$codes = require_errors2().codes;
  var ERR_MISSING_ARGS = _require$codes.ERR_MISSING_ARGS;
  var ERR_STREAM_DESTROYED = _require$codes.ERR_STREAM_DESTROYED;
  function noop(err) {
    if (err)
      throw err;
  }
  function isRequest(stream) {
    return stream.setHeader && typeof stream.abort === "function";
  }
  function destroyer(stream, reading, writing, callback) {
    callback = once(callback);
    var closed = false;
    stream.on("close", function() {
      closed = true;
    });
    if (eos === undefined)
      eos = require_end_of_stream();
    eos(stream, {
      readable: reading,
      writable: writing
    }, function(err) {
      if (err)
        return callback(err);
      closed = true;
      callback();
    });
    var destroyed = false;
    return function(err) {
      if (closed)
        return;
      if (destroyed)
        return;
      destroyed = true;
      if (isRequest(stream))
        return stream.abort();
      if (typeof stream.destroy === "function")
        return stream.destroy();
      callback(err || new ERR_STREAM_DESTROYED("pipe"));
    };
  }
  function call(fn) {
    fn();
  }
  function pipe(from, to) {
    return from.pipe(to);
  }
  function popCallback(streams) {
    if (!streams.length)
      return noop;
    if (typeof streams[streams.length - 1] !== "function")
      return noop;
    return streams.pop();
  }
  function pipeline() {
    for (var _len = arguments.length, streams = new Array(_len), _key = 0;_key < _len; _key++) {
      streams[_key] = arguments[_key];
    }
    var callback = popCallback(streams);
    if (Array.isArray(streams[0]))
      streams = streams[0];
    if (streams.length < 2) {
      throw new ERR_MISSING_ARGS("streams");
    }
    var error;
    var destroys = streams.map(function(stream, i) {
      var reading = i < streams.length - 1;
      var writing = i > 0;
      return destroyer(stream, reading, writing, function(err) {
        if (!error)
          error = err;
        if (err)
          destroys.forEach(call);
        if (reading)
          return;
        destroys.forEach(call);
        callback(error);
      });
    });
    return streams.reduce(pipe);
  }
  module.exports = pipeline;
});

// ../../node_modules/readable-stream/readable.js
var require_readable = __commonJS((exports, module) => {
  var Stream = __require("stream");
  if (process.env.READABLE_STREAM === "disable" && Stream) {
    module.exports = Stream.Readable;
    Object.assign(module.exports, Stream);
    module.exports.Stream = Stream;
  } else {
    exports = module.exports = require__stream_readable();
    exports.Stream = Stream || exports;
    exports.Readable = exports;
    exports.Writable = require__stream_writable();
    exports.Duplex = require__stream_duplex();
    exports.Transform = require__stream_transform();
    exports.PassThrough = require__stream_passthrough();
    exports.finished = require_end_of_stream();
    exports.pipeline = require_pipeline();
  }
});

// ../../node_modules/@dabh/diagnostics/diagnostics.js
var require_diagnostics = __commonJS((exports, module) => {
  var adapters = [];
  var modifiers = [];
  var logger = function devnull() {
  };
  function use(adapter) {
    if (~adapters.indexOf(adapter))
      return false;
    adapters.push(adapter);
    return true;
  }
  function set2(custom) {
    logger = custom;
  }
  function enabled(namespace) {
    var async = [];
    for (var i = 0;i < adapters.length; i++) {
      if (adapters[i].async) {
        async.push(adapters[i]);
        continue;
      }
      if (adapters[i](namespace))
        return true;
    }
    if (!async.length)
      return false;
    return new Promise(function pinky(resolve) {
      Promise.all(async.map(function prebind(fn) {
        return fn(namespace);
      })).then(function resolved(values) {
        resolve(values.some(Boolean));
      });
    });
  }
  function modify(fn) {
    if (~modifiers.indexOf(fn))
      return false;
    modifiers.push(fn);
    return true;
  }
  function write() {
    logger.apply(logger, arguments);
  }
  function process2(message) {
    for (var i = 0;i < modifiers.length; i++) {
      message = modifiers[i].apply(modifiers[i], arguments);
    }
    return message;
  }
  function introduce(fn, options) {
    var has = Object.prototype.hasOwnProperty;
    for (var key in options) {
      if (has.call(options, key)) {
        fn[key] = options[key];
      }
    }
    return fn;
  }
  function nope(options) {
    options.enabled = false;
    options.modify = modify;
    options.set = set2;
    options.use = use;
    return introduce(function diagnopes() {
      return false;
    }, options);
  }
  function yep(options) {
    function diagnostics() {
      var args = Array.prototype.slice.call(arguments, 0);
      write.call(write, options, process2(args, options));
      return true;
    }
    options.enabled = true;
    options.modify = modify;
    options.set = set2;
    options.use = use;
    return introduce(diagnostics, options);
  }
  module.exports = function create(diagnostics) {
    diagnostics.introduce = introduce;
    diagnostics.enabled = enabled;
    diagnostics.process = process2;
    diagnostics.modify = modify;
    diagnostics.write = write;
    diagnostics.nope = nope;
    diagnostics.yep = yep;
    diagnostics.set = set2;
    diagnostics.use = use;
    return diagnostics;
  };
});

// ../../node_modules/@dabh/diagnostics/node/production.js
var require_production = __commonJS((exports, module) => {
  var create = require_diagnostics();
  var diagnostics = create(function prod(namespace, options) {
    options = options || {};
    options.namespace = namespace;
    options.prod = true;
    options.dev = false;
    if (!(options.force || prod.force))
      return prod.nope(options);
    return prod.yep(options);
  });
  module.exports = diagnostics;
});

// ../../node_modules/@dabh/diagnostics/node/index.js
var require_node2 = __commonJS((exports, module) => {
  if (true) {
    module.exports = require_production();
  } else {
  }
});

// ../../node_modules/winston/lib/winston/tail-file.js
var require_tail_file = __commonJS((exports, module) => {
  var fs = __require("fs");
  var { StringDecoder } = __require("string_decoder");
  var { Stream } = require_readable();
  function noop() {
  }
  module.exports = (options, iter) => {
    const buffer = Buffer.alloc(64 * 1024);
    const decode = new StringDecoder("utf8");
    const stream = new Stream;
    let buff = "";
    let pos = 0;
    let row = 0;
    if (options.start === -1) {
      delete options.start;
    }
    stream.readable = true;
    stream.destroy = () => {
      stream.destroyed = true;
      stream.emit("end");
      stream.emit("close");
    };
    fs.open(options.file, "a+", "0644", (err, fd) => {
      if (err) {
        if (!iter) {
          stream.emit("error", err);
        } else {
          iter(err);
        }
        stream.destroy();
        return;
      }
      (function read() {
        if (stream.destroyed) {
          fs.close(fd, noop);
          return;
        }
        return fs.read(fd, buffer, 0, buffer.length, pos, (error, bytes) => {
          if (error) {
            if (!iter) {
              stream.emit("error", error);
            } else {
              iter(error);
            }
            stream.destroy();
            return;
          }
          if (!bytes) {
            if (buff) {
              if (options.start == null || row > options.start) {
                if (!iter) {
                  stream.emit("line", buff);
                } else {
                  iter(null, buff);
                }
              }
              row++;
              buff = "";
            }
            return setTimeout(read, 1000);
          }
          let data = decode.write(buffer.slice(0, bytes));
          if (!iter) {
            stream.emit("data", data);
          }
          data = (buff + data).split(/\n+/);
          const l = data.length - 1;
          let i = 0;
          for (;i < l; i++) {
            if (options.start == null || row > options.start) {
              if (!iter) {
                stream.emit("line", data[i]);
              } else {
                iter(null, data[i]);
              }
            }
            row++;
          }
          buff = data[l];
          pos += bytes;
          return read();
        });
      })();
    });
    if (!iter) {
      return stream;
    }
    return stream.destroy;
  };
});

// ../../node_modules/winston/lib/winston/transports/file.js
var require_file = __commonJS((exports, module) => {
  var fs = __require("fs");
  var path = __require("path");
  var asyncSeries = require_series();
  var zlib = __require("zlib");
  var { MESSAGE } = require_triple_beam();
  var { Stream, PassThrough } = require_readable();
  var TransportStream = require_winston_transport();
  var debug = require_node2()("winston:file");
  var os = __require("os");
  var tailFile = require_tail_file();
  module.exports = class File2 extends TransportStream {
    constructor(options = {}) {
      super(options);
      this.name = options.name || "file";
      function throwIf(target, ...args) {
        args.slice(1).forEach((name) => {
          if (options[name]) {
            throw new Error(`Cannot set ${name} and ${target} together`);
          }
        });
      }
      this._stream = new PassThrough;
      this._stream.setMaxListeners(30);
      this._onError = this._onError.bind(this);
      if (options.filename || options.dirname) {
        throwIf("filename or dirname", "stream");
        this._basename = this.filename = options.filename ? path.basename(options.filename) : "winston.log";
        this.dirname = options.dirname || path.dirname(options.filename);
        this.options = options.options || { flags: "a" };
      } else if (options.stream) {
        console.warn("options.stream will be removed in winston@4. Use winston.transports.Stream");
        throwIf("stream", "filename", "maxsize");
        this._dest = this._stream.pipe(this._setupStream(options.stream));
        this.dirname = path.dirname(this._dest.path);
      } else {
        throw new Error("Cannot log to file without filename or stream.");
      }
      this.maxsize = options.maxsize || null;
      this.rotationFormat = options.rotationFormat || false;
      this.zippedArchive = options.zippedArchive || false;
      this.maxFiles = options.maxFiles || null;
      this.eol = typeof options.eol === "string" ? options.eol : os.EOL;
      this.tailable = options.tailable || false;
      this.lazy = options.lazy || false;
      this._size = 0;
      this._pendingSize = 0;
      this._created = 0;
      this._drain = false;
      this._opening = false;
      this._ending = false;
      this._fileExist = false;
      if (this.dirname)
        this._createLogDirIfNotExist(this.dirname);
      if (!this.lazy)
        this.open();
    }
    finishIfEnding() {
      if (this._ending) {
        if (this._opening) {
          this.once("open", () => {
            this._stream.once("finish", () => this.emit("finish"));
            setImmediate(() => this._stream.end());
          });
        } else {
          this._stream.once("finish", () => this.emit("finish"));
          setImmediate(() => this._stream.end());
        }
      }
    }
    log(info, callback = () => {
    }) {
      if (this.silent) {
        callback();
        return true;
      }
      if (this._drain) {
        this._stream.once("drain", () => {
          this._drain = false;
          this.log(info, callback);
        });
        return;
      }
      if (this._rotate) {
        this._stream.once("rotate", () => {
          this._rotate = false;
          this.log(info, callback);
        });
        return;
      }
      if (this.lazy) {
        if (!this._fileExist) {
          if (!this._opening) {
            this.open();
          }
          this.once("open", () => {
            this._fileExist = true;
            this.log(info, callback);
            return;
          });
          return;
        }
        if (this._needsNewFile(this._pendingSize)) {
          this._dest.once("close", () => {
            if (!this._opening) {
              this.open();
            }
            this.once("open", () => {
              this.log(info, callback);
              return;
            });
            return;
          });
          return;
        }
      }
      const output = `${info[MESSAGE]}${this.eol}`;
      const bytes = Buffer.byteLength(output);
      function logged() {
        this._size += bytes;
        this._pendingSize -= bytes;
        debug("logged %s %s", this._size, output);
        this.emit("logged", info);
        if (this._rotate) {
          return;
        }
        if (this._opening) {
          return;
        }
        if (!this._needsNewFile()) {
          return;
        }
        if (this.lazy) {
          this._endStream(() => {
            this.emit("fileclosed");
          });
          return;
        }
        this._rotate = true;
        this._endStream(() => this._rotateFile());
      }
      this._pendingSize += bytes;
      if (this._opening && !this.rotatedWhileOpening && this._needsNewFile(this._size + this._pendingSize)) {
        this.rotatedWhileOpening = true;
      }
      const written = this._stream.write(output, logged.bind(this));
      if (!written) {
        this._drain = true;
        this._stream.once("drain", () => {
          this._drain = false;
          callback();
        });
      } else {
        callback();
      }
      debug("written", written, this._drain);
      this.finishIfEnding();
      return written;
    }
    query(options, callback) {
      if (typeof options === "function") {
        callback = options;
        options = {};
      }
      options = normalizeQuery(options);
      const file = path.join(this.dirname, this.filename);
      let buff = "";
      let results = [];
      let row = 0;
      const stream = fs.createReadStream(file, {
        encoding: "utf8"
      });
      stream.on("error", (err) => {
        if (stream.readable) {
          stream.destroy();
        }
        if (!callback) {
          return;
        }
        return err.code !== "ENOENT" ? callback(err) : callback(null, results);
      });
      stream.on("data", (data) => {
        data = (buff + data).split(/\n+/);
        const l = data.length - 1;
        let i = 0;
        for (;i < l; i++) {
          if (!options.start || row >= options.start) {
            add(data[i]);
          }
          row++;
        }
        buff = data[l];
      });
      stream.on("close", () => {
        if (buff) {
          add(buff, true);
        }
        if (options.order === "desc") {
          results = results.reverse();
        }
        if (callback)
          callback(null, results);
      });
      function add(buff2, attempt) {
        try {
          const log = JSON.parse(buff2);
          if (check(log)) {
            push(log);
          }
        } catch (e) {
          if (!attempt) {
            stream.emit("error", e);
          }
        }
      }
      function push(log) {
        if (options.rows && results.length >= options.rows && options.order !== "desc") {
          if (stream.readable) {
            stream.destroy();
          }
          return;
        }
        if (options.fields) {
          log = options.fields.reduce((obj, key) => {
            obj[key] = log[key];
            return obj;
          }, {});
        }
        if (options.order === "desc") {
          if (results.length >= options.rows) {
            results.shift();
          }
        }
        results.push(log);
      }
      function check(log) {
        if (!log) {
          return;
        }
        if (typeof log !== "object") {
          return;
        }
        const time = new Date(log.timestamp);
        if (options.from && time < options.from || options.until && time > options.until || options.level && options.level !== log.level) {
          return;
        }
        return true;
      }
      function normalizeQuery(options2) {
        options2 = options2 || {};
        options2.rows = options2.rows || options2.limit || 10;
        options2.start = options2.start || 0;
        options2.until = options2.until || new Date;
        if (typeof options2.until !== "object") {
          options2.until = new Date(options2.until);
        }
        options2.from = options2.from || options2.until - 24 * 60 * 60 * 1000;
        if (typeof options2.from !== "object") {
          options2.from = new Date(options2.from);
        }
        options2.order = options2.order || "desc";
        return options2;
      }
    }
    stream(options = {}) {
      const file = path.join(this.dirname, this.filename);
      const stream = new Stream;
      const tail = {
        file,
        start: options.start
      };
      stream.destroy = tailFile(tail, (err, line) => {
        if (err) {
          return stream.emit("error", err);
        }
        try {
          stream.emit("data", line);
          line = JSON.parse(line);
          stream.emit("log", line);
        } catch (e) {
          stream.emit("error", e);
        }
      });
      return stream;
    }
    open() {
      if (!this.filename)
        return;
      if (this._opening)
        return;
      this._opening = true;
      this.stat((err, size) => {
        if (err) {
          return this.emit("error", err);
        }
        debug("stat done: %s { size: %s }", this.filename, size);
        this._size = size;
        this._dest = this._createStream(this._stream);
        this._opening = false;
        this.once("open", () => {
          if (!this._stream.emit("rotate")) {
            this._rotate = false;
          }
        });
      });
    }
    stat(callback) {
      const target = this._getFile();
      const fullpath = path.join(this.dirname, target);
      fs.stat(fullpath, (err, stat) => {
        if (err && err.code === "ENOENT") {
          debug("ENOENT\xA0ok", fullpath);
          this.filename = target;
          return callback(null, 0);
        }
        if (err) {
          debug(`err ${err.code} ${fullpath}`);
          return callback(err);
        }
        if (!stat || this._needsNewFile(stat.size)) {
          return this._incFile(() => this.stat(callback));
        }
        this.filename = target;
        callback(null, stat.size);
      });
    }
    close(cb) {
      if (!this._stream) {
        return;
      }
      this._stream.end(() => {
        if (cb) {
          cb();
        }
        this.emit("flush");
        this.emit("closed");
      });
    }
    _needsNewFile(size) {
      size = size || this._size;
      return this.maxsize && size >= this.maxsize;
    }
    _onError(err) {
      this.emit("error", err);
    }
    _setupStream(stream) {
      stream.on("error", this._onError);
      return stream;
    }
    _cleanupStream(stream) {
      stream.removeListener("error", this._onError);
      stream.destroy();
      return stream;
    }
    _rotateFile() {
      this._incFile(() => this.open());
    }
    _endStream(callback = () => {
    }) {
      if (this._dest) {
        this._stream.unpipe(this._dest);
        this._dest.end(() => {
          this._cleanupStream(this._dest);
          callback();
        });
      } else {
        callback();
      }
    }
    _createStream(source) {
      const fullpath = path.join(this.dirname, this.filename);
      debug("create stream start", fullpath, this.options);
      const dest = fs.createWriteStream(fullpath, this.options).on("error", (err) => debug(err)).on("close", () => debug("close", dest.path, dest.bytesWritten)).on("open", () => {
        debug("file open ok", fullpath);
        this.emit("open", fullpath);
        source.pipe(dest);
        if (this.rotatedWhileOpening) {
          this._stream = new PassThrough;
          this._stream.setMaxListeners(30);
          this._rotateFile();
          this.rotatedWhileOpening = false;
          this._cleanupStream(dest);
          source.end();
        }
      });
      debug("create stream ok", fullpath);
      return dest;
    }
    _incFile(callback) {
      debug("_incFile", this.filename);
      const ext = path.extname(this._basename);
      const basename = path.basename(this._basename, ext);
      const tasks = [];
      if (this.zippedArchive) {
        tasks.push(function(cb) {
          const num = this._created > 0 && !this.tailable ? this._created : "";
          this._compressFile(path.join(this.dirname, `${basename}${num}${ext}`), path.join(this.dirname, `${basename}${num}${ext}.gz`), cb);
        }.bind(this));
      }
      tasks.push(function(cb) {
        if (!this.tailable) {
          this._created += 1;
          this._checkMaxFilesIncrementing(ext, basename, cb);
        } else {
          this._checkMaxFilesTailable(ext, basename, cb);
        }
      }.bind(this));
      asyncSeries(tasks, callback);
    }
    _getFile() {
      const ext = path.extname(this._basename);
      const basename = path.basename(this._basename, ext);
      const isRotation = this.rotationFormat ? this.rotationFormat() : this._created;
      return !this.tailable && this._created ? `${basename}${isRotation}${ext}` : `${basename}${ext}`;
    }
    _checkMaxFilesIncrementing(ext, basename, callback) {
      if (!this.maxFiles || this._created < this.maxFiles) {
        return setImmediate(callback);
      }
      const oldest = this._created - this.maxFiles;
      const isOldest = oldest !== 0 ? oldest : "";
      const isZipped = this.zippedArchive ? ".gz" : "";
      const filePath = `${basename}${isOldest}${ext}${isZipped}`;
      const target = path.join(this.dirname, filePath);
      fs.unlink(target, callback);
    }
    _checkMaxFilesTailable(ext, basename, callback) {
      const tasks = [];
      if (!this.maxFiles) {
        return;
      }
      const isZipped = this.zippedArchive ? ".gz" : "";
      for (let x = this.maxFiles - 1;x > 1; x--) {
        tasks.push(function(i, cb) {
          let fileName = `${basename}${i - 1}${ext}${isZipped}`;
          const tmppath = path.join(this.dirname, fileName);
          fs.exists(tmppath, (exists) => {
            if (!exists) {
              return cb(null);
            }
            fileName = `${basename}${i}${ext}${isZipped}`;
            fs.rename(tmppath, path.join(this.dirname, fileName), cb);
          });
        }.bind(this, x));
      }
      asyncSeries(tasks, () => {
        fs.rename(path.join(this.dirname, `${basename}${ext}${isZipped}`), path.join(this.dirname, `${basename}1${ext}${isZipped}`), callback);
      });
    }
    _compressFile(src, dest, callback) {
      fs.access(src, fs.F_OK, (err) => {
        if (err) {
          return callback();
        }
        var gzip = zlib.createGzip();
        var inp = fs.createReadStream(src);
        var out = fs.createWriteStream(dest);
        out.on("finish", () => {
          fs.unlink(src, callback);
        });
        inp.pipe(gzip).pipe(out);
      });
    }
    _createLogDirIfNotExist(dirPath) {
      if (!fs.existsSync(dirPath)) {
        fs.mkdirSync(dirPath, { recursive: true });
      }
    }
  };
});

// ../../node_modules/winston/lib/winston/transports/http.js
var require_http = __commonJS((exports, module) => {
  var http = __require("http");
  var https = __require("https");
  var { Stream } = require_readable();
  var TransportStream = require_winston_transport();
  var { configure } = require_safe_stable_stringify();
  module.exports = class Http extends TransportStream {
    constructor(options = {}) {
      super(options);
      this.options = options;
      this.name = options.name || "http";
      this.ssl = !!options.ssl;
      this.host = options.host || "localhost";
      this.port = options.port;
      this.auth = options.auth;
      this.path = options.path || "";
      this.maximumDepth = options.maximumDepth;
      this.agent = options.agent;
      this.headers = options.headers || {};
      this.headers["content-type"] = "application/json";
      this.batch = options.batch || false;
      this.batchInterval = options.batchInterval || 5000;
      this.batchCount = options.batchCount || 10;
      this.batchOptions = [];
      this.batchTimeoutID = -1;
      this.batchCallback = {};
      if (!this.port) {
        this.port = this.ssl ? 443 : 80;
      }
    }
    log(info, callback) {
      this._request(info, null, null, (err, res) => {
        if (res && res.statusCode !== 200) {
          err = new Error(`Invalid HTTP Status Code: ${res.statusCode}`);
        }
        if (err) {
          this.emit("warn", err);
        } else {
          this.emit("logged", info);
        }
      });
      if (callback) {
        setImmediate(callback);
      }
    }
    query(options, callback) {
      if (typeof options === "function") {
        callback = options;
        options = {};
      }
      options = {
        method: "query",
        params: this.normalizeQuery(options)
      };
      const auth = options.params.auth || null;
      delete options.params.auth;
      const path = options.params.path || null;
      delete options.params.path;
      this._request(options, auth, path, (err, res, body) => {
        if (res && res.statusCode !== 200) {
          err = new Error(`Invalid HTTP Status Code: ${res.statusCode}`);
        }
        if (err) {
          return callback(err);
        }
        if (typeof body === "string") {
          try {
            body = JSON.parse(body);
          } catch (e) {
            return callback(e);
          }
        }
        callback(null, body);
      });
    }
    stream(options = {}) {
      const stream = new Stream;
      options = {
        method: "stream",
        params: options
      };
      const path = options.params.path || null;
      delete options.params.path;
      const auth = options.params.auth || null;
      delete options.params.auth;
      let buff = "";
      const req = this._request(options, auth, path);
      stream.destroy = () => req.destroy();
      req.on("data", (data) => {
        data = (buff + data).split(/\n+/);
        const l = data.length - 1;
        let i = 0;
        for (;i < l; i++) {
          try {
            stream.emit("log", JSON.parse(data[i]));
          } catch (e) {
            stream.emit("error", e);
          }
        }
        buff = data[l];
      });
      req.on("error", (err) => stream.emit("error", err));
      return stream;
    }
    _request(options, auth, path, callback) {
      options = options || {};
      auth = auth || this.auth;
      path = path || this.path || "";
      if (this.batch) {
        this._doBatch(options, callback, auth, path);
      } else {
        this._doRequest(options, callback, auth, path);
      }
    }
    _doBatch(options, callback, auth, path) {
      this.batchOptions.push(options);
      if (this.batchOptions.length === 1) {
        const me = this;
        this.batchCallback = callback;
        this.batchTimeoutID = setTimeout(function() {
          me.batchTimeoutID = -1;
          me._doBatchRequest(me.batchCallback, auth, path);
        }, this.batchInterval);
      }
      if (this.batchOptions.length === this.batchCount) {
        this._doBatchRequest(this.batchCallback, auth, path);
      }
    }
    _doBatchRequest(callback, auth, path) {
      if (this.batchTimeoutID > 0) {
        clearTimeout(this.batchTimeoutID);
        this.batchTimeoutID = -1;
      }
      const batchOptionsCopy = this.batchOptions.slice();
      this.batchOptions = [];
      this._doRequest(batchOptionsCopy, callback, auth, path);
    }
    _doRequest(options, callback, auth, path) {
      const headers = Object.assign({}, this.headers);
      if (auth && auth.bearer) {
        headers.Authorization = `Bearer ${auth.bearer}`;
      }
      const req = (this.ssl ? https : http).request({
        ...this.options,
        method: "POST",
        host: this.host,
        port: this.port,
        path: `/${path.replace(/^\//, "")}`,
        headers,
        auth: auth && auth.username && auth.password ? `${auth.username}:${auth.password}` : "",
        agent: this.agent
      });
      req.on("error", callback);
      req.on("response", (res) => res.on("end", () => callback(null, res)).resume());
      const jsonStringify = configure({
        ...this.maximumDepth && { maximumDepth: this.maximumDepth }
      });
      req.end(Buffer.from(jsonStringify(options, this.options.replacer), "utf8"));
    }
  };
});

// ../../node_modules/is-stream/index.js
var require_is_stream = __commonJS((exports, module) => {
  var isStream = (stream) => stream !== null && typeof stream === "object" && typeof stream.pipe === "function";
  isStream.writable = (stream) => isStream(stream) && stream.writable !== false && typeof stream._write === "function" && typeof stream._writableState === "object";
  isStream.readable = (stream) => isStream(stream) && stream.readable !== false && typeof stream._read === "function" && typeof stream._readableState === "object";
  isStream.duplex = (stream) => isStream.writable(stream) && isStream.readable(stream);
  isStream.transform = (stream) => isStream.duplex(stream) && typeof stream._transform === "function";
  module.exports = isStream;
});

// ../../node_modules/winston/lib/winston/transports/stream.js
var require_stream = __commonJS((exports, module) => {
  var isStream = require_is_stream();
  var { MESSAGE } = require_triple_beam();
  var os = __require("os");
  var TransportStream = require_winston_transport();
  module.exports = class Stream extends TransportStream {
    constructor(options = {}) {
      super(options);
      if (!options.stream || !isStream(options.stream)) {
        throw new Error("options.stream is required.");
      }
      this._stream = options.stream;
      this._stream.setMaxListeners(Infinity);
      this.isObjectMode = options.stream._writableState.objectMode;
      this.eol = typeof options.eol === "string" ? options.eol : os.EOL;
    }
    log(info, callback) {
      setImmediate(() => this.emit("logged", info));
      if (this.isObjectMode) {
        this._stream.write(info);
        if (callback) {
          callback();
        }
        return;
      }
      this._stream.write(`${info[MESSAGE]}${this.eol}`);
      if (callback) {
        callback();
      }
      return;
    }
  };
});

// ../../node_modules/winston/lib/winston/transports/index.js
var require_transports = __commonJS((exports) => {
  Object.defineProperty(exports, "Console", {
    configurable: true,
    enumerable: true,
    get() {
      return require_console();
    }
  });
  Object.defineProperty(exports, "File", {
    configurable: true,
    enumerable: true,
    get() {
      return require_file();
    }
  });
  Object.defineProperty(exports, "Http", {
    configurable: true,
    enumerable: true,
    get() {
      return require_http();
    }
  });
  Object.defineProperty(exports, "Stream", {
    configurable: true,
    enumerable: true,
    get() {
      return require_stream();
    }
  });
});

// ../../node_modules/winston/lib/winston/config/index.js
var require_config2 = __commonJS((exports) => {
  var logform = require_logform();
  var { configs } = require_triple_beam();
  exports.cli = logform.levels(configs.cli);
  exports.npm = logform.levels(configs.npm);
  exports.syslog = logform.levels(configs.syslog);
  exports.addColors = logform.levels;
});

// ../../node_modules/async/eachOf.js
var require_eachOf = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var _isArrayLike = require_isArrayLike();
  var _isArrayLike2 = _interopRequireDefault(_isArrayLike);
  var _breakLoop = require_breakLoop();
  var _breakLoop2 = _interopRequireDefault(_breakLoop);
  var _eachOfLimit = require_eachOfLimit2();
  var _eachOfLimit2 = _interopRequireDefault(_eachOfLimit);
  var _once = require_once();
  var _once2 = _interopRequireDefault(_once);
  var _onlyOnce = require_onlyOnce();
  var _onlyOnce2 = _interopRequireDefault(_onlyOnce);
  var _wrapAsync = require_wrapAsync();
  var _wrapAsync2 = _interopRequireDefault(_wrapAsync);
  var _awaitify = require_awaitify();
  var _awaitify2 = _interopRequireDefault(_awaitify);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function eachOfArrayLike(coll, iteratee, callback) {
    callback = (0, _once2.default)(callback);
    var index = 0, completed = 0, { length } = coll, canceled = false;
    if (length === 0) {
      callback(null);
    }
    function iteratorCallback(err, value) {
      if (err === false) {
        canceled = true;
      }
      if (canceled === true)
        return;
      if (err) {
        callback(err);
      } else if (++completed === length || value === _breakLoop2.default) {
        callback(null);
      }
    }
    for (;index < length; index++) {
      iteratee(coll[index], index, (0, _onlyOnce2.default)(iteratorCallback));
    }
  }
  function eachOfGeneric(coll, iteratee, callback) {
    return (0, _eachOfLimit2.default)(coll, Infinity, iteratee, callback);
  }
  function eachOf(coll, iteratee, callback) {
    var eachOfImplementation = (0, _isArrayLike2.default)(coll) ? eachOfArrayLike : eachOfGeneric;
    return eachOfImplementation(coll, (0, _wrapAsync2.default)(iteratee), callback);
  }
  exports.default = (0, _awaitify2.default)(eachOf, 3);
  module.exports = exports.default;
});

// ../../node_modules/async/internal/withoutIndex.js
var require_withoutIndex = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = _withoutIndex;
  function _withoutIndex(iteratee) {
    return (value, index, callback) => iteratee(value, callback);
  }
  module.exports = exports.default;
});

// ../../node_modules/async/forEach.js
var require_forEach = __commonJS((exports, module) => {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  var _eachOf = require_eachOf();
  var _eachOf2 = _interopRequireDefault(_eachOf);
  var _withoutIndex = require_withoutIndex();
  var _withoutIndex2 = _interopRequireDefault(_withoutIndex);
  var _wrapAsync = require_wrapAsync();
  var _wrapAsync2 = _interopRequireDefault(_wrapAsync);
  var _awaitify = require_awaitify();
  var _awaitify2 = _interopRequireDefault(_awaitify);
  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function eachLimit(coll, iteratee, callback) {
    return (0, _eachOf2.default)(coll, (0, _withoutIndex2.default)((0, _wrapAsync2.default)(iteratee)), callback);
  }
  exports.default = (0, _awaitify2.default)(eachLimit, 3);
  module.exports = exports.default;
});

// ../../node_modules/fn.name/index.js
var require_fn = __commonJS((exports, module) => {
  var toString = Object.prototype.toString;
  module.exports = function name(fn) {
    if (typeof fn.displayName === "string" && fn.constructor.name) {
      return fn.displayName;
    } else if (typeof fn.name === "string" && fn.name) {
      return fn.name;
    }
    if (typeof fn === "object" && fn.constructor && typeof fn.constructor.name === "string")
      return fn.constructor.name;
    var named = fn.toString(), type = toString.call(fn).slice(8, -1);
    if (type === "Function") {
      named = named.substring(named.indexOf("(") + 1, named.indexOf(")"));
    } else {
      named = type;
    }
    return named || "anonymous";
  };
});

// ../../node_modules/one-time/index.js
var require_one_time = __commonJS((exports, module) => {
  var name = require_fn();
  module.exports = function one(fn) {
    var called = 0, value;
    function onetime() {
      if (called)
        return value;
      called = 1;
      value = fn.apply(this, arguments);
      fn = null;
      return value;
    }
    onetime.displayName = name(fn);
    return onetime;
  };
});

// ../../node_modules/stack-trace/lib/stack-trace.js
var require_stack_trace = __commonJS((exports) => {
  exports.get = function(belowFn) {
    var oldLimit = Error.stackTraceLimit;
    Error.stackTraceLimit = Infinity;
    var dummyObject = {};
    var v8Handler = Error.prepareStackTrace;
    Error.prepareStackTrace = function(dummyObject2, v8StackTrace2) {
      return v8StackTrace2;
    };
    Error.captureStackTrace(dummyObject, belowFn || exports.get);
    var v8StackTrace = dummyObject.stack;
    Error.prepareStackTrace = v8Handler;
    Error.stackTraceLimit = oldLimit;
    return v8StackTrace;
  };
  exports.parse = function(err) {
    if (!err.stack) {
      return [];
    }
    var self2 = this;
    var lines = err.stack.split(`
`).slice(1);
    return lines.map(function(line) {
      if (line.match(/^\s*[-]{4,}$/)) {
        return self2._createParsedCallSite({
          fileName: line,
          lineNumber: null,
          functionName: null,
          typeName: null,
          methodName: null,
          columnNumber: null,
          native: null
        });
      }
      var lineMatch = line.match(/at (?:(.+)\s+\()?(?:(.+?):(\d+)(?::(\d+))?|([^)]+))\)?/);
      if (!lineMatch) {
        return;
      }
      var object = null;
      var method = null;
      var functionName = null;
      var typeName = null;
      var methodName = null;
      var isNative = lineMatch[5] === "native";
      if (lineMatch[1]) {
        functionName = lineMatch[1];
        var methodStart = functionName.lastIndexOf(".");
        if (functionName[methodStart - 1] == ".")
          methodStart--;
        if (methodStart > 0) {
          object = functionName.substr(0, methodStart);
          method = functionName.substr(methodStart + 1);
          var objectEnd = object.indexOf(".Module");
          if (objectEnd > 0) {
            functionName = functionName.substr(objectEnd + 1);
            object = object.substr(0, objectEnd);
          }
        }
        typeName = null;
      }
      if (method) {
        typeName = object;
        methodName = method;
      }
      if (method === "<anonymous>") {
        methodName = null;
        functionName = null;
      }
      var properties = {
        fileName: lineMatch[2] || null,
        lineNumber: parseInt(lineMatch[3], 10) || null,
        functionName,
        typeName,
        methodName,
        columnNumber: parseInt(lineMatch[4], 10) || null,
        native: isNative
      };
      return self2._createParsedCallSite(properties);
    }).filter(function(callSite) {
      return !!callSite;
    });
  };
  function CallSite(properties) {
    for (var property in properties) {
      this[property] = properties[property];
    }
  }
  var strProperties = [
    "this",
    "typeName",
    "functionName",
    "methodName",
    "fileName",
    "lineNumber",
    "columnNumber",
    "function",
    "evalOrigin"
  ];
  var boolProperties = [
    "topLevel",
    "eval",
    "native",
    "constructor"
  ];
  strProperties.forEach(function(property) {
    CallSite.prototype[property] = null;
    CallSite.prototype["get" + property[0].toUpperCase() + property.substr(1)] = function() {
      return this[property];
    };
  });
  boolProperties.forEach(function(property) {
    CallSite.prototype[property] = false;
    CallSite.prototype["is" + property[0].toUpperCase() + property.substr(1)] = function() {
      return this[property];
    };
  });
  exports._createParsedCallSite = function(properties) {
    return new CallSite(properties);
  };
});

// ../../node_modules/winston/lib/winston/exception-stream.js
var require_exception_stream = __commonJS((exports, module) => {
  var { Writable } = require_readable();
  module.exports = class ExceptionStream extends Writable {
    constructor(transport) {
      super({ objectMode: true });
      if (!transport) {
        throw new Error("ExceptionStream requires a TransportStream instance.");
      }
      this.handleExceptions = true;
      this.transport = transport;
    }
    _write(info, enc, callback) {
      if (info.exception) {
        return this.transport.log(info, callback);
      }
      callback();
      return true;
    }
  };
});

// ../../node_modules/winston/lib/winston/exception-handler.js
var require_exception_handler = __commonJS((exports, module) => {
  var os = __require("os");
  var asyncForEach = require_forEach();
  var debug = require_node2()("winston:exception");
  var once = require_one_time();
  var stackTrace = require_stack_trace();
  var ExceptionStream = require_exception_stream();
  module.exports = class ExceptionHandler {
    constructor(logger) {
      if (!logger) {
        throw new Error("Logger is required to handle exceptions");
      }
      this.logger = logger;
      this.handlers = new Map;
    }
    handle(...args) {
      args.forEach((arg) => {
        if (Array.isArray(arg)) {
          return arg.forEach((handler) => this._addHandler(handler));
        }
        this._addHandler(arg);
      });
      if (!this.catcher) {
        this.catcher = this._uncaughtException.bind(this);
        process.on("uncaughtException", this.catcher);
      }
    }
    unhandle() {
      if (this.catcher) {
        process.removeListener("uncaughtException", this.catcher);
        this.catcher = false;
        Array.from(this.handlers.values()).forEach((wrapper) => this.logger.unpipe(wrapper));
      }
    }
    getAllInfo(err) {
      let message = null;
      if (err) {
        message = typeof err === "string" ? err : err.message;
      }
      return {
        error: err,
        level: "error",
        message: [
          `uncaughtException: ${message || "(no error message)"}`,
          err && err.stack || "  No stack trace"
        ].join(`
`),
        stack: err && err.stack,
        exception: true,
        date: new Date().toString(),
        process: this.getProcessInfo(),
        os: this.getOsInfo(),
        trace: this.getTrace(err)
      };
    }
    getProcessInfo() {
      return {
        pid: process.pid,
        uid: process.getuid ? process.getuid() : null,
        gid: process.getgid ? process.getgid() : null,
        cwd: process.cwd(),
        execPath: process.execPath,
        version: process.version,
        argv: process.argv,
        memoryUsage: process.memoryUsage()
      };
    }
    getOsInfo() {
      return {
        loadavg: os.loadavg(),
        uptime: os.uptime()
      };
    }
    getTrace(err) {
      const trace = err ? stackTrace.parse(err) : stackTrace.get();
      return trace.map((site) => {
        return {
          column: site.getColumnNumber(),
          file: site.getFileName(),
          function: site.getFunctionName(),
          line: site.getLineNumber(),
          method: site.getMethodName(),
          native: site.isNative()
        };
      });
    }
    _addHandler(handler) {
      if (!this.handlers.has(handler)) {
        handler.handleExceptions = true;
        const wrapper = new ExceptionStream(handler);
        this.handlers.set(handler, wrapper);
        this.logger.pipe(wrapper);
      }
    }
    _uncaughtException(err) {
      const info = this.getAllInfo(err);
      const handlers = this._getExceptionHandlers();
      let doExit = typeof this.logger.exitOnError === "function" ? this.logger.exitOnError(err) : this.logger.exitOnError;
      let timeout;
      if (!handlers.length && doExit) {
        console.warn("winston: exitOnError cannot be true with no exception handlers.");
        console.warn("winston: not exiting process.");
        doExit = false;
      }
      function gracefulExit() {
        debug("doExit", doExit);
        debug("process._exiting", process._exiting);
        if (doExit && !process._exiting) {
          if (timeout) {
            clearTimeout(timeout);
          }
          process.exit(1);
        }
      }
      if (!handlers || handlers.length === 0) {
        return process.nextTick(gracefulExit);
      }
      asyncForEach(handlers, (handler, next) => {
        const done = once(next);
        const transport = handler.transport || handler;
        function onDone(event) {
          return () => {
            debug(event);
            done();
          };
        }
        transport._ending = true;
        transport.once("finish", onDone("finished"));
        transport.once("error", onDone("error"));
      }, () => doExit && gracefulExit());
      this.logger.log(info);
      if (doExit) {
        timeout = setTimeout(gracefulExit, 3000);
      }
    }
    _getExceptionHandlers() {
      return this.logger.transports.filter((wrap) => {
        const transport = wrap.transport || wrap;
        return transport.handleExceptions;
      });
    }
  };
});

// ../../node_modules/winston/lib/winston/rejection-stream.js
var require_rejection_stream = __commonJS((exports, module) => {
  var { Writable } = require_readable();
  module.exports = class RejectionStream extends Writable {
    constructor(transport) {
      super({ objectMode: true });
      if (!transport) {
        throw new Error("RejectionStream requires a TransportStream instance.");
      }
      this.handleRejections = true;
      this.transport = transport;
    }
    _write(info, enc, callback) {
      if (info.rejection) {
        return this.transport.log(info, callback);
      }
      callback();
      return true;
    }
  };
});

// ../../node_modules/winston/lib/winston/rejection-handler.js
var require_rejection_handler = __commonJS((exports, module) => {
  var os = __require("os");
  var asyncForEach = require_forEach();
  var debug = require_node2()("winston:rejection");
  var once = require_one_time();
  var stackTrace = require_stack_trace();
  var RejectionStream = require_rejection_stream();
  module.exports = class RejectionHandler {
    constructor(logger) {
      if (!logger) {
        throw new Error("Logger is required to handle rejections");
      }
      this.logger = logger;
      this.handlers = new Map;
    }
    handle(...args) {
      args.forEach((arg) => {
        if (Array.isArray(arg)) {
          return arg.forEach((handler) => this._addHandler(handler));
        }
        this._addHandler(arg);
      });
      if (!this.catcher) {
        this.catcher = this._unhandledRejection.bind(this);
        process.on("unhandledRejection", this.catcher);
      }
    }
    unhandle() {
      if (this.catcher) {
        process.removeListener("unhandledRejection", this.catcher);
        this.catcher = false;
        Array.from(this.handlers.values()).forEach((wrapper) => this.logger.unpipe(wrapper));
      }
    }
    getAllInfo(err) {
      let message = null;
      if (err) {
        message = typeof err === "string" ? err : err.message;
      }
      return {
        error: err,
        level: "error",
        message: [
          `unhandledRejection: ${message || "(no error message)"}`,
          err && err.stack || "  No stack trace"
        ].join(`
`),
        stack: err && err.stack,
        rejection: true,
        date: new Date().toString(),
        process: this.getProcessInfo(),
        os: this.getOsInfo(),
        trace: this.getTrace(err)
      };
    }
    getProcessInfo() {
      return {
        pid: process.pid,
        uid: process.getuid ? process.getuid() : null,
        gid: process.getgid ? process.getgid() : null,
        cwd: process.cwd(),
        execPath: process.execPath,
        version: process.version,
        argv: process.argv,
        memoryUsage: process.memoryUsage()
      };
    }
    getOsInfo() {
      return {
        loadavg: os.loadavg(),
        uptime: os.uptime()
      };
    }
    getTrace(err) {
      const trace = err ? stackTrace.parse(err) : stackTrace.get();
      return trace.map((site) => {
        return {
          column: site.getColumnNumber(),
          file: site.getFileName(),
          function: site.getFunctionName(),
          line: site.getLineNumber(),
          method: site.getMethodName(),
          native: site.isNative()
        };
      });
    }
    _addHandler(handler) {
      if (!this.handlers.has(handler)) {
        handler.handleRejections = true;
        const wrapper = new RejectionStream(handler);
        this.handlers.set(handler, wrapper);
        this.logger.pipe(wrapper);
      }
    }
    _unhandledRejection(err) {
      const info = this.getAllInfo(err);
      const handlers = this._getRejectionHandlers();
      let doExit = typeof this.logger.exitOnError === "function" ? this.logger.exitOnError(err) : this.logger.exitOnError;
      let timeout;
      if (!handlers.length && doExit) {
        console.warn("winston: exitOnError cannot be true with no rejection handlers.");
        console.warn("winston: not exiting process.");
        doExit = false;
      }
      function gracefulExit() {
        debug("doExit", doExit);
        debug("process._exiting", process._exiting);
        if (doExit && !process._exiting) {
          if (timeout) {
            clearTimeout(timeout);
          }
          process.exit(1);
        }
      }
      if (!handlers || handlers.length === 0) {
        return process.nextTick(gracefulExit);
      }
      asyncForEach(handlers, (handler, next) => {
        const done = once(next);
        const transport = handler.transport || handler;
        function onDone(event) {
          return () => {
            debug(event);
            done();
          };
        }
        transport._ending = true;
        transport.once("finish", onDone("finished"));
        transport.once("error", onDone("error"));
      }, () => doExit && gracefulExit());
      this.logger.log(info);
      if (doExit) {
        timeout = setTimeout(gracefulExit, 3000);
      }
    }
    _getRejectionHandlers() {
      return this.logger.transports.filter((wrap) => {
        const transport = wrap.transport || wrap;
        return transport.handleRejections;
      });
    }
  };
});

// ../../node_modules/winston/lib/winston/profiler.js
var require_profiler = __commonJS((exports, module) => {
  class Profiler {
    constructor(logger) {
      const Logger = require_logger();
      if (typeof logger !== "object" || Array.isArray(logger) || !(logger instanceof Logger)) {
        throw new Error("Logger is required for profiling");
      } else {
        this.logger = logger;
        this.start = Date.now();
      }
    }
    done(...args) {
      if (typeof args[args.length - 1] === "function") {
        console.warn("Callback function no longer supported as of winston@3.0.0");
        args.pop();
      }
      const info = typeof args[args.length - 1] === "object" ? args.pop() : {};
      info.level = info.level || "info";
      info.durationMs = Date.now() - this.start;
      return this.logger.write(info);
    }
  }
  module.exports = Profiler;
});

// ../../node_modules/winston/lib/winston/logger.js
var require_logger = __commonJS((exports, module) => {
  var { Stream, Transform } = require_readable();
  var asyncForEach = require_forEach();
  var { LEVEL, SPLAT } = require_triple_beam();
  var isStream = require_is_stream();
  var ExceptionHandler = require_exception_handler();
  var RejectionHandler = require_rejection_handler();
  var LegacyTransportStream = require_legacy();
  var Profiler = require_profiler();
  var { warn } = require_common();
  var config = require_config2();
  var formatRegExp = /%[scdjifoO%]/g;

  class Logger extends Transform {
    constructor(options) {
      super({ objectMode: true });
      this.configure(options);
    }
    child(defaultRequestMetadata) {
      const logger = this;
      return Object.create(logger, {
        write: {
          value: function(info) {
            const infoClone = Object.assign({}, defaultRequestMetadata, info);
            if (info instanceof Error) {
              infoClone.stack = info.stack;
              infoClone.message = info.message;
            }
            logger.write(infoClone);
          }
        }
      });
    }
    configure({
      silent,
      format,
      defaultMeta,
      levels,
      level = "info",
      exitOnError = true,
      transports,
      colors,
      emitErrs,
      formatters,
      padLevels,
      rewriters,
      stripColors,
      exceptionHandlers,
      rejectionHandlers
    } = {}) {
      if (this.transports.length) {
        this.clear();
      }
      this.silent = silent;
      this.format = format || this.format || require_json()();
      this.defaultMeta = defaultMeta || null;
      this.levels = levels || this.levels || config.npm.levels;
      this.level = level;
      if (this.exceptions) {
        this.exceptions.unhandle();
      }
      if (this.rejections) {
        this.rejections.unhandle();
      }
      this.exceptions = new ExceptionHandler(this);
      this.rejections = new RejectionHandler(this);
      this.profilers = {};
      this.exitOnError = exitOnError;
      if (transports) {
        transports = Array.isArray(transports) ? transports : [transports];
        transports.forEach((transport) => this.add(transport));
      }
      if (colors || emitErrs || formatters || padLevels || rewriters || stripColors) {
        throw new Error([
          "{ colors, emitErrs, formatters, padLevels, rewriters, stripColors } were removed in winston@3.0.0.",
          "Use a custom winston.format(function) instead.",
          "See: https://github.com/winstonjs/winston/tree/master/UPGRADE-3.0.md"
        ].join(`
`));
      }
      if (exceptionHandlers) {
        this.exceptions.handle(exceptionHandlers);
      }
      if (rejectionHandlers) {
        this.rejections.handle(rejectionHandlers);
      }
    }
    isLevelEnabled(level) {
      const givenLevelValue = getLevelValue(this.levels, level);
      if (givenLevelValue === null) {
        return false;
      }
      const configuredLevelValue = getLevelValue(this.levels, this.level);
      if (configuredLevelValue === null) {
        return false;
      }
      if (!this.transports || this.transports.length === 0) {
        return configuredLevelValue >= givenLevelValue;
      }
      const index = this.transports.findIndex((transport) => {
        let transportLevelValue = getLevelValue(this.levels, transport.level);
        if (transportLevelValue === null) {
          transportLevelValue = configuredLevelValue;
        }
        return transportLevelValue >= givenLevelValue;
      });
      return index !== -1;
    }
    log(level, msg, ...splat) {
      if (arguments.length === 1) {
        level[LEVEL] = level.level;
        this._addDefaultMeta(level);
        this.write(level);
        return this;
      }
      if (arguments.length === 2) {
        if (msg && typeof msg === "object") {
          msg[LEVEL] = msg.level = level;
          this._addDefaultMeta(msg);
          this.write(msg);
          return this;
        }
        msg = { [LEVEL]: level, level, message: msg };
        this._addDefaultMeta(msg);
        this.write(msg);
        return this;
      }
      const [meta] = splat;
      if (typeof meta === "object" && meta !== null) {
        const tokens = msg && msg.match && msg.match(formatRegExp);
        if (!tokens) {
          const info = Object.assign({}, this.defaultMeta, meta, {
            [LEVEL]: level,
            [SPLAT]: splat,
            level,
            message: msg
          });
          if (meta.message)
            info.message = `${info.message} ${meta.message}`;
          if (meta.stack)
            info.stack = meta.stack;
          this.write(info);
          return this;
        }
      }
      this.write(Object.assign({}, this.defaultMeta, {
        [LEVEL]: level,
        [SPLAT]: splat,
        level,
        message: msg
      }));
      return this;
    }
    _transform(info, enc, callback) {
      if (this.silent) {
        return callback();
      }
      if (!info[LEVEL]) {
        info[LEVEL] = info.level;
      }
      if (!this.levels[info[LEVEL]] && this.levels[info[LEVEL]] !== 0) {
        console.error("[winston] Unknown logger level: %s", info[LEVEL]);
      }
      if (!this._readableState.pipes) {
        console.error("[winston] Attempt to write logs with no transports, which can increase memory usage: %j", info);
      }
      try {
        this.push(this.format.transform(info, this.format.options));
      } finally {
        this._writableState.sync = false;
        callback();
      }
    }
    _final(callback) {
      const transports = this.transports.slice();
      asyncForEach(transports, (transport, next) => {
        if (!transport || transport.finished)
          return setImmediate(next);
        transport.once("finish", next);
        transport.end();
      }, callback);
    }
    add(transport) {
      const target = !isStream(transport) || transport.log.length > 2 ? new LegacyTransportStream({ transport }) : transport;
      if (!target._writableState || !target._writableState.objectMode) {
        throw new Error("Transports must WritableStreams in objectMode. Set { objectMode: true }.");
      }
      this._onEvent("error", target);
      this._onEvent("warn", target);
      this.pipe(target);
      if (transport.handleExceptions) {
        this.exceptions.handle();
      }
      if (transport.handleRejections) {
        this.rejections.handle();
      }
      return this;
    }
    remove(transport) {
      if (!transport)
        return this;
      let target = transport;
      if (!isStream(transport) || transport.log.length > 2) {
        target = this.transports.filter((match) => match.transport === transport)[0];
      }
      if (target) {
        this.unpipe(target);
      }
      return this;
    }
    clear() {
      this.unpipe();
      return this;
    }
    close() {
      this.exceptions.unhandle();
      this.rejections.unhandle();
      this.clear();
      this.emit("close");
      return this;
    }
    setLevels() {
      warn.deprecated("setLevels");
    }
    query(options, callback) {
      if (typeof options === "function") {
        callback = options;
        options = {};
      }
      options = options || {};
      const results = {};
      const queryObject = Object.assign({}, options.query || {});
      function queryTransport(transport, next) {
        if (options.query && typeof transport.formatQuery === "function") {
          options.query = transport.formatQuery(queryObject);
        }
        transport.query(options, (err, res) => {
          if (err) {
            return next(err);
          }
          if (typeof transport.formatResults === "function") {
            res = transport.formatResults(res, options.format);
          }
          next(null, res);
        });
      }
      function addResults(transport, next) {
        queryTransport(transport, (err, result) => {
          if (next) {
            result = err || result;
            if (result) {
              results[transport.name] = result;
            }
            next();
          }
          next = null;
        });
      }
      asyncForEach(this.transports.filter((transport) => !!transport.query), addResults, () => callback(null, results));
    }
    stream(options = {}) {
      const out = new Stream;
      const streams = [];
      out._streams = streams;
      out.destroy = () => {
        let i = streams.length;
        while (i--) {
          streams[i].destroy();
        }
      };
      this.transports.filter((transport) => !!transport.stream).forEach((transport) => {
        const str = transport.stream(options);
        if (!str) {
          return;
        }
        streams.push(str);
        str.on("log", (log) => {
          log.transport = log.transport || [];
          log.transport.push(transport.name);
          out.emit("log", log);
        });
        str.on("error", (err) => {
          err.transport = err.transport || [];
          err.transport.push(transport.name);
          out.emit("error", err);
        });
      });
      return out;
    }
    startTimer() {
      return new Profiler(this);
    }
    profile(id, ...args) {
      const time = Date.now();
      if (this.profilers[id]) {
        const timeEnd = this.profilers[id];
        delete this.profilers[id];
        if (typeof args[args.length - 2] === "function") {
          console.warn("Callback function no longer supported as of winston@3.0.0");
          args.pop();
        }
        const info = typeof args[args.length - 1] === "object" ? args.pop() : {};
        info.level = info.level || "info";
        info.durationMs = time - timeEnd;
        info.message = info.message || id;
        return this.write(info);
      }
      this.profilers[id] = time;
      return this;
    }
    handleExceptions(...args) {
      console.warn("Deprecated: .handleExceptions() will be removed in winston@4. Use .exceptions.handle()");
      this.exceptions.handle(...args);
    }
    unhandleExceptions(...args) {
      console.warn("Deprecated: .unhandleExceptions() will be removed in winston@4. Use .exceptions.unhandle()");
      this.exceptions.unhandle(...args);
    }
    cli() {
      throw new Error([
        "Logger.cli() was removed in winston@3.0.0",
        "Use a custom winston.formats.cli() instead.",
        "See: https://github.com/winstonjs/winston/tree/master/UPGRADE-3.0.md"
      ].join(`
`));
    }
    _onEvent(event, transport) {
      function transportEvent(err) {
        if (event === "error" && !this.transports.includes(transport)) {
          this.add(transport);
        }
        this.emit(event, err, transport);
      }
      if (!transport["__winston" + event]) {
        transport["__winston" + event] = transportEvent.bind(this);
        transport.on(event, transport["__winston" + event]);
      }
    }
    _addDefaultMeta(msg) {
      if (this.defaultMeta) {
        Object.assign(msg, this.defaultMeta);
      }
    }
  }
  function getLevelValue(levels, level) {
    const value = levels[level];
    if (!value && value !== 0) {
      return null;
    }
    return value;
  }
  Object.defineProperty(Logger.prototype, "transports", {
    configurable: false,
    enumerable: true,
    get() {
      const { pipes } = this._readableState;
      return !Array.isArray(pipes) ? [pipes].filter(Boolean) : pipes;
    }
  });
  module.exports = Logger;
});

// ../../node_modules/winston/lib/winston/create-logger.js
var require_create_logger = __commonJS((exports, module) => {
  var { LEVEL } = require_triple_beam();
  var config = require_config2();
  var Logger = require_logger();
  var debug = require_node2()("winston:create-logger");
  function isLevelEnabledFunctionName(level) {
    return "is" + level.charAt(0).toUpperCase() + level.slice(1) + "Enabled";
  }
  module.exports = function(opts = {}) {
    opts.levels = opts.levels || config.npm.levels;

    class DerivedLogger extends Logger {
      constructor(options) {
        super(options);
      }
    }
    const logger = new DerivedLogger(opts);
    Object.keys(opts.levels).forEach(function(level) {
      debug('Define prototype method for "%s"', level);
      if (level === "log") {
        console.warn('Level "log" not defined: conflicts with the method "log". Use a different level name.');
        return;
      }
      DerivedLogger.prototype[level] = function(...args) {
        const self2 = this || logger;
        if (args.length === 1) {
          const [msg] = args;
          const info = msg && msg.message && msg || { message: msg };
          info.level = info[LEVEL] = level;
          self2._addDefaultMeta(info);
          self2.write(info);
          return this || logger;
        }
        if (args.length === 0) {
          self2.log(level, "");
          return self2;
        }
        return self2.log(level, ...args);
      };
      DerivedLogger.prototype[isLevelEnabledFunctionName(level)] = function() {
        return (this || logger).isLevelEnabled(level);
      };
    });
    return logger;
  };
});

// ../../node_modules/winston/lib/winston/container.js
var require_container = __commonJS((exports, module) => {
  var createLogger = require_create_logger();
  module.exports = class Container {
    constructor(options = {}) {
      this.loggers = new Map;
      this.options = options;
    }
    add(id, options) {
      if (!this.loggers.has(id)) {
        options = Object.assign({}, options || this.options);
        const existing = options.transports || this.options.transports;
        if (existing) {
          options.transports = Array.isArray(existing) ? existing.slice() : [existing];
        } else {
          options.transports = [];
        }
        const logger = createLogger(options);
        logger.on("close", () => this._delete(id));
        this.loggers.set(id, logger);
      }
      return this.loggers.get(id);
    }
    get(id, options) {
      return this.add(id, options);
    }
    has(id) {
      return !!this.loggers.has(id);
    }
    close(id) {
      if (id) {
        return this._removeLogger(id);
      }
      this.loggers.forEach((val, key) => this._removeLogger(key));
    }
    _removeLogger(id) {
      if (!this.loggers.has(id)) {
        return;
      }
      const logger = this.loggers.get(id);
      logger.close();
      this._delete(id);
    }
    _delete(id) {
      this.loggers.delete(id);
    }
  };
});

// ../../node_modules/winston/lib/winston.js
var require_winston = __commonJS((exports) => {
  var logform = require_logform();
  var { warn } = require_common();
  exports.version = require_package().version;
  exports.transports = require_transports();
  exports.config = require_config2();
  exports.addColors = logform.levels;
  exports.format = logform.format;
  exports.createLogger = require_create_logger();
  exports.Logger = require_logger();
  exports.ExceptionHandler = require_exception_handler();
  exports.RejectionHandler = require_rejection_handler();
  exports.Container = require_container();
  exports.Transport = require_winston_transport();
  exports.loggers = new exports.Container;
  var defaultLogger = exports.createLogger();
  Object.keys(exports.config.npm.levels).concat([
    "log",
    "query",
    "stream",
    "add",
    "remove",
    "clear",
    "profile",
    "startTimer",
    "handleExceptions",
    "unhandleExceptions",
    "handleRejections",
    "unhandleRejections",
    "configure",
    "child"
  ]).forEach((method) => exports[method] = (...args) => defaultLogger[method](...args));
  Object.defineProperty(exports, "level", {
    get() {
      return defaultLogger.level;
    },
    set(val) {
      defaultLogger.level = val;
    }
  });
  Object.defineProperty(exports, "exceptions", {
    get() {
      return defaultLogger.exceptions;
    }
  });
  Object.defineProperty(exports, "rejections", {
    get() {
      return defaultLogger.rejections;
    }
  });
  ["exitOnError"].forEach((prop) => {
    Object.defineProperty(exports, prop, {
      get() {
        return defaultLogger[prop];
      },
      set(val) {
        defaultLogger[prop] = val;
      }
    });
  });
  Object.defineProperty(exports, "default", {
    get() {
      return {
        exceptionHandlers: defaultLogger.exceptionHandlers,
        rejectionHandlers: defaultLogger.rejectionHandlers,
        transports: defaultLogger.transports
      };
    }
  });
  warn.deprecated(exports, "setLevels");
  warn.forFunctions(exports, "useFormat", ["cli"]);
  warn.forProperties(exports, "useFormat", ["padLevels", "stripColors"]);
  warn.forFunctions(exports, "deprecated", [
    "addRewriter",
    "addFilter",
    "clone",
    "extend"
  ]);
  warn.forProperties(exports, "deprecated", ["emitErrs", "levelLength"]);
});

// ../common/logger.ts
var winston, import_safe, logger, child = (options) => logger.child(options), logger_default;
var init_logger = __esm(() => {
  winston = __toESM(require_winston(), 1);
  import_safe = __toESM(require_safe(), 1);
  logger = winston.createLogger({
    level: (() => {
      if (process.env.VERBOSE_LOGGING === "silly") {
        return "silly";
      } else if (process.env.VERBOSE_LOGGING !== undefined) {
        return "verbose";
      } else if (false) {
      } else {
        return "info";
      }
    })(),
    format: winston.format.combine(winston.format.timestamp(), winston.format.ms(), winston.format.errors({ stack: true }), winston.format.padLevels(), winston.format.uncolorize(), winston.format.splat(), winston.format.printf(({ level, message, ms, timestamp, id, namespace, stack }) => {
      const namespaceStr = namespace ? `${import_safe.default.underline.cyan(namespace)}:` : "";
      const idStr = id ? `[${namespaceStr}${import_safe.default.brightBlue(id)}]` : "";
      const msStr = ms ? `  ${import_safe.default.dim.italic(ms)}` : "";
      const stackStr = stack ? `
${stack}` : "";
      return `${timestamp} ${level}${idStr}:${message}${msStr}${stackStr}`;
    })),
    transports: [new winston.transports.Console],
    levels: {
      error: 0,
      warn: 1,
      info: 2,
      debug: 3,
      verbose: 4,
      silly: 5
    }
  });
  winston.addColors({
    error: "bold red",
    warn: "yellow",
    info: "green",
    debug: "blue",
    verbose: "yellow",
    silly: "magenta"
  });
  logger_default = logger;
});

// ../../node_modules/xmlbuilder2/lib/interfaces.js
var require_interfaces = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.DefaultBuilderOptions = {
    version: "1.0",
    encoding: undefined,
    standalone: undefined,
    keepNullNodes: false,
    keepNullAttributes: false,
    ignoreConverters: false,
    skipWhitespaceOnlyText: true,
    convert: {
      att: "@",
      ins: "?",
      text: "#",
      cdata: "$",
      comment: "!"
    },
    defaultNamespace: {
      ele: undefined,
      att: undefined
    },
    namespaceAlias: {
      html: "http://www.w3.org/1999/xhtml",
      xml: "http://www.w3.org/XML/1998/namespace",
      xmlns: "http://www.w3.org/2000/xmlns/",
      mathml: "http://www.w3.org/1998/Math/MathML",
      svg: "http://www.w3.org/2000/svg",
      xlink: "http://www.w3.org/1999/xlink"
    },
    invalidCharReplacement: undefined,
    parser: undefined
  };
  exports.XMLBuilderOptionKeys = new Set(Object.keys(exports.DefaultBuilderOptions));
  exports.DefaultXMLBuilderCBOptions = {
    format: "xml",
    wellFormed: false,
    prettyPrint: false,
    indent: "  ",
    newline: `
`,
    offset: 0,
    width: 0,
    allowEmptyTags: false,
    spaceBeforeSlash: false,
    keepNullNodes: false,
    keepNullAttributes: false,
    ignoreConverters: false,
    convert: {
      att: "@",
      ins: "?",
      text: "#",
      cdata: "$",
      comment: "!"
    },
    defaultNamespace: {
      ele: undefined,
      att: undefined
    },
    namespaceAlias: {
      html: "http://www.w3.org/1999/xhtml",
      xml: "http://www.w3.org/XML/1998/namespace",
      xmlns: "http://www.w3.org/2000/xmlns/",
      mathml: "http://www.w3.org/1998/Math/MathML",
      svg: "http://www.w3.org/2000/svg",
      xlink: "http://www.w3.org/1999/xlink"
    }
  };
});

// ../../node_modules/@oozcitak/util/lib/FixedSizeSet.js
var require_FixedSizeSet = __commonJS((exports) => {
  var __generator = exports && exports.__generator || function(thisArg, body) {
    var _ = { label: 0, sent: function() {
      if (t[0] & 1)
        throw t[1];
      return t[1];
    }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), throw: verb(1), return: verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
      return this;
    }), g;
    function verb(n) {
      return function(v) {
        return step([n, v]);
      };
    }
    function step(op) {
      if (f)
        throw new TypeError("Generator is already executing.");
      while (_)
        try {
          if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
            return t;
          if (y = 0, t)
            op = [op[0] & 2, t.value];
          switch (op[0]) {
            case 0:
            case 1:
              t = op;
              break;
            case 4:
              _.label++;
              return { value: op[1], done: false };
            case 5:
              _.label++;
              y = op[1];
              op = [0];
              continue;
            case 7:
              op = _.ops.pop();
              _.trys.pop();
              continue;
            default:
              if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                _ = 0;
                continue;
              }
              if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                _.label = op[1];
                break;
              }
              if (op[0] === 6 && _.label < t[1]) {
                _.label = t[1];
                t = op;
                break;
              }
              if (t && _.label < t[2]) {
                _.label = t[2];
                _.ops.push(op);
                break;
              }
              if (t[2])
                _.ops.pop();
              _.trys.pop();
              continue;
          }
          op = body.call(thisArg, _);
        } catch (e) {
          op = [6, e];
          y = 0;
        } finally {
          f = t = 0;
        }
      if (op[0] & 5)
        throw op[1];
      return { value: op[0] ? op[1] : undefined, done: true };
    }
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var FixedSizeSet = function() {
    function FixedSizeSet2(limit) {
      if (limit === undefined) {
        limit = 1000;
      }
      this._items = new Set;
      this._limit = limit;
    }
    FixedSizeSet2.prototype.add = function(item) {
      this._items.add(item);
      if (this._items.size > this._limit) {
        var it_1 = this._items.values().next();
        if (!it_1.done) {
          this._items.delete(it_1.value);
        }
      }
      return this;
    };
    FixedSizeSet2.prototype.delete = function(item) {
      return this._items.delete(item);
    };
    FixedSizeSet2.prototype.has = function(item) {
      return this._items.has(item);
    };
    FixedSizeSet2.prototype.clear = function() {
      this._items.clear();
    };
    Object.defineProperty(FixedSizeSet2.prototype, "size", {
      get: function() {
        return this._items.size;
      },
      enumerable: true,
      configurable: true
    });
    FixedSizeSet2.prototype.forEach = function(callback, thisArg) {
      var _this = this;
      this._items.forEach(function(e) {
        return callback.call(thisArg, e, e, _this);
      });
    };
    FixedSizeSet2.prototype.keys = function() {
      return __generator(this, function(_a) {
        switch (_a.label) {
          case 0:
            return [5, __values(this._items.keys())];
          case 1:
            _a.sent();
            return [2];
        }
      });
    };
    FixedSizeSet2.prototype.values = function() {
      return __generator(this, function(_a) {
        switch (_a.label) {
          case 0:
            return [5, __values(this._items.values())];
          case 1:
            _a.sent();
            return [2];
        }
      });
    };
    FixedSizeSet2.prototype.entries = function() {
      return __generator(this, function(_a) {
        switch (_a.label) {
          case 0:
            return [5, __values(this._items.entries())];
          case 1:
            _a.sent();
            return [2];
        }
      });
    };
    FixedSizeSet2.prototype[Symbol.iterator] = function() {
      return __generator(this, function(_a) {
        switch (_a.label) {
          case 0:
            return [5, __values(this._items)];
          case 1:
            _a.sent();
            return [2];
        }
      });
    };
    Object.defineProperty(FixedSizeSet2.prototype, Symbol.toStringTag, {
      get: function() {
        return "FixedSizeSet";
      },
      enumerable: true,
      configurable: true
    });
    return FixedSizeSet2;
  }();
  exports.FixedSizeSet = FixedSizeSet;
});

// ../../node_modules/@oozcitak/util/lib/ObjectCache.js
var require_ObjectCache = __commonJS((exports) => {
  var __generator = exports && exports.__generator || function(thisArg, body) {
    var _ = { label: 0, sent: function() {
      if (t[0] & 1)
        throw t[1];
      return t[1];
    }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), throw: verb(1), return: verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
      return this;
    }), g;
    function verb(n) {
      return function(v) {
        return step([n, v]);
      };
    }
    function step(op) {
      if (f)
        throw new TypeError("Generator is already executing.");
      while (_)
        try {
          if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
            return t;
          if (y = 0, t)
            op = [op[0] & 2, t.value];
          switch (op[0]) {
            case 0:
            case 1:
              t = op;
              break;
            case 4:
              _.label++;
              return { value: op[1], done: false };
            case 5:
              _.label++;
              y = op[1];
              op = [0];
              continue;
            case 7:
              op = _.ops.pop();
              _.trys.pop();
              continue;
            default:
              if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                _ = 0;
                continue;
              }
              if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                _.label = op[1];
                break;
              }
              if (op[0] === 6 && _.label < t[1]) {
                _.label = t[1];
                t = op;
                break;
              }
              if (t && _.label < t[2]) {
                _.label = t[2];
                _.ops.push(op);
                break;
              }
              if (t[2])
                _.ops.pop();
              _.trys.pop();
              continue;
          }
          op = body.call(thisArg, _);
        } catch (e) {
          op = [6, e];
          y = 0;
        } finally {
          f = t = 0;
        }
      if (op[0] & 5)
        throw op[1];
      return { value: op[0] ? op[1] : undefined, done: true };
    }
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var ObjectCache = function() {
    function ObjectCache2(limit) {
      if (limit === undefined) {
        limit = 1000;
      }
      this._items = new Map;
      this._limit = limit;
    }
    ObjectCache2.prototype.get = function(key) {
      return this._items.get(key);
    };
    ObjectCache2.prototype.set = function(key, value) {
      this._items.set(key, value);
      if (this._items.size > this._limit) {
        var it_1 = this._items.keys().next();
        if (!it_1.done) {
          this._items.delete(it_1.value);
        }
      }
    };
    ObjectCache2.prototype.delete = function(key) {
      return this._items.delete(key);
    };
    ObjectCache2.prototype.has = function(key) {
      return this._items.has(key);
    };
    ObjectCache2.prototype.clear = function() {
      this._items.clear();
    };
    Object.defineProperty(ObjectCache2.prototype, "size", {
      get: function() {
        return this._items.size;
      },
      enumerable: true,
      configurable: true
    });
    ObjectCache2.prototype.forEach = function(callback, thisArg) {
      this._items.forEach(function(v, k) {
        return callback.call(thisArg, k, v);
      });
    };
    ObjectCache2.prototype.keys = function() {
      return __generator(this, function(_a) {
        switch (_a.label) {
          case 0:
            return [5, __values(this._items.keys())];
          case 1:
            _a.sent();
            return [2];
        }
      });
    };
    ObjectCache2.prototype.values = function() {
      return __generator(this, function(_a) {
        switch (_a.label) {
          case 0:
            return [5, __values(this._items.values())];
          case 1:
            _a.sent();
            return [2];
        }
      });
    };
    ObjectCache2.prototype.entries = function() {
      return __generator(this, function(_a) {
        switch (_a.label) {
          case 0:
            return [5, __values(this._items.entries())];
          case 1:
            _a.sent();
            return [2];
        }
      });
    };
    ObjectCache2.prototype[Symbol.iterator] = function() {
      return __generator(this, function(_a) {
        switch (_a.label) {
          case 0:
            return [5, __values(this._items)];
          case 1:
            _a.sent();
            return [2];
        }
      });
    };
    Object.defineProperty(ObjectCache2.prototype, Symbol.toStringTag, {
      get: function() {
        return "ObjectCache";
      },
      enumerable: true,
      configurable: true
    });
    return ObjectCache2;
  }();
  exports.ObjectCache = ObjectCache;
});

// ../../node_modules/@oozcitak/util/lib/CompareCache.js
var require_CompareCache = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var CompareCache = function() {
    function CompareCache2(limit) {
      if (limit === undefined) {
        limit = 1000;
      }
      this._items = new Map;
      this._limit = limit;
    }
    CompareCache2.prototype.check = function(objA, objB) {
      if (this._items.get(objA) === objB)
        return true;
      else if (this._items.get(objB) === objA)
        return false;
      var result = Math.random() < 0.5;
      if (result) {
        this._items.set(objA, objB);
      } else {
        this._items.set(objB, objA);
      }
      if (this._items.size > this._limit) {
        var it_1 = this._items.keys().next();
        if (!it_1.done) {
          this._items.delete(it_1.value);
        }
      }
      return result;
    };
    return CompareCache2;
  }();
  exports.CompareCache = CompareCache;
});

// ../../node_modules/@oozcitak/util/lib/Lazy.js
var require_Lazy = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var Lazy = function() {
    function Lazy2(initFunc) {
      this._initialized = false;
      this._value = undefined;
      this._initFunc = initFunc;
    }
    Object.defineProperty(Lazy2.prototype, "value", {
      get: function() {
        if (!this._initialized) {
          this._value = this._initFunc();
          this._initialized = true;
        }
        return this._value;
      },
      enumerable: true,
      configurable: true
    });
    return Lazy2;
  }();
  exports.Lazy = Lazy;
});

// ../../node_modules/@oozcitak/util/lib/StringWalker.js
var require_StringWalker = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var StringWalker = function() {
    function StringWalker2(input) {
      this._pointer = 0;
      this._chars = Array.from(input);
      this._length = this._chars.length;
    }
    Object.defineProperty(StringWalker2.prototype, "eof", {
      get: function() {
        return this._pointer >= this._length;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(StringWalker2.prototype, "length", {
      get: function() {
        return this._length;
      },
      enumerable: true,
      configurable: true
    });
    StringWalker2.prototype.codePoint = function() {
      if (this._codePoint === undefined) {
        if (this.eof) {
          this._codePoint = -1;
        } else {
          var cp = this._chars[this._pointer].codePointAt(0);
          if (cp !== undefined) {
            this._codePoint = cp;
          } else {
            this._codePoint = -1;
          }
        }
      }
      return this._codePoint;
    };
    StringWalker2.prototype.c = function() {
      if (this._c === undefined) {
        this._c = this.eof ? "" : this._chars[this._pointer];
      }
      return this._c;
    };
    StringWalker2.prototype.remaining = function() {
      if (this._remaining === undefined) {
        this._remaining = this.eof ? "" : this._chars.slice(this._pointer + 1).join("");
      }
      return this._remaining;
    };
    StringWalker2.prototype.substring = function() {
      if (this._substring === undefined) {
        this._substring = this.eof ? "" : this._chars.slice(this._pointer).join("");
      }
      return this._substring;
    };
    Object.defineProperty(StringWalker2.prototype, "pointer", {
      get: function() {
        return this._pointer;
      },
      set: function(val) {
        if (val === this._pointer)
          return;
        this._pointer = val;
        this._codePoint = undefined;
        this._c = undefined;
        this._remaining = undefined;
        this._substring = undefined;
      },
      enumerable: true,
      configurable: true
    });
    return StringWalker2;
  }();
  exports.StringWalker = StringWalker;
});

// ../../node_modules/@oozcitak/util/lib/index.js
var require_lib = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var FixedSizeSet_1 = require_FixedSizeSet();
  exports.FixedSizeSet = FixedSizeSet_1.FixedSizeSet;
  var ObjectCache_1 = require_ObjectCache();
  exports.ObjectCache = ObjectCache_1.ObjectCache;
  var CompareCache_1 = require_CompareCache();
  exports.CompareCache = CompareCache_1.CompareCache;
  var Lazy_1 = require_Lazy();
  exports.Lazy = Lazy_1.Lazy;
  var StringWalker_1 = require_StringWalker();
  exports.StringWalker = StringWalker_1.StringWalker;
  function applyMixin(baseClass, mixinClass) {
    var overrides = [];
    for (var _i = 2;_i < arguments.length; _i++) {
      overrides[_i - 2] = arguments[_i];
    }
    Object.getOwnPropertyNames(mixinClass.prototype).forEach(function(name) {
      if (name !== "constructor") {
        if (overrides.indexOf(name) !== -1) {
          var orgPropDesc = Object.getOwnPropertyDescriptor(baseClass.prototype, name);
          if (orgPropDesc) {
            Object.defineProperty(baseClass.prototype, "_" + name, orgPropDesc);
          }
        }
        var propDesc = Object.getOwnPropertyDescriptor(mixinClass.prototype, name);
        if (propDesc) {
          Object.defineProperty(baseClass.prototype, name, propDesc);
        }
      }
    });
  }
  exports.applyMixin = applyMixin;
  function applyDefaults(obj, defaults, overwrite) {
    if (overwrite === undefined) {
      overwrite = false;
    }
    var result = clone(obj || {});
    forEachObject(defaults, function(key, val) {
      if (isPlainObject(val)) {
        result[key] = applyDefaults(result[key], val, overwrite);
      } else if (overwrite || result[key] === undefined) {
        result[key] = val;
      }
    });
    return result;
  }
  exports.applyDefaults = applyDefaults;
  function forEachArray(arr, callback, thisArg) {
    arr.forEach(callback, thisArg);
  }
  exports.forEachArray = forEachArray;
  function forEachObject(obj, callback, thisArg) {
    if (isMap(obj)) {
      obj.forEach(function(value, key2) {
        return callback.call(thisArg, key2, value);
      });
    } else {
      for (var key in obj) {
        if (obj.hasOwnProperty(key)) {
          callback.call(thisArg, key, obj[key]);
        }
      }
    }
  }
  exports.forEachObject = forEachObject;
  function arrayLength(obj) {
    if (isSet(obj)) {
      return obj.size;
    } else {
      return obj.length;
    }
  }
  exports.arrayLength = arrayLength;
  function objectLength(obj) {
    if (isMap(obj)) {
      return obj.size;
    } else {
      return Object.keys(obj).length;
    }
  }
  exports.objectLength = objectLength;
  function getObjectValue(obj, key) {
    if (isMap(obj)) {
      return obj.get(key);
    } else {
      return obj[key];
    }
  }
  exports.getObjectValue = getObjectValue;
  function removeObjectValue(obj, key) {
    if (isMap(obj)) {
      obj.delete(key);
    } else {
      delete obj[key];
    }
  }
  exports.removeObjectValue = removeObjectValue;
  function clone(obj) {
    var e_1, _a;
    if (isFunction(obj)) {
      return obj;
    } else if (isArray(obj)) {
      var result = [];
      try {
        for (var obj_1 = __values(obj), obj_1_1 = obj_1.next();!obj_1_1.done; obj_1_1 = obj_1.next()) {
          var item = obj_1_1.value;
          result.push(clone(item));
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
            _a.call(obj_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return result;
    } else if (isObject(obj)) {
      var result = {};
      for (var key in obj) {
        if (obj.hasOwnProperty(key)) {
          var val = obj[key];
          result[key] = clone(val);
        }
      }
      return result;
    } else {
      return obj;
    }
  }
  exports.clone = clone;
  function isBoolean(x) {
    return typeof x === "boolean";
  }
  exports.isBoolean = isBoolean;
  function isNumber(x) {
    return typeof x === "number";
  }
  exports.isNumber = isNumber;
  function isString(x) {
    return typeof x === "string";
  }
  exports.isString = isString;
  function isFunction(x) {
    return !!x && Object.prototype.toString.call(x) === "[object Function]";
  }
  exports.isFunction = isFunction;
  function isObject(x) {
    var type = typeof x;
    return !!x && (type === "function" || type === "object");
  }
  exports.isObject = isObject;
  function isArray(x) {
    return Array.isArray(x);
  }
  exports.isArray = isArray;
  function isSet(x) {
    return x instanceof Set;
  }
  exports.isSet = isSet;
  function isMap(x) {
    return x instanceof Map;
  }
  exports.isMap = isMap;
  function isEmpty(x) {
    if (isArray(x)) {
      return !x.length;
    } else if (isSet(x)) {
      return !x.size;
    } else if (isMap(x)) {
      return !x.size;
    } else if (isObject(x)) {
      for (var key in x) {
        if (x.hasOwnProperty(key)) {
          return false;
        }
      }
      return true;
    }
    return false;
  }
  exports.isEmpty = isEmpty;
  function isPlainObject(x) {
    if (isObject(x)) {
      var proto = Object.getPrototypeOf(x);
      var ctor = proto.constructor;
      return proto && ctor && typeof ctor === "function" && ctor instanceof ctor && Function.prototype.toString.call(ctor) === Function.prototype.toString.call(Object);
    }
    return false;
  }
  exports.isPlainObject = isPlainObject;
  function isIterable(x) {
    return x && typeof x[Symbol.iterator] === "function";
  }
  exports.isIterable = isIterable;
  function getValue(obj) {
    if (isFunction(obj.valueOf)) {
      return obj.valueOf();
    } else {
      return obj;
    }
  }
  exports.getValue = getValue;
  function utf8Encode(input) {
    var bytes = new Uint8Array(input.length * 4);
    var byteIndex = 0;
    for (var i = 0;i < input.length; i++) {
      var char = input.charCodeAt(i);
      if (char < 128) {
        bytes[byteIndex++] = char;
        continue;
      } else if (char < 2048) {
        bytes[byteIndex++] = char >> 6 | 192;
      } else {
        if (char > 55295 && char < 56320) {
          if (++i >= input.length) {
            throw new Error("Incomplete surrogate pair.");
          }
          var c2 = input.charCodeAt(i);
          if (c2 < 56320 || c2 > 57343) {
            throw new Error("Invalid surrogate character.");
          }
          char = 65536 + ((char & 1023) << 10) + (c2 & 1023);
          bytes[byteIndex++] = char >> 18 | 240;
          bytes[byteIndex++] = char >> 12 & 63 | 128;
        } else {
          bytes[byteIndex++] = char >> 12 | 224;
        }
        bytes[byteIndex++] = char >> 6 & 63 | 128;
      }
      bytes[byteIndex++] = char & 63 | 128;
    }
    return bytes.subarray(0, byteIndex);
  }
  exports.utf8Encode = utf8Encode;
  function utf8Decode(bytes) {
    var result = "";
    var i = 0;
    while (i < bytes.length) {
      var c = bytes[i++];
      if (c > 127) {
        if (c > 191 && c < 224) {
          if (i >= bytes.length) {
            throw new Error("Incomplete 2-byte sequence.");
          }
          c = (c & 31) << 6 | bytes[i++] & 63;
        } else if (c > 223 && c < 240) {
          if (i + 1 >= bytes.length) {
            throw new Error("Incomplete 3-byte sequence.");
          }
          c = (c & 15) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
        } else if (c > 239 && c < 248) {
          if (i + 2 >= bytes.length) {
            throw new Error("Incomplete 4-byte sequence.");
          }
          c = (c & 7) << 18 | (bytes[i++] & 63) << 12 | (bytes[i++] & 63) << 6 | bytes[i++] & 63;
        } else {
          throw new Error("Unknown multi-byte start.");
        }
      }
      if (c <= 65535) {
        result += String.fromCharCode(c);
      } else if (c <= 1114111) {
        c -= 65536;
        result += String.fromCharCode(c >> 10 | 55296);
        result += String.fromCharCode(c & 1023 | 56320);
      } else {
        throw new Error("Code point exceeds UTF-16 limit.");
      }
    }
    return result;
  }
  exports.utf8Decode = utf8Decode;
});

// ../../node_modules/@oozcitak/dom/lib/dom/interfaces.js
var require_interfaces2 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var BoundaryPosition;
  (function(BoundaryPosition2) {
    BoundaryPosition2[BoundaryPosition2["Before"] = 0] = "Before";
    BoundaryPosition2[BoundaryPosition2["Equal"] = 1] = "Equal";
    BoundaryPosition2[BoundaryPosition2["After"] = 2] = "After";
  })(BoundaryPosition = exports.BoundaryPosition || (exports.BoundaryPosition = {}));
  var EventPhase;
  (function(EventPhase2) {
    EventPhase2[EventPhase2["None"] = 0] = "None";
    EventPhase2[EventPhase2["Capturing"] = 1] = "Capturing";
    EventPhase2[EventPhase2["AtTarget"] = 2] = "AtTarget";
    EventPhase2[EventPhase2["Bubbling"] = 3] = "Bubbling";
  })(EventPhase = exports.EventPhase || (exports.EventPhase = {}));
  var NodeType;
  (function(NodeType2) {
    NodeType2[NodeType2["Element"] = 1] = "Element";
    NodeType2[NodeType2["Attribute"] = 2] = "Attribute";
    NodeType2[NodeType2["Text"] = 3] = "Text";
    NodeType2[NodeType2["CData"] = 4] = "CData";
    NodeType2[NodeType2["EntityReference"] = 5] = "EntityReference";
    NodeType2[NodeType2["Entity"] = 6] = "Entity";
    NodeType2[NodeType2["ProcessingInstruction"] = 7] = "ProcessingInstruction";
    NodeType2[NodeType2["Comment"] = 8] = "Comment";
    NodeType2[NodeType2["Document"] = 9] = "Document";
    NodeType2[NodeType2["DocumentType"] = 10] = "DocumentType";
    NodeType2[NodeType2["DocumentFragment"] = 11] = "DocumentFragment";
    NodeType2[NodeType2["Notation"] = 12] = "Notation";
  })(NodeType = exports.NodeType || (exports.NodeType = {}));
  var Position;
  (function(Position2) {
    Position2[Position2["Disconnected"] = 1] = "Disconnected";
    Position2[Position2["Preceding"] = 2] = "Preceding";
    Position2[Position2["Following"] = 4] = "Following";
    Position2[Position2["Contains"] = 8] = "Contains";
    Position2[Position2["ContainedBy"] = 16] = "ContainedBy";
    Position2[Position2["ImplementationSpecific"] = 32] = "ImplementationSpecific";
  })(Position = exports.Position || (exports.Position = {}));
  var FilterResult;
  (function(FilterResult2) {
    FilterResult2[FilterResult2["Accept"] = 1] = "Accept";
    FilterResult2[FilterResult2["Reject"] = 2] = "Reject";
    FilterResult2[FilterResult2["Skip"] = 3] = "Skip";
  })(FilterResult = exports.FilterResult || (exports.FilterResult = {}));
  var WhatToShow;
  (function(WhatToShow2) {
    WhatToShow2[WhatToShow2["All"] = 4294967295] = "All";
    WhatToShow2[WhatToShow2["Element"] = 1] = "Element";
    WhatToShow2[WhatToShow2["Attribute"] = 2] = "Attribute";
    WhatToShow2[WhatToShow2["Text"] = 4] = "Text";
    WhatToShow2[WhatToShow2["CDataSection"] = 8] = "CDataSection";
    WhatToShow2[WhatToShow2["EntityReference"] = 16] = "EntityReference";
    WhatToShow2[WhatToShow2["Entity"] = 32] = "Entity";
    WhatToShow2[WhatToShow2["ProcessingInstruction"] = 64] = "ProcessingInstruction";
    WhatToShow2[WhatToShow2["Comment"] = 128] = "Comment";
    WhatToShow2[WhatToShow2["Document"] = 256] = "Document";
    WhatToShow2[WhatToShow2["DocumentType"] = 512] = "DocumentType";
    WhatToShow2[WhatToShow2["DocumentFragment"] = 1024] = "DocumentFragment";
    WhatToShow2[WhatToShow2["Notation"] = 2048] = "Notation";
  })(WhatToShow = exports.WhatToShow || (exports.WhatToShow = {}));
  var HowToCompare;
  (function(HowToCompare2) {
    HowToCompare2[HowToCompare2["StartToStart"] = 0] = "StartToStart";
    HowToCompare2[HowToCompare2["StartToEnd"] = 1] = "StartToEnd";
    HowToCompare2[HowToCompare2["EndToEnd"] = 2] = "EndToEnd";
    HowToCompare2[HowToCompare2["EndToStart"] = 3] = "EndToStart";
  })(HowToCompare = exports.HowToCompare || (exports.HowToCompare = {}));
});

// ../../node_modules/@oozcitak/dom/lib/serializer/LocalNameSet.js
var require_LocalNameSet = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var LocalNameSet = function() {
    function LocalNameSet2() {
      this._items = {};
      this._nullItems = {};
    }
    LocalNameSet2.prototype.set = function(ns, localName) {
      if (ns === null) {
        this._nullItems[localName] = true;
      } else if (this._items[ns]) {
        this._items[ns][localName] = true;
      } else {
        this._items[ns] = {};
        this._items[ns][localName] = true;
      }
    };
    LocalNameSet2.prototype.has = function(ns, localName) {
      if (ns === null) {
        return this._nullItems[localName] === true;
      } else if (this._items[ns]) {
        return this._items[ns][localName] === true;
      } else {
        return false;
      }
    };
    return LocalNameSet2;
  }();
  exports.LocalNameSet = LocalNameSet;
});

// ../../node_modules/@oozcitak/dom/lib/serializer/NamespacePrefixMap.js
var require_NamespacePrefixMap = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var NamespacePrefixMap = function() {
    function NamespacePrefixMap2() {
      this._items = {};
      this._nullItems = [];
    }
    NamespacePrefixMap2.prototype.copy = function() {
      var mapCopy = new NamespacePrefixMap2;
      for (var key in this._items) {
        mapCopy._items[key] = this._items[key].slice(0);
      }
      mapCopy._nullItems = this._nullItems.slice(0);
      return mapCopy;
    };
    NamespacePrefixMap2.prototype.get = function(preferredPrefix, ns) {
      var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
      if (candidatesList === null) {
        return null;
      }
      var prefix = null;
      for (var i = 0;i < candidatesList.length; i++) {
        prefix = candidatesList[i];
        if (prefix === preferredPrefix) {
          return prefix;
        }
      }
      return prefix;
    };
    NamespacePrefixMap2.prototype.has = function(prefix, ns) {
      var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
      if (candidatesList === null) {
        return false;
      }
      return candidatesList.indexOf(prefix) !== -1;
    };
    NamespacePrefixMap2.prototype.hasPrefix = function(prefix) {
      if (this._nullItems.indexOf(prefix) !== -1)
        return true;
      for (var key in this._items) {
        if (this._items[key].indexOf(prefix) !== -1)
          return true;
      }
      return false;
    };
    NamespacePrefixMap2.prototype.set = function(prefix, ns) {
      var candidatesList = ns === null ? this._nullItems : this._items[ns] || null;
      if (ns !== null && candidatesList === null) {
        this._items[ns] = [prefix];
      } else {
        candidatesList.push(prefix);
      }
    };
    return NamespacePrefixMap2;
  }();
  exports.NamespacePrefixMap = NamespacePrefixMap;
});

// ../../node_modules/@oozcitak/infra/lib/CodePoints.js
var require_CodePoints = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.Surrogate = /[\uD800-\uDFFF]/;
  exports.ScalarValue = /[\uD800-\uDFFF]/;
  exports.NonCharacter = /[\uFDD0-\uFDEF\uFFFE\uFFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDFFE\uDFFF]/;
  exports.ASCIICodePoint = /[\u0000-\u007F]/;
  exports.ASCIITabOrNewLine = /[\t\n\r]/;
  exports.ASCIIWhiteSpace = /[\t\n\f\r ]/;
  exports.C0Control = /[\u0000-\u001F]/;
  exports.C0ControlOrSpace = /[\u0000-\u001F ]/;
  exports.Control = /[\u0000-\u001F\u007F-\u009F]/;
  exports.ASCIIDigit = /[0-9]/;
  exports.ASCIIUpperHexDigit = /[0-9A-F]/;
  exports.ASCIILowerHexDigit = /[0-9a-f]/;
  exports.ASCIIHexDigit = /[0-9A-Fa-f]/;
  exports.ASCIIUpperAlpha = /[A-Z]/;
  exports.ASCIILowerAlpha = /[a-z]/;
  exports.ASCIIAlpha = /[A-Za-z]/;
  exports.ASCIIAlphanumeric = /[0-9A-Za-z]/;
});

// ../../node_modules/@oozcitak/infra/lib/Base64.js
var require_Base64 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var CodePoints_1 = require_CodePoints();
  function forgivingBase64Encode(input) {
    return Buffer.from(input).toString("base64");
  }
  exports.forgivingBase64Encode = forgivingBase64Encode;
  function forgivingBase64Decode(input) {
    if (input === "")
      return "";
    input = input.replace(CodePoints_1.ASCIIWhiteSpace, "");
    if (input.length % 4 === 0) {
      if (input.endsWith("==")) {
        input = input.substr(0, input.length - 2);
      } else if (input.endsWith("=")) {
        input = input.substr(0, input.length - 1);
      }
    }
    if (input.length % 4 === 1)
      return null;
    if (!/[0-9A-Za-z+/]/.test(input))
      return null;
    return Buffer.from(input, "base64").toString("utf8");
  }
  exports.forgivingBase64Decode = forgivingBase64Decode;
});

// ../../node_modules/@oozcitak/infra/lib/Byte.js
var require_Byte = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  function isASCIIByte(byte) {
    return byte >= 0 && byte <= 127;
  }
  exports.isASCIIByte = isASCIIByte;
});

// ../../node_modules/@oozcitak/infra/lib/ByteSequence.js
var require_ByteSequence = __commonJS((exports) => {
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  function length(list) {
    return list.length;
  }
  exports.length = length;
  function byteLowercase(list) {
    for (var i = 0;i < list.length; i++) {
      var c = list[i];
      if (c >= 65 && c <= 90) {
        list[i] = c + 32;
      }
    }
  }
  exports.byteLowercase = byteLowercase;
  function byteUppercase(list) {
    for (var i = 0;i < list.length; i++) {
      var c = list[i];
      if (c >= 97 && c <= 122) {
        list[i] = c - 32;
      }
    }
  }
  exports.byteUppercase = byteUppercase;
  function byteCaseInsensitiveMatch(listA, listB) {
    if (listA.length !== listB.length)
      return false;
    for (var i = 0;i < listA.length; i++) {
      var a = listA[i];
      var b = listB[i];
      if (a >= 65 && a <= 90)
        a += 32;
      if (b >= 65 && b <= 90)
        b += 32;
      if (a !== b)
        return false;
    }
    return true;
  }
  exports.byteCaseInsensitiveMatch = byteCaseInsensitiveMatch;
  function startsWith(listA, listB) {
    var i = 0;
    while (true) {
      if (i >= listA.length)
        return false;
      if (i >= listB.length)
        return true;
      if (listA[i] !== listB[i])
        return false;
      i++;
    }
  }
  exports.startsWith = startsWith;
  function byteLessThan(listA, listB) {
    var i = 0;
    while (true) {
      if (i >= listA.length)
        return false;
      if (i >= listB.length)
        return true;
      var a = listA[i];
      var b = listB[i];
      if (a < b)
        return true;
      else if (a > b)
        return false;
      i++;
    }
  }
  exports.byteLessThan = byteLessThan;
  function isomorphicDecode(list) {
    return String.fromCodePoint.apply(String, __spread(list));
  }
  exports.isomorphicDecode = isomorphicDecode;
});

// ../../node_modules/@oozcitak/infra/lib/JSON.js
var require_JSON = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  function parseJSONFromBytes(bytes) {
    var jsonText = util_1.utf8Decode(bytes);
    return JSON.parse.call(undefined, jsonText);
  }
  exports.parseJSONFromBytes = parseJSONFromBytes;
  function serializeJSONToBytes(value) {
    var jsonString = JSON.stringify.call(undefined, value);
    return util_1.utf8Encode(jsonString);
  }
  exports.serializeJSONToBytes = serializeJSONToBytes;
  function parseJSONIntoInfraValues(jsonText) {
    var jsValue = JSON.parse.call(undefined, jsonText);
    return convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue);
  }
  exports.parseJSONIntoInfraValues = parseJSONIntoInfraValues;
  function convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValue) {
    var e_1, _a;
    if (jsValue === null || util_1.isString(jsValue) || util_1.isNumber(jsValue))
      return jsValue;
    if (util_1.isArray(jsValue)) {
      var result = new Array;
      try {
        for (var jsValue_1 = __values(jsValue), jsValue_1_1 = jsValue_1.next();!jsValue_1_1.done; jsValue_1_1 = jsValue_1.next()) {
          var jsValueAtIndex = jsValue_1_1.value;
          result.push(convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtIndex));
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (jsValue_1_1 && !jsValue_1_1.done && (_a = jsValue_1.return))
            _a.call(jsValue_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return result;
    } else if (util_1.isObject(jsValue)) {
      var result = new Map;
      for (var key in jsValue) {
        if (jsValue.hasOwnProperty(key)) {
          var jsValueAtKey = jsValue[key];
          result.set(key, convertAJSONDerivedJavaScriptValueToAnInfraValue(jsValueAtKey));
        }
      }
      return result;
    }
    return jsValue;
  }
  exports.convertAJSONDerivedJavaScriptValueToAnInfraValue = convertAJSONDerivedJavaScriptValueToAnInfraValue;
});

// ../../node_modules/@oozcitak/infra/lib/List.js
var require_List = __commonJS((exports) => {
  var __generator = exports && exports.__generator || function(thisArg, body) {
    var _ = { label: 0, sent: function() {
      if (t[0] & 1)
        throw t[1];
      return t[1];
    }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), throw: verb(1), return: verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
      return this;
    }), g;
    function verb(n) {
      return function(v) {
        return step([n, v]);
      };
    }
    function step(op) {
      if (f)
        throw new TypeError("Generator is already executing.");
      while (_)
        try {
          if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
            return t;
          if (y = 0, t)
            op = [op[0] & 2, t.value];
          switch (op[0]) {
            case 0:
            case 1:
              t = op;
              break;
            case 4:
              _.label++;
              return { value: op[1], done: false };
            case 5:
              _.label++;
              y = op[1];
              op = [0];
              continue;
            case 7:
              op = _.ops.pop();
              _.trys.pop();
              continue;
            default:
              if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                _ = 0;
                continue;
              }
              if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                _.label = op[1];
                break;
              }
              if (op[0] === 6 && _.label < t[1]) {
                _.label = t[1];
                t = op;
                break;
              }
              if (t && _.label < t[2]) {
                _.label = t[2];
                _.ops.push(op);
                break;
              }
              if (t[2])
                _.ops.pop();
              _.trys.pop();
              continue;
          }
          op = body.call(thisArg, _);
        } catch (e) {
          op = [6, e];
          y = 0;
        } finally {
          f = t = 0;
        }
      if (op[0] & 5)
        throw op[1];
      return { value: op[0] ? op[1] : undefined, done: true };
    }
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  function append(list, item) {
    list.push(item);
  }
  exports.append = append;
  function extend(listA, listB) {
    listA.push.apply(listA, __spread(listB));
  }
  exports.extend = extend;
  function prepend(list, item) {
    list.unshift(item);
  }
  exports.prepend = prepend;
  function replace(list, conditionOrItem, newItem) {
    var e_1, _a;
    var i = 0;
    try {
      for (var list_1 = __values(list), list_1_1 = list_1.next();!list_1_1.done; list_1_1 = list_1.next()) {
        var oldItem = list_1_1.value;
        if (util_1.isFunction(conditionOrItem)) {
          if (!!conditionOrItem.call(null, oldItem)) {
            list[i] = newItem;
          }
        } else if (oldItem === conditionOrItem) {
          list[i] = newItem;
          return;
        }
        i++;
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (list_1_1 && !list_1_1.done && (_a = list_1.return))
          _a.call(list_1);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
  }
  exports.replace = replace;
  function insert(list, item, index) {
    list.splice(index, 0, item);
  }
  exports.insert = insert;
  function remove(list, conditionOrItem) {
    var i = list.length;
    while (i--) {
      var oldItem = list[i];
      if (util_1.isFunction(conditionOrItem)) {
        if (!!conditionOrItem.call(null, oldItem)) {
          list.splice(i, 1);
        }
      } else if (oldItem === conditionOrItem) {
        list.splice(i, 1);
        return;
      }
    }
  }
  exports.remove = remove;
  function empty(list) {
    list.length = 0;
  }
  exports.empty = empty;
  function contains(list, conditionOrItem) {
    var e_2, _a;
    try {
      for (var list_2 = __values(list), list_2_1 = list_2.next();!list_2_1.done; list_2_1 = list_2.next()) {
        var oldItem = list_2_1.value;
        if (util_1.isFunction(conditionOrItem)) {
          if (!!conditionOrItem.call(null, oldItem)) {
            return true;
          }
        } else if (oldItem === conditionOrItem) {
          return true;
        }
      }
    } catch (e_2_1) {
      e_2 = { error: e_2_1 };
    } finally {
      try {
        if (list_2_1 && !list_2_1.done && (_a = list_2.return))
          _a.call(list_2);
      } finally {
        if (e_2)
          throw e_2.error;
      }
    }
    return false;
  }
  exports.contains = contains;
  function size(list, condition) {
    var e_3, _a;
    if (condition === undefined) {
      return list.length;
    } else {
      var count = 0;
      try {
        for (var list_3 = __values(list), list_3_1 = list_3.next();!list_3_1.done; list_3_1 = list_3.next()) {
          var item = list_3_1.value;
          if (!!condition.call(null, item)) {
            count++;
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (list_3_1 && !list_3_1.done && (_a = list_3.return))
            _a.call(list_3);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return count;
    }
  }
  exports.size = size;
  function isEmpty(list) {
    return list.length === 0;
  }
  exports.isEmpty = isEmpty;
  function forEach(list, condition) {
    var list_4, list_4_1, item, e_4_1;
    var e_4, _a;
    return __generator(this, function(_b) {
      switch (_b.label) {
        case 0:
          if (!(condition === undefined))
            return [3, 2];
          return [5, __values(list)];
        case 1:
          _b.sent();
          return [3, 9];
        case 2:
          _b.trys.push([2, 7, 8, 9]);
          list_4 = __values(list), list_4_1 = list_4.next();
          _b.label = 3;
        case 3:
          if (!!list_4_1.done)
            return [3, 6];
          item = list_4_1.value;
          if (!!!condition.call(null, item))
            return [3, 5];
          return [4, item];
        case 4:
          _b.sent();
          _b.label = 5;
        case 5:
          list_4_1 = list_4.next();
          return [3, 3];
        case 6:
          return [3, 9];
        case 7:
          e_4_1 = _b.sent();
          e_4 = { error: e_4_1 };
          return [3, 9];
        case 8:
          try {
            if (list_4_1 && !list_4_1.done && (_a = list_4.return))
              _a.call(list_4);
          } finally {
            if (e_4)
              throw e_4.error;
          }
          return [7];
        case 9:
          return [2];
      }
    });
  }
  exports.forEach = forEach;
  function clone(list) {
    return new (Array.bind.apply(Array, __spread([undefined], list)));
  }
  exports.clone = clone;
  function sortInAscendingOrder(list, lessThanAlgo) {
    return list.sort(function(itemA, itemB) {
      return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
    });
  }
  exports.sortInAscendingOrder = sortInAscendingOrder;
  function sortInDescendingOrder(list, lessThanAlgo) {
    return list.sort(function(itemA, itemB) {
      return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
    });
  }
  exports.sortInDescendingOrder = sortInDescendingOrder;
});

// ../../node_modules/@oozcitak/infra/lib/Map.js
var require_Map = __commonJS((exports) => {
  var __generator = exports && exports.__generator || function(thisArg, body) {
    var _ = { label: 0, sent: function() {
      if (t[0] & 1)
        throw t[1];
      return t[1];
    }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), throw: verb(1), return: verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
      return this;
    }), g;
    function verb(n) {
      return function(v) {
        return step([n, v]);
      };
    }
    function step(op) {
      if (f)
        throw new TypeError("Generator is already executing.");
      while (_)
        try {
          if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
            return t;
          if (y = 0, t)
            op = [op[0] & 2, t.value];
          switch (op[0]) {
            case 0:
            case 1:
              t = op;
              break;
            case 4:
              _.label++;
              return { value: op[1], done: false };
            case 5:
              _.label++;
              y = op[1];
              op = [0];
              continue;
            case 7:
              op = _.ops.pop();
              _.trys.pop();
              continue;
            default:
              if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                _ = 0;
                continue;
              }
              if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                _.label = op[1];
                break;
              }
              if (op[0] === 6 && _.label < t[1]) {
                _.label = t[1];
                t = op;
                break;
              }
              if (t && _.label < t[2]) {
                _.label = t[2];
                _.ops.push(op);
                break;
              }
              if (t[2])
                _.ops.pop();
              _.trys.pop();
              continue;
          }
          op = body.call(thisArg, _);
        } catch (e) {
          op = [6, e];
          y = 0;
        } finally {
          f = t = 0;
        }
      if (op[0] & 5)
        throw op[1];
      return { value: op[0] ? op[1] : undefined, done: true };
    }
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  function get(map, key) {
    return map.get(key);
  }
  exports.get = get;
  function set2(map, key, val) {
    map.set(key, val);
  }
  exports.set = set2;
  function remove(map, conditionOrItem) {
    var e_1, _a, e_2, _b;
    if (!util_1.isFunction(conditionOrItem)) {
      map.delete(conditionOrItem);
    } else {
      var toRemove = [];
      try {
        for (var map_1 = __values(map), map_1_1 = map_1.next();!map_1_1.done; map_1_1 = map_1.next()) {
          var item = map_1_1.value;
          if (!!conditionOrItem.call(null, item)) {
            toRemove.push(item[0]);
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (map_1_1 && !map_1_1.done && (_a = map_1.return))
            _a.call(map_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      try {
        for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next();!toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
          var key = toRemove_1_1.value;
          map.delete(key);
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
            _b.call(toRemove_1);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
    }
  }
  exports.remove = remove;
  function contains(map, conditionOrItem) {
    var e_3, _a;
    if (!util_1.isFunction(conditionOrItem)) {
      return map.has(conditionOrItem);
    } else {
      try {
        for (var map_2 = __values(map), map_2_1 = map_2.next();!map_2_1.done; map_2_1 = map_2.next()) {
          var item = map_2_1.value;
          if (!!conditionOrItem.call(null, item)) {
            return true;
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (map_2_1 && !map_2_1.done && (_a = map_2.return))
            _a.call(map_2);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return false;
    }
  }
  exports.contains = contains;
  function keys(map) {
    return new Set(map.keys());
  }
  exports.keys = keys;
  function values(map) {
    return __spread(map.values());
  }
  exports.values = values;
  function size(map, condition) {
    var e_4, _a;
    if (condition === undefined) {
      return map.size;
    } else {
      var count = 0;
      try {
        for (var map_3 = __values(map), map_3_1 = map_3.next();!map_3_1.done; map_3_1 = map_3.next()) {
          var item = map_3_1.value;
          if (!!condition.call(null, item)) {
            count++;
          }
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (map_3_1 && !map_3_1.done && (_a = map_3.return))
            _a.call(map_3);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      return count;
    }
  }
  exports.size = size;
  function isEmpty(map) {
    return map.size === 0;
  }
  exports.isEmpty = isEmpty;
  function forEach(map, condition) {
    var map_4, map_4_1, item, e_5_1;
    var e_5, _a;
    return __generator(this, function(_b) {
      switch (_b.label) {
        case 0:
          if (!(condition === undefined))
            return [3, 2];
          return [5, __values(map)];
        case 1:
          _b.sent();
          return [3, 9];
        case 2:
          _b.trys.push([2, 7, 8, 9]);
          map_4 = __values(map), map_4_1 = map_4.next();
          _b.label = 3;
        case 3:
          if (!!map_4_1.done)
            return [3, 6];
          item = map_4_1.value;
          if (!!!condition.call(null, item))
            return [3, 5];
          return [4, item];
        case 4:
          _b.sent();
          _b.label = 5;
        case 5:
          map_4_1 = map_4.next();
          return [3, 3];
        case 6:
          return [3, 9];
        case 7:
          e_5_1 = _b.sent();
          e_5 = { error: e_5_1 };
          return [3, 9];
        case 8:
          try {
            if (map_4_1 && !map_4_1.done && (_a = map_4.return))
              _a.call(map_4);
          } finally {
            if (e_5)
              throw e_5.error;
          }
          return [7];
        case 9:
          return [2];
      }
    });
  }
  exports.forEach = forEach;
  function clone(map) {
    return new Map(map);
  }
  exports.clone = clone;
  function sortInAscendingOrder(map, lessThanAlgo) {
    var list = new (Array.bind.apply(Array, __spread([undefined], map)));
    list.sort(function(itemA, itemB) {
      return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
    });
    return new Map(list);
  }
  exports.sortInAscendingOrder = sortInAscendingOrder;
  function sortInDescendingOrder(map, lessThanAlgo) {
    var list = new (Array.bind.apply(Array, __spread([undefined], map)));
    list.sort(function(itemA, itemB) {
      return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
    });
    return new Map(list);
  }
  exports.sortInDescendingOrder = sortInDescendingOrder;
});

// ../../node_modules/@oozcitak/infra/lib/Namespace.js
var require_Namespace = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.HTML = "http://www.w3.org/1999/xhtml";
  exports.XML = "http://www.w3.org/XML/1998/namespace";
  exports.XMLNS = "http://www.w3.org/2000/xmlns/";
  exports.MathML = "http://www.w3.org/1998/Math/MathML";
  exports.SVG = "http://www.w3.org/2000/svg";
  exports.XLink = "http://www.w3.org/1999/xlink";
});

// ../../node_modules/@oozcitak/infra/lib/Queue.js
var require_Queue = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  function enqueue(list, item) {
    list.push(item);
  }
  exports.enqueue = enqueue;
  function dequeue(list) {
    return list.shift() || null;
  }
  exports.dequeue = dequeue;
});

// ../../node_modules/@oozcitak/infra/lib/Set.js
var require_Set = __commonJS((exports) => {
  var __generator = exports && exports.__generator || function(thisArg, body) {
    var _ = { label: 0, sent: function() {
      if (t[0] & 1)
        throw t[1];
      return t[1];
    }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), throw: verb(1), return: verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() {
      return this;
    }), g;
    function verb(n) {
      return function(v) {
        return step([n, v]);
      };
    }
    function step(op) {
      if (f)
        throw new TypeError("Generator is already executing.");
      while (_)
        try {
          if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
            return t;
          if (y = 0, t)
            op = [op[0] & 2, t.value];
          switch (op[0]) {
            case 0:
            case 1:
              t = op;
              break;
            case 4:
              _.label++;
              return { value: op[1], done: false };
            case 5:
              _.label++;
              y = op[1];
              op = [0];
              continue;
            case 7:
              op = _.ops.pop();
              _.trys.pop();
              continue;
            default:
              if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                _ = 0;
                continue;
              }
              if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
                _.label = op[1];
                break;
              }
              if (op[0] === 6 && _.label < t[1]) {
                _.label = t[1];
                t = op;
                break;
              }
              if (t && _.label < t[2]) {
                _.label = t[2];
                _.ops.push(op);
                break;
              }
              if (t[2])
                _.ops.pop();
              _.trys.pop();
              continue;
          }
          op = body.call(thisArg, _);
        } catch (e) {
          op = [6, e];
          y = 0;
        } finally {
          f = t = 0;
        }
      if (op[0] & 5)
        throw op[1];
      return { value: op[0] ? op[1] : undefined, done: true };
    }
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  function append(set2, item) {
    set2.add(item);
  }
  exports.append = append;
  function extend(setA, setB) {
    setB.forEach(setA.add, setA);
  }
  exports.extend = extend;
  function prepend(set2, item) {
    var cloned = new Set(set2);
    set2.clear();
    set2.add(item);
    cloned.forEach(set2.add, set2);
  }
  exports.prepend = prepend;
  function replace(set2, conditionOrItem, newItem) {
    var e_1, _a;
    var newSet = new Set;
    try {
      for (var set_1 = __values(set2), set_1_1 = set_1.next();!set_1_1.done; set_1_1 = set_1.next()) {
        var oldItem = set_1_1.value;
        if (util_1.isFunction(conditionOrItem)) {
          if (!!conditionOrItem.call(null, oldItem)) {
            newSet.add(newItem);
          } else {
            newSet.add(oldItem);
          }
        } else if (oldItem === conditionOrItem) {
          newSet.add(newItem);
        } else {
          newSet.add(oldItem);
        }
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (set_1_1 && !set_1_1.done && (_a = set_1.return))
          _a.call(set_1);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
    set2.clear();
    newSet.forEach(set2.add, set2);
  }
  exports.replace = replace;
  function insert(set2, item, index) {
    var e_2, _a;
    var newSet = new Set;
    var i = 0;
    try {
      for (var set_2 = __values(set2), set_2_1 = set_2.next();!set_2_1.done; set_2_1 = set_2.next()) {
        var oldItem = set_2_1.value;
        if (i === index)
          newSet.add(item);
        newSet.add(oldItem);
        i++;
      }
    } catch (e_2_1) {
      e_2 = { error: e_2_1 };
    } finally {
      try {
        if (set_2_1 && !set_2_1.done && (_a = set_2.return))
          _a.call(set_2);
      } finally {
        if (e_2)
          throw e_2.error;
      }
    }
    set2.clear();
    newSet.forEach(set2.add, set2);
  }
  exports.insert = insert;
  function remove(set2, conditionOrItem) {
    var e_3, _a, e_4, _b;
    if (!util_1.isFunction(conditionOrItem)) {
      set2.delete(conditionOrItem);
    } else {
      var toRemove = [];
      try {
        for (var set_3 = __values(set2), set_3_1 = set_3.next();!set_3_1.done; set_3_1 = set_3.next()) {
          var item = set_3_1.value;
          if (!!conditionOrItem.call(null, item)) {
            toRemove.push(item);
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (set_3_1 && !set_3_1.done && (_a = set_3.return))
            _a.call(set_3);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      try {
        for (var toRemove_1 = __values(toRemove), toRemove_1_1 = toRemove_1.next();!toRemove_1_1.done; toRemove_1_1 = toRemove_1.next()) {
          var oldItem = toRemove_1_1.value;
          set2.delete(oldItem);
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (toRemove_1_1 && !toRemove_1_1.done && (_b = toRemove_1.return))
            _b.call(toRemove_1);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
    }
  }
  exports.remove = remove;
  function empty(set2) {
    set2.clear();
  }
  exports.empty = empty;
  function contains(set2, conditionOrItem) {
    var e_5, _a;
    if (!util_1.isFunction(conditionOrItem)) {
      return set2.has(conditionOrItem);
    } else {
      try {
        for (var set_4 = __values(set2), set_4_1 = set_4.next();!set_4_1.done; set_4_1 = set_4.next()) {
          var oldItem = set_4_1.value;
          if (!!conditionOrItem.call(null, oldItem)) {
            return true;
          }
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (set_4_1 && !set_4_1.done && (_a = set_4.return))
            _a.call(set_4);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
    }
    return false;
  }
  exports.contains = contains;
  function size(set2, condition) {
    var e_6, _a;
    if (condition === undefined) {
      return set2.size;
    } else {
      var count = 0;
      try {
        for (var set_5 = __values(set2), set_5_1 = set_5.next();!set_5_1.done; set_5_1 = set_5.next()) {
          var item = set_5_1.value;
          if (!!condition.call(null, item)) {
            count++;
          }
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (set_5_1 && !set_5_1.done && (_a = set_5.return))
            _a.call(set_5);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      return count;
    }
  }
  exports.size = size;
  function isEmpty(set2) {
    return set2.size === 0;
  }
  exports.isEmpty = isEmpty;
  function forEach(set2, condition) {
    var set_6, set_6_1, item, e_7_1;
    var e_7, _a;
    return __generator(this, function(_b) {
      switch (_b.label) {
        case 0:
          if (!(condition === undefined))
            return [3, 2];
          return [5, __values(set2)];
        case 1:
          _b.sent();
          return [3, 9];
        case 2:
          _b.trys.push([2, 7, 8, 9]);
          set_6 = __values(set2), set_6_1 = set_6.next();
          _b.label = 3;
        case 3:
          if (!!set_6_1.done)
            return [3, 6];
          item = set_6_1.value;
          if (!!!condition.call(null, item))
            return [3, 5];
          return [4, item];
        case 4:
          _b.sent();
          _b.label = 5;
        case 5:
          set_6_1 = set_6.next();
          return [3, 3];
        case 6:
          return [3, 9];
        case 7:
          e_7_1 = _b.sent();
          e_7 = { error: e_7_1 };
          return [3, 9];
        case 8:
          try {
            if (set_6_1 && !set_6_1.done && (_a = set_6.return))
              _a.call(set_6);
          } finally {
            if (e_7)
              throw e_7.error;
          }
          return [7];
        case 9:
          return [2];
      }
    });
  }
  exports.forEach = forEach;
  function clone(set2) {
    return new Set(set2);
  }
  exports.clone = clone;
  function sortInAscendingOrder(set2, lessThanAlgo) {
    var list = new (Array.bind.apply(Array, __spread([undefined], set2)));
    list.sort(function(itemA, itemB) {
      return lessThanAlgo.call(null, itemA, itemB) ? -1 : 1;
    });
    return new Set(list);
  }
  exports.sortInAscendingOrder = sortInAscendingOrder;
  function sortInDescendingOrder(set2, lessThanAlgo) {
    var list = new (Array.bind.apply(Array, __spread([undefined], set2)));
    list.sort(function(itemA, itemB) {
      return lessThanAlgo.call(null, itemA, itemB) ? 1 : -1;
    });
    return new Set(list);
  }
  exports.sortInDescendingOrder = sortInDescendingOrder;
  function isSubsetOf(subset, superset) {
    var e_8, _a;
    try {
      for (var subset_1 = __values(subset), subset_1_1 = subset_1.next();!subset_1_1.done; subset_1_1 = subset_1.next()) {
        var item = subset_1_1.value;
        if (!superset.has(item))
          return false;
      }
    } catch (e_8_1) {
      e_8 = { error: e_8_1 };
    } finally {
      try {
        if (subset_1_1 && !subset_1_1.done && (_a = subset_1.return))
          _a.call(subset_1);
      } finally {
        if (e_8)
          throw e_8.error;
      }
    }
    return true;
  }
  exports.isSubsetOf = isSubsetOf;
  function isSupersetOf(superset, subset) {
    return isSubsetOf(subset, superset);
  }
  exports.isSupersetOf = isSupersetOf;
  function intersection(setA, setB) {
    var e_9, _a;
    var newSet = new Set;
    try {
      for (var setA_1 = __values(setA), setA_1_1 = setA_1.next();!setA_1_1.done; setA_1_1 = setA_1.next()) {
        var item = setA_1_1.value;
        if (setB.has(item))
          newSet.add(item);
      }
    } catch (e_9_1) {
      e_9 = { error: e_9_1 };
    } finally {
      try {
        if (setA_1_1 && !setA_1_1.done && (_a = setA_1.return))
          _a.call(setA_1);
      } finally {
        if (e_9)
          throw e_9.error;
      }
    }
    return newSet;
  }
  exports.intersection = intersection;
  function union(setA, setB) {
    var newSet = new Set(setA);
    setB.forEach(newSet.add, newSet);
    return newSet;
  }
  exports.union = union;
  function range(n, m) {
    var newSet = new Set;
    for (var i = n;i <= m; i++) {
      newSet.add(i);
    }
    return newSet;
  }
  exports.range = range;
});

// ../../node_modules/@oozcitak/infra/lib/Stack.js
var require_Stack = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  function push(list, item) {
    list.push(item);
  }
  exports.push = push;
  function pop(list) {
    return list.pop() || null;
  }
  exports.pop = pop;
});

// ../../node_modules/@oozcitak/infra/lib/String.js
var require_String = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var CodePoints_1 = require_CodePoints();
  var ByteSequence_1 = require_ByteSequence();
  var Byte_1 = require_Byte();
  var util_1 = require_lib();
  function isCodeUnitPrefix(a, b) {
    var i = 0;
    while (true) {
      var aCodeUnit = i < a.length ? a.charCodeAt(i) : null;
      var bCodeUnit = i < b.length ? b.charCodeAt(i) : null;
      if (aCodeUnit === null)
        return true;
      if (aCodeUnit !== bCodeUnit)
        return false;
      i++;
    }
  }
  exports.isCodeUnitPrefix = isCodeUnitPrefix;
  function isCodeUnitLessThan(a, b) {
    if (isCodeUnitPrefix(b, a))
      return false;
    if (isCodeUnitPrefix(a, b))
      return true;
    for (var i = 0;i < Math.min(a.length, b.length); i++) {
      var aCodeUnit = a.charCodeAt(i);
      var bCodeUnit = b.charCodeAt(i);
      if (aCodeUnit === bCodeUnit)
        continue;
      return aCodeUnit < bCodeUnit;
    }
    return false;
  }
  exports.isCodeUnitLessThan = isCodeUnitLessThan;
  function isomorphicEncode(str) {
    var e_1, _a;
    var codePoints = Array.from(str);
    var bytes = new Uint8Array(codePoints.length);
    var i = 0;
    try {
      for (var str_1 = __values(str), str_1_1 = str_1.next();!str_1_1.done; str_1_1 = str_1.next()) {
        var codePoint = str_1_1.value;
        var byte = codePoint.codePointAt(0);
        console.assert(byte !== undefined && byte <= 255, "isomorphicEncode requires string bytes to be less than or equal to 0x00FF.");
        if (byte !== undefined && byte <= 255) {
          bytes[i++] = byte;
        }
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (str_1_1 && !str_1_1.done && (_a = str_1.return))
          _a.call(str_1);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
    return bytes;
  }
  exports.isomorphicEncode = isomorphicEncode;
  function isASCIIString(str) {
    return /^[\u0000-\u007F]*$/.test(str);
  }
  exports.isASCIIString = isASCIIString;
  function asciiLowercase(str) {
    var e_2, _a;
    var result = "";
    try {
      for (var str_2 = __values(str), str_2_1 = str_2.next();!str_2_1.done; str_2_1 = str_2.next()) {
        var c = str_2_1.value;
        var code = c.codePointAt(0);
        if (code !== undefined && code >= 65 && code <= 90) {
          result += String.fromCodePoint(code + 32);
        } else {
          result += c;
        }
      }
    } catch (e_2_1) {
      e_2 = { error: e_2_1 };
    } finally {
      try {
        if (str_2_1 && !str_2_1.done && (_a = str_2.return))
          _a.call(str_2);
      } finally {
        if (e_2)
          throw e_2.error;
      }
    }
    return result;
  }
  exports.asciiLowercase = asciiLowercase;
  function asciiUppercase(str) {
    var e_3, _a;
    var result = "";
    try {
      for (var str_3 = __values(str), str_3_1 = str_3.next();!str_3_1.done; str_3_1 = str_3.next()) {
        var c = str_3_1.value;
        var code = c.codePointAt(0);
        if (code !== undefined && code >= 97 && code <= 122) {
          result += String.fromCodePoint(code - 32);
        } else {
          result += c;
        }
      }
    } catch (e_3_1) {
      e_3 = { error: e_3_1 };
    } finally {
      try {
        if (str_3_1 && !str_3_1.done && (_a = str_3.return))
          _a.call(str_3);
      } finally {
        if (e_3)
          throw e_3.error;
      }
    }
    return result;
  }
  exports.asciiUppercase = asciiUppercase;
  function asciiCaseInsensitiveMatch(a, b) {
    return asciiLowercase(a) === asciiLowercase(b);
  }
  exports.asciiCaseInsensitiveMatch = asciiCaseInsensitiveMatch;
  function asciiEncode(str) {
    console.assert(isASCIIString(str), "asciiEncode requires an ASCII string.");
    return isomorphicEncode(str);
  }
  exports.asciiEncode = asciiEncode;
  function asciiDecode(bytes) {
    var e_4, _a;
    try {
      for (var bytes_1 = __values(bytes), bytes_1_1 = bytes_1.next();!bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
        var byte = bytes_1_1.value;
        console.assert(Byte_1.isASCIIByte(byte), "asciiDecode requires an ASCII byte sequence.");
      }
    } catch (e_4_1) {
      e_4 = { error: e_4_1 };
    } finally {
      try {
        if (bytes_1_1 && !bytes_1_1.done && (_a = bytes_1.return))
          _a.call(bytes_1);
      } finally {
        if (e_4)
          throw e_4.error;
      }
    }
    return ByteSequence_1.isomorphicDecode(bytes);
  }
  exports.asciiDecode = asciiDecode;
  function stripNewlines(str) {
    return str.replace(/[\n\r]/g, "");
  }
  exports.stripNewlines = stripNewlines;
  function normalizeNewlines(str) {
    return str.replace(/\r\n/g, `
`).replace(/\r/g, `
`);
  }
  exports.normalizeNewlines = normalizeNewlines;
  function stripLeadingAndTrailingASCIIWhitespace(str) {
    return str.replace(/^[\t\n\f\r ]+/, "").replace(/[\t\n\f\r ]+$/, "");
  }
  exports.stripLeadingAndTrailingASCIIWhitespace = stripLeadingAndTrailingASCIIWhitespace;
  function stripAndCollapseASCIIWhitespace(str) {
    return stripLeadingAndTrailingASCIIWhitespace(str.replace(/[\t\n\f\r ]{2,}/g, " "));
  }
  exports.stripAndCollapseASCIIWhitespace = stripAndCollapseASCIIWhitespace;
  function collectASequenceOfCodePoints(condition, input, options) {
    if (!util_1.isArray(input))
      return collectASequenceOfCodePoints(condition, Array.from(input), options);
    var result = "";
    while (options.position < input.length && !!condition.call(null, input[options.position])) {
      result += input[options.position];
      options.position++;
    }
    return result;
  }
  exports.collectASequenceOfCodePoints = collectASequenceOfCodePoints;
  function skipASCIIWhitespace(input, options) {
    collectASequenceOfCodePoints(function(str) {
      return CodePoints_1.ASCIIWhiteSpace.test(str);
    }, input, options);
  }
  exports.skipASCIIWhitespace = skipASCIIWhitespace;
  function strictlySplit(input, delimiter) {
    if (!util_1.isArray(input))
      return strictlySplit(Array.from(input), delimiter);
    var options = { position: 0 };
    var tokens = [];
    var token = collectASequenceOfCodePoints(function(str) {
      return delimiter !== str;
    }, input, options);
    tokens.push(token);
    while (options.position < input.length) {
      console.assert(input[options.position] === delimiter, "strictlySplit found no delimiter in input string.");
      options.position++;
      token = collectASequenceOfCodePoints(function(str) {
        return delimiter !== str;
      }, input, options);
      tokens.push(token);
    }
    return tokens;
  }
  exports.strictlySplit = strictlySplit;
  function splitAStringOnASCIIWhitespace(input) {
    if (!util_1.isArray(input))
      return splitAStringOnASCIIWhitespace(Array.from(input));
    var options = { position: 0 };
    var tokens = [];
    skipASCIIWhitespace(input, options);
    while (options.position < input.length) {
      var token = collectASequenceOfCodePoints(function(str) {
        return !CodePoints_1.ASCIIWhiteSpace.test(str);
      }, input, options);
      tokens.push(token);
      skipASCIIWhitespace(input, options);
    }
    return tokens;
  }
  exports.splitAStringOnASCIIWhitespace = splitAStringOnASCIIWhitespace;
  function splitAStringOnCommas(input) {
    if (!util_1.isArray(input))
      return splitAStringOnCommas(Array.from(input));
    var options = { position: 0 };
    var tokens = [];
    while (options.position < input.length) {
      var token = collectASequenceOfCodePoints(function(str) {
        return str !== ",";
      }, input, options);
      tokens.push(stripLeadingAndTrailingASCIIWhitespace(token));
      if (options.position < input.length) {
        console.assert(input[options.position] === ",", "splitAStringOnCommas found no delimiter in input string.");
        options.position++;
      }
    }
    return tokens;
  }
  exports.splitAStringOnCommas = splitAStringOnCommas;
  function concatenate(list, separator) {
    if (separator === undefined) {
      separator = "";
    }
    if (list.length === 0)
      return "";
    return list.join(separator);
  }
  exports.concatenate = concatenate;
});

// ../../node_modules/@oozcitak/infra/lib/index.js
var require_lib2 = __commonJS((exports) => {
  var __importStar = exports && exports.__importStar || function(mod) {
    if (mod && mod.__esModule)
      return mod;
    var result = {};
    if (mod != null) {
      for (var k in mod)
        if (Object.hasOwnProperty.call(mod, k))
          result[k] = mod[k];
    }
    result["default"] = mod;
    return result;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var base64 = __importStar(require_Base64());
  exports.base64 = base64;
  var byte = __importStar(require_Byte());
  exports.byte = byte;
  var byteSequence = __importStar(require_ByteSequence());
  exports.byteSequence = byteSequence;
  var codePoint = __importStar(require_CodePoints());
  exports.codePoint = codePoint;
  var json = __importStar(require_JSON());
  exports.json = json;
  var list = __importStar(require_List());
  exports.list = list;
  var map = __importStar(require_Map());
  exports.map = map;
  var namespace = __importStar(require_Namespace());
  exports.namespace = namespace;
  var queue = __importStar(require_Queue());
  exports.queue = queue;
  var set2 = __importStar(require_Set());
  exports.set = set2;
  var stack = __importStar(require_Stack());
  exports.stack = stack;
  var string = __importStar(require_String());
  exports.string = string;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/WebIDLAlgorithm.js
var require_WebIDLAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  function idl_defineConst(o, name, value) {
    Object.defineProperty(o, name, { writable: false, enumerable: true, configurable: false, value });
  }
  exports.idl_defineConst = idl_defineConst;
});

// ../../node_modules/@oozcitak/dom/lib/dom/DOMImplementationImpl.js
var require_DOMImplementationImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var infra_1 = require_lib2();
  var algorithm_1 = require_algorithm();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var DOMImplementationImpl = function() {
    function DOMImplementationImpl2(document2) {
      this._associatedDocument = document2 || DOMImpl_1.dom.window.document;
    }
    DOMImplementationImpl2.prototype.createDocumentType = function(qualifiedName, publicId, systemId) {
      algorithm_1.namespace_validate(qualifiedName);
      return algorithm_1.create_documentType(this._associatedDocument, qualifiedName, publicId, systemId);
    };
    DOMImplementationImpl2.prototype.createDocument = function(namespace, qualifiedName, doctype) {
      if (doctype === undefined) {
        doctype = null;
      }
      var document2 = algorithm_1.create_xmlDocument();
      var element = null;
      if (qualifiedName) {
        element = algorithm_1.document_internalCreateElementNS(document2, namespace, qualifiedName);
      }
      if (doctype)
        document2.appendChild(doctype);
      if (element)
        document2.appendChild(element);
      document2._origin = this._associatedDocument._origin;
      if (namespace === infra_1.namespace.HTML)
        document2._contentType = "application/xhtml+xml";
      else if (namespace === infra_1.namespace.SVG)
        document2._contentType = "image/svg+xml";
      else
        document2._contentType = "application/xml";
      return document2;
    };
    DOMImplementationImpl2.prototype.createHTMLDocument = function(title) {
      var doc = algorithm_1.create_document();
      doc._type = "html";
      doc._contentType = "text/html";
      doc.appendChild(algorithm_1.create_documentType(doc, "html", "", ""));
      var htmlElement = algorithm_1.element_createAnElement(doc, "html", infra_1.namespace.HTML);
      doc.appendChild(htmlElement);
      var headElement = algorithm_1.element_createAnElement(doc, "head", infra_1.namespace.HTML);
      htmlElement.appendChild(headElement);
      if (title !== undefined) {
        var titleElement = algorithm_1.element_createAnElement(doc, "title", infra_1.namespace.HTML);
        headElement.appendChild(titleElement);
        var textElement = algorithm_1.create_text(doc, title);
        titleElement.appendChild(textElement);
      }
      var bodyElement = algorithm_1.element_createAnElement(doc, "body", infra_1.namespace.HTML);
      htmlElement.appendChild(bodyElement);
      doc._origin = this._associatedDocument._origin;
      return doc;
    };
    DOMImplementationImpl2.prototype.hasFeature = function() {
      return true;
    };
    DOMImplementationImpl2._create = function(document2) {
      return new DOMImplementationImpl2(document2);
    };
    return DOMImplementationImpl2;
  }();
  exports.DOMImplementationImpl = DOMImplementationImpl;
  WebIDLAlgorithm_1.idl_defineConst(DOMImplementationImpl.prototype, "_ID", "@oozcitak/dom");
});

// ../../node_modules/@oozcitak/dom/lib/dom/DOMException.js
var require_DOMException = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMException = function(_super) {
    __extends(DOMException2, _super);
    function DOMException2(name, message) {
      if (message === undefined) {
        message = "";
      }
      var _this = _super.call(this, message) || this;
      _this.name = name;
      return _this;
    }
    return DOMException2;
  }(Error);
  exports.DOMException = DOMException;
  var DOMStringSizeError = function(_super) {
    __extends(DOMStringSizeError2, _super);
    function DOMStringSizeError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "DOMStringSizeError", message) || this;
    }
    return DOMStringSizeError2;
  }(DOMException);
  exports.DOMStringSizeError = DOMStringSizeError;
  var WrongDocumentError = function(_super) {
    __extends(WrongDocumentError2, _super);
    function WrongDocumentError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "WrongDocumentError", "The object is in the wrong document. " + message) || this;
    }
    return WrongDocumentError2;
  }(DOMException);
  exports.WrongDocumentError = WrongDocumentError;
  var NoDataAllowedError = function(_super) {
    __extends(NoDataAllowedError2, _super);
    function NoDataAllowedError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "NoDataAllowedError", message) || this;
    }
    return NoDataAllowedError2;
  }(DOMException);
  exports.NoDataAllowedError = NoDataAllowedError;
  var NoModificationAllowedError = function(_super) {
    __extends(NoModificationAllowedError2, _super);
    function NoModificationAllowedError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "NoModificationAllowedError", "The object can not be modified. " + message) || this;
    }
    return NoModificationAllowedError2;
  }(DOMException);
  exports.NoModificationAllowedError = NoModificationAllowedError;
  var NotSupportedError = function(_super) {
    __extends(NotSupportedError2, _super);
    function NotSupportedError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "NotSupportedError", "The operation is not supported. " + message) || this;
    }
    return NotSupportedError2;
  }(DOMException);
  exports.NotSupportedError = NotSupportedError;
  var InUseAttributeError = function(_super) {
    __extends(InUseAttributeError2, _super);
    function InUseAttributeError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "InUseAttributeError", message) || this;
    }
    return InUseAttributeError2;
  }(DOMException);
  exports.InUseAttributeError = InUseAttributeError;
  var InvalidStateError = function(_super) {
    __extends(InvalidStateError2, _super);
    function InvalidStateError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "InvalidStateError", "The object is in an invalid state. " + message) || this;
    }
    return InvalidStateError2;
  }(DOMException);
  exports.InvalidStateError = InvalidStateError;
  var InvalidModificationError = function(_super) {
    __extends(InvalidModificationError2, _super);
    function InvalidModificationError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "InvalidModificationError", "The object can not be modified in this way. " + message) || this;
    }
    return InvalidModificationError2;
  }(DOMException);
  exports.InvalidModificationError = InvalidModificationError;
  var NamespaceError = function(_super) {
    __extends(NamespaceError2, _super);
    function NamespaceError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "NamespaceError", "The operation is not allowed by Namespaces in XML. [XMLNS] " + message) || this;
    }
    return NamespaceError2;
  }(DOMException);
  exports.NamespaceError = NamespaceError;
  var InvalidAccessError = function(_super) {
    __extends(InvalidAccessError2, _super);
    function InvalidAccessError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "InvalidAccessError", "The object does not support the operation or argument. " + message) || this;
    }
    return InvalidAccessError2;
  }(DOMException);
  exports.InvalidAccessError = InvalidAccessError;
  var ValidationError = function(_super) {
    __extends(ValidationError2, _super);
    function ValidationError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "ValidationError", message) || this;
    }
    return ValidationError2;
  }(DOMException);
  exports.ValidationError = ValidationError;
  var TypeMismatchError = function(_super) {
    __extends(TypeMismatchError2, _super);
    function TypeMismatchError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "TypeMismatchError", message) || this;
    }
    return TypeMismatchError2;
  }(DOMException);
  exports.TypeMismatchError = TypeMismatchError;
  var SecurityError = function(_super) {
    __extends(SecurityError2, _super);
    function SecurityError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "SecurityError", "The operation is insecure. " + message) || this;
    }
    return SecurityError2;
  }(DOMException);
  exports.SecurityError = SecurityError;
  var NetworkError = function(_super) {
    __extends(NetworkError2, _super);
    function NetworkError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "NetworkError", "A network error occurred. " + message) || this;
    }
    return NetworkError2;
  }(DOMException);
  exports.NetworkError = NetworkError;
  var AbortError = function(_super) {
    __extends(AbortError2, _super);
    function AbortError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "AbortError", "The operation was aborted. " + message) || this;
    }
    return AbortError2;
  }(DOMException);
  exports.AbortError = AbortError;
  var URLMismatchError = function(_super) {
    __extends(URLMismatchError2, _super);
    function URLMismatchError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "URLMismatchError", "The given URL does not match another URL. " + message) || this;
    }
    return URLMismatchError2;
  }(DOMException);
  exports.URLMismatchError = URLMismatchError;
  var QuotaExceededError = function(_super) {
    __extends(QuotaExceededError2, _super);
    function QuotaExceededError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "QuotaExceededError", "The quota has been exceeded. " + message) || this;
    }
    return QuotaExceededError2;
  }(DOMException);
  exports.QuotaExceededError = QuotaExceededError;
  var TimeoutError = function(_super) {
    __extends(TimeoutError2, _super);
    function TimeoutError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "TimeoutError", "The operation timed out. " + message) || this;
    }
    return TimeoutError2;
  }(DOMException);
  exports.TimeoutError = TimeoutError;
  var InvalidNodeTypeError = function(_super) {
    __extends(InvalidNodeTypeError2, _super);
    function InvalidNodeTypeError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "InvalidNodeTypeError", "The supplied node is incorrect or has an incorrect ancestor for this operation. " + message) || this;
    }
    return InvalidNodeTypeError2;
  }(DOMException);
  exports.InvalidNodeTypeError = InvalidNodeTypeError;
  var DataCloneError = function(_super) {
    __extends(DataCloneError2, _super);
    function DataCloneError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "DataCloneError", "The object can not be cloned. " + message) || this;
    }
    return DataCloneError2;
  }(DOMException);
  exports.DataCloneError = DataCloneError;
  var NotImplementedError = function(_super) {
    __extends(NotImplementedError2, _super);
    function NotImplementedError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "NotImplementedError", "The DOM method is not implemented by this module. " + message) || this;
    }
    return NotImplementedError2;
  }(DOMException);
  exports.NotImplementedError = NotImplementedError;
  var HierarchyRequestError = function(_super) {
    __extends(HierarchyRequestError2, _super);
    function HierarchyRequestError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "HierarchyRequestError", "The operation would yield an incorrect node tree. " + message) || this;
    }
    return HierarchyRequestError2;
  }(DOMException);
  exports.HierarchyRequestError = HierarchyRequestError;
  var NotFoundError = function(_super) {
    __extends(NotFoundError2, _super);
    function NotFoundError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "NotFoundError", "The object can not be found here. " + message) || this;
    }
    return NotFoundError2;
  }(DOMException);
  exports.NotFoundError = NotFoundError;
  var IndexSizeError = function(_super) {
    __extends(IndexSizeError2, _super);
    function IndexSizeError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "IndexSizeError", "The index is not in the allowed range. " + message) || this;
    }
    return IndexSizeError2;
  }(DOMException);
  exports.IndexSizeError = IndexSizeError;
  var SyntaxError = function(_super) {
    __extends(SyntaxError2, _super);
    function SyntaxError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "SyntaxError", "The string did not match the expected pattern. " + message) || this;
    }
    return SyntaxError2;
  }(DOMException);
  exports.SyntaxError = SyntaxError;
  var InvalidCharacterError = function(_super) {
    __extends(InvalidCharacterError2, _super);
    function InvalidCharacterError2(message) {
      if (message === undefined) {
        message = "";
      }
      return _super.call(this, "InvalidCharacterError", "The string contains invalid characters. " + message) || this;
    }
    return InvalidCharacterError2;
  }(DOMException);
  exports.InvalidCharacterError = InvalidCharacterError;
});

// ../../node_modules/@oozcitak/dom/lib/util/Guard.js
var require_Guard = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var Guard = function() {
    function Guard2() {
    }
    Guard2.isNode = function(a) {
      return !!a && a._nodeType !== undefined;
    };
    Guard2.isDocumentNode = function(a) {
      return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Document;
    };
    Guard2.isDocumentTypeNode = function(a) {
      return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentType;
    };
    Guard2.isDocumentFragmentNode = function(a) {
      return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.DocumentFragment;
    };
    Guard2.isAttrNode = function(a) {
      return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Attribute;
    };
    Guard2.isCharacterDataNode = function(a) {
      if (!Guard2.isNode(a))
        return false;
      var type = a._nodeType;
      return type === interfaces_1.NodeType.Text || type === interfaces_1.NodeType.ProcessingInstruction || type === interfaces_1.NodeType.Comment || type === interfaces_1.NodeType.CData;
    };
    Guard2.isTextNode = function(a) {
      return Guard2.isNode(a) && (a._nodeType === interfaces_1.NodeType.Text || a._nodeType === interfaces_1.NodeType.CData);
    };
    Guard2.isExclusiveTextNode = function(a) {
      return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Text;
    };
    Guard2.isCDATASectionNode = function(a) {
      return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.CData;
    };
    Guard2.isCommentNode = function(a) {
      return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Comment;
    };
    Guard2.isProcessingInstructionNode = function(a) {
      return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.ProcessingInstruction;
    };
    Guard2.isElementNode = function(a) {
      return Guard2.isNode(a) && a._nodeType === interfaces_1.NodeType.Element;
    };
    Guard2.isCustomElementNode = function(a) {
      return Guard2.isElementNode(a) && a._customElementState === "custom";
    };
    Guard2.isShadowRoot = function(a) {
      return !!a && a.host !== undefined;
    };
    Guard2.isMouseEvent = function(a) {
      return !!a && a.screenX !== undefined && a.screenY != null;
    };
    Guard2.isSlotable = function(a) {
      return !!a && a._name !== undefined && a._assignedSlot !== undefined && (Guard2.isTextNode(a) || Guard2.isElementNode(a));
    };
    Guard2.isSlot = function(a) {
      return !!a && a._name !== undefined && a._assignedNodes !== undefined && Guard2.isElementNode(a);
    };
    Guard2.isWindow = function(a) {
      return !!a && a.navigator !== undefined;
    };
    Guard2.isEventListener = function(a) {
      return !!a && a.handleEvent !== undefined;
    };
    Guard2.isRegisteredObserver = function(a) {
      return !!a && a.observer !== undefined && a.options !== undefined;
    };
    Guard2.isTransientRegisteredObserver = function(a) {
      return !!a && a.source !== undefined && Guard2.isRegisteredObserver(a);
    };
    return Guard2;
  }();
  exports.Guard = Guard;
});

// ../../node_modules/@oozcitak/dom/lib/util/Cast.js
var require_Cast = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var Guard_1 = require_Guard();
  var Cast = function() {
    function Cast2() {
    }
    Cast2.asNode = function(a) {
      if (Guard_1.Guard.isNode(a)) {
        return a;
      } else {
        throw new Error("Invalid object. Node expected.");
      }
    };
    return Cast2;
  }();
  exports.Cast = Cast;
});

// ../../node_modules/@oozcitak/dom/lib/util/EmptySet.js
var require_EmptySet = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var EmptySet = function() {
    function EmptySet2() {
    }
    Object.defineProperty(EmptySet2.prototype, "size", {
      get: function() {
        return 0;
      },
      enumerable: true,
      configurable: true
    });
    EmptySet2.prototype.add = function(value) {
      throw new Error("Cannot add to an empty set.");
    };
    EmptySet2.prototype.clear = function() {
    };
    EmptySet2.prototype.delete = function(value) {
      return false;
    };
    EmptySet2.prototype.forEach = function(callbackfn, thisArg) {
    };
    EmptySet2.prototype.has = function(value) {
      return false;
    };
    EmptySet2.prototype[Symbol.iterator] = function() {
      return new EmptySetIterator;
    };
    EmptySet2.prototype.entries = function() {
      return new EmptySetIterator;
    };
    EmptySet2.prototype.keys = function() {
      return new EmptySetIterator;
    };
    EmptySet2.prototype.values = function() {
      return new EmptySetIterator;
    };
    Object.defineProperty(EmptySet2.prototype, Symbol.toStringTag, {
      get: function() {
        return "EmptySet";
      },
      enumerable: true,
      configurable: true
    });
    return EmptySet2;
  }();
  exports.EmptySet = EmptySet;
  var EmptySetIterator = function() {
    function EmptySetIterator2() {
    }
    EmptySetIterator2.prototype[Symbol.iterator] = function() {
      return this;
    };
    EmptySetIterator2.prototype.next = function() {
      return { done: true, value: null };
    };
    return EmptySetIterator2;
  }();
});

// ../../node_modules/@oozcitak/dom/lib/util/index.js
var require_util = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var Cast_1 = require_Cast();
  exports.Cast = Cast_1.Cast;
  var Guard_1 = require_Guard();
  exports.Guard = Guard_1.Guard;
  var EmptySet_1 = require_EmptySet();
  exports.EmptySet = EmptySet_1.EmptySet;
});

// ../../node_modules/@oozcitak/dom/lib/dom/EventTargetImpl.js
var require_EventTargetImpl = __commonJS((exports) => {
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMException_1 = require_DOMException();
  var util_1 = require_util();
  var algorithm_1 = require_algorithm();
  var EventTargetImpl = function() {
    function EventTargetImpl2() {
    }
    Object.defineProperty(EventTargetImpl2.prototype, "_eventListenerList", {
      get: function() {
        return this.__eventListenerList || (this.__eventListenerList = []);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EventTargetImpl2.prototype, "_eventHandlerMap", {
      get: function() {
        return this.__eventHandlerMap || (this.__eventHandlerMap = {});
      },
      enumerable: true,
      configurable: true
    });
    EventTargetImpl2.prototype.addEventListener = function(type, callback, options) {
      if (options === undefined) {
        options = { passive: false, once: false, capture: false };
      }
      var _a = __read(algorithm_1.eventTarget_flattenMore(options), 3), capture = _a[0], passive = _a[1], once = _a[2];
      var listenerCallback;
      if (!callback) {
        return;
      } else if (util_1.Guard.isEventListener(callback)) {
        listenerCallback = callback;
      } else {
        listenerCallback = { handleEvent: callback };
      }
      algorithm_1.eventTarget_addEventListener(this, {
        type,
        callback: listenerCallback,
        capture,
        passive,
        once,
        removed: false
      });
    };
    EventTargetImpl2.prototype.removeEventListener = function(type, callback, options) {
      if (options === undefined) {
        options = { capture: false };
      }
      var capture = algorithm_1.eventTarget_flatten(options);
      if (!callback)
        return;
      for (var i = 0;i < this._eventListenerList.length; i++) {
        var entry = this._eventListenerList[i];
        if (entry.type !== type || entry.capture !== capture)
          continue;
        if (util_1.Guard.isEventListener(callback) && entry.callback === callback) {
          algorithm_1.eventTarget_removeEventListener(this, entry, i);
          break;
        } else if (callback && entry.callback.handleEvent === callback) {
          algorithm_1.eventTarget_removeEventListener(this, entry, i);
          break;
        }
      }
    };
    EventTargetImpl2.prototype.dispatchEvent = function(event) {
      if (event._dispatchFlag || !event._initializedFlag) {
        throw new DOMException_1.InvalidStateError;
      }
      event._isTrusted = false;
      return algorithm_1.event_dispatch(event, this);
    };
    EventTargetImpl2.prototype._getTheParent = function(event) {
      return null;
    };
    return EventTargetImpl2;
  }();
  exports.EventTargetImpl = EventTargetImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/WindowImpl.js
var require_WindowImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var EventTargetImpl_1 = require_EventTargetImpl();
  var util_1 = require_lib();
  var algorithm_1 = require_algorithm();
  var WindowImpl = function(_super) {
    __extends(WindowImpl2, _super);
    function WindowImpl2() {
      var _this = _super.call(this) || this;
      _this._signalSlots = new Set;
      _this._mutationObserverMicrotaskQueued = false;
      _this._mutationObservers = new Set;
      _this._iteratorList = new util_1.FixedSizeSet;
      _this._associatedDocument = algorithm_1.create_document();
      return _this;
    }
    Object.defineProperty(WindowImpl2.prototype, "document", {
      get: function() {
        return this._associatedDocument;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(WindowImpl2.prototype, "event", {
      get: function() {
        return this._currentEvent;
      },
      enumerable: true,
      configurable: true
    });
    WindowImpl2._create = function() {
      return new WindowImpl2;
    };
    return WindowImpl2;
  }(EventTargetImpl_1.EventTargetImpl);
  exports.WindowImpl = WindowImpl;
});

// ../../node_modules/@oozcitak/url/lib/interfaces.js
var require_interfaces3 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var ParserState;
  (function(ParserState2) {
    ParserState2[ParserState2["SchemeStart"] = 0] = "SchemeStart";
    ParserState2[ParserState2["Scheme"] = 1] = "Scheme";
    ParserState2[ParserState2["NoScheme"] = 2] = "NoScheme";
    ParserState2[ParserState2["SpecialRelativeOrAuthority"] = 3] = "SpecialRelativeOrAuthority";
    ParserState2[ParserState2["PathOrAuthority"] = 4] = "PathOrAuthority";
    ParserState2[ParserState2["Relative"] = 5] = "Relative";
    ParserState2[ParserState2["RelativeSlash"] = 6] = "RelativeSlash";
    ParserState2[ParserState2["SpecialAuthoritySlashes"] = 7] = "SpecialAuthoritySlashes";
    ParserState2[ParserState2["SpecialAuthorityIgnoreSlashes"] = 8] = "SpecialAuthorityIgnoreSlashes";
    ParserState2[ParserState2["Authority"] = 9] = "Authority";
    ParserState2[ParserState2["Host"] = 10] = "Host";
    ParserState2[ParserState2["Hostname"] = 11] = "Hostname";
    ParserState2[ParserState2["Port"] = 12] = "Port";
    ParserState2[ParserState2["File"] = 13] = "File";
    ParserState2[ParserState2["FileSlash"] = 14] = "FileSlash";
    ParserState2[ParserState2["FileHost"] = 15] = "FileHost";
    ParserState2[ParserState2["PathStart"] = 16] = "PathStart";
    ParserState2[ParserState2["Path"] = 17] = "Path";
    ParserState2[ParserState2["CannotBeABaseURLPath"] = 18] = "CannotBeABaseURLPath";
    ParserState2[ParserState2["Query"] = 19] = "Query";
    ParserState2[ParserState2["Fragment"] = 20] = "Fragment";
  })(ParserState = exports.ParserState || (exports.ParserState = {}));
  exports.OpaqueOrigin = ["", "", null, null];
});

// ../../node_modules/@oozcitak/url/lib/URLAlgorithm.js
var require_URLAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  var interfaces_1 = require_interfaces3();
  var infra_1 = require_lib2();
  var url_1 = __require("url");
  var _validationErrorCallback;
  var _defaultPorts = {
    ftp: 21,
    file: null,
    http: 80,
    https: 443,
    ws: 80,
    wss: 443
  };
  var _c0ControlPercentEncodeSet = /[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
  var _fragmentPercentEncodeSet = /[ "<>`]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
  var _pathPercentEncodeSet = /[ "<>`#?{}]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
  var _userInfoPercentEncodeSet = /[ "<>`#?{}/:;=@\[\]\\\^\|]|[\0-\x1F\x7F-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
  var _urlCodePoints = /[0-9A-Za-z!\$&-\/:;=\?@_~\xA0-\uD7FF\uE000-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uD83E\uD840-\uD87E\uD880-\uD8BE\uD8C0-\uD8FE\uD900-\uD93E\uD940-\uD97E\uD980-\uD9BE\uD9C0-\uD9FE\uDA00-\uDA3E\uDA40-\uDA7E\uDA80-\uDABE\uDAC0-\uDAFE\uDB00-\uDB3E\uDB40-\uDB7E\uDB80-\uDBBE\uDBC0-\uDBFE][\uDC00-\uDFFF]|[\uD83F\uD87F\uD8BF\uD8FF\uD93F\uD97F\uD9BF\uD9FF\uDA3F\uDA7F\uDABF\uDAFF\uDB3F\uDB7F\uDBBF\uDBFF][\uDC00-\uDFFD]/;
  var _forbiddenHostCodePoint = /[\0\t\f\r #%/:?@\[\\\]]/;
  function setValidationErrorCallback(validationErrorCallback) {
    _validationErrorCallback = validationErrorCallback;
  }
  exports.setValidationErrorCallback = setValidationErrorCallback;
  function validationError(message) {
    if (_validationErrorCallback !== undefined) {
      _validationErrorCallback.call(null, "Validation Error: " + message);
    }
  }
  function newURL() {
    return {
      scheme: "",
      username: "",
      password: "",
      host: null,
      port: null,
      path: [],
      query: null,
      fragment: null,
      _cannotBeABaseURLFlag: false,
      _blobURLEntry: null
    };
  }
  exports.newURL = newURL;
  function isSpecialScheme(scheme) {
    return scheme in _defaultPorts;
  }
  exports.isSpecialScheme = isSpecialScheme;
  function isSpecial(url) {
    return isSpecialScheme(url.scheme);
  }
  exports.isSpecial = isSpecial;
  function defaultPort(scheme) {
    return _defaultPorts[scheme] || null;
  }
  exports.defaultPort = defaultPort;
  function includesCredentials(url) {
    return url.username !== "" || url.password !== "";
  }
  exports.includesCredentials = includesCredentials;
  function cannotHaveAUsernamePasswordPort(url) {
    return url.host === null || url.host === "" || url._cannotBeABaseURLFlag || url.scheme === "file";
  }
  exports.cannotHaveAUsernamePasswordPort = cannotHaveAUsernamePasswordPort;
  function urlSerializer(url, excludeFragmentFlag) {
    var e_1, _a;
    if (excludeFragmentFlag === undefined) {
      excludeFragmentFlag = false;
    }
    var output = url.scheme + ":";
    if (url.host !== null) {
      output += "//";
      if (includesCredentials(url)) {
        output += url.username;
        if (url.password !== "") {
          output += ":" + url.password;
        }
        output += "@";
      }
      output += hostSerializer(url.host);
      if (url.port !== null) {
        output += ":" + url.port;
      }
    } else if (url.host === null && url.scheme === "file") {
      output += "//";
    }
    if (url._cannotBeABaseURLFlag) {
      output += url.path[0];
    } else {
      try {
        for (var _b = __values(url.path), _c = _b.next();!_c.done; _c = _b.next()) {
          var str = _c.value;
          output += "/" + str;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    if (url.query !== null) {
      output += "?" + url.query;
    }
    if (!excludeFragmentFlag && url.fragment !== null) {
      output += "#" + url.fragment;
    }
    return output;
  }
  exports.urlSerializer = urlSerializer;
  function hostSerializer(host) {
    if (util_1.isNumber(host)) {
      return iPv4Serializer(host);
    } else if (util_1.isArray(host)) {
      return "[" + iPv6Serializer(host) + "]";
    } else {
      return host;
    }
  }
  exports.hostSerializer = hostSerializer;
  function iPv4Serializer(address) {
    var output = "";
    var n = address;
    for (var i = 1;i <= 4; i++) {
      output = (n % 256).toString() + output;
      if (i !== 4) {
        output = "." + output;
      }
      n = Math.floor(n / 256);
    }
    return output;
  }
  exports.iPv4Serializer = iPv4Serializer;
  function iPv6Serializer(address) {
    var output = "";
    var compress = null;
    var lastIndex = -1;
    var count = 0;
    var lastCount = 0;
    for (var i = 0;i < 8; i++) {
      if (address[i] !== 0)
        continue;
      count = 1;
      for (var j = i + 1;j < 8; j++) {
        if (address[j] !== 0)
          break;
        count++;
        continue;
      }
      if (count > lastCount) {
        lastCount = count;
        lastIndex = i;
      }
    }
    if (lastCount > 1)
      compress = lastIndex;
    var ignore0 = false;
    for (var pieceIndex = 0;pieceIndex < 8; pieceIndex++) {
      if (ignore0 && address[pieceIndex] === 0)
        continue;
      if (ignore0)
        ignore0 = false;
      if (compress === pieceIndex) {
        output += pieceIndex === 0 ? "::" : ":";
        ignore0 = true;
        continue;
      }
      output += address[pieceIndex].toString(16);
      if (pieceIndex !== 7)
        output += ":";
    }
    return output;
  }
  exports.iPv6Serializer = iPv6Serializer;
  function urlParser(input, baseURL, encodingOverride) {
    var url = basicURLParser(input, baseURL, encodingOverride);
    if (url === null)
      return null;
    if (url.scheme !== "blob")
      return url;
    var entry = resolveABlobURL(url);
    if (entry !== null) {
      url._blobURLEntry = entry;
    } else {
      url._blobURLEntry = null;
    }
    return url;
  }
  exports.urlParser = urlParser;
  function basicURLParser(input, baseURL, encodingOverride, url, stateOverride) {
    var e_2, _a, e_3, _b;
    if (url === undefined) {
      url = newURL();
      var leadingControlOrSpace = /^[\u0000-\u001F\u0020]+/;
      var trailingControlOrSpace = /[\u0000-\u001F\u0020]+$/;
      if (leadingControlOrSpace.test(input) || trailingControlOrSpace.test(input)) {
        validationError("Input string contains leading or trailing control characters or space.");
      }
      input = input.replace(leadingControlOrSpace, "");
      input = input.replace(trailingControlOrSpace, "");
    }
    var tabOrNewline = /[\u0009\u000A\u000D]/g;
    if (tabOrNewline.test(input)) {
      validationError("Input string contains tab or newline characters.");
    }
    input = input.replace(tabOrNewline, "");
    var state = stateOverride === undefined ? interfaces_1.ParserState.SchemeStart : stateOverride;
    if (baseURL === undefined)
      baseURL = null;
    var encoding = encodingOverride === undefined || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
    var buffer = "";
    var atFlag = false;
    var arrayFlag = false;
    var passwordTokenSeenFlag = false;
    var EOF = "";
    var walker = new util_1.StringWalker(input);
    while (true) {
      switch (state) {
        case interfaces_1.ParserState.SchemeStart:
          if (infra_1.codePoint.ASCIIAlpha.test(walker.c())) {
            buffer += walker.c().toLowerCase();
            state = interfaces_1.ParserState.Scheme;
          } else if (stateOverride === undefined) {
            state = interfaces_1.ParserState.NoScheme;
            walker.pointer--;
          } else {
            validationError("Invalid scheme start character.");
            return null;
          }
          break;
        case interfaces_1.ParserState.Scheme:
          if (infra_1.codePoint.ASCIIAlphanumeric.test(walker.c()) || walker.c() === "+" || walker.c() === "-" || walker.c() === ".") {
            buffer += walker.c().toLowerCase();
          } else if (walker.c() === ":") {
            if (stateOverride !== undefined) {
              if (isSpecialScheme(url.scheme) && !isSpecialScheme(buffer))
                return url;
              if (!isSpecialScheme(url.scheme) && isSpecialScheme(buffer))
                return url;
              if ((includesCredentials(url) || url.port !== null) && buffer === "file")
                return url;
              if (url.scheme === "file" && (url.host === "" || url.host === null))
                return url;
            }
            url.scheme = buffer;
            if (stateOverride !== undefined) {
              if (url.port === defaultPort(url.scheme)) {
                url.port = null;
              }
              return url;
            }
            buffer = "";
            if (url.scheme === "file") {
              if (!walker.remaining().startsWith("//")) {
                validationError("Invalid file URL scheme, '//' expected.");
              }
              state = interfaces_1.ParserState.File;
            } else if (isSpecial(url) && baseURL !== null && baseURL.scheme === url.scheme) {
              state = interfaces_1.ParserState.SpecialRelativeOrAuthority;
            } else if (isSpecial(url)) {
              state = interfaces_1.ParserState.SpecialAuthoritySlashes;
            } else if (walker.remaining().startsWith("/")) {
              state = interfaces_1.ParserState.PathOrAuthority;
              walker.pointer++;
            } else {
              url._cannotBeABaseURLFlag = true;
              url.path.push("");
              state = interfaces_1.ParserState.CannotBeABaseURLPath;
            }
          } else if (stateOverride === undefined) {
            buffer = "";
            state = interfaces_1.ParserState.NoScheme;
            walker.pointer = 0;
            continue;
          } else {
            validationError("Invalid input string.");
            return null;
          }
          break;
        case interfaces_1.ParserState.NoScheme:
          if (baseURL === null || baseURL._cannotBeABaseURLFlag && walker.c() !== "#") {
            validationError("Invalid input string.");
            return null;
          } else if (baseURL._cannotBeABaseURLFlag && walker.c() === "#") {
            url.scheme = baseURL.scheme;
            url.path = infra_1.list.clone(baseURL.path);
            url.query = baseURL.query;
            url.fragment = "";
            url._cannotBeABaseURLFlag = true;
            state = interfaces_1.ParserState.Fragment;
          } else if (baseURL.scheme !== "file") {
            state = interfaces_1.ParserState.Relative;
            walker.pointer--;
          } else {
            state = interfaces_1.ParserState.File;
            walker.pointer--;
          }
          break;
        case interfaces_1.ParserState.SpecialRelativeOrAuthority:
          if (walker.c() === "/" && walker.remaining().startsWith("/")) {
            state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
            walker.pointer++;
          } else {
            validationError("Invalid input string.");
            state = interfaces_1.ParserState.Relative;
            walker.pointer--;
          }
          break;
        case interfaces_1.ParserState.PathOrAuthority:
          if (walker.c() === "/") {
            state = interfaces_1.ParserState.Authority;
          } else {
            state = interfaces_1.ParserState.Path;
            walker.pointer--;
          }
          break;
        case interfaces_1.ParserState.Relative:
          if (baseURL === null) {
            throw new Error("Invalid parser state. Base URL is null.");
          }
          url.scheme = baseURL.scheme;
          switch (walker.c()) {
            case EOF:
              url.username = baseURL.username;
              url.password = baseURL.password;
              url.host = baseURL.host;
              url.port = baseURL.port;
              url.path = infra_1.list.clone(baseURL.path);
              url.query = baseURL.query;
              break;
            case "/":
              state = interfaces_1.ParserState.RelativeSlash;
              break;
            case "?":
              url.username = baseURL.username;
              url.password = baseURL.password;
              url.host = baseURL.host;
              url.port = baseURL.port;
              url.path = infra_1.list.clone(baseURL.path);
              url.query = "";
              state = interfaces_1.ParserState.Query;
              break;
            case "#":
              url.username = baseURL.username;
              url.password = baseURL.password;
              url.host = baseURL.host;
              url.port = baseURL.port;
              url.path = infra_1.list.clone(baseURL.path);
              url.query = baseURL.query;
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
              break;
            default:
              if (isSpecial(url) && walker.c() === "\\") {
                validationError("Invalid input string.");
                state = interfaces_1.ParserState.RelativeSlash;
              } else {
                url.username = baseURL.username;
                url.password = baseURL.password;
                url.host = baseURL.host;
                url.port = baseURL.port;
                url.path = infra_1.list.clone(baseURL.path);
                if (url.path.length !== 0)
                  url.path.splice(url.path.length - 1, 1);
                state = interfaces_1.ParserState.Path;
                walker.pointer--;
              }
              break;
          }
          break;
        case interfaces_1.ParserState.RelativeSlash:
          if (isSpecial(url) && (walker.c() === "/" || walker.c() === "\\")) {
            if (walker.c() === "\\") {
              validationError("Invalid input string.");
            }
            state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
          } else if (walker.c() === "/") {
            state = interfaces_1.ParserState.Authority;
          } else {
            if (baseURL === null) {
              throw new Error("Invalid parser state. Base URL is null.");
            }
            url.username = baseURL.username;
            url.password = baseURL.password;
            url.host = baseURL.host;
            url.port = baseURL.port;
            state = interfaces_1.ParserState.Path;
            walker.pointer--;
          }
          break;
        case interfaces_1.ParserState.SpecialAuthoritySlashes:
          if (walker.c() === "/" && walker.remaining().startsWith("/")) {
            state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
            walker.pointer++;
          } else {
            validationError("Expected '//'.");
            state = interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes;
            walker.pointer--;
          }
          break;
        case interfaces_1.ParserState.SpecialAuthorityIgnoreSlashes:
          if (walker.c() !== "/" && walker.c() !== "\\") {
            state = interfaces_1.ParserState.Authority;
            walker.pointer--;
          } else {
            validationError("Unexpected '/' or '\\'.");
          }
          break;
        case interfaces_1.ParserState.Authority:
          if (walker.c() === "@") {
            validationError("Unexpected '@'.");
            if (atFlag)
              buffer = "%40" + buffer;
            atFlag = true;
            try {
              for (var buffer_1 = (e_2 = undefined, __values(buffer)), buffer_1_1 = buffer_1.next();!buffer_1_1.done; buffer_1_1 = buffer_1.next()) {
                var codePoint = buffer_1_1.value;
                if (codePoint === ":" && !passwordTokenSeenFlag) {
                  passwordTokenSeenFlag = true;
                  continue;
                }
                var encodedCodePoints = utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
                if (passwordTokenSeenFlag) {
                  url.password += encodedCodePoints;
                } else {
                  url.username += encodedCodePoints;
                }
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (buffer_1_1 && !buffer_1_1.done && (_a = buffer_1.return))
                  _a.call(buffer_1);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            buffer = "";
          } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
            if (atFlag && buffer === "") {
              validationError("Invalid input string.");
              return null;
            }
            walker.pointer -= buffer.length + 1;
            buffer = "";
            state = interfaces_1.ParserState.Host;
          } else {
            buffer += walker.c();
          }
          break;
        case interfaces_1.ParserState.Host:
        case interfaces_1.ParserState.Hostname:
          if (stateOverride !== undefined && url.scheme === "file") {
            walker.pointer--;
            state = interfaces_1.ParserState.FileHost;
          } else if (walker.c() === ":" && !arrayFlag) {
            if (buffer === "") {
              validationError("Invalid input string.");
              return null;
            }
            var host = hostParser(buffer, !isSpecial(url));
            if (host === null)
              return null;
            url.host = host;
            buffer = "";
            state = interfaces_1.ParserState.Port;
            if (stateOverride === interfaces_1.ParserState.Hostname)
              return url;
          } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\") {
            walker.pointer--;
            if (isSpecial(url) && buffer === "") {
              validationError("Invalid input string.");
              return null;
            } else if (stateOverride !== undefined && buffer === "" && (includesCredentials(url) || url.port !== null)) {
              validationError("Invalid input string.");
              return url;
            }
            var host = hostParser(buffer, !isSpecial(url));
            if (host === null)
              return null;
            url.host = host;
            buffer = "";
            state = interfaces_1.ParserState.PathStart;
            if (stateOverride !== undefined)
              return url;
          } else {
            if (walker.c() === "[")
              arrayFlag = true;
            if (walker.c() === "]")
              arrayFlag = false;
            buffer += walker.c();
          }
          break;
        case interfaces_1.ParserState.Port:
          if (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
            buffer += walker.c();
          } else if (walker.c() === EOF || walker.c() === "/" || walker.c() === "?" || walker.c() === "#" || isSpecial(url) && walker.c() === "\\" || stateOverride) {
            if (buffer !== "") {
              if (buffer !== "") {
                var port = parseInt(buffer, 10);
                if (port > Math.pow(2, 16) - 1) {
                  validationError("Invalid port number.");
                  return null;
                }
                url.port = port === defaultPort(url.scheme) ? null : port;
                buffer = "";
              }
            }
            if (stateOverride !== undefined) {
              return url;
            }
            state = interfaces_1.ParserState.PathStart;
            walker.pointer--;
          } else {
            validationError("Invalid input string.");
            return null;
          }
          break;
        case interfaces_1.ParserState.File:
          url.scheme = "file";
          if (walker.c() === "/" || walker.c() === "\\") {
            if (walker.c() === "\\") {
              validationError("Invalid input string.");
            }
            state = interfaces_1.ParserState.FileSlash;
          } else if (baseURL !== null && baseURL.scheme === "file") {
            switch (walker.c()) {
              case EOF:
                url.host = baseURL.host;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                break;
              case "?":
                url.host = baseURL.host;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = "";
                state = interfaces_1.ParserState.Query;
                break;
              case "#":
                url.host = baseURL.host;
                url.path = infra_1.list.clone(baseURL.path);
                url.query = baseURL.query;
                url.fragment = "";
                state = interfaces_1.ParserState.Fragment;
                break;
              default:
                if (!startsWithAWindowsDriveLetter(walker.substring())) {
                  url.host = baseURL.host;
                  url.path = infra_1.list.clone(baseURL.path);
                  shorten(url);
                } else {
                  validationError("Unexpected windows drive letter in input string.");
                }
                state = interfaces_1.ParserState.Path;
                walker.pointer--;
                break;
            }
          } else {
            state = interfaces_1.ParserState.Path;
            walker.pointer--;
          }
          break;
        case interfaces_1.ParserState.FileSlash:
          if (walker.c() === "/" || walker.c() === "\\") {
            if (walker.c() === "\\") {
              validationError("Invalid input string.");
            }
            state = interfaces_1.ParserState.FileHost;
          } else {
            if (baseURL !== null && baseURL.scheme === "file" && !startsWithAWindowsDriveLetter(walker.substring())) {
              if (isNormalizedWindowsDriveLetter(baseURL.path[0])) {
                url.path.push(baseURL.path[0]);
              } else {
                url.host = baseURL.host;
              }
            }
            state = interfaces_1.ParserState.Path;
            walker.pointer--;
          }
          break;
        case interfaces_1.ParserState.FileHost:
          if (walker.c() === EOF || walker.c() === "/" || walker.c() === "\\" || walker.c() === "?" || walker.c() === "#") {
            walker.pointer--;
            if (stateOverride === undefined && isWindowsDriveLetter(buffer)) {
              validationError("Unexpected windows drive letter in input string.");
              state = interfaces_1.ParserState.Path;
            } else if (buffer === "") {
              url.host = "";
              if (stateOverride !== undefined)
                return url;
              state = interfaces_1.ParserState.PathStart;
            } else {
              var host = hostParser(buffer, !isSpecial(url));
              if (host === null)
                return null;
              if (host === "localhost")
                host = "";
              url.host = host;
              if (stateOverride !== undefined)
                return url;
              buffer = "";
              state = interfaces_1.ParserState.PathStart;
            }
          } else {
            buffer += walker.c();
          }
          break;
        case interfaces_1.ParserState.PathStart:
          if (isSpecial(url)) {
            if (walker.c() === "\\") {
              validationError("Invalid input string.");
            }
            state = interfaces_1.ParserState.Path;
            if (walker.c() !== "/" && walker.c() !== "\\")
              walker.pointer--;
          } else if (stateOverride === undefined && walker.c() === "?") {
            url.query = "";
            state = interfaces_1.ParserState.Query;
          } else if (stateOverride === undefined && walker.c() === "#") {
            url.fragment = "";
            state = interfaces_1.ParserState.Fragment;
          } else if (walker.c() !== EOF) {
            state = interfaces_1.ParserState.Path;
            if (walker.c() !== "/")
              walker.pointer--;
          }
          break;
        case interfaces_1.ParserState.Path:
          if (walker.c() === EOF || walker.c() === "/" || isSpecial(url) && walker.c() === "\\" || stateOverride === undefined && (walker.c() === "?" || walker.c() === "#")) {
            if (isSpecial(url) && walker.c() === "\\") {
              validationError("Invalid input string.");
            }
            if (isDoubleDotPathSegment(buffer)) {
              shorten(url);
              if (walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
                url.path.push("");
              }
            } else if (isSingleDotPathSegment(buffer) && walker.c() !== "/" && !(isSpecial(url) && walker.c() === "\\")) {
              url.path.push("");
            } else if (!isSingleDotPathSegment(buffer)) {
              if (url.scheme === "file" && url.path.length === 0 && isWindowsDriveLetter(buffer)) {
                if (url.host !== null && url.host !== "") {
                  validationError("Invalid input string.");
                  url.host = "";
                }
                var bufferCodePoints = Array.from(buffer);
                buffer = bufferCodePoints.slice(0, 1) + ":" + bufferCodePoints.slice(2);
              }
              url.path.push(buffer);
            }
            buffer = "";
            if (url.scheme === "file" && (walker.c() === EOF || walker.c() === "?" || walker.c() === "#")) {
              while (url.path.length > 1 && url.path[0] === "") {
                validationError("Invalid input string.");
                url.path.splice(0, 1);
              }
            }
            if (walker.c() === "?") {
              url.query = "";
              state = interfaces_1.ParserState.Query;
            }
            if (walker.c() === "#") {
              url.fragment = "";
              state = interfaces_1.ParserState.Fragment;
            }
          } else {
            if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
              validationError("Character is not a URL code point or a percent encoded character.");
            }
            if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
              validationError("Percent encoded character must be followed by two hex digits.");
            }
            buffer += utf8PercentEncode(walker.c(), _pathPercentEncodeSet);
          }
          break;
        case interfaces_1.ParserState.CannotBeABaseURLPath:
          if (walker.c() === "?") {
            url.query = "";
            state = interfaces_1.ParserState.Query;
          } else if (walker.c() === "#") {
            url.fragment = "";
            state = interfaces_1.ParserState.Fragment;
          } else {
            if (walker.c() !== EOF && !_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
              validationError("Character is not a URL code point or a percent encoded character.");
            }
            if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
              validationError("Percent encoded character must be followed by two hex digits.");
            }
            if (walker.c() !== EOF) {
              url.path[0] += utf8PercentEncode(walker.c(), _c0ControlPercentEncodeSet);
            }
          }
          break;
        case interfaces_1.ParserState.Query:
          if (encoding !== "UTF-8" && (!isSpecial(url) || url.scheme === "ws" || url.scheme === "wss")) {
            encoding = "UTF-8";
          }
          if (stateOverride === undefined && walker.c() === "#") {
            url.fragment = "";
            state = interfaces_1.ParserState.Fragment;
          } else if (walker.c() !== EOF) {
            if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
              validationError("Character is not a URL code point or a percent encoded character.");
            }
            if (walker.c() === "%" && !/^[0-9a-fA-F][0-9a-fA-F]/.test(walker.remaining())) {
              validationError("Percent encoded character must be followed by two hex digits.");
            }
            if (encoding.toUpperCase() !== "UTF-8") {
              throw new Error("Only UTF-8 encoding is supported.");
            }
            var bytes = util_1.utf8Encode(walker.c());
            if (bytes.length >= 3 && bytes[0] === 38 && bytes[1] === 35 && bytes[bytes.length - 1] === 59) {
              bytes = bytes.subarray(2, bytes.length - 1);
              url.query += "%26%23" + infra_1.byteSequence.isomorphicDecode(bytes) + "%3B";
            } else {
              try {
                for (var bytes_1 = (e_3 = undefined, __values(bytes)), bytes_1_1 = bytes_1.next();!bytes_1_1.done; bytes_1_1 = bytes_1.next()) {
                  var byte = bytes_1_1.value;
                  if (byte < 33 || byte > 126 || byte === 34 || byte === 35 || byte === 60 || byte === 62 || byte === 39 && isSpecial(url)) {
                    url.query += percentEncode(byte);
                  } else {
                    url.query += String.fromCharCode(byte);
                  }
                }
              } catch (e_3_1) {
                e_3 = { error: e_3_1 };
              } finally {
                try {
                  if (bytes_1_1 && !bytes_1_1.done && (_b = bytes_1.return))
                    _b.call(bytes_1);
                } finally {
                  if (e_3)
                    throw e_3.error;
                }
              }
            }
          }
          break;
        case interfaces_1.ParserState.Fragment:
          if (walker.c() === EOF) {
          } else if (walker.c() === "\x00") {
            validationError("NULL character in input string.");
          } else {
            if (!_urlCodePoints.test(walker.c()) && walker.c() !== "%") {
              validationError("Unexpected character in fragment string.");
            }
            if (walker.c() === "%" && !/^[A-Za-z0-9][A-Za-z0-9]/.test(walker.remaining())) {
              validationError("Unexpected character in fragment string.");
            }
            url.fragment += utf8PercentEncode(walker.c(), _fragmentPercentEncodeSet);
          }
          break;
      }
      if (walker.eof)
        break;
      else
        walker.pointer++;
    }
    return url;
  }
  exports.basicURLParser = basicURLParser;
  function setTheUsername(url, username) {
    var e_4, _a;
    var result = "";
    try {
      for (var username_1 = __values(username), username_1_1 = username_1.next();!username_1_1.done; username_1_1 = username_1.next()) {
        var codePoint = username_1_1.value;
        result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
      }
    } catch (e_4_1) {
      e_4 = { error: e_4_1 };
    } finally {
      try {
        if (username_1_1 && !username_1_1.done && (_a = username_1.return))
          _a.call(username_1);
      } finally {
        if (e_4)
          throw e_4.error;
      }
    }
    url.username = result;
  }
  exports.setTheUsername = setTheUsername;
  function setThePassword(url, password) {
    var e_5, _a;
    var result = "";
    try {
      for (var password_1 = __values(password), password_1_1 = password_1.next();!password_1_1.done; password_1_1 = password_1.next()) {
        var codePoint = password_1_1.value;
        result += utf8PercentEncode(codePoint, _userInfoPercentEncodeSet);
      }
    } catch (e_5_1) {
      e_5 = { error: e_5_1 };
    } finally {
      try {
        if (password_1_1 && !password_1_1.done && (_a = password_1.return))
          _a.call(password_1);
      } finally {
        if (e_5)
          throw e_5.error;
      }
    }
    url.password = result;
  }
  exports.setThePassword = setThePassword;
  function isSingleDotPathSegment(str) {
    return str === "." || str.toLowerCase() === "%2e";
  }
  exports.isSingleDotPathSegment = isSingleDotPathSegment;
  function isDoubleDotPathSegment(str) {
    var lowerStr = str.toLowerCase();
    return lowerStr === ".." || lowerStr === ".%2e" || lowerStr === "%2e." || lowerStr === "%2e%2e";
  }
  exports.isDoubleDotPathSegment = isDoubleDotPathSegment;
  function shorten(url) {
    var path = url.path;
    if (path.length === 0)
      return;
    if (url.scheme === "file" && path.length === 1 && isNormalizedWindowsDriveLetter(path[0]))
      return;
    url.path.splice(url.path.length - 1, 1);
  }
  exports.shorten = shorten;
  function isNormalizedWindowsDriveLetter(str) {
    return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && str[1] === ":";
  }
  exports.isNormalizedWindowsDriveLetter = isNormalizedWindowsDriveLetter;
  function isWindowsDriveLetter(str) {
    return str.length >= 2 && infra_1.codePoint.ASCIIAlpha.test(str[0]) && (str[1] === ":" || str[1] === "|");
  }
  exports.isWindowsDriveLetter = isWindowsDriveLetter;
  function startsWithAWindowsDriveLetter(str) {
    return str.length >= 2 && isWindowsDriveLetter(str) && (str.length === 2 || (str[2] === "/" || str[2] === "\\" || str[2] === "?" || str[2] === "#"));
  }
  exports.startsWithAWindowsDriveLetter = startsWithAWindowsDriveLetter;
  function hostParser(input, isNotSpecial) {
    if (isNotSpecial === undefined) {
      isNotSpecial = false;
    }
    if (input.startsWith("[")) {
      if (!input.endsWith("]")) {
        validationError("Expected ']' after '['.");
        return null;
      }
      return iPv6Parser(input.substring(1, input.length - 1));
    }
    if (isNotSpecial) {
      return opaqueHostParser(input);
    }
    var domain = util_1.utf8Decode(stringPercentDecode(input));
    var asciiDomain = domainToASCII(domain);
    if (asciiDomain === null) {
      validationError("Invalid domain.");
      return null;
    }
    if (_forbiddenHostCodePoint.test(asciiDomain)) {
      validationError("Invalid domain.");
      return null;
    }
    var ipv4Host = iPv4Parser(asciiDomain);
    if (ipv4Host === null || util_1.isNumber(ipv4Host))
      return ipv4Host;
    return asciiDomain;
  }
  exports.hostParser = hostParser;
  function iPv4NumberParser(input, validationErrorFlag) {
    if (validationErrorFlag === undefined) {
      validationErrorFlag = { value: false };
    }
    var R = 10;
    if (input.startsWith("0x") || input.startsWith("0X")) {
      validationErrorFlag.value = true;
      input = input.substr(2);
      R = 16;
    } else if (input.length >= 2 && input[0] === "0") {
      validationErrorFlag.value = true;
      input = input.substr(1);
      R = 8;
    }
    if (input === "")
      return 0;
    var radixRDigits = R === 10 ? /^[0-9]+$/ : R === 16 ? /^[0-9A-Fa-f]+$/ : /^[0-7]+$/;
    if (!radixRDigits.test(input))
      return null;
    return parseInt(input, R);
  }
  exports.iPv4NumberParser = iPv4NumberParser;
  function iPv4Parser(input) {
    var e_6, _a, e_7, _b;
    var validationErrorFlag = { value: false };
    var parts = input.split(".");
    if (parts[parts.length - 1] === "") {
      validationErrorFlag.value = true;
      if (parts.length > 1)
        parts.pop();
    }
    if (parts.length > 4)
      return input;
    var numbers = [];
    try {
      for (var parts_1 = __values(parts), parts_1_1 = parts_1.next();!parts_1_1.done; parts_1_1 = parts_1.next()) {
        var part = parts_1_1.value;
        if (part === "")
          return input;
        var n = iPv4NumberParser(part, validationErrorFlag);
        if (n === null)
          return input;
        numbers.push(n);
      }
    } catch (e_6_1) {
      e_6 = { error: e_6_1 };
    } finally {
      try {
        if (parts_1_1 && !parts_1_1.done && (_a = parts_1.return))
          _a.call(parts_1);
      } finally {
        if (e_6)
          throw e_6.error;
      }
    }
    if (validationErrorFlag.value)
      validationError("Invalid IP v4 address.");
    for (var i = 0;i < numbers.length; i++) {
      var item = numbers[i];
      if (item > 255) {
        validationError("Invalid IP v4 address.");
        if (i < numbers.length - 1)
          return null;
      }
    }
    if (numbers[numbers.length - 1] >= Math.pow(256, 5 - numbers.length)) {
      validationError("Invalid IP v4 address.");
      return null;
    }
    var ipv4 = numbers[numbers.length - 1];
    numbers.pop();
    var counter = 0;
    try {
      for (var numbers_1 = __values(numbers), numbers_1_1 = numbers_1.next();!numbers_1_1.done; numbers_1_1 = numbers_1.next()) {
        var n = numbers_1_1.value;
        ipv4 += n * Math.pow(256, 3 - counter);
        counter++;
      }
    } catch (e_7_1) {
      e_7 = { error: e_7_1 };
    } finally {
      try {
        if (numbers_1_1 && !numbers_1_1.done && (_b = numbers_1.return))
          _b.call(numbers_1);
      } finally {
        if (e_7)
          throw e_7.error;
      }
    }
    return ipv4;
  }
  exports.iPv4Parser = iPv4Parser;
  function iPv6Parser(input) {
    var _a;
    var EOF = "";
    var address = [0, 0, 0, 0, 0, 0, 0, 0];
    var pieceIndex = 0;
    var compress = null;
    var walker = new util_1.StringWalker(input);
    if (walker.c() === ":") {
      if (!walker.remaining().startsWith(":")) {
        validationError("Invalid IP v6 address.");
        return null;
      }
      walker.pointer += 2;
      pieceIndex += 1;
      compress = pieceIndex;
    }
    while (walker.c() !== EOF) {
      if (pieceIndex === 8) {
        validationError("Invalid IP v6 address.");
        return null;
      }
      if (walker.c() === ":") {
        if (compress !== null) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        walker.pointer++;
        pieceIndex++;
        compress = pieceIndex;
        continue;
      }
      var value = 0;
      var length = 0;
      while (length < 4 && infra_1.codePoint.ASCIIHexDigit.test(walker.c())) {
        value = value * 16 + parseInt(walker.c(), 16);
        walker.pointer++;
        length++;
      }
      if (walker.c() === ".") {
        if (length === 0) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        walker.pointer -= length;
        if (pieceIndex > 6) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        var numbersSeen = 0;
        while (walker.c() !== EOF) {
          var ipv4Piece = null;
          if (numbersSeen > 0) {
            if (walker.c() === "." && numbersSeen < 4) {
              walker.pointer++;
            } else {
              validationError("Invalid IP v6 address.");
              return null;
            }
          }
          if (!infra_1.codePoint.ASCIIDigit.test(walker.c())) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          while (infra_1.codePoint.ASCIIDigit.test(walker.c())) {
            var number = parseInt(walker.c(), 10);
            if (ipv4Piece === null) {
              ipv4Piece = number;
            } else if (ipv4Piece === 0) {
              validationError("Invalid IP v6 address.");
              return null;
            } else {
              ipv4Piece = ipv4Piece * 10 + number;
            }
            if (ipv4Piece > 255) {
              validationError("Invalid IP v6 address.");
              return null;
            }
            walker.pointer++;
          }
          if (ipv4Piece === null) {
            validationError("Invalid IP v6 address.");
            return null;
          }
          address[pieceIndex] = address[pieceIndex] * 256 + ipv4Piece;
          numbersSeen++;
          if (numbersSeen === 2 || numbersSeen === 4)
            pieceIndex++;
        }
        if (numbersSeen !== 4) {
          validationError("Invalid IP v6 address.");
          return null;
        }
        break;
      } else if (walker.c() === ":") {
        walker.pointer++;
        if (walker.c() === EOF) {
          validationError("Invalid IP v6 address.");
          return null;
        }
      } else if (walker.c() !== EOF) {
        validationError("Invalid IP v6 address.");
        return null;
      }
      address[pieceIndex] = value;
      pieceIndex++;
    }
    if (compress !== null) {
      var swaps = pieceIndex - compress;
      pieceIndex = 7;
      while (pieceIndex !== 0 && swaps > 0) {
        _a = __read([address[compress + swaps - 1], address[pieceIndex]], 2), address[pieceIndex] = _a[0], address[compress + swaps - 1] = _a[1];
        pieceIndex--;
        swaps--;
      }
    } else if (compress === null && pieceIndex !== 8) {
      validationError("Invalid IP v6 address.");
      return null;
    }
    return address;
  }
  exports.iPv6Parser = iPv6Parser;
  function opaqueHostParser(input) {
    var e_8, _a;
    var forbiddenChars = /[\x00\t\f\r #/:?@\[\\\]]/;
    if (forbiddenChars.test(input)) {
      validationError("Invalid host string.");
      return null;
    }
    var output = "";
    try {
      for (var input_1 = __values(input), input_1_1 = input_1.next();!input_1_1.done; input_1_1 = input_1.next()) {
        var codePoint = input_1_1.value;
        output += utf8PercentEncode(codePoint, _c0ControlPercentEncodeSet);
      }
    } catch (e_8_1) {
      e_8 = { error: e_8_1 };
    } finally {
      try {
        if (input_1_1 && !input_1_1.done && (_a = input_1.return))
          _a.call(input_1);
      } finally {
        if (e_8)
          throw e_8.error;
      }
    }
    return output;
  }
  exports.opaqueHostParser = opaqueHostParser;
  function resolveABlobURL(url) {
    return null;
  }
  exports.resolveABlobURL = resolveABlobURL;
  function percentEncode(value) {
    return "%" + ("00" + value.toString(16).toUpperCase()).slice(-2);
  }
  exports.percentEncode = percentEncode;
  function percentDecode(input) {
    var isHexDigit = function(byte2) {
      return byte2 >= 48 && byte2 <= 57 || byte2 >= 65 && byte2 <= 70 || byte2 >= 97 && byte2 <= 102;
    };
    var output = new Uint8Array(input.length);
    var n = 0;
    for (var i = 0;i < input.length; i++) {
      var byte = input[i];
      if (byte !== 37) {
        output[n] = byte;
        n++;
      } else if (byte === 37 && i >= input.length - 2) {
        output[n] = byte;
        n++;
      } else if (byte === 37 && (!isHexDigit(input[i + 1]) || !isHexDigit(input[i + 2]))) {
        output[n] = byte;
        n++;
      } else {
        var bytePoint = parseInt(util_1.utf8Decode(Uint8Array.of(input[i + 1], input[i + 2])), 16);
        output[n] = bytePoint;
        n++;
        i += 2;
      }
    }
    return output.subarray(0, n);
  }
  exports.percentDecode = percentDecode;
  function stringPercentDecode(input) {
    return percentDecode(util_1.utf8Encode(input));
  }
  exports.stringPercentDecode = stringPercentDecode;
  function utf8PercentEncode(codePoint, percentEncodeSet) {
    var e_9, _a;
    if (!percentEncodeSet.test(codePoint))
      return codePoint;
    var bytes = util_1.utf8Encode(codePoint);
    var result = "";
    try {
      for (var bytes_2 = __values(bytes), bytes_2_1 = bytes_2.next();!bytes_2_1.done; bytes_2_1 = bytes_2.next()) {
        var byte = bytes_2_1.value;
        result += percentEncode(byte);
      }
    } catch (e_9_1) {
      e_9 = { error: e_9_1 };
    } finally {
      try {
        if (bytes_2_1 && !bytes_2_1.done && (_a = bytes_2.return))
          _a.call(bytes_2);
      } finally {
        if (e_9)
          throw e_9.error;
      }
    }
    return result;
  }
  exports.utf8PercentEncode = utf8PercentEncode;
  function hostEquals(hostA, hostB) {
    return hostA === hostB;
  }
  exports.hostEquals = hostEquals;
  function urlEquals(urlA, urlB, excludeFragmentsFlag) {
    if (excludeFragmentsFlag === undefined) {
      excludeFragmentsFlag = false;
    }
    return urlSerializer(urlA, excludeFragmentsFlag) === urlSerializer(urlB, excludeFragmentsFlag);
  }
  exports.urlEquals = urlEquals;
  function urlEncodedStringParser(input) {
    return urlEncodedParser(util_1.utf8Encode(input));
  }
  exports.urlEncodedStringParser = urlEncodedStringParser;
  function urlEncodedParser(input) {
    var e_10, _a, e_11, _b;
    var sequences = [];
    var currentSequence = [];
    try {
      for (var input_2 = __values(input), input_2_1 = input_2.next();!input_2_1.done; input_2_1 = input_2.next()) {
        var byte = input_2_1.value;
        if (byte === 38) {
          sequences.push(Uint8Array.from(currentSequence));
          currentSequence = [];
        } else {
          currentSequence.push(byte);
        }
      }
    } catch (e_10_1) {
      e_10 = { error: e_10_1 };
    } finally {
      try {
        if (input_2_1 && !input_2_1.done && (_a = input_2.return))
          _a.call(input_2);
      } finally {
        if (e_10)
          throw e_10.error;
      }
    }
    if (currentSequence.length !== 0) {
      sequences.push(Uint8Array.from(currentSequence));
    }
    var output = [];
    try {
      for (var sequences_1 = __values(sequences), sequences_1_1 = sequences_1.next();!sequences_1_1.done; sequences_1_1 = sequences_1.next()) {
        var bytes = sequences_1_1.value;
        if (bytes.length === 0)
          continue;
        var index = bytes.indexOf(61);
        var name = index !== -1 ? bytes.slice(0, index) : bytes;
        var value = index !== -1 ? bytes.slice(index + 1) : new Uint8Array;
        for (var i = 0;i < name.length; i++)
          if (name[i] === 43)
            name[i] = 32;
        for (var i = 0;i < value.length; i++)
          if (value[i] === 43)
            value[i] = 32;
        var nameString = util_1.utf8Decode(name);
        var valueString = util_1.utf8Decode(value);
        output.push([nameString, valueString]);
      }
    } catch (e_11_1) {
      e_11 = { error: e_11_1 };
    } finally {
      try {
        if (sequences_1_1 && !sequences_1_1.done && (_b = sequences_1.return))
          _b.call(sequences_1);
      } finally {
        if (e_11)
          throw e_11.error;
      }
    }
    return output;
  }
  exports.urlEncodedParser = urlEncodedParser;
  function urlEncodedByteSerializer(input) {
    var e_12, _a;
    var output = "";
    try {
      for (var input_3 = __values(input), input_3_1 = input_3.next();!input_3_1.done; input_3_1 = input_3.next()) {
        var byte = input_3_1.value;
        if (byte === 32) {
          output += "+";
        } else if (byte === 42 || byte === 45 || byte === 46 || byte >= 48 && byte <= 57 || byte >= 65 && byte <= 90 || byte === 95 || byte >= 97 && byte <= 122) {
          output += String.fromCodePoint(byte);
        } else {
          output += percentEncode(byte);
        }
      }
    } catch (e_12_1) {
      e_12 = { error: e_12_1 };
    } finally {
      try {
        if (input_3_1 && !input_3_1.done && (_a = input_3.return))
          _a.call(input_3);
      } finally {
        if (e_12)
          throw e_12.error;
      }
    }
    return output;
  }
  exports.urlEncodedByteSerializer = urlEncodedByteSerializer;
  function urlEncodedSerializer(tuples, encodingOverride) {
    var e_13, _a;
    var encoding = encodingOverride === undefined || encodingOverride === "replacement" || encodingOverride === "UTF-16BE" || encodingOverride === "UTF-16LE" ? "UTF-8" : encodingOverride;
    if (encoding.toUpperCase() !== "UTF-8") {
      throw new Error("Only UTF-8 encoding is supported.");
    }
    var output = "";
    try {
      for (var tuples_1 = __values(tuples), tuples_1_1 = tuples_1.next();!tuples_1_1.done; tuples_1_1 = tuples_1.next()) {
        var tuple = tuples_1_1.value;
        var name = urlEncodedByteSerializer(util_1.utf8Encode(tuple[0]));
        var value = tuple[1];
        value = urlEncodedByteSerializer(util_1.utf8Encode(value));
        if (output !== "")
          output += "&";
        output += name + "=" + value;
      }
    } catch (e_13_1) {
      e_13 = { error: e_13_1 };
    } finally {
      try {
        if (tuples_1_1 && !tuples_1_1.done && (_a = tuples_1.return))
          _a.call(tuples_1);
      } finally {
        if (e_13)
          throw e_13.error;
      }
    }
    return output;
  }
  exports.urlEncodedSerializer = urlEncodedSerializer;
  function origin(url) {
    switch (url.scheme) {
      case "blob":
        if (url._blobURLEntry !== null) {
        }
        var parsedURL = basicURLParser(url.path[0]);
        if (parsedURL === null)
          return interfaces_1.OpaqueOrigin;
        else
          return origin(parsedURL);
      case "ftp":
      case "http":
      case "https":
      case "ws":
      case "wss":
        return [url.scheme, url.host === null ? "" : url.host, url.port, null];
      case "file":
        return interfaces_1.OpaqueOrigin;
      default:
        return interfaces_1.OpaqueOrigin;
    }
  }
  exports.origin = origin;
  function domainToASCII(domain, beStrict) {
    if (beStrict === undefined) {
      beStrict = false;
    }
    var result = url_1.domainToASCII(domain);
    if (result === "") {
      validationError("Invalid domain name.");
      return null;
    }
    return result;
  }
  exports.domainToASCII = domainToASCII;
  function domainToUnicode(domain, beStrict) {
    if (beStrict === undefined) {
      beStrict = false;
    }
    var result = url_1.domainToUnicode(domain);
    if (result === "") {
      validationError("Invalid domain name.");
    }
    return result;
  }
  exports.domainToUnicode = domainToUnicode;
  function asciiSerializationOfAnOrigin(origin2) {
    if (origin2[0] === "" && origin2[1] === "" && origin2[2] === null && origin2[3] === null) {
      return "null";
    }
    var result = origin2[0] + "://" + hostSerializer(origin2[1]);
    if (origin2[2] !== null)
      result += ":" + origin2[2].toString();
    return result;
  }
  exports.asciiSerializationOfAnOrigin = asciiSerializationOfAnOrigin;
});

// ../../node_modules/@oozcitak/dom/lib/dom/NodeImpl.js
var require_NodeImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var interfaces_1 = require_interfaces2();
  var EventTargetImpl_1 = require_EventTargetImpl();
  var util_1 = require_util();
  var DOMException_1 = require_DOMException();
  var algorithm_1 = require_algorithm();
  var URLAlgorithm_1 = require_URLAlgorithm();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var NodeImpl = function(_super) {
    __extends(NodeImpl2, _super);
    function NodeImpl2() {
      var _this = _super.call(this) || this;
      _this._parent = null;
      _this._firstChild = null;
      _this._lastChild = null;
      _this._previousSibling = null;
      _this._nextSibling = null;
      return _this;
    }
    Object.defineProperty(NodeImpl2.prototype, "_childNodes", {
      get: function() {
        return this.__childNodes || (this.__childNodes = algorithm_1.create_nodeList(this));
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "_nodeDocument", {
      get: function() {
        return this._nodeDocumentOverride || DOMImpl_1.dom.window._associatedDocument;
      },
      set: function(val) {
        this._nodeDocumentOverride = val;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "_registeredObserverList", {
      get: function() {
        return this.__registeredObserverList || (this.__registeredObserverList = []);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "nodeType", {
      get: function() {
        return this._nodeType;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "nodeName", {
      get: function() {
        if (util_1.Guard.isElementNode(this)) {
          return this._htmlUppercasedQualifiedName;
        } else if (util_1.Guard.isAttrNode(this)) {
          return this._qualifiedName;
        } else if (util_1.Guard.isExclusiveTextNode(this)) {
          return "#text";
        } else if (util_1.Guard.isCDATASectionNode(this)) {
          return "#cdata-section";
        } else if (util_1.Guard.isProcessingInstructionNode(this)) {
          return this._target;
        } else if (util_1.Guard.isCommentNode(this)) {
          return "#comment";
        } else if (util_1.Guard.isDocumentNode(this)) {
          return "#document";
        } else if (util_1.Guard.isDocumentTypeNode(this)) {
          return this._name;
        } else if (util_1.Guard.isDocumentFragmentNode(this)) {
          return "#document-fragment";
        } else {
          return "";
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "baseURI", {
      get: function() {
        return URLAlgorithm_1.urlSerializer(this._nodeDocument._URL);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "isConnected", {
      get: function() {
        return util_1.Guard.isElementNode(this) && algorithm_1.shadowTree_isConnected(this);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "ownerDocument", {
      get: function() {
        if (this._nodeType === interfaces_1.NodeType.Document)
          return null;
        else
          return this._nodeDocument;
      },
      enumerable: true,
      configurable: true
    });
    NodeImpl2.prototype.getRootNode = function(options) {
      return algorithm_1.tree_rootNode(this, !!options && options.composed);
    };
    Object.defineProperty(NodeImpl2.prototype, "parentNode", {
      get: function() {
        if (this._nodeType === interfaces_1.NodeType.Attribute) {
          return null;
        } else {
          return this._parent;
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "parentElement", {
      get: function() {
        if (this._parent && util_1.Guard.isElementNode(this._parent)) {
          return this._parent;
        } else {
          return null;
        }
      },
      enumerable: true,
      configurable: true
    });
    NodeImpl2.prototype.hasChildNodes = function() {
      return this._firstChild !== null;
    };
    Object.defineProperty(NodeImpl2.prototype, "childNodes", {
      get: function() {
        return this._childNodes;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "firstChild", {
      get: function() {
        return this._firstChild;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "lastChild", {
      get: function() {
        return this._lastChild;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "previousSibling", {
      get: function() {
        return this._previousSibling;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "nextSibling", {
      get: function() {
        return this._nextSibling;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "nodeValue", {
      get: function() {
        if (util_1.Guard.isAttrNode(this)) {
          return this._value;
        } else if (util_1.Guard.isCharacterDataNode(this)) {
          return this._data;
        } else {
          return null;
        }
      },
      set: function(value) {
        if (value === null) {
          value = "";
        }
        if (util_1.Guard.isAttrNode(this)) {
          algorithm_1.attr_setAnExistingAttributeValue(this, value);
        } else if (util_1.Guard.isCharacterDataNode(this)) {
          algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
        }
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeImpl2.prototype, "textContent", {
      get: function() {
        if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
          return algorithm_1.text_descendantTextContent(this);
        } else if (util_1.Guard.isAttrNode(this)) {
          return this._value;
        } else if (util_1.Guard.isCharacterDataNode(this)) {
          return this._data;
        } else {
          return null;
        }
      },
      set: function(value) {
        if (value === null) {
          value = "";
        }
        if (util_1.Guard.isDocumentFragmentNode(this) || util_1.Guard.isElementNode(this)) {
          algorithm_1.node_stringReplaceAll(value, this);
        } else if (util_1.Guard.isAttrNode(this)) {
          algorithm_1.attr_setAnExistingAttributeValue(this, value);
        } else if (util_1.Guard.isCharacterDataNode(this)) {
          algorithm_1.characterData_replaceData(this, 0, algorithm_1.tree_nodeLength(this), value);
        }
      },
      enumerable: true,
      configurable: true
    });
    NodeImpl2.prototype.normalize = function() {
      var e_1, _a, e_2, _b;
      var descendantNodes = [];
      var node = algorithm_1.tree_getFirstDescendantNode(this, false, false, function(e) {
        return util_1.Guard.isExclusiveTextNode(e);
      });
      while (node !== null) {
        descendantNodes.push(node);
        node = algorithm_1.tree_getNextDescendantNode(this, node, false, false, function(e) {
          return util_1.Guard.isExclusiveTextNode(e);
        });
      }
      for (var i = 0;i < descendantNodes.length; i++) {
        var node_1 = descendantNodes[i];
        if (node_1._parent === null)
          continue;
        var length = algorithm_1.tree_nodeLength(node_1);
        if (length === 0) {
          algorithm_1.mutation_remove(node_1, node_1._parent);
          continue;
        }
        var textSiblings = [];
        var data = "";
        try {
          for (var _c = (e_1 = undefined, __values(algorithm_1.text_contiguousExclusiveTextNodes(node_1))), _d = _c.next();!_d.done; _d = _c.next()) {
            var sibling = _d.value;
            textSiblings.push(sibling);
            data += sibling._data;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        algorithm_1.characterData_replaceData(node_1, length, 0, data);
        if (DOMImpl_1.dom.rangeList.size !== 0) {
          var currentNode = node_1._nextSibling;
          while (currentNode !== null && util_1.Guard.isExclusiveTextNode(currentNode)) {
            var cn = currentNode;
            var index = algorithm_1.tree_index(cn);
            try {
              for (var _e = (e_2 = undefined, __values(DOMImpl_1.dom.rangeList)), _f = _e.next();!_f.done; _f = _e.next()) {
                var range = _f.value;
                if (range._start[0] === cn) {
                  range._start[0] = node_1;
                  range._start[1] += length;
                }
                if (range._end[0] === cn) {
                  range._end[0] = node_1;
                  range._end[1] += length;
                }
                if (range._start[0] === cn._parent && range._start[1] === index) {
                  range._start[0] = node_1;
                  range._start[1] = length;
                }
                if (range._end[0] === cn._parent && range._end[1] === index) {
                  range._end[0] = node_1;
                  range._end[1] = length;
                }
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_f && !_f.done && (_b = _e.return))
                  _b.call(_e);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            length += algorithm_1.tree_nodeLength(currentNode);
            currentNode = currentNode._nextSibling;
          }
        }
        for (var i_1 = 0;i_1 < textSiblings.length; i_1++) {
          var sibling = textSiblings[i_1];
          if (sibling._parent === null)
            continue;
          algorithm_1.mutation_remove(sibling, sibling._parent);
        }
      }
    };
    NodeImpl2.prototype.cloneNode = function(deep) {
      if (deep === undefined) {
        deep = false;
      }
      if (util_1.Guard.isShadowRoot(this))
        throw new DOMException_1.NotSupportedError;
      return algorithm_1.node_clone(this, null, deep);
    };
    NodeImpl2.prototype.isEqualNode = function(node) {
      if (node === undefined) {
        node = null;
      }
      return node !== null && algorithm_1.node_equals(this, node);
    };
    NodeImpl2.prototype.isSameNode = function(node) {
      if (node === undefined) {
        node = null;
      }
      return this === node;
    };
    NodeImpl2.prototype.compareDocumentPosition = function(other) {
      if (other === this)
        return 0;
      var node1 = other;
      var node2 = this;
      var attr1 = null;
      var attr2 = null;
      if (util_1.Guard.isAttrNode(node1)) {
        attr1 = node1;
        node1 = attr1._element;
      }
      if (util_1.Guard.isAttrNode(node2)) {
        attr2 = node2;
        node2 = attr2._element;
        if (attr1 && node1 && node1 === node2) {
          for (var i = 0;i < node2._attributeList.length; i++) {
            var attr = node2._attributeList[i];
            if (algorithm_1.node_equals(attr, attr1)) {
              return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Preceding;
            } else if (algorithm_1.node_equals(attr, attr2)) {
              return interfaces_1.Position.ImplementationSpecific | interfaces_1.Position.Following;
            }
          }
        }
      }
      if (node1 === null || node2 === null || algorithm_1.tree_rootNode(node1) !== algorithm_1.tree_rootNode(node2)) {
        return interfaces_1.Position.Disconnected | interfaces_1.Position.ImplementationSpecific | (DOMImpl_1.dom.compareCache.check(this, other) ? interfaces_1.Position.Preceding : interfaces_1.Position.Following);
      }
      if (!attr1 && algorithm_1.tree_isAncestorOf(node2, node1) || attr2 && node1 === node2) {
        return interfaces_1.Position.Contains | interfaces_1.Position.Preceding;
      }
      if (!attr2 && algorithm_1.tree_isDescendantOf(node2, node1) || attr1 && node1 === node2) {
        return interfaces_1.Position.ContainedBy | interfaces_1.Position.Following;
      }
      if (algorithm_1.tree_isPreceding(node2, node1))
        return interfaces_1.Position.Preceding;
      return interfaces_1.Position.Following;
    };
    NodeImpl2.prototype.contains = function(other) {
      if (other === null)
        return false;
      return algorithm_1.tree_isDescendantOf(this, other, true);
    };
    NodeImpl2.prototype.lookupPrefix = function(namespace) {
      if (!namespace)
        return null;
      if (util_1.Guard.isElementNode(this)) {
        return algorithm_1.node_locateANamespacePrefix(this, namespace);
      } else if (util_1.Guard.isDocumentNode(this)) {
        if (this.documentElement === null) {
          return null;
        } else {
          return algorithm_1.node_locateANamespacePrefix(this.documentElement, namespace);
        }
      } else if (util_1.Guard.isDocumentTypeNode(this) || util_1.Guard.isDocumentFragmentNode(this)) {
        return null;
      } else if (util_1.Guard.isAttrNode(this)) {
        if (this._element === null) {
          return null;
        } else {
          return algorithm_1.node_locateANamespacePrefix(this._element, namespace);
        }
      } else {
        if (this._parent !== null && util_1.Guard.isElementNode(this._parent)) {
          return algorithm_1.node_locateANamespacePrefix(this._parent, namespace);
        } else {
          return null;
        }
      }
    };
    NodeImpl2.prototype.lookupNamespaceURI = function(prefix) {
      return algorithm_1.node_locateANamespace(this, prefix || null);
    };
    NodeImpl2.prototype.isDefaultNamespace = function(namespace) {
      if (!namespace)
        namespace = null;
      var defaultNamespace = algorithm_1.node_locateANamespace(this, null);
      return defaultNamespace === namespace;
    };
    NodeImpl2.prototype.insertBefore = function(newChild, refChild) {
      return algorithm_1.mutation_preInsert(newChild, this, refChild);
    };
    NodeImpl2.prototype.appendChild = function(newChild) {
      return algorithm_1.mutation_append(newChild, this);
    };
    NodeImpl2.prototype.replaceChild = function(newChild, oldChild) {
      return algorithm_1.mutation_replace(oldChild, newChild, this);
    };
    NodeImpl2.prototype.removeChild = function(oldChild) {
      return algorithm_1.mutation_preRemove(oldChild, this);
    };
    NodeImpl2.prototype._getTheParent = function(event) {
      if (util_1.Guard.isSlotable(this) && algorithm_1.shadowTree_isAssigned(this)) {
        return this._assignedSlot;
      } else {
        return this._parent;
      }
    };
    NodeImpl2.ELEMENT_NODE = 1;
    NodeImpl2.ATTRIBUTE_NODE = 2;
    NodeImpl2.TEXT_NODE = 3;
    NodeImpl2.CDATA_SECTION_NODE = 4;
    NodeImpl2.ENTITY_REFERENCE_NODE = 5;
    NodeImpl2.ENTITY_NODE = 6;
    NodeImpl2.PROCESSING_INSTRUCTION_NODE = 7;
    NodeImpl2.COMMENT_NODE = 8;
    NodeImpl2.DOCUMENT_NODE = 9;
    NodeImpl2.DOCUMENT_TYPE_NODE = 10;
    NodeImpl2.DOCUMENT_FRAGMENT_NODE = 11;
    NodeImpl2.NOTATION_NODE = 12;
    NodeImpl2.DOCUMENT_POSITION_DISCONNECTED = 1;
    NodeImpl2.DOCUMENT_POSITION_PRECEDING = 2;
    NodeImpl2.DOCUMENT_POSITION_FOLLOWING = 4;
    NodeImpl2.DOCUMENT_POSITION_CONTAINS = 8;
    NodeImpl2.DOCUMENT_POSITION_CONTAINED_BY = 16;
    NodeImpl2.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC = 32;
    return NodeImpl2;
  }(EventTargetImpl_1.EventTargetImpl);
  exports.NodeImpl = NodeImpl;
  NodeImpl.prototype._children = new util_1.EmptySet;
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ELEMENT_NODE", 1);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ATTRIBUTE_NODE", 2);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "TEXT_NODE", 3);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "CDATA_SECTION_NODE", 4);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_REFERENCE_NODE", 5);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "ENTITY_NODE", 6);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "PROCESSING_INSTRUCTION_NODE", 7);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "COMMENT_NODE", 8);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_NODE", 9);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_TYPE_NODE", 10);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_FRAGMENT_NODE", 11);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "NOTATION_NODE", 12);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_DISCONNECTED", 1);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_PRECEDING", 2);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_FOLLOWING", 4);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINS", 8);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_CONTAINED_BY", 16);
  WebIDLAlgorithm_1.idl_defineConst(NodeImpl.prototype, "DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC", 32);
});

// ../../node_modules/@oozcitak/dom/lib/dom/DocumentImpl.js
var require_DocumentImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var interfaces_1 = require_interfaces2();
  var DOMException_1 = require_DOMException();
  var NodeImpl_1 = require_NodeImpl();
  var util_1 = require_util();
  var util_2 = require_lib();
  var infra_1 = require_lib2();
  var URLAlgorithm_1 = require_URLAlgorithm();
  var algorithm_1 = require_algorithm();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var DocumentImpl = function(_super) {
    __extends(DocumentImpl2, _super);
    function DocumentImpl2() {
      var _this = _super.call(this) || this;
      _this._children = new Set;
      _this._encoding = {
        name: "UTF-8",
        labels: ["unicode-1-1-utf-8", "utf-8", "utf8"]
      };
      _this._contentType = "application/xml";
      _this._URL = {
        scheme: "about",
        username: "",
        password: "",
        host: null,
        port: null,
        path: ["blank"],
        query: null,
        fragment: null,
        _cannotBeABaseURLFlag: true,
        _blobURLEntry: null
      };
      _this._origin = null;
      _this._type = "xml";
      _this._mode = "no-quirks";
      _this._documentElement = null;
      _this._hasNamespaces = false;
      _this._nodeDocumentOverwrite = null;
      return _this;
    }
    Object.defineProperty(DocumentImpl2.prototype, "_nodeDocument", {
      get: function() {
        return this._nodeDocumentOverwrite || this;
      },
      set: function(val) {
        this._nodeDocumentOverwrite = val;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "implementation", {
      get: function() {
        return this._implementation || (this._implementation = algorithm_1.create_domImplementation(this));
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "URL", {
      get: function() {
        return URLAlgorithm_1.urlSerializer(this._URL);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "documentURI", {
      get: function() {
        return this.URL;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "origin", {
      get: function() {
        return "null";
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "compatMode", {
      get: function() {
        return this._mode === "quirks" ? "BackCompat" : "CSS1Compat";
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "characterSet", {
      get: function() {
        return this._encoding.name;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "charset", {
      get: function() {
        return this._encoding.name;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "inputEncoding", {
      get: function() {
        return this._encoding.name;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "contentType", {
      get: function() {
        return this._contentType;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "doctype", {
      get: function() {
        var e_1, _a;
        try {
          for (var _b = __values(this._children), _c = _b.next();!_c.done; _c = _b.next()) {
            var child2 = _c.value;
            if (util_1.Guard.isDocumentTypeNode(child2))
              return child2;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "documentElement", {
      get: function() {
        return this._documentElement;
      },
      enumerable: true,
      configurable: true
    });
    DocumentImpl2.prototype.getElementsByTagName = function(qualifiedName) {
      return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
    };
    DocumentImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
      return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
    };
    DocumentImpl2.prototype.getElementsByClassName = function(classNames) {
      return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
    };
    DocumentImpl2.prototype.createElement = function(localName, options) {
      if (!algorithm_1.xml_isName(localName))
        throw new DOMException_1.InvalidCharacterError;
      if (this._type === "html")
        localName = localName.toLowerCase();
      var is = null;
      if (options !== undefined) {
        if (util_2.isString(options)) {
          is = options;
        } else {
          is = options.is;
        }
      }
      var namespace = this._type === "html" || this._contentType === "application/xhtml+xml" ? infra_1.namespace.HTML : null;
      return algorithm_1.element_createAnElement(this, localName, namespace, null, is, true);
    };
    DocumentImpl2.prototype.createElementNS = function(namespace, qualifiedName, options) {
      return algorithm_1.document_internalCreateElementNS(this, namespace, qualifiedName, options);
    };
    DocumentImpl2.prototype.createDocumentFragment = function() {
      return algorithm_1.create_documentFragment(this);
    };
    DocumentImpl2.prototype.createTextNode = function(data) {
      return algorithm_1.create_text(this, data);
    };
    DocumentImpl2.prototype.createCDATASection = function(data) {
      if (this._type === "html")
        throw new DOMException_1.NotSupportedError;
      if (data.indexOf("]]>") !== -1)
        throw new DOMException_1.InvalidCharacterError;
      return algorithm_1.create_cdataSection(this, data);
    };
    DocumentImpl2.prototype.createComment = function(data) {
      return algorithm_1.create_comment(this, data);
    };
    DocumentImpl2.prototype.createProcessingInstruction = function(target, data) {
      if (!algorithm_1.xml_isName(target))
        throw new DOMException_1.InvalidCharacterError;
      if (data.indexOf("?>") !== -1)
        throw new DOMException_1.InvalidCharacterError;
      return algorithm_1.create_processingInstruction(this, target, data);
    };
    DocumentImpl2.prototype.importNode = function(node, deep) {
      if (deep === undefined) {
        deep = false;
      }
      if (util_1.Guard.isDocumentNode(node) || util_1.Guard.isShadowRoot(node))
        throw new DOMException_1.NotSupportedError;
      return algorithm_1.node_clone(node, this, deep);
    };
    DocumentImpl2.prototype.adoptNode = function(node) {
      if (util_1.Guard.isDocumentNode(node))
        throw new DOMException_1.NotSupportedError;
      if (util_1.Guard.isShadowRoot(node))
        throw new DOMException_1.HierarchyRequestError;
      algorithm_1.document_adopt(node, this);
      return node;
    };
    DocumentImpl2.prototype.createAttribute = function(localName) {
      if (!algorithm_1.xml_isName(localName))
        throw new DOMException_1.InvalidCharacterError;
      if (this._type === "html") {
        localName = localName.toLowerCase();
      }
      var attr = algorithm_1.create_attr(this, localName);
      return attr;
    };
    DocumentImpl2.prototype.createAttributeNS = function(namespace, qualifiedName) {
      var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
      var attr = algorithm_1.create_attr(this, localName);
      attr._namespace = ns;
      attr._namespacePrefix = prefix;
      return attr;
    };
    DocumentImpl2.prototype.createEvent = function(eventInterface) {
      return algorithm_1.event_createLegacyEvent(eventInterface);
    };
    DocumentImpl2.prototype.createRange = function() {
      var range = algorithm_1.create_range();
      range._start = [this, 0];
      range._end = [this, 0];
      return range;
    };
    DocumentImpl2.prototype.createNodeIterator = function(root, whatToShow, filter) {
      if (whatToShow === undefined) {
        whatToShow = interfaces_1.WhatToShow.All;
      }
      if (filter === undefined) {
        filter = null;
      }
      var iterator = algorithm_1.create_nodeIterator(root, root, true);
      iterator._whatToShow = whatToShow;
      iterator._iteratorCollection = algorithm_1.create_nodeList(root);
      if (util_2.isFunction(filter)) {
        iterator._filter = algorithm_1.create_nodeFilter();
        iterator._filter.acceptNode = filter;
      } else {
        iterator._filter = filter;
      }
      return iterator;
    };
    DocumentImpl2.prototype.createTreeWalker = function(root, whatToShow, filter) {
      if (whatToShow === undefined) {
        whatToShow = interfaces_1.WhatToShow.All;
      }
      if (filter === undefined) {
        filter = null;
      }
      var walker = algorithm_1.create_treeWalker(root, root);
      walker._whatToShow = whatToShow;
      if (util_2.isFunction(filter)) {
        walker._filter = algorithm_1.create_nodeFilter();
        walker._filter.acceptNode = filter;
      } else {
        walker._filter = filter;
      }
      return walker;
    };
    DocumentImpl2.prototype._getTheParent = function(event) {
      if (event._type === "load") {
        return null;
      } else {
        return DOMImpl_1.dom.window;
      }
    };
    DocumentImpl2.prototype.getElementById = function(elementId) {
      throw new Error("Mixin: NonElementParentNode not implemented.");
    };
    Object.defineProperty(DocumentImpl2.prototype, "children", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "firstElementChild", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "lastElementChild", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentImpl2.prototype, "childElementCount", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    DocumentImpl2.prototype.prepend = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ParentNode not implemented.");
    };
    DocumentImpl2.prototype.append = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ParentNode not implemented.");
    };
    DocumentImpl2.prototype.querySelector = function(selectors) {
      throw new Error("Mixin: ParentNode not implemented.");
    };
    DocumentImpl2.prototype.querySelectorAll = function(selectors) {
      throw new Error("Mixin: ParentNode not implemented.");
    };
    return DocumentImpl2;
  }(NodeImpl_1.NodeImpl);
  exports.DocumentImpl = DocumentImpl;
  WebIDLAlgorithm_1.idl_defineConst(DocumentImpl.prototype, "_nodeType", interfaces_1.NodeType.Document);
});

// ../../node_modules/@oozcitak/dom/lib/dom/XMLDocumentImpl.js
var require_XMLDocumentImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var DocumentImpl_1 = require_DocumentImpl();
  var XMLDocumentImpl = function(_super) {
    __extends(XMLDocumentImpl2, _super);
    function XMLDocumentImpl2() {
      return _super.call(this) || this;
    }
    return XMLDocumentImpl2;
  }(DocumentImpl_1.DocumentImpl);
  exports.XMLDocumentImpl = XMLDocumentImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/AbortControllerImpl.js
var require_AbortControllerImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var algorithm_1 = require_algorithm();
  var AbortControllerImpl = function() {
    function AbortControllerImpl2() {
      this._signal = algorithm_1.create_abortSignal();
    }
    Object.defineProperty(AbortControllerImpl2.prototype, "signal", {
      get: function() {
        return this._signal;
      },
      enumerable: true,
      configurable: true
    });
    AbortControllerImpl2.prototype.abort = function() {
      algorithm_1.abort_signalAbort(this._signal);
    };
    return AbortControllerImpl2;
  }();
  exports.AbortControllerImpl = AbortControllerImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/AbortSignalImpl.js
var require_AbortSignalImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var EventTargetImpl_1 = require_EventTargetImpl();
  var algorithm_1 = require_algorithm();
  var AbortSignalImpl = function(_super) {
    __extends(AbortSignalImpl2, _super);
    function AbortSignalImpl2() {
      var _this = _super.call(this) || this;
      _this._abortedFlag = false;
      _this._abortAlgorithms = new Set;
      return _this;
    }
    Object.defineProperty(AbortSignalImpl2.prototype, "aborted", {
      get: function() {
        return this._abortedFlag;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbortSignalImpl2.prototype, "onabort", {
      get: function() {
        return algorithm_1.event_getterEventHandlerIDLAttribute(this, "onabort");
      },
      set: function(val) {
        algorithm_1.event_setterEventHandlerIDLAttribute(this, "onabort", val);
      },
      enumerable: true,
      configurable: true
    });
    AbortSignalImpl2._create = function() {
      return new AbortSignalImpl2;
    };
    return AbortSignalImpl2;
  }(EventTargetImpl_1.EventTargetImpl);
  exports.AbortSignalImpl = AbortSignalImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/DocumentTypeImpl.js
var require_DocumentTypeImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var NodeImpl_1 = require_NodeImpl();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var DocumentTypeImpl = function(_super) {
    __extends(DocumentTypeImpl2, _super);
    function DocumentTypeImpl2(name, publicId, systemId) {
      var _this = _super.call(this) || this;
      _this._name = "";
      _this._publicId = "";
      _this._systemId = "";
      _this._name = name;
      _this._publicId = publicId;
      _this._systemId = systemId;
      return _this;
    }
    Object.defineProperty(DocumentTypeImpl2.prototype, "name", {
      get: function() {
        return this._name;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentTypeImpl2.prototype, "publicId", {
      get: function() {
        return this._publicId;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentTypeImpl2.prototype, "systemId", {
      get: function() {
        return this._systemId;
      },
      enumerable: true,
      configurable: true
    });
    DocumentTypeImpl2.prototype.before = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ChildNode not implemented.");
    };
    DocumentTypeImpl2.prototype.after = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ChildNode not implemented.");
    };
    DocumentTypeImpl2.prototype.replaceWith = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ChildNode not implemented.");
    };
    DocumentTypeImpl2.prototype.remove = function() {
      throw new Error("Mixin: ChildNode not implemented.");
    };
    DocumentTypeImpl2._create = function(document2, name, publicId, systemId) {
      if (publicId === undefined) {
        publicId = "";
      }
      if (systemId === undefined) {
        systemId = "";
      }
      var node = new DocumentTypeImpl2(name, publicId, systemId);
      node._nodeDocument = document2;
      return node;
    };
    return DocumentTypeImpl2;
  }(NodeImpl_1.NodeImpl);
  exports.DocumentTypeImpl = DocumentTypeImpl;
  WebIDLAlgorithm_1.idl_defineConst(DocumentTypeImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentType);
});

// ../../node_modules/@oozcitak/dom/lib/dom/ElementImpl.js
var require_ElementImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var NodeImpl_1 = require_NodeImpl();
  var DOMException_1 = require_DOMException();
  var infra_1 = require_lib2();
  var algorithm_1 = require_algorithm();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var ElementImpl = function(_super) {
    __extends(ElementImpl2, _super);
    function ElementImpl2() {
      var _this = _super.call(this) || this;
      _this._children = new Set;
      _this._namespace = null;
      _this._namespacePrefix = null;
      _this._localName = "";
      _this._customElementState = "undefined";
      _this._customElementDefinition = null;
      _this._is = null;
      _this._shadowRoot = null;
      _this._attributeList = algorithm_1.create_namedNodeMap(_this);
      _this._attributeChangeSteps = [];
      _this._name = "";
      _this._assignedSlot = null;
      return _this;
    }
    Object.defineProperty(ElementImpl2.prototype, "namespaceURI", {
      get: function() {
        return this._namespace;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "prefix", {
      get: function() {
        return this._namespacePrefix;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "localName", {
      get: function() {
        return this._localName;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "tagName", {
      get: function() {
        return this._htmlUppercasedQualifiedName;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "id", {
      get: function() {
        return algorithm_1.element_getAnAttributeValue(this, "id");
      },
      set: function(value) {
        algorithm_1.element_setAnAttributeValue(this, "id", value);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "className", {
      get: function() {
        return algorithm_1.element_getAnAttributeValue(this, "class");
      },
      set: function(value) {
        algorithm_1.element_setAnAttributeValue(this, "class", value);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "classList", {
      get: function() {
        var attr = algorithm_1.element_getAnAttributeByName("class", this);
        if (attr === null) {
          attr = algorithm_1.create_attr(this._nodeDocument, "class");
        }
        return algorithm_1.create_domTokenList(this, attr);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "slot", {
      get: function() {
        return algorithm_1.element_getAnAttributeValue(this, "slot");
      },
      set: function(value) {
        algorithm_1.element_setAnAttributeValue(this, "slot", value);
      },
      enumerable: true,
      configurable: true
    });
    ElementImpl2.prototype.hasAttributes = function() {
      return this._attributeList.length !== 0;
    };
    Object.defineProperty(ElementImpl2.prototype, "attributes", {
      get: function() {
        return this._attributeList;
      },
      enumerable: true,
      configurable: true
    });
    ElementImpl2.prototype.getAttributeNames = function() {
      var e_1, _a;
      var names = [];
      try {
        for (var _b = __values(this._attributeList), _c = _b.next();!_c.done; _c = _b.next()) {
          var attr = _c.value;
          names.push(attr._qualifiedName);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return names;
    };
    ElementImpl2.prototype.getAttribute = function(qualifiedName) {
      var attr = algorithm_1.element_getAnAttributeByName(qualifiedName, this);
      return attr ? attr._value : null;
    };
    ElementImpl2.prototype.getAttributeNS = function(namespace, localName) {
      var attr = algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
      return attr ? attr._value : null;
    };
    ElementImpl2.prototype.setAttribute = function(qualifiedName, value) {
      if (!algorithm_1.xml_isName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError;
      if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
        qualifiedName = qualifiedName.toLowerCase();
      }
      var attribute = null;
      for (var i = 0;i < this._attributeList.length; i++) {
        var attr = this._attributeList[i];
        if (attr._qualifiedName === qualifiedName) {
          attribute = attr;
          break;
        }
      }
      if (attribute === null) {
        attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
        attribute._value = value;
        algorithm_1.element_append(attribute, this);
        return;
      }
      algorithm_1.element_change(attribute, this, value);
    };
    ElementImpl2.prototype.setAttributeNS = function(namespace, qualifiedName, value) {
      var _a = __read(algorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
      algorithm_1.element_setAnAttributeValue(this, localName, value, prefix, ns);
    };
    ElementImpl2.prototype.removeAttribute = function(qualifiedName) {
      algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
    };
    ElementImpl2.prototype.removeAttributeNS = function(namespace, localName) {
      algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, this);
    };
    ElementImpl2.prototype.hasAttribute = function(qualifiedName) {
      if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
        qualifiedName = qualifiedName.toLowerCase();
      }
      for (var i = 0;i < this._attributeList.length; i++) {
        var attr = this._attributeList[i];
        if (attr._qualifiedName === qualifiedName) {
          return true;
        }
      }
      return false;
    };
    ElementImpl2.prototype.toggleAttribute = function(qualifiedName, force) {
      if (!algorithm_1.xml_isName(qualifiedName))
        throw new DOMException_1.InvalidCharacterError;
      if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
        qualifiedName = qualifiedName.toLowerCase();
      }
      var attribute = null;
      for (var i = 0;i < this._attributeList.length; i++) {
        var attr = this._attributeList[i];
        if (attr._qualifiedName === qualifiedName) {
          attribute = attr;
          break;
        }
      }
      if (attribute === null) {
        if (force === undefined || force === true) {
          attribute = algorithm_1.create_attr(this._nodeDocument, qualifiedName);
          attribute._value = "";
          algorithm_1.element_append(attribute, this);
          return true;
        }
        return false;
      } else if (force === undefined || force === false) {
        algorithm_1.element_removeAnAttributeByName(qualifiedName, this);
        return false;
      }
      return true;
    };
    ElementImpl2.prototype.hasAttributeNS = function(namespace, localName) {
      var ns = namespace || null;
      for (var i = 0;i < this._attributeList.length; i++) {
        var attr = this._attributeList[i];
        if (attr._namespace === ns && attr._localName === localName) {
          return true;
        }
      }
      return false;
    };
    ElementImpl2.prototype.getAttributeNode = function(qualifiedName) {
      return algorithm_1.element_getAnAttributeByName(qualifiedName, this);
    };
    ElementImpl2.prototype.getAttributeNodeNS = function(namespace, localName) {
      return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace, localName, this);
    };
    ElementImpl2.prototype.setAttributeNode = function(attr) {
      return algorithm_1.element_setAnAttribute(attr, this);
    };
    ElementImpl2.prototype.setAttributeNodeNS = function(attr) {
      return algorithm_1.element_setAnAttribute(attr, this);
    };
    ElementImpl2.prototype.removeAttributeNode = function(attr) {
      var found = false;
      for (var i = 0;i < this._attributeList.length; i++) {
        var attribute = this._attributeList[i];
        if (attribute === attr) {
          found = true;
          break;
        }
      }
      if (!found)
        throw new DOMException_1.NotFoundError;
      algorithm_1.element_remove(attr, this);
      return attr;
    };
    ElementImpl2.prototype.attachShadow = function(init) {
      if (this._namespace !== infra_1.namespace.HTML)
        throw new DOMException_1.NotSupportedError;
      if (!algorithm_1.customElement_isValidCustomElementName(this._localName) && !algorithm_1.customElement_isValidShadowHostName(this._localName))
        throw new DOMException_1.NotSupportedError;
      if (algorithm_1.customElement_isValidCustomElementName(this._localName) || this._is !== null) {
        var definition = algorithm_1.customElement_lookUpACustomElementDefinition(this._nodeDocument, this._namespace, this._localName, this._is);
        if (definition !== null && definition.disableShadow === true) {
          throw new DOMException_1.NotSupportedError;
        }
      }
      if (this._shadowRoot !== null)
        throw new DOMException_1.NotSupportedError;
      var shadow = algorithm_1.create_shadowRoot(this._nodeDocument, this);
      shadow._mode = init.mode;
      this._shadowRoot = shadow;
      return shadow;
    };
    Object.defineProperty(ElementImpl2.prototype, "shadowRoot", {
      get: function() {
        var shadow = this._shadowRoot;
        if (shadow === null || shadow.mode === "closed")
          return null;
        else
          return shadow;
      },
      enumerable: true,
      configurable: true
    });
    ElementImpl2.prototype.closest = function(selectors) {
      throw new DOMException_1.NotImplementedError;
    };
    ElementImpl2.prototype.matches = function(selectors) {
      throw new DOMException_1.NotImplementedError;
    };
    ElementImpl2.prototype.webkitMatchesSelector = function(selectors) {
      return this.matches(selectors);
    };
    ElementImpl2.prototype.getElementsByTagName = function(qualifiedName) {
      return algorithm_1.node_listOfElementsWithQualifiedName(qualifiedName, this);
    };
    ElementImpl2.prototype.getElementsByTagNameNS = function(namespace, localName) {
      return algorithm_1.node_listOfElementsWithNamespace(namespace, localName, this);
    };
    ElementImpl2.prototype.getElementsByClassName = function(classNames) {
      return algorithm_1.node_listOfElementsWithClassNames(classNames, this);
    };
    ElementImpl2.prototype.insertAdjacentElement = function(where, element) {
      return algorithm_1.element_insertAdjacent(this, where, element);
    };
    ElementImpl2.prototype.insertAdjacentText = function(where, data) {
      var text = algorithm_1.create_text(this._nodeDocument, data);
      algorithm_1.element_insertAdjacent(this, where, text);
    };
    Object.defineProperty(ElementImpl2.prototype, "_qualifiedName", {
      get: function() {
        return this._namespacePrefix ? this._namespacePrefix + ":" + this._localName : this._localName;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "_htmlUppercasedQualifiedName", {
      get: function() {
        var qualifiedName = this._qualifiedName;
        if (this._namespace === infra_1.namespace.HTML && this._nodeDocument._type === "html") {
          qualifiedName = qualifiedName.toUpperCase();
        }
        return qualifiedName;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "children", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "firstElementChild", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "lastElementChild", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "childElementCount", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    ElementImpl2.prototype.prepend = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ParentNode not implemented.");
    };
    ElementImpl2.prototype.append = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ParentNode not implemented.");
    };
    ElementImpl2.prototype.querySelector = function(selectors) {
      throw new Error("Mixin: ParentNode not implemented.");
    };
    ElementImpl2.prototype.querySelectorAll = function(selectors) {
      throw new Error("Mixin: ParentNode not implemented.");
    };
    Object.defineProperty(ElementImpl2.prototype, "previousElementSibling", {
      get: function() {
        throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ElementImpl2.prototype, "nextElementSibling", {
      get: function() {
        throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    ElementImpl2.prototype.before = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ChildNode not implemented.");
    };
    ElementImpl2.prototype.after = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ChildNode not implemented.");
    };
    ElementImpl2.prototype.replaceWith = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ChildNode not implemented.");
    };
    ElementImpl2.prototype.remove = function() {
      throw new Error("Mixin: ChildNode not implemented.");
    };
    Object.defineProperty(ElementImpl2.prototype, "assignedSlot", {
      get: function() {
        throw new Error("Mixin: Slotable not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    ElementImpl2._create = function(document2, localName, namespace, namespacePrefix) {
      if (namespace === undefined) {
        namespace = null;
      }
      if (namespacePrefix === undefined) {
        namespacePrefix = null;
      }
      var node = new ElementImpl2;
      node._localName = localName;
      node._namespace = namespace;
      node._namespacePrefix = namespacePrefix;
      node._nodeDocument = document2;
      return node;
    };
    return ElementImpl2;
  }(NodeImpl_1.NodeImpl);
  exports.ElementImpl = ElementImpl;
  WebIDLAlgorithm_1.idl_defineConst(ElementImpl.prototype, "_nodeType", interfaces_1.NodeType.Element);
});

// ../../node_modules/@oozcitak/dom/lib/dom/DocumentFragmentImpl.js
var require_DocumentFragmentImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var NodeImpl_1 = require_NodeImpl();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var DocumentFragmentImpl = function(_super) {
    __extends(DocumentFragmentImpl2, _super);
    function DocumentFragmentImpl2(host) {
      if (host === undefined) {
        host = null;
      }
      var _this = _super.call(this) || this;
      _this._children = new Set;
      _this._host = host;
      return _this;
    }
    DocumentFragmentImpl2.prototype.getElementById = function(elementId) {
      throw new Error("Mixin: NonElementParentNode not implemented.");
    };
    Object.defineProperty(DocumentFragmentImpl2.prototype, "children", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentFragmentImpl2.prototype, "firstElementChild", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentFragmentImpl2.prototype, "lastElementChild", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DocumentFragmentImpl2.prototype, "childElementCount", {
      get: function() {
        throw new Error("Mixin: ParentNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    DocumentFragmentImpl2.prototype.prepend = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ParentNode not implemented.");
    };
    DocumentFragmentImpl2.prototype.append = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ParentNode not implemented.");
    };
    DocumentFragmentImpl2.prototype.querySelector = function(selectors) {
      throw new Error("Mixin: ParentNode not implemented.");
    };
    DocumentFragmentImpl2.prototype.querySelectorAll = function(selectors) {
      throw new Error("Mixin: ParentNode not implemented.");
    };
    DocumentFragmentImpl2._create = function(document2, host) {
      if (host === undefined) {
        host = null;
      }
      var node = new DocumentFragmentImpl2(host);
      node._nodeDocument = document2;
      return node;
    };
    return DocumentFragmentImpl2;
  }(NodeImpl_1.NodeImpl);
  exports.DocumentFragmentImpl = DocumentFragmentImpl;
  WebIDLAlgorithm_1.idl_defineConst(DocumentFragmentImpl.prototype, "_nodeType", interfaces_1.NodeType.DocumentFragment);
});

// ../../node_modules/@oozcitak/dom/lib/dom/ShadowRootImpl.js
var require_ShadowRootImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var DocumentFragmentImpl_1 = require_DocumentFragmentImpl();
  var util_1 = require_lib();
  var algorithm_1 = require_algorithm();
  var ShadowRootImpl = function(_super) {
    __extends(ShadowRootImpl2, _super);
    function ShadowRootImpl2(host, mode) {
      var _this = _super.call(this) || this;
      _this._host = host;
      _this._mode = mode;
      return _this;
    }
    Object.defineProperty(ShadowRootImpl2.prototype, "mode", {
      get: function() {
        return this._mode;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ShadowRootImpl2.prototype, "host", {
      get: function() {
        return this._host;
      },
      enumerable: true,
      configurable: true
    });
    ShadowRootImpl2.prototype._getTheParent = function(event) {
      if (!event._composedFlag && !util_1.isEmpty(event._path) && algorithm_1.tree_rootNode(event._path[0].invocationTarget) === this) {
        return null;
      } else {
        return this._host;
      }
    };
    ShadowRootImpl2._create = function(document2, host) {
      return new ShadowRootImpl2(host, "closed");
    };
    return ShadowRootImpl2;
  }(DocumentFragmentImpl_1.DocumentFragmentImpl);
  exports.ShadowRootImpl = ShadowRootImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/AttrImpl.js
var require_AttrImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var NodeImpl_1 = require_NodeImpl();
  var algorithm_1 = require_algorithm();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var AttrImpl = function(_super) {
    __extends(AttrImpl2, _super);
    function AttrImpl2(localName) {
      var _this = _super.call(this) || this;
      _this._namespace = null;
      _this._namespacePrefix = null;
      _this._element = null;
      _this._value = "";
      _this._localName = localName;
      return _this;
    }
    Object.defineProperty(AttrImpl2.prototype, "ownerElement", {
      get: function() {
        return this._element;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AttrImpl2.prototype, "namespaceURI", {
      get: function() {
        return this._namespace;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AttrImpl2.prototype, "prefix", {
      get: function() {
        return this._namespacePrefix;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AttrImpl2.prototype, "localName", {
      get: function() {
        return this._localName;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AttrImpl2.prototype, "name", {
      get: function() {
        return this._qualifiedName;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AttrImpl2.prototype, "value", {
      get: function() {
        return this._value;
      },
      set: function(value) {
        algorithm_1.attr_setAnExistingAttributeValue(this, value);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AttrImpl2.prototype, "_qualifiedName", {
      get: function() {
        return this._namespacePrefix !== null ? this._namespacePrefix + ":" + this._localName : this._localName;
      },
      enumerable: true,
      configurable: true
    });
    AttrImpl2._create = function(document2, localName) {
      var node = new AttrImpl2(localName);
      node._nodeDocument = document2;
      return node;
    };
    return AttrImpl2;
  }(NodeImpl_1.NodeImpl);
  exports.AttrImpl = AttrImpl;
  WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "_nodeType", interfaces_1.NodeType.Attribute);
  WebIDLAlgorithm_1.idl_defineConst(AttrImpl.prototype, "specified", true);
});

// ../../node_modules/@oozcitak/dom/lib/dom/CharacterDataImpl.js
var require_CharacterDataImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var NodeImpl_1 = require_NodeImpl();
  var algorithm_1 = require_algorithm();
  var CharacterDataImpl = function(_super) {
    __extends(CharacterDataImpl2, _super);
    function CharacterDataImpl2(data) {
      var _this = _super.call(this) || this;
      _this._data = data;
      return _this;
    }
    Object.defineProperty(CharacterDataImpl2.prototype, "data", {
      get: function() {
        return this._data;
      },
      set: function(value) {
        algorithm_1.characterData_replaceData(this, 0, this._data.length, value);
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(CharacterDataImpl2.prototype, "length", {
      get: function() {
        return this._data.length;
      },
      enumerable: true,
      configurable: true
    });
    CharacterDataImpl2.prototype.substringData = function(offset, count) {
      return algorithm_1.characterData_substringData(this, offset, count);
    };
    CharacterDataImpl2.prototype.appendData = function(data) {
      return algorithm_1.characterData_replaceData(this, this._data.length, 0, data);
    };
    CharacterDataImpl2.prototype.insertData = function(offset, data) {
      algorithm_1.characterData_replaceData(this, offset, 0, data);
    };
    CharacterDataImpl2.prototype.deleteData = function(offset, count) {
      algorithm_1.characterData_replaceData(this, offset, count, "");
    };
    CharacterDataImpl2.prototype.replaceData = function(offset, count, data) {
      algorithm_1.characterData_replaceData(this, offset, count, data);
    };
    Object.defineProperty(CharacterDataImpl2.prototype, "previousElementSibling", {
      get: function() {
        throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(CharacterDataImpl2.prototype, "nextElementSibling", {
      get: function() {
        throw new Error("Mixin: NonDocumentTypeChildNode not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    CharacterDataImpl2.prototype.before = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ChildNode not implemented.");
    };
    CharacterDataImpl2.prototype.after = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ChildNode not implemented.");
    };
    CharacterDataImpl2.prototype.replaceWith = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      throw new Error("Mixin: ChildNode not implemented.");
    };
    CharacterDataImpl2.prototype.remove = function() {
      throw new Error("Mixin: ChildNode not implemented.");
    };
    return CharacterDataImpl2;
  }(NodeImpl_1.NodeImpl);
  exports.CharacterDataImpl = CharacterDataImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/TextImpl.js
var require_TextImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var CharacterDataImpl_1 = require_CharacterDataImpl();
  var algorithm_1 = require_algorithm();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var TextImpl = function(_super) {
    __extends(TextImpl2, _super);
    function TextImpl2(data) {
      if (data === undefined) {
        data = "";
      }
      var _this = _super.call(this, data) || this;
      _this._name = "";
      _this._assignedSlot = null;
      return _this;
    }
    Object.defineProperty(TextImpl2.prototype, "wholeText", {
      get: function() {
        var e_1, _a;
        var text = "";
        try {
          for (var _b = __values(algorithm_1.text_contiguousTextNodes(this, true)), _c = _b.next();!_c.done; _c = _b.next()) {
            var node = _c.value;
            text = text + node._data;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return text;
      },
      enumerable: true,
      configurable: true
    });
    TextImpl2.prototype.splitText = function(offset) {
      return algorithm_1.text_split(this, offset);
    };
    Object.defineProperty(TextImpl2.prototype, "assignedSlot", {
      get: function() {
        throw new Error("Mixin: Slotable not implemented.");
      },
      enumerable: true,
      configurable: true
    });
    TextImpl2._create = function(document2, data) {
      if (data === undefined) {
        data = "";
      }
      var node = new TextImpl2(data);
      node._nodeDocument = document2;
      return node;
    };
    return TextImpl2;
  }(CharacterDataImpl_1.CharacterDataImpl);
  exports.TextImpl = TextImpl;
  WebIDLAlgorithm_1.idl_defineConst(TextImpl.prototype, "_nodeType", interfaces_1.NodeType.Text);
});

// ../../node_modules/@oozcitak/dom/lib/dom/CDATASectionImpl.js
var require_CDATASectionImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var TextImpl_1 = require_TextImpl();
  var interfaces_1 = require_interfaces2();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var CDATASectionImpl = function(_super) {
    __extends(CDATASectionImpl2, _super);
    function CDATASectionImpl2(data) {
      return _super.call(this, data) || this;
    }
    CDATASectionImpl2._create = function(document2, data) {
      if (data === undefined) {
        data = "";
      }
      var node = new CDATASectionImpl2(data);
      node._nodeDocument = document2;
      return node;
    };
    return CDATASectionImpl2;
  }(TextImpl_1.TextImpl);
  exports.CDATASectionImpl = CDATASectionImpl;
  WebIDLAlgorithm_1.idl_defineConst(CDATASectionImpl.prototype, "_nodeType", interfaces_1.NodeType.CData);
});

// ../../node_modules/@oozcitak/dom/lib/dom/CommentImpl.js
var require_CommentImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var CharacterDataImpl_1 = require_CharacterDataImpl();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var CommentImpl = function(_super) {
    __extends(CommentImpl2, _super);
    function CommentImpl2(data) {
      if (data === undefined) {
        data = "";
      }
      return _super.call(this, data) || this;
    }
    CommentImpl2._create = function(document2, data) {
      if (data === undefined) {
        data = "";
      }
      var node = new CommentImpl2(data);
      node._nodeDocument = document2;
      return node;
    };
    return CommentImpl2;
  }(CharacterDataImpl_1.CharacterDataImpl);
  exports.CommentImpl = CommentImpl;
  WebIDLAlgorithm_1.idl_defineConst(CommentImpl.prototype, "_nodeType", interfaces_1.NodeType.Comment);
});

// ../../node_modules/@oozcitak/dom/lib/dom/ProcessingInstructionImpl.js
var require_ProcessingInstructionImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var CharacterDataImpl_1 = require_CharacterDataImpl();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var ProcessingInstructionImpl = function(_super) {
    __extends(ProcessingInstructionImpl2, _super);
    function ProcessingInstructionImpl2(target, data) {
      var _this = _super.call(this, data) || this;
      _this._target = target;
      return _this;
    }
    Object.defineProperty(ProcessingInstructionImpl2.prototype, "target", {
      get: function() {
        return this._target;
      },
      enumerable: true,
      configurable: true
    });
    ProcessingInstructionImpl2._create = function(document2, target, data) {
      var node = new ProcessingInstructionImpl2(target, data);
      node._nodeDocument = document2;
      return node;
    };
    return ProcessingInstructionImpl2;
  }(CharacterDataImpl_1.CharacterDataImpl);
  exports.ProcessingInstructionImpl = ProcessingInstructionImpl;
  WebIDLAlgorithm_1.idl_defineConst(ProcessingInstructionImpl.prototype, "_nodeType", interfaces_1.NodeType.ProcessingInstruction);
});

// ../../node_modules/@oozcitak/dom/lib/dom/HTMLCollectionImpl.js
var require_HTMLCollectionImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var infra_1 = require_lib2();
  var algorithm_1 = require_algorithm();
  var util_1 = require_util();
  var util_2 = require_lib();
  var HTMLCollectionImpl = function() {
    function HTMLCollectionImpl2(root, filter) {
      this._live = true;
      this._root = root;
      this._filter = filter;
      return new Proxy(this, this);
    }
    Object.defineProperty(HTMLCollectionImpl2.prototype, "length", {
      get: function() {
        var _this = this;
        var count = 0;
        var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
          return util_1.Guard.isElementNode(e) && _this._filter(e);
        });
        while (node !== null) {
          count++;
          node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
            return util_1.Guard.isElementNode(e) && _this._filter(e);
          });
        }
        return count;
      },
      enumerable: true,
      configurable: true
    });
    HTMLCollectionImpl2.prototype.item = function(index) {
      var _this = this;
      var i = 0;
      var node = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
        return util_1.Guard.isElementNode(e) && _this._filter(e);
      });
      while (node !== null) {
        if (i === index)
          return node;
        else
          i++;
        node = algorithm_1.tree_getNextDescendantNode(this._root, node, false, false, function(e) {
          return util_1.Guard.isElementNode(e) && _this._filter(e);
        });
      }
      return null;
    };
    HTMLCollectionImpl2.prototype.namedItem = function(key) {
      var _this = this;
      if (key === "")
        return null;
      var ele = algorithm_1.tree_getFirstDescendantNode(this._root, false, false, function(e) {
        return util_1.Guard.isElementNode(e) && _this._filter(e);
      });
      while (ele != null) {
        if (ele._uniqueIdentifier === key) {
          return ele;
        } else if (ele._namespace === infra_1.namespace.HTML) {
          for (var i = 0;i < ele._attributeList.length; i++) {
            var attr = ele._attributeList[i];
            if (attr._localName === "name" && attr._namespace === null && attr._namespacePrefix === null && attr._value === key)
              return ele;
          }
        }
        ele = algorithm_1.tree_getNextDescendantNode(this._root, ele, false, false, function(e) {
          return util_1.Guard.isElementNode(e) && _this._filter(e);
        });
      }
      return null;
    };
    HTMLCollectionImpl2.prototype[Symbol.iterator] = function() {
      var root = this._root;
      var filter = this._filter;
      var currentNode = algorithm_1.tree_getFirstDescendantNode(root, false, false, function(e) {
        return util_1.Guard.isElementNode(e) && filter(e);
      });
      return {
        next: function() {
          if (currentNode === null) {
            return { done: true, value: null };
          } else {
            var result = { done: false, value: currentNode };
            currentNode = algorithm_1.tree_getNextDescendantNode(root, currentNode, false, false, function(e) {
              return util_1.Guard.isElementNode(e) && filter(e);
            });
            return result;
          }
        }
      };
    };
    HTMLCollectionImpl2.prototype.get = function(target, key, receiver) {
      if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
        return Reflect.get(target, key, receiver);
      }
      var index = Number(key);
      if (isNaN(index)) {
        return target.namedItem(key) || undefined;
      } else {
        return target.item(index) || undefined;
      }
    };
    HTMLCollectionImpl2.prototype.set = function(target, key, value, receiver) {
      if (!util_2.isString(key) || HTMLCollectionImpl2.reservedNames.indexOf(key) !== -1) {
        return Reflect.set(target, key, value, receiver);
      }
      var index = Number(key);
      var node = isNaN(index) ? target.namedItem(key) || undefined : target.item(index) || undefined;
      if (node && node._parent) {
        algorithm_1.mutation_replace(node, value, node._parent);
        return true;
      } else {
        return false;
      }
    };
    HTMLCollectionImpl2._create = function(root, filter) {
      if (filter === undefined) {
        filter = function() {
          return true;
        };
      }
      return new HTMLCollectionImpl2(root, filter);
    };
    HTMLCollectionImpl2.reservedNames = [
      "_root",
      "_live",
      "_filter",
      "length",
      "item",
      "namedItem",
      "get",
      "set"
    ];
    return HTMLCollectionImpl2;
  }();
  exports.HTMLCollectionImpl = HTMLCollectionImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/NodeListImpl.js
var require_NodeListImpl = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var util_1 = require_lib();
  var algorithm_1 = require_algorithm();
  var NodeListImpl = function() {
    function NodeListImpl2(root) {
      this._live = true;
      this._filter = null;
      this._length = 0;
      this._root = root;
      return new Proxy(this, this);
    }
    Object.defineProperty(NodeListImpl2.prototype, "length", {
      get: function() {
        return this._root._children.size;
      },
      enumerable: true,
      configurable: true
    });
    NodeListImpl2.prototype.item = function(index) {
      if (index < 0 || index > this.length - 1)
        return null;
      if (index < this.length / 2) {
        var i = 0;
        var node = this._root._firstChild;
        while (node !== null && i !== index) {
          node = node._nextSibling;
          i++;
        }
        return node;
      } else {
        var i = this.length - 1;
        var node = this._root._lastChild;
        while (node !== null && i !== index) {
          node = node._previousSibling;
          i--;
        }
        return node;
      }
    };
    NodeListImpl2.prototype.keys = function() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var index = 0;
        return {
          next: function() {
            if (index === this.length) {
              return { done: true, value: null };
            } else {
              return { done: false, value: index++ };
            }
          }.bind(this)
        };
      }.bind(this), _a;
    };
    NodeListImpl2.prototype.values = function() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var it = this[Symbol.iterator]();
        return {
          next: function() {
            return it.next();
          }
        };
      }.bind(this), _a;
    };
    NodeListImpl2.prototype.entries = function() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var it = this[Symbol.iterator]();
        var index = 0;
        return {
          next: function() {
            var itResult = it.next();
            if (itResult.done) {
              return { done: true, value: null };
            } else {
              return { done: false, value: [index++, itResult.value] };
            }
          }
        };
      }.bind(this), _a;
    };
    NodeListImpl2.prototype[Symbol.iterator] = function() {
      return this._root._children[Symbol.iterator]();
    };
    NodeListImpl2.prototype.forEach = function(callback, thisArg) {
      var e_1, _a;
      if (thisArg === undefined) {
        thisArg = DOMImpl_1.dom.window;
      }
      var index = 0;
      try {
        for (var _b = __values(this._root._children), _c = _b.next();!_c.done; _c = _b.next()) {
          var node = _c.value;
          callback.call(thisArg, node, index++, this);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    };
    NodeListImpl2.prototype.get = function(target, key, receiver) {
      if (!util_1.isString(key)) {
        return Reflect.get(target, key, receiver);
      }
      var index = Number(key);
      if (isNaN(index)) {
        return Reflect.get(target, key, receiver);
      }
      return target.item(index) || undefined;
    };
    NodeListImpl2.prototype.set = function(target, key, value, receiver) {
      if (!util_1.isString(key)) {
        return Reflect.set(target, key, value, receiver);
      }
      var index = Number(key);
      if (isNaN(index)) {
        return Reflect.set(target, key, value, receiver);
      }
      var node = target.item(index) || undefined;
      if (!node)
        return false;
      if (node._parent) {
        algorithm_1.mutation_replace(node, value, node._parent);
        return true;
      } else {
        return false;
      }
    };
    NodeListImpl2._create = function(root) {
      return new NodeListImpl2(root);
    };
    return NodeListImpl2;
  }();
  exports.NodeListImpl = NodeListImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/NodeListStaticImpl.js
var require_NodeListStaticImpl = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var util_1 = require_lib();
  var NodeListStaticImpl = function() {
    function NodeListStaticImpl2(root) {
      this._live = false;
      this._items = [];
      this._length = 0;
      this._root = root;
      this._items = [];
      this._filter = function(node) {
        return true;
      };
      return new Proxy(this, this);
    }
    Object.defineProperty(NodeListStaticImpl2.prototype, "length", {
      get: function() {
        return this._items.length;
      },
      enumerable: true,
      configurable: true
    });
    NodeListStaticImpl2.prototype.item = function(index) {
      if (index < 0 || index > this.length - 1)
        return null;
      return this._items[index];
    };
    NodeListStaticImpl2.prototype.keys = function() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var index = 0;
        return {
          next: function() {
            if (index === this.length) {
              return { done: true, value: null };
            } else {
              return { done: false, value: index++ };
            }
          }.bind(this)
        };
      }.bind(this), _a;
    };
    NodeListStaticImpl2.prototype.values = function() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var it = this[Symbol.iterator]();
        return {
          next: function() {
            return it.next();
          }
        };
      }.bind(this), _a;
    };
    NodeListStaticImpl2.prototype.entries = function() {
      var _a;
      return _a = {}, _a[Symbol.iterator] = function() {
        var it = this[Symbol.iterator]();
        var index = 0;
        return {
          next: function() {
            var itResult = it.next();
            if (itResult.done) {
              return { done: true, value: null };
            } else {
              return { done: false, value: [index++, itResult.value] };
            }
          }
        };
      }.bind(this), _a;
    };
    NodeListStaticImpl2.prototype[Symbol.iterator] = function() {
      var it = this._items[Symbol.iterator]();
      return {
        next: function() {
          return it.next();
        }
      };
    };
    NodeListStaticImpl2.prototype.forEach = function(callback, thisArg) {
      var e_1, _a;
      if (thisArg === undefined) {
        thisArg = DOMImpl_1.dom.window;
      }
      var index = 0;
      try {
        for (var _b = __values(this._items), _c = _b.next();!_c.done; _c = _b.next()) {
          var node = _c.value;
          callback.call(thisArg, node, index++, this);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    };
    NodeListStaticImpl2.prototype.get = function(target, key, receiver) {
      if (!util_1.isString(key)) {
        return Reflect.get(target, key, receiver);
      }
      var index = Number(key);
      if (isNaN(index)) {
        return Reflect.get(target, key, receiver);
      }
      return target._items[index] || undefined;
    };
    NodeListStaticImpl2.prototype.set = function(target, key, value, receiver) {
      if (!util_1.isString(key)) {
        return Reflect.set(target, key, value, receiver);
      }
      var index = Number(key);
      if (isNaN(index)) {
        return Reflect.set(target, key, value, receiver);
      }
      if (index >= 0 && index < target._items.length) {
        target._items[index] = value;
        return true;
      } else {
        return false;
      }
    };
    NodeListStaticImpl2._create = function(root, items) {
      var list = new NodeListStaticImpl2(root);
      list._items = items;
      return list;
    };
    return NodeListStaticImpl2;
  }();
  exports.NodeListStaticImpl = NodeListStaticImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/NamedNodeMapImpl.js
var require_NamedNodeMapImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMException_1 = require_DOMException();
  var algorithm_1 = require_algorithm();
  var NamedNodeMapImpl = function(_super) {
    __extends(NamedNodeMapImpl2, _super);
    function NamedNodeMapImpl2(element) {
      var _this = _super.call(this) || this;
      _this._element = element;
      Object.setPrototypeOf(_this, NamedNodeMapImpl2.prototype);
      return _this;
    }
    NamedNodeMapImpl2.prototype._asArray = function() {
      return this;
    };
    NamedNodeMapImpl2.prototype.item = function(index) {
      return this[index] || null;
    };
    NamedNodeMapImpl2.prototype.getNamedItem = function(qualifiedName) {
      return algorithm_1.element_getAnAttributeByName(qualifiedName, this._element);
    };
    NamedNodeMapImpl2.prototype.getNamedItemNS = function(namespace, localName) {
      return algorithm_1.element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
    };
    NamedNodeMapImpl2.prototype.setNamedItem = function(attr) {
      return algorithm_1.element_setAnAttribute(attr, this._element);
    };
    NamedNodeMapImpl2.prototype.setNamedItemNS = function(attr) {
      return algorithm_1.element_setAnAttribute(attr, this._element);
    };
    NamedNodeMapImpl2.prototype.removeNamedItem = function(qualifiedName) {
      var attr = algorithm_1.element_removeAnAttributeByName(qualifiedName, this._element);
      if (attr === null)
        throw new DOMException_1.NotFoundError;
      return attr;
    };
    NamedNodeMapImpl2.prototype.removeNamedItemNS = function(namespace, localName) {
      var attr = algorithm_1.element_removeAnAttributeByNamespaceAndLocalName(namespace || "", localName, this._element);
      if (attr === null)
        throw new DOMException_1.NotFoundError;
      return attr;
    };
    NamedNodeMapImpl2._create = function(element) {
      return new NamedNodeMapImpl2(element);
    };
    return NamedNodeMapImpl2;
  }(Array);
  exports.NamedNodeMapImpl = NamedNodeMapImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/AbstractRangeImpl.js
var require_AbstractRangeImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var AbstractRangeImpl = function() {
    function AbstractRangeImpl2() {
    }
    Object.defineProperty(AbstractRangeImpl2.prototype, "_startNode", {
      get: function() {
        return this._start[0];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractRangeImpl2.prototype, "_startOffset", {
      get: function() {
        return this._start[1];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractRangeImpl2.prototype, "_endNode", {
      get: function() {
        return this._end[0];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractRangeImpl2.prototype, "_endOffset", {
      get: function() {
        return this._end[1];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractRangeImpl2.prototype, "_collapsed", {
      get: function() {
        return this._start[0] === this._end[0] && this._start[1] === this._end[1];
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractRangeImpl2.prototype, "startContainer", {
      get: function() {
        return this._startNode;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractRangeImpl2.prototype, "startOffset", {
      get: function() {
        return this._startOffset;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractRangeImpl2.prototype, "endContainer", {
      get: function() {
        return this._endNode;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractRangeImpl2.prototype, "endOffset", {
      get: function() {
        return this._endOffset;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(AbstractRangeImpl2.prototype, "collapsed", {
      get: function() {
        return this._collapsed;
      },
      enumerable: true,
      configurable: true
    });
    return AbstractRangeImpl2;
  }();
  exports.AbstractRangeImpl = AbstractRangeImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/RangeImpl.js
var require_RangeImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var interfaces_1 = require_interfaces2();
  var AbstractRangeImpl_1 = require_AbstractRangeImpl();
  var DOMException_1 = require_DOMException();
  var algorithm_1 = require_algorithm();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var util_1 = require_util();
  var RangeImpl = function(_super) {
    __extends(RangeImpl2, _super);
    function RangeImpl2() {
      var _this = _super.call(this) || this;
      var doc = DOMImpl_1.dom.window._associatedDocument;
      _this._start = [doc, 0];
      _this._end = [doc, 0];
      DOMImpl_1.dom.rangeList.add(_this);
      return _this;
    }
    Object.defineProperty(RangeImpl2.prototype, "commonAncestorContainer", {
      get: function() {
        var container = this._start[0];
        while (!algorithm_1.tree_isAncestorOf(this._end[0], container, true)) {
          if (container._parent === null) {
            throw new Error("Parent node  is null.");
          }
          container = container._parent;
        }
        return container;
      },
      enumerable: true,
      configurable: true
    });
    RangeImpl2.prototype.setStart = function(node, offset) {
      algorithm_1.range_setTheStart(this, node, offset);
    };
    RangeImpl2.prototype.setEnd = function(node, offset) {
      algorithm_1.range_setTheEnd(this, node, offset);
    };
    RangeImpl2.prototype.setStartBefore = function(node) {
      var parent = node._parent;
      if (parent === null)
        throw new DOMException_1.InvalidNodeTypeError;
      algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node));
    };
    RangeImpl2.prototype.setStartAfter = function(node) {
      var parent = node._parent;
      if (parent === null)
        throw new DOMException_1.InvalidNodeTypeError;
      algorithm_1.range_setTheStart(this, parent, algorithm_1.tree_index(node) + 1);
    };
    RangeImpl2.prototype.setEndBefore = function(node) {
      var parent = node._parent;
      if (parent === null)
        throw new DOMException_1.InvalidNodeTypeError;
      algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node));
    };
    RangeImpl2.prototype.setEndAfter = function(node) {
      var parent = node._parent;
      if (parent === null)
        throw new DOMException_1.InvalidNodeTypeError;
      algorithm_1.range_setTheEnd(this, parent, algorithm_1.tree_index(node) + 1);
    };
    RangeImpl2.prototype.collapse = function(toStart) {
      if (toStart) {
        this._end = this._start;
      } else {
        this._start = this._end;
      }
    };
    RangeImpl2.prototype.selectNode = function(node) {
      algorithm_1.range_select(node, this);
    };
    RangeImpl2.prototype.selectNodeContents = function(node) {
      if (util_1.Guard.isDocumentTypeNode(node))
        throw new DOMException_1.InvalidNodeTypeError;
      var length = algorithm_1.tree_nodeLength(node);
      this._start = [node, 0];
      this._end = [node, length];
    };
    RangeImpl2.prototype.compareBoundaryPoints = function(how, sourceRange) {
      if (how !== interfaces_1.HowToCompare.StartToStart && how !== interfaces_1.HowToCompare.StartToEnd && how !== interfaces_1.HowToCompare.EndToEnd && how !== interfaces_1.HowToCompare.EndToStart)
        throw new DOMException_1.NotSupportedError;
      if (algorithm_1.range_root(this) !== algorithm_1.range_root(sourceRange))
        throw new DOMException_1.WrongDocumentError;
      var thisPoint;
      var otherPoint;
      switch (how) {
        case interfaces_1.HowToCompare.StartToStart:
          thisPoint = this._start;
          otherPoint = sourceRange._start;
          break;
        case interfaces_1.HowToCompare.StartToEnd:
          thisPoint = this._end;
          otherPoint = sourceRange._start;
          break;
        case interfaces_1.HowToCompare.EndToEnd:
          thisPoint = this._end;
          otherPoint = sourceRange._end;
          break;
        case interfaces_1.HowToCompare.EndToStart:
          thisPoint = this._start;
          otherPoint = sourceRange._end;
          break;
        default:
          throw new DOMException_1.NotSupportedError;
      }
      var position = algorithm_1.boundaryPoint_position(thisPoint, otherPoint);
      if (position === interfaces_1.BoundaryPosition.Before) {
        return -1;
      } else if (position === interfaces_1.BoundaryPosition.After) {
        return 1;
      } else {
        return 0;
      }
    };
    RangeImpl2.prototype.deleteContents = function() {
      var e_1, _a, e_2, _b;
      if (algorithm_1.range_collapsed(this))
        return;
      var originalStartNode = this._startNode;
      var originalStartOffset = this._startOffset;
      var originalEndNode = this._endNode;
      var originalEndOffset = this._endOffset;
      if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
        algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
        return;
      }
      var nodesToRemove = [];
      try {
        for (var _c = __values(algorithm_1.range_getContainedNodes(this)), _d = _c.next();!_d.done; _d = _c.next()) {
          var node = _d.value;
          var parent = node._parent;
          if (parent !== null && algorithm_1.range_isContained(parent, this)) {
            continue;
          }
          nodesToRemove.push(node);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_d && !_d.done && (_a = _c.return))
            _a.call(_c);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      var newNode;
      var newOffset;
      if (algorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
        newNode = originalStartNode;
        newOffset = originalStartOffset;
      } else {
        var referenceNode = originalStartNode;
        while (referenceNode._parent !== null && !algorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent, true)) {
          referenceNode = referenceNode._parent;
        }
        if (referenceNode._parent === null) {
          throw new Error("Parent node is null.");
        }
        newNode = referenceNode._parent;
        newOffset = algorithm_1.tree_index(referenceNode) + 1;
      }
      if (util_1.Guard.isCharacterDataNode(originalStartNode)) {
        algorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, algorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
      }
      try {
        for (var nodesToRemove_1 = __values(nodesToRemove), nodesToRemove_1_1 = nodesToRemove_1.next();!nodesToRemove_1_1.done; nodesToRemove_1_1 = nodesToRemove_1.next()) {
          var node = nodesToRemove_1_1.value;
          if (node._parent) {
            algorithm_1.mutation_remove(node, node._parent);
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (nodesToRemove_1_1 && !nodesToRemove_1_1.done && (_b = nodesToRemove_1.return))
            _b.call(nodesToRemove_1);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      if (util_1.Guard.isCharacterDataNode(originalEndNode)) {
        algorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
      }
      this._start = [newNode, newOffset];
      this._end = [newNode, newOffset];
    };
    RangeImpl2.prototype.extractContents = function() {
      return algorithm_1.range_extract(this);
    };
    RangeImpl2.prototype.cloneContents = function() {
      return algorithm_1.range_cloneTheContents(this);
    };
    RangeImpl2.prototype.insertNode = function(node) {
      return algorithm_1.range_insert(node, this);
    };
    RangeImpl2.prototype.surroundContents = function(newParent) {
      var e_3, _a;
      try {
        for (var _b = __values(algorithm_1.range_getPartiallyContainedNodes(this)), _c = _b.next();!_c.done; _c = _b.next()) {
          var node = _c.value;
          if (!util_1.Guard.isTextNode(node)) {
            throw new DOMException_1.InvalidStateError;
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      if (util_1.Guard.isDocumentNode(newParent) || util_1.Guard.isDocumentTypeNode(newParent) || util_1.Guard.isDocumentFragmentNode(newParent)) {
        throw new DOMException_1.InvalidNodeTypeError;
      }
      var fragment = algorithm_1.range_extract(this);
      if (newParent._children.size !== 0) {
        algorithm_1.mutation_replaceAll(null, newParent);
      }
      algorithm_1.range_insert(newParent, this);
      algorithm_1.mutation_append(fragment, newParent);
      algorithm_1.range_select(newParent, this);
    };
    RangeImpl2.prototype.cloneRange = function() {
      return algorithm_1.create_range(this._start, this._end);
    };
    RangeImpl2.prototype.detach = function() {
      DOMImpl_1.dom.rangeList.delete(this);
    };
    RangeImpl2.prototype.isPointInRange = function(node, offset) {
      if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
        return false;
      }
      if (util_1.Guard.isDocumentTypeNode(node))
        throw new DOMException_1.InvalidNodeTypeError;
      if (offset > algorithm_1.tree_nodeLength(node))
        throw new DOMException_1.IndexSizeError;
      var bp = [node, offset];
      if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before || algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
        return false;
      }
      return true;
    };
    RangeImpl2.prototype.comparePoint = function(node, offset) {
      if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this))
        throw new DOMException_1.WrongDocumentError;
      if (util_1.Guard.isDocumentTypeNode(node))
        throw new DOMException_1.InvalidNodeTypeError;
      if (offset > algorithm_1.tree_nodeLength(node))
        throw new DOMException_1.IndexSizeError;
      var bp = [node, offset];
      if (algorithm_1.boundaryPoint_position(bp, this._start) === interfaces_1.BoundaryPosition.Before) {
        return -1;
      } else if (algorithm_1.boundaryPoint_position(bp, this._end) === interfaces_1.BoundaryPosition.After) {
        return 1;
      } else {
        return 0;
      }
    };
    RangeImpl2.prototype.intersectsNode = function(node) {
      if (algorithm_1.tree_rootNode(node) !== algorithm_1.range_root(this)) {
        return false;
      }
      var parent = node._parent;
      if (parent === null)
        return true;
      var offset = algorithm_1.tree_index(node);
      if (algorithm_1.boundaryPoint_position([parent, offset], this._end) === interfaces_1.BoundaryPosition.Before && algorithm_1.boundaryPoint_position([parent, offset + 1], this._start) === interfaces_1.BoundaryPosition.After) {
        return true;
      }
      return false;
    };
    RangeImpl2.prototype.toString = function() {
      var e_4, _a;
      var s = "";
      if (this._startNode === this._endNode && util_1.Guard.isTextNode(this._startNode)) {
        return this._startNode._data.substring(this._startOffset, this._endOffset);
      }
      if (util_1.Guard.isTextNode(this._startNode)) {
        s += this._startNode._data.substring(this._startOffset);
      }
      try {
        for (var _b = __values(algorithm_1.range_getContainedNodes(this)), _c = _b.next();!_c.done; _c = _b.next()) {
          var child2 = _c.value;
          if (util_1.Guard.isTextNode(child2)) {
            s += child2._data;
          }
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      if (util_1.Guard.isTextNode(this._endNode)) {
        s += this._endNode._data.substring(0, this._endOffset);
      }
      return s;
    };
    RangeImpl2._create = function(start, end) {
      var range = new RangeImpl2;
      if (start)
        range._start = start;
      if (end)
        range._end = end;
      return range;
    };
    RangeImpl2.START_TO_START = 0;
    RangeImpl2.START_TO_END = 1;
    RangeImpl2.END_TO_END = 2;
    RangeImpl2.END_TO_START = 3;
    return RangeImpl2;
  }(AbstractRangeImpl_1.AbstractRangeImpl);
  exports.RangeImpl = RangeImpl;
  WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_START", 0);
  WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "START_TO_END", 1);
  WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_END", 2);
  WebIDLAlgorithm_1.idl_defineConst(RangeImpl.prototype, "END_TO_START", 3);
});

// ../../node_modules/@oozcitak/dom/lib/dom/TraverserImpl.js
var require_TraverserImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var TraverserImpl = function() {
    function TraverserImpl2(root) {
      this._activeFlag = false;
      this._root = root;
      this._whatToShow = interfaces_1.WhatToShow.All;
      this._filter = null;
    }
    Object.defineProperty(TraverserImpl2.prototype, "root", {
      get: function() {
        return this._root;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(TraverserImpl2.prototype, "whatToShow", {
      get: function() {
        return this._whatToShow;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(TraverserImpl2.prototype, "filter", {
      get: function() {
        return this._filter;
      },
      enumerable: true,
      configurable: true
    });
    return TraverserImpl2;
  }();
  exports.TraverserImpl = TraverserImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/NodeIteratorImpl.js
var require_NodeIteratorImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var TraverserImpl_1 = require_TraverserImpl();
  var algorithm_1 = require_algorithm();
  var NodeIteratorImpl = function(_super) {
    __extends(NodeIteratorImpl2, _super);
    function NodeIteratorImpl2(root, reference, pointerBeforeReference) {
      var _this = _super.call(this, root) || this;
      _this._iteratorCollection = undefined;
      _this._reference = reference;
      _this._pointerBeforeReference = pointerBeforeReference;
      algorithm_1.nodeIterator_iteratorList().add(_this);
      return _this;
    }
    Object.defineProperty(NodeIteratorImpl2.prototype, "referenceNode", {
      get: function() {
        return this._reference;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NodeIteratorImpl2.prototype, "pointerBeforeReferenceNode", {
      get: function() {
        return this._pointerBeforeReference;
      },
      enumerable: true,
      configurable: true
    });
    NodeIteratorImpl2.prototype.nextNode = function() {
      return algorithm_1.nodeIterator_traverse(this, true);
    };
    NodeIteratorImpl2.prototype.previousNode = function() {
      return algorithm_1.nodeIterator_traverse(this, false);
    };
    NodeIteratorImpl2.prototype.detach = function() {
      algorithm_1.nodeIterator_iteratorList().delete(this);
    };
    NodeIteratorImpl2._create = function(root, reference, pointerBeforeReference) {
      return new NodeIteratorImpl2(root, reference, pointerBeforeReference);
    };
    return NodeIteratorImpl2;
  }(TraverserImpl_1.TraverserImpl);
  exports.NodeIteratorImpl = NodeIteratorImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/TreeWalkerImpl.js
var require_TreeWalkerImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var TraverserImpl_1 = require_TraverserImpl();
  var algorithm_1 = require_algorithm();
  var TreeWalkerImpl = function(_super) {
    __extends(TreeWalkerImpl2, _super);
    function TreeWalkerImpl2(root, current) {
      var _this = _super.call(this, root) || this;
      _this._current = current;
      return _this;
    }
    Object.defineProperty(TreeWalkerImpl2.prototype, "currentNode", {
      get: function() {
        return this._current;
      },
      set: function(value) {
        this._current = value;
      },
      enumerable: true,
      configurable: true
    });
    TreeWalkerImpl2.prototype.parentNode = function() {
      var node = this._current;
      while (node !== null && node !== this._root) {
        node = node._parent;
        if (node !== null && algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
          this._current = node;
          return node;
        }
      }
      return null;
    };
    TreeWalkerImpl2.prototype.firstChild = function() {
      return algorithm_1.treeWalker_traverseChildren(this, true);
    };
    TreeWalkerImpl2.prototype.lastChild = function() {
      return algorithm_1.treeWalker_traverseChildren(this, false);
    };
    TreeWalkerImpl2.prototype.nextSibling = function() {
      return algorithm_1.treeWalker_traverseSiblings(this, true);
    };
    TreeWalkerImpl2.prototype.previousNode = function() {
      var node = this._current;
      while (node !== this._root) {
        var sibling = node._previousSibling;
        while (sibling) {
          node = sibling;
          var result = algorithm_1.traversal_filter(this, node);
          while (result !== interfaces_1.FilterResult.Reject && node._lastChild) {
            node = node._lastChild;
            result = algorithm_1.traversal_filter(this, node);
          }
          if (result === interfaces_1.FilterResult.Accept) {
            this._current = node;
            return node;
          }
          sibling = node._previousSibling;
        }
        if (node === this._root || node._parent === null) {
          return null;
        }
        node = node._parent;
        if (algorithm_1.traversal_filter(this, node) === interfaces_1.FilterResult.Accept) {
          this._current = node;
          return node;
        }
      }
      return null;
    };
    TreeWalkerImpl2.prototype.previousSibling = function() {
      return algorithm_1.treeWalker_traverseSiblings(this, false);
    };
    TreeWalkerImpl2.prototype.nextNode = function() {
      var node = this._current;
      var result = interfaces_1.FilterResult.Accept;
      while (true) {
        while (result !== interfaces_1.FilterResult.Reject && node._firstChild) {
          node = node._firstChild;
          result = algorithm_1.traversal_filter(this, node);
          if (result === interfaces_1.FilterResult.Accept) {
            this._current = node;
            return node;
          }
        }
        var sibling = null;
        var temporary = node;
        while (temporary !== null) {
          if (temporary === this._root) {
            return null;
          }
          sibling = temporary._nextSibling;
          if (sibling !== null) {
            node = sibling;
            break;
          }
          temporary = temporary._parent;
        }
        result = algorithm_1.traversal_filter(this, node);
        if (result === interfaces_1.FilterResult.Accept) {
          this._current = node;
          return node;
        }
      }
    };
    TreeWalkerImpl2._create = function(root, current) {
      return new TreeWalkerImpl2(root, current);
    };
    return TreeWalkerImpl2;
  }(TraverserImpl_1.TraverserImpl);
  exports.TreeWalkerImpl = TreeWalkerImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/NodeFilterImpl.js
var require_NodeFilterImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var NodeFilterImpl = function() {
    function NodeFilterImpl2() {
    }
    NodeFilterImpl2.prototype.acceptNode = function(node) {
      return interfaces_1.FilterResult.Accept;
    };
    NodeFilterImpl2._create = function() {
      return new NodeFilterImpl2;
    };
    NodeFilterImpl2.FILTER_ACCEPT = 1;
    NodeFilterImpl2.FILTER_REJECT = 2;
    NodeFilterImpl2.FILTER_SKIP = 3;
    NodeFilterImpl2.SHOW_ALL = 4294967295;
    NodeFilterImpl2.SHOW_ELEMENT = 1;
    NodeFilterImpl2.SHOW_ATTRIBUTE = 2;
    NodeFilterImpl2.SHOW_TEXT = 4;
    NodeFilterImpl2.SHOW_CDATA_SECTION = 8;
    NodeFilterImpl2.SHOW_ENTITY_REFERENCE = 16;
    NodeFilterImpl2.SHOW_ENTITY = 32;
    NodeFilterImpl2.SHOW_PROCESSING_INSTRUCTION = 64;
    NodeFilterImpl2.SHOW_COMMENT = 128;
    NodeFilterImpl2.SHOW_DOCUMENT = 256;
    NodeFilterImpl2.SHOW_DOCUMENT_TYPE = 512;
    NodeFilterImpl2.SHOW_DOCUMENT_FRAGMENT = 1024;
    NodeFilterImpl2.SHOW_NOTATION = 2048;
    return NodeFilterImpl2;
  }();
  exports.NodeFilterImpl = NodeFilterImpl;
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_ACCEPT", 1);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_REJECT", 2);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "FILTER_SKIP", 3);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ALL", 4294967295);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ELEMENT", 1);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ATTRIBUTE", 2);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_TEXT", 4);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_CDATA_SECTION", 8);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY_REFERENCE", 16);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_ENTITY", 32);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_PROCESSING_INSTRUCTION", 64);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_COMMENT", 128);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT", 256);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_TYPE", 512);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_DOCUMENT_FRAGMENT", 1024);
  WebIDLAlgorithm_1.idl_defineConst(NodeFilterImpl.prototype, "SHOW_NOTATION", 2048);
});

// ../../node_modules/@oozcitak/dom/lib/dom/MutationRecordImpl.js
var require_MutationRecordImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var MutationRecordImpl = function() {
    function MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
      this._type = type;
      this._target = target;
      this._addedNodes = addedNodes;
      this._removedNodes = removedNodes;
      this._previousSibling = previousSibling;
      this._nextSibling = nextSibling;
      this._attributeName = attributeName;
      this._attributeNamespace = attributeNamespace;
      this._oldValue = oldValue;
    }
    Object.defineProperty(MutationRecordImpl2.prototype, "type", {
      get: function() {
        return this._type;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MutationRecordImpl2.prototype, "target", {
      get: function() {
        return this._target;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MutationRecordImpl2.prototype, "addedNodes", {
      get: function() {
        return this._addedNodes;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MutationRecordImpl2.prototype, "removedNodes", {
      get: function() {
        return this._removedNodes;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MutationRecordImpl2.prototype, "previousSibling", {
      get: function() {
        return this._previousSibling;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MutationRecordImpl2.prototype, "nextSibling", {
      get: function() {
        return this._nextSibling;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MutationRecordImpl2.prototype, "attributeName", {
      get: function() {
        return this._attributeName;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MutationRecordImpl2.prototype, "attributeNamespace", {
      get: function() {
        return this._attributeNamespace;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(MutationRecordImpl2.prototype, "oldValue", {
      get: function() {
        return this._oldValue;
      },
      enumerable: true,
      configurable: true
    });
    MutationRecordImpl2._create = function(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
      return new MutationRecordImpl2(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
    };
    return MutationRecordImpl2;
  }();
  exports.MutationRecordImpl = MutationRecordImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/DOMTokenListImpl.js
var require_DOMTokenListImpl = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var DOMException_1 = require_DOMException();
  var infra_1 = require_lib2();
  var algorithm_1 = require_algorithm();
  var DOMTokenListImpl = function() {
    function DOMTokenListImpl2(element, attribute) {
      this._element = element;
      this._attribute = attribute;
      this._tokenSet = new Set;
      var localName = attribute._localName;
      var value = algorithm_1.element_getAnAttributeValue(element, localName);
      var thisObj = this;
      function updateTokenSet(element2, localName2, oldValue, value2, namespace) {
        if (localName2 === thisObj._attribute._localName && namespace === null) {
          if (!value2)
            thisObj._tokenSet.clear();
          else
            thisObj._tokenSet = algorithm_1.orderedSet_parse(value2);
        }
      }
      this._element._attributeChangeSteps.push(updateTokenSet);
      if (DOMImpl_1.dom.features.steps) {
        algorithm_1.dom_runAttributeChangeSteps(element, localName, value, value, null);
      }
    }
    Object.defineProperty(DOMTokenListImpl2.prototype, "length", {
      get: function() {
        return this._tokenSet.size;
      },
      enumerable: true,
      configurable: true
    });
    DOMTokenListImpl2.prototype.item = function(index) {
      var e_1, _a;
      var i = 0;
      try {
        for (var _b = __values(this._tokenSet), _c = _b.next();!_c.done; _c = _b.next()) {
          var token = _c.value;
          if (i === index)
            return token;
          i++;
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      return null;
    };
    DOMTokenListImpl2.prototype.contains = function(token) {
      return this._tokenSet.has(token);
    };
    DOMTokenListImpl2.prototype.add = function() {
      var e_2, _a;
      var tokens = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        tokens[_i] = arguments[_i];
      }
      try {
        for (var tokens_1 = __values(tokens), tokens_1_1 = tokens_1.next();!tokens_1_1.done; tokens_1_1 = tokens_1.next()) {
          var token = tokens_1_1.value;
          if (token === "") {
            throw new DOMException_1.SyntaxError("Cannot add an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          } else {
            this._tokenSet.add(token);
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (tokens_1_1 && !tokens_1_1.done && (_a = tokens_1.return))
            _a.call(tokens_1);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      algorithm_1.tokenList_updateSteps(this);
    };
    DOMTokenListImpl2.prototype.remove = function() {
      var e_3, _a;
      var tokens = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        tokens[_i] = arguments[_i];
      }
      try {
        for (var tokens_2 = __values(tokens), tokens_2_1 = tokens_2.next();!tokens_2_1.done; tokens_2_1 = tokens_2.next()) {
          var token = tokens_2_1.value;
          if (token === "") {
            throw new DOMException_1.SyntaxError("Cannot remove an empty token.");
          } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
            throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
          } else {
            this._tokenSet.delete(token);
          }
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (tokens_2_1 && !tokens_2_1.done && (_a = tokens_2.return))
            _a.call(tokens_2);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      algorithm_1.tokenList_updateSteps(this);
    };
    DOMTokenListImpl2.prototype.toggle = function(token, force) {
      if (force === undefined) {
        force = undefined;
      }
      if (token === "") {
        throw new DOMException_1.SyntaxError("Cannot toggle an empty token.");
      } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token)) {
        throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
      }
      if (this._tokenSet.has(token)) {
        if (force === undefined || force === false) {
          this._tokenSet.delete(token);
          algorithm_1.tokenList_updateSteps(this);
          return false;
        }
        return true;
      }
      if (force === undefined || force === true) {
        this._tokenSet.add(token);
        algorithm_1.tokenList_updateSteps(this);
        return true;
      }
      return false;
    };
    DOMTokenListImpl2.prototype.replace = function(token, newToken) {
      if (token === "" || newToken === "") {
        throw new DOMException_1.SyntaxError("Cannot replace an empty token.");
      } else if (infra_1.codePoint.ASCIIWhiteSpace.test(token) || infra_1.codePoint.ASCIIWhiteSpace.test(newToken)) {
        throw new DOMException_1.InvalidCharacterError("Token cannot contain whitespace.");
      }
      if (!this._tokenSet.has(token))
        return false;
      infra_1.set.replace(this._tokenSet, token, newToken);
      algorithm_1.tokenList_updateSteps(this);
      return true;
    };
    DOMTokenListImpl2.prototype.supports = function(token) {
      return algorithm_1.tokenList_validationSteps(this, token);
    };
    Object.defineProperty(DOMTokenListImpl2.prototype, "value", {
      get: function() {
        return algorithm_1.tokenList_serializeSteps(this);
      },
      set: function(value) {
        algorithm_1.element_setAnAttributeValue(this._element, this._attribute._localName, value);
      },
      enumerable: true,
      configurable: true
    });
    DOMTokenListImpl2.prototype[Symbol.iterator] = function() {
      var it = this._tokenSet[Symbol.iterator]();
      return {
        next: function() {
          return it.next();
        }
      };
    };
    DOMTokenListImpl2._create = function(element, attribute) {
      return new DOMTokenListImpl2(element, attribute);
    };
    return DOMTokenListImpl2;
  }();
  exports.DOMTokenListImpl = DOMTokenListImpl;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/CreateAlgorithm.js
var require_CreateAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImplementationImpl_1 = require_DOMImplementationImpl();
  var WindowImpl_1 = require_WindowImpl();
  var XMLDocumentImpl_1 = require_XMLDocumentImpl();
  var DocumentImpl_1 = require_DocumentImpl();
  var AbortControllerImpl_1 = require_AbortControllerImpl();
  var AbortSignalImpl_1 = require_AbortSignalImpl();
  var DocumentTypeImpl_1 = require_DocumentTypeImpl();
  var ElementImpl_1 = require_ElementImpl();
  var DocumentFragmentImpl_1 = require_DocumentFragmentImpl();
  var ShadowRootImpl_1 = require_ShadowRootImpl();
  var AttrImpl_1 = require_AttrImpl();
  var TextImpl_1 = require_TextImpl();
  var CDATASectionImpl_1 = require_CDATASectionImpl();
  var CommentImpl_1 = require_CommentImpl();
  var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl();
  var HTMLCollectionImpl_1 = require_HTMLCollectionImpl();
  var NodeListImpl_1 = require_NodeListImpl();
  var NodeListStaticImpl_1 = require_NodeListStaticImpl();
  var NamedNodeMapImpl_1 = require_NamedNodeMapImpl();
  var RangeImpl_1 = require_RangeImpl();
  var NodeIteratorImpl_1 = require_NodeIteratorImpl();
  var TreeWalkerImpl_1 = require_TreeWalkerImpl();
  var NodeFilterImpl_1 = require_NodeFilterImpl();
  var MutationRecordImpl_1 = require_MutationRecordImpl();
  var DOMTokenListImpl_1 = require_DOMTokenListImpl();
  function create_domImplementation(document2) {
    return DOMImplementationImpl_1.DOMImplementationImpl._create(document2);
  }
  exports.create_domImplementation = create_domImplementation;
  function create_window() {
    return WindowImpl_1.WindowImpl._create();
  }
  exports.create_window = create_window;
  function create_xmlDocument() {
    return new XMLDocumentImpl_1.XMLDocumentImpl;
  }
  exports.create_xmlDocument = create_xmlDocument;
  function create_document() {
    return new DocumentImpl_1.DocumentImpl;
  }
  exports.create_document = create_document;
  function create_abortController() {
    return new AbortControllerImpl_1.AbortControllerImpl;
  }
  exports.create_abortController = create_abortController;
  function create_abortSignal() {
    return AbortSignalImpl_1.AbortSignalImpl._create();
  }
  exports.create_abortSignal = create_abortSignal;
  function create_documentType(document2, name, publicId, systemId) {
    return DocumentTypeImpl_1.DocumentTypeImpl._create(document2, name, publicId, systemId);
  }
  exports.create_documentType = create_documentType;
  function create_element(document2, localName, namespace, prefix) {
    return ElementImpl_1.ElementImpl._create(document2, localName, namespace, prefix);
  }
  exports.create_element = create_element;
  function create_htmlElement(document2, localName, namespace, prefix) {
    return ElementImpl_1.ElementImpl._create(document2, localName, namespace, prefix);
  }
  exports.create_htmlElement = create_htmlElement;
  function create_htmlUnknownElement(document2, localName, namespace, prefix) {
    return ElementImpl_1.ElementImpl._create(document2, localName, namespace, prefix);
  }
  exports.create_htmlUnknownElement = create_htmlUnknownElement;
  function create_documentFragment(document2) {
    return DocumentFragmentImpl_1.DocumentFragmentImpl._create(document2);
  }
  exports.create_documentFragment = create_documentFragment;
  function create_shadowRoot(document2, host) {
    return ShadowRootImpl_1.ShadowRootImpl._create(document2, host);
  }
  exports.create_shadowRoot = create_shadowRoot;
  function create_attr(document2, localName) {
    return AttrImpl_1.AttrImpl._create(document2, localName);
  }
  exports.create_attr = create_attr;
  function create_text(document2, data) {
    return TextImpl_1.TextImpl._create(document2, data);
  }
  exports.create_text = create_text;
  function create_cdataSection(document2, data) {
    return CDATASectionImpl_1.CDATASectionImpl._create(document2, data);
  }
  exports.create_cdataSection = create_cdataSection;
  function create_comment(document2, data) {
    return CommentImpl_1.CommentImpl._create(document2, data);
  }
  exports.create_comment = create_comment;
  function create_processingInstruction(document2, target, data) {
    return ProcessingInstructionImpl_1.ProcessingInstructionImpl._create(document2, target, data);
  }
  exports.create_processingInstruction = create_processingInstruction;
  function create_htmlCollection(root, filter) {
    if (filter === undefined) {
      filter = function() {
        return true;
      };
    }
    return HTMLCollectionImpl_1.HTMLCollectionImpl._create(root, filter);
  }
  exports.create_htmlCollection = create_htmlCollection;
  function create_nodeList(root) {
    return NodeListImpl_1.NodeListImpl._create(root);
  }
  exports.create_nodeList = create_nodeList;
  function create_nodeListStatic(root, items) {
    return NodeListStaticImpl_1.NodeListStaticImpl._create(root, items);
  }
  exports.create_nodeListStatic = create_nodeListStatic;
  function create_namedNodeMap(element) {
    return NamedNodeMapImpl_1.NamedNodeMapImpl._create(element);
  }
  exports.create_namedNodeMap = create_namedNodeMap;
  function create_range(start, end) {
    return RangeImpl_1.RangeImpl._create(start, end);
  }
  exports.create_range = create_range;
  function create_nodeIterator(root, reference, pointerBeforeReference) {
    return NodeIteratorImpl_1.NodeIteratorImpl._create(root, reference, pointerBeforeReference);
  }
  exports.create_nodeIterator = create_nodeIterator;
  function create_treeWalker(root, current) {
    return TreeWalkerImpl_1.TreeWalkerImpl._create(root, current);
  }
  exports.create_treeWalker = create_treeWalker;
  function create_nodeFilter() {
    return NodeFilterImpl_1.NodeFilterImpl._create();
  }
  exports.create_nodeFilter = create_nodeFilter;
  function create_mutationRecord(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue) {
    return MutationRecordImpl_1.MutationRecordImpl._create(type, target, addedNodes, removedNodes, previousSibling, nextSibling, attributeName, attributeNamespace, oldValue);
  }
  exports.create_mutationRecord = create_mutationRecord;
  function create_domTokenList(element, attribute) {
    return DOMTokenListImpl_1.DOMTokenListImpl._create(element, attribute);
  }
  exports.create_domTokenList = create_domTokenList;
});

// ../../node_modules/@oozcitak/dom/lib/dom/DOMImpl.js
var require_DOMImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  var CreateAlgorithm_1 = require_CreateAlgorithm();
  var DOMImpl = function() {
    function DOMImpl2() {
      this._features = {
        mutationObservers: true,
        customElements: true,
        slots: true,
        steps: true
      };
      this._window = null;
      this._compareCache = new util_1.CompareCache;
      this._rangeList = new util_1.FixedSizeSet;
    }
    DOMImpl2.prototype.setFeatures = function(features) {
      if (features === undefined)
        features = true;
      if (util_1.isObject(features)) {
        for (var key in features) {
          this._features[key] = features[key] || false;
        }
      } else {
        for (var key in this._features) {
          this._features[key] = features;
        }
      }
    };
    Object.defineProperty(DOMImpl2.prototype, "features", {
      get: function() {
        return this._features;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DOMImpl2.prototype, "window", {
      get: function() {
        if (this._window === null) {
          this._window = CreateAlgorithm_1.create_window();
        }
        return this._window;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DOMImpl2.prototype, "compareCache", {
      get: function() {
        return this._compareCache;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DOMImpl2.prototype, "rangeList", {
      get: function() {
        return this._rangeList;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(DOMImpl2, "instance", {
      get: function() {
        if (!DOMImpl2._instance) {
          DOMImpl2._instance = new DOMImpl2;
        }
        return DOMImpl2._instance;
      },
      enumerable: true,
      configurable: true
    });
    return DOMImpl2;
  }();
  exports.dom = DOMImpl.instance;
});

// ../../node_modules/@oozcitak/dom/lib/dom/EventImpl.js
var require_EventImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var algorithm_1 = require_algorithm();
  var WebIDLAlgorithm_1 = require_WebIDLAlgorithm();
  var EventImpl = function() {
    function EventImpl2(type, eventInit) {
      this._target = null;
      this._relatedTarget = null;
      this._touchTargetList = [];
      this._path = [];
      this._currentTarget = null;
      this._eventPhase = interfaces_1.EventPhase.None;
      this._stopPropagationFlag = false;
      this._stopImmediatePropagationFlag = false;
      this._canceledFlag = false;
      this._inPassiveListenerFlag = false;
      this._composedFlag = false;
      this._initializedFlag = false;
      this._dispatchFlag = false;
      this._isTrusted = false;
      this._bubbles = false;
      this._cancelable = false;
      this._type = type;
      if (eventInit) {
        this._bubbles = eventInit.bubbles || false;
        this._cancelable = eventInit.cancelable || false;
        this._composedFlag = eventInit.composed || false;
      }
      this._initializedFlag = true;
      this._timeStamp = new Date().getTime();
    }
    Object.defineProperty(EventImpl2.prototype, "type", {
      get: function() {
        return this._type;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EventImpl2.prototype, "target", {
      get: function() {
        return this._target;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EventImpl2.prototype, "srcElement", {
      get: function() {
        return this._target;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EventImpl2.prototype, "currentTarget", {
      get: function() {
        return this._currentTarget;
      },
      enumerable: true,
      configurable: true
    });
    EventImpl2.prototype.composedPath = function() {
      var composedPath = [];
      var path = this._path;
      if (path.length === 0)
        return composedPath;
      var currentTarget = this._currentTarget;
      if (currentTarget === null) {
        throw new Error("Event currentTarget is null.");
      }
      composedPath.push(currentTarget);
      var currentTargetIndex = 0;
      var currentTargetHiddenSubtreeLevel = 0;
      var index = path.length - 1;
      while (index >= 0) {
        if (path[index].rootOfClosedTree) {
          currentTargetHiddenSubtreeLevel++;
        }
        if (path[index].invocationTarget === currentTarget) {
          currentTargetIndex = index;
          break;
        }
        if (path[index].slotInClosedTree) {
          currentTargetHiddenSubtreeLevel--;
        }
        index--;
      }
      var currentHiddenLevel = currentTargetHiddenSubtreeLevel;
      var maxHiddenLevel = currentTargetHiddenSubtreeLevel;
      index = currentTargetIndex - 1;
      while (index >= 0) {
        if (path[index].rootOfClosedTree) {
          currentHiddenLevel++;
        }
        if (currentHiddenLevel <= maxHiddenLevel) {
          composedPath.unshift(path[index].invocationTarget);
        }
        if (path[index].slotInClosedTree) {
          currentHiddenLevel--;
          if (currentHiddenLevel < maxHiddenLevel) {
            maxHiddenLevel = currentHiddenLevel;
          }
        }
        index--;
      }
      currentHiddenLevel = currentTargetHiddenSubtreeLevel;
      maxHiddenLevel = currentTargetHiddenSubtreeLevel;
      index = currentTargetIndex + 1;
      while (index < path.length) {
        if (path[index].slotInClosedTree) {
          currentHiddenLevel++;
        }
        if (currentHiddenLevel <= maxHiddenLevel) {
          composedPath.push(path[index].invocationTarget);
        }
        if (path[index].rootOfClosedTree) {
          currentHiddenLevel--;
          if (currentHiddenLevel < maxHiddenLevel) {
            maxHiddenLevel = currentHiddenLevel;
          }
        }
        index++;
      }
      return composedPath;
    };
    Object.defineProperty(EventImpl2.prototype, "eventPhase", {
      get: function() {
        return this._eventPhase;
      },
      enumerable: true,
      configurable: true
    });
    EventImpl2.prototype.stopPropagation = function() {
      this._stopPropagationFlag = true;
    };
    Object.defineProperty(EventImpl2.prototype, "cancelBubble", {
      get: function() {
        return this._stopPropagationFlag;
      },
      set: function(value) {
        if (value)
          this.stopPropagation();
      },
      enumerable: true,
      configurable: true
    });
    EventImpl2.prototype.stopImmediatePropagation = function() {
      this._stopPropagationFlag = true;
      this._stopImmediatePropagationFlag = true;
    };
    Object.defineProperty(EventImpl2.prototype, "bubbles", {
      get: function() {
        return this._bubbles;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EventImpl2.prototype, "cancelable", {
      get: function() {
        return this._cancelable;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EventImpl2.prototype, "returnValue", {
      get: function() {
        return !this._canceledFlag;
      },
      set: function(value) {
        if (!value) {
          algorithm_1.event_setTheCanceledFlag(this);
        }
      },
      enumerable: true,
      configurable: true
    });
    EventImpl2.prototype.preventDefault = function() {
      algorithm_1.event_setTheCanceledFlag(this);
    };
    Object.defineProperty(EventImpl2.prototype, "defaultPrevented", {
      get: function() {
        return this._canceledFlag;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EventImpl2.prototype, "composed", {
      get: function() {
        return this._composedFlag;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EventImpl2.prototype, "isTrusted", {
      get: function() {
        return this._isTrusted;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(EventImpl2.prototype, "timeStamp", {
      get: function() {
        return this._timeStamp;
      },
      enumerable: true,
      configurable: true
    });
    EventImpl2.prototype.initEvent = function(type, bubbles, cancelable) {
      if (bubbles === undefined) {
        bubbles = false;
      }
      if (cancelable === undefined) {
        cancelable = false;
      }
      if (this._dispatchFlag)
        return;
      algorithm_1.event_initialize(this, type, bubbles, cancelable);
    };
    EventImpl2.NONE = 0;
    EventImpl2.CAPTURING_PHASE = 1;
    EventImpl2.AT_TARGET = 2;
    EventImpl2.BUBBLING_PHASE = 3;
    return EventImpl2;
  }();
  exports.EventImpl = EventImpl;
  WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "NONE", 0);
  WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "CAPTURING_PHASE", 1);
  WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "AT_TARGET", 2);
  WebIDLAlgorithm_1.idl_defineConst(EventImpl.prototype, "BUBBLING_PHASE", 3);
});

// ../../node_modules/@oozcitak/dom/lib/dom/CustomEventImpl.js
var require_CustomEventImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var EventImpl_1 = require_EventImpl();
  var algorithm_1 = require_algorithm();
  var CustomEventImpl = function(_super) {
    __extends(CustomEventImpl2, _super);
    function CustomEventImpl2(type, eventInit) {
      var _this = _super.call(this, type, eventInit) || this;
      _this._detail = null;
      _this._detail = eventInit && eventInit.detail || null;
      return _this;
    }
    Object.defineProperty(CustomEventImpl2.prototype, "detail", {
      get: function() {
        return this._detail;
      },
      enumerable: true,
      configurable: true
    });
    CustomEventImpl2.prototype.initCustomEvent = function(type, bubbles, cancelable, detail) {
      if (bubbles === undefined) {
        bubbles = false;
      }
      if (cancelable === undefined) {
        cancelable = false;
      }
      if (detail === undefined) {
        detail = null;
      }
      if (this._dispatchFlag)
        return;
      algorithm_1.event_initialize(this, type, bubbles, cancelable);
      this._detail = detail;
    };
    return CustomEventImpl2;
  }(EventImpl_1.EventImpl);
  exports.CustomEventImpl = CustomEventImpl;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/TreeAlgorithm.js
var require_TreeAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_util();
  var interfaces_1 = require_interfaces2();
  function _getNextDescendantNode(root, node, shadow) {
    if (shadow === undefined) {
      shadow = false;
    }
    if (shadow && util_1.Guard.isElementNode(node) && util_1.Guard.isShadowRoot(node.shadowRoot)) {
      if (node.shadowRoot._firstChild)
        return node.shadowRoot._firstChild;
    }
    if (node._firstChild)
      return node._firstChild;
    if (node === root)
      return null;
    if (node._nextSibling)
      return node._nextSibling;
    var parent = node._parent;
    while (parent && parent !== root) {
      if (parent._nextSibling)
        return parent._nextSibling;
      parent = parent._parent;
    }
    return null;
  }
  function _emptyIterator() {
    var _a;
    return _a = {}, _a[Symbol.iterator] = function() {
      return {
        next: function() {
          return { done: true, value: null };
        }
      };
    }, _a;
  }
  function tree_getFirstDescendantNode(node, self2, shadow, filter) {
    if (self2 === undefined) {
      self2 = false;
    }
    if (shadow === undefined) {
      shadow = false;
    }
    var firstNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
    while (firstNode && filter && !filter(firstNode)) {
      firstNode = _getNextDescendantNode(node, firstNode, shadow);
    }
    return firstNode;
  }
  exports.tree_getFirstDescendantNode = tree_getFirstDescendantNode;
  function tree_getNextDescendantNode(node, currentNode, self2, shadow, filter) {
    if (self2 === undefined) {
      self2 = false;
    }
    if (shadow === undefined) {
      shadow = false;
    }
    var nextNode = _getNextDescendantNode(node, currentNode, shadow);
    while (nextNode && filter && !filter(nextNode)) {
      nextNode = _getNextDescendantNode(node, nextNode, shadow);
    }
    return nextNode;
  }
  exports.tree_getNextDescendantNode = tree_getNextDescendantNode;
  function tree_getDescendantNodes(node, self2, shadow, filter) {
    var _a;
    if (self2 === undefined) {
      self2 = false;
    }
    if (shadow === undefined) {
      shadow = false;
    }
    if (!self2 && node._children.size === 0) {
      return _emptyIterator();
    }
    return _a = {}, _a[Symbol.iterator] = function() {
      var currentNode = self2 ? node : _getNextDescendantNode(node, node, shadow);
      return {
        next: function() {
          while (currentNode && filter && !filter(currentNode)) {
            currentNode = _getNextDescendantNode(node, currentNode, shadow);
          }
          if (currentNode === null) {
            return { done: true, value: null };
          } else {
            var result = { done: false, value: currentNode };
            currentNode = _getNextDescendantNode(node, currentNode, shadow);
            return result;
          }
        }
      };
    }, _a;
  }
  exports.tree_getDescendantNodes = tree_getDescendantNodes;
  function tree_getDescendantElements(node, self2, shadow, filter) {
    var _a;
    if (self2 === undefined) {
      self2 = false;
    }
    if (shadow === undefined) {
      shadow = false;
    }
    if (!self2 && node._children.size === 0) {
      return _emptyIterator();
    }
    return _a = {}, _a[Symbol.iterator] = function() {
      var it = tree_getDescendantNodes(node, self2, shadow, function(e) {
        return util_1.Guard.isElementNode(e);
      })[Symbol.iterator]();
      var currentNode = it.next().value;
      return {
        next: function() {
          while (currentNode && filter && !filter(currentNode)) {
            currentNode = it.next().value;
          }
          if (currentNode === null) {
            return { done: true, value: null };
          } else {
            var result = { done: false, value: currentNode };
            currentNode = it.next().value;
            return result;
          }
        }
      };
    }, _a;
  }
  exports.tree_getDescendantElements = tree_getDescendantElements;
  function tree_getSiblingNodes(node, self2, filter) {
    var _a;
    if (self2 === undefined) {
      self2 = false;
    }
    if (!node._parent || node._parent._children.size === 0) {
      return _emptyIterator();
    }
    return _a = {}, _a[Symbol.iterator] = function() {
      var currentNode = node._parent ? node._parent._firstChild : null;
      return {
        next: function() {
          while (currentNode && (filter && !filter(currentNode) || !self2 && currentNode === node)) {
            currentNode = currentNode._nextSibling;
          }
          if (currentNode === null) {
            return { done: true, value: null };
          } else {
            var result = { done: false, value: currentNode };
            currentNode = currentNode._nextSibling;
            return result;
          }
        }
      };
    }, _a;
  }
  exports.tree_getSiblingNodes = tree_getSiblingNodes;
  function tree_getFirstAncestorNode(node, self2, filter) {
    if (self2 === undefined) {
      self2 = false;
    }
    var firstNode = self2 ? node : node._parent;
    while (firstNode && filter && !filter(firstNode)) {
      firstNode = firstNode._parent;
    }
    return firstNode;
  }
  exports.tree_getFirstAncestorNode = tree_getFirstAncestorNode;
  function tree_getNextAncestorNode(node, currentNode, self2, filter) {
    if (self2 === undefined) {
      self2 = false;
    }
    var nextNode = currentNode._parent;
    while (nextNode && filter && !filter(nextNode)) {
      nextNode = nextNode._parent;
    }
    return nextNode;
  }
  exports.tree_getNextAncestorNode = tree_getNextAncestorNode;
  function tree_getAncestorNodes(node, self2, filter) {
    var _a;
    if (self2 === undefined) {
      self2 = false;
    }
    if (!self2 && !node._parent) {
      return _emptyIterator();
    }
    return _a = {}, _a[Symbol.iterator] = function() {
      var currentNode = tree_getFirstAncestorNode(node, self2, filter);
      return {
        next: function() {
          if (currentNode === null) {
            return { done: true, value: null };
          } else {
            var result = { done: false, value: currentNode };
            currentNode = tree_getNextAncestorNode(node, currentNode, self2, filter);
            return result;
          }
        }
      };
    }, _a;
  }
  exports.tree_getAncestorNodes = tree_getAncestorNodes;
  function tree_getCommonAncestor(nodeA, nodeB) {
    if (nodeA === nodeB) {
      return nodeA._parent;
    }
    var parentsA = [];
    var parentsB = [];
    var pA = tree_getFirstAncestorNode(nodeA, true);
    while (pA !== null) {
      parentsA.push(pA);
      pA = tree_getNextAncestorNode(nodeA, pA, true);
    }
    var pB = tree_getFirstAncestorNode(nodeB, true);
    while (pB !== null) {
      parentsB.push(pB);
      pB = tree_getNextAncestorNode(nodeB, pB, true);
    }
    var pos1 = parentsA.length;
    var pos2 = parentsB.length;
    var parent = null;
    for (var i = Math.min(pos1, pos2);i > 0; i--) {
      var parent1 = parentsA[--pos1];
      var parent2 = parentsB[--pos2];
      if (parent1 !== parent2) {
        break;
      }
      parent = parent1;
    }
    return parent;
  }
  exports.tree_getCommonAncestor = tree_getCommonAncestor;
  function tree_getFollowingNode(root, node) {
    if (node._firstChild) {
      return node._firstChild;
    } else if (node._nextSibling) {
      return node._nextSibling;
    } else {
      while (true) {
        var parent = node._parent;
        if (parent === null || parent === root) {
          return null;
        } else if (parent._nextSibling) {
          return parent._nextSibling;
        } else {
          node = parent;
        }
      }
    }
  }
  exports.tree_getFollowingNode = tree_getFollowingNode;
  function tree_getPrecedingNode(root, node) {
    if (node === root) {
      return null;
    }
    if (node._previousSibling) {
      node = node._previousSibling;
      if (node._lastChild) {
        return node._lastChild;
      } else {
        return node;
      }
    } else {
      return node._parent;
    }
  }
  exports.tree_getPrecedingNode = tree_getPrecedingNode;
  function tree_isConstrained(node) {
    var e_1, _a, e_2, _b, e_3, _c;
    switch (node._nodeType) {
      case interfaces_1.NodeType.Document:
        var hasDocType = false;
        var hasElement = false;
        try {
          for (var _d = __values(node._children), _e = _d.next();!_e.done; _e = _d.next()) {
            var childNode = _e.value;
            switch (childNode._nodeType) {
              case interfaces_1.NodeType.ProcessingInstruction:
              case interfaces_1.NodeType.Comment:
                break;
              case interfaces_1.NodeType.DocumentType:
                if (hasDocType || hasElement)
                  return false;
                hasDocType = true;
                break;
              case interfaces_1.NodeType.Element:
                if (hasElement)
                  return false;
                hasElement = true;
                break;
              default:
                return false;
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        break;
      case interfaces_1.NodeType.DocumentFragment:
      case interfaces_1.NodeType.Element:
        try {
          for (var _f = __values(node._children), _g = _f.next();!_g.done; _g = _f.next()) {
            var childNode = _g.value;
            switch (childNode._nodeType) {
              case interfaces_1.NodeType.Element:
              case interfaces_1.NodeType.Text:
              case interfaces_1.NodeType.ProcessingInstruction:
              case interfaces_1.NodeType.CData:
              case interfaces_1.NodeType.Comment:
                break;
              default:
                return false;
            }
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_g && !_g.done && (_b = _f.return))
              _b.call(_f);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
        break;
      case interfaces_1.NodeType.DocumentType:
      case interfaces_1.NodeType.Text:
      case interfaces_1.NodeType.ProcessingInstruction:
      case interfaces_1.NodeType.CData:
      case interfaces_1.NodeType.Comment:
        return !node.hasChildNodes();
    }
    try {
      for (var _h = __values(node._children), _j = _h.next();!_j.done; _j = _h.next()) {
        var childNode = _j.value;
        if (!tree_isConstrained(childNode))
          return false;
      }
    } catch (e_3_1) {
      e_3 = { error: e_3_1 };
    } finally {
      try {
        if (_j && !_j.done && (_c = _h.return))
          _c.call(_h);
      } finally {
        if (e_3)
          throw e_3.error;
      }
    }
    return true;
  }
  exports.tree_isConstrained = tree_isConstrained;
  function tree_nodeLength(node) {
    if (util_1.Guard.isDocumentTypeNode(node)) {
      return 0;
    } else if (util_1.Guard.isCharacterDataNode(node)) {
      return node._data.length;
    } else {
      return node._children.size;
    }
  }
  exports.tree_nodeLength = tree_nodeLength;
  function tree_isEmpty(node) {
    return tree_nodeLength(node) === 0;
  }
  exports.tree_isEmpty = tree_isEmpty;
  function tree_rootNode(node, shadow) {
    if (shadow === undefined) {
      shadow = false;
    }
    if (shadow) {
      var root = tree_rootNode(node, false);
      if (util_1.Guard.isShadowRoot(root))
        return tree_rootNode(root._host, true);
      else
        return root;
    } else {
      if (!node._parent)
        return node;
      else
        return tree_rootNode(node._parent);
    }
  }
  exports.tree_rootNode = tree_rootNode;
  function tree_isDescendantOf(node, other, self2, shadow) {
    if (self2 === undefined) {
      self2 = false;
    }
    if (shadow === undefined) {
      shadow = false;
    }
    var child2 = tree_getFirstDescendantNode(node, self2, shadow);
    while (child2 !== null) {
      if (child2 === other) {
        return true;
      }
      child2 = tree_getNextDescendantNode(node, child2, self2, shadow);
    }
    return false;
  }
  exports.tree_isDescendantOf = tree_isDescendantOf;
  function tree_isAncestorOf(node, other, self2, shadow) {
    if (self2 === undefined) {
      self2 = false;
    }
    if (shadow === undefined) {
      shadow = false;
    }
    var ancestor = self2 ? node : shadow && util_1.Guard.isShadowRoot(node) ? node._host : node._parent;
    while (ancestor !== null) {
      if (ancestor === other)
        return true;
      ancestor = shadow && util_1.Guard.isShadowRoot(ancestor) ? ancestor._host : ancestor._parent;
    }
    return false;
  }
  exports.tree_isAncestorOf = tree_isAncestorOf;
  function tree_isHostIncludingAncestorOf(node, other, self2) {
    if (self2 === undefined) {
      self2 = false;
    }
    if (tree_isAncestorOf(node, other, self2))
      return true;
    var root = tree_rootNode(node);
    if (util_1.Guard.isDocumentFragmentNode(root) && root._host !== null && tree_isHostIncludingAncestorOf(root._host, other, self2))
      return true;
    return false;
  }
  exports.tree_isHostIncludingAncestorOf = tree_isHostIncludingAncestorOf;
  function tree_isSiblingOf(node, other, self2) {
    if (self2 === undefined) {
      self2 = false;
    }
    if (node === other) {
      if (self2)
        return true;
    } else {
      return node._parent !== null && node._parent === other._parent;
    }
    return false;
  }
  exports.tree_isSiblingOf = tree_isSiblingOf;
  function tree_isPreceding(node, other) {
    var nodePos = tree_treePosition(node);
    var otherPos = tree_treePosition(other);
    if (nodePos === -1 || otherPos === -1)
      return false;
    else if (tree_rootNode(node) !== tree_rootNode(other))
      return false;
    else
      return otherPos < nodePos;
  }
  exports.tree_isPreceding = tree_isPreceding;
  function tree_isFollowing(node, other) {
    var nodePos = tree_treePosition(node);
    var otherPos = tree_treePosition(other);
    if (nodePos === -1 || otherPos === -1)
      return false;
    else if (tree_rootNode(node) !== tree_rootNode(other))
      return false;
    else
      return otherPos > nodePos;
  }
  exports.tree_isFollowing = tree_isFollowing;
  function tree_isParentOf(node, other) {
    return node._parent === other;
  }
  exports.tree_isParentOf = tree_isParentOf;
  function tree_isChildOf(node, other) {
    return other._parent === node;
  }
  exports.tree_isChildOf = tree_isChildOf;
  function tree_previousSibling(node) {
    return node._previousSibling;
  }
  exports.tree_previousSibling = tree_previousSibling;
  function tree_nextSibling(node) {
    return node._nextSibling;
  }
  exports.tree_nextSibling = tree_nextSibling;
  function tree_firstChild(node) {
    return node._firstChild;
  }
  exports.tree_firstChild = tree_firstChild;
  function tree_lastChild(node) {
    return node._lastChild;
  }
  exports.tree_lastChild = tree_lastChild;
  function tree_treePosition(node) {
    var root = tree_rootNode(node);
    var pos = 0;
    var childNode = tree_getFirstDescendantNode(root);
    while (childNode !== null) {
      pos++;
      if (childNode === node)
        return pos;
      childNode = tree_getNextDescendantNode(root, childNode);
    }
    return -1;
  }
  exports.tree_treePosition = tree_treePosition;
  function tree_index(node) {
    var n = 0;
    while (node._previousSibling !== null) {
      n++;
      node = node._previousSibling;
    }
    return n;
  }
  exports.tree_index = tree_index;
  function tree_retarget(a, b) {
    while (true) {
      if (!a || !util_1.Guard.isNode(a)) {
        return a;
      }
      var rootOfA = tree_rootNode(a);
      if (!util_1.Guard.isShadowRoot(rootOfA)) {
        return a;
      }
      if (b && util_1.Guard.isNode(b) && tree_isAncestorOf(rootOfA, b, true, true)) {
        return a;
      }
      a = rootOfA.host;
    }
  }
  exports.tree_retarget = tree_retarget;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/MutationObserverAlgorithm.js
var require_MutationObserverAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var util_1 = require_util();
  var infra_1 = require_lib2();
  var CreateAlgorithm_1 = require_CreateAlgorithm();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  var EventAlgorithm_1 = require_EventAlgorithm();
  function observer_queueAMutationObserverMicrotask() {
    var window2 = DOMImpl_1.dom.window;
    if (window2._mutationObserverMicrotaskQueued)
      return;
    window2._mutationObserverMicrotaskQueued = true;
    Promise.resolve().then(function() {
      observer_notifyMutationObservers();
    });
  }
  exports.observer_queueAMutationObserverMicrotask = observer_queueAMutationObserverMicrotask;
  function observer_notifyMutationObservers() {
    var e_1, _a, e_2, _b;
    var window2 = DOMImpl_1.dom.window;
    window2._mutationObserverMicrotaskQueued = false;
    var notifySet = infra_1.set.clone(window2._mutationObservers);
    var signalSet = infra_1.set.clone(window2._signalSlots);
    infra_1.set.empty(window2._signalSlots);
    var _loop_1 = function(mo2) {
      var records = infra_1.list.clone(mo2._recordQueue);
      infra_1.list.empty(mo2._recordQueue);
      for (var i = 0;i < mo2._nodeList.length; i++) {
        var node = mo2._nodeList[i];
        infra_1.list.remove(node._registeredObserverList, function(observer) {
          return util_1.Guard.isTransientRegisteredObserver(observer) && observer.observer === mo2;
        });
      }
      if (!infra_1.list.isEmpty(records)) {
        try {
          mo2._callback.call(mo2, records, mo2);
        } catch (err) {
        }
      }
    };
    try {
      for (var notifySet_1 = __values(notifySet), notifySet_1_1 = notifySet_1.next();!notifySet_1_1.done; notifySet_1_1 = notifySet_1.next()) {
        var mo = notifySet_1_1.value;
        _loop_1(mo);
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (notifySet_1_1 && !notifySet_1_1.done && (_a = notifySet_1.return))
          _a.call(notifySet_1);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
    if (DOMImpl_1.dom.features.slots) {
      try {
        for (var signalSet_1 = __values(signalSet), signalSet_1_1 = signalSet_1.next();!signalSet_1_1.done; signalSet_1_1 = signalSet_1.next()) {
          var slot = signalSet_1_1.value;
          EventAlgorithm_1.event_fireAnEvent("slotchange", slot, undefined, { bubbles: true });
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (signalSet_1_1 && !signalSet_1_1.done && (_b = signalSet_1.return))
            _b.call(signalSet_1);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
    }
  }
  exports.observer_notifyMutationObservers = observer_notifyMutationObservers;
  function observer_queueMutationRecord(type, target, name, namespace, oldValue, addedNodes, removedNodes, previousSibling, nextSibling) {
    var e_3, _a;
    var interestedObservers = new Map;
    var node = TreeAlgorithm_1.tree_getFirstAncestorNode(target, true);
    while (node !== null) {
      for (var i = 0;i < node._registeredObserverList.length; i++) {
        var registered = node._registeredObserverList[i];
        var options = registered.options;
        if (node !== target && !options.subtree)
          continue;
        if (type === "attributes" && !options.attributes)
          continue;
        if (type === "attributes" && options.attributeFilter && (!options.attributeFilter.indexOf(name || "") || namespace !== null))
          continue;
        if (type === "characterData" && !options.characterData)
          continue;
        if (type === "childList" && !options.childList)
          continue;
        var mo = registered.observer;
        if (!interestedObservers.has(mo)) {
          interestedObservers.set(mo, null);
        }
        if (type === "attributes" && options.attributeOldValue || type === "characterData" && options.characterDataOldValue) {
          interestedObservers.set(mo, oldValue);
        }
      }
      node = TreeAlgorithm_1.tree_getNextAncestorNode(target, node, true);
    }
    try {
      for (var interestedObservers_1 = __values(interestedObservers), interestedObservers_1_1 = interestedObservers_1.next();!interestedObservers_1_1.done; interestedObservers_1_1 = interestedObservers_1.next()) {
        var _b = __read(interestedObservers_1_1.value, 2), observer = _b[0], mappedOldValue = _b[1];
        var record = CreateAlgorithm_1.create_mutationRecord(type, target, CreateAlgorithm_1.create_nodeListStatic(target, addedNodes), CreateAlgorithm_1.create_nodeListStatic(target, removedNodes), previousSibling, nextSibling, name, namespace, mappedOldValue);
        var queue = observer._recordQueue;
        queue.push(record);
      }
    } catch (e_3_1) {
      e_3 = { error: e_3_1 };
    } finally {
      try {
        if (interestedObservers_1_1 && !interestedObservers_1_1.done && (_a = interestedObservers_1.return))
          _a.call(interestedObservers_1);
      } finally {
        if (e_3)
          throw e_3.error;
      }
    }
    observer_queueAMutationObserverMicrotask();
  }
  exports.observer_queueMutationRecord = observer_queueMutationRecord;
  function observer_queueTreeMutationRecord(target, addedNodes, removedNodes, previousSibling, nextSibling) {
    observer_queueMutationRecord("childList", target, null, null, null, addedNodes, removedNodes, previousSibling, nextSibling);
  }
  exports.observer_queueTreeMutationRecord = observer_queueTreeMutationRecord;
  function observer_queueAttributeMutationRecord(target, name, namespace, oldValue) {
    observer_queueMutationRecord("attributes", target, name, namespace, oldValue, [], [], null, null);
  }
  exports.observer_queueAttributeMutationRecord = observer_queueAttributeMutationRecord;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/ShadowTreeAlgorithm.js
var require_ShadowTreeAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var util_1 = require_util();
  var util_2 = require_lib();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm();
  function shadowTree_signalASlotChange(slot) {
    var window2 = DOMImpl_1.dom.window;
    window2._signalSlots.add(slot);
    MutationObserverAlgorithm_1.observer_queueAMutationObserverMicrotask();
  }
  exports.shadowTree_signalASlotChange = shadowTree_signalASlotChange;
  function shadowTree_isConnected(element) {
    return util_1.Guard.isDocumentNode(TreeAlgorithm_1.tree_rootNode(element, true));
  }
  exports.shadowTree_isConnected = shadowTree_isConnected;
  function shadowTree_isAssigned(slotable) {
    return slotable._assignedSlot !== null;
  }
  exports.shadowTree_isAssigned = shadowTree_isAssigned;
  function shadowTree_findASlot(slotable, openFlag) {
    if (openFlag === undefined) {
      openFlag = false;
    }
    var node = util_1.Cast.asNode(slotable);
    var parent = node._parent;
    if (parent === null)
      return null;
    var shadow = parent._shadowRoot || null;
    if (shadow === null)
      return null;
    if (openFlag && shadow._mode !== "open")
      return null;
    var child2 = TreeAlgorithm_1.tree_getFirstDescendantNode(shadow, false, true, function(e) {
      return util_1.Guard.isSlot(e);
    });
    while (child2 !== null) {
      if (child2._name === slotable._name)
        return child2;
      child2 = TreeAlgorithm_1.tree_getNextDescendantNode(shadow, child2, false, true, function(e) {
        return util_1.Guard.isSlot(e);
      });
    }
    return null;
  }
  exports.shadowTree_findASlot = shadowTree_findASlot;
  function shadowTree_findSlotables(slot) {
    var e_1, _a;
    var result = [];
    var root = TreeAlgorithm_1.tree_rootNode(slot);
    if (!util_1.Guard.isShadowRoot(root))
      return result;
    var host = root._host;
    try {
      for (var _b = __values(host._children), _c = _b.next();!_c.done; _c = _b.next()) {
        var slotable = _c.value;
        if (util_1.Guard.isSlotable(slotable)) {
          var foundSlot = shadowTree_findASlot(slotable);
          if (foundSlot === slot) {
            result.push(slotable);
          }
        }
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (_c && !_c.done && (_a = _b.return))
          _a.call(_b);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
    return result;
  }
  exports.shadowTree_findSlotables = shadowTree_findSlotables;
  function shadowTree_findFlattenedSlotables(slot) {
    var e_2, _a, e_3, _b;
    var result = [];
    var root = TreeAlgorithm_1.tree_rootNode(slot);
    if (!util_1.Guard.isShadowRoot(root))
      return result;
    var slotables = shadowTree_findSlotables(slot);
    if (util_2.isEmpty(slotables)) {
      try {
        for (var _c = __values(slot._children), _d = _c.next();!_d.done; _d = _c.next()) {
          var slotable = _d.value;
          if (util_1.Guard.isSlotable(slotable)) {
            slotables.push(slotable);
          }
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (_d && !_d.done && (_a = _c.return))
            _a.call(_c);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
    }
    try {
      for (var slotables_1 = __values(slotables), slotables_1_1 = slotables_1.next();!slotables_1_1.done; slotables_1_1 = slotables_1.next()) {
        var node = slotables_1_1.value;
        if (util_1.Guard.isSlot(node) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(node))) {
          var temporaryResult = shadowTree_findFlattenedSlotables(node);
          result.push.apply(result, __spread(temporaryResult));
        } else {
          result.push(node);
        }
      }
    } catch (e_3_1) {
      e_3 = { error: e_3_1 };
    } finally {
      try {
        if (slotables_1_1 && !slotables_1_1.done && (_b = slotables_1.return))
          _b.call(slotables_1);
      } finally {
        if (e_3)
          throw e_3.error;
      }
    }
    return result;
  }
  exports.shadowTree_findFlattenedSlotables = shadowTree_findFlattenedSlotables;
  function shadowTree_assignSlotables(slot) {
    var e_4, _a;
    var slotables = shadowTree_findSlotables(slot);
    if (slotables.length === slot._assignedNodes.length) {
      var nodesIdentical = true;
      for (var i = 0;i < slotables.length; i++) {
        if (slotables[i] !== slot._assignedNodes[i]) {
          nodesIdentical = false;
          break;
        }
      }
      if (!nodesIdentical) {
        shadowTree_signalASlotChange(slot);
      }
    }
    slot._assignedNodes = slotables;
    try {
      for (var slotables_2 = __values(slotables), slotables_2_1 = slotables_2.next();!slotables_2_1.done; slotables_2_1 = slotables_2.next()) {
        var slotable = slotables_2_1.value;
        slotable._assignedSlot = slot;
      }
    } catch (e_4_1) {
      e_4 = { error: e_4_1 };
    } finally {
      try {
        if (slotables_2_1 && !slotables_2_1.done && (_a = slotables_2.return))
          _a.call(slotables_2);
      } finally {
        if (e_4)
          throw e_4.error;
      }
    }
  }
  exports.shadowTree_assignSlotables = shadowTree_assignSlotables;
  function shadowTree_assignSlotablesForATree(root) {
    var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(root, true, false, function(e) {
      return util_1.Guard.isSlot(e);
    });
    while (descendant !== null) {
      shadowTree_assignSlotables(descendant);
      descendant = TreeAlgorithm_1.tree_getNextDescendantNode(root, descendant, true, false, function(e) {
        return util_1.Guard.isSlot(e);
      });
    }
  }
  exports.shadowTree_assignSlotablesForATree = shadowTree_assignSlotablesForATree;
  function shadowTree_assignASlot(slotable) {
    var slot = shadowTree_findASlot(slotable);
    if (slot !== null) {
      shadowTree_assignSlotables(slot);
    }
  }
  exports.shadowTree_assignASlot = shadowTree_assignASlot;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/DOMAlgorithm.js
var require_DOMAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  var util_1 = require_util();
  var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm();
  var supportedTokens = new Map;
  function dom_runRemovingSteps(removedNode, oldParent) {
  }
  exports.dom_runRemovingSteps = dom_runRemovingSteps;
  function dom_runCloningSteps(copy, node, document2, cloneChildrenFlag) {
  }
  exports.dom_runCloningSteps = dom_runCloningSteps;
  function dom_runAdoptingSteps(node, oldDocument) {
  }
  exports.dom_runAdoptingSteps = dom_runAdoptingSteps;
  function dom_runAttributeChangeSteps(element, localName, oldValue, value, namespace) {
    var e_1, _a;
    if (DOMImpl_1.dom.features.slots) {
      updateASlotablesName.call(element, element, localName, oldValue, value, namespace);
      updateASlotsName.call(element, element, localName, oldValue, value, namespace);
    }
    updateAnElementID.call(element, element, localName, value, namespace);
    try {
      for (var _b = __values(element._attributeChangeSteps), _c = _b.next();!_c.done; _c = _b.next()) {
        var step = _c.value;
        step.call(element, element, localName, oldValue, value, namespace);
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (_c && !_c.done && (_a = _b.return))
          _a.call(_b);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
  }
  exports.dom_runAttributeChangeSteps = dom_runAttributeChangeSteps;
  function dom_runInsertionSteps(insertedNode) {
  }
  exports.dom_runInsertionSteps = dom_runInsertionSteps;
  function dom_runNodeIteratorPreRemovingSteps(nodeIterator, toBeRemoved) {
    removeNodeIterator.call(nodeIterator, nodeIterator, toBeRemoved);
  }
  exports.dom_runNodeIteratorPreRemovingSteps = dom_runNodeIteratorPreRemovingSteps;
  function dom_hasSupportedTokens(attributeName) {
    return supportedTokens.has(attributeName);
  }
  exports.dom_hasSupportedTokens = dom_hasSupportedTokens;
  function dom_getSupportedTokens(attributeName) {
    return supportedTokens.get(attributeName) || new Set;
  }
  exports.dom_getSupportedTokens = dom_getSupportedTokens;
  function dom_runEventConstructingSteps(event) {
  }
  exports.dom_runEventConstructingSteps = dom_runEventConstructingSteps;
  function dom_runChildTextContentChangeSteps(parent) {
  }
  exports.dom_runChildTextContentChangeSteps = dom_runChildTextContentChangeSteps;
  function removeNodeIterator(nodeIterator, toBeRemovedNode) {
    if (toBeRemovedNode === nodeIterator._root || !TreeAlgorithm_1.tree_isAncestorOf(nodeIterator._reference, toBeRemovedNode, true)) {
      return;
    }
    if (nodeIterator._pointerBeforeReference) {
      while (true) {
        var nextNode = TreeAlgorithm_1.tree_getFollowingNode(nodeIterator._root, toBeRemovedNode);
        if (nextNode !== null && TreeAlgorithm_1.tree_isDescendantOf(nodeIterator._root, nextNode, true) && !TreeAlgorithm_1.tree_isDescendantOf(toBeRemovedNode, nextNode, true)) {
          nodeIterator._reference = nextNode;
          return;
        } else if (nextNode === null) {
          nodeIterator._pointerBeforeReference = false;
          return;
        }
      }
    }
    if (toBeRemovedNode._previousSibling === null) {
      if (toBeRemovedNode._parent !== null) {
        nodeIterator._reference = toBeRemovedNode._parent;
      }
    } else {
      var referenceNode = toBeRemovedNode._previousSibling;
      var childNode = TreeAlgorithm_1.tree_getFirstDescendantNode(toBeRemovedNode._previousSibling, true, false);
      while (childNode !== null) {
        if (childNode !== null) {
          referenceNode = childNode;
        }
        childNode = TreeAlgorithm_1.tree_getNextDescendantNode(toBeRemovedNode._previousSibling, childNode, true, false);
      }
      nodeIterator._reference = referenceNode;
    }
  }
  function updateASlotsName(element, localName, oldValue, value, namespace) {
    if (util_1.Guard.isSlot(element) && localName === "name" && namespace === null) {
      if (value === oldValue)
        return;
      if (value === null && oldValue === "")
        return;
      if (value === "" && oldValue === null)
        return;
      if (value === null || value === "") {
        element._name = "";
      } else {
        element._name = value;
      }
      ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(element));
    }
  }
  function updateASlotablesName(element, localName, oldValue, value, namespace) {
    if (util_1.Guard.isSlotable(element) && localName === "slot" && namespace === null) {
      if (value === oldValue)
        return;
      if (value === null && oldValue === "")
        return;
      if (value === "" && oldValue === null)
        return;
      if (value === null || value === "") {
        element._name = "";
      } else {
        element._name = value;
      }
      if (ShadowTreeAlgorithm_1.shadowTree_isAssigned(element)) {
        ShadowTreeAlgorithm_1.shadowTree_assignSlotables(element._assignedSlot);
      }
      ShadowTreeAlgorithm_1.shadowTree_assignASlot(element);
    }
  }
  function updateAnElementID(element, localName, value, namespace) {
    if (localName === "id" && namespace === null) {
      if (!value)
        element._uniqueIdentifier = undefined;
      else
        element._uniqueIdentifier = value;
    }
  }
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/EventAlgorithm.js
var require_EventAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var interfaces_1 = require_interfaces2();
  var util_1 = require_util();
  var CustomEventImpl_1 = require_CustomEventImpl();
  var EventImpl_1 = require_EventImpl();
  var DOMException_1 = require_DOMException();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm();
  var DOMAlgorithm_1 = require_DOMAlgorithm();
  function event_setTheCanceledFlag(event) {
    if (event._cancelable && !event._inPassiveListenerFlag) {
      event._canceledFlag = true;
    }
  }
  exports.event_setTheCanceledFlag = event_setTheCanceledFlag;
  function event_initialize(event, type, bubbles, cancelable) {
    event._initializedFlag = true;
    event._stopPropagationFlag = false;
    event._stopImmediatePropagationFlag = false;
    event._canceledFlag = false;
    event._isTrusted = false;
    event._target = null;
    event._type = type;
    event._bubbles = bubbles;
    event._cancelable = cancelable;
  }
  exports.event_initialize = event_initialize;
  function event_createAnEvent(eventInterface, realm) {
    if (realm === undefined) {
      realm = undefined;
    }
    if (realm === undefined)
      realm = null;
    var dictionary = {};
    var event = event_innerEventCreationSteps(eventInterface, realm, new Date, dictionary);
    event._isTrusted = true;
    return event;
  }
  exports.event_createAnEvent = event_createAnEvent;
  function event_innerEventCreationSteps(eventInterface, realm, time, dictionary) {
    var event = new eventInterface("");
    event._initializedFlag = true;
    event._timeStamp = time.getTime();
    Object.assign(event, dictionary);
    if (DOMImpl_1.dom.features.steps) {
      DOMAlgorithm_1.dom_runEventConstructingSteps(event);
    }
    return event;
  }
  exports.event_innerEventCreationSteps = event_innerEventCreationSteps;
  function event_dispatch(event, target, legacyTargetOverrideFlag, legacyOutputDidListenersThrowFlag) {
    var e_1, _a, e_2, _b;
    if (legacyTargetOverrideFlag === undefined) {
      legacyTargetOverrideFlag = false;
    }
    if (legacyOutputDidListenersThrowFlag === undefined) {
      legacyOutputDidListenersThrowFlag = { value: false };
    }
    var clearTargets = false;
    event._dispatchFlag = true;
    var targetOverride = target;
    if (legacyTargetOverrideFlag) {
      var doc = target._associatedDocument;
      if (util_1.Guard.isDocumentNode(doc)) {
        targetOverride = doc;
      }
    }
    var activationTarget = null;
    var relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, target);
    if (target !== relatedTarget || target === event._relatedTarget) {
      var touchTargets = [];
      try {
        for (var _c = __values(event._touchTargetList), _d = _c.next();!_d.done; _d = _c.next()) {
          var touchTarget = _d.value;
          touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, target));
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_d && !_d.done && (_a = _c.return))
            _a.call(_c);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      event_appendToAnEventPath(event, target, targetOverride, relatedTarget, touchTargets, false);
      var isActivationEvent = util_1.Guard.isMouseEvent(event) && event._type === "click";
      if (isActivationEvent && target._activationBehavior !== undefined) {
        activationTarget = target;
      }
      var slotable = util_1.Guard.isSlotable(target) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(target) ? target : null;
      var slotInClosedTree = false;
      var parent = target._getTheParent(event);
      while (parent !== null && util_1.Guard.isNode(parent)) {
        if (slotable !== null) {
          if (!util_1.Guard.isSlot(parent)) {
            throw new Error("Parent node of a slotable should be a slot.");
          }
          slotable = null;
          var root = TreeAlgorithm_1.tree_rootNode(parent, true);
          if (util_1.Guard.isShadowRoot(root) && root._mode === "closed") {
            slotInClosedTree = true;
          }
        }
        if (util_1.Guard.isSlotable(parent) && ShadowTreeAlgorithm_1.shadowTree_isAssigned(parent)) {
          slotable = parent;
        }
        relatedTarget = TreeAlgorithm_1.tree_retarget(event._relatedTarget, parent);
        touchTargets = [];
        try {
          for (var _e = (e_2 = undefined, __values(event._touchTargetList)), _f = _e.next();!_f.done; _f = _e.next()) {
            var touchTarget = _f.value;
            touchTargets.push(TreeAlgorithm_1.tree_retarget(touchTarget, parent));
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
        if (util_1.Guard.isWindow(parent) || util_1.Guard.isNode(parent) && util_1.Guard.isNode(target) && TreeAlgorithm_1.tree_isAncestorOf(TreeAlgorithm_1.tree_rootNode(target, true), parent, true, true)) {
          if (isActivationEvent && event._bubbles && activationTarget === null && parent._activationBehavior) {
            activationTarget = parent;
          }
          event_appendToAnEventPath(event, parent, null, relatedTarget, touchTargets, slotInClosedTree);
        } else if (parent === relatedTarget) {
          parent = null;
        } else {
          target = parent;
          if (isActivationEvent && activationTarget === null && target._activationBehavior) {
            activationTarget = target;
          }
          event_appendToAnEventPath(event, parent, target, relatedTarget, touchTargets, slotInClosedTree);
        }
        if (parent !== null) {
          parent = parent._getTheParent(event);
        }
        slotInClosedTree = false;
      }
      var clearTargetsStruct = null;
      var path = event._path;
      for (var i = path.length - 1;i >= 0; i--) {
        var struct = path[i];
        if (struct.shadowAdjustedTarget !== null) {
          clearTargetsStruct = struct;
          break;
        }
      }
      if (clearTargetsStruct !== null) {
        if (util_1.Guard.isNode(clearTargetsStruct.shadowAdjustedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.shadowAdjustedTarget, true))) {
          clearTargets = true;
        } else if (util_1.Guard.isNode(clearTargetsStruct.relatedTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(clearTargetsStruct.relatedTarget, true))) {
          clearTargets = true;
        } else {
          for (var j = 0;j < clearTargetsStruct.touchTargetList.length; j++) {
            var struct = clearTargetsStruct.touchTargetList[j];
            if (util_1.Guard.isNode(struct) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(struct, true))) {
              clearTargets = true;
              break;
            }
          }
        }
      }
      if (activationTarget !== null && activationTarget._legacyPreActivationBehavior !== undefined) {
        activationTarget._legacyPreActivationBehavior(event);
      }
      for (var i = path.length - 1;i >= 0; i--) {
        var struct = path[i];
        if (struct.shadowAdjustedTarget !== null) {
          event._eventPhase = interfaces_1.EventPhase.AtTarget;
        } else {
          event._eventPhase = interfaces_1.EventPhase.Capturing;
        }
        event_invoke(struct, event, "capturing", legacyOutputDidListenersThrowFlag);
      }
      for (var i = 0;i < path.length; i++) {
        var struct = path[i];
        if (struct.shadowAdjustedTarget !== null) {
          event._eventPhase = interfaces_1.EventPhase.AtTarget;
        } else {
          if (!event._bubbles)
            continue;
          event._eventPhase = interfaces_1.EventPhase.Bubbling;
        }
        event_invoke(struct, event, "bubbling", legacyOutputDidListenersThrowFlag);
      }
    }
    event._eventPhase = interfaces_1.EventPhase.None;
    event._currentTarget = null;
    event._path = [];
    event._dispatchFlag = false;
    event._stopPropagationFlag = false;
    event._stopImmediatePropagationFlag = false;
    if (clearTargets) {
      event._target = null;
      event._relatedTarget = null;
      event._touchTargetList = [];
    }
    if (activationTarget !== null) {
      if (!event._canceledFlag && activationTarget._activationBehavior !== undefined) {
        activationTarget._activationBehavior(event);
      } else if (activationTarget._legacyCanceledActivationBehavior !== undefined) {
        activationTarget._legacyCanceledActivationBehavior(event);
      }
    }
    return !event._canceledFlag;
  }
  exports.event_dispatch = event_dispatch;
  function event_appendToAnEventPath(event, invocationTarget, shadowAdjustedTarget, relatedTarget, touchTargets, slotInClosedTree) {
    var invocationTargetInShadowTree = false;
    if (util_1.Guard.isNode(invocationTarget) && util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(invocationTarget))) {
      invocationTargetInShadowTree = true;
    }
    var rootOfClosedTree = false;
    if (util_1.Guard.isShadowRoot(invocationTarget) && invocationTarget._mode === "closed") {
      rootOfClosedTree = true;
    }
    event._path.push({
      invocationTarget,
      invocationTargetInShadowTree,
      shadowAdjustedTarget,
      relatedTarget,
      touchTargetList: touchTargets,
      rootOfClosedTree,
      slotInClosedTree
    });
  }
  exports.event_appendToAnEventPath = event_appendToAnEventPath;
  function event_invoke(struct, event, phase, legacyOutputDidListenersThrowFlag) {
    if (legacyOutputDidListenersThrowFlag === undefined) {
      legacyOutputDidListenersThrowFlag = { value: false };
    }
    var path = event._path;
    var index = -1;
    for (var i = 0;i < path.length; i++) {
      if (path[i] === struct) {
        index = i;
        break;
      }
    }
    if (index !== -1) {
      var item = path[index];
      if (item.shadowAdjustedTarget !== null) {
        event._target = item.shadowAdjustedTarget;
      } else if (index > 0) {
        item = path[index - 1];
        if (item.shadowAdjustedTarget !== null) {
          event._target = item.shadowAdjustedTarget;
        }
      }
    }
    event._relatedTarget = struct.relatedTarget;
    event._touchTargetList = struct.touchTargetList;
    if (event._stopPropagationFlag)
      return;
    event._currentTarget = struct.invocationTarget;
    var currentTarget = event._currentTarget;
    var targetListeners = currentTarget._eventListenerList;
    var listeners = new (Array.bind.apply(Array, __spread([undefined], targetListeners)));
    var found = event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
    if (!found && event._isTrusted) {
      var originalEventType = event._type;
      if (originalEventType === "animationend") {
        event._type = "webkitAnimationEnd";
      } else if (originalEventType === "animationiteration") {
        event._type = "webkitAnimationIteration";
      } else if (originalEventType === "animationstart") {
        event._type = "webkitAnimationStart";
      } else if (originalEventType === "transitionend") {
        event._type = "webkitTransitionEnd";
      }
      event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag);
      event._type = originalEventType;
    }
  }
  exports.event_invoke = event_invoke;
  function event_innerInvoke(event, listeners, phase, struct, legacyOutputDidListenersThrowFlag) {
    if (legacyOutputDidListenersThrowFlag === undefined) {
      legacyOutputDidListenersThrowFlag = { value: false };
    }
    var found = false;
    for (var i = 0;i < listeners.length; i++) {
      var listener = listeners[i];
      if (!listener.removed) {
        if (event._type !== listener.type)
          continue;
        found = true;
        if (phase === "capturing" && !listener.capture)
          continue;
        if (phase === "bubbling" && listener.capture)
          continue;
        if (listener.once && event._currentTarget !== null) {
          var impl = event._currentTarget;
          var index = -1;
          for (var i_1 = 0;i_1 < impl._eventListenerList.length; i_1++) {
            if (impl._eventListenerList[i_1] === listener) {
              index = i_1;
              break;
            }
          }
          if (index !== -1) {
            impl._eventListenerList.splice(index, 1);
          }
        }
        var globalObject = undefined;
        var currentEvent = undefined;
        if (util_1.Guard.isWindow(globalObject)) {
          currentEvent = globalObject._currentEvent;
          if (struct.invocationTargetInShadowTree === false) {
            globalObject._currentEvent = event;
          }
        }
        if (listener.passive)
          event._inPassiveListenerFlag = true;
        try {
          listener.callback.handleEvent.call(event._currentTarget, event);
        } catch (err) {
          legacyOutputDidListenersThrowFlag.value = true;
        }
        if (listener.passive)
          event._inPassiveListenerFlag = false;
        if (util_1.Guard.isWindow(globalObject)) {
          globalObject._currentEvent = currentEvent;
        }
        if (event._stopImmediatePropagationFlag)
          return found;
      }
    }
    return found;
  }
  exports.event_innerInvoke = event_innerInvoke;
  function event_fireAnEvent(e, target, eventConstructor, idlAttributes, legacyTargetOverrideFlag) {
    if (eventConstructor === undefined) {
      eventConstructor = EventImpl_1.EventImpl;
    }
    var event = event_createAnEvent(eventConstructor);
    event._type = e;
    if (idlAttributes) {
      for (var key in idlAttributes) {
        var idlObj = event;
        idlObj[key] = idlAttributes[key];
      }
    }
    return event_dispatch(event, target, legacyTargetOverrideFlag);
  }
  exports.event_fireAnEvent = event_fireAnEvent;
  function event_createLegacyEvent(eventInterface) {
    var constructor = null;
    switch (eventInterface.toLowerCase()) {
      case "beforeunloadevent":
        break;
      case "compositionevent":
        break;
      case "customevent":
        constructor = CustomEventImpl_1.CustomEventImpl;
        break;
      case "devicemotionevent":
        break;
      case "deviceorientationevent":
        break;
      case "dragevent":
        break;
      case "event":
      case "events":
        constructor = EventImpl_1.EventImpl;
        break;
      case "focusevent":
        break;
      case "hashchangeevent":
        break;
      case "htmlevents":
        break;
      case "keyboardevent":
        break;
      case "messageevent":
        break;
      case "mouseevent":
        break;
      case "mouseevents":
        break;
      case "storageevent":
        break;
      case "svgevents":
        break;
      case "textevent":
        break;
      case "touchevent":
        break;
      case "uievent":
        break;
      case "uievents":
        break;
    }
    if (constructor === null) {
      throw new DOMException_1.NotSupportedError("Event constructor not found for interface " + eventInterface + ".");
    }
    var event = new constructor("");
    event._type = "";
    event._timeStamp = new Date().getTime();
    event._isTrusted = false;
    event._initializedFlag = false;
    return event;
  }
  exports.event_createLegacyEvent = event_createLegacyEvent;
  function event_getterEventHandlerIDLAttribute(thisObj, name) {
    var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
    if (eventTarget === null)
      return null;
    return event_getTheCurrentValueOfAnEventHandler(eventTarget, name);
  }
  exports.event_getterEventHandlerIDLAttribute = event_getterEventHandlerIDLAttribute;
  function event_setterEventHandlerIDLAttribute(thisObj, name, value) {
    var eventTarget = event_determineTheTargetOfAnEventHandler(thisObj, name);
    if (eventTarget === null)
      return;
    if (value === null) {
      event_deactivateAnEventHandler(eventTarget, name);
    } else {
      var handlerMap = eventTarget._eventHandlerMap;
      var eventHandler = handlerMap["onabort"];
      if (eventHandler !== undefined) {
        eventHandler.value = value;
      }
      event_activateAnEventHandler(eventTarget, name);
    }
  }
  exports.event_setterEventHandlerIDLAttribute = event_setterEventHandlerIDLAttribute;
  function event_determineTheTargetOfAnEventHandler(eventTarget, name) {
    return null;
  }
  exports.event_determineTheTargetOfAnEventHandler = event_determineTheTargetOfAnEventHandler;
  function event_getTheCurrentValueOfAnEventHandler(eventTarget, name) {
    return null;
  }
  exports.event_getTheCurrentValueOfAnEventHandler = event_getTheCurrentValueOfAnEventHandler;
  function event_activateAnEventHandler(eventTarget, name) {
  }
  exports.event_activateAnEventHandler = event_activateAnEventHandler;
  function event_deactivateAnEventHandler(eventTarget, name) {
  }
  exports.event_deactivateAnEventHandler = event_deactivateAnEventHandler;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/AbortAlgorithm.js
var require_AbortAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var EventAlgorithm_1 = require_EventAlgorithm();
  function abort_add(algorithm, signal) {
    if (signal._abortedFlag)
      return;
    signal._abortAlgorithms.add(algorithm);
  }
  exports.abort_add = abort_add;
  function abort_remove(algorithm, signal) {
    signal._abortAlgorithms.delete(algorithm);
  }
  exports.abort_remove = abort_remove;
  function abort_signalAbort(signal) {
    var e_1, _a;
    if (signal._abortedFlag)
      return;
    signal._abortedFlag = true;
    try {
      for (var _b = __values(signal._abortAlgorithms), _c = _b.next();!_c.done; _c = _b.next()) {
        var algorithm = _c.value;
        algorithm.call(signal);
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (_c && !_c.done && (_a = _b.return))
          _a.call(_b);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
    signal._abortAlgorithms.clear();
    EventAlgorithm_1.event_fireAnEvent("abort", signal);
  }
  exports.abort_signalAbort = abort_signalAbort;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/CustomElementAlgorithm.js
var require_CustomElementAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var PotentialCustomElementName = /[a-z]([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*-([\0-\t\x2D\._a-z\xB7\xC0-\xD6\xD8-\xF6\xF8-\u037D\u037F-\u1FFF\u200C\u200D\u203F\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD]|[\uD800-\uDB7F][\uDC00-\uDFFF])*/;
  var NamesWithHyphen = new Set([
    "annotation-xml",
    "color-profile",
    "font-face",
    "font-face-src",
    "font-face-uri",
    "font-face-format",
    "font-face-name",
    "missing-glyph"
  ]);
  var ElementNames = new Set([
    "article",
    "aside",
    "blockquote",
    "body",
    "div",
    "footer",
    "h1",
    "h2",
    "h3",
    "h4",
    "h5",
    "h6",
    "header",
    "main",
    "nav",
    "p",
    "section",
    "span"
  ]);
  var VoidElementNames = new Set([
    "area",
    "base",
    "basefont",
    "bgsound",
    "br",
    "col",
    "embed",
    "frame",
    "hr",
    "img",
    "input",
    "keygen",
    "link",
    "menuitem",
    "meta",
    "param",
    "source",
    "track",
    "wbr"
  ]);
  var ShadowHostNames = new Set([
    "article",
    "aside",
    "blockquote",
    "body",
    "div",
    "footer",
    "h1",
    "h2",
    "h3",
    "h4",
    "h5",
    "h6",
    "header",
    "main",
    "nav",
    "p",
    "section",
    "span"
  ]);
  function customElement_isValidCustomElementName(name) {
    if (!PotentialCustomElementName.test(name))
      return false;
    if (NamesWithHyphen.has(name))
      return false;
    return true;
  }
  exports.customElement_isValidCustomElementName = customElement_isValidCustomElementName;
  function customElement_isValidElementName(name) {
    return ElementNames.has(name);
  }
  exports.customElement_isValidElementName = customElement_isValidElementName;
  function customElement_isVoidElementName(name) {
    return VoidElementNames.has(name);
  }
  exports.customElement_isVoidElementName = customElement_isVoidElementName;
  function customElement_isValidShadowHostName(name) {
    return ShadowHostNames.has(name);
  }
  exports.customElement_isValidShadowHostName = customElement_isValidShadowHostName;
  function customElement_enqueueACustomElementUpgradeReaction(element, definition) {
  }
  exports.customElement_enqueueACustomElementUpgradeReaction = customElement_enqueueACustomElementUpgradeReaction;
  function customElement_enqueueACustomElementCallbackReaction(element, callbackName, args) {
  }
  exports.customElement_enqueueACustomElementCallbackReaction = customElement_enqueueACustomElementCallbackReaction;
  function customElement_upgrade(definition, element) {
  }
  exports.customElement_upgrade = customElement_upgrade;
  function customElement_tryToUpgrade(element) {
  }
  exports.customElement_tryToUpgrade = customElement_tryToUpgrade;
  function customElement_lookUpACustomElementDefinition(document2, namespace, localName, is) {
    return null;
  }
  exports.customElement_lookUpACustomElementDefinition = customElement_lookUpACustomElementDefinition;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/TraversalAlgorithm.js
var require_TraversalAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var DOMException_1 = require_DOMException();
  function traversal_filter(traverser, node) {
    if (traverser._activeFlag) {
      throw new DOMException_1.InvalidStateError;
    }
    var n = node._nodeType - 1;
    var mask = 1 << n;
    if ((traverser.whatToShow & mask) === 0) {
      return interfaces_1.FilterResult.Skip;
    }
    if (!traverser.filter) {
      return interfaces_1.FilterResult.Accept;
    }
    traverser._activeFlag = true;
    var result = interfaces_1.FilterResult.Reject;
    try {
      result = traverser.filter.acceptNode(node);
    } catch (err) {
      traverser._activeFlag = false;
      throw err;
    }
    traverser._activeFlag = false;
    return result;
  }
  exports.traversal_filter = traversal_filter;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/NodeIteratorAlgorithm.js
var require_NodeIteratorAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var interfaces_1 = require_interfaces2();
  var TraversalAlgorithm_1 = require_TraversalAlgorithm();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  function nodeIterator_traverse(iterator, forward) {
    var node = iterator._reference;
    var beforeNode = iterator._pointerBeforeReference;
    while (true) {
      if (forward) {
        if (!beforeNode) {
          var nextNode = TreeAlgorithm_1.tree_getFollowingNode(iterator._root, node);
          if (nextNode) {
            node = nextNode;
          } else {
            return null;
          }
        } else {
          beforeNode = false;
        }
      } else {
        if (beforeNode) {
          var prevNode = TreeAlgorithm_1.tree_getPrecedingNode(iterator.root, node);
          if (prevNode) {
            node = prevNode;
          } else {
            return null;
          }
        } else {
          beforeNode = true;
        }
      }
      var result = TraversalAlgorithm_1.traversal_filter(iterator, node);
      if (result === interfaces_1.FilterResult.Accept) {
        break;
      }
    }
    iterator._reference = node;
    iterator._pointerBeforeReference = beforeNode;
    return node;
  }
  exports.nodeIterator_traverse = nodeIterator_traverse;
  function nodeIterator_iteratorList() {
    return DOMImpl_1.dom.window._iteratorList;
  }
  exports.nodeIterator_iteratorList = nodeIterator_iteratorList;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/XMLAlgorithm.js
var require_XMLAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  function xml_isName(name) {
    for (var i = 0;i < name.length; i++) {
      var n = name.charCodeAt(i);
      if (n >= 97 && n <= 122 || n >= 65 && n <= 90 || n === 58 || n === 95 || n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
        continue;
      } else if (i !== 0 && (n === 45 || n === 46 || n >= 48 && n <= 57 || n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
        continue;
      }
      if (n >= 55296 && n <= 56319 && i < name.length - 1) {
        var n2 = name.charCodeAt(i + 1);
        if (n2 >= 56320 && n2 <= 57343) {
          n = (n - 55296) * 1024 + n2 - 56320 + 65536;
          i++;
          if (n >= 65536 && n <= 983039) {
            continue;
          }
        }
      }
      return false;
    }
    return true;
  }
  exports.xml_isName = xml_isName;
  function xml_isQName(name) {
    var colonFound = false;
    for (var i = 0;i < name.length; i++) {
      var n = name.charCodeAt(i);
      if (n >= 97 && n <= 122 || n >= 65 && n <= 90 || n === 95 || n >= 192 && n <= 214 || n >= 216 && n <= 246 || n >= 248 && n <= 767 || n >= 880 && n <= 893 || n >= 895 && n <= 8191 || n >= 8204 && n <= 8205 || n >= 8304 && n <= 8591 || n >= 11264 && n <= 12271 || n >= 12289 && n <= 55295 || n >= 63744 && n <= 64975 || n >= 65008 && n <= 65533) {
        continue;
      } else if (i !== 0 && (n === 45 || n === 46 || n >= 48 && n <= 57 || n === 183 || n >= 768 && n <= 879 || n >= 8255 && n <= 8256)) {
        continue;
      } else if (i !== 0 && n === 58) {
        if (colonFound)
          return false;
        if (i === name.length - 1)
          return false;
        colonFound = true;
        continue;
      }
      if (n >= 55296 && n <= 56319 && i < name.length - 1) {
        var n2 = name.charCodeAt(i + 1);
        if (n2 >= 56320 && n2 <= 57343) {
          n = (n - 55296) * 1024 + n2 - 56320 + 65536;
          i++;
          if (n >= 65536 && n <= 983039) {
            continue;
          }
        }
      }
      return false;
    }
    return true;
  }
  exports.xml_isQName = xml_isQName;
  function xml_isLegalChar(chars) {
    for (var i = 0;i < chars.length; i++) {
      var n = chars.charCodeAt(i);
      if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
        continue;
      }
      if (n >= 55296 && n <= 56319 && i < chars.length - 1) {
        var n2 = chars.charCodeAt(i + 1);
        if (n2 >= 56320 && n2 <= 57343) {
          n = (n - 55296) * 1024 + n2 - 56320 + 65536;
          i++;
          if (n >= 65536 && n <= 1114111) {
            continue;
          }
        }
      }
      return false;
    }
    return true;
  }
  exports.xml_isLegalChar = xml_isLegalChar;
  function xml_isPubidChar(chars) {
    for (var i = 0;i < chars.length; i++) {
      var n = chars.charCodeAt(i);
      if (n >= 97 && n <= 122 || n >= 65 && n <= 90 || n >= 39 && n <= 59 || n === 32 || n === 13 || n === 10 || n >= 35 && n <= 37 || n === 33 || n === 61 || n === 63 || n === 64 || n === 95) {
        continue;
      } else {
        return false;
      }
    }
    return true;
  }
  exports.xml_isPubidChar = xml_isPubidChar;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/NamespaceAlgorithm.js
var require_NamespaceAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMException_1 = require_DOMException();
  var infra_1 = require_lib2();
  var XMLAlgorithm_1 = require_XMLAlgorithm();
  function namespace_validate(qualifiedName) {
    if (!XMLAlgorithm_1.xml_isName(qualifiedName))
      throw new DOMException_1.InvalidCharacterError("Invalid XML name: " + qualifiedName);
    if (!XMLAlgorithm_1.xml_isQName(qualifiedName))
      throw new DOMException_1.InvalidCharacterError("Invalid XML qualified name: " + qualifiedName + ".");
  }
  exports.namespace_validate = namespace_validate;
  function namespace_validateAndExtract(namespace, qualifiedName) {
    if (!namespace)
      namespace = null;
    namespace_validate(qualifiedName);
    var parts = qualifiedName.split(":");
    var prefix = parts.length === 2 ? parts[0] : null;
    var localName = parts.length === 2 ? parts[1] : qualifiedName;
    if (prefix && namespace === null)
      throw new DOMException_1.NamespaceError("Qualified name includes a prefix but the namespace is null.");
    if (prefix === "xml" && namespace !== infra_1.namespace.XML)
      throw new DOMException_1.NamespaceError('Qualified name includes the "xml" prefix but the namespace is not the XML namespace.');
    if (namespace !== infra_1.namespace.XMLNS && (prefix === "xmlns" || qualifiedName === "xmlns"))
      throw new DOMException_1.NamespaceError('Qualified name includes the "xmlns" prefix but the namespace is not the XMLNS namespace.');
    if (namespace === infra_1.namespace.XMLNS && (prefix !== "xmlns" && qualifiedName !== "xmlns"))
      throw new DOMException_1.NamespaceError('Qualified name does not include the "xmlns" prefix but the namespace is the XMLNS namespace.');
    return [namespace, prefix, localName];
  }
  exports.namespace_validateAndExtract = namespace_validateAndExtract;
  function namespace_extractQName(qualifiedName) {
    namespace_validate(qualifiedName);
    var parts = qualifiedName.split(":");
    var prefix = parts.length === 2 ? parts[0] : null;
    var localName = parts.length === 2 ? parts[1] : qualifiedName;
    return [prefix, localName];
  }
  exports.namespace_extractQName = namespace_extractQName;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/DocumentAlgorithm.js
var require_DocumentAlgorithm = __commonJS((exports) => {
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var util_1 = require_util();
  var util_2 = require_lib();
  var ElementImpl_1 = require_ElementImpl();
  var CustomElementAlgorithm_1 = require_CustomElementAlgorithm();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  var NamespaceAlgorithm_1 = require_NamespaceAlgorithm();
  var DOMAlgorithm_1 = require_DOMAlgorithm();
  var ElementAlgorithm_1 = require_ElementAlgorithm();
  var MutationAlgorithm_1 = require_MutationAlgorithm();
  function document_elementInterface(name, namespace) {
    return ElementImpl_1.ElementImpl;
  }
  exports.document_elementInterface = document_elementInterface;
  function document_internalCreateElementNS(document2, namespace, qualifiedName, options) {
    var _a = __read(NamespaceAlgorithm_1.namespace_validateAndExtract(namespace, qualifiedName), 3), ns = _a[0], prefix = _a[1], localName = _a[2];
    var is = null;
    if (options !== undefined) {
      if (util_2.isString(options)) {
        is = options;
      } else {
        is = options.is;
      }
    }
    return ElementAlgorithm_1.element_createAnElement(document2, localName, ns, prefix, is, true);
  }
  exports.document_internalCreateElementNS = document_internalCreateElementNS;
  function document_adopt(node, document2) {
    var e_1, _a;
    if (node._nodeDocument === document2 && node._parent === null) {
      return;
    }
    var oldDocument = node._nodeDocument;
    if (node._parent)
      MutationAlgorithm_1.mutation_remove(node, node._parent);
    if (document2 !== oldDocument) {
      var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, true);
      while (inclusiveDescendant !== null) {
        inclusiveDescendant._nodeDocument = document2;
        if (util_1.Guard.isElementNode(inclusiveDescendant)) {
          try {
            for (var _b = (e_1 = undefined, __values(inclusiveDescendant._attributeList._asArray())), _c = _b.next();!_c.done; _c = _b.next()) {
              var attr = _c.value;
              attr._nodeDocument = document2;
            }
          } catch (e_1_1) {
            e_1 = { error: e_1_1 };
          } finally {
            try {
              if (_c && !_c.done && (_a = _b.return))
                _a.call(_b);
            } finally {
              if (e_1)
                throw e_1.error;
            }
          }
        }
        if (DOMImpl_1.dom.features.customElements) {
          if (util_1.Guard.isElementNode(inclusiveDescendant) && inclusiveDescendant._customElementState === "custom") {
            CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "adoptedCallback", [oldDocument, document2]);
          }
        }
        if (DOMImpl_1.dom.features.steps) {
          DOMAlgorithm_1.dom_runAdoptingSteps(inclusiveDescendant, oldDocument);
        }
        inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, inclusiveDescendant, true, true);
      }
    }
  }
  exports.document_adopt = document_adopt;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/MutationAlgorithm.js
var require_MutationAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var DOMException_1 = require_DOMException();
  var interfaces_1 = require_interfaces2();
  var util_1 = require_util();
  var util_2 = require_lib();
  var infra_1 = require_lib2();
  var CustomElementAlgorithm_1 = require_CustomElementAlgorithm();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  var NodeIteratorAlgorithm_1 = require_NodeIteratorAlgorithm();
  var ShadowTreeAlgorithm_1 = require_ShadowTreeAlgorithm();
  var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm();
  var DOMAlgorithm_1 = require_DOMAlgorithm();
  var DocumentAlgorithm_1 = require_DocumentAlgorithm();
  function mutation_ensurePreInsertionValidity(node, parent, child2) {
    var e_1, _a, e_2, _b, e_3, _c, e_4, _d;
    var parentNodeType = parent._nodeType;
    var nodeNodeType = node._nodeType;
    var childNodeType = child2 ? child2._nodeType : null;
    if (parentNodeType !== interfaces_1.NodeType.Document && parentNodeType !== interfaces_1.NodeType.DocumentFragment && parentNodeType !== interfaces_1.NodeType.Element)
      throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
    if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
      throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an inclusive ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
    if (child2 !== null && child2._parent !== parent)
      throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child2.nodeName + ", parent node is " + parent.nodeName + ".");
    if (nodeNodeType !== interfaces_1.NodeType.DocumentFragment && nodeNodeType !== interfaces_1.NodeType.DocumentType && nodeNodeType !== interfaces_1.NodeType.Element && nodeNodeType !== interfaces_1.NodeType.Text && nodeNodeType !== interfaces_1.NodeType.ProcessingInstruction && nodeNodeType !== interfaces_1.NodeType.CData && nodeNodeType !== interfaces_1.NodeType.Comment)
      throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
    if (nodeNodeType === interfaces_1.NodeType.Text && parentNodeType === interfaces_1.NodeType.Document)
      throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
    if (nodeNodeType === interfaces_1.NodeType.DocumentType && parentNodeType !== interfaces_1.NodeType.Document)
      throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
    if (parentNodeType === interfaces_1.NodeType.Document) {
      if (nodeNodeType === interfaces_1.NodeType.DocumentFragment) {
        var eleCount = 0;
        try {
          for (var _e = __values(node._children), _f = _e.next();!_f.done; _f = _e.next()) {
            var childNode = _f.value;
            if (childNode._nodeType === interfaces_1.NodeType.Element)
              eleCount++;
            else if (childNode._nodeType === interfaces_1.NodeType.Text)
              throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_f && !_f.done && (_a = _e.return))
              _a.call(_e);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        if (eleCount > 1) {
          throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
        } else if (eleCount === 1) {
          try {
            for (var _g = __values(parent._children), _h = _g.next();!_h.done; _h = _g.next()) {
              var ele = _h.value;
              if (ele._nodeType === interfaces_1.NodeType.Element)
                throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_h && !_h.done && (_b = _g.return))
                _b.call(_g);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          if (child2) {
            if (childNodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
            var doctypeChild = child2._nextSibling;
            while (doctypeChild) {
              if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
                throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
              doctypeChild = doctypeChild._nextSibling;
            }
          }
        }
      } else if (nodeNodeType === interfaces_1.NodeType.Element) {
        try {
          for (var _j = __values(parent._children), _k = _j.next();!_k.done; _k = _j.next()) {
            var ele = _k.value;
            if (ele._nodeType === interfaces_1.NodeType.Element)
              throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (_k && !_k.done && (_c = _j.return))
              _c.call(_j);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        if (child2) {
          if (childNodeType === interfaces_1.NodeType.DocumentType)
            throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
          var doctypeChild = child2._nextSibling;
          while (doctypeChild) {
            if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
            doctypeChild = doctypeChild._nextSibling;
          }
        }
      } else if (nodeNodeType === interfaces_1.NodeType.DocumentType) {
        try {
          for (var _l = __values(parent._children), _m = _l.next();!_m.done; _m = _l.next()) {
            var ele = _m.value;
            if (ele._nodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_m && !_m.done && (_d = _l.return))
              _d.call(_l);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
        if (child2) {
          var elementChild = child2._previousSibling;
          while (elementChild) {
            if (elementChild._nodeType === interfaces_1.NodeType.Element)
              throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
            elementChild = elementChild._previousSibling;
          }
        } else {
          var elementChild = parent._firstChild;
          while (elementChild) {
            if (elementChild._nodeType === interfaces_1.NodeType.Element)
              throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
            elementChild = elementChild._nextSibling;
          }
        }
      }
    }
  }
  exports.mutation_ensurePreInsertionValidity = mutation_ensurePreInsertionValidity;
  function mutation_preInsert(node, parent, child2) {
    mutation_ensurePreInsertionValidity(node, parent, child2);
    var referenceChild = child2;
    if (referenceChild === node)
      referenceChild = node._nextSibling;
    DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
    mutation_insert(node, parent, referenceChild);
    return node;
  }
  exports.mutation_preInsert = mutation_preInsert;
  function mutation_insert(node, parent, child2, suppressObservers) {
    var e_5, _a;
    if (child2 === null && node._nodeType !== interfaces_1.NodeType.DocumentFragment) {
      mutation_insert_single(node, parent, suppressObservers);
      return;
    }
    var count = node._nodeType === interfaces_1.NodeType.DocumentFragment ? node._children.size : 1;
    if (child2 !== null) {
      if (DOMImpl_1.dom.rangeList.size !== 0) {
        var index_1 = TreeAlgorithm_1.tree_index(child2);
        try {
          for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next();!_c.done; _c = _b.next()) {
            var range = _c.value;
            if (range._start[0] === parent && range._start[1] > index_1) {
              range._start[1] += count;
            }
            if (range._end[0] === parent && range._end[1] > index_1) {
              range._end[1] += count;
            }
          }
        } catch (e_5_1) {
          e_5 = { error: e_5_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_5)
              throw e_5.error;
          }
        }
      }
    }
    var nodes = node._nodeType === interfaces_1.NodeType.DocumentFragment ? new (Array.bind.apply(Array, __spread([undefined], node._children))) : [node];
    if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
      while (node._firstChild) {
        mutation_remove(node._firstChild, node, true);
      }
    }
    if (DOMImpl_1.dom.features.mutationObservers) {
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(node, [], nodes, null, null);
      }
    }
    var previousSibling = child2 ? child2._previousSibling : parent._lastChild;
    var index = child2 === null ? -1 : TreeAlgorithm_1.tree_index(child2);
    for (var i = 0;i < nodes.length; i++) {
      var node_1 = nodes[i];
      if (util_1.Guard.isElementNode(node_1)) {
        if (util_1.Guard.isDocumentNode(parent)) {
          parent._documentElement = node_1;
        }
        if (!node_1._nodeDocument._hasNamespaces && (node_1._namespace !== null || node_1._namespacePrefix !== null)) {
          node_1._nodeDocument._hasNamespaces = true;
        }
      }
      node_1._parent = parent;
      if (child2 === null) {
        infra_1.set.append(parent._children, node_1);
      } else {
        infra_1.set.insert(parent._children, node_1, index);
        index++;
      }
      if (parent._firstChild === null) {
        node_1._previousSibling = null;
        node_1._nextSibling = null;
        parent._firstChild = node_1;
        parent._lastChild = node_1;
      } else {
        var prev = child2 ? child2._previousSibling : parent._lastChild;
        var next = child2 ? child2 : null;
        node_1._previousSibling = prev;
        node_1._nextSibling = next;
        if (prev)
          prev._nextSibling = node_1;
        if (next)
          next._previousSibling = node_1;
        if (!prev)
          parent._firstChild = node_1;
        if (!next)
          parent._lastChild = node_1;
      }
      if (DOMImpl_1.dom.features.slots) {
        if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node_1)) {
          ShadowTreeAlgorithm_1.shadowTree_assignASlot(node_1);
        }
      }
      if (DOMImpl_1.dom.features.steps) {
        if (util_1.Guard.isTextNode(node_1)) {
          DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
          ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
        }
      }
      if (DOMImpl_1.dom.features.slots) {
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node_1));
      }
      var inclusiveDescendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node_1, true, true);
      while (inclusiveDescendant !== null) {
        if (DOMImpl_1.dom.features.steps) {
          DOMAlgorithm_1.dom_runInsertionSteps(inclusiveDescendant);
        }
        if (DOMImpl_1.dom.features.customElements) {
          if (util_1.Guard.isElementNode(inclusiveDescendant) && ShadowTreeAlgorithm_1.shadowTree_isConnected(inclusiveDescendant)) {
            if (util_1.Guard.isCustomElementNode(inclusiveDescendant)) {
              CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(inclusiveDescendant, "connectedCallback", []);
            } else {
              CustomElementAlgorithm_1.customElement_tryToUpgrade(inclusiveDescendant);
            }
          }
        }
        inclusiveDescendant = TreeAlgorithm_1.tree_getNextDescendantNode(node_1, inclusiveDescendant, true, true);
      }
    }
    if (DOMImpl_1.dom.features.mutationObservers) {
      if (!suppressObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, [], previousSibling, child2);
      }
    }
  }
  exports.mutation_insert = mutation_insert;
  function mutation_insert_single(node, parent, suppressObservers) {
    var previousSibling = parent._lastChild;
    if (util_1.Guard.isElementNode(node)) {
      if (util_1.Guard.isDocumentNode(parent)) {
        parent._documentElement = node;
      }
      if (!node._nodeDocument._hasNamespaces && (node._namespace !== null || node._namespacePrefix !== null)) {
        node._nodeDocument._hasNamespaces = true;
      }
    }
    node._parent = parent;
    parent._children.add(node);
    if (parent._firstChild === null) {
      node._previousSibling = null;
      node._nextSibling = null;
      parent._firstChild = node;
      parent._lastChild = node;
    } else {
      var prev = parent._lastChild;
      node._previousSibling = prev;
      node._nextSibling = null;
      if (prev)
        prev._nextSibling = node;
      if (!prev)
        parent._firstChild = node;
      parent._lastChild = node;
    }
    if (DOMImpl_1.dom.features.slots) {
      if (parent._shadowRoot !== null && util_1.Guard.isSlotable(node)) {
        ShadowTreeAlgorithm_1.shadowTree_assignASlot(node);
      }
    }
    if (DOMImpl_1.dom.features.steps) {
      if (util_1.Guard.isTextNode(node)) {
        DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
      }
    }
    if (DOMImpl_1.dom.features.slots) {
      if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
        ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
      }
    }
    if (DOMImpl_1.dom.features.slots) {
      ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(node));
    }
    if (DOMImpl_1.dom.features.steps) {
      DOMAlgorithm_1.dom_runInsertionSteps(node);
    }
    if (DOMImpl_1.dom.features.customElements) {
      if (util_1.Guard.isElementNode(node) && ShadowTreeAlgorithm_1.shadowTree_isConnected(node)) {
        if (util_1.Guard.isCustomElementNode(node)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "connectedCallback", []);
        } else {
          CustomElementAlgorithm_1.customElement_tryToUpgrade(node);
        }
      }
    }
    if (DOMImpl_1.dom.features.mutationObservers) {
      if (!suppressObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [node], [], previousSibling, null);
      }
    }
  }
  function mutation_append(node, parent) {
    return mutation_preInsert(node, parent, null);
  }
  exports.mutation_append = mutation_append;
  function mutation_replace(child2, node, parent) {
    var e_6, _a, e_7, _b, e_8, _c, e_9, _d;
    if (parent._nodeType !== interfaces_1.NodeType.Document && parent._nodeType !== interfaces_1.NodeType.DocumentFragment && parent._nodeType !== interfaces_1.NodeType.Element)
      throw new DOMException_1.HierarchyRequestError("Only document, document fragment and element nodes can contain child nodes. Parent node is " + parent.nodeName + ".");
    if (TreeAlgorithm_1.tree_isHostIncludingAncestorOf(parent, node, true))
      throw new DOMException_1.HierarchyRequestError("The node to be inserted cannot be an ancestor of parent node. Node is " + node.nodeName + ", parent node is " + parent.nodeName + ".");
    if (child2._parent !== parent)
      throw new DOMException_1.NotFoundError("The reference child node cannot be found under parent node. Child node is " + child2.nodeName + ", parent node is " + parent.nodeName + ".");
    if (node._nodeType !== interfaces_1.NodeType.DocumentFragment && node._nodeType !== interfaces_1.NodeType.DocumentType && node._nodeType !== interfaces_1.NodeType.Element && node._nodeType !== interfaces_1.NodeType.Text && node._nodeType !== interfaces_1.NodeType.ProcessingInstruction && node._nodeType !== interfaces_1.NodeType.CData && node._nodeType !== interfaces_1.NodeType.Comment)
      throw new DOMException_1.HierarchyRequestError("Only document fragment, document type, element, text, processing instruction, cdata section or comment nodes can be inserted. Node is " + node.nodeName + ".");
    if (node._nodeType === interfaces_1.NodeType.Text && parent._nodeType === interfaces_1.NodeType.Document)
      throw new DOMException_1.HierarchyRequestError("Cannot insert a text node as a child of a document node. Node is " + node.nodeName + ".");
    if (node._nodeType === interfaces_1.NodeType.DocumentType && parent._nodeType !== interfaces_1.NodeType.Document)
      throw new DOMException_1.HierarchyRequestError("A document type node can only be inserted under a document node. Parent node is " + parent.nodeName + ".");
    if (parent._nodeType === interfaces_1.NodeType.Document) {
      if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
        var eleCount = 0;
        try {
          for (var _e = __values(node._children), _f = _e.next();!_f.done; _f = _e.next()) {
            var childNode = _f.value;
            if (childNode._nodeType === interfaces_1.NodeType.Element)
              eleCount++;
            else if (childNode._nodeType === interfaces_1.NodeType.Text)
              throw new DOMException_1.HierarchyRequestError("Cannot insert text a node as a child of a document node. Node is " + childNode.nodeName + ".");
          }
        } catch (e_6_1) {
          e_6 = { error: e_6_1 };
        } finally {
          try {
            if (_f && !_f.done && (_a = _e.return))
              _a.call(_e);
          } finally {
            if (e_6)
              throw e_6.error;
          }
        }
        if (eleCount > 1) {
          throw new DOMException_1.HierarchyRequestError("A document node can only have one document element node. Document fragment to be inserted has " + eleCount + " element nodes.");
        } else if (eleCount === 1) {
          try {
            for (var _g = __values(parent._children), _h = _g.next();!_h.done; _h = _g.next()) {
              var ele = _h.value;
              if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child2)
                throw new DOMException_1.HierarchyRequestError("The document node already has a document element node.");
            }
          } catch (e_7_1) {
            e_7 = { error: e_7_1 };
          } finally {
            try {
              if (_h && !_h.done && (_b = _g.return))
                _b.call(_g);
            } finally {
              if (e_7)
                throw e_7.error;
            }
          }
          var doctypeChild = child2._nextSibling;
          while (doctypeChild) {
            if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
              throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node.");
            doctypeChild = doctypeChild._nextSibling;
          }
        }
      } else if (node._nodeType === interfaces_1.NodeType.Element) {
        try {
          for (var _j = __values(parent._children), _k = _j.next();!_k.done; _k = _j.next()) {
            var ele = _k.value;
            if (ele._nodeType === interfaces_1.NodeType.Element && ele !== child2)
              throw new DOMException_1.HierarchyRequestError("Document already has a document element node. Node is " + node.nodeName + ".");
          }
        } catch (e_8_1) {
          e_8 = { error: e_8_1 };
        } finally {
          try {
            if (_k && !_k.done && (_c = _j.return))
              _c.call(_j);
          } finally {
            if (e_8)
              throw e_8.error;
          }
        }
        var doctypeChild = child2._nextSibling;
        while (doctypeChild) {
          if (doctypeChild._nodeType === interfaces_1.NodeType.DocumentType)
            throw new DOMException_1.HierarchyRequestError("Cannot insert an element node before a document type node. Node is " + node.nodeName + ".");
          doctypeChild = doctypeChild._nextSibling;
        }
      } else if (node._nodeType === interfaces_1.NodeType.DocumentType) {
        try {
          for (var _l = __values(parent._children), _m = _l.next();!_m.done; _m = _l.next()) {
            var ele = _m.value;
            if (ele._nodeType === interfaces_1.NodeType.DocumentType && ele !== child2)
              throw new DOMException_1.HierarchyRequestError("Document already has a document type node. Node is " + node.nodeName + ".");
          }
        } catch (e_9_1) {
          e_9 = { error: e_9_1 };
        } finally {
          try {
            if (_m && !_m.done && (_d = _l.return))
              _d.call(_l);
          } finally {
            if (e_9)
              throw e_9.error;
          }
        }
        var elementChild = child2._previousSibling;
        while (elementChild) {
          if (elementChild._nodeType === interfaces_1.NodeType.Element)
            throw new DOMException_1.HierarchyRequestError("Cannot insert a document type node before an element node. Node is " + node.nodeName + ".");
          elementChild = elementChild._previousSibling;
        }
      }
    }
    var referenceChild = child2._nextSibling;
    if (referenceChild === node)
      referenceChild = node._nextSibling;
    var previousSibling = child2._previousSibling;
    DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
    var removedNodes = [];
    if (child2._parent !== null) {
      removedNodes.push(child2);
      mutation_remove(child2, child2._parent, true);
    }
    var nodes = [];
    if (node._nodeType === interfaces_1.NodeType.DocumentFragment) {
      nodes = Array.from(node._children);
    } else {
      nodes.push(node);
    }
    mutation_insert(node, parent, referenceChild, true);
    if (DOMImpl_1.dom.features.mutationObservers) {
      MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, nodes, removedNodes, previousSibling, referenceChild);
    }
    return child2;
  }
  exports.mutation_replace = mutation_replace;
  function mutation_replaceAll(node, parent) {
    var e_10, _a;
    if (node !== null) {
      DocumentAlgorithm_1.document_adopt(node, parent._nodeDocument);
    }
    var removedNodes = Array.from(parent._children);
    var addedNodes = [];
    if (node && node._nodeType === interfaces_1.NodeType.DocumentFragment) {
      addedNodes = Array.from(node._children);
    } else if (node !== null) {
      addedNodes.push(node);
    }
    try {
      for (var removedNodes_1 = __values(removedNodes), removedNodes_1_1 = removedNodes_1.next();!removedNodes_1_1.done; removedNodes_1_1 = removedNodes_1.next()) {
        var childNode = removedNodes_1_1.value;
        mutation_remove(childNode, parent, true);
      }
    } catch (e_10_1) {
      e_10 = { error: e_10_1 };
    } finally {
      try {
        if (removedNodes_1_1 && !removedNodes_1_1.done && (_a = removedNodes_1.return))
          _a.call(removedNodes_1);
      } finally {
        if (e_10)
          throw e_10.error;
      }
    }
    if (node !== null) {
      mutation_insert(node, parent, null, true);
    }
    if (DOMImpl_1.dom.features.mutationObservers) {
      MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, addedNodes, removedNodes, null, null);
    }
  }
  exports.mutation_replaceAll = mutation_replaceAll;
  function mutation_preRemove(child2, parent) {
    if (child2._parent !== parent)
      throw new DOMException_1.NotFoundError("The child node cannot be found under parent node. Child node is " + child2.nodeName + ", parent node is " + parent.nodeName + ".");
    mutation_remove(child2, parent);
    return child2;
  }
  exports.mutation_preRemove = mutation_preRemove;
  function mutation_remove(node, parent, suppressObservers) {
    var e_11, _a, e_12, _b, e_13, _c, e_14, _d;
    if (DOMImpl_1.dom.rangeList.size !== 0) {
      var index = TreeAlgorithm_1.tree_index(node);
      try {
        for (var _e = __values(DOMImpl_1.dom.rangeList), _f = _e.next();!_f.done; _f = _e.next()) {
          var range = _f.value;
          if (TreeAlgorithm_1.tree_isDescendantOf(node, range._start[0], true)) {
            range._start = [parent, index];
          }
          if (TreeAlgorithm_1.tree_isDescendantOf(node, range._end[0], true)) {
            range._end = [parent, index];
          }
          if (range._start[0] === parent && range._start[1] > index) {
            range._start[1]--;
          }
          if (range._end[0] === parent && range._end[1] > index) {
            range._end[1]--;
          }
        }
      } catch (e_11_1) {
        e_11 = { error: e_11_1 };
      } finally {
        try {
          if (_f && !_f.done && (_a = _e.return))
            _a.call(_e);
        } finally {
          if (e_11)
            throw e_11.error;
        }
      }
      try {
        for (var _g = __values(DOMImpl_1.dom.rangeList), _h = _g.next();!_h.done; _h = _g.next()) {
          var range = _h.value;
          if (range._start[0] === parent && range._start[1] > index) {
            range._start[1] -= 1;
          }
          if (range._end[0] === parent && range._end[1] > index) {
            range._end[1] -= 1;
          }
        }
      } catch (e_12_1) {
        e_12 = { error: e_12_1 };
      } finally {
        try {
          if (_h && !_h.done && (_b = _g.return))
            _b.call(_g);
        } finally {
          if (e_12)
            throw e_12.error;
        }
      }
    }
    if (DOMImpl_1.dom.features.steps) {
      try {
        for (var _j = __values(NodeIteratorAlgorithm_1.nodeIterator_iteratorList()), _k = _j.next();!_k.done; _k = _j.next()) {
          var iterator = _k.value;
          if (iterator._root._nodeDocument === node._nodeDocument) {
            DOMAlgorithm_1.dom_runNodeIteratorPreRemovingSteps(iterator, node);
          }
        }
      } catch (e_13_1) {
        e_13 = { error: e_13_1 };
      } finally {
        try {
          if (_k && !_k.done && (_c = _j.return))
            _c.call(_j);
        } finally {
          if (e_13)
            throw e_13.error;
        }
      }
    }
    var oldPreviousSibling = node._previousSibling;
    var oldNextSibling = node._nextSibling;
    if (util_1.Guard.isDocumentNode(parent) && util_1.Guard.isElementNode(node)) {
      parent._documentElement = null;
    }
    node._parent = null;
    parent._children.delete(node);
    var prev = node._previousSibling;
    var next = node._nextSibling;
    node._previousSibling = null;
    node._nextSibling = null;
    if (prev)
      prev._nextSibling = next;
    if (next)
      next._previousSibling = prev;
    if (!prev)
      parent._firstChild = next;
    if (!next)
      parent._lastChild = prev;
    if (DOMImpl_1.dom.features.slots) {
      if (util_1.Guard.isSlotable(node) && node._assignedSlot !== null && ShadowTreeAlgorithm_1.shadowTree_isAssigned(node)) {
        ShadowTreeAlgorithm_1.shadowTree_assignSlotables(node._assignedSlot);
      }
    }
    if (DOMImpl_1.dom.features.slots) {
      if (util_1.Guard.isShadowRoot(TreeAlgorithm_1.tree_rootNode(parent)) && util_1.Guard.isSlot(parent) && util_2.isEmpty(parent._assignedNodes)) {
        ShadowTreeAlgorithm_1.shadowTree_signalASlotChange(parent);
      }
    }
    if (DOMImpl_1.dom.features.slots) {
      var descendant_1 = TreeAlgorithm_1.tree_getFirstDescendantNode(node, true, false, function(e) {
        return util_1.Guard.isSlot(e);
      });
      if (descendant_1 !== null) {
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(TreeAlgorithm_1.tree_rootNode(parent));
        ShadowTreeAlgorithm_1.shadowTree_assignSlotablesForATree(node);
      }
    }
    if (DOMImpl_1.dom.features.steps) {
      DOMAlgorithm_1.dom_runRemovingSteps(node, parent);
    }
    if (DOMImpl_1.dom.features.customElements) {
      if (util_1.Guard.isCustomElementNode(node)) {
        CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(node, "disconnectedCallback", []);
      }
    }
    var descendant = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, true);
    while (descendant !== null) {
      if (DOMImpl_1.dom.features.steps) {
        DOMAlgorithm_1.dom_runRemovingSteps(descendant, node);
      }
      if (DOMImpl_1.dom.features.customElements) {
        if (util_1.Guard.isCustomElementNode(descendant)) {
          CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(descendant, "disconnectedCallback", []);
        }
      }
      descendant = TreeAlgorithm_1.tree_getNextDescendantNode(node, descendant, false, true);
    }
    if (DOMImpl_1.dom.features.mutationObservers) {
      var inclusiveAncestor = TreeAlgorithm_1.tree_getFirstAncestorNode(parent, true);
      while (inclusiveAncestor !== null) {
        try {
          for (var _l = (e_14 = undefined, __values(inclusiveAncestor._registeredObserverList)), _m = _l.next();!_m.done; _m = _l.next()) {
            var registered = _m.value;
            if (registered.options.subtree) {
              node._registeredObserverList.push({
                observer: registered.observer,
                options: registered.options,
                source: registered
              });
            }
          }
        } catch (e_14_1) {
          e_14 = { error: e_14_1 };
        } finally {
          try {
            if (_m && !_m.done && (_d = _l.return))
              _d.call(_l);
          } finally {
            if (e_14)
              throw e_14.error;
          }
        }
        inclusiveAncestor = TreeAlgorithm_1.tree_getNextAncestorNode(parent, inclusiveAncestor, true);
      }
    }
    if (DOMImpl_1.dom.features.mutationObservers) {
      if (!suppressObservers) {
        MutationObserverAlgorithm_1.observer_queueTreeMutationRecord(parent, [], [node], oldPreviousSibling, oldNextSibling);
      }
    }
    if (DOMImpl_1.dom.features.steps) {
      if (util_1.Guard.isTextNode(node)) {
        DOMAlgorithm_1.dom_runChildTextContentChangeSteps(parent);
      }
    }
  }
  exports.mutation_remove = mutation_remove;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/ElementAlgorithm.js
var require_ElementAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var infra_1 = require_lib2();
  var util_1 = require_util();
  var DOMException_1 = require_DOMException();
  var CreateAlgorithm_1 = require_CreateAlgorithm();
  var CustomElementAlgorithm_1 = require_CustomElementAlgorithm();
  var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm();
  var DOMAlgorithm_1 = require_DOMAlgorithm();
  var MutationAlgorithm_1 = require_MutationAlgorithm();
  var DocumentAlgorithm_1 = require_DocumentAlgorithm();
  function element_has(attribute, element) {
    return element._attributeList._asArray().indexOf(attribute) !== -1;
  }
  exports.element_has = element_has;
  function element_change(attribute, element, value) {
    if (DOMImpl_1.dom.features.mutationObservers) {
      MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
    }
    if (DOMImpl_1.dom.features.customElements) {
      if (util_1.Guard.isCustomElementNode(element)) {
        CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, value, attribute._namespace]);
      }
    }
    if (DOMImpl_1.dom.features.steps) {
      DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, value, attribute._namespace);
    }
    attribute._value = value;
  }
  exports.element_change = element_change;
  function element_append(attribute, element) {
    if (DOMImpl_1.dom.features.mutationObservers) {
      MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, null);
    }
    if (DOMImpl_1.dom.features.customElements) {
      if (util_1.Guard.isCustomElementNode(element)) {
        CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, null, attribute._value, attribute._namespace]);
      }
    }
    if (DOMImpl_1.dom.features.steps) {
      DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, null, attribute._value, attribute._namespace);
    }
    element._attributeList._asArray().push(attribute);
    attribute._element = element;
    if (!element._nodeDocument._hasNamespaces && (attribute._namespace !== null || attribute._namespacePrefix !== null || attribute._localName === "xmlns")) {
      element._nodeDocument._hasNamespaces = true;
    }
  }
  exports.element_append = element_append;
  function element_remove(attribute, element) {
    if (DOMImpl_1.dom.features.mutationObservers) {
      MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, attribute._localName, attribute._namespace, attribute._value);
    }
    if (DOMImpl_1.dom.features.customElements) {
      if (util_1.Guard.isCustomElementNode(element)) {
        CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [attribute._localName, attribute._value, null, attribute._namespace]);
      }
    }
    if (DOMImpl_1.dom.features.steps) {
      DOMAlgorithm_1.dom_runAttributeChangeSteps(element, attribute._localName, attribute._value, null, attribute._namespace);
    }
    var index = element._attributeList._asArray().indexOf(attribute);
    element._attributeList._asArray().splice(index, 1);
    attribute._element = null;
  }
  exports.element_remove = element_remove;
  function element_replace(oldAttr, newAttr, element) {
    if (DOMImpl_1.dom.features.mutationObservers) {
      MutationObserverAlgorithm_1.observer_queueAttributeMutationRecord(element, oldAttr._localName, oldAttr._namespace, oldAttr._value);
    }
    if (DOMImpl_1.dom.features.customElements) {
      if (util_1.Guard.isCustomElementNode(element)) {
        CustomElementAlgorithm_1.customElement_enqueueACustomElementCallbackReaction(element, "attributeChangedCallback", [oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace]);
      }
    }
    if (DOMImpl_1.dom.features.steps) {
      DOMAlgorithm_1.dom_runAttributeChangeSteps(element, oldAttr._localName, oldAttr._value, newAttr._value, oldAttr._namespace);
    }
    var index = element._attributeList._asArray().indexOf(oldAttr);
    if (index !== -1) {
      element._attributeList._asArray()[index] = newAttr;
    }
    oldAttr._element = null;
    newAttr._element = element;
    if (!element._nodeDocument._hasNamespaces && (newAttr._namespace !== null || newAttr._namespacePrefix !== null || newAttr._localName === "xmlns")) {
      element._nodeDocument._hasNamespaces = true;
    }
  }
  exports.element_replace = element_replace;
  function element_getAnAttributeByName(qualifiedName, element) {
    if (element._namespace === infra_1.namespace.HTML && element._nodeDocument._type === "html") {
      qualifiedName = qualifiedName.toLowerCase();
    }
    return element._attributeList._asArray().find(function(attr) {
      return attr._qualifiedName === qualifiedName;
    }) || null;
  }
  exports.element_getAnAttributeByName = element_getAnAttributeByName;
  function element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
    var ns = namespace || null;
    return element._attributeList._asArray().find(function(attr) {
      return attr._namespace === ns && attr._localName === localName;
    }) || null;
  }
  exports.element_getAnAttributeByNamespaceAndLocalName = element_getAnAttributeByNamespaceAndLocalName;
  function element_getAnAttributeValue(element, localName, namespace) {
    if (namespace === undefined) {
      namespace = "";
    }
    var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
    if (attr === null)
      return "";
    else
      return attr._value;
  }
  exports.element_getAnAttributeValue = element_getAnAttributeValue;
  function element_setAnAttribute(attr, element) {
    if (attr._element !== null && attr._element !== element)
      throw new DOMException_1.InUseAttributeError("This attribute already exists in the document: " + attr._qualifiedName + " as a child of " + attr._element._qualifiedName + ".");
    var oldAttr = element_getAnAttributeByNamespaceAndLocalName(attr._namespace || "", attr._localName, element);
    if (oldAttr === attr)
      return attr;
    if (oldAttr !== null) {
      element_replace(oldAttr, attr, element);
    } else {
      element_append(attr, element);
    }
    return oldAttr;
  }
  exports.element_setAnAttribute = element_setAnAttribute;
  function element_setAnAttributeValue(element, localName, value, prefix, namespace) {
    if (prefix === undefined) {
      prefix = null;
    }
    if (namespace === undefined) {
      namespace = null;
    }
    var attribute = element_getAnAttributeByNamespaceAndLocalName(namespace || "", localName, element);
    if (attribute === null) {
      var newAttr = CreateAlgorithm_1.create_attr(element._nodeDocument, localName);
      newAttr._namespace = namespace;
      newAttr._namespacePrefix = prefix;
      newAttr._value = value;
      element_append(newAttr, element);
      return;
    }
    element_change(attribute, element, value);
  }
  exports.element_setAnAttributeValue = element_setAnAttributeValue;
  function element_removeAnAttributeByName(qualifiedName, element) {
    var attr = element_getAnAttributeByName(qualifiedName, element);
    if (attr !== null) {
      element_remove(attr, element);
    }
    return attr;
  }
  exports.element_removeAnAttributeByName = element_removeAnAttributeByName;
  function element_removeAnAttributeByNamespaceAndLocalName(namespace, localName, element) {
    var attr = element_getAnAttributeByNamespaceAndLocalName(namespace, localName, element);
    if (attr !== null) {
      element_remove(attr, element);
    }
    return attr;
  }
  exports.element_removeAnAttributeByNamespaceAndLocalName = element_removeAnAttributeByNamespaceAndLocalName;
  function element_createAnElement(document2, localName, namespace, prefix, is, synchronousCustomElementsFlag) {
    if (prefix === undefined) {
      prefix = null;
    }
    if (is === undefined) {
      is = null;
    }
    if (synchronousCustomElementsFlag === undefined) {
      synchronousCustomElementsFlag = false;
    }
    var result = null;
    if (!DOMImpl_1.dom.features.customElements) {
      result = CreateAlgorithm_1.create_element(document2, localName, namespace, prefix);
      result._customElementState = "uncustomized";
      result._customElementDefinition = null;
      result._is = is;
      return result;
    }
    var definition = CustomElementAlgorithm_1.customElement_lookUpACustomElementDefinition(document2, namespace, localName, is);
    if (definition !== null && definition.name !== definition.localName) {
      var elemenInterface = DocumentAlgorithm_1.document_elementInterface(localName, infra_1.namespace.HTML);
      result = new elemenInterface;
      result._localName = localName;
      result._namespace = infra_1.namespace.HTML;
      result._namespacePrefix = prefix;
      result._customElementState = "undefined";
      result._customElementDefinition = null;
      result._is = is;
      result._nodeDocument = document2;
      if (synchronousCustomElementsFlag) {
        CustomElementAlgorithm_1.customElement_upgrade(definition, result);
      } else {
        CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
      }
    } else if (definition !== null) {
      if (synchronousCustomElementsFlag) {
        try {
          var C = definition.constructor;
          var result_1 = new C;
          console.assert(result_1._customElementState !== undefined);
          console.assert(result_1._customElementDefinition !== undefined);
          console.assert(result_1._namespace === infra_1.namespace.HTML);
          if (result_1._attributeList.length !== 0)
            throw new DOMException_1.NotSupportedError("Custom element already has attributes.");
          if (result_1._children.size !== 0)
            throw new DOMException_1.NotSupportedError("Custom element already has child nodes.");
          if (result_1._parent !== null)
            throw new DOMException_1.NotSupportedError("Custom element already has a parent node.");
          if (result_1._nodeDocument !== document2)
            throw new DOMException_1.NotSupportedError("Custom element is already in a document.");
          if (result_1._localName !== localName)
            throw new DOMException_1.NotSupportedError("Custom element has a different local name.");
          result_1._namespacePrefix = prefix;
          result_1._is = null;
        } catch (e) {
          result = CreateAlgorithm_1.create_htmlUnknownElement(document2, localName, infra_1.namespace.HTML, prefix);
          result._customElementState = "failed";
          result._customElementDefinition = null;
          result._is = null;
        }
      } else {
        result = CreateAlgorithm_1.create_htmlElement(document2, localName, infra_1.namespace.HTML, prefix);
        result._customElementState = "undefined";
        result._customElementDefinition = null;
        result._is = null;
        CustomElementAlgorithm_1.customElement_enqueueACustomElementUpgradeReaction(result, definition);
      }
    } else {
      var elementInterface = DocumentAlgorithm_1.document_elementInterface(localName, namespace);
      result = new elementInterface;
      result._localName = localName;
      result._namespace = namespace;
      result._namespacePrefix = prefix;
      result._customElementState = "uncustomized";
      result._customElementDefinition = null;
      result._is = is;
      result._nodeDocument = document2;
      if (namespace === infra_1.namespace.HTML && (is !== null || CustomElementAlgorithm_1.customElement_isValidCustomElementName(localName))) {
        result._customElementState = "undefined";
      }
    }
    if (result === null) {
      throw new Error("Unable to create element.");
    }
    return result;
  }
  exports.element_createAnElement = element_createAnElement;
  function element_insertAdjacent(element, where, node) {
    switch (where.toLowerCase()) {
      case "beforebegin":
        if (element._parent === null)
          return null;
        return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element);
      case "afterbegin":
        return MutationAlgorithm_1.mutation_preInsert(node, element, element._firstChild);
      case "beforeend":
        return MutationAlgorithm_1.mutation_preInsert(node, element, null);
      case "afterend":
        if (element._parent === null)
          return null;
        return MutationAlgorithm_1.mutation_preInsert(node, element._parent, element._nextSibling);
      default:
        throw new DOMException_1.SyntaxError(`Invalid 'where' argument. "beforebegin", "afterbegin", "beforeend" or "afterend" expected`);
    }
  }
  exports.element_insertAdjacent = element_insertAdjacent;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/AttrAlgorithm.js
var require_AttrAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var ElementAlgorithm_1 = require_ElementAlgorithm();
  function attr_setAnExistingAttributeValue(attribute, value) {
    if (attribute._element === null) {
      attribute._value = value;
    } else {
      ElementAlgorithm_1.element_change(attribute, attribute._element, value);
    }
  }
  exports.attr_setAnExistingAttributeValue = attr_setAnExistingAttributeValue;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/BoundaryPointAlgorithm.js
var require_BoundaryPointAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  function boundaryPoint_position(bp, relativeTo) {
    var nodeA = bp[0];
    var offsetA = bp[1];
    var nodeB = relativeTo[0];
    var offsetB = relativeTo[1];
    console.assert(TreeAlgorithm_1.tree_rootNode(nodeA) === TreeAlgorithm_1.tree_rootNode(nodeB), "Boundary points must share the same root node.");
    if (nodeA === nodeB) {
      if (offsetA === offsetB) {
        return interfaces_1.BoundaryPosition.Equal;
      } else if (offsetA < offsetB) {
        return interfaces_1.BoundaryPosition.Before;
      } else {
        return interfaces_1.BoundaryPosition.After;
      }
    }
    if (TreeAlgorithm_1.tree_isFollowing(nodeB, nodeA)) {
      var pos = boundaryPoint_position([nodeB, offsetB], [nodeA, offsetA]);
      if (pos === interfaces_1.BoundaryPosition.Before) {
        return interfaces_1.BoundaryPosition.After;
      } else if (pos === interfaces_1.BoundaryPosition.After) {
        return interfaces_1.BoundaryPosition.Before;
      }
    }
    if (TreeAlgorithm_1.tree_isAncestorOf(nodeB, nodeA)) {
      var child2 = nodeB;
      while (!TreeAlgorithm_1.tree_isChildOf(nodeA, child2)) {
        if (child2._parent !== null) {
          child2 = child2._parent;
        }
      }
      if (TreeAlgorithm_1.tree_index(child2) < offsetA) {
        return interfaces_1.BoundaryPosition.After;
      }
    }
    return interfaces_1.BoundaryPosition.Before;
  }
  exports.boundaryPoint_position = boundaryPoint_position;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/CharacterDataAlgorithm.js
var require_CharacterDataAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var util_1 = require_util();
  var DOMException_1 = require_DOMException();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  var MutationObserverAlgorithm_1 = require_MutationObserverAlgorithm();
  var DOMAlgorithm_1 = require_DOMAlgorithm();
  function characterData_replaceData(node, offset, count, data) {
    var e_1, _a;
    var length = TreeAlgorithm_1.tree_nodeLength(node);
    if (offset > length) {
      throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
    }
    if (offset + count > length) {
      count = length - offset;
    }
    if (DOMImpl_1.dom.features.mutationObservers) {
      MutationObserverAlgorithm_1.observer_queueMutationRecord("characterData", node, null, null, node._data, [], [], null, null);
    }
    var newData = node._data.substring(0, offset) + data + node._data.substring(offset + count);
    node._data = newData;
    try {
      for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next();!_c.done; _c = _b.next()) {
        var range = _c.value;
        if (range._start[0] === node && range._start[1] > offset && range._start[1] <= offset + count) {
          range._start[1] = offset;
        }
        if (range._end[0] === node && range._end[1] > offset && range._end[1] <= offset + count) {
          range._end[1] = offset;
        }
        if (range._start[0] === node && range._start[1] > offset + count) {
          range._start[1] += data.length - count;
        }
        if (range._end[0] === node && range._end[1] > offset + count) {
          range._end[1] += data.length - count;
        }
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (_c && !_c.done && (_a = _b.return))
          _a.call(_b);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
    if (DOMImpl_1.dom.features.steps) {
      if (util_1.Guard.isTextNode(node) && node._parent !== null) {
        DOMAlgorithm_1.dom_runChildTextContentChangeSteps(node._parent);
      }
    }
  }
  exports.characterData_replaceData = characterData_replaceData;
  function characterData_substringData(node, offset, count) {
    var length = TreeAlgorithm_1.tree_nodeLength(node);
    if (offset > length) {
      throw new DOMException_1.IndexSizeError("Offset exceeds character data length. Offset: " + offset + ", Length: " + length + ", Node is " + node.nodeName + ".");
    }
    if (offset + count > length) {
      return node._data.substr(offset);
    } else {
      return node._data.substr(offset, count);
    }
  }
  exports.characterData_substringData = characterData_substringData;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/OrderedSetAlgorithm.js
var require_OrderedSetAlgorithm = __commonJS((exports) => {
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var infra_1 = require_lib2();
  function orderedSet_parse(value) {
    var inputTokens = infra_1.string.splitAStringOnASCIIWhitespace(value);
    return new Set(inputTokens);
  }
  exports.orderedSet_parse = orderedSet_parse;
  function orderedSet_serialize(tokens) {
    return __spread(tokens).join(" ");
  }
  exports.orderedSet_serialize = orderedSet_serialize;
  function orderedSet_sanitize(value) {
    return orderedSet_serialize(orderedSet_parse(value));
  }
  exports.orderedSet_sanitize = orderedSet_sanitize;
  function orderedSet_contains(set1, set2, caseSensitive) {
    var e_1, _a, e_2, _b;
    try {
      for (var set2_1 = __values(set2), set2_1_1 = set2_1.next();!set2_1_1.done; set2_1_1 = set2_1.next()) {
        var val2 = set2_1_1.value;
        var found = false;
        try {
          for (var set1_1 = (e_2 = undefined, __values(set1)), set1_1_1 = set1_1.next();!set1_1_1.done; set1_1_1 = set1_1.next()) {
            var val1 = set1_1_1.value;
            if (caseSensitive) {
              if (val1 === val2) {
                found = true;
                break;
              }
            } else {
              if (val1.toUpperCase() === val2.toUpperCase()) {
                found = true;
                break;
              }
            }
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (set1_1_1 && !set1_1_1.done && (_b = set1_1.return))
              _b.call(set1_1);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
        if (!found)
          return false;
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (set2_1_1 && !set2_1_1.done && (_a = set2_1.return))
          _a.call(set2_1);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
    return true;
  }
  exports.orderedSet_contains = orderedSet_contains;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/DOMTokenListAlgorithm.js
var require_DOMTokenListAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm();
  var DOMAlgorithm_1 = require_DOMAlgorithm();
  var ElementAlgorithm_1 = require_ElementAlgorithm();
  function tokenList_validationSteps(tokenList, token) {
    if (!DOMAlgorithm_1.dom_hasSupportedTokens(tokenList._attribute._localName)) {
      throw new TypeError("There are no supported tokens defined for attribute name: '" + tokenList._attribute._localName + "'.");
    }
    return DOMAlgorithm_1.dom_getSupportedTokens(tokenList._attribute._localName).has(token.toLowerCase());
  }
  exports.tokenList_validationSteps = tokenList_validationSteps;
  function tokenList_updateSteps(tokenList) {
    if (!tokenList._element.hasAttribute(tokenList._attribute._localName) && tokenList._tokenSet.size === 0) {
      return;
    }
    ElementAlgorithm_1.element_setAnAttributeValue(tokenList._element, tokenList._attribute._localName, OrderedSetAlgorithm_1.orderedSet_serialize(tokenList._tokenSet));
  }
  exports.tokenList_updateSteps = tokenList_updateSteps;
  function tokenList_serializeSteps(tokenList) {
    return ElementAlgorithm_1.element_getAnAttributeValue(tokenList._element, tokenList._attribute._localName);
  }
  exports.tokenList_serializeSteps = tokenList_serializeSteps;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/EventTargetAlgorithm.js
var require_EventTargetAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  function eventTarget_flatten(options) {
    if (util_1.isBoolean(options)) {
      return options;
    } else {
      return options.capture || false;
    }
  }
  exports.eventTarget_flatten = eventTarget_flatten;
  function eventTarget_flattenMore(options) {
    var capture = eventTarget_flatten(options);
    var once = false;
    var passive = false;
    if (!util_1.isBoolean(options)) {
      once = options.once || false;
      passive = options.passive || false;
    }
    return [capture, passive, once];
  }
  exports.eventTarget_flattenMore = eventTarget_flattenMore;
  function eventTarget_addEventListener(eventTarget, listener) {
    if (listener.callback === null)
      return;
    for (var i = 0;i < eventTarget._eventListenerList.length; i++) {
      var entry = eventTarget._eventListenerList[i];
      if (entry.type === listener.type && entry.callback.handleEvent === listener.callback.handleEvent && entry.capture === listener.capture) {
        return;
      }
    }
    eventTarget._eventListenerList.push(listener);
  }
  exports.eventTarget_addEventListener = eventTarget_addEventListener;
  function eventTarget_removeEventListener(eventTarget, listener, index) {
    listener.removed = true;
    eventTarget._eventListenerList.splice(index, 1);
  }
  exports.eventTarget_removeEventListener = eventTarget_removeEventListener;
  function eventTarget_removeAllEventListeners(eventTarget) {
    var e_1, _a;
    try {
      for (var _b = __values(eventTarget._eventListenerList), _c = _b.next();!_c.done; _c = _b.next()) {
        var e = _c.value;
        e.removed = true;
      }
    } catch (e_1_1) {
      e_1 = { error: e_1_1 };
    } finally {
      try {
        if (_c && !_c.done && (_a = _b.return))
          _a.call(_b);
      } finally {
        if (e_1)
          throw e_1.error;
      }
    }
    eventTarget._eventListenerList.length = 0;
  }
  exports.eventTarget_removeAllEventListeners = eventTarget_removeAllEventListeners;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/NodeAlgorithm.js
var require_NodeAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var util_1 = require_util();
  var infra_1 = require_lib2();
  var CreateAlgorithm_1 = require_CreateAlgorithm();
  var OrderedSetAlgorithm_1 = require_OrderedSetAlgorithm();
  var DOMAlgorithm_1 = require_DOMAlgorithm();
  var MutationAlgorithm_1 = require_MutationAlgorithm();
  var ElementAlgorithm_1 = require_ElementAlgorithm();
  function node_stringReplaceAll(str, parent) {
    var node = null;
    if (str !== "") {
      node = CreateAlgorithm_1.create_text(parent._nodeDocument, str);
    }
    MutationAlgorithm_1.mutation_replaceAll(node, parent);
  }
  exports.node_stringReplaceAll = node_stringReplaceAll;
  function node_clone(node, document2, cloneChildrenFlag) {
    var e_1, _a, e_2, _b;
    if (document2 === undefined) {
      document2 = null;
    }
    if (cloneChildrenFlag === undefined) {
      cloneChildrenFlag = false;
    }
    if (document2 === null)
      document2 = node._nodeDocument;
    var copy;
    if (util_1.Guard.isElementNode(node)) {
      copy = ElementAlgorithm_1.element_createAnElement(document2, node._localName, node._namespace, node._namespacePrefix, node._is, false);
      try {
        for (var _c = __values(node._attributeList), _d = _c.next();!_d.done; _d = _c.next()) {
          var attribute = _d.value;
          var copyAttribute = node_clone(attribute, document2);
          ElementAlgorithm_1.element_append(copyAttribute, copy);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_d && !_d.done && (_a = _c.return))
            _a.call(_c);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    } else {
      if (util_1.Guard.isDocumentNode(node)) {
        var doc = CreateAlgorithm_1.create_document();
        doc._encoding = node._encoding;
        doc._contentType = node._contentType;
        doc._URL = node._URL;
        doc._origin = node._origin;
        doc._type = node._type;
        doc._mode = node._mode;
        copy = doc;
      } else if (util_1.Guard.isDocumentTypeNode(node)) {
        var doctype = CreateAlgorithm_1.create_documentType(document2, node._name, node._publicId, node._systemId);
        copy = doctype;
      } else if (util_1.Guard.isAttrNode(node)) {
        var attr = CreateAlgorithm_1.create_attr(document2, node.localName);
        attr._namespace = node._namespace;
        attr._namespacePrefix = node._namespacePrefix;
        attr._value = node._value;
        copy = attr;
      } else if (util_1.Guard.isExclusiveTextNode(node)) {
        copy = CreateAlgorithm_1.create_text(document2, node._data);
      } else if (util_1.Guard.isCDATASectionNode(node)) {
        copy = CreateAlgorithm_1.create_cdataSection(document2, node._data);
      } else if (util_1.Guard.isCommentNode(node)) {
        copy = CreateAlgorithm_1.create_comment(document2, node._data);
      } else if (util_1.Guard.isProcessingInstructionNode(node)) {
        copy = CreateAlgorithm_1.create_processingInstruction(document2, node._target, node._data);
      } else if (util_1.Guard.isDocumentFragmentNode(node)) {
        copy = CreateAlgorithm_1.create_documentFragment(document2);
      } else {
        copy = Object.create(node);
      }
    }
    if (util_1.Guard.isDocumentNode(copy)) {
      copy._nodeDocument = copy;
      document2 = copy;
    } else {
      copy._nodeDocument = document2;
    }
    if (DOMImpl_1.dom.features.steps) {
      DOMAlgorithm_1.dom_runCloningSteps(copy, node, document2, cloneChildrenFlag);
    }
    if (cloneChildrenFlag) {
      try {
        for (var _e = __values(node._children), _f = _e.next();!_f.done; _f = _e.next()) {
          var child2 = _f.value;
          var childCopy = node_clone(child2, document2, true);
          MutationAlgorithm_1.mutation_append(childCopy, copy);
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (_f && !_f.done && (_b = _e.return))
            _b.call(_e);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
    }
    return copy;
  }
  exports.node_clone = node_clone;
  function node_equals(a, b) {
    var e_3, _a, e_4, _b;
    if (a._nodeType !== b._nodeType)
      return false;
    if (util_1.Guard.isDocumentTypeNode(a) && util_1.Guard.isDocumentTypeNode(b)) {
      if (a._name !== b._name || a._publicId !== b._publicId || a._systemId !== b._systemId)
        return false;
    } else if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
      if (a._namespace !== b._namespace || a._namespacePrefix !== b._namespacePrefix || a._localName !== b._localName || a._attributeList.length !== b._attributeList.length)
        return false;
    } else if (util_1.Guard.isAttrNode(a) && util_1.Guard.isAttrNode(b)) {
      if (a._namespace !== b._namespace || a._localName !== b._localName || a._value !== b._value)
        return false;
    } else if (util_1.Guard.isProcessingInstructionNode(a) && util_1.Guard.isProcessingInstructionNode(b)) {
      if (a._target !== b._target || a._data !== b._data)
        return false;
    } else if (util_1.Guard.isCharacterDataNode(a) && util_1.Guard.isCharacterDataNode(b)) {
      if (a._data !== b._data)
        return false;
    }
    if (util_1.Guard.isElementNode(a) && util_1.Guard.isElementNode(b)) {
      var attrMap = {};
      try {
        for (var _c = __values(a._attributeList), _d = _c.next();!_d.done; _d = _c.next()) {
          var attrA = _d.value;
          attrMap[attrA._localName] = attrA;
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (_d && !_d.done && (_a = _c.return))
            _a.call(_c);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      try {
        for (var _e = __values(b._attributeList), _f = _e.next();!_f.done; _f = _e.next()) {
          var attrB = _f.value;
          var attrA = attrMap[attrB._localName];
          if (!attrA)
            return false;
          if (!node_equals(attrA, attrB))
            return false;
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (_f && !_f.done && (_b = _e.return))
            _b.call(_e);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
    }
    if (a._children.size !== b._children.size)
      return false;
    var itA = a._children[Symbol.iterator]();
    var itB = b._children[Symbol.iterator]();
    var resultA = itA.next();
    var resultB = itB.next();
    while (!resultA.done && !resultB.done) {
      var child1 = resultA.value;
      var child2 = resultB.value;
      if (!node_equals(child1, child2))
        return false;
      resultA = itA.next();
      resultB = itB.next();
    }
    return true;
  }
  exports.node_equals = node_equals;
  function node_listOfElementsWithQualifiedName(qualifiedName, root) {
    if (qualifiedName === "*") {
      return CreateAlgorithm_1.create_htmlCollection(root);
    } else if (root._nodeDocument._type === "html") {
      return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
        if (ele._namespace === infra_1.namespace.HTML && ele._qualifiedName === qualifiedName.toLowerCase()) {
          return true;
        } else if (ele._namespace !== infra_1.namespace.HTML && ele._qualifiedName === qualifiedName) {
          return true;
        } else {
          return false;
        }
      });
    } else {
      return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
        return ele._qualifiedName === qualifiedName;
      });
    }
  }
  exports.node_listOfElementsWithQualifiedName = node_listOfElementsWithQualifiedName;
  function node_listOfElementsWithNamespace(namespace, localName, root) {
    if (namespace === "")
      namespace = null;
    if (namespace === "*" && localName === "*") {
      return CreateAlgorithm_1.create_htmlCollection(root);
    } else if (namespace === "*") {
      return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
        return ele._localName === localName;
      });
    } else if (localName === "*") {
      return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
        return ele._namespace === namespace;
      });
    } else {
      return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
        return ele._localName === localName && ele._namespace === namespace;
      });
    }
  }
  exports.node_listOfElementsWithNamespace = node_listOfElementsWithNamespace;
  function node_listOfElementsWithClassNames(classNames, root) {
    var classes = OrderedSetAlgorithm_1.orderedSet_parse(classNames);
    if (classes.size === 0) {
      return CreateAlgorithm_1.create_htmlCollection(root, function() {
        return false;
      });
    }
    var caseSensitive = root._nodeDocument._mode !== "quirks";
    return CreateAlgorithm_1.create_htmlCollection(root, function(ele) {
      var eleClasses = ele.classList;
      return OrderedSetAlgorithm_1.orderedSet_contains(eleClasses._tokenSet, classes, caseSensitive);
    });
  }
  exports.node_listOfElementsWithClassNames = node_listOfElementsWithClassNames;
  function node_locateANamespacePrefix(element, namespace) {
    if (element._namespace === namespace && element._namespacePrefix !== null) {
      return element._namespacePrefix;
    }
    for (var i = 0;i < element._attributeList.length; i++) {
      var attr = element._attributeList[i];
      if (attr._namespacePrefix === "xmlns" && attr._value === namespace) {
        return attr._localName;
      }
    }
    if (element._parent && util_1.Guard.isElementNode(element._parent)) {
      return node_locateANamespacePrefix(element._parent, namespace);
    }
    return null;
  }
  exports.node_locateANamespacePrefix = node_locateANamespacePrefix;
  function node_locateANamespace(node, prefix) {
    if (util_1.Guard.isElementNode(node)) {
      if (node._namespace !== null && node._namespacePrefix === prefix) {
        return node._namespace;
      }
      for (var i = 0;i < node._attributeList.length; i++) {
        var attr = node._attributeList[i];
        if (attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === "xmlns" && attr._localName === prefix) {
          return attr._value || null;
        }
        if (prefix === null && attr._namespace === infra_1.namespace.XMLNS && attr._namespacePrefix === null && attr._localName === "xmlns") {
          return attr._value || null;
        }
      }
      if (node.parentElement === null)
        return null;
      return node_locateANamespace(node.parentElement, prefix);
    } else if (util_1.Guard.isDocumentNode(node)) {
      if (node.documentElement === null)
        return null;
      return node_locateANamespace(node.documentElement, prefix);
    } else if (util_1.Guard.isDocumentTypeNode(node) || util_1.Guard.isDocumentFragmentNode(node)) {
      return null;
    } else if (util_1.Guard.isAttrNode(node)) {
      if (node._element === null)
        return null;
      return node_locateANamespace(node._element, prefix);
    } else {
      if (!node._parent || !util_1.Guard.isElementNode(node._parent))
        return null;
      return node_locateANamespace(node._parent, prefix);
    }
  }
  exports.node_locateANamespace = node_locateANamespace;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/ParentNodeAlgorithm.js
var require_ParentNodeAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  var CreateAlgorithm_1 = require_CreateAlgorithm();
  function parentNode_convertNodesIntoANode(nodes, document2) {
    var e_1, _a;
    var node = null;
    for (var i = 0;i < nodes.length; i++) {
      var item = nodes[i];
      if (util_1.isString(item)) {
        var text = CreateAlgorithm_1.create_text(document2, item);
        nodes[i] = text;
      }
    }
    if (nodes.length === 1) {
      node = nodes[0];
    } else {
      node = CreateAlgorithm_1.create_documentFragment(document2);
      var ns = node;
      try {
        for (var nodes_1 = __values(nodes), nodes_1_1 = nodes_1.next();!nodes_1_1.done; nodes_1_1 = nodes_1.next()) {
          var item = nodes_1_1.value;
          ns.appendChild(item);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (nodes_1_1 && !nodes_1_1.done && (_a = nodes_1.return))
            _a.call(nodes_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    return node;
  }
  exports.parentNode_convertNodesIntoANode = parentNode_convertNodesIntoANode;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/TextAlgorithm.js
var require_TextAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var util_1 = require_util();
  var DOMException_1 = require_DOMException();
  var CreateAlgorithm_1 = require_CreateAlgorithm();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm();
  var MutationAlgorithm_1 = require_MutationAlgorithm();
  function text_contiguousTextNodes(node, self2) {
    var _a;
    if (self2 === undefined) {
      self2 = false;
    }
    return _a = {}, _a[Symbol.iterator] = function() {
      var currentNode = node;
      while (currentNode && util_1.Guard.isTextNode(currentNode._previousSibling)) {
        currentNode = currentNode._previousSibling;
      }
      return {
        next: function() {
          if (currentNode && (!self2 && currentNode === node)) {
            if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
              currentNode = currentNode._nextSibling;
            } else {
              currentNode = null;
            }
          }
          if (currentNode === null) {
            return { done: true, value: null };
          } else {
            var result = { done: false, value: currentNode };
            if (util_1.Guard.isTextNode(currentNode._nextSibling)) {
              currentNode = currentNode._nextSibling;
            } else {
              currentNode = null;
            }
            return result;
          }
        }
      };
    }, _a;
  }
  exports.text_contiguousTextNodes = text_contiguousTextNodes;
  function text_contiguousExclusiveTextNodes(node, self2) {
    var _a;
    if (self2 === undefined) {
      self2 = false;
    }
    return _a = {}, _a[Symbol.iterator] = function() {
      var currentNode = node;
      while (currentNode && util_1.Guard.isExclusiveTextNode(currentNode._previousSibling)) {
        currentNode = currentNode._previousSibling;
      }
      return {
        next: function() {
          if (currentNode && (!self2 && currentNode === node)) {
            if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
              currentNode = currentNode._nextSibling;
            } else {
              currentNode = null;
            }
          }
          if (currentNode === null) {
            return { done: true, value: null };
          } else {
            var result = { done: false, value: currentNode };
            if (util_1.Guard.isExclusiveTextNode(currentNode._nextSibling)) {
              currentNode = currentNode._nextSibling;
            } else {
              currentNode = null;
            }
            return result;
          }
        }
      };
    }, _a;
  }
  exports.text_contiguousExclusiveTextNodes = text_contiguousExclusiveTextNodes;
  function text_descendantTextContent(node) {
    var contents = "";
    var text = TreeAlgorithm_1.tree_getFirstDescendantNode(node, false, false, function(e) {
      return util_1.Guard.isTextNode(e);
    });
    while (text !== null) {
      contents += text._data;
      text = TreeAlgorithm_1.tree_getNextDescendantNode(node, text, false, false, function(e) {
        return util_1.Guard.isTextNode(e);
      });
    }
    return contents;
  }
  exports.text_descendantTextContent = text_descendantTextContent;
  function text_split(node, offset) {
    var e_1, _a;
    var length = node._data.length;
    if (offset > length) {
      throw new DOMException_1.IndexSizeError;
    }
    var count = length - offset;
    var newData = CharacterDataAlgorithm_1.characterData_substringData(node, offset, count);
    var newNode = CreateAlgorithm_1.create_text(node._nodeDocument, newData);
    var parent = node._parent;
    if (parent !== null) {
      MutationAlgorithm_1.mutation_insert(newNode, parent, node._nextSibling);
      try {
        for (var _b = __values(DOMImpl_1.dom.rangeList), _c = _b.next();!_c.done; _c = _b.next()) {
          var range = _c.value;
          if (range._start[0] === node && range._start[1] > offset) {
            range._start[0] = newNode;
            range._start[1] -= offset;
          }
          if (range._end[0] === node && range._end[1] > offset) {
            range._end[0] = newNode;
            range._end[1] -= offset;
          }
          var index = TreeAlgorithm_1.tree_index(node);
          if (range._start[0] === parent && range._start[1] === index + 1) {
            range._start[1]++;
          }
          if (range._end[0] === parent && range._end[1] === index + 1) {
            range._end[1]++;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    CharacterDataAlgorithm_1.characterData_replaceData(node, offset, count, "");
    return newNode;
  }
  exports.text_split = text_split;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/RangeAlgorithm.js
var require_RangeAlgorithm = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var DOMException_1 = require_DOMException();
  var util_1 = require_util();
  var CreateAlgorithm_1 = require_CreateAlgorithm();
  var TreeAlgorithm_1 = require_TreeAlgorithm();
  var BoundaryPointAlgorithm_1 = require_BoundaryPointAlgorithm();
  var CharacterDataAlgorithm_1 = require_CharacterDataAlgorithm();
  var NodeAlgorithm_1 = require_NodeAlgorithm();
  var MutationAlgorithm_1 = require_MutationAlgorithm();
  var TextAlgorithm_1 = require_TextAlgorithm();
  function range_collapsed(range) {
    return range._startNode === range._endNode && range._startOffset === range._endOffset;
  }
  exports.range_collapsed = range_collapsed;
  function range_root(range) {
    return TreeAlgorithm_1.tree_rootNode(range._startNode);
  }
  exports.range_root = range_root;
  function range_isContained(node, range) {
    return TreeAlgorithm_1.tree_rootNode(node) === range_root(range) && BoundaryPointAlgorithm_1.boundaryPoint_position([node, 0], range._start) === interfaces_1.BoundaryPosition.After && BoundaryPointAlgorithm_1.boundaryPoint_position([node, TreeAlgorithm_1.tree_nodeLength(node)], range._end) === interfaces_1.BoundaryPosition.Before;
  }
  exports.range_isContained = range_isContained;
  function range_isPartiallyContained(node, range) {
    var startCheck = TreeAlgorithm_1.tree_isAncestorOf(range._startNode, node, true);
    var endCheck = TreeAlgorithm_1.tree_isAncestorOf(range._endNode, node, true);
    return startCheck && !endCheck || !startCheck && endCheck;
  }
  exports.range_isPartiallyContained = range_isPartiallyContained;
  function range_setTheStart(range, node, offset) {
    if (util_1.Guard.isDocumentTypeNode(node)) {
      throw new DOMException_1.InvalidNodeTypeError;
    }
    if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
      throw new DOMException_1.IndexSizeError;
    }
    var bp = [node, offset];
    if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._end) === interfaces_1.BoundaryPosition.After) {
      range._end = bp;
    }
    range._start = bp;
  }
  exports.range_setTheStart = range_setTheStart;
  function range_setTheEnd(range, node, offset) {
    if (util_1.Guard.isDocumentTypeNode(node)) {
      throw new DOMException_1.InvalidNodeTypeError;
    }
    if (offset > TreeAlgorithm_1.tree_nodeLength(node)) {
      throw new DOMException_1.IndexSizeError;
    }
    var bp = [node, offset];
    if (range_root(range) !== TreeAlgorithm_1.tree_rootNode(node) || BoundaryPointAlgorithm_1.boundaryPoint_position(bp, range._start) === interfaces_1.BoundaryPosition.Before) {
      range._start = bp;
    }
    range._end = bp;
  }
  exports.range_setTheEnd = range_setTheEnd;
  function range_select(node, range) {
    var parent = node._parent;
    if (parent === null)
      throw new DOMException_1.InvalidNodeTypeError;
    var index = TreeAlgorithm_1.tree_index(node);
    range._start = [parent, index];
    range._end = [parent, index + 1];
  }
  exports.range_select = range_select;
  function range_extract(range) {
    var e_1, _a, e_2, _b, e_3, _c;
    var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
    if (range_collapsed(range))
      return fragment;
    var originalStartNode = range._startNode;
    var originalStartOffset = range._startOffset;
    var originalEndNode = range._endNode;
    var originalEndOffset = range._endOffset;
    if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
      var clone = NodeAlgorithm_1.node_clone(originalStartNode);
      clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
      MutationAlgorithm_1.mutation_append(clone, fragment);
      CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset, "");
      return fragment;
    }
    var commonAncestor = originalStartNode;
    while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
      if (commonAncestor._parent === null) {
        throw new Error("Parent node  is null.");
      }
      commonAncestor = commonAncestor._parent;
    }
    var firstPartiallyContainedChild = null;
    if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
      try {
        for (var _d = __values(commonAncestor._children), _e = _d.next();!_e.done; _e = _d.next()) {
          var node = _e.value;
          if (range_isPartiallyContained(node, range)) {
            firstPartiallyContainedChild = node;
            break;
          }
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_e && !_e.done && (_a = _d.return))
            _a.call(_d);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    }
    var lastPartiallyContainedChild = null;
    if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
      var children = __spread(commonAncestor._children);
      for (var i = children.length - 1;i > 0; i--) {
        var node = children[i];
        if (range_isPartiallyContained(node, range)) {
          lastPartiallyContainedChild = node;
          break;
        }
      }
    }
    var containedChildren = [];
    try {
      for (var _f = __values(commonAncestor._children), _g = _f.next();!_g.done; _g = _f.next()) {
        var child2 = _g.value;
        if (range_isContained(child2, range)) {
          if (util_1.Guard.isDocumentTypeNode(child2)) {
            throw new DOMException_1.HierarchyRequestError;
          }
          containedChildren.push(child2);
        }
      }
    } catch (e_2_1) {
      e_2 = { error: e_2_1 };
    } finally {
      try {
        if (_g && !_g.done && (_b = _f.return))
          _b.call(_f);
      } finally {
        if (e_2)
          throw e_2.error;
      }
    }
    var newNode;
    var newOffset;
    if (TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
      newNode = originalStartNode;
      newOffset = originalStartOffset;
    } else {
      var referenceNode = originalStartNode;
      while (referenceNode._parent !== null && !TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, referenceNode._parent)) {
        referenceNode = referenceNode._parent;
      }
      if (referenceNode._parent === null) {
        throw new Error("Parent node is null.");
      }
      newNode = referenceNode._parent;
      newOffset = 1 + TreeAlgorithm_1.tree_index(referenceNode);
    }
    if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
      var clone = NodeAlgorithm_1.node_clone(originalStartNode);
      clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
      MutationAlgorithm_1.mutation_append(clone, fragment);
      CharacterDataAlgorithm_1.characterData_replaceData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset, "");
    } else if (firstPartiallyContainedChild !== null) {
      var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
      MutationAlgorithm_1.mutation_append(clone, fragment);
      var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
      var subfragment = range_extract(subrange);
      MutationAlgorithm_1.mutation_append(subfragment, clone);
    }
    try {
      for (var containedChildren_1 = __values(containedChildren), containedChildren_1_1 = containedChildren_1.next();!containedChildren_1_1.done; containedChildren_1_1 = containedChildren_1.next()) {
        var child2 = containedChildren_1_1.value;
        MutationAlgorithm_1.mutation_append(child2, fragment);
      }
    } catch (e_3_1) {
      e_3 = { error: e_3_1 };
    } finally {
      try {
        if (containedChildren_1_1 && !containedChildren_1_1.done && (_c = containedChildren_1.return))
          _c.call(containedChildren_1);
      } finally {
        if (e_3)
          throw e_3.error;
      }
    }
    if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
      var clone = NodeAlgorithm_1.node_clone(originalEndNode);
      clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
      MutationAlgorithm_1.mutation_append(clone, fragment);
      CharacterDataAlgorithm_1.characterData_replaceData(originalEndNode, 0, originalEndOffset, "");
    } else if (lastPartiallyContainedChild !== null) {
      var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
      MutationAlgorithm_1.mutation_append(clone, fragment);
      var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
      var subfragment = range_extract(subrange);
      MutationAlgorithm_1.mutation_append(subfragment, clone);
    }
    range._start = [newNode, newOffset];
    range._end = [newNode, newOffset];
    return fragment;
  }
  exports.range_extract = range_extract;
  function range_cloneTheContents(range) {
    var e_4, _a, e_5, _b, e_6, _c;
    var fragment = CreateAlgorithm_1.create_documentFragment(range._startNode._nodeDocument);
    if (range_collapsed(range))
      return fragment;
    var originalStartNode = range._startNode;
    var originalStartOffset = range._startOffset;
    var originalEndNode = range._endNode;
    var originalEndOffset = range._endOffset;
    if (originalStartNode === originalEndNode && util_1.Guard.isCharacterDataNode(originalStartNode)) {
      var clone = NodeAlgorithm_1.node_clone(originalStartNode);
      clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, originalEndOffset - originalStartOffset);
      MutationAlgorithm_1.mutation_append(clone, fragment);
    }
    var commonAncestor = originalStartNode;
    while (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, commonAncestor, true)) {
      if (commonAncestor._parent === null) {
        throw new Error("Parent node  is null.");
      }
      commonAncestor = commonAncestor._parent;
    }
    var firstPartiallyContainedChild = null;
    if (!TreeAlgorithm_1.tree_isAncestorOf(originalEndNode, originalStartNode, true)) {
      try {
        for (var _d = __values(commonAncestor._children), _e = _d.next();!_e.done; _e = _d.next()) {
          var node = _e.value;
          if (range_isPartiallyContained(node, range)) {
            firstPartiallyContainedChild = node;
            break;
          }
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (_e && !_e.done && (_a = _d.return))
            _a.call(_d);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
    }
    var lastPartiallyContainedChild = null;
    if (!TreeAlgorithm_1.tree_isAncestorOf(originalStartNode, originalEndNode, true)) {
      var children = __spread(commonAncestor._children);
      for (var i = children.length - 1;i > 0; i--) {
        var node = children[i];
        if (range_isPartiallyContained(node, range)) {
          lastPartiallyContainedChild = node;
          break;
        }
      }
    }
    var containedChildren = [];
    try {
      for (var _f = __values(commonAncestor._children), _g = _f.next();!_g.done; _g = _f.next()) {
        var child2 = _g.value;
        if (range_isContained(child2, range)) {
          if (util_1.Guard.isDocumentTypeNode(child2)) {
            throw new DOMException_1.HierarchyRequestError;
          }
          containedChildren.push(child2);
        }
      }
    } catch (e_5_1) {
      e_5 = { error: e_5_1 };
    } finally {
      try {
        if (_g && !_g.done && (_b = _f.return))
          _b.call(_f);
      } finally {
        if (e_5)
          throw e_5.error;
      }
    }
    if (util_1.Guard.isCharacterDataNode(firstPartiallyContainedChild)) {
      var clone = NodeAlgorithm_1.node_clone(originalStartNode);
      clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalStartNode, originalStartOffset, TreeAlgorithm_1.tree_nodeLength(originalStartNode) - originalStartOffset);
      MutationAlgorithm_1.mutation_append(clone, fragment);
    } else if (firstPartiallyContainedChild !== null) {
      var clone = NodeAlgorithm_1.node_clone(firstPartiallyContainedChild);
      MutationAlgorithm_1.mutation_append(clone, fragment);
      var subrange = CreateAlgorithm_1.create_range([originalStartNode, originalStartOffset], [firstPartiallyContainedChild, TreeAlgorithm_1.tree_nodeLength(firstPartiallyContainedChild)]);
      var subfragment = range_cloneTheContents(subrange);
      MutationAlgorithm_1.mutation_append(subfragment, clone);
    }
    try {
      for (var containedChildren_2 = __values(containedChildren), containedChildren_2_1 = containedChildren_2.next();!containedChildren_2_1.done; containedChildren_2_1 = containedChildren_2.next()) {
        var child2 = containedChildren_2_1.value;
        var clone = NodeAlgorithm_1.node_clone(child2);
        MutationAlgorithm_1.mutation_append(clone, fragment);
      }
    } catch (e_6_1) {
      e_6 = { error: e_6_1 };
    } finally {
      try {
        if (containedChildren_2_1 && !containedChildren_2_1.done && (_c = containedChildren_2.return))
          _c.call(containedChildren_2);
      } finally {
        if (e_6)
          throw e_6.error;
      }
    }
    if (util_1.Guard.isCharacterDataNode(lastPartiallyContainedChild)) {
      var clone = NodeAlgorithm_1.node_clone(originalEndNode);
      clone._data = CharacterDataAlgorithm_1.characterData_substringData(originalEndNode, 0, originalEndOffset);
      MutationAlgorithm_1.mutation_append(clone, fragment);
    } else if (lastPartiallyContainedChild !== null) {
      var clone = NodeAlgorithm_1.node_clone(lastPartiallyContainedChild);
      fragment.append(clone);
      var subrange = CreateAlgorithm_1.create_range([lastPartiallyContainedChild, 0], [originalEndNode, originalEndOffset]);
      var subfragment = range_extract(subrange);
      MutationAlgorithm_1.mutation_append(subfragment, clone);
    }
    return fragment;
  }
  exports.range_cloneTheContents = range_cloneTheContents;
  function range_insert(node, range) {
    var e_7, _a;
    if (util_1.Guard.isProcessingInstructionNode(range._startNode) || util_1.Guard.isCommentNode(range._startNode) || util_1.Guard.isTextNode(range._startNode) && range._startNode._parent === null || range._startNode === node) {
      throw new DOMException_1.HierarchyRequestError;
    }
    var referenceNode = null;
    if (util_1.Guard.isTextNode(range._startNode)) {
      referenceNode = range._startNode;
    } else {
      var index = 0;
      try {
        for (var _b = __values(range._startNode._children), _c = _b.next();!_c.done; _c = _b.next()) {
          var child2 = _c.value;
          if (index === range._startOffset) {
            referenceNode = child2;
            break;
          }
          index++;
        }
      } catch (e_7_1) {
        e_7 = { error: e_7_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_7)
            throw e_7.error;
        }
      }
    }
    var parent;
    if (referenceNode === null) {
      parent = range._startNode;
    } else {
      if (referenceNode._parent === null) {
        throw new Error("Parent node is null.");
      }
      parent = referenceNode._parent;
    }
    MutationAlgorithm_1.mutation_ensurePreInsertionValidity(node, parent, referenceNode);
    if (util_1.Guard.isTextNode(range._startNode)) {
      referenceNode = TextAlgorithm_1.text_split(range._startNode, range._startOffset);
    }
    if (node === referenceNode) {
      referenceNode = node._nextSibling;
    }
    if (node._parent !== null) {
      MutationAlgorithm_1.mutation_remove(node, node._parent);
    }
    var newOffset = referenceNode === null ? TreeAlgorithm_1.tree_nodeLength(parent) : TreeAlgorithm_1.tree_index(referenceNode);
    if (util_1.Guard.isDocumentFragmentNode(node)) {
      newOffset += TreeAlgorithm_1.tree_nodeLength(node);
    } else {
      newOffset++;
    }
    MutationAlgorithm_1.mutation_preInsert(node, parent, referenceNode);
    if (range_collapsed(range)) {
      range._end = [parent, newOffset];
    }
  }
  exports.range_insert = range_insert;
  function range_getContainedNodes(range) {
    var _a;
    return _a = {}, _a[Symbol.iterator] = function() {
      var container = range.commonAncestorContainer;
      var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
      return {
        next: function() {
          while (currentNode && !range_isContained(currentNode, range)) {
            currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
          }
          if (currentNode === null) {
            return { done: true, value: null };
          } else {
            var result = { done: false, value: currentNode };
            currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            return result;
          }
        }
      };
    }, _a;
  }
  exports.range_getContainedNodes = range_getContainedNodes;
  function range_getPartiallyContainedNodes(range) {
    var _a;
    return _a = {}, _a[Symbol.iterator] = function() {
      var container = range.commonAncestorContainer;
      var currentNode = TreeAlgorithm_1.tree_getFirstDescendantNode(container);
      return {
        next: function() {
          while (currentNode && !range_isPartiallyContained(currentNode, range)) {
            currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
          }
          if (currentNode === null) {
            return { done: true, value: null };
          } else {
            var result = { done: false, value: currentNode };
            currentNode = TreeAlgorithm_1.tree_getNextDescendantNode(container, currentNode);
            return result;
          }
        }
      };
    }, _a;
  }
  exports.range_getPartiallyContainedNodes = range_getPartiallyContainedNodes;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/SelectorsAlgorithm.js
var require_SelectorsAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMException_1 = require_DOMException();
  function selectors_scopeMatchASelectorsString(selectors, node) {
    throw new DOMException_1.NotSupportedError;
  }
  exports.selectors_scopeMatchASelectorsString = selectors_scopeMatchASelectorsString;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/TreeWalkerAlgorithm.js
var require_TreeWalkerAlgorithm = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var TraversalAlgorithm_1 = require_TraversalAlgorithm();
  function treeWalker_traverseChildren(walker, first) {
    var node = first ? walker._current._firstChild : walker._current._lastChild;
    while (node !== null) {
      var result = TraversalAlgorithm_1.traversal_filter(walker, node);
      if (result === interfaces_1.FilterResult.Accept) {
        walker._current = node;
        return node;
      } else if (result === interfaces_1.FilterResult.Skip) {
        var child2 = first ? node._firstChild : node._lastChild;
        if (child2 !== null) {
          node = child2;
          continue;
        }
      }
      while (node !== null) {
        var sibling = first ? node._nextSibling : node._previousSibling;
        if (sibling !== null) {
          node = sibling;
          break;
        }
        var parent = node._parent;
        if (parent === null || parent === walker._root || parent === walker._current) {
          return null;
        }
        node = parent;
      }
    }
    return null;
  }
  exports.treeWalker_traverseChildren = treeWalker_traverseChildren;
  function treeWalker_traverseSiblings(walker, next) {
    var node = walker._current;
    if (node === walker._root)
      return null;
    while (true) {
      var sibling = next ? node._nextSibling : node._previousSibling;
      while (sibling !== null) {
        node = sibling;
        var result = TraversalAlgorithm_1.traversal_filter(walker, node);
        if (result === interfaces_1.FilterResult.Accept) {
          walker._current = node;
          return node;
        }
        sibling = next ? node._firstChild : node._lastChild;
        if (result === interfaces_1.FilterResult.Reject || sibling === null) {
          sibling = next ? node._nextSibling : node._previousSibling;
        }
      }
      node = node._parent;
      if (node === null || node === walker._root) {
        return null;
      }
      if (TraversalAlgorithm_1.traversal_filter(walker, node) === interfaces_1.FilterResult.Accept) {
        return null;
      }
    }
  }
  exports.treeWalker_traverseSiblings = treeWalker_traverseSiblings;
});

// ../../node_modules/@oozcitak/dom/lib/algorithm/index.js
var require_algorithm = __commonJS((exports) => {
  function __export2(m) {
    for (var p in m)
      if (!exports.hasOwnProperty(p))
        exports[p] = m[p];
  }
  Object.defineProperty(exports, "__esModule", { value: true });
  __export2(require_AbortAlgorithm());
  __export2(require_AttrAlgorithm());
  __export2(require_BoundaryPointAlgorithm());
  __export2(require_CharacterDataAlgorithm());
  __export2(require_CreateAlgorithm());
  __export2(require_CustomElementAlgorithm());
  __export2(require_DocumentAlgorithm());
  __export2(require_DOMAlgorithm());
  __export2(require_DOMTokenListAlgorithm());
  __export2(require_ElementAlgorithm());
  __export2(require_EventAlgorithm());
  __export2(require_EventTargetAlgorithm());
  __export2(require_MutationAlgorithm());
  __export2(require_MutationObserverAlgorithm());
  __export2(require_NamespaceAlgorithm());
  __export2(require_NodeAlgorithm());
  __export2(require_NodeIteratorAlgorithm());
  __export2(require_OrderedSetAlgorithm());
  __export2(require_ParentNodeAlgorithm());
  __export2(require_RangeAlgorithm());
  __export2(require_SelectorsAlgorithm());
  __export2(require_ShadowTreeAlgorithm());
  __export2(require_TextAlgorithm());
  __export2(require_TraversalAlgorithm());
  __export2(require_TreeAlgorithm());
  __export2(require_TreeWalkerAlgorithm());
  __export2(require_WebIDLAlgorithm());
  __export2(require_XMLAlgorithm());
});

// ../../node_modules/xmlbuilder2/lib/constants.js
var require_constants = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.nonEntityAmpersandRegex = /&(?![A-Za-z]+;|#\d+;)/g;
});

// ../../node_modules/xmlbuilder2/lib/writers/BaseWriter.js
var require_BaseWriter = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __spread = exports && exports.__spread || function() {
    for (var ar = [], i = 0;i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var LocalNameSet_1 = require_LocalNameSet();
  var NamespacePrefixMap_1 = require_NamespacePrefixMap();
  var infra_1 = require_lib2();
  var algorithm_1 = require_algorithm();
  var constants_1 = require_constants();
  var BaseWriter = function() {
    function BaseWriter2(builderOptions) {
      this.level = 0;
      this._builderOptions = builderOptions;
    }
    BaseWriter2.prototype.declaration = function(version, encoding, standalone) {
    };
    BaseWriter2.prototype.docType = function(name, publicId, systemId) {
    };
    BaseWriter2.prototype.comment = function(data) {
    };
    BaseWriter2.prototype.text = function(data) {
    };
    BaseWriter2.prototype.instruction = function(target, data) {
    };
    BaseWriter2.prototype.cdata = function(data) {
    };
    BaseWriter2.prototype.openTagBegin = function(name) {
    };
    BaseWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
    };
    BaseWriter2.prototype.closeTag = function(name) {
    };
    BaseWriter2.prototype.attributes = function(attributes) {
      var e_1, _a;
      try {
        for (var attributes_1 = __values(attributes), attributes_1_1 = attributes_1.next();!attributes_1_1.done; attributes_1_1 = attributes_1.next()) {
          var attr = attributes_1_1.value;
          this.attribute(attr[1] === null ? attr[2] : attr[1] + ":" + attr[2], attr[3]);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (attributes_1_1 && !attributes_1_1.done && (_a = attributes_1.return))
            _a.call(attributes_1);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
    };
    BaseWriter2.prototype.attribute = function(name, value) {
    };
    BaseWriter2.prototype.beginElement = function(name) {
    };
    BaseWriter2.prototype.endElement = function(name) {
    };
    BaseWriter2.prototype.serializeNode = function(node, requireWellFormed) {
      var hasNamespaces = node._nodeDocument !== undefined && node._nodeDocument._hasNamespaces;
      this.level = 0;
      this.currentNode = node;
      if (hasNamespaces) {
        var namespace = null;
        var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap;
        prefixMap.set("xml", infra_1.namespace.XML);
        var prefixIndex = { value: 1 };
        this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
      } else {
        this._serializeNode(node, requireWellFormed);
      }
    };
    BaseWriter2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
      this.currentNode = node;
      switch (node.nodeType) {
        case interfaces_1.NodeType.Element:
          this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
          break;
        case interfaces_1.NodeType.Document:
          this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
          break;
        case interfaces_1.NodeType.Comment:
          this._serializeComment(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.Text:
          this._serializeText(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.DocumentFragment:
          this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
          break;
        case interfaces_1.NodeType.DocumentType:
          this._serializeDocumentType(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.ProcessingInstruction:
          this._serializeProcessingInstruction(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.CData:
          this._serializeCData(node, requireWellFormed);
          break;
        default:
          throw new Error("Unknown node type: " + node.nodeType);
      }
    };
    BaseWriter2.prototype._serializeNode = function(node, requireWellFormed) {
      this.currentNode = node;
      switch (node.nodeType) {
        case interfaces_1.NodeType.Element:
          this._serializeElement(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.Document:
          this._serializeDocument(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.Comment:
          this._serializeComment(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.Text:
          this._serializeText(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.DocumentFragment:
          this._serializeDocumentFragment(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.DocumentType:
          this._serializeDocumentType(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.ProcessingInstruction:
          this._serializeProcessingInstruction(node, requireWellFormed);
          break;
        case interfaces_1.NodeType.CData:
          this._serializeCData(node, requireWellFormed);
          break;
        default:
          throw new Error("Unknown node type: " + node.nodeType);
      }
    };
    BaseWriter2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
      var e_2, _a;
      var attributes = [];
      if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
        throw new Error("Node local name contains invalid characters (well-formed required).");
      }
      var qualifiedName = "";
      var skipEndTag = false;
      var ignoreNamespaceDefinitionAttribute = false;
      var map = prefixMap.copy();
      var localPrefixesMap = {};
      var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
      var inheritedNS = namespace;
      var ns = node.namespaceURI;
      if (inheritedNS === ns) {
        if (localDefaultNamespace !== null) {
          ignoreNamespaceDefinitionAttribute = true;
        }
        if (ns === infra_1.namespace.XML) {
          qualifiedName = "xml:" + node.localName;
        } else {
          qualifiedName = node.localName;
        }
        this.beginElement(qualifiedName);
        this.openTagBegin(qualifiedName);
      } else {
        var prefix = node.prefix;
        var candidatePrefix = null;
        if (prefix !== null || ns !== localDefaultNamespace) {
          candidatePrefix = map.get(prefix, ns);
        }
        if (prefix === "xmlns") {
          if (requireWellFormed) {
            throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
          }
          candidatePrefix = prefix;
        }
        if (candidatePrefix !== null) {
          qualifiedName = candidatePrefix + ":" + node.localName;
          if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
            inheritedNS = localDefaultNamespace || null;
          }
          this.beginElement(qualifiedName);
          this.openTagBegin(qualifiedName);
        } else if (prefix !== null) {
          if (prefix in localPrefixesMap) {
            prefix = this._generatePrefix(ns, map, prefixIndex);
          }
          map.set(prefix, ns);
          qualifiedName += prefix + ":" + node.localName;
          this.beginElement(qualifiedName);
          this.openTagBegin(qualifiedName);
          attributes.push([
            null,
            "xmlns",
            prefix,
            this._serializeAttributeValue(ns, requireWellFormed)
          ]);
          if (localDefaultNamespace !== null) {
            inheritedNS = localDefaultNamespace || null;
          }
        } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
          ignoreNamespaceDefinitionAttribute = true;
          qualifiedName += node.localName;
          inheritedNS = ns;
          this.beginElement(qualifiedName);
          this.openTagBegin(qualifiedName);
          attributes.push([
            null,
            null,
            "xmlns",
            this._serializeAttributeValue(ns, requireWellFormed)
          ]);
        } else {
          qualifiedName += node.localName;
          inheritedNS = ns;
          this.beginElement(qualifiedName);
          this.openTagBegin(qualifiedName);
        }
      }
      attributes.push.apply(attributes, __spread(this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed)));
      this.attributes(attributes);
      var isHTML = ns === infra_1.namespace.HTML;
      if (isHTML && node.childNodes.length === 0 && BaseWriter2._VoidElementNames.has(node.localName)) {
        this.openTagEnd(qualifiedName, true, true);
        this.endElement(qualifiedName);
        skipEndTag = true;
      } else if (!isHTML && node.childNodes.length === 0) {
        this.openTagEnd(qualifiedName, true, false);
        this.endElement(qualifiedName);
        skipEndTag = true;
      } else {
        this.openTagEnd(qualifiedName, false, false);
      }
      if (skipEndTag)
        return;
      if (isHTML && node.localName === "template") {
      } else {
        try {
          for (var _b = __values(node.childNodes), _c = _b.next();!_c.done; _c = _b.next()) {
            var childNode = _c.value;
            this.level++;
            this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
            this.level--;
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
      }
      this.closeTag(qualifiedName);
      this.endElement(qualifiedName);
    };
    BaseWriter2.prototype._serializeElement = function(node, requireWellFormed) {
      var e_3, _a;
      if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
        throw new Error("Node local name contains invalid characters (well-formed required).");
      }
      var skipEndTag = false;
      var qualifiedName = node.localName;
      this.beginElement(qualifiedName);
      this.openTagBegin(qualifiedName);
      var attributes = this._serializeAttributes(node, requireWellFormed);
      this.attributes(attributes);
      if (!node.hasChildNodes()) {
        this.openTagEnd(qualifiedName, true, false);
        this.endElement(qualifiedName);
        skipEndTag = true;
      } else {
        this.openTagEnd(qualifiedName, false, false);
      }
      if (skipEndTag)
        return;
      try {
        for (var _b = __values(node._children), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          this.level++;
          this._serializeNode(childNode, requireWellFormed);
          this.level--;
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      this.closeTag(qualifiedName);
      this.endElement(qualifiedName);
    };
    BaseWriter2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
      var e_4, _a;
      if (requireWellFormed && node.documentElement === null) {
        throw new Error("Missing document element (well-formed required).");
      }
      try {
        for (var _b = __values(node.childNodes), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
    };
    BaseWriter2.prototype._serializeDocument = function(node, requireWellFormed) {
      var e_5, _a;
      if (requireWellFormed && node.documentElement === null) {
        throw new Error("Missing document element (well-formed required).");
      }
      try {
        for (var _b = __values(node._children), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          this._serializeNode(childNode, requireWellFormed);
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
    };
    BaseWriter2.prototype._serializeComment = function(node, requireWellFormed) {
      if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
        throw new Error("Comment data contains invalid characters (well-formed required).");
      }
      this.comment(node.data);
    };
    BaseWriter2.prototype._serializeText = function(node, requireWellFormed) {
      if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
        throw new Error("Text data contains invalid characters (well-formed required).");
      }
      var markup = node.data.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
      this.text(markup);
    };
    BaseWriter2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
      var e_6, _a;
      try {
        for (var _b = __values(node.childNodes), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
    };
    BaseWriter2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
      var e_7, _a;
      try {
        for (var _b = __values(node._children), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          this._serializeNode(childNode, requireWellFormed);
        }
      } catch (e_7_1) {
        e_7 = { error: e_7_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_7)
            throw e_7.error;
        }
      }
    };
    BaseWriter2.prototype._serializeDocumentType = function(node, requireWellFormed) {
      if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
        throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
      }
      if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
        throw new Error("DocType system identifier contains invalid characters (well-formed required).");
      }
      this.docType(node.name, node.publicId, node.systemId);
    };
    BaseWriter2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
      if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
        throw new Error("Processing instruction target contains invalid characters (well-formed required).");
      }
      if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
        throw new Error("Processing instruction data contains invalid characters (well-formed required).");
      }
      this.instruction(node.target, node.data);
    };
    BaseWriter2.prototype._serializeCData = function(node, requireWellFormed) {
      if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
        throw new Error("CDATA contains invalid characters (well-formed required).");
      }
      this.cdata(node.data);
    };
    BaseWriter2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
      var e_8, _a;
      var result = [];
      var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet : undefined;
      try {
        for (var _b = __values(node.attributes), _c = _b.next();!_c.done; _c = _b.next()) {
          var attr = _c.value;
          if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
            result.push([
              null,
              null,
              attr.localName,
              this._serializeAttributeValue(attr.value, requireWellFormed)
            ]);
            continue;
          }
          if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
            throw new Error("Element contains duplicate attributes (well-formed required).");
          }
          if (requireWellFormed && localNameSet)
            localNameSet.set(attr.namespaceURI, attr.localName);
          var attributeNamespace = attr.namespaceURI;
          var candidatePrefix = null;
          if (attributeNamespace !== null) {
            candidatePrefix = map.get(attr.prefix, attributeNamespace);
            if (attributeNamespace === infra_1.namespace.XMLNS) {
              if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                continue;
              if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                throw new Error("XMLNS namespace is reserved (well-formed required).");
              }
              if (requireWellFormed && attr.value === "") {
                throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
              }
              if (attr.prefix === "xmlns")
                candidatePrefix = "xmlns";
            } else if (candidatePrefix === null) {
              if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                candidatePrefix = attr.prefix;
              } else {
                candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
              }
              result.push([
                null,
                "xmlns",
                candidatePrefix,
                this._serializeAttributeValue(attributeNamespace, requireWellFormed)
              ]);
            }
          }
          var attrName = "";
          if (candidatePrefix !== null) {
            attrName = candidatePrefix;
          }
          if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
            throw new Error("Attribute local name contains invalid characters (well-formed required).");
          }
          result.push([
            attributeNamespace,
            candidatePrefix,
            attr.localName,
            this._serializeAttributeValue(attr.value, requireWellFormed)
          ]);
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return result;
    };
    BaseWriter2.prototype._serializeAttributes = function(node, requireWellFormed) {
      var e_9, _a;
      var result = [];
      var localNameSet = requireWellFormed ? {} : undefined;
      try {
        for (var _b = __values(node.attributes), _c = _b.next();!_c.done; _c = _b.next()) {
          var attr = _c.value;
          if (!requireWellFormed) {
            result.push([
              null,
              null,
              attr.localName,
              this._serializeAttributeValue(attr.value, requireWellFormed)
            ]);
            continue;
          }
          if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
            throw new Error("Element contains duplicate attributes (well-formed required).");
          }
          if (requireWellFormed && localNameSet)
            localNameSet[attr.localName] = true;
          if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
            throw new Error("Attribute local name contains invalid characters (well-formed required).");
          }
          result.push([
            null,
            null,
            attr.localName,
            this._serializeAttributeValue(attr.value, requireWellFormed)
          ]);
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return result;
    };
    BaseWriter2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
      var e_10, _a;
      var defaultNamespaceAttrValue = null;
      try {
        for (var _b = __values(node.attributes), _c = _b.next();!_c.done; _c = _b.next()) {
          var attr = _c.value;
          var attributeNamespace = attr.namespaceURI;
          var attributePrefix = attr.prefix;
          if (attributeNamespace === infra_1.namespace.XMLNS) {
            if (attributePrefix === null) {
              defaultNamespaceAttrValue = attr.value;
              continue;
            } else {
              var prefixDefinition = attr.localName;
              var namespaceDefinition = attr.value;
              if (namespaceDefinition === infra_1.namespace.XML) {
                continue;
              }
              if (namespaceDefinition === "") {
                namespaceDefinition = null;
              }
              if (map.has(prefixDefinition, namespaceDefinition)) {
                continue;
              }
              map.set(prefixDefinition, namespaceDefinition);
              localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
            }
          }
        }
      } catch (e_10_1) {
        e_10 = { error: e_10_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_10)
            throw e_10.error;
        }
      }
      return defaultNamespaceAttrValue;
    };
    BaseWriter2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
      var generatedPrefix = "ns" + prefixIndex.value.toString();
      prefixIndex.value++;
      prefixMap.set(generatedPrefix, newNamespace);
      return generatedPrefix;
    };
    BaseWriter2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
      if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
        throw new Error("Invalid characters in attribute value.");
      }
      if (value === null)
        return "";
      return value.replace(constants_1.nonEntityAmpersandRegex, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
    };
    BaseWriter2._VoidElementNames = new Set([
      "area",
      "base",
      "basefont",
      "bgsound",
      "br",
      "col",
      "embed",
      "frame",
      "hr",
      "img",
      "input",
      "keygen",
      "link",
      "menuitem",
      "meta",
      "param",
      "source",
      "track",
      "wbr"
    ]);
    return BaseWriter2;
  }();
  exports.BaseWriter = BaseWriter;
});

// ../../node_modules/xmlbuilder2/lib/writers/ObjectWriter.js
var require_ObjectWriter = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  var interfaces_1 = require_interfaces2();
  var BaseWriter_1 = require_BaseWriter();
  var ObjectWriter = function(_super) {
    __extends(ObjectWriter2, _super);
    function ObjectWriter2(builderOptions, writerOptions) {
      var _this = _super.call(this, builderOptions) || this;
      _this._writerOptions = util_1.applyDefaults(writerOptions, {
        format: "object",
        wellFormed: false,
        group: false,
        verbose: false
      });
      return _this;
    }
    ObjectWriter2.prototype.serialize = function(node) {
      this._currentList = [];
      this._currentIndex = 0;
      this._listRegister = [this._currentList];
      this.serializeNode(node, this._writerOptions.wellFormed);
      return this._process(this._currentList, this._writerOptions);
    };
    ObjectWriter2.prototype._process = function(items, options) {
      var _a, _b, _c, _d, _e, _f, _g;
      if (items.length === 0)
        return {};
      var namesSeen = {};
      var hasNonUniqueNames = false;
      var textCount = 0;
      var commentCount = 0;
      var instructionCount = 0;
      var cdataCount = 0;
      for (var i = 0;i < items.length; i++) {
        var item = items[i];
        var key = Object.keys(item)[0];
        switch (key) {
          case "@":
            continue;
          case "#":
            textCount++;
            break;
          case "!":
            commentCount++;
            break;
          case "?":
            instructionCount++;
            break;
          case "$":
            cdataCount++;
            break;
          default:
            if (namesSeen[key]) {
              hasNonUniqueNames = true;
            } else {
              namesSeen[key] = true;
            }
            break;
        }
      }
      var defAttrKey = this._getAttrKey();
      var defTextKey = this._getNodeKey(interfaces_1.NodeType.Text);
      var defCommentKey = this._getNodeKey(interfaces_1.NodeType.Comment);
      var defInstructionKey = this._getNodeKey(interfaces_1.NodeType.ProcessingInstruction);
      var defCdataKey = this._getNodeKey(interfaces_1.NodeType.CData);
      if (textCount === 1 && items.length === 1 && util_1.isString(items[0]["#"])) {
        return items[0]["#"];
      } else if (hasNonUniqueNames) {
        var obj = {};
        for (var i = 0;i < items.length; i++) {
          var item = items[i];
          var key = Object.keys(item)[0];
          if (key === "@") {
            var attrs = item["@"];
            var attrKeys = Object.keys(attrs);
            if (attrKeys.length === 1) {
              obj[defAttrKey + attrKeys[0]] = attrs[attrKeys[0]];
            } else {
              obj[defAttrKey] = item["@"];
            }
          }
        }
        var result = [];
        for (var i = 0;i < items.length; i++) {
          var item = items[i];
          var key = Object.keys(item)[0];
          switch (key) {
            case "@":
              break;
            case "#":
              result.push((_a = {}, _a[defTextKey] = item["#"], _a));
              break;
            case "!":
              result.push((_b = {}, _b[defCommentKey] = item["!"], _b));
              break;
            case "?":
              result.push((_c = {}, _c[defInstructionKey] = item["?"], _c));
              break;
            case "$":
              result.push((_d = {}, _d[defCdataKey] = item["$"], _d));
              break;
            default:
              var ele = item;
              if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                var eleGroup = [];
                var listOfLists = ele[key];
                for (var i_1 = 0;i_1 < listOfLists.length; i_1++) {
                  eleGroup.push(this._process(listOfLists[i_1], options));
                }
                result.push((_e = {}, _e[key] = eleGroup, _e));
              } else {
                if (options.verbose) {
                  result.push((_f = {}, _f[key] = [this._process(ele[key], options)], _f));
                } else {
                  result.push((_g = {}, _g[key] = this._process(ele[key], options), _g));
                }
              }
              break;
          }
        }
        obj[defTextKey] = result;
        return obj;
      } else {
        var textId = 1;
        var commentId = 1;
        var instructionId = 1;
        var cdataId = 1;
        var obj = {};
        for (var i = 0;i < items.length; i++) {
          var item = items[i];
          var key = Object.keys(item)[0];
          switch (key) {
            case "@":
              var attrs = item["@"];
              var attrKeys = Object.keys(attrs);
              if (!options.group || attrKeys.length === 1) {
                for (var attrName in attrs) {
                  obj[defAttrKey + attrName] = attrs[attrName];
                }
              } else {
                obj[defAttrKey] = attrs;
              }
              break;
            case "#":
              textId = this._processSpecItem(item["#"], obj, options.group, defTextKey, textCount, textId);
              break;
            case "!":
              commentId = this._processSpecItem(item["!"], obj, options.group, defCommentKey, commentCount, commentId);
              break;
            case "?":
              instructionId = this._processSpecItem(item["?"], obj, options.group, defInstructionKey, instructionCount, instructionId);
              break;
            case "$":
              cdataId = this._processSpecItem(item["$"], obj, options.group, defCdataKey, cdataCount, cdataId);
              break;
            default:
              var ele = item;
              if (ele[key].length !== 0 && util_1.isArray(ele[key][0])) {
                var eleGroup = [];
                var listOfLists = ele[key];
                for (var i_2 = 0;i_2 < listOfLists.length; i_2++) {
                  eleGroup.push(this._process(listOfLists[i_2], options));
                }
                obj[key] = eleGroup;
              } else {
                if (options.verbose) {
                  obj[key] = [this._process(ele[key], options)];
                } else {
                  obj[key] = this._process(ele[key], options);
                }
              }
              break;
          }
        }
        return obj;
      }
    };
    ObjectWriter2.prototype._processSpecItem = function(item, obj, group, defKey, count, id) {
      var e_1, _a;
      if (!group && util_1.isArray(item) && count + item.length > 2) {
        try {
          for (var item_1 = __values(item), item_1_1 = item_1.next();!item_1_1.done; item_1_1 = item_1.next()) {
            var subItem = item_1_1.value;
            var key = defKey + (id++).toString();
            obj[key] = subItem;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (item_1_1 && !item_1_1.done && (_a = item_1.return))
              _a.call(item_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      } else {
        var key = count > 1 ? defKey + (id++).toString() : defKey;
        obj[key] = item;
      }
      return id;
    };
    ObjectWriter2.prototype.beginElement = function(name) {
      var _a, _b;
      var childItems = [];
      if (this._currentList.length === 0) {
        this._currentList.push((_a = {}, _a[name] = childItems, _a));
      } else {
        var lastItem = this._currentList[this._currentList.length - 1];
        if (this._isElementNode(lastItem, name)) {
          if (lastItem[name].length !== 0 && util_1.isArray(lastItem[name][0])) {
            var listOfLists = lastItem[name];
            listOfLists.push(childItems);
          } else {
            lastItem[name] = [lastItem[name], childItems];
          }
        } else {
          this._currentList.push((_b = {}, _b[name] = childItems, _b));
        }
      }
      this._currentIndex++;
      if (this._listRegister.length > this._currentIndex) {
        this._listRegister[this._currentIndex] = childItems;
      } else {
        this._listRegister.push(childItems);
      }
      this._currentList = childItems;
    };
    ObjectWriter2.prototype.endElement = function() {
      this._currentList = this._listRegister[--this._currentIndex];
    };
    ObjectWriter2.prototype.attribute = function(name, value) {
      var _a, _b;
      if (this._currentList.length === 0) {
        this._currentList.push({ "@": (_a = {}, _a[name] = value, _a) });
      } else {
        var lastItem = this._currentList[this._currentList.length - 1];
        if (this._isAttrNode(lastItem)) {
          lastItem["@"][name] = value;
        } else {
          this._currentList.push({ "@": (_b = {}, _b[name] = value, _b) });
        }
      }
    };
    ObjectWriter2.prototype.comment = function(data) {
      if (this._currentList.length === 0) {
        this._currentList.push({ "!": data });
      } else {
        var lastItem = this._currentList[this._currentList.length - 1];
        if (this._isCommentNode(lastItem)) {
          if (util_1.isArray(lastItem["!"])) {
            lastItem["!"].push(data);
          } else {
            lastItem["!"] = [lastItem["!"], data];
          }
        } else {
          this._currentList.push({ "!": data });
        }
      }
    };
    ObjectWriter2.prototype.text = function(data) {
      if (this._currentList.length === 0) {
        this._currentList.push({ "#": data });
      } else {
        var lastItem = this._currentList[this._currentList.length - 1];
        if (this._isTextNode(lastItem)) {
          if (util_1.isArray(lastItem["#"])) {
            lastItem["#"].push(data);
          } else {
            lastItem["#"] = [lastItem["#"], data];
          }
        } else {
          this._currentList.push({ "#": data });
        }
      }
    };
    ObjectWriter2.prototype.instruction = function(target, data) {
      var value = data === "" ? target : target + " " + data;
      if (this._currentList.length === 0) {
        this._currentList.push({ "?": value });
      } else {
        var lastItem = this._currentList[this._currentList.length - 1];
        if (this._isInstructionNode(lastItem)) {
          if (util_1.isArray(lastItem["?"])) {
            lastItem["?"].push(value);
          } else {
            lastItem["?"] = [lastItem["?"], value];
          }
        } else {
          this._currentList.push({ "?": value });
        }
      }
    };
    ObjectWriter2.prototype.cdata = function(data) {
      if (this._currentList.length === 0) {
        this._currentList.push({ $: data });
      } else {
        var lastItem = this._currentList[this._currentList.length - 1];
        if (this._isCDATANode(lastItem)) {
          if (util_1.isArray(lastItem["$"])) {
            lastItem["$"].push(data);
          } else {
            lastItem["$"] = [lastItem["$"], data];
          }
        } else {
          this._currentList.push({ $: data });
        }
      }
    };
    ObjectWriter2.prototype._isAttrNode = function(x) {
      return "@" in x;
    };
    ObjectWriter2.prototype._isTextNode = function(x) {
      return "#" in x;
    };
    ObjectWriter2.prototype._isCommentNode = function(x) {
      return "!" in x;
    };
    ObjectWriter2.prototype._isInstructionNode = function(x) {
      return "?" in x;
    };
    ObjectWriter2.prototype._isCDATANode = function(x) {
      return "$" in x;
    };
    ObjectWriter2.prototype._isElementNode = function(x, name) {
      return name in x;
    };
    ObjectWriter2.prototype._getAttrKey = function() {
      return this._builderOptions.convert.att;
    };
    ObjectWriter2.prototype._getNodeKey = function(nodeType) {
      switch (nodeType) {
        case interfaces_1.NodeType.Comment:
          return this._builderOptions.convert.comment;
        case interfaces_1.NodeType.Text:
          return this._builderOptions.convert.text;
        case interfaces_1.NodeType.ProcessingInstruction:
          return this._builderOptions.convert.ins;
        case interfaces_1.NodeType.CData:
          return this._builderOptions.convert.cdata;
        default:
          throw new Error("Invalid node type.");
      }
    };
    return ObjectWriter2;
  }(BaseWriter_1.BaseWriter);
  exports.ObjectWriter = ObjectWriter;
});

// ../../node_modules/xmlbuilder2/lib/writers/MapWriter.js
var require_MapWriter = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  var ObjectWriter_1 = require_ObjectWriter();
  var BaseWriter_1 = require_BaseWriter();
  var MapWriter = function(_super) {
    __extends(MapWriter2, _super);
    function MapWriter2(builderOptions, writerOptions) {
      var _this = _super.call(this, builderOptions) || this;
      _this._writerOptions = util_1.applyDefaults(writerOptions, {
        format: "map",
        wellFormed: false,
        group: false,
        verbose: false
      });
      return _this;
    }
    MapWriter2.prototype.serialize = function(node) {
      var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
        format: "object",
        wellFormed: false,
        verbose: false
      });
      var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
      var val = objectWriter.serialize(node);
      return this._convertObject(val);
    };
    MapWriter2.prototype._convertObject = function(obj) {
      if (util_1.isArray(obj)) {
        for (var i = 0;i < obj.length; i++) {
          obj[i] = this._convertObject(obj[i]);
        }
        return obj;
      } else if (util_1.isObject(obj)) {
        var map = new Map;
        for (var key in obj) {
          map.set(key, this._convertObject(obj[key]));
        }
        return map;
      } else {
        return obj;
      }
    };
    return MapWriter2;
  }(BaseWriter_1.BaseWriter);
  exports.MapWriter = MapWriter;
});

// ../../node_modules/xmlbuilder2/lib/writers/XMLWriter.js
var require_XMLWriter = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  var interfaces_1 = require_interfaces2();
  var BaseWriter_1 = require_BaseWriter();
  var util_2 = require_util();
  var XMLWriter = function(_super) {
    __extends(XMLWriter2, _super);
    function XMLWriter2(builderOptions, writerOptions) {
      var _this = _super.call(this, builderOptions) || this;
      _this._indentation = {};
      _this._lengthToLastNewline = 0;
      _this._writerOptions = util_1.applyDefaults(writerOptions, {
        wellFormed: false,
        headless: false,
        prettyPrint: false,
        indent: "  ",
        newline: `
`,
        offset: 0,
        width: 0,
        allowEmptyTags: false,
        indentTextOnlyNodes: false,
        spaceBeforeSlash: false
      });
      return _this;
    }
    XMLWriter2.prototype.serialize = function(node) {
      this._refs = { suppressPretty: false, emptyNode: false, markup: "" };
      if (node.nodeType === interfaces_1.NodeType.Document && !this._writerOptions.headless) {
        this.declaration(this._builderOptions.version, this._builderOptions.encoding, this._builderOptions.standalone);
      }
      this.serializeNode(node, this._writerOptions.wellFormed);
      if (this._writerOptions.prettyPrint && this._refs.markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
        this._refs.markup = this._refs.markup.slice(0, -this._writerOptions.newline.length);
      }
      return this._refs.markup;
    };
    XMLWriter2.prototype.declaration = function(version, encoding, standalone) {
      this._beginLine();
      this._refs.markup += '<?xml version="' + version + '"';
      if (encoding !== undefined) {
        this._refs.markup += ' encoding="' + encoding + '"';
      }
      if (standalone !== undefined) {
        this._refs.markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
      }
      this._refs.markup += "?>";
      this._endLine();
    };
    XMLWriter2.prototype.docType = function(name, publicId, systemId) {
      this._beginLine();
      if (publicId && systemId) {
        this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
      } else if (publicId) {
        this._refs.markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
      } else if (systemId) {
        this._refs.markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
      } else {
        this._refs.markup += "<!DOCTYPE " + name + ">";
      }
      this._endLine();
    };
    XMLWriter2.prototype.openTagBegin = function(name) {
      this._beginLine();
      this._refs.markup += "<" + name;
    };
    XMLWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
      this._refs.suppressPretty = false;
      this._refs.emptyNode = false;
      if (this._writerOptions.prettyPrint && !selfClosing && !voidElement) {
        var textOnlyNode = true;
        var emptyNode = true;
        var childNode = this.currentNode.firstChild;
        var cdataCount = 0;
        var textCount = 0;
        while (childNode) {
          if (util_2.Guard.isExclusiveTextNode(childNode)) {
            textCount++;
          } else if (util_2.Guard.isCDATASectionNode(childNode)) {
            cdataCount++;
          } else {
            textOnlyNode = false;
            emptyNode = false;
            break;
          }
          if (childNode.data !== "") {
            emptyNode = false;
          }
          childNode = childNode.nextSibling;
        }
        this._refs.suppressPretty = !this._writerOptions.indentTextOnlyNodes && textOnlyNode && (cdataCount <= 1 && textCount === 0 || cdataCount === 0);
        this._refs.emptyNode = emptyNode;
      }
      if ((voidElement || selfClosing || this._refs.emptyNode) && this._writerOptions.allowEmptyTags) {
        this._refs.markup += "></" + name + ">";
      } else {
        this._refs.markup += voidElement ? " />" : selfClosing || this._refs.emptyNode ? this._writerOptions.spaceBeforeSlash ? " />" : "/>" : ">";
      }
      this._endLine();
    };
    XMLWriter2.prototype.closeTag = function(name) {
      if (!this._refs.emptyNode) {
        this._beginLine();
        this._refs.markup += "</" + name + ">";
      }
      this._refs.suppressPretty = false;
      this._refs.emptyNode = false;
      this._endLine();
    };
    XMLWriter2.prototype.attribute = function(name, value) {
      var str = name + '="' + value + '"';
      if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._refs.markup.length - this._lengthToLastNewline + 1 + str.length > this._writerOptions.width) {
        this._endLine();
        this._beginLine();
        this._refs.markup += this._indent(1) + str;
      } else {
        this._refs.markup += " " + str;
      }
    };
    XMLWriter2.prototype.text = function(data) {
      if (data !== "") {
        this._beginLine();
        this._refs.markup += data;
        this._endLine();
      }
    };
    XMLWriter2.prototype.cdata = function(data) {
      if (data !== "") {
        this._beginLine();
        this._refs.markup += "<![CDATA[" + data + "]]>";
        this._endLine();
      }
    };
    XMLWriter2.prototype.comment = function(data) {
      this._beginLine();
      this._refs.markup += "<!--" + data + "-->";
      this._endLine();
    };
    XMLWriter2.prototype.instruction = function(target, data) {
      this._beginLine();
      this._refs.markup += "<?" + (data === "" ? target : target + " " + data) + "?>";
      this._endLine();
    };
    XMLWriter2.prototype._beginLine = function() {
      if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
        this._refs.markup += this._indent(this._writerOptions.offset + this.level);
      }
    };
    XMLWriter2.prototype._endLine = function() {
      if (this._writerOptions.prettyPrint && !this._refs.suppressPretty) {
        this._refs.markup += this._writerOptions.newline;
        this._lengthToLastNewline = this._refs.markup.length;
      }
    };
    XMLWriter2.prototype._indent = function(level) {
      if (level <= 0) {
        return "";
      } else if (this._indentation[level] !== undefined) {
        return this._indentation[level];
      } else {
        var str = this._writerOptions.indent.repeat(level);
        this._indentation[level] = str;
        return str;
      }
    };
    return XMLWriter2;
  }(BaseWriter_1.BaseWriter);
  exports.XMLWriter = XMLWriter;
});

// ../../node_modules/xmlbuilder2/lib/writers/JSONWriter.js
var require_JSONWriter = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var ObjectWriter_1 = require_ObjectWriter();
  var util_1 = require_lib();
  var BaseWriter_1 = require_BaseWriter();
  var JSONWriter = function(_super) {
    __extends(JSONWriter2, _super);
    function JSONWriter2(builderOptions, writerOptions) {
      var _this = _super.call(this, builderOptions) || this;
      _this._writerOptions = util_1.applyDefaults(writerOptions, {
        wellFormed: false,
        prettyPrint: false,
        indent: "  ",
        newline: `
`,
        offset: 0,
        group: false,
        verbose: false
      });
      return _this;
    }
    JSONWriter2.prototype.serialize = function(node) {
      var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
        format: "object",
        wellFormed: false
      });
      var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
      var val = objectWriter.serialize(node);
      return this._beginLine(this._writerOptions, 0) + this._convertObject(val, this._writerOptions);
    };
    JSONWriter2.prototype._convertObject = function(obj, options, level) {
      var e_1, _a;
      var _this = this;
      if (level === undefined) {
        level = 0;
      }
      var markup = "";
      var isLeaf = this._isLeafNode(obj);
      if (util_1.isArray(obj)) {
        markup += "[";
        var len = obj.length;
        var i = 0;
        try {
          for (var obj_1 = __values(obj), obj_1_1 = obj_1.next();!obj_1_1.done; obj_1_1 = obj_1.next()) {
            var val = obj_1_1.value;
            markup += this._endLine(options, level + 1) + this._beginLine(options, level + 1) + this._convertObject(val, options, level + 1);
            if (i < len - 1) {
              markup += ",";
            }
            i++;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
              _a.call(obj_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        markup += this._endLine(options, level) + this._beginLine(options, level);
        markup += "]";
      } else if (util_1.isObject(obj)) {
        markup += "{";
        var len_1 = util_1.objectLength(obj);
        var i_1 = 0;
        util_1.forEachObject(obj, function(key, val2) {
          if (isLeaf && options.prettyPrint) {
            markup += " ";
          } else {
            markup += _this._endLine(options, level + 1) + _this._beginLine(options, level + 1);
          }
          markup += _this._key(key);
          if (options.prettyPrint) {
            markup += " ";
          }
          markup += _this._convertObject(val2, options, level + 1);
          if (i_1 < len_1 - 1) {
            markup += ",";
          }
          i_1++;
        }, this);
        if (isLeaf && options.prettyPrint) {
          markup += " ";
        } else {
          markup += this._endLine(options, level) + this._beginLine(options, level);
        }
        markup += "}";
      } else {
        markup += this._val(obj);
      }
      return markup;
    };
    JSONWriter2.prototype._beginLine = function(options, level) {
      if (!options.prettyPrint) {
        return "";
      } else {
        var indentLevel = options.offset + level + 1;
        if (indentLevel > 0) {
          return new Array(indentLevel).join(options.indent);
        }
      }
      return "";
    };
    JSONWriter2.prototype._endLine = function(options, level) {
      if (!options.prettyPrint) {
        return "";
      } else {
        return options.newline;
      }
    };
    JSONWriter2.prototype._key = function(key) {
      return '"' + key + '":';
    };
    JSONWriter2.prototype._val = function(val) {
      return JSON.stringify(val);
    };
    JSONWriter2.prototype._isLeafNode = function(obj) {
      return this._descendantCount(obj) <= 1;
    };
    JSONWriter2.prototype._descendantCount = function(obj, count) {
      var _this = this;
      if (count === undefined) {
        count = 0;
      }
      if (util_1.isArray(obj)) {
        util_1.forEachArray(obj, function(val) {
          return count += _this._descendantCount(val, count);
        }, this);
      } else if (util_1.isObject(obj)) {
        util_1.forEachObject(obj, function(key, val) {
          return count += _this._descendantCount(val, count);
        }, this);
      } else {
        count++;
      }
      return count;
    };
    return JSONWriter2;
  }(BaseWriter_1.BaseWriter);
  exports.JSONWriter = JSONWriter;
});

// ../../node_modules/xmlbuilder2/lib/writers/YAMLWriter.js
var require_YAMLWriter = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var ObjectWriter_1 = require_ObjectWriter();
  var util_1 = require_lib();
  var BaseWriter_1 = require_BaseWriter();
  var YAMLWriter = function(_super) {
    __extends(YAMLWriter2, _super);
    function YAMLWriter2(builderOptions, writerOptions) {
      var _this = _super.call(this, builderOptions) || this;
      _this._writerOptions = util_1.applyDefaults(writerOptions, {
        wellFormed: false,
        indent: "  ",
        newline: `
`,
        offset: 0,
        group: false,
        verbose: false
      });
      if (_this._writerOptions.indent.length < 2) {
        throw new Error("YAML indententation string must be at least two characters long.");
      }
      if (_this._writerOptions.offset < 0) {
        throw new Error("YAML offset should be zero or a positive number.");
      }
      return _this;
    }
    YAMLWriter2.prototype.serialize = function(node) {
      var objectWriterOptions = util_1.applyDefaults(this._writerOptions, {
        format: "object",
        wellFormed: false
      });
      var objectWriter = new ObjectWriter_1.ObjectWriter(this._builderOptions, objectWriterOptions);
      var val = objectWriter.serialize(node);
      var markup = this._beginLine(this._writerOptions, 0) + "---" + this._endLine(this._writerOptions) + this._convertObject(val, this._writerOptions, 0);
      if (markup.slice(-this._writerOptions.newline.length) === this._writerOptions.newline) {
        markup = markup.slice(0, -this._writerOptions.newline.length);
      }
      return markup;
    };
    YAMLWriter2.prototype._convertObject = function(obj, options, level, suppressIndent) {
      var e_1, _a;
      var _this = this;
      if (suppressIndent === undefined) {
        suppressIndent = false;
      }
      var markup = "";
      if (util_1.isArray(obj)) {
        try {
          for (var obj_1 = __values(obj), obj_1_1 = obj_1.next();!obj_1_1.done; obj_1_1 = obj_1.next()) {
            var val = obj_1_1.value;
            markup += this._beginLine(options, level, true);
            if (!util_1.isObject(val)) {
              markup += this._val(val) + this._endLine(options);
            } else if (util_1.isEmpty(val)) {
              markup += '""' + this._endLine(options);
            } else {
              markup += this._convertObject(val, options, level, true);
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (obj_1_1 && !obj_1_1.done && (_a = obj_1.return))
              _a.call(obj_1);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      } else {
        util_1.forEachObject(obj, function(key, val2) {
          if (suppressIndent) {
            markup += _this._key(key);
            suppressIndent = false;
          } else {
            markup += _this._beginLine(options, level) + _this._key(key);
          }
          if (!util_1.isObject(val2)) {
            markup += " " + _this._val(val2) + _this._endLine(options);
          } else if (util_1.isEmpty(val2)) {
            markup += ' ""' + _this._endLine(options);
          } else {
            markup += _this._endLine(options) + _this._convertObject(val2, options, level + 1);
          }
        }, this);
      }
      return markup;
    };
    YAMLWriter2.prototype._beginLine = function(options, level, isArray) {
      if (isArray === undefined) {
        isArray = false;
      }
      var indentLevel = options.offset + level + 1;
      var chars = new Array(indentLevel).join(options.indent);
      if (isArray) {
        return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
      } else {
        return chars;
      }
    };
    YAMLWriter2.prototype._endLine = function(options) {
      return options.newline;
    };
    YAMLWriter2.prototype._key = function(key) {
      return '"' + key + '":';
    };
    YAMLWriter2.prototype._val = function(val) {
      return JSON.stringify(val);
    };
    return YAMLWriter2;
  }(BaseWriter_1.BaseWriter);
  exports.YAMLWriter = YAMLWriter;
});

// ../../node_modules/xmlbuilder2/lib/writers/index.js
var require_writers = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var MapWriter_1 = require_MapWriter();
  exports.MapWriter = MapWriter_1.MapWriter;
  var XMLWriter_1 = require_XMLWriter();
  exports.XMLWriter = XMLWriter_1.XMLWriter;
  var ObjectWriter_1 = require_ObjectWriter();
  exports.ObjectWriter = ObjectWriter_1.ObjectWriter;
  var JSONWriter_1 = require_JSONWriter();
  exports.JSONWriter = JSONWriter_1.JSONWriter;
  var YAMLWriter_1 = require_YAMLWriter();
  exports.YAMLWriter = YAMLWriter_1.YAMLWriter;
});

// ../../node_modules/@oozcitak/dom/lib/dom/ChildNodeImpl.js
var require_ChildNodeImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_util();
  var algorithm_1 = require_algorithm();
  var ChildNodeImpl = function() {
    function ChildNodeImpl2() {
    }
    ChildNodeImpl2.prototype.before = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      var context = util_1.Cast.asNode(this);
      var parent = context._parent;
      if (parent === null)
        return;
      var viablePreviousSibling = context._previousSibling;
      var flag = true;
      while (flag && viablePreviousSibling) {
        flag = false;
        for (var i = 0;i < nodes.length; i++) {
          var child2 = nodes[i];
          if (child2 === viablePreviousSibling) {
            viablePreviousSibling = viablePreviousSibling._previousSibling;
            flag = true;
            break;
          }
        }
      }
      var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
      if (viablePreviousSibling === null)
        viablePreviousSibling = parent._firstChild;
      else
        viablePreviousSibling = viablePreviousSibling._nextSibling;
      algorithm_1.mutation_preInsert(node, parent, viablePreviousSibling);
    };
    ChildNodeImpl2.prototype.after = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      var context = util_1.Cast.asNode(this);
      var parent = context._parent;
      if (!parent)
        return;
      var viableNextSibling = context._nextSibling;
      var flag = true;
      while (flag && viableNextSibling) {
        flag = false;
        for (var i = 0;i < nodes.length; i++) {
          var child2 = nodes[i];
          if (child2 === viableNextSibling) {
            viableNextSibling = viableNextSibling._nextSibling;
            flag = true;
            break;
          }
        }
      }
      var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
      algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
    };
    ChildNodeImpl2.prototype.replaceWith = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      var context = util_1.Cast.asNode(this);
      var parent = context._parent;
      if (!parent)
        return;
      var viableNextSibling = context._nextSibling;
      var flag = true;
      while (flag && viableNextSibling) {
        flag = false;
        for (var i = 0;i < nodes.length; i++) {
          var child2 = nodes[i];
          if (child2 === viableNextSibling) {
            viableNextSibling = viableNextSibling._nextSibling;
            flag = true;
            break;
          }
        }
      }
      var node = algorithm_1.parentNode_convertNodesIntoANode(nodes, context._nodeDocument);
      if (context._parent === parent)
        algorithm_1.mutation_replace(context, node, parent);
      else
        algorithm_1.mutation_preInsert(node, parent, viableNextSibling);
    };
    ChildNodeImpl2.prototype.remove = function() {
      var context = util_1.Cast.asNode(this);
      var parent = context._parent;
      if (!parent)
        return;
      algorithm_1.mutation_remove(context, parent);
    };
    return ChildNodeImpl2;
  }();
  exports.ChildNodeImpl = ChildNodeImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/DocumentOrShadowRootImpl.js
var require_DocumentOrShadowRootImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var DocumentOrShadowRootImpl = function() {
    function DocumentOrShadowRootImpl2() {
    }
    return DocumentOrShadowRootImpl2;
  }();
  exports.DocumentOrShadowRootImpl = DocumentOrShadowRootImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/MutationObserverImpl.js
var require_MutationObserverImpl = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMImpl_1 = require_DOMImpl();
  var util_1 = require_util();
  var infra_1 = require_lib2();
  var MutationObserverImpl = function() {
    function MutationObserverImpl2(callback) {
      this._nodeList = [];
      this._recordQueue = [];
      this._callback = callback;
      var window2 = DOMImpl_1.dom.window;
      infra_1.set.append(window2._mutationObservers, this);
    }
    MutationObserverImpl2.prototype.observe = function(target, options) {
      var e_1, _a;
      options = options || {
        childList: false,
        subtree: false
      };
      if ((options.attributeOldValue !== undefined || options.attributeFilter !== undefined) && options.attributes === undefined) {
        options.attributes = true;
      }
      if (options.characterDataOldValue !== undefined && options.characterData === undefined) {
        options.characterData = true;
      }
      if (!options.childList && !options.attributes && !options.characterData) {
        throw new TypeError;
      }
      if (options.attributeOldValue && !options.attributes) {
        throw new TypeError;
      }
      if (options.attributeFilter !== undefined && !options.attributes) {
        throw new TypeError;
      }
      if (options.characterDataOldValue && !options.characterData) {
        throw new TypeError;
      }
      var isRegistered = false;
      var coptions = options;
      var _loop_1 = function(registered2) {
        var e_2, _a2;
        if (registered2.observer === this_1) {
          isRegistered = true;
          try {
            for (var _b2 = (e_2 = undefined, __values(this_1._nodeList)), _c2 = _b2.next();!_c2.done; _c2 = _b2.next()) {
              var node = _c2.value;
              infra_1.list.remove(node._registeredObserverList, function(ob) {
                return util_1.Guard.isTransientRegisteredObserver(ob) && ob.source === registered2;
              });
            }
          } catch (e_2_1) {
            e_2 = { error: e_2_1 };
          } finally {
            try {
              if (_c2 && !_c2.done && (_a2 = _b2.return))
                _a2.call(_b2);
            } finally {
              if (e_2)
                throw e_2.error;
            }
          }
          registered2.options = coptions;
        }
      };
      var this_1 = this;
      try {
        for (var _b = __values(target._registeredObserverList), _c = _b.next();!_c.done; _c = _b.next()) {
          var registered = _c.value;
          _loop_1(registered);
        }
      } catch (e_1_1) {
        e_1 = { error: e_1_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_1)
            throw e_1.error;
        }
      }
      if (!isRegistered) {
        target._registeredObserverList.push({ observer: this, options });
        this._nodeList.push(target);
      }
    };
    MutationObserverImpl2.prototype.disconnect = function() {
      var e_3, _a;
      var _this = this;
      try {
        for (var _b = __values(this._nodeList), _c = _b.next();!_c.done; _c = _b.next()) {
          var node = _c.value;
          infra_1.list.remove(node._registeredObserverList, function(ob) {
            return ob.observer === _this;
          });
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      this._recordQueue = [];
    };
    MutationObserverImpl2.prototype.takeRecords = function() {
      var records = this._recordQueue;
      this._recordQueue = [];
      return records;
    };
    return MutationObserverImpl2;
  }();
  exports.MutationObserverImpl = MutationObserverImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/NonDocumentTypeChildNodeImpl.js
var require_NonDocumentTypeChildNodeImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_util();
  var NonDocumentTypeChildNodeImpl = function() {
    function NonDocumentTypeChildNodeImpl2() {
    }
    Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "previousElementSibling", {
      get: function() {
        var node = util_1.Cast.asNode(this)._previousSibling;
        while (node) {
          if (util_1.Guard.isElementNode(node))
            return node;
          else
            node = node._previousSibling;
        }
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(NonDocumentTypeChildNodeImpl2.prototype, "nextElementSibling", {
      get: function() {
        var node = util_1.Cast.asNode(this)._nextSibling;
        while (node) {
          if (util_1.Guard.isElementNode(node))
            return node;
          else
            node = node._nextSibling;
        }
        return null;
      },
      enumerable: true,
      configurable: true
    });
    return NonDocumentTypeChildNodeImpl2;
  }();
  exports.NonDocumentTypeChildNodeImpl = NonDocumentTypeChildNodeImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/NonElementParentNodeImpl.js
var require_NonElementParentNodeImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_util();
  var algorithm_1 = require_algorithm();
  var NonElementParentNodeImpl = function() {
    function NonElementParentNodeImpl2() {
    }
    NonElementParentNodeImpl2.prototype.getElementById = function(id) {
      var ele = algorithm_1.tree_getFirstDescendantNode(util_1.Cast.asNode(this), false, false, function(e) {
        return util_1.Guard.isElementNode(e);
      });
      while (ele !== null) {
        if (ele._uniqueIdentifier === id) {
          return ele;
        }
        ele = algorithm_1.tree_getNextDescendantNode(util_1.Cast.asNode(this), ele, false, false, function(e) {
          return util_1.Guard.isElementNode(e);
        });
      }
      return null;
    };
    return NonElementParentNodeImpl2;
  }();
  exports.NonElementParentNodeImpl = NonElementParentNodeImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/ParentNodeImpl.js
var require_ParentNodeImpl = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_util();
  var algorithm_1 = require_algorithm();
  var ParentNodeImpl = function() {
    function ParentNodeImpl2() {
    }
    Object.defineProperty(ParentNodeImpl2.prototype, "children", {
      get: function() {
        return algorithm_1.create_htmlCollection(util_1.Cast.asNode(this));
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ParentNodeImpl2.prototype, "firstElementChild", {
      get: function() {
        var node = util_1.Cast.asNode(this)._firstChild;
        while (node) {
          if (util_1.Guard.isElementNode(node))
            return node;
          else
            node = node._nextSibling;
        }
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ParentNodeImpl2.prototype, "lastElementChild", {
      get: function() {
        var node = util_1.Cast.asNode(this)._lastChild;
        while (node) {
          if (util_1.Guard.isElementNode(node))
            return node;
          else
            node = node._previousSibling;
        }
        return null;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(ParentNodeImpl2.prototype, "childElementCount", {
      get: function() {
        var e_1, _a;
        var count = 0;
        try {
          for (var _b = __values(util_1.Cast.asNode(this)._children), _c = _b.next();!_c.done; _c = _b.next()) {
            var childNode = _c.value;
            if (util_1.Guard.isElementNode(childNode))
              count++;
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return count;
      },
      enumerable: true,
      configurable: true
    });
    ParentNodeImpl2.prototype.prepend = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      var node = util_1.Cast.asNode(this);
      var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
      algorithm_1.mutation_preInsert(childNode, node, node._firstChild);
    };
    ParentNodeImpl2.prototype.append = function() {
      var nodes = [];
      for (var _i = 0;_i < arguments.length; _i++) {
        nodes[_i] = arguments[_i];
      }
      var node = util_1.Cast.asNode(this);
      var childNode = algorithm_1.parentNode_convertNodesIntoANode(nodes, node._nodeDocument);
      algorithm_1.mutation_append(childNode, node);
    };
    ParentNodeImpl2.prototype.querySelector = function(selectors) {
      var node = util_1.Cast.asNode(this);
      var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
      return result.length === 0 ? null : result[0];
    };
    ParentNodeImpl2.prototype.querySelectorAll = function(selectors) {
      var node = util_1.Cast.asNode(this);
      var result = algorithm_1.selectors_scopeMatchASelectorsString(selectors, node);
      return algorithm_1.create_nodeListStatic(node, result);
    };
    return ParentNodeImpl2;
  }();
  exports.ParentNodeImpl = ParentNodeImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/SlotableImpl.js
var require_SlotableImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var algorithm_1 = require_algorithm();
  var SlotableImpl = function() {
    function SlotableImpl2() {
    }
    Object.defineProperty(SlotableImpl2.prototype, "_name", {
      get: function() {
        return this.__name || "";
      },
      set: function(val) {
        this.__name = val;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(SlotableImpl2.prototype, "_assignedSlot", {
      get: function() {
        return this.__assignedSlot || null;
      },
      set: function(val) {
        this.__assignedSlot = val;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(SlotableImpl2.prototype, "assignedSlot", {
      get: function() {
        return algorithm_1.shadowTree_findASlot(this, true);
      },
      enumerable: true,
      configurable: true
    });
    return SlotableImpl2;
  }();
  exports.SlotableImpl = SlotableImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/StaticRangeImpl.js
var require_StaticRangeImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var AbstractRangeImpl_1 = require_AbstractRangeImpl();
  var DOMException_1 = require_DOMException();
  var util_1 = require_util();
  var StaticRangeImpl = function(_super) {
    __extends(StaticRangeImpl2, _super);
    function StaticRangeImpl2(init) {
      var _this = _super.call(this) || this;
      if (util_1.Guard.isDocumentTypeNode(init.startContainer) || util_1.Guard.isAttrNode(init.startContainer) || util_1.Guard.isDocumentTypeNode(init.endContainer) || util_1.Guard.isAttrNode(init.endContainer)) {
        throw new DOMException_1.InvalidNodeTypeError;
      }
      _this._start = [init.startContainer, init.startOffset];
      _this._end = [init.endContainer, init.endOffset];
      return _this;
    }
    return StaticRangeImpl2;
  }(AbstractRangeImpl_1.AbstractRangeImpl);
  exports.StaticRangeImpl = StaticRangeImpl;
});

// ../../node_modules/@oozcitak/dom/lib/dom/index.js
var require_dom = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  var AbortControllerImpl_1 = require_AbortControllerImpl();
  exports.AbortController = AbortControllerImpl_1.AbortControllerImpl;
  var AbortSignalImpl_1 = require_AbortSignalImpl();
  exports.AbortSignal = AbortSignalImpl_1.AbortSignalImpl;
  var AbstractRangeImpl_1 = require_AbstractRangeImpl();
  exports.AbstractRange = AbstractRangeImpl_1.AbstractRangeImpl;
  var AttrImpl_1 = require_AttrImpl();
  exports.Attr = AttrImpl_1.AttrImpl;
  var CDATASectionImpl_1 = require_CDATASectionImpl();
  exports.CDATASection = CDATASectionImpl_1.CDATASectionImpl;
  var CharacterDataImpl_1 = require_CharacterDataImpl();
  exports.CharacterData = CharacterDataImpl_1.CharacterDataImpl;
  var ChildNodeImpl_1 = require_ChildNodeImpl();
  var CommentImpl_1 = require_CommentImpl();
  exports.Comment = CommentImpl_1.CommentImpl;
  var CustomEventImpl_1 = require_CustomEventImpl();
  exports.CustomEvent = CustomEventImpl_1.CustomEventImpl;
  var DocumentFragmentImpl_1 = require_DocumentFragmentImpl();
  exports.DocumentFragment = DocumentFragmentImpl_1.DocumentFragmentImpl;
  var DocumentImpl_1 = require_DocumentImpl();
  exports.Document = DocumentImpl_1.DocumentImpl;
  var DocumentOrShadowRootImpl_1 = require_DocumentOrShadowRootImpl();
  var DocumentTypeImpl_1 = require_DocumentTypeImpl();
  exports.DocumentType = DocumentTypeImpl_1.DocumentTypeImpl;
  var DOMImpl_1 = require_DOMImpl();
  exports.dom = DOMImpl_1.dom;
  var DOMImplementationImpl_1 = require_DOMImplementationImpl();
  exports.DOMImplementation = DOMImplementationImpl_1.DOMImplementationImpl;
  var DOMTokenListImpl_1 = require_DOMTokenListImpl();
  exports.DOMTokenList = DOMTokenListImpl_1.DOMTokenListImpl;
  var ElementImpl_1 = require_ElementImpl();
  exports.Element = ElementImpl_1.ElementImpl;
  var EventImpl_1 = require_EventImpl();
  exports.Event = EventImpl_1.EventImpl;
  var EventTargetImpl_1 = require_EventTargetImpl();
  exports.EventTarget = EventTargetImpl_1.EventTargetImpl;
  var HTMLCollectionImpl_1 = require_HTMLCollectionImpl();
  exports.HTMLCollection = HTMLCollectionImpl_1.HTMLCollectionImpl;
  var MutationObserverImpl_1 = require_MutationObserverImpl();
  exports.MutationObserver = MutationObserverImpl_1.MutationObserverImpl;
  var MutationRecordImpl_1 = require_MutationRecordImpl();
  exports.MutationRecord = MutationRecordImpl_1.MutationRecordImpl;
  var NamedNodeMapImpl_1 = require_NamedNodeMapImpl();
  exports.NamedNodeMap = NamedNodeMapImpl_1.NamedNodeMapImpl;
  var NodeFilterImpl_1 = require_NodeFilterImpl();
  exports.NodeFilter = NodeFilterImpl_1.NodeFilterImpl;
  var NodeImpl_1 = require_NodeImpl();
  exports.Node = NodeImpl_1.NodeImpl;
  var NodeIteratorImpl_1 = require_NodeIteratorImpl();
  exports.NodeIterator = NodeIteratorImpl_1.NodeIteratorImpl;
  var NodeListImpl_1 = require_NodeListImpl();
  exports.NodeList = NodeListImpl_1.NodeListImpl;
  var NodeListStaticImpl_1 = require_NodeListStaticImpl();
  exports.NodeListStatic = NodeListStaticImpl_1.NodeListStaticImpl;
  var NonDocumentTypeChildNodeImpl_1 = require_NonDocumentTypeChildNodeImpl();
  var NonElementParentNodeImpl_1 = require_NonElementParentNodeImpl();
  var ParentNodeImpl_1 = require_ParentNodeImpl();
  var ProcessingInstructionImpl_1 = require_ProcessingInstructionImpl();
  exports.ProcessingInstruction = ProcessingInstructionImpl_1.ProcessingInstructionImpl;
  var RangeImpl_1 = require_RangeImpl();
  exports.Range = RangeImpl_1.RangeImpl;
  var ShadowRootImpl_1 = require_ShadowRootImpl();
  exports.ShadowRoot = ShadowRootImpl_1.ShadowRootImpl;
  var SlotableImpl_1 = require_SlotableImpl();
  var StaticRangeImpl_1 = require_StaticRangeImpl();
  exports.StaticRange = StaticRangeImpl_1.StaticRangeImpl;
  var TextImpl_1 = require_TextImpl();
  exports.Text = TextImpl_1.TextImpl;
  var TraverserImpl_1 = require_TraverserImpl();
  exports.Traverser = TraverserImpl_1.TraverserImpl;
  var TreeWalkerImpl_1 = require_TreeWalkerImpl();
  exports.TreeWalker = TreeWalkerImpl_1.TreeWalkerImpl;
  var WindowImpl_1 = require_WindowImpl();
  exports.Window = WindowImpl_1.WindowImpl;
  var XMLDocumentImpl_1 = require_XMLDocumentImpl();
  exports.XMLDocument = XMLDocumentImpl_1.XMLDocumentImpl;
  util_1.applyMixin(ElementImpl_1.ElementImpl, ChildNodeImpl_1.ChildNodeImpl);
  util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, ChildNodeImpl_1.ChildNodeImpl);
  util_1.applyMixin(DocumentTypeImpl_1.DocumentTypeImpl, ChildNodeImpl_1.ChildNodeImpl);
  util_1.applyMixin(DocumentImpl_1.DocumentImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
  util_1.applyMixin(ShadowRootImpl_1.ShadowRootImpl, DocumentOrShadowRootImpl_1.DocumentOrShadowRootImpl);
  util_1.applyMixin(ElementImpl_1.ElementImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
  util_1.applyMixin(CharacterDataImpl_1.CharacterDataImpl, NonDocumentTypeChildNodeImpl_1.NonDocumentTypeChildNodeImpl);
  util_1.applyMixin(DocumentImpl_1.DocumentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
  util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, NonElementParentNodeImpl_1.NonElementParentNodeImpl);
  util_1.applyMixin(DocumentImpl_1.DocumentImpl, ParentNodeImpl_1.ParentNodeImpl);
  util_1.applyMixin(DocumentFragmentImpl_1.DocumentFragmentImpl, ParentNodeImpl_1.ParentNodeImpl);
  util_1.applyMixin(ElementImpl_1.ElementImpl, ParentNodeImpl_1.ParentNodeImpl);
  util_1.applyMixin(TextImpl_1.TextImpl, SlotableImpl_1.SlotableImpl);
  util_1.applyMixin(ElementImpl_1.ElementImpl, SlotableImpl_1.SlotableImpl);
});

// ../../node_modules/@oozcitak/dom/lib/parser/interfaces.js
var require_interfaces4 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var TokenType;
  (function(TokenType2) {
    TokenType2[TokenType2["EOF"] = 0] = "EOF";
    TokenType2[TokenType2["Declaration"] = 1] = "Declaration";
    TokenType2[TokenType2["DocType"] = 2] = "DocType";
    TokenType2[TokenType2["Element"] = 3] = "Element";
    TokenType2[TokenType2["Text"] = 4] = "Text";
    TokenType2[TokenType2["CDATA"] = 5] = "CDATA";
    TokenType2[TokenType2["PI"] = 6] = "PI";
    TokenType2[TokenType2["Comment"] = 7] = "Comment";
    TokenType2[TokenType2["ClosingTag"] = 8] = "ClosingTag";
  })(TokenType = exports.TokenType || (exports.TokenType = {}));
});

// ../../node_modules/@oozcitak/dom/lib/parser/XMLStringLexer.js
var require_XMLStringLexer = __commonJS((exports) => {
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces4();
  var XMLStringLexer = function() {
    function XMLStringLexer2(str, options) {
      this._options = {
        skipWhitespaceOnlyText: false
      };
      this.err = { line: -1, col: -1, index: -1, str: "" };
      this._str = str;
      this._index = 0;
      this._length = str.length;
      if (options) {
        this._options.skipWhitespaceOnlyText = options.skipWhitespaceOnlyText || false;
      }
    }
    XMLStringLexer2.prototype.nextToken = function() {
      if (this.eof()) {
        return { type: interfaces_1.TokenType.EOF };
      }
      var token = this.skipIfStartsWith("<") ? this.openBracket() : this.text();
      if (this._options.skipWhitespaceOnlyText) {
        if (token.type === interfaces_1.TokenType.Text && XMLStringLexer2.isWhiteSpaceToken(token)) {
          token = this.nextToken();
        }
      }
      return token;
    };
    XMLStringLexer2.prototype.openBracket = function() {
      if (this.skipIfStartsWith("?")) {
        if (this.skipIfStartsWith("xml")) {
          if (XMLStringLexer2.isSpace(this._str[this._index])) {
            return this.declaration();
          } else {
            this.seek(-3);
            return this.pi();
          }
        } else {
          return this.pi();
        }
      } else if (this.skipIfStartsWith("!")) {
        if (this.skipIfStartsWith("--")) {
          return this.comment();
        } else if (this.skipIfStartsWith("[CDATA[")) {
          return this.cdata();
        } else if (this.skipIfStartsWith("DOCTYPE")) {
          return this.doctype();
        } else {
          this.throwError("Invalid '!' in opening tag.");
        }
      } else if (this.skipIfStartsWith("/")) {
        return this.closeTag();
      } else {
        return this.openTag();
      }
    };
    XMLStringLexer2.prototype.declaration = function() {
      var version = "";
      var encoding = "";
      var standalone = "";
      while (!this.eof()) {
        this.skipSpace();
        if (this.skipIfStartsWith("?>")) {
          return { type: interfaces_1.TokenType.Declaration, version, encoding, standalone };
        } else {
          var _a = __read(this.attribute(), 2), attName = _a[0], attValue = _a[1];
          if (attName === "version")
            version = attValue;
          else if (attName === "encoding")
            encoding = attValue;
          else if (attName === "standalone")
            standalone = attValue;
          else
            this.throwError("Invalid attribute name: " + attName);
        }
      }
      this.throwError("Missing declaration end symbol `?>`");
    };
    XMLStringLexer2.prototype.doctype = function() {
      var pubId = "";
      var sysId = "";
      this.skipSpace();
      var name = this.takeUntil2("[", ">", true);
      this.skipSpace();
      if (this.skipIfStartsWith("PUBLIC")) {
        pubId = this.quotedString();
        sysId = this.quotedString();
      } else if (this.skipIfStartsWith("SYSTEM")) {
        sysId = this.quotedString();
      }
      this.skipSpace();
      if (this.skipIfStartsWith("[")) {
        this.skipUntil("]");
        if (!this.skipIfStartsWith("]")) {
          this.throwError("Missing end bracket of DTD internal subset");
        }
      }
      this.skipSpace();
      if (!this.skipIfStartsWith(">")) {
        this.throwError("Missing doctype end symbol `>`");
      }
      return { type: interfaces_1.TokenType.DocType, name, pubId, sysId };
    };
    XMLStringLexer2.prototype.pi = function() {
      var target = this.takeUntilStartsWith("?>", true);
      if (this.eof()) {
        this.throwError("Missing processing instruction end symbol `?>`");
      }
      this.skipSpace();
      if (this.skipIfStartsWith("?>")) {
        return { type: interfaces_1.TokenType.PI, target, data: "" };
      }
      var data = this.takeUntilStartsWith("?>");
      if (this.eof()) {
        this.throwError("Missing processing instruction end symbol `?>`");
      }
      this.seek(2);
      return { type: interfaces_1.TokenType.PI, target, data };
    };
    XMLStringLexer2.prototype.text = function() {
      var data = this.takeUntil("<");
      return { type: interfaces_1.TokenType.Text, data };
    };
    XMLStringLexer2.prototype.comment = function() {
      var data = this.takeUntilStartsWith("-->");
      if (this.eof()) {
        this.throwError("Missing comment end symbol `-->`");
      }
      this.seek(3);
      return { type: interfaces_1.TokenType.Comment, data };
    };
    XMLStringLexer2.prototype.cdata = function() {
      var data = this.takeUntilStartsWith("]]>");
      if (this.eof()) {
        this.throwError("Missing CDATA end symbol `]>`");
      }
      this.seek(3);
      return { type: interfaces_1.TokenType.CDATA, data };
    };
    XMLStringLexer2.prototype.openTag = function() {
      this.skipSpace();
      var name = this.takeUntil2(">", "/", true);
      this.skipSpace();
      if (this.skipIfStartsWith(">")) {
        return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: false };
      } else if (this.skipIfStartsWith("/>")) {
        return { type: interfaces_1.TokenType.Element, name, attributes: [], selfClosing: true };
      }
      var attributes = [];
      while (!this.eof()) {
        this.skipSpace();
        if (this.skipIfStartsWith(">")) {
          return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: false };
        } else if (this.skipIfStartsWith("/>")) {
          return { type: interfaces_1.TokenType.Element, name, attributes, selfClosing: true };
        }
        var attr = this.attribute();
        attributes.push(attr);
      }
      this.throwError("Missing opening element tag end symbol `>`");
    };
    XMLStringLexer2.prototype.closeTag = function() {
      this.skipSpace();
      var name = this.takeUntil(">", true);
      this.skipSpace();
      if (!this.skipIfStartsWith(">")) {
        this.throwError("Missing closing element tag end symbol `>`");
      }
      return { type: interfaces_1.TokenType.ClosingTag, name };
    };
    XMLStringLexer2.prototype.attribute = function() {
      this.skipSpace();
      var name = this.takeUntil("=", true);
      this.skipSpace();
      if (!this.skipIfStartsWith("=")) {
        this.throwError("Missing equals sign before attribute value");
      }
      var value = this.quotedString();
      return [name, value];
    };
    XMLStringLexer2.prototype.quotedString = function() {
      this.skipSpace();
      var startQuote = this.take(1);
      if (!XMLStringLexer2.isQuote(startQuote)) {
        this.throwError("Missing start quote character before quoted value");
      }
      var value = this.takeUntil(startQuote);
      if (!this.skipIfStartsWith(startQuote)) {
        this.throwError("Missing end quote character after quoted value");
      }
      return value;
    };
    XMLStringLexer2.prototype.eof = function() {
      return this._index >= this._length;
    };
    XMLStringLexer2.prototype.skipIfStartsWith = function(str) {
      var strLength = str.length;
      if (strLength === 1) {
        if (this._str[this._index] === str) {
          this._index++;
          return true;
        } else {
          return false;
        }
      }
      for (var i = 0;i < strLength; i++) {
        if (this._str[this._index + i] !== str[i])
          return false;
      }
      this._index += strLength;
      return true;
    };
    XMLStringLexer2.prototype.seek = function(count) {
      this._index += count;
      if (this._index < 0)
        this._index = 0;
      if (this._index > this._length)
        this._index = this._length;
    };
    XMLStringLexer2.prototype.skipSpace = function() {
      while (!this.eof() && XMLStringLexer2.isSpace(this._str[this._index])) {
        this._index++;
      }
    };
    XMLStringLexer2.prototype.take = function(count) {
      if (count === 1) {
        return this._str[this._index++];
      }
      var startIndex = this._index;
      this.seek(count);
      return this._str.slice(startIndex, this._index);
    };
    XMLStringLexer2.prototype.takeUntil = function(char, space) {
      if (space === undefined) {
        space = false;
      }
      var startIndex = this._index;
      while (this._index < this._length) {
        var c = this._str[this._index];
        if (c !== char && (!space || !XMLStringLexer2.isSpace(c))) {
          this._index++;
        } else {
          break;
        }
      }
      return this._str.slice(startIndex, this._index);
    };
    XMLStringLexer2.prototype.takeUntil2 = function(char1, char2, space) {
      if (space === undefined) {
        space = false;
      }
      var startIndex = this._index;
      while (this._index < this._length) {
        var c = this._str[this._index];
        if (c !== char1 && c !== char2 && (!space || !XMLStringLexer2.isSpace(c))) {
          this._index++;
        } else {
          break;
        }
      }
      return this._str.slice(startIndex, this._index);
    };
    XMLStringLexer2.prototype.takeUntilStartsWith = function(str, space) {
      if (space === undefined) {
        space = false;
      }
      var startIndex = this._index;
      var strLength = str.length;
      while (this._index < this._length) {
        var match = true;
        for (var i = 0;i < strLength; i++) {
          var c = this._str[this._index + i];
          var char = str[i];
          if (space && XMLStringLexer2.isSpace(c)) {
            return this._str.slice(startIndex, this._index);
          } else if (c !== char) {
            this._index++;
            match = false;
            break;
          }
        }
        if (match)
          return this._str.slice(startIndex, this._index);
      }
      this._index = this._length;
      return this._str.slice(startIndex);
    };
    XMLStringLexer2.prototype.skipUntil = function(char) {
      while (this._index < this._length) {
        var c = this._str[this._index];
        if (c !== char) {
          this._index++;
        } else {
          break;
        }
      }
    };
    XMLStringLexer2.isWhiteSpaceToken = function(token) {
      var str = token.data;
      for (var i = 0;i < str.length; i++) {
        var c = str[i];
        if (c !== " " && c !== `
` && c !== "\r" && c !== "\t" && c !== "\f")
          return false;
      }
      return true;
    };
    XMLStringLexer2.isSpace = function(char) {
      return char === " " || char === `
` || char === "\r" || char === "\t";
    };
    XMLStringLexer2.isQuote = function(char) {
      return char === '"' || char === "'";
    };
    XMLStringLexer2.prototype.throwError = function(msg) {
      var regexp = /\r\n|\r|\n/g;
      var match = null;
      var line = 0;
      var firstNewLineIndex = 0;
      var lastNewlineIndex = this._str.length;
      while ((match = regexp.exec(this._str)) !== null) {
        if (match === null)
          break;
        line++;
        if (match.index < this._index)
          firstNewLineIndex = regexp.lastIndex;
        if (match.index > this._index) {
          lastNewlineIndex = match.index;
          break;
        }
      }
      this.err = {
        line,
        col: this._index - firstNewLineIndex,
        index: this._index,
        str: this._str.substring(firstNewLineIndex, lastNewlineIndex)
      };
      throw new Error(msg + `
Index: ` + this.err.index + `
Ln: ` + this.err.line + ", Col: " + this.err.col + `
Input: ` + this.err.str);
    };
    XMLStringLexer2.prototype[Symbol.iterator] = function() {
      this._index = 0;
      return {
        next: function() {
          var token = this.nextToken();
          if (token.type === interfaces_1.TokenType.EOF) {
            return { done: true, value: null };
          } else {
            return { done: false, value: token };
          }
        }.bind(this)
      };
    };
    return XMLStringLexer2;
  }();
  exports.XMLStringLexer = XMLStringLexer;
});

// ../../node_modules/@oozcitak/dom/lib/parser/XMLParserImpl.js
var require_XMLParserImpl = __commonJS((exports) => {
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var XMLStringLexer_1 = require_XMLStringLexer();
  var interfaces_1 = require_interfaces4();
  var infra_1 = require_lib2();
  var algorithm_1 = require_algorithm();
  var LocalNameSet_1 = require_LocalNameSet();
  var XMLParserImpl = function() {
    function XMLParserImpl2() {
    }
    XMLParserImpl2.prototype.parse = function(source) {
      var e_1, _a, e_2, _b;
      var lexer = new XMLStringLexer_1.XMLStringLexer(source, { skipWhitespaceOnlyText: true });
      var doc = algorithm_1.create_document();
      var context = doc;
      var token = lexer.nextToken();
      while (token.type !== interfaces_1.TokenType.EOF) {
        switch (token.type) {
          case interfaces_1.TokenType.Declaration:
            var declaration = token;
            if (declaration.version !== "1.0") {
              throw new Error("Invalid xml version: " + declaration.version);
            }
            break;
          case interfaces_1.TokenType.DocType:
            var doctype = token;
            if (!algorithm_1.xml_isPubidChar(doctype.pubId)) {
              throw new Error("DocType public identifier does not match PubidChar construct.");
            }
            if (!algorithm_1.xml_isLegalChar(doctype.sysId) || doctype.sysId.indexOf('"') !== -1 && doctype.sysId.indexOf("'") !== -1) {
              throw new Error("DocType system identifier contains invalid characters.");
            }
            context.appendChild(doc.implementation.createDocumentType(doctype.name, doctype.pubId, doctype.sysId));
            break;
          case interfaces_1.TokenType.CDATA:
            var cdata = token;
            if (!algorithm_1.xml_isLegalChar(cdata.data) || cdata.data.indexOf("]]>") !== -1) {
              throw new Error("CDATA contains invalid characters.");
            }
            context.appendChild(doc.createCDATASection(cdata.data));
            break;
          case interfaces_1.TokenType.Comment:
            var comment = token;
            if (!algorithm_1.xml_isLegalChar(comment.data) || comment.data.indexOf("--") !== -1 || comment.data.endsWith("-")) {
              throw new Error("Comment data contains invalid characters.");
            }
            context.appendChild(doc.createComment(comment.data));
            break;
          case interfaces_1.TokenType.PI:
            var pi = token;
            if (pi.target.indexOf(":") !== -1 || /^xml$/i.test(pi.target)) {
              throw new Error("Processing instruction target contains invalid characters.");
            }
            if (!algorithm_1.xml_isLegalChar(pi.data) || pi.data.indexOf("?>") !== -1) {
              throw new Error("Processing instruction data contains invalid characters.");
            }
            context.appendChild(doc.createProcessingInstruction(pi.target, pi.data));
            break;
          case interfaces_1.TokenType.Text:
            var text = token;
            if (!algorithm_1.xml_isLegalChar(text.data)) {
              throw new Error("Text data contains invalid characters.");
            }
            context.appendChild(doc.createTextNode(this._decodeText(text.data)));
            break;
          case interfaces_1.TokenType.Element:
            var element = token;
            var _c = __read(algorithm_1.namespace_extractQName(element.name), 2), prefix = _c[0], localName = _c[1];
            if (localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(localName)) {
              throw new Error("Node local name contains invalid characters.");
            }
            if (prefix === "xmlns") {
              throw new Error("An element cannot have the 'xmlns' prefix.");
            }
            var namespace = context.lookupNamespaceURI(prefix);
            var nsDeclarations = {};
            try {
              for (var _d = (e_1 = undefined, __values(element.attributes)), _e = _d.next();!_e.done; _e = _d.next()) {
                var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                if (attName === "xmlns") {
                  namespace = attValue;
                } else {
                  var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                  if (attPrefix === "xmlns") {
                    if (attLocalName === prefix) {
                      namespace = attValue;
                    }
                    nsDeclarations[attLocalName] = attValue;
                  }
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_e && !_e.done && (_a = _d.return))
                  _a.call(_d);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            var elementNode = namespace !== null ? doc.createElementNS(namespace, element.name) : doc.createElement(element.name);
            context.appendChild(elementNode);
            var localNameSet = new LocalNameSet_1.LocalNameSet;
            try {
              for (var _h = (e_2 = undefined, __values(element.attributes)), _j = _h.next();!_j.done; _j = _h.next()) {
                var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                var attNamespace = null;
                if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                  attNamespace = infra_1.namespace.XMLNS;
                } else {
                  attNamespace = elementNode.lookupNamespaceURI(attPrefix);
                  if (attNamespace !== null && elementNode.isDefaultNamespace(attNamespace)) {
                    attNamespace = null;
                  } else if (attNamespace === null && attPrefix !== null) {
                    attNamespace = nsDeclarations[attPrefix] || null;
                  }
                }
                if (localNameSet.has(attNamespace, attLocalName)) {
                  throw new Error("Element contains duplicate attributes.");
                }
                localNameSet.set(attNamespace, attLocalName);
                if (attNamespace === infra_1.namespace.XMLNS) {
                  if (attValue === infra_1.namespace.XMLNS) {
                    throw new Error("XMLNS namespace is reserved.");
                  }
                }
                if (attLocalName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attLocalName)) {
                  throw new Error("Attribute local name contains invalid characters.");
                }
                if (attPrefix === "xmlns" && attValue === "") {
                  throw new Error("Empty XML namespace is not allowed.");
                }
                if (attNamespace !== null)
                  elementNode.setAttributeNS(attNamespace, attName, this._decodeAttributeValue(attValue));
                else
                  elementNode.setAttribute(attName, this._decodeAttributeValue(attValue));
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_j && !_j.done && (_b = _h.return))
                  _b.call(_h);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            if (!element.selfClosing) {
              context = elementNode;
            }
            break;
          case interfaces_1.TokenType.ClosingTag:
            var closingTag = token;
            if (closingTag.name !== context.nodeName) {
              throw new Error("Closing tag name does not match opening tag name.");
            }
            if (context._parent) {
              context = context._parent;
            }
            break;
        }
        token = lexer.nextToken();
      }
      return doc;
    };
    XMLParserImpl2.prototype._decodeText = function(text) {
      return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
    };
    XMLParserImpl2.prototype._decodeAttributeValue = function(text) {
      return text == null ? text : text.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/&amp;/g, "&");
    };
    return XMLParserImpl2;
  }();
  exports.XMLParserImpl = XMLParserImpl;
});

// ../../node_modules/@oozcitak/dom/lib/parser/DOMParserImpl.js
var require_DOMParserImpl = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var algorithm_1 = require_algorithm();
  var XMLParserImpl_1 = require_XMLParserImpl();
  var DOMParserImpl = function() {
    function DOMParserImpl2() {
    }
    DOMParserImpl2.prototype.parseFromString = function(source, mimeType) {
      if (mimeType === "text/html")
        throw new Error("HTML parser not implemented.");
      try {
        var parser = new XMLParserImpl_1.XMLParserImpl;
        var doc = parser.parse(source);
        doc._contentType = mimeType;
        return doc;
      } catch (e) {
        var errorNS = "http://www.mozilla.org/newlayout/xml/parsererror.xml";
        var doc = algorithm_1.create_xmlDocument();
        var root = doc.createElementNS(errorNS, "parsererror");
        var ele = doc.createElementNS(errorNS, "error");
        ele.setAttribute("message", e.message);
        root.appendChild(ele);
        doc.appendChild(root);
        return doc;
      }
    };
    return DOMParserImpl2;
  }();
  exports.DOMParserImpl = DOMParserImpl;
});

// ../../node_modules/@oozcitak/dom/lib/parser/index.js
var require_parser = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var DOMParserImpl_1 = require_DOMParserImpl();
  exports.DOMParser = DOMParserImpl_1.DOMParserImpl;
});

// ../../node_modules/@oozcitak/dom/lib/serializer/XMLSerializerImpl.js
var require_XMLSerializerImpl = __commonJS((exports) => {
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces2();
  var LocalNameSet_1 = require_LocalNameSet();
  var NamespacePrefixMap_1 = require_NamespacePrefixMap();
  var DOMException_1 = require_DOMException();
  var infra_1 = require_lib2();
  var algorithm_1 = require_algorithm();
  var XMLSerializerImpl = function() {
    function XMLSerializerImpl2() {
    }
    XMLSerializerImpl2.prototype.serializeToString = function(root) {
      return this._xmlSerialization(root, false);
    };
    XMLSerializerImpl2.prototype._xmlSerialization = function(node, requireWellFormed) {
      if (node._nodeDocument === undefined || node._nodeDocument._hasNamespaces) {
        var namespace = null;
        var prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap;
        prefixMap.set("xml", infra_1.namespace.XML);
        var prefixIndex = { value: 1 };
        try {
          return this._serializeNodeNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
        } catch (_a) {
          throw new DOMException_1.InvalidStateError;
        }
      } else {
        try {
          return this._serializeNode(node, requireWellFormed);
        } catch (_b) {
          throw new DOMException_1.InvalidStateError;
        }
      }
    };
    XMLSerializerImpl2.prototype._serializeNodeNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
      switch (node.nodeType) {
        case interfaces_1.NodeType.Element:
          return this._serializeElementNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
        case interfaces_1.NodeType.Document:
          return this._serializeDocumentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
        case interfaces_1.NodeType.Comment:
          return this._serializeComment(node, requireWellFormed);
        case interfaces_1.NodeType.Text:
          return this._serializeText(node, requireWellFormed);
        case interfaces_1.NodeType.DocumentFragment:
          return this._serializeDocumentFragmentNS(node, namespace, prefixMap, prefixIndex, requireWellFormed);
        case interfaces_1.NodeType.DocumentType:
          return this._serializeDocumentType(node, requireWellFormed);
        case interfaces_1.NodeType.ProcessingInstruction:
          return this._serializeProcessingInstruction(node, requireWellFormed);
        case interfaces_1.NodeType.CData:
          return this._serializeCData(node, requireWellFormed);
        default:
          throw new Error("Unknown node type: " + node.nodeType);
      }
    };
    XMLSerializerImpl2.prototype._serializeNode = function(node, requireWellFormed) {
      switch (node.nodeType) {
        case interfaces_1.NodeType.Element:
          return this._serializeElement(node, requireWellFormed);
        case interfaces_1.NodeType.Document:
          return this._serializeDocument(node, requireWellFormed);
        case interfaces_1.NodeType.Comment:
          return this._serializeComment(node, requireWellFormed);
        case interfaces_1.NodeType.Text:
          return this._serializeText(node, requireWellFormed);
        case interfaces_1.NodeType.DocumentFragment:
          return this._serializeDocumentFragment(node, requireWellFormed);
        case interfaces_1.NodeType.DocumentType:
          return this._serializeDocumentType(node, requireWellFormed);
        case interfaces_1.NodeType.ProcessingInstruction:
          return this._serializeProcessingInstruction(node, requireWellFormed);
        case interfaces_1.NodeType.CData:
          return this._serializeCData(node, requireWellFormed);
        default:
          throw new Error("Unknown node type: " + node.nodeType);
      }
    };
    XMLSerializerImpl2.prototype._serializeElementNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
      var e_1, _a;
      if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
        throw new Error("Node local name contains invalid characters (well-formed required).");
      }
      var markup = "<";
      var qualifiedName = "";
      var skipEndTag = false;
      var ignoreNamespaceDefinitionAttribute = false;
      var map = prefixMap.copy();
      var localPrefixesMap = {};
      var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
      var inheritedNS = namespace;
      var ns = node.namespaceURI;
      if (inheritedNS === ns) {
        if (localDefaultNamespace !== null) {
          ignoreNamespaceDefinitionAttribute = true;
        }
        if (ns === infra_1.namespace.XML) {
          qualifiedName = "xml:" + node.localName;
        } else {
          qualifiedName = node.localName;
        }
        markup += qualifiedName;
      } else {
        var prefix = node.prefix;
        var candidatePrefix = null;
        if (prefix !== null || ns !== localDefaultNamespace) {
          candidatePrefix = map.get(prefix, ns);
        }
        if (prefix === "xmlns") {
          if (requireWellFormed) {
            throw new Error("An element cannot have the 'xmlns' prefix (well-formed required).");
          }
          candidatePrefix = prefix;
        }
        if (candidatePrefix !== null) {
          qualifiedName = candidatePrefix + ":" + node.localName;
          if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
            inheritedNS = localDefaultNamespace || null;
          }
          markup += qualifiedName;
        } else if (prefix !== null) {
          if (prefix in localPrefixesMap) {
            prefix = this._generatePrefix(ns, map, prefixIndex);
          }
          map.set(prefix, ns);
          qualifiedName += prefix + ":" + node.localName;
          markup += qualifiedName;
          markup += " xmlns:" + prefix + '="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
          if (localDefaultNamespace !== null) {
            inheritedNS = localDefaultNamespace || null;
          }
        } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
          ignoreNamespaceDefinitionAttribute = true;
          qualifiedName += node.localName;
          inheritedNS = ns;
          markup += qualifiedName;
          markup += " xmlns" + '="' + this._serializeAttributeValue(ns, requireWellFormed) + '"';
        } else {
          qualifiedName += node.localName;
          inheritedNS = ns;
          markup += qualifiedName;
        }
      }
      markup += this._serializeAttributesNS(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed);
      var isHTML = ns === infra_1.namespace.HTML;
      if (isHTML && node.childNodes.length === 0 && XMLSerializerImpl2._VoidElementNames.has(node.localName)) {
        markup += " /";
        skipEndTag = true;
      } else if (!isHTML && node.childNodes.length === 0) {
        markup += "/";
        skipEndTag = true;
      }
      markup += ">";
      if (skipEndTag)
        return markup;
      if (isHTML && node.localName === "template") {
      } else {
        try {
          for (var _b = __values(node._children || node.childNodes), _c = _b.next();!_c.done; _c = _b.next()) {
            var childNode = _c.value;
            markup += this._serializeNodeNS(childNode, inheritedNS, map, prefixIndex, requireWellFormed);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      }
      markup += "</" + qualifiedName + ">";
      return markup;
    };
    XMLSerializerImpl2.prototype._serializeDocumentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
      var e_2, _a;
      if (requireWellFormed && node.documentElement === null) {
        throw new Error("Missing document element (well-formed required).");
      }
      var serializedDocument = "";
      try {
        for (var _b = __values(node._children || node.childNodes), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          serializedDocument += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return serializedDocument;
    };
    XMLSerializerImpl2.prototype._serializeComment = function(node, requireWellFormed) {
      if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
        throw new Error("Comment data contains invalid characters (well-formed required).");
      }
      return "<!--" + node.data + "-->";
    };
    XMLSerializerImpl2.prototype._serializeText = function(node, requireWellFormed) {
      if (requireWellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
        throw new Error("Text data contains invalid characters (well-formed required).");
      }
      var result = "";
      for (var i = 0;i < node.data.length; i++) {
        var c = node.data[i];
        if (c === "&")
          result += "&amp;";
        else if (c === "<")
          result += "&lt;";
        else if (c === ">")
          result += "&gt;";
        else
          result += c;
      }
      return result;
    };
    XMLSerializerImpl2.prototype._serializeDocumentFragmentNS = function(node, namespace, prefixMap, prefixIndex, requireWellFormed) {
      var e_3, _a;
      var markup = "";
      try {
        for (var _b = __values(node._children || node.childNodes), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          markup += this._serializeNodeNS(childNode, namespace, prefixMap, prefixIndex, requireWellFormed);
        }
      } catch (e_3_1) {
        e_3 = { error: e_3_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_3)
            throw e_3.error;
        }
      }
      return markup;
    };
    XMLSerializerImpl2.prototype._serializeDocumentType = function(node, requireWellFormed) {
      if (requireWellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
        throw new Error("DocType public identifier does not match PubidChar construct (well-formed required).");
      }
      if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
        throw new Error("DocType system identifier contains invalid characters (well-formed required).");
      }
      return node.publicId && node.systemId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '" "' + node.systemId + '">' : node.publicId ? "<!DOCTYPE " + node.name + ' PUBLIC "' + node.publicId + '">' : node.systemId ? "<!DOCTYPE " + node.name + ' SYSTEM "' + node.systemId + '">' : "<!DOCTYPE " + node.name + ">";
    };
    XMLSerializerImpl2.prototype._serializeProcessingInstruction = function(node, requireWellFormed) {
      if (requireWellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
        throw new Error("Processing instruction target contains invalid characters (well-formed required).");
      }
      if (requireWellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("?>") !== -1)) {
        throw new Error("Processing instruction data contains invalid characters (well-formed required).");
      }
      return "<?" + (node.data === "" ? node.target : node.target + " " + node.data) + "?>";
    };
    XMLSerializerImpl2.prototype._serializeCData = function(node, requireWellFormed) {
      if (requireWellFormed && node.data.indexOf("]]>") !== -1) {
        throw new Error("CDATA contains invalid characters (well-formed required).");
      }
      return "<![CDATA[" + node.data + "]]>";
    };
    XMLSerializerImpl2.prototype._serializeAttributesNS = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
      var e_4, _a;
      var result = "";
      var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet : undefined;
      try {
        for (var _b = __values(node.attributes), _c = _b.next();!_c.done; _c = _b.next()) {
          var attr = _c.value;
          if (!ignoreNamespaceDefinitionAttribute && !requireWellFormed && attr.namespaceURI === null) {
            result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
            continue;
          }
          if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
            throw new Error("Element contains duplicate attributes (well-formed required).");
          }
          if (requireWellFormed && localNameSet)
            localNameSet.set(attr.namespaceURI, attr.localName);
          var attributeNamespace = attr.namespaceURI;
          var candidatePrefix = null;
          if (attributeNamespace !== null) {
            candidatePrefix = map.get(attr.prefix, attributeNamespace);
            if (attributeNamespace === infra_1.namespace.XMLNS) {
              if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                continue;
              if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                throw new Error("XMLNS namespace is reserved (well-formed required).");
              }
              if (requireWellFormed && attr.value === "") {
                throw new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required).");
              }
              if (attr.prefix === "xmlns")
                candidatePrefix = "xmlns";
            } else if (candidatePrefix === null) {
              if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                candidatePrefix = attr.prefix;
              } else {
                candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
              }
              result += " xmlns:" + candidatePrefix + '="' + this._serializeAttributeValue(attributeNamespace, requireWellFormed) + '"';
            }
          }
          result += " ";
          if (candidatePrefix !== null) {
            result += candidatePrefix + ":";
          }
          if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
            throw new Error("Attribute local name contains invalid characters (well-formed required).");
          }
          result += attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
        }
      } catch (e_4_1) {
        e_4 = { error: e_4_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_4)
            throw e_4.error;
        }
      }
      return result;
    };
    XMLSerializerImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
      var e_5, _a;
      var defaultNamespaceAttrValue = null;
      try {
        for (var _b = __values(node.attributes), _c = _b.next();!_c.done; _c = _b.next()) {
          var attr = _c.value;
          var attributeNamespace = attr.namespaceURI;
          var attributePrefix = attr.prefix;
          if (attributeNamespace === infra_1.namespace.XMLNS) {
            if (attributePrefix === null) {
              defaultNamespaceAttrValue = attr.value;
              continue;
            } else {
              var prefixDefinition = attr.localName;
              var namespaceDefinition = attr.value;
              if (namespaceDefinition === infra_1.namespace.XML) {
                continue;
              }
              if (namespaceDefinition === "") {
                namespaceDefinition = null;
              }
              if (map.has(prefixDefinition, namespaceDefinition)) {
                continue;
              }
              map.set(prefixDefinition, namespaceDefinition);
              localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
            }
          }
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
      return defaultNamespaceAttrValue;
    };
    XMLSerializerImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
      var generatedPrefix = "ns" + prefixIndex.value;
      prefixIndex.value++;
      prefixMap.set(generatedPrefix, newNamespace);
      return generatedPrefix;
    };
    XMLSerializerImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
      if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
        throw new Error("Invalid characters in attribute value.");
      }
      if (value === null)
        return "";
      var result = "";
      for (var i = 0;i < value.length; i++) {
        var c = value[i];
        if (c === '"')
          result += "&quot;";
        else if (c === "&")
          result += "&amp;";
        else if (c === "<")
          result += "&lt;";
        else if (c === ">")
          result += "&gt;";
        else
          result += c;
      }
      return result;
    };
    XMLSerializerImpl2.prototype._serializeElement = function(node, requireWellFormed) {
      var e_6, _a;
      if (requireWellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
        throw new Error("Node local name contains invalid characters (well-formed required).");
      }
      var skipEndTag = false;
      var qualifiedName = node.localName;
      var markup = "<" + qualifiedName;
      markup += this._serializeAttributes(node, requireWellFormed);
      if (node._children.size === 0) {
        markup += "/";
        skipEndTag = true;
      }
      markup += ">";
      if (skipEndTag)
        return markup;
      try {
        for (var _b = __values(node._children), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          markup += this._serializeNode(childNode, requireWellFormed);
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      markup += "</" + qualifiedName + ">";
      return markup;
    };
    XMLSerializerImpl2.prototype._serializeDocument = function(node, requireWellFormed) {
      var e_7, _a;
      if (requireWellFormed && node.documentElement === null) {
        throw new Error("Missing document element (well-formed required).");
      }
      var serializedDocument = "";
      try {
        for (var _b = __values(node._children), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          serializedDocument += this._serializeNode(childNode, requireWellFormed);
        }
      } catch (e_7_1) {
        e_7 = { error: e_7_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_7)
            throw e_7.error;
        }
      }
      return serializedDocument;
    };
    XMLSerializerImpl2.prototype._serializeDocumentFragment = function(node, requireWellFormed) {
      var e_8, _a;
      var markup = "";
      try {
        for (var _b = __values(node._children), _c = _b.next();!_c.done; _c = _b.next()) {
          var childNode = _c.value;
          markup += this._serializeNode(childNode, requireWellFormed);
        }
      } catch (e_8_1) {
        e_8 = { error: e_8_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_8)
            throw e_8.error;
        }
      }
      return markup;
    };
    XMLSerializerImpl2.prototype._serializeAttributes = function(node, requireWellFormed) {
      var e_9, _a;
      var result = "";
      var localNameSet = requireWellFormed ? {} : undefined;
      try {
        for (var _b = __values(node.attributes), _c = _b.next();!_c.done; _c = _b.next()) {
          var attr = _c.value;
          if (requireWellFormed && localNameSet && attr.localName in localNameSet) {
            throw new Error("Element contains duplicate attributes (well-formed required).");
          }
          if (requireWellFormed && localNameSet)
            localNameSet[attr.localName] = true;
          if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName))) {
            throw new Error("Attribute local name contains invalid characters (well-formed required).");
          }
          result += " " + attr.localName + '="' + this._serializeAttributeValue(attr.value, requireWellFormed) + '"';
        }
      } catch (e_9_1) {
        e_9 = { error: e_9_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_9)
            throw e_9.error;
        }
      }
      return result;
    };
    XMLSerializerImpl2._VoidElementNames = new Set([
      "area",
      "base",
      "basefont",
      "bgsound",
      "br",
      "col",
      "embed",
      "frame",
      "hr",
      "img",
      "input",
      "keygen",
      "link",
      "menuitem",
      "meta",
      "param",
      "source",
      "track",
      "wbr"
    ]);
    return XMLSerializerImpl2;
  }();
  exports.XMLSerializerImpl = XMLSerializerImpl;
});

// ../../node_modules/@oozcitak/dom/lib/serializer/index.js
var require_serializer = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var XMLSerializerImpl_1 = require_XMLSerializerImpl();
  exports.XMLSerializer = XMLSerializerImpl_1.XMLSerializerImpl;
});

// ../../node_modules/@oozcitak/dom/lib/index.js
var require_lib3 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var dom_1 = require_dom();
  dom_1.dom.setFeatures(true);
  var dom_2 = require_dom();
  exports.DOMImplementation = dom_2.DOMImplementation;
  var parser_1 = require_parser();
  exports.DOMParser = parser_1.DOMParser;
  var serializer_1 = require_serializer();
  exports.XMLSerializer = serializer_1.XMLSerializer;
});

// ../../node_modules/xmlbuilder2/lib/builder/dom.js
var require_dom2 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var dom_1 = require_lib3();
  var dom_2 = require_dom();
  var util_1 = require_lib();
  dom_2.dom.setFeatures(false);
  function createDocument() {
    var impl = new dom_1.DOMImplementation;
    var doc = impl.createDocument(null, "root", null);
    if (doc.documentElement) {
      doc.removeChild(doc.documentElement);
    }
    return doc;
  }
  exports.createDocument = createDocument;
  function sanitizeInput(str, replacement) {
    if (str == null) {
      return str;
    } else if (replacement === undefined) {
      return str + "";
    } else {
      var result = "";
      str = str + "";
      for (var i = 0;i < str.length; i++) {
        var n = str.charCodeAt(i);
        if (n === 9 || n === 10 || n === 13 || n >= 32 && n <= 55295 || n >= 57344 && n <= 65533) {
          result += str.charAt(i);
        } else if (n >= 55296 && n <= 56319 && i < str.length - 1) {
          var n2 = str.charCodeAt(i + 1);
          if (n2 >= 56320 && n2 <= 57343) {
            n = (n - 55296) * 1024 + n2 - 56320 + 65536;
            result += String.fromCodePoint(n);
            i++;
          } else {
            result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
          }
        } else {
          result += util_1.isString(replacement) ? replacement : replacement(str.charAt(i), i, str);
        }
      }
      return result;
    }
  }
  exports.sanitizeInput = sanitizeInput;
});

// ../../node_modules/xmlbuilder2/lib/readers/BaseReader.js
var require_BaseReader = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var dom_1 = require_dom2();
  var BaseReader = function() {
    function BaseReader2(builderOptions) {
      this._builderOptions = builderOptions;
      if (builderOptions.parser) {
        Object.assign(this, builderOptions.parser);
      }
    }
    BaseReader2.prototype._docType = function(parent, name, publicId, systemId) {
      return parent.dtd({ name, pubID: publicId, sysID: systemId });
    };
    BaseReader2.prototype._comment = function(parent, data) {
      return parent.com(data);
    };
    BaseReader2.prototype._text = function(parent, data) {
      return parent.txt(data);
    };
    BaseReader2.prototype._instruction = function(parent, target, data) {
      return parent.ins(target, data);
    };
    BaseReader2.prototype._cdata = function(parent, data) {
      return parent.dat(data);
    };
    BaseReader2.prototype._element = function(parent, namespace, name) {
      return namespace === undefined ? parent.ele(name) : parent.ele(namespace, name);
    };
    BaseReader2.prototype._attribute = function(parent, namespace, name, value) {
      return namespace === undefined ? parent.att(name, value) : parent.att(namespace, name, value);
    };
    BaseReader2.prototype._sanitize = function(str) {
      return dom_1.sanitizeInput(str, this._builderOptions.invalidCharReplacement);
    };
    BaseReader2.prototype._decodeText = function(text) {
      if (text == null)
        return text;
      return text.replace(/&(quot|amp|apos|lt|gt);/g, function(_match, tag) {
        return BaseReader2._entityTable[tag];
      }).replace(/&#(?:x([a-fA-F0-9]+)|([0-9]+));/g, function(_match, hexStr, numStr) {
        return String.fromCodePoint(parseInt(hexStr || numStr, hexStr ? 16 : 10));
      });
    };
    BaseReader2.prototype._decodeAttributeValue = function(text) {
      return this._decodeText(text);
    };
    BaseReader2.prototype.parse = function(node, obj) {
      return this._parse(node, obj);
    };
    BaseReader2.prototype.docType = function(parent, name, publicId, systemId) {
      return this._docType(parent, name, publicId, systemId);
    };
    BaseReader2.prototype.comment = function(parent, data) {
      return this._comment(parent, data);
    };
    BaseReader2.prototype.text = function(parent, data) {
      return this._text(parent, data);
    };
    BaseReader2.prototype.instruction = function(parent, target, data) {
      return this._instruction(parent, target, data);
    };
    BaseReader2.prototype.cdata = function(parent, data) {
      return this._cdata(parent, data);
    };
    BaseReader2.prototype.element = function(parent, namespace, name) {
      return this._element(parent, namespace, name);
    };
    BaseReader2.prototype.attribute = function(parent, namespace, name, value) {
      return this._attribute(parent, namespace, name, value);
    };
    BaseReader2.prototype.sanitize = function(str) {
      return this._sanitize(str);
    };
    BaseReader2._entityTable = {
      lt: "<",
      gt: ">",
      amp: "&",
      quot: '"',
      apos: "'"
    };
    return BaseReader2;
  }();
  exports.BaseReader = BaseReader;
});

// ../../node_modules/xmlbuilder2/lib/readers/XMLReader.js
var require_XMLReader = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var XMLStringLexer_1 = require_XMLStringLexer();
  var interfaces_1 = require_interfaces4();
  var interfaces_2 = require_interfaces2();
  var infra_1 = require_lib2();
  var algorithm_1 = require_algorithm();
  var BaseReader_1 = require_BaseReader();
  var XMLReader = function(_super) {
    __extends(XMLReader2, _super);
    function XMLReader2() {
      return _super !== null && _super.apply(this, arguments) || this;
    }
    XMLReader2.prototype._parse = function(node, str) {
      var e_1, _a, e_2, _b;
      var lexer = new XMLStringLexer_1.XMLStringLexer(str, { skipWhitespaceOnlyText: this._builderOptions.skipWhitespaceOnlyText });
      var lastChild = node;
      var context = node;
      var token = lexer.nextToken();
      while (token.type !== interfaces_1.TokenType.EOF) {
        switch (token.type) {
          case interfaces_1.TokenType.Declaration:
            var declaration = token;
            var version = this.sanitize(declaration.version);
            if (version !== "1.0") {
              throw new Error("Invalid xml version: " + version);
            }
            var builderOptions = {
              version
            };
            if (declaration.encoding) {
              builderOptions.encoding = this.sanitize(declaration.encoding);
            }
            if (declaration.standalone) {
              builderOptions.standalone = this.sanitize(declaration.standalone) === "yes";
            }
            context.set(builderOptions);
            break;
          case interfaces_1.TokenType.DocType:
            var doctype = token;
            context = this.docType(context, this.sanitize(doctype.name), this.sanitize(doctype.pubId), this.sanitize(doctype.sysId)) || context;
            break;
          case interfaces_1.TokenType.CDATA:
            var cdata = token;
            context = this.cdata(context, this.sanitize(cdata.data)) || context;
            break;
          case interfaces_1.TokenType.Comment:
            var comment = token;
            context = this.comment(context, this.sanitize(comment.data)) || context;
            break;
          case interfaces_1.TokenType.PI:
            var pi = token;
            context = this.instruction(context, this.sanitize(pi.target), this.sanitize(pi.data)) || context;
            break;
          case interfaces_1.TokenType.Text:
            if (context.node.nodeType === interfaces_2.NodeType.Document)
              break;
            var text = token;
            context = this.text(context, this._decodeText(this.sanitize(text.data))) || context;
            break;
          case interfaces_1.TokenType.Element:
            var element = token;
            var elementName = this.sanitize(element.name);
            var _c = __read(algorithm_1.namespace_extractQName(elementName), 1), prefix = _c[0];
            var namespace = context.node.lookupNamespaceURI(prefix);
            var nsDeclarations = {};
            try {
              for (var _d = (e_1 = undefined, __values(element.attributes)), _e = _d.next();!_e.done; _e = _d.next()) {
                var _f = __read(_e.value, 2), attName = _f[0], attValue = _f[1];
                attName = this.sanitize(attName);
                attValue = this.sanitize(attValue);
                if (attName === "xmlns") {
                  namespace = attValue;
                } else {
                  var _g = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _g[0], attLocalName = _g[1];
                  if (attPrefix === "xmlns") {
                    if (attLocalName === prefix) {
                      namespace = attValue;
                    }
                    nsDeclarations[attLocalName] = attValue;
                  }
                }
              }
            } catch (e_1_1) {
              e_1 = { error: e_1_1 };
            } finally {
              try {
                if (_e && !_e.done && (_a = _d.return))
                  _a.call(_d);
              } finally {
                if (e_1)
                  throw e_1.error;
              }
            }
            var elementNode = namespace !== null ? this.element(context, namespace, elementName) : this.element(context, undefined, elementName);
            if (elementNode === undefined)
              break;
            if (context.node === node.node)
              lastChild = elementNode;
            try {
              for (var _h = (e_2 = undefined, __values(element.attributes)), _j = _h.next();!_j.done; _j = _h.next()) {
                var _k = __read(_j.value, 2), attName = _k[0], attValue = _k[1];
                attName = this.sanitize(attName);
                attValue = this.sanitize(attValue);
                var _l = __read(algorithm_1.namespace_extractQName(attName), 2), attPrefix = _l[0], attLocalName = _l[1];
                var attNamespace = null;
                if (attPrefix === "xmlns" || attPrefix === null && attLocalName === "xmlns") {
                  attNamespace = infra_1.namespace.XMLNS;
                } else {
                  attNamespace = elementNode.node.lookupNamespaceURI(attPrefix);
                  if (attNamespace !== null && elementNode.node.isDefaultNamespace(attNamespace)) {
                    attNamespace = null;
                  } else if (attNamespace === null && attPrefix !== null) {
                    attNamespace = nsDeclarations[attPrefix] || null;
                  }
                }
                if (attNamespace !== null)
                  this.attribute(elementNode, attNamespace, attName, this._decodeAttributeValue(attValue));
                else
                  this.attribute(elementNode, undefined, attName, this._decodeAttributeValue(attValue));
              }
            } catch (e_2_1) {
              e_2 = { error: e_2_1 };
            } finally {
              try {
                if (_j && !_j.done && (_b = _h.return))
                  _b.call(_h);
              } finally {
                if (e_2)
                  throw e_2.error;
              }
            }
            if (!element.selfClosing) {
              context = elementNode;
            }
            break;
          case interfaces_1.TokenType.ClosingTag:
            if (context.node.parentNode) {
              context = context.up();
            }
            break;
        }
        token = lexer.nextToken();
      }
      return lastChild;
    };
    return XMLReader2;
  }(BaseReader_1.BaseReader);
  exports.XMLReader = XMLReader;
});

// ../../node_modules/xmlbuilder2/lib/readers/ObjectReader.js
var require_ObjectReader = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var util_1 = require_lib();
  var BaseReader_1 = require_BaseReader();
  var ObjectReader = function(_super) {
    __extends(ObjectReader2, _super);
    function ObjectReader2() {
      return _super !== null && _super.apply(this, arguments) || this;
    }
    ObjectReader2.prototype._parse = function(node, obj) {
      var _this = this;
      var options = this._builderOptions;
      var lastChild = null;
      if (util_1.isFunction(obj)) {
        lastChild = this.parse(node, obj.apply(this));
      } else if (util_1.isArray(obj) || util_1.isSet(obj)) {
        util_1.forEachArray(obj, function(item) {
          return lastChild = _this.parse(node, item);
        }, this);
      } else if (util_1.isMap(obj) || util_1.isObject(obj)) {
        util_1.forEachObject(obj, function(key, val) {
          if (util_1.isFunction(val)) {
            val = val.apply(_this);
          }
          if (!options.ignoreConverters && key.indexOf(options.convert.att) === 0) {
            if (key === options.convert.att) {
              if (util_1.isArray(val) || util_1.isSet(val)) {
                throw new Error("Invalid attribute: " + val.toString() + ". " + node._debugInfo());
              } else {
                util_1.forEachObject(val, function(attrKey, attrVal) {
                  lastChild = _this.attribute(node, undefined, _this.sanitize(attrKey), _this._decodeAttributeValue(_this.sanitize(attrVal))) || lastChild;
                });
              }
            } else {
              lastChild = _this.attribute(node, undefined, _this.sanitize(key.substr(options.convert.att.length)), _this._decodeAttributeValue(_this.sanitize(val))) || lastChild;
            }
          } else if (!options.ignoreConverters && key.indexOf(options.convert.text) === 0) {
            if (util_1.isMap(val) || util_1.isObject(val)) {
              lastChild = _this.parse(node, val);
            } else {
              lastChild = _this.text(node, _this._decodeText(_this.sanitize(val))) || lastChild;
            }
          } else if (!options.ignoreConverters && key.indexOf(options.convert.cdata) === 0) {
            if (util_1.isArray(val) || util_1.isSet(val)) {
              util_1.forEachArray(val, function(item) {
                return lastChild = _this.cdata(node, _this.sanitize(item)) || lastChild;
              }, _this);
            } else {
              lastChild = _this.cdata(node, _this.sanitize(val)) || lastChild;
            }
          } else if (!options.ignoreConverters && key.indexOf(options.convert.comment) === 0) {
            if (util_1.isArray(val) || util_1.isSet(val)) {
              util_1.forEachArray(val, function(item) {
                return lastChild = _this.comment(node, _this.sanitize(item)) || lastChild;
              }, _this);
            } else {
              lastChild = _this.comment(node, _this.sanitize(val)) || lastChild;
            }
          } else if (!options.ignoreConverters && key.indexOf(options.convert.ins) === 0) {
            if (util_1.isString(val)) {
              var insIndex = val.indexOf(" ");
              var insTarget = insIndex === -1 ? val : val.substr(0, insIndex);
              var insValue = insIndex === -1 ? "" : val.substr(insIndex + 1);
              lastChild = _this.instruction(node, _this.sanitize(insTarget), _this.sanitize(insValue)) || lastChild;
            } else if (util_1.isArray(val) || util_1.isSet(val)) {
              util_1.forEachArray(val, function(item) {
                var insIndex2 = item.indexOf(" ");
                var insTarget2 = insIndex2 === -1 ? item : item.substr(0, insIndex2);
                var insValue2 = insIndex2 === -1 ? "" : item.substr(insIndex2 + 1);
                lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
              }, _this);
            } else {
              util_1.forEachObject(val, function(insTarget2, insValue2) {
                return lastChild = _this.instruction(node, _this.sanitize(insTarget2), _this.sanitize(insValue2)) || lastChild;
              }, _this);
            }
          } else if ((util_1.isArray(val) || util_1.isSet(val)) && util_1.isEmpty(val)) {
          } else if ((util_1.isMap(val) || util_1.isObject(val)) && util_1.isEmpty(val)) {
            lastChild = _this.element(node, undefined, _this.sanitize(key)) || lastChild;
          } else if (!options.keepNullNodes && val == null) {
          } else if (util_1.isArray(val) || util_1.isSet(val)) {
            util_1.forEachArray(val, function(item) {
              var childNode = {};
              childNode[key] = item;
              lastChild = _this.parse(node, childNode);
            }, _this);
          } else if (util_1.isMap(val) || util_1.isObject(val)) {
            var parent = _this.element(node, undefined, _this.sanitize(key));
            if (parent) {
              lastChild = parent;
              _this.parse(parent, val);
            }
          } else if (val != null && val !== "") {
            var parent = _this.element(node, undefined, _this.sanitize(key));
            if (parent) {
              lastChild = parent;
              _this.text(parent, _this._decodeText(_this.sanitize(val)));
            }
          } else {
            lastChild = _this.element(node, undefined, _this.sanitize(key)) || lastChild;
          }
        }, this);
      } else if (!options.keepNullNodes && obj == null) {
      } else {
        lastChild = this.text(node, this._decodeText(this.sanitize(obj))) || lastChild;
      }
      return lastChild || node;
    };
    return ObjectReader2;
  }(BaseReader_1.BaseReader);
  exports.ObjectReader = ObjectReader;
});

// ../../node_modules/xmlbuilder2/lib/readers/JSONReader.js
var require_JSONReader = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var ObjectReader_1 = require_ObjectReader();
  var BaseReader_1 = require_BaseReader();
  var JSONReader = function(_super) {
    __extends(JSONReader2, _super);
    function JSONReader2() {
      return _super !== null && _super.apply(this, arguments) || this;
    }
    JSONReader2.prototype._parse = function(node, str) {
      return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, JSON.parse(str));
    };
    return JSONReader2;
  }(BaseReader_1.BaseReader);
  exports.JSONReader = JSONReader;
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/common.js
var require_common2 = __commonJS((exports, module) => {
  function isNothing(subject) {
    return typeof subject === "undefined" || subject === null;
  }
  function isObject(subject) {
    return typeof subject === "object" && subject !== null;
  }
  function toArray(sequence) {
    if (Array.isArray(sequence))
      return sequence;
    else if (isNothing(sequence))
      return [];
    return [sequence];
  }
  function extend(target, source) {
    var index, length, key, sourceKeys;
    if (source) {
      sourceKeys = Object.keys(source);
      for (index = 0, length = sourceKeys.length;index < length; index += 1) {
        key = sourceKeys[index];
        target[key] = source[key];
      }
    }
    return target;
  }
  function repeat(string, count) {
    var result = "", cycle;
    for (cycle = 0;cycle < count; cycle += 1) {
      result += string;
    }
    return result;
  }
  function isNegativeZero(number) {
    return number === 0 && Number.NEGATIVE_INFINITY === 1 / number;
  }
  exports.isNothing = isNothing;
  exports.isObject = isObject;
  exports.toArray = toArray;
  exports.repeat = repeat;
  exports.isNegativeZero = isNegativeZero;
  exports.extend = extend;
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/exception.js
var require_exception = __commonJS((exports, module) => {
  function YAMLException(reason, mark) {
    Error.call(this);
    this.name = "YAMLException";
    this.reason = reason;
    this.mark = mark;
    this.message = (this.reason || "(unknown reason)") + (this.mark ? " " + this.mark.toString() : "");
    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, this.constructor);
    } else {
      this.stack = new Error().stack || "";
    }
  }
  YAMLException.prototype = Object.create(Error.prototype);
  YAMLException.prototype.constructor = YAMLException;
  YAMLException.prototype.toString = function toString(compact) {
    var result = this.name + ": ";
    result += this.reason || "(unknown reason)";
    if (!compact && this.mark) {
      result += " " + this.mark.toString();
    }
    return result;
  };
  module.exports = YAMLException;
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/mark.js
var require_mark = __commonJS((exports, module) => {
  var common = require_common2();
  function Mark(name, buffer, position, line, column) {
    this.name = name;
    this.buffer = buffer;
    this.position = position;
    this.line = line;
    this.column = column;
  }
  Mark.prototype.getSnippet = function getSnippet(indent, maxLength) {
    var head, start, tail, end, snippet;
    if (!this.buffer)
      return null;
    indent = indent || 4;
    maxLength = maxLength || 75;
    head = "";
    start = this.position;
    while (start > 0 && `\x00\r
\x85\u2028\u2029`.indexOf(this.buffer.charAt(start - 1)) === -1) {
      start -= 1;
      if (this.position - start > maxLength / 2 - 1) {
        head = " ... ";
        start += 5;
        break;
      }
    }
    tail = "";
    end = this.position;
    while (end < this.buffer.length && `\x00\r
\x85\u2028\u2029`.indexOf(this.buffer.charAt(end)) === -1) {
      end += 1;
      if (end - this.position > maxLength / 2 - 1) {
        tail = " ... ";
        end -= 5;
        break;
      }
    }
    snippet = this.buffer.slice(start, end);
    return common.repeat(" ", indent) + head + snippet + tail + `
` + common.repeat(" ", indent + this.position - start + head.length) + "^";
  };
  Mark.prototype.toString = function toString(compact) {
    var snippet, where = "";
    if (this.name) {
      where += 'in "' + this.name + '" ';
    }
    where += "at line " + (this.line + 1) + ", column " + (this.column + 1);
    if (!compact) {
      snippet = this.getSnippet();
      if (snippet) {
        where += `:
` + snippet;
      }
    }
    return where;
  };
  module.exports = Mark;
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type.js
var require_type = __commonJS((exports, module) => {
  var YAMLException = require_exception();
  var TYPE_CONSTRUCTOR_OPTIONS = [
    "kind",
    "resolve",
    "construct",
    "instanceOf",
    "predicate",
    "represent",
    "defaultStyle",
    "styleAliases"
  ];
  var YAML_NODE_KINDS = [
    "scalar",
    "sequence",
    "mapping"
  ];
  function compileStyleAliases(map) {
    var result = {};
    if (map !== null) {
      Object.keys(map).forEach(function(style) {
        map[style].forEach(function(alias) {
          result[String(alias)] = style;
        });
      });
    }
    return result;
  }
  function Type(tag, options) {
    options = options || {};
    Object.keys(options).forEach(function(name) {
      if (TYPE_CONSTRUCTOR_OPTIONS.indexOf(name) === -1) {
        throw new YAMLException('Unknown option "' + name + '" is met in definition of "' + tag + '" YAML type.');
      }
    });
    this.tag = tag;
    this.kind = options["kind"] || null;
    this.resolve = options["resolve"] || function() {
      return true;
    };
    this.construct = options["construct"] || function(data) {
      return data;
    };
    this.instanceOf = options["instanceOf"] || null;
    this.predicate = options["predicate"] || null;
    this.represent = options["represent"] || null;
    this.defaultStyle = options["defaultStyle"] || null;
    this.styleAliases = compileStyleAliases(options["styleAliases"] || null);
    if (YAML_NODE_KINDS.indexOf(this.kind) === -1) {
      throw new YAMLException('Unknown kind "' + this.kind + '" is specified for "' + tag + '" YAML type.');
    }
  }
  module.exports = Type;
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema.js
var require_schema = __commonJS((exports, module) => {
  var common = require_common2();
  var YAMLException = require_exception();
  var Type = require_type();
  function compileList(schema, name, result) {
    var exclude = [];
    schema.include.forEach(function(includedSchema) {
      result = compileList(includedSchema, name, result);
    });
    schema[name].forEach(function(currentType) {
      result.forEach(function(previousType, previousIndex) {
        if (previousType.tag === currentType.tag && previousType.kind === currentType.kind) {
          exclude.push(previousIndex);
        }
      });
      result.push(currentType);
    });
    return result.filter(function(type, index) {
      return exclude.indexOf(index) === -1;
    });
  }
  function compileMap() {
    var result = {
      scalar: {},
      sequence: {},
      mapping: {},
      fallback: {}
    }, index, length;
    function collectType(type) {
      result[type.kind][type.tag] = result["fallback"][type.tag] = type;
    }
    for (index = 0, length = arguments.length;index < length; index += 1) {
      arguments[index].forEach(collectType);
    }
    return result;
  }
  function Schema(definition) {
    this.include = definition.include || [];
    this.implicit = definition.implicit || [];
    this.explicit = definition.explicit || [];
    this.implicit.forEach(function(type) {
      if (type.loadKind && type.loadKind !== "scalar") {
        throw new YAMLException("There is a non-scalar type in the implicit list of a schema. Implicit resolving of such types is not supported.");
      }
    });
    this.compiledImplicit = compileList(this, "implicit", []);
    this.compiledExplicit = compileList(this, "explicit", []);
    this.compiledTypeMap = compileMap(this.compiledImplicit, this.compiledExplicit);
  }
  Schema.DEFAULT = null;
  Schema.create = function createSchema() {
    var schemas, types;
    switch (arguments.length) {
      case 1:
        schemas = Schema.DEFAULT;
        types = arguments[0];
        break;
      case 2:
        schemas = arguments[0];
        types = arguments[1];
        break;
      default:
        throw new YAMLException("Wrong number of arguments for Schema.create function");
    }
    schemas = common.toArray(schemas);
    types = common.toArray(types);
    if (!schemas.every(function(schema) {
      return schema instanceof Schema;
    })) {
      throw new YAMLException("Specified list of super schemas (or a single Schema object) contains a non-Schema object.");
    }
    if (!types.every(function(type) {
      return type instanceof Type;
    })) {
      throw new YAMLException("Specified list of YAML types (or a single Type object) contains a non-Type object.");
    }
    return new Schema({
      include: schemas,
      explicit: types
    });
  };
  module.exports = Schema;
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/str.js
var require_str = __commonJS((exports, module) => {
  var Type = require_type();
  module.exports = new Type("tag:yaml.org,2002:str", {
    kind: "scalar",
    construct: function(data) {
      return data !== null ? data : "";
    }
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/seq.js
var require_seq = __commonJS((exports, module) => {
  var Type = require_type();
  module.exports = new Type("tag:yaml.org,2002:seq", {
    kind: "sequence",
    construct: function(data) {
      return data !== null ? data : [];
    }
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/map.js
var require_map = __commonJS((exports, module) => {
  var Type = require_type();
  module.exports = new Type("tag:yaml.org,2002:map", {
    kind: "mapping",
    construct: function(data) {
      return data !== null ? data : {};
    }
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/failsafe.js
var require_failsafe = __commonJS((exports, module) => {
  var Schema = require_schema();
  module.exports = new Schema({
    explicit: [
      require_str(),
      require_seq(),
      require_map()
    ]
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/null.js
var require_null = __commonJS((exports, module) => {
  var Type = require_type();
  function resolveYamlNull(data) {
    if (data === null)
      return true;
    var max = data.length;
    return max === 1 && data === "~" || max === 4 && (data === "null" || data === "Null" || data === "NULL");
  }
  function constructYamlNull() {
    return null;
  }
  function isNull(object) {
    return object === null;
  }
  module.exports = new Type("tag:yaml.org,2002:null", {
    kind: "scalar",
    resolve: resolveYamlNull,
    construct: constructYamlNull,
    predicate: isNull,
    represent: {
      canonical: function() {
        return "~";
      },
      lowercase: function() {
        return "null";
      },
      uppercase: function() {
        return "NULL";
      },
      camelcase: function() {
        return "Null";
      }
    },
    defaultStyle: "lowercase"
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/bool.js
var require_bool = __commonJS((exports, module) => {
  var Type = require_type();
  function resolveYamlBoolean(data) {
    if (data === null)
      return false;
    var max = data.length;
    return max === 4 && (data === "true" || data === "True" || data === "TRUE") || max === 5 && (data === "false" || data === "False" || data === "FALSE");
  }
  function constructYamlBoolean(data) {
    return data === "true" || data === "True" || data === "TRUE";
  }
  function isBoolean(object) {
    return Object.prototype.toString.call(object) === "[object Boolean]";
  }
  module.exports = new Type("tag:yaml.org,2002:bool", {
    kind: "scalar",
    resolve: resolveYamlBoolean,
    construct: constructYamlBoolean,
    predicate: isBoolean,
    represent: {
      lowercase: function(object) {
        return object ? "true" : "false";
      },
      uppercase: function(object) {
        return object ? "TRUE" : "FALSE";
      },
      camelcase: function(object) {
        return object ? "True" : "False";
      }
    },
    defaultStyle: "lowercase"
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/int.js
var require_int = __commonJS((exports, module) => {
  var common = require_common2();
  var Type = require_type();
  function isHexCode(c) {
    return 48 <= c && c <= 57 || 65 <= c && c <= 70 || 97 <= c && c <= 102;
  }
  function isOctCode(c) {
    return 48 <= c && c <= 55;
  }
  function isDecCode(c) {
    return 48 <= c && c <= 57;
  }
  function resolveYamlInteger(data) {
    if (data === null)
      return false;
    var max = data.length, index = 0, hasDigits = false, ch;
    if (!max)
      return false;
    ch = data[index];
    if (ch === "-" || ch === "+") {
      ch = data[++index];
    }
    if (ch === "0") {
      if (index + 1 === max)
        return true;
      ch = data[++index];
      if (ch === "b") {
        index++;
        for (;index < max; index++) {
          ch = data[index];
          if (ch === "_")
            continue;
          if (ch !== "0" && ch !== "1")
            return false;
          hasDigits = true;
        }
        return hasDigits && ch !== "_";
      }
      if (ch === "x") {
        index++;
        for (;index < max; index++) {
          ch = data[index];
          if (ch === "_")
            continue;
          if (!isHexCode(data.charCodeAt(index)))
            return false;
          hasDigits = true;
        }
        return hasDigits && ch !== "_";
      }
      for (;index < max; index++) {
        ch = data[index];
        if (ch === "_")
          continue;
        if (!isOctCode(data.charCodeAt(index)))
          return false;
        hasDigits = true;
      }
      return hasDigits && ch !== "_";
    }
    if (ch === "_")
      return false;
    for (;index < max; index++) {
      ch = data[index];
      if (ch === "_")
        continue;
      if (ch === ":")
        break;
      if (!isDecCode(data.charCodeAt(index))) {
        return false;
      }
      hasDigits = true;
    }
    if (!hasDigits || ch === "_")
      return false;
    if (ch !== ":")
      return true;
    return /^(:[0-5]?[0-9])+$/.test(data.slice(index));
  }
  function constructYamlInteger(data) {
    var value = data, sign = 1, ch, base, digits = [];
    if (value.indexOf("_") !== -1) {
      value = value.replace(/_/g, "");
    }
    ch = value[0];
    if (ch === "-" || ch === "+") {
      if (ch === "-")
        sign = -1;
      value = value.slice(1);
      ch = value[0];
    }
    if (value === "0")
      return 0;
    if (ch === "0") {
      if (value[1] === "b")
        return sign * parseInt(value.slice(2), 2);
      if (value[1] === "x")
        return sign * parseInt(value, 16);
      return sign * parseInt(value, 8);
    }
    if (value.indexOf(":") !== -1) {
      value.split(":").forEach(function(v) {
        digits.unshift(parseInt(v, 10));
      });
      value = 0;
      base = 1;
      digits.forEach(function(d) {
        value += d * base;
        base *= 60;
      });
      return sign * value;
    }
    return sign * parseInt(value, 10);
  }
  function isInteger(object) {
    return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 === 0 && !common.isNegativeZero(object));
  }
  module.exports = new Type("tag:yaml.org,2002:int", {
    kind: "scalar",
    resolve: resolveYamlInteger,
    construct: constructYamlInteger,
    predicate: isInteger,
    represent: {
      binary: function(obj) {
        return obj >= 0 ? "0b" + obj.toString(2) : "-0b" + obj.toString(2).slice(1);
      },
      octal: function(obj) {
        return obj >= 0 ? "0" + obj.toString(8) : "-0" + obj.toString(8).slice(1);
      },
      decimal: function(obj) {
        return obj.toString(10);
      },
      hexadecimal: function(obj) {
        return obj >= 0 ? "0x" + obj.toString(16).toUpperCase() : "-0x" + obj.toString(16).toUpperCase().slice(1);
      }
    },
    defaultStyle: "decimal",
    styleAliases: {
      binary: [2, "bin"],
      octal: [8, "oct"],
      decimal: [10, "dec"],
      hexadecimal: [16, "hex"]
    }
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/float.js
var require_float = __commonJS((exports, module) => {
  var common = require_common2();
  var Type = require_type();
  var YAML_FLOAT_PATTERN = new RegExp("^(?:[-+]?(?:0|[1-9][0-9_]*)(?:\\.[0-9_]*)?(?:[eE][-+]?[0-9]+)?" + "|\\.[0-9_]+(?:[eE][-+]?[0-9]+)?" + "|[-+]?[0-9][0-9_]*(?::[0-5]?[0-9])+\\.[0-9_]*" + "|[-+]?\\.(?:inf|Inf|INF)" + "|\\.(?:nan|NaN|NAN))$");
  function resolveYamlFloat(data) {
    if (data === null)
      return false;
    if (!YAML_FLOAT_PATTERN.test(data) || data[data.length - 1] === "_") {
      return false;
    }
    return true;
  }
  function constructYamlFloat(data) {
    var value, sign, base, digits;
    value = data.replace(/_/g, "").toLowerCase();
    sign = value[0] === "-" ? -1 : 1;
    digits = [];
    if ("+-".indexOf(value[0]) >= 0) {
      value = value.slice(1);
    }
    if (value === ".inf") {
      return sign === 1 ? Number.POSITIVE_INFINITY : Number.NEGATIVE_INFINITY;
    } else if (value === ".nan") {
      return NaN;
    } else if (value.indexOf(":") >= 0) {
      value.split(":").forEach(function(v) {
        digits.unshift(parseFloat(v, 10));
      });
      value = 0;
      base = 1;
      digits.forEach(function(d) {
        value += d * base;
        base *= 60;
      });
      return sign * value;
    }
    return sign * parseFloat(value, 10);
  }
  var SCIENTIFIC_WITHOUT_DOT = /^[-+]?[0-9]+e/;
  function representYamlFloat(object, style) {
    var res;
    if (isNaN(object)) {
      switch (style) {
        case "lowercase":
          return ".nan";
        case "uppercase":
          return ".NAN";
        case "camelcase":
          return ".NaN";
      }
    } else if (Number.POSITIVE_INFINITY === object) {
      switch (style) {
        case "lowercase":
          return ".inf";
        case "uppercase":
          return ".INF";
        case "camelcase":
          return ".Inf";
      }
    } else if (Number.NEGATIVE_INFINITY === object) {
      switch (style) {
        case "lowercase":
          return "-.inf";
        case "uppercase":
          return "-.INF";
        case "camelcase":
          return "-.Inf";
      }
    } else if (common.isNegativeZero(object)) {
      return "-0.0";
    }
    res = object.toString(10);
    return SCIENTIFIC_WITHOUT_DOT.test(res) ? res.replace("e", ".e") : res;
  }
  function isFloat(object) {
    return Object.prototype.toString.call(object) === "[object Number]" && (object % 1 !== 0 || common.isNegativeZero(object));
  }
  module.exports = new Type("tag:yaml.org,2002:float", {
    kind: "scalar",
    resolve: resolveYamlFloat,
    construct: constructYamlFloat,
    predicate: isFloat,
    represent: representYamlFloat,
    defaultStyle: "lowercase"
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/json.js
var require_json2 = __commonJS((exports, module) => {
  var Schema = require_schema();
  module.exports = new Schema({
    include: [
      require_failsafe()
    ],
    implicit: [
      require_null(),
      require_bool(),
      require_int(),
      require_float()
    ]
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/core.js
var require_core = __commonJS((exports, module) => {
  var Schema = require_schema();
  module.exports = new Schema({
    include: [
      require_json2()
    ]
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/timestamp.js
var require_timestamp2 = __commonJS((exports, module) => {
  var Type = require_type();
  var YAML_DATE_REGEXP = new RegExp("^([0-9][0-9][0-9][0-9])" + "-([0-9][0-9])" + "-([0-9][0-9])$");
  var YAML_TIMESTAMP_REGEXP = new RegExp("^([0-9][0-9][0-9][0-9])" + "-([0-9][0-9]?)" + "-([0-9][0-9]?)" + "(?:[Tt]|[ \\t]+)" + "([0-9][0-9]?)" + ":([0-9][0-9])" + ":([0-9][0-9])" + "(?:\\.([0-9]*))?" + "(?:[ \\t]*(Z|([-+])([0-9][0-9]?)" + "(?::([0-9][0-9]))?))?$");
  function resolveYamlTimestamp(data) {
    if (data === null)
      return false;
    if (YAML_DATE_REGEXP.exec(data) !== null)
      return true;
    if (YAML_TIMESTAMP_REGEXP.exec(data) !== null)
      return true;
    return false;
  }
  function constructYamlTimestamp(data) {
    var match, year, month, day, hour, minute, second, fraction = 0, delta = null, tz_hour, tz_minute, date;
    match = YAML_DATE_REGEXP.exec(data);
    if (match === null)
      match = YAML_TIMESTAMP_REGEXP.exec(data);
    if (match === null)
      throw new Error("Date resolve error");
    year = +match[1];
    month = +match[2] - 1;
    day = +match[3];
    if (!match[4]) {
      return new Date(Date.UTC(year, month, day));
    }
    hour = +match[4];
    minute = +match[5];
    second = +match[6];
    if (match[7]) {
      fraction = match[7].slice(0, 3);
      while (fraction.length < 3) {
        fraction += "0";
      }
      fraction = +fraction;
    }
    if (match[9]) {
      tz_hour = +match[10];
      tz_minute = +(match[11] || 0);
      delta = (tz_hour * 60 + tz_minute) * 60000;
      if (match[9] === "-")
        delta = -delta;
    }
    date = new Date(Date.UTC(year, month, day, hour, minute, second, fraction));
    if (delta)
      date.setTime(date.getTime() - delta);
    return date;
  }
  function representYamlTimestamp(object) {
    return object.toISOString();
  }
  module.exports = new Type("tag:yaml.org,2002:timestamp", {
    kind: "scalar",
    resolve: resolveYamlTimestamp,
    construct: constructYamlTimestamp,
    instanceOf: Date,
    represent: representYamlTimestamp
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/merge.js
var require_merge = __commonJS((exports, module) => {
  var Type = require_type();
  function resolveYamlMerge(data) {
    return data === "<<" || data === null;
  }
  module.exports = new Type("tag:yaml.org,2002:merge", {
    kind: "scalar",
    resolve: resolveYamlMerge
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/binary.js
var require_binary = __commonJS((exports, module) => {
  var NodeBuffer;
  try {
    _require = __require;
    NodeBuffer = _require("buffer").Buffer;
  } catch (__) {
  }
  var _require;
  var Type = require_type();
  var BASE64_MAP = `ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=
\r`;
  function resolveYamlBinary(data) {
    if (data === null)
      return false;
    var code, idx, bitlen = 0, max = data.length, map = BASE64_MAP;
    for (idx = 0;idx < max; idx++) {
      code = map.indexOf(data.charAt(idx));
      if (code > 64)
        continue;
      if (code < 0)
        return false;
      bitlen += 6;
    }
    return bitlen % 8 === 0;
  }
  function constructYamlBinary(data) {
    var idx, tailbits, input = data.replace(/[\r\n=]/g, ""), max = input.length, map = BASE64_MAP, bits = 0, result = [];
    for (idx = 0;idx < max; idx++) {
      if (idx % 4 === 0 && idx) {
        result.push(bits >> 16 & 255);
        result.push(bits >> 8 & 255);
        result.push(bits & 255);
      }
      bits = bits << 6 | map.indexOf(input.charAt(idx));
    }
    tailbits = max % 4 * 6;
    if (tailbits === 0) {
      result.push(bits >> 16 & 255);
      result.push(bits >> 8 & 255);
      result.push(bits & 255);
    } else if (tailbits === 18) {
      result.push(bits >> 10 & 255);
      result.push(bits >> 2 & 255);
    } else if (tailbits === 12) {
      result.push(bits >> 4 & 255);
    }
    if (NodeBuffer) {
      return NodeBuffer.from ? NodeBuffer.from(result) : new NodeBuffer(result);
    }
    return result;
  }
  function representYamlBinary(object) {
    var result = "", bits = 0, idx, tail, max = object.length, map = BASE64_MAP;
    for (idx = 0;idx < max; idx++) {
      if (idx % 3 === 0 && idx) {
        result += map[bits >> 18 & 63];
        result += map[bits >> 12 & 63];
        result += map[bits >> 6 & 63];
        result += map[bits & 63];
      }
      bits = (bits << 8) + object[idx];
    }
    tail = max % 3;
    if (tail === 0) {
      result += map[bits >> 18 & 63];
      result += map[bits >> 12 & 63];
      result += map[bits >> 6 & 63];
      result += map[bits & 63];
    } else if (tail === 2) {
      result += map[bits >> 10 & 63];
      result += map[bits >> 4 & 63];
      result += map[bits << 2 & 63];
      result += map[64];
    } else if (tail === 1) {
      result += map[bits >> 2 & 63];
      result += map[bits << 4 & 63];
      result += map[64];
      result += map[64];
    }
    return result;
  }
  function isBinary(object) {
    return NodeBuffer && NodeBuffer.isBuffer(object);
  }
  module.exports = new Type("tag:yaml.org,2002:binary", {
    kind: "scalar",
    resolve: resolveYamlBinary,
    construct: constructYamlBinary,
    predicate: isBinary,
    represent: representYamlBinary
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/omap.js
var require_omap = __commonJS((exports, module) => {
  var Type = require_type();
  var _hasOwnProperty = Object.prototype.hasOwnProperty;
  var _toString = Object.prototype.toString;
  function resolveYamlOmap(data) {
    if (data === null)
      return true;
    var objectKeys = [], index, length, pair, pairKey, pairHasKey, object = data;
    for (index = 0, length = object.length;index < length; index += 1) {
      pair = object[index];
      pairHasKey = false;
      if (_toString.call(pair) !== "[object Object]")
        return false;
      for (pairKey in pair) {
        if (_hasOwnProperty.call(pair, pairKey)) {
          if (!pairHasKey)
            pairHasKey = true;
          else
            return false;
        }
      }
      if (!pairHasKey)
        return false;
      if (objectKeys.indexOf(pairKey) === -1)
        objectKeys.push(pairKey);
      else
        return false;
    }
    return true;
  }
  function constructYamlOmap(data) {
    return data !== null ? data : [];
  }
  module.exports = new Type("tag:yaml.org,2002:omap", {
    kind: "sequence",
    resolve: resolveYamlOmap,
    construct: constructYamlOmap
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/pairs.js
var require_pairs = __commonJS((exports, module) => {
  var Type = require_type();
  var _toString = Object.prototype.toString;
  function resolveYamlPairs(data) {
    if (data === null)
      return true;
    var index, length, pair, keys, result, object = data;
    result = new Array(object.length);
    for (index = 0, length = object.length;index < length; index += 1) {
      pair = object[index];
      if (_toString.call(pair) !== "[object Object]")
        return false;
      keys = Object.keys(pair);
      if (keys.length !== 1)
        return false;
      result[index] = [keys[0], pair[keys[0]]];
    }
    return true;
  }
  function constructYamlPairs(data) {
    if (data === null)
      return [];
    var index, length, pair, keys, result, object = data;
    result = new Array(object.length);
    for (index = 0, length = object.length;index < length; index += 1) {
      pair = object[index];
      keys = Object.keys(pair);
      result[index] = [keys[0], pair[keys[0]]];
    }
    return result;
  }
  module.exports = new Type("tag:yaml.org,2002:pairs", {
    kind: "sequence",
    resolve: resolveYamlPairs,
    construct: constructYamlPairs
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/set.js
var require_set = __commonJS((exports, module) => {
  var Type = require_type();
  var _hasOwnProperty = Object.prototype.hasOwnProperty;
  function resolveYamlSet(data) {
    if (data === null)
      return true;
    var key, object = data;
    for (key in object) {
      if (_hasOwnProperty.call(object, key)) {
        if (object[key] !== null)
          return false;
      }
    }
    return true;
  }
  function constructYamlSet(data) {
    return data !== null ? data : {};
  }
  module.exports = new Type("tag:yaml.org,2002:set", {
    kind: "mapping",
    resolve: resolveYamlSet,
    construct: constructYamlSet
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_safe.js
var require_default_safe = __commonJS((exports, module) => {
  var Schema = require_schema();
  module.exports = new Schema({
    include: [
      require_core()
    ],
    implicit: [
      require_timestamp2(),
      require_merge()
    ],
    explicit: [
      require_binary(),
      require_omap(),
      require_pairs(),
      require_set()
    ]
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/undefined.js
var require_undefined = __commonJS((exports, module) => {
  var Type = require_type();
  function resolveJavascriptUndefined() {
    return true;
  }
  function constructJavascriptUndefined() {
    return;
  }
  function representJavascriptUndefined() {
    return "";
  }
  function isUndefined(object) {
    return typeof object === "undefined";
  }
  module.exports = new Type("tag:yaml.org,2002:js/undefined", {
    kind: "scalar",
    resolve: resolveJavascriptUndefined,
    construct: constructJavascriptUndefined,
    predicate: isUndefined,
    represent: representJavascriptUndefined
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/regexp.js
var require_regexp = __commonJS((exports, module) => {
  var Type = require_type();
  function resolveJavascriptRegExp(data) {
    if (data === null)
      return false;
    if (data.length === 0)
      return false;
    var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
    if (regexp[0] === "/") {
      if (tail)
        modifiers = tail[1];
      if (modifiers.length > 3)
        return false;
      if (regexp[regexp.length - modifiers.length - 1] !== "/")
        return false;
    }
    return true;
  }
  function constructJavascriptRegExp(data) {
    var regexp = data, tail = /\/([gim]*)$/.exec(data), modifiers = "";
    if (regexp[0] === "/") {
      if (tail)
        modifiers = tail[1];
      regexp = regexp.slice(1, regexp.length - modifiers.length - 1);
    }
    return new RegExp(regexp, modifiers);
  }
  function representJavascriptRegExp(object) {
    var result = "/" + object.source + "/";
    if (object.global)
      result += "g";
    if (object.multiline)
      result += "m";
    if (object.ignoreCase)
      result += "i";
    return result;
  }
  function isRegExp(object) {
    return Object.prototype.toString.call(object) === "[object RegExp]";
  }
  module.exports = new Type("tag:yaml.org,2002:js/regexp", {
    kind: "scalar",
    resolve: resolveJavascriptRegExp,
    construct: constructJavascriptRegExp,
    predicate: isRegExp,
    represent: representJavascriptRegExp
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/type/js/function.js
var require_function = __commonJS((exports, module) => {
  var esprima;
  try {
    _require = __require;
    esprima = _require("esprima");
  } catch (_) {
    if (typeof window !== "undefined")
      esprima = window.esprima;
  }
  var _require;
  var Type = require_type();
  function resolveJavascriptFunction(data) {
    if (data === null)
      return false;
    try {
      var source = "(" + data + ")", ast = esprima.parse(source, { range: true });
      if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
        return false;
      }
      return true;
    } catch (err) {
      return false;
    }
  }
  function constructJavascriptFunction(data) {
    var source = "(" + data + ")", ast = esprima.parse(source, { range: true }), params = [], body;
    if (ast.type !== "Program" || ast.body.length !== 1 || ast.body[0].type !== "ExpressionStatement" || ast.body[0].expression.type !== "ArrowFunctionExpression" && ast.body[0].expression.type !== "FunctionExpression") {
      throw new Error("Failed to resolve function");
    }
    ast.body[0].expression.params.forEach(function(param) {
      params.push(param.name);
    });
    body = ast.body[0].expression.body.range;
    if (ast.body[0].expression.body.type === "BlockStatement") {
      return new Function(params, source.slice(body[0] + 1, body[1] - 1));
    }
    return new Function(params, "return " + source.slice(body[0], body[1]));
  }
  function representJavascriptFunction(object) {
    return object.toString();
  }
  function isFunction(object) {
    return Object.prototype.toString.call(object) === "[object Function]";
  }
  module.exports = new Type("tag:yaml.org,2002:js/function", {
    kind: "scalar",
    resolve: resolveJavascriptFunction,
    construct: constructJavascriptFunction,
    predicate: isFunction,
    represent: representJavascriptFunction
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/schema/default_full.js
var require_default_full = __commonJS((exports, module) => {
  var Schema = require_schema();
  module.exports = Schema.DEFAULT = new Schema({
    include: [
      require_default_safe()
    ],
    explicit: [
      require_undefined(),
      require_regexp(),
      require_function()
    ]
  });
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/loader.js
var require_loader = __commonJS((exports, module) => {
  var common = require_common2();
  var YAMLException = require_exception();
  var Mark = require_mark();
  var DEFAULT_SAFE_SCHEMA = require_default_safe();
  var DEFAULT_FULL_SCHEMA = require_default_full();
  var _hasOwnProperty = Object.prototype.hasOwnProperty;
  var CONTEXT_FLOW_IN = 1;
  var CONTEXT_FLOW_OUT = 2;
  var CONTEXT_BLOCK_IN = 3;
  var CONTEXT_BLOCK_OUT = 4;
  var CHOMPING_CLIP = 1;
  var CHOMPING_STRIP = 2;
  var CHOMPING_KEEP = 3;
  var PATTERN_NON_PRINTABLE = /[\x00-\x08\x0B\x0C\x0E-\x1F\x7F-\x84\x86-\x9F\uFFFE\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]/;
  var PATTERN_NON_ASCII_LINE_BREAKS = /[\x85\u2028\u2029]/;
  var PATTERN_FLOW_INDICATORS = /[,\[\]\{\}]/;
  var PATTERN_TAG_HANDLE = /^(?:!|!!|![a-z\-]+!)$/i;
  var PATTERN_TAG_URI = /^(?:!|[^,\[\]\{\}])(?:%[0-9a-f]{2}|[0-9a-z\-#;\/\?:@&=\+\$,_\.!~\*'\(\)\[\]])*$/i;
  function _class(obj) {
    return Object.prototype.toString.call(obj);
  }
  function is_EOL(c) {
    return c === 10 || c === 13;
  }
  function is_WHITE_SPACE(c) {
    return c === 9 || c === 32;
  }
  function is_WS_OR_EOL(c) {
    return c === 9 || c === 32 || c === 10 || c === 13;
  }
  function is_FLOW_INDICATOR(c) {
    return c === 44 || c === 91 || c === 93 || c === 123 || c === 125;
  }
  function fromHexCode(c) {
    var lc;
    if (48 <= c && c <= 57) {
      return c - 48;
    }
    lc = c | 32;
    if (97 <= lc && lc <= 102) {
      return lc - 97 + 10;
    }
    return -1;
  }
  function escapedHexLen(c) {
    if (c === 120) {
      return 2;
    }
    if (c === 117) {
      return 4;
    }
    if (c === 85) {
      return 8;
    }
    return 0;
  }
  function fromDecimalCode(c) {
    if (48 <= c && c <= 57) {
      return c - 48;
    }
    return -1;
  }
  function simpleEscapeSequence(c) {
    return c === 48 ? "\x00" : c === 97 ? "\x07" : c === 98 ? "\b" : c === 116 ? "\t" : c === 9 ? "\t" : c === 110 ? `
` : c === 118 ? "\v" : c === 102 ? "\f" : c === 114 ? "\r" : c === 101 ? "\x1B" : c === 32 ? " " : c === 34 ? '"' : c === 47 ? "/" : c === 92 ? "\\" : c === 78 ? "\x85" : c === 95 ? "\xA0" : c === 76 ? "\u2028" : c === 80 ? "\u2029" : "";
  }
  function charFromCodepoint(c) {
    if (c <= 65535) {
      return String.fromCharCode(c);
    }
    return String.fromCharCode((c - 65536 >> 10) + 55296, (c - 65536 & 1023) + 56320);
  }
  var simpleEscapeCheck = new Array(256);
  var simpleEscapeMap = new Array(256);
  for (i = 0;i < 256; i++) {
    simpleEscapeCheck[i] = simpleEscapeSequence(i) ? 1 : 0;
    simpleEscapeMap[i] = simpleEscapeSequence(i);
  }
  var i;
  function State(input, options) {
    this.input = input;
    this.filename = options["filename"] || null;
    this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
    this.onWarning = options["onWarning"] || null;
    this.legacy = options["legacy"] || false;
    this.json = options["json"] || false;
    this.listener = options["listener"] || null;
    this.implicitTypes = this.schema.compiledImplicit;
    this.typeMap = this.schema.compiledTypeMap;
    this.length = input.length;
    this.position = 0;
    this.line = 0;
    this.lineStart = 0;
    this.lineIndent = 0;
    this.documents = [];
  }
  function generateError(state, message) {
    return new YAMLException(message, new Mark(state.filename, state.input, state.position, state.line, state.position - state.lineStart));
  }
  function throwError(state, message) {
    throw generateError(state, message);
  }
  function throwWarning(state, message) {
    if (state.onWarning) {
      state.onWarning.call(null, generateError(state, message));
    }
  }
  var directiveHandlers = {
    YAML: function handleYamlDirective(state, name, args) {
      var match, major, minor;
      if (state.version !== null) {
        throwError(state, "duplication of %YAML directive");
      }
      if (args.length !== 1) {
        throwError(state, "YAML directive accepts exactly one argument");
      }
      match = /^([0-9]+)\.([0-9]+)$/.exec(args[0]);
      if (match === null) {
        throwError(state, "ill-formed argument of the YAML directive");
      }
      major = parseInt(match[1], 10);
      minor = parseInt(match[2], 10);
      if (major !== 1) {
        throwError(state, "unacceptable YAML version of the document");
      }
      state.version = args[0];
      state.checkLineBreaks = minor < 2;
      if (minor !== 1 && minor !== 2) {
        throwWarning(state, "unsupported YAML version of the document");
      }
    },
    TAG: function handleTagDirective(state, name, args) {
      var handle, prefix;
      if (args.length !== 2) {
        throwError(state, "TAG directive accepts exactly two arguments");
      }
      handle = args[0];
      prefix = args[1];
      if (!PATTERN_TAG_HANDLE.test(handle)) {
        throwError(state, "ill-formed tag handle (first argument) of the TAG directive");
      }
      if (_hasOwnProperty.call(state.tagMap, handle)) {
        throwError(state, 'there is a previously declared suffix for "' + handle + '" tag handle');
      }
      if (!PATTERN_TAG_URI.test(prefix)) {
        throwError(state, "ill-formed tag prefix (second argument) of the TAG directive");
      }
      state.tagMap[handle] = prefix;
    }
  };
  function captureSegment(state, start, end, checkJson) {
    var _position, _length, _character, _result;
    if (start < end) {
      _result = state.input.slice(start, end);
      if (checkJson) {
        for (_position = 0, _length = _result.length;_position < _length; _position += 1) {
          _character = _result.charCodeAt(_position);
          if (!(_character === 9 || 32 <= _character && _character <= 1114111)) {
            throwError(state, "expected valid JSON character");
          }
        }
      } else if (PATTERN_NON_PRINTABLE.test(_result)) {
        throwError(state, "the stream contains non-printable characters");
      }
      state.result += _result;
    }
  }
  function mergeMappings(state, destination, source, overridableKeys) {
    var sourceKeys, key, index, quantity;
    if (!common.isObject(source)) {
      throwError(state, "cannot merge mappings; the provided source object is unacceptable");
    }
    sourceKeys = Object.keys(source);
    for (index = 0, quantity = sourceKeys.length;index < quantity; index += 1) {
      key = sourceKeys[index];
      if (!_hasOwnProperty.call(destination, key)) {
        destination[key] = source[key];
        overridableKeys[key] = true;
      }
    }
  }
  function storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, startLine, startPos) {
    var index, quantity;
    if (Array.isArray(keyNode)) {
      keyNode = Array.prototype.slice.call(keyNode);
      for (index = 0, quantity = keyNode.length;index < quantity; index += 1) {
        if (Array.isArray(keyNode[index])) {
          throwError(state, "nested arrays are not supported inside keys");
        }
        if (typeof keyNode === "object" && _class(keyNode[index]) === "[object Object]") {
          keyNode[index] = "[object Object]";
        }
      }
    }
    if (typeof keyNode === "object" && _class(keyNode) === "[object Object]") {
      keyNode = "[object Object]";
    }
    keyNode = String(keyNode);
    if (_result === null) {
      _result = {};
    }
    if (keyTag === "tag:yaml.org,2002:merge") {
      if (Array.isArray(valueNode)) {
        for (index = 0, quantity = valueNode.length;index < quantity; index += 1) {
          mergeMappings(state, _result, valueNode[index], overridableKeys);
        }
      } else {
        mergeMappings(state, _result, valueNode, overridableKeys);
      }
    } else {
      if (!state.json && !_hasOwnProperty.call(overridableKeys, keyNode) && _hasOwnProperty.call(_result, keyNode)) {
        state.line = startLine || state.line;
        state.position = startPos || state.position;
        throwError(state, "duplicated mapping key");
      }
      _result[keyNode] = valueNode;
      delete overridableKeys[keyNode];
    }
    return _result;
  }
  function readLineBreak(state) {
    var ch;
    ch = state.input.charCodeAt(state.position);
    if (ch === 10) {
      state.position++;
    } else if (ch === 13) {
      state.position++;
      if (state.input.charCodeAt(state.position) === 10) {
        state.position++;
      }
    } else {
      throwError(state, "a line break is expected");
    }
    state.line += 1;
    state.lineStart = state.position;
  }
  function skipSeparationSpace(state, allowComments, checkIndent) {
    var lineBreaks = 0, ch = state.input.charCodeAt(state.position);
    while (ch !== 0) {
      while (is_WHITE_SPACE(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      if (allowComments && ch === 35) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (ch !== 10 && ch !== 13 && ch !== 0);
      }
      if (is_EOL(ch)) {
        readLineBreak(state);
        ch = state.input.charCodeAt(state.position);
        lineBreaks++;
        state.lineIndent = 0;
        while (ch === 32) {
          state.lineIndent++;
          ch = state.input.charCodeAt(++state.position);
        }
      } else {
        break;
      }
    }
    if (checkIndent !== -1 && lineBreaks !== 0 && state.lineIndent < checkIndent) {
      throwWarning(state, "deficient indentation");
    }
    return lineBreaks;
  }
  function testDocumentSeparator(state) {
    var _position = state.position, ch;
    ch = state.input.charCodeAt(_position);
    if ((ch === 45 || ch === 46) && ch === state.input.charCodeAt(_position + 1) && ch === state.input.charCodeAt(_position + 2)) {
      _position += 3;
      ch = state.input.charCodeAt(_position);
      if (ch === 0 || is_WS_OR_EOL(ch)) {
        return true;
      }
    }
    return false;
  }
  function writeFoldedLines(state, count) {
    if (count === 1) {
      state.result += " ";
    } else if (count > 1) {
      state.result += common.repeat(`
`, count - 1);
    }
  }
  function readPlainScalar(state, nodeIndent, withinFlowCollection) {
    var preceding, following, captureStart, captureEnd, hasPendingContent, _line, _lineStart, _lineIndent, _kind = state.kind, _result = state.result, ch;
    ch = state.input.charCodeAt(state.position);
    if (is_WS_OR_EOL(ch) || is_FLOW_INDICATOR(ch) || ch === 35 || ch === 38 || ch === 42 || ch === 33 || ch === 124 || ch === 62 || ch === 39 || ch === 34 || ch === 37 || ch === 64 || ch === 96) {
      return false;
    }
    if (ch === 63 || ch === 45) {
      following = state.input.charCodeAt(state.position + 1);
      if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
        return false;
      }
    }
    state.kind = "scalar";
    state.result = "";
    captureStart = captureEnd = state.position;
    hasPendingContent = false;
    while (ch !== 0) {
      if (ch === 58) {
        following = state.input.charCodeAt(state.position + 1);
        if (is_WS_OR_EOL(following) || withinFlowCollection && is_FLOW_INDICATOR(following)) {
          break;
        }
      } else if (ch === 35) {
        preceding = state.input.charCodeAt(state.position - 1);
        if (is_WS_OR_EOL(preceding)) {
          break;
        }
      } else if (state.position === state.lineStart && testDocumentSeparator(state) || withinFlowCollection && is_FLOW_INDICATOR(ch)) {
        break;
      } else if (is_EOL(ch)) {
        _line = state.line;
        _lineStart = state.lineStart;
        _lineIndent = state.lineIndent;
        skipSeparationSpace(state, false, -1);
        if (state.lineIndent >= nodeIndent) {
          hasPendingContent = true;
          ch = state.input.charCodeAt(state.position);
          continue;
        } else {
          state.position = captureEnd;
          state.line = _line;
          state.lineStart = _lineStart;
          state.lineIndent = _lineIndent;
          break;
        }
      }
      if (hasPendingContent) {
        captureSegment(state, captureStart, captureEnd, false);
        writeFoldedLines(state, state.line - _line);
        captureStart = captureEnd = state.position;
        hasPendingContent = false;
      }
      if (!is_WHITE_SPACE(ch)) {
        captureEnd = state.position + 1;
      }
      ch = state.input.charCodeAt(++state.position);
    }
    captureSegment(state, captureStart, captureEnd, false);
    if (state.result) {
      return true;
    }
    state.kind = _kind;
    state.result = _result;
    return false;
  }
  function readSingleQuotedScalar(state, nodeIndent) {
    var ch, captureStart, captureEnd;
    ch = state.input.charCodeAt(state.position);
    if (ch !== 39) {
      return false;
    }
    state.kind = "scalar";
    state.result = "";
    state.position++;
    captureStart = captureEnd = state.position;
    while ((ch = state.input.charCodeAt(state.position)) !== 0) {
      if (ch === 39) {
        captureSegment(state, captureStart, state.position, true);
        ch = state.input.charCodeAt(++state.position);
        if (ch === 39) {
          captureStart = state.position;
          state.position++;
          captureEnd = state.position;
        } else {
          return true;
        }
      } else if (is_EOL(ch)) {
        captureSegment(state, captureStart, captureEnd, true);
        writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
        captureStart = captureEnd = state.position;
      } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
        throwError(state, "unexpected end of the document within a single quoted scalar");
      } else {
        state.position++;
        captureEnd = state.position;
      }
    }
    throwError(state, "unexpected end of the stream within a single quoted scalar");
  }
  function readDoubleQuotedScalar(state, nodeIndent) {
    var captureStart, captureEnd, hexLength, hexResult, tmp, ch;
    ch = state.input.charCodeAt(state.position);
    if (ch !== 34) {
      return false;
    }
    state.kind = "scalar";
    state.result = "";
    state.position++;
    captureStart = captureEnd = state.position;
    while ((ch = state.input.charCodeAt(state.position)) !== 0) {
      if (ch === 34) {
        captureSegment(state, captureStart, state.position, true);
        state.position++;
        return true;
      } else if (ch === 92) {
        captureSegment(state, captureStart, state.position, true);
        ch = state.input.charCodeAt(++state.position);
        if (is_EOL(ch)) {
          skipSeparationSpace(state, false, nodeIndent);
        } else if (ch < 256 && simpleEscapeCheck[ch]) {
          state.result += simpleEscapeMap[ch];
          state.position++;
        } else if ((tmp = escapedHexLen(ch)) > 0) {
          hexLength = tmp;
          hexResult = 0;
          for (;hexLength > 0; hexLength--) {
            ch = state.input.charCodeAt(++state.position);
            if ((tmp = fromHexCode(ch)) >= 0) {
              hexResult = (hexResult << 4) + tmp;
            } else {
              throwError(state, "expected hexadecimal character");
            }
          }
          state.result += charFromCodepoint(hexResult);
          state.position++;
        } else {
          throwError(state, "unknown escape sequence");
        }
        captureStart = captureEnd = state.position;
      } else if (is_EOL(ch)) {
        captureSegment(state, captureStart, captureEnd, true);
        writeFoldedLines(state, skipSeparationSpace(state, false, nodeIndent));
        captureStart = captureEnd = state.position;
      } else if (state.position === state.lineStart && testDocumentSeparator(state)) {
        throwError(state, "unexpected end of the document within a double quoted scalar");
      } else {
        state.position++;
        captureEnd = state.position;
      }
    }
    throwError(state, "unexpected end of the stream within a double quoted scalar");
  }
  function readFlowCollection(state, nodeIndent) {
    var readNext = true, _line, _tag = state.tag, _result, _anchor = state.anchor, following, terminator, isPair, isExplicitPair, isMapping, overridableKeys = {}, keyNode, keyTag, valueNode, ch;
    ch = state.input.charCodeAt(state.position);
    if (ch === 91) {
      terminator = 93;
      isMapping = false;
      _result = [];
    } else if (ch === 123) {
      terminator = 125;
      isMapping = true;
      _result = {};
    } else {
      return false;
    }
    if (state.anchor !== null) {
      state.anchorMap[state.anchor] = _result;
    }
    ch = state.input.charCodeAt(++state.position);
    while (ch !== 0) {
      skipSeparationSpace(state, true, nodeIndent);
      ch = state.input.charCodeAt(state.position);
      if (ch === terminator) {
        state.position++;
        state.tag = _tag;
        state.anchor = _anchor;
        state.kind = isMapping ? "mapping" : "sequence";
        state.result = _result;
        return true;
      } else if (!readNext) {
        throwError(state, "missed comma between flow collection entries");
      }
      keyTag = keyNode = valueNode = null;
      isPair = isExplicitPair = false;
      if (ch === 63) {
        following = state.input.charCodeAt(state.position + 1);
        if (is_WS_OR_EOL(following)) {
          isPair = isExplicitPair = true;
          state.position++;
          skipSeparationSpace(state, true, nodeIndent);
        }
      }
      _line = state.line;
      composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
      keyTag = state.tag;
      keyNode = state.result;
      skipSeparationSpace(state, true, nodeIndent);
      ch = state.input.charCodeAt(state.position);
      if ((isExplicitPair || state.line === _line) && ch === 58) {
        isPair = true;
        ch = state.input.charCodeAt(++state.position);
        skipSeparationSpace(state, true, nodeIndent);
        composeNode(state, nodeIndent, CONTEXT_FLOW_IN, false, true);
        valueNode = state.result;
      }
      if (isMapping) {
        storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode);
      } else if (isPair) {
        _result.push(storeMappingPair(state, null, overridableKeys, keyTag, keyNode, valueNode));
      } else {
        _result.push(keyNode);
      }
      skipSeparationSpace(state, true, nodeIndent);
      ch = state.input.charCodeAt(state.position);
      if (ch === 44) {
        readNext = true;
        ch = state.input.charCodeAt(++state.position);
      } else {
        readNext = false;
      }
    }
    throwError(state, "unexpected end of the stream within a flow collection");
  }
  function readBlockScalar(state, nodeIndent) {
    var captureStart, folding, chomping = CHOMPING_CLIP, didReadContent = false, detectedIndent = false, textIndent = nodeIndent, emptyLines = 0, atMoreIndented = false, tmp, ch;
    ch = state.input.charCodeAt(state.position);
    if (ch === 124) {
      folding = false;
    } else if (ch === 62) {
      folding = true;
    } else {
      return false;
    }
    state.kind = "scalar";
    state.result = "";
    while (ch !== 0) {
      ch = state.input.charCodeAt(++state.position);
      if (ch === 43 || ch === 45) {
        if (CHOMPING_CLIP === chomping) {
          chomping = ch === 43 ? CHOMPING_KEEP : CHOMPING_STRIP;
        } else {
          throwError(state, "repeat of a chomping mode identifier");
        }
      } else if ((tmp = fromDecimalCode(ch)) >= 0) {
        if (tmp === 0) {
          throwError(state, "bad explicit indentation width of a block scalar; it cannot be less than one");
        } else if (!detectedIndent) {
          textIndent = nodeIndent + tmp - 1;
          detectedIndent = true;
        } else {
          throwError(state, "repeat of an indentation width identifier");
        }
      } else {
        break;
      }
    }
    if (is_WHITE_SPACE(ch)) {
      do {
        ch = state.input.charCodeAt(++state.position);
      } while (is_WHITE_SPACE(ch));
      if (ch === 35) {
        do {
          ch = state.input.charCodeAt(++state.position);
        } while (!is_EOL(ch) && ch !== 0);
      }
    }
    while (ch !== 0) {
      readLineBreak(state);
      state.lineIndent = 0;
      ch = state.input.charCodeAt(state.position);
      while ((!detectedIndent || state.lineIndent < textIndent) && ch === 32) {
        state.lineIndent++;
        ch = state.input.charCodeAt(++state.position);
      }
      if (!detectedIndent && state.lineIndent > textIndent) {
        textIndent = state.lineIndent;
      }
      if (is_EOL(ch)) {
        emptyLines++;
        continue;
      }
      if (state.lineIndent < textIndent) {
        if (chomping === CHOMPING_KEEP) {
          state.result += common.repeat(`
`, didReadContent ? 1 + emptyLines : emptyLines);
        } else if (chomping === CHOMPING_CLIP) {
          if (didReadContent) {
            state.result += `
`;
          }
        }
        break;
      }
      if (folding) {
        if (is_WHITE_SPACE(ch)) {
          atMoreIndented = true;
          state.result += common.repeat(`
`, didReadContent ? 1 + emptyLines : emptyLines);
        } else if (atMoreIndented) {
          atMoreIndented = false;
          state.result += common.repeat(`
`, emptyLines + 1);
        } else if (emptyLines === 0) {
          if (didReadContent) {
            state.result += " ";
          }
        } else {
          state.result += common.repeat(`
`, emptyLines);
        }
      } else {
        state.result += common.repeat(`
`, didReadContent ? 1 + emptyLines : emptyLines);
      }
      didReadContent = true;
      detectedIndent = true;
      emptyLines = 0;
      captureStart = state.position;
      while (!is_EOL(ch) && ch !== 0) {
        ch = state.input.charCodeAt(++state.position);
      }
      captureSegment(state, captureStart, state.position, false);
    }
    return true;
  }
  function readBlockSequence(state, nodeIndent) {
    var _line, _tag = state.tag, _anchor = state.anchor, _result = [], following, detected = false, ch;
    if (state.anchor !== null) {
      state.anchorMap[state.anchor] = _result;
    }
    ch = state.input.charCodeAt(state.position);
    while (ch !== 0) {
      if (ch !== 45) {
        break;
      }
      following = state.input.charCodeAt(state.position + 1);
      if (!is_WS_OR_EOL(following)) {
        break;
      }
      detected = true;
      state.position++;
      if (skipSeparationSpace(state, true, -1)) {
        if (state.lineIndent <= nodeIndent) {
          _result.push(null);
          ch = state.input.charCodeAt(state.position);
          continue;
        }
      }
      _line = state.line;
      composeNode(state, nodeIndent, CONTEXT_BLOCK_IN, false, true);
      _result.push(state.result);
      skipSeparationSpace(state, true, -1);
      ch = state.input.charCodeAt(state.position);
      if ((state.line === _line || state.lineIndent > nodeIndent) && ch !== 0) {
        throwError(state, "bad indentation of a sequence entry");
      } else if (state.lineIndent < nodeIndent) {
        break;
      }
    }
    if (detected) {
      state.tag = _tag;
      state.anchor = _anchor;
      state.kind = "sequence";
      state.result = _result;
      return true;
    }
    return false;
  }
  function readBlockMapping(state, nodeIndent, flowIndent) {
    var following, allowCompact, _line, _pos, _tag = state.tag, _anchor = state.anchor, _result = {}, overridableKeys = {}, keyTag = null, keyNode = null, valueNode = null, atExplicitKey = false, detected = false, ch;
    if (state.anchor !== null) {
      state.anchorMap[state.anchor] = _result;
    }
    ch = state.input.charCodeAt(state.position);
    while (ch !== 0) {
      following = state.input.charCodeAt(state.position + 1);
      _line = state.line;
      _pos = state.position;
      if ((ch === 63 || ch === 58) && is_WS_OR_EOL(following)) {
        if (ch === 63) {
          if (atExplicitKey) {
            storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
            keyTag = keyNode = valueNode = null;
          }
          detected = true;
          atExplicitKey = true;
          allowCompact = true;
        } else if (atExplicitKey) {
          atExplicitKey = false;
          allowCompact = true;
        } else {
          throwError(state, "incomplete explicit mapping pair; a key node is missed; or followed by a non-tabulated empty line");
        }
        state.position += 1;
        ch = following;
      } else if (composeNode(state, flowIndent, CONTEXT_FLOW_OUT, false, true)) {
        if (state.line === _line) {
          ch = state.input.charCodeAt(state.position);
          while (is_WHITE_SPACE(ch)) {
            ch = state.input.charCodeAt(++state.position);
          }
          if (ch === 58) {
            ch = state.input.charCodeAt(++state.position);
            if (!is_WS_OR_EOL(ch)) {
              throwError(state, "a whitespace character is expected after the key-value separator within a block mapping");
            }
            if (atExplicitKey) {
              storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
              keyTag = keyNode = valueNode = null;
            }
            detected = true;
            atExplicitKey = false;
            allowCompact = false;
            keyTag = state.tag;
            keyNode = state.result;
          } else if (detected) {
            throwError(state, "can not read an implicit mapping pair; a colon is missed");
          } else {
            state.tag = _tag;
            state.anchor = _anchor;
            return true;
          }
        } else if (detected) {
          throwError(state, "can not read a block mapping entry; a multiline key may not be an implicit key");
        } else {
          state.tag = _tag;
          state.anchor = _anchor;
          return true;
        }
      } else {
        break;
      }
      if (state.line === _line || state.lineIndent > nodeIndent) {
        if (composeNode(state, nodeIndent, CONTEXT_BLOCK_OUT, true, allowCompact)) {
          if (atExplicitKey) {
            keyNode = state.result;
          } else {
            valueNode = state.result;
          }
        }
        if (!atExplicitKey) {
          storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, valueNode, _line, _pos);
          keyTag = keyNode = valueNode = null;
        }
        skipSeparationSpace(state, true, -1);
        ch = state.input.charCodeAt(state.position);
      }
      if (state.lineIndent > nodeIndent && ch !== 0) {
        throwError(state, "bad indentation of a mapping entry");
      } else if (state.lineIndent < nodeIndent) {
        break;
      }
    }
    if (atExplicitKey) {
      storeMappingPair(state, _result, overridableKeys, keyTag, keyNode, null);
    }
    if (detected) {
      state.tag = _tag;
      state.anchor = _anchor;
      state.kind = "mapping";
      state.result = _result;
    }
    return detected;
  }
  function readTagProperty(state) {
    var _position, isVerbatim = false, isNamed = false, tagHandle, tagName, ch;
    ch = state.input.charCodeAt(state.position);
    if (ch !== 33)
      return false;
    if (state.tag !== null) {
      throwError(state, "duplication of a tag property");
    }
    ch = state.input.charCodeAt(++state.position);
    if (ch === 60) {
      isVerbatim = true;
      ch = state.input.charCodeAt(++state.position);
    } else if (ch === 33) {
      isNamed = true;
      tagHandle = "!!";
      ch = state.input.charCodeAt(++state.position);
    } else {
      tagHandle = "!";
    }
    _position = state.position;
    if (isVerbatim) {
      do {
        ch = state.input.charCodeAt(++state.position);
      } while (ch !== 0 && ch !== 62);
      if (state.position < state.length) {
        tagName = state.input.slice(_position, state.position);
        ch = state.input.charCodeAt(++state.position);
      } else {
        throwError(state, "unexpected end of the stream within a verbatim tag");
      }
    } else {
      while (ch !== 0 && !is_WS_OR_EOL(ch)) {
        if (ch === 33) {
          if (!isNamed) {
            tagHandle = state.input.slice(_position - 1, state.position + 1);
            if (!PATTERN_TAG_HANDLE.test(tagHandle)) {
              throwError(state, "named tag handle cannot contain such characters");
            }
            isNamed = true;
            _position = state.position + 1;
          } else {
            throwError(state, "tag suffix cannot contain exclamation marks");
          }
        }
        ch = state.input.charCodeAt(++state.position);
      }
      tagName = state.input.slice(_position, state.position);
      if (PATTERN_FLOW_INDICATORS.test(tagName)) {
        throwError(state, "tag suffix cannot contain flow indicator characters");
      }
    }
    if (tagName && !PATTERN_TAG_URI.test(tagName)) {
      throwError(state, "tag name cannot contain such characters: " + tagName);
    }
    if (isVerbatim) {
      state.tag = tagName;
    } else if (_hasOwnProperty.call(state.tagMap, tagHandle)) {
      state.tag = state.tagMap[tagHandle] + tagName;
    } else if (tagHandle === "!") {
      state.tag = "!" + tagName;
    } else if (tagHandle === "!!") {
      state.tag = "tag:yaml.org,2002:" + tagName;
    } else {
      throwError(state, 'undeclared tag handle "' + tagHandle + '"');
    }
    return true;
  }
  function readAnchorProperty(state) {
    var _position, ch;
    ch = state.input.charCodeAt(state.position);
    if (ch !== 38)
      return false;
    if (state.anchor !== null) {
      throwError(state, "duplication of an anchor property");
    }
    ch = state.input.charCodeAt(++state.position);
    _position = state.position;
    while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
      ch = state.input.charCodeAt(++state.position);
    }
    if (state.position === _position) {
      throwError(state, "name of an anchor node must contain at least one character");
    }
    state.anchor = state.input.slice(_position, state.position);
    return true;
  }
  function readAlias(state) {
    var _position, alias, ch;
    ch = state.input.charCodeAt(state.position);
    if (ch !== 42)
      return false;
    ch = state.input.charCodeAt(++state.position);
    _position = state.position;
    while (ch !== 0 && !is_WS_OR_EOL(ch) && !is_FLOW_INDICATOR(ch)) {
      ch = state.input.charCodeAt(++state.position);
    }
    if (state.position === _position) {
      throwError(state, "name of an alias node must contain at least one character");
    }
    alias = state.input.slice(_position, state.position);
    if (!_hasOwnProperty.call(state.anchorMap, alias)) {
      throwError(state, 'unidentified alias "' + alias + '"');
    }
    state.result = state.anchorMap[alias];
    skipSeparationSpace(state, true, -1);
    return true;
  }
  function composeNode(state, parentIndent, nodeContext, allowToSeek, allowCompact) {
    var allowBlockStyles, allowBlockScalars, allowBlockCollections, indentStatus = 1, atNewLine = false, hasContent = false, typeIndex, typeQuantity, type, flowIndent, blockIndent;
    if (state.listener !== null) {
      state.listener("open", state);
    }
    state.tag = null;
    state.anchor = null;
    state.kind = null;
    state.result = null;
    allowBlockStyles = allowBlockScalars = allowBlockCollections = CONTEXT_BLOCK_OUT === nodeContext || CONTEXT_BLOCK_IN === nodeContext;
    if (allowToSeek) {
      if (skipSeparationSpace(state, true, -1)) {
        atNewLine = true;
        if (state.lineIndent > parentIndent) {
          indentStatus = 1;
        } else if (state.lineIndent === parentIndent) {
          indentStatus = 0;
        } else if (state.lineIndent < parentIndent) {
          indentStatus = -1;
        }
      }
    }
    if (indentStatus === 1) {
      while (readTagProperty(state) || readAnchorProperty(state)) {
        if (skipSeparationSpace(state, true, -1)) {
          atNewLine = true;
          allowBlockCollections = allowBlockStyles;
          if (state.lineIndent > parentIndent) {
            indentStatus = 1;
          } else if (state.lineIndent === parentIndent) {
            indentStatus = 0;
          } else if (state.lineIndent < parentIndent) {
            indentStatus = -1;
          }
        } else {
          allowBlockCollections = false;
        }
      }
    }
    if (allowBlockCollections) {
      allowBlockCollections = atNewLine || allowCompact;
    }
    if (indentStatus === 1 || CONTEXT_BLOCK_OUT === nodeContext) {
      if (CONTEXT_FLOW_IN === nodeContext || CONTEXT_FLOW_OUT === nodeContext) {
        flowIndent = parentIndent;
      } else {
        flowIndent = parentIndent + 1;
      }
      blockIndent = state.position - state.lineStart;
      if (indentStatus === 1) {
        if (allowBlockCollections && (readBlockSequence(state, blockIndent) || readBlockMapping(state, blockIndent, flowIndent)) || readFlowCollection(state, flowIndent)) {
          hasContent = true;
        } else {
          if (allowBlockScalars && readBlockScalar(state, flowIndent) || readSingleQuotedScalar(state, flowIndent) || readDoubleQuotedScalar(state, flowIndent)) {
            hasContent = true;
          } else if (readAlias(state)) {
            hasContent = true;
            if (state.tag !== null || state.anchor !== null) {
              throwError(state, "alias node should not have any properties");
            }
          } else if (readPlainScalar(state, flowIndent, CONTEXT_FLOW_IN === nodeContext)) {
            hasContent = true;
            if (state.tag === null) {
              state.tag = "?";
            }
          }
          if (state.anchor !== null) {
            state.anchorMap[state.anchor] = state.result;
          }
        }
      } else if (indentStatus === 0) {
        hasContent = allowBlockCollections && readBlockSequence(state, blockIndent);
      }
    }
    if (state.tag !== null && state.tag !== "!") {
      if (state.tag === "?") {
        if (state.result !== null && state.kind !== "scalar") {
          throwError(state, 'unacceptable node kind for !<?> tag; it should be "scalar", not "' + state.kind + '"');
        }
        for (typeIndex = 0, typeQuantity = state.implicitTypes.length;typeIndex < typeQuantity; typeIndex += 1) {
          type = state.implicitTypes[typeIndex];
          if (type.resolve(state.result)) {
            state.result = type.construct(state.result);
            state.tag = type.tag;
            if (state.anchor !== null) {
              state.anchorMap[state.anchor] = state.result;
            }
            break;
          }
        }
      } else if (_hasOwnProperty.call(state.typeMap[state.kind || "fallback"], state.tag)) {
        type = state.typeMap[state.kind || "fallback"][state.tag];
        if (state.result !== null && type.kind !== state.kind) {
          throwError(state, "unacceptable node kind for !<" + state.tag + '> tag; it should be "' + type.kind + '", not "' + state.kind + '"');
        }
        if (!type.resolve(state.result)) {
          throwError(state, "cannot resolve a node with !<" + state.tag + "> explicit tag");
        } else {
          state.result = type.construct(state.result);
          if (state.anchor !== null) {
            state.anchorMap[state.anchor] = state.result;
          }
        }
      } else {
        throwError(state, "unknown tag !<" + state.tag + ">");
      }
    }
    if (state.listener !== null) {
      state.listener("close", state);
    }
    return state.tag !== null || state.anchor !== null || hasContent;
  }
  function readDocument(state) {
    var documentStart = state.position, _position, directiveName, directiveArgs, hasDirectives = false, ch;
    state.version = null;
    state.checkLineBreaks = state.legacy;
    state.tagMap = {};
    state.anchorMap = {};
    while ((ch = state.input.charCodeAt(state.position)) !== 0) {
      skipSeparationSpace(state, true, -1);
      ch = state.input.charCodeAt(state.position);
      if (state.lineIndent > 0 || ch !== 37) {
        break;
      }
      hasDirectives = true;
      ch = state.input.charCodeAt(++state.position);
      _position = state.position;
      while (ch !== 0 && !is_WS_OR_EOL(ch)) {
        ch = state.input.charCodeAt(++state.position);
      }
      directiveName = state.input.slice(_position, state.position);
      directiveArgs = [];
      if (directiveName.length < 1) {
        throwError(state, "directive name must not be less than one character in length");
      }
      while (ch !== 0) {
        while (is_WHITE_SPACE(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        if (ch === 35) {
          do {
            ch = state.input.charCodeAt(++state.position);
          } while (ch !== 0 && !is_EOL(ch));
          break;
        }
        if (is_EOL(ch))
          break;
        _position = state.position;
        while (ch !== 0 && !is_WS_OR_EOL(ch)) {
          ch = state.input.charCodeAt(++state.position);
        }
        directiveArgs.push(state.input.slice(_position, state.position));
      }
      if (ch !== 0)
        readLineBreak(state);
      if (_hasOwnProperty.call(directiveHandlers, directiveName)) {
        directiveHandlers[directiveName](state, directiveName, directiveArgs);
      } else {
        throwWarning(state, 'unknown document directive "' + directiveName + '"');
      }
    }
    skipSeparationSpace(state, true, -1);
    if (state.lineIndent === 0 && state.input.charCodeAt(state.position) === 45 && state.input.charCodeAt(state.position + 1) === 45 && state.input.charCodeAt(state.position + 2) === 45) {
      state.position += 3;
      skipSeparationSpace(state, true, -1);
    } else if (hasDirectives) {
      throwError(state, "directives end mark is expected");
    }
    composeNode(state, state.lineIndent - 1, CONTEXT_BLOCK_OUT, false, true);
    skipSeparationSpace(state, true, -1);
    if (state.checkLineBreaks && PATTERN_NON_ASCII_LINE_BREAKS.test(state.input.slice(documentStart, state.position))) {
      throwWarning(state, "non-ASCII line breaks are interpreted as content");
    }
    state.documents.push(state.result);
    if (state.position === state.lineStart && testDocumentSeparator(state)) {
      if (state.input.charCodeAt(state.position) === 46) {
        state.position += 3;
        skipSeparationSpace(state, true, -1);
      }
      return;
    }
    if (state.position < state.length - 1) {
      throwError(state, "end of the stream or a document separator is expected");
    } else {
      return;
    }
  }
  function loadDocuments(input, options) {
    input = String(input);
    options = options || {};
    if (input.length !== 0) {
      if (input.charCodeAt(input.length - 1) !== 10 && input.charCodeAt(input.length - 1) !== 13) {
        input += `
`;
      }
      if (input.charCodeAt(0) === 65279) {
        input = input.slice(1);
      }
    }
    var state = new State(input, options);
    var nullpos = input.indexOf("\x00");
    if (nullpos !== -1) {
      state.position = nullpos;
      throwError(state, "null byte is not allowed in input");
    }
    state.input += "\x00";
    while (state.input.charCodeAt(state.position) === 32) {
      state.lineIndent += 1;
      state.position += 1;
    }
    while (state.position < state.length - 1) {
      readDocument(state);
    }
    return state.documents;
  }
  function loadAll(input, iterator, options) {
    if (iterator !== null && typeof iterator === "object" && typeof options === "undefined") {
      options = iterator;
      iterator = null;
    }
    var documents = loadDocuments(input, options);
    if (typeof iterator !== "function") {
      return documents;
    }
    for (var index = 0, length = documents.length;index < length; index += 1) {
      iterator(documents[index]);
    }
  }
  function load(input, options) {
    var documents = loadDocuments(input, options);
    if (documents.length === 0) {
      return;
    } else if (documents.length === 1) {
      return documents[0];
    }
    throw new YAMLException("expected a single document in the stream, but found more");
  }
  function safeLoadAll(input, iterator, options) {
    if (typeof iterator === "object" && iterator !== null && typeof options === "undefined") {
      options = iterator;
      iterator = null;
    }
    return loadAll(input, iterator, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
  }
  function safeLoad(input, options) {
    return load(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
  }
  exports.loadAll = loadAll;
  exports.load = load;
  exports.safeLoadAll = safeLoadAll;
  exports.safeLoad = safeLoad;
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml/dumper.js
var require_dumper = __commonJS((exports, module) => {
  var common = require_common2();
  var YAMLException = require_exception();
  var DEFAULT_FULL_SCHEMA = require_default_full();
  var DEFAULT_SAFE_SCHEMA = require_default_safe();
  var _toString = Object.prototype.toString;
  var _hasOwnProperty = Object.prototype.hasOwnProperty;
  var CHAR_TAB = 9;
  var CHAR_LINE_FEED = 10;
  var CHAR_CARRIAGE_RETURN = 13;
  var CHAR_SPACE = 32;
  var CHAR_EXCLAMATION = 33;
  var CHAR_DOUBLE_QUOTE = 34;
  var CHAR_SHARP = 35;
  var CHAR_PERCENT = 37;
  var CHAR_AMPERSAND = 38;
  var CHAR_SINGLE_QUOTE = 39;
  var CHAR_ASTERISK = 42;
  var CHAR_COMMA = 44;
  var CHAR_MINUS = 45;
  var CHAR_COLON = 58;
  var CHAR_EQUALS = 61;
  var CHAR_GREATER_THAN = 62;
  var CHAR_QUESTION = 63;
  var CHAR_COMMERCIAL_AT = 64;
  var CHAR_LEFT_SQUARE_BRACKET = 91;
  var CHAR_RIGHT_SQUARE_BRACKET = 93;
  var CHAR_GRAVE_ACCENT = 96;
  var CHAR_LEFT_CURLY_BRACKET = 123;
  var CHAR_VERTICAL_LINE = 124;
  var CHAR_RIGHT_CURLY_BRACKET = 125;
  var ESCAPE_SEQUENCES = {};
  ESCAPE_SEQUENCES[0] = "\\0";
  ESCAPE_SEQUENCES[7] = "\\a";
  ESCAPE_SEQUENCES[8] = "\\b";
  ESCAPE_SEQUENCES[9] = "\\t";
  ESCAPE_SEQUENCES[10] = "\\n";
  ESCAPE_SEQUENCES[11] = "\\v";
  ESCAPE_SEQUENCES[12] = "\\f";
  ESCAPE_SEQUENCES[13] = "\\r";
  ESCAPE_SEQUENCES[27] = "\\e";
  ESCAPE_SEQUENCES[34] = "\\\"";
  ESCAPE_SEQUENCES[92] = "\\\\";
  ESCAPE_SEQUENCES[133] = "\\N";
  ESCAPE_SEQUENCES[160] = "\\_";
  ESCAPE_SEQUENCES[8232] = "\\L";
  ESCAPE_SEQUENCES[8233] = "\\P";
  var DEPRECATED_BOOLEANS_SYNTAX = [
    "y",
    "Y",
    "yes",
    "Yes",
    "YES",
    "on",
    "On",
    "ON",
    "n",
    "N",
    "no",
    "No",
    "NO",
    "off",
    "Off",
    "OFF"
  ];
  function compileStyleMap(schema, map) {
    var result, keys, index, length, tag, style, type;
    if (map === null)
      return {};
    result = {};
    keys = Object.keys(map);
    for (index = 0, length = keys.length;index < length; index += 1) {
      tag = keys[index];
      style = String(map[tag]);
      if (tag.slice(0, 2) === "!!") {
        tag = "tag:yaml.org,2002:" + tag.slice(2);
      }
      type = schema.compiledTypeMap["fallback"][tag];
      if (type && _hasOwnProperty.call(type.styleAliases, style)) {
        style = type.styleAliases[style];
      }
      result[tag] = style;
    }
    return result;
  }
  function encodeHex(character) {
    var string, handle, length;
    string = character.toString(16).toUpperCase();
    if (character <= 255) {
      handle = "x";
      length = 2;
    } else if (character <= 65535) {
      handle = "u";
      length = 4;
    } else if (character <= 4294967295) {
      handle = "U";
      length = 8;
    } else {
      throw new YAMLException("code point within a string may not be greater than 0xFFFFFFFF");
    }
    return "\\" + handle + common.repeat("0", length - string.length) + string;
  }
  function State(options) {
    this.schema = options["schema"] || DEFAULT_FULL_SCHEMA;
    this.indent = Math.max(1, options["indent"] || 2);
    this.noArrayIndent = options["noArrayIndent"] || false;
    this.skipInvalid = options["skipInvalid"] || false;
    this.flowLevel = common.isNothing(options["flowLevel"]) ? -1 : options["flowLevel"];
    this.styleMap = compileStyleMap(this.schema, options["styles"] || null);
    this.sortKeys = options["sortKeys"] || false;
    this.lineWidth = options["lineWidth"] || 80;
    this.noRefs = options["noRefs"] || false;
    this.noCompatMode = options["noCompatMode"] || false;
    this.condenseFlow = options["condenseFlow"] || false;
    this.implicitTypes = this.schema.compiledImplicit;
    this.explicitTypes = this.schema.compiledExplicit;
    this.tag = null;
    this.result = "";
    this.duplicates = [];
    this.usedDuplicates = null;
  }
  function indentString(string, spaces) {
    var ind = common.repeat(" ", spaces), position = 0, next = -1, result = "", line, length = string.length;
    while (position < length) {
      next = string.indexOf(`
`, position);
      if (next === -1) {
        line = string.slice(position);
        position = length;
      } else {
        line = string.slice(position, next + 1);
        position = next + 1;
      }
      if (line.length && line !== `
`)
        result += ind;
      result += line;
    }
    return result;
  }
  function generateNextLine(state, level) {
    return `
` + common.repeat(" ", state.indent * level);
  }
  function testImplicitResolving(state, str) {
    var index, length, type;
    for (index = 0, length = state.implicitTypes.length;index < length; index += 1) {
      type = state.implicitTypes[index];
      if (type.resolve(str)) {
        return true;
      }
    }
    return false;
  }
  function isWhitespace(c) {
    return c === CHAR_SPACE || c === CHAR_TAB;
  }
  function isPrintable(c) {
    return 32 <= c && c <= 126 || 161 <= c && c <= 55295 && c !== 8232 && c !== 8233 || 57344 <= c && c <= 65533 && c !== 65279 || 65536 <= c && c <= 1114111;
  }
  function isNsChar(c) {
    return isPrintable(c) && !isWhitespace(c) && c !== 65279 && c !== CHAR_CARRIAGE_RETURN && c !== CHAR_LINE_FEED;
  }
  function isPlainSafe(c, prev) {
    return isPrintable(c) && c !== 65279 && c !== CHAR_COMMA && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_COLON && (c !== CHAR_SHARP || prev && isNsChar(prev));
  }
  function isPlainSafeFirst(c) {
    return isPrintable(c) && c !== 65279 && !isWhitespace(c) && c !== CHAR_MINUS && c !== CHAR_QUESTION && c !== CHAR_COLON && c !== CHAR_COMMA && c !== CHAR_LEFT_SQUARE_BRACKET && c !== CHAR_RIGHT_SQUARE_BRACKET && c !== CHAR_LEFT_CURLY_BRACKET && c !== CHAR_RIGHT_CURLY_BRACKET && c !== CHAR_SHARP && c !== CHAR_AMPERSAND && c !== CHAR_ASTERISK && c !== CHAR_EXCLAMATION && c !== CHAR_VERTICAL_LINE && c !== CHAR_EQUALS && c !== CHAR_GREATER_THAN && c !== CHAR_SINGLE_QUOTE && c !== CHAR_DOUBLE_QUOTE && c !== CHAR_PERCENT && c !== CHAR_COMMERCIAL_AT && c !== CHAR_GRAVE_ACCENT;
  }
  function needIndentIndicator(string) {
    var leadingSpaceRe = /^\n* /;
    return leadingSpaceRe.test(string);
  }
  var STYLE_PLAIN = 1;
  var STYLE_SINGLE = 2;
  var STYLE_LITERAL = 3;
  var STYLE_FOLDED = 4;
  var STYLE_DOUBLE = 5;
  function chooseScalarStyle(string, singleLineOnly, indentPerLevel, lineWidth, testAmbiguousType) {
    var i;
    var char, prev_char;
    var hasLineBreak = false;
    var hasFoldableLine = false;
    var shouldTrackWidth = lineWidth !== -1;
    var previousLineBreak = -1;
    var plain = isPlainSafeFirst(string.charCodeAt(0)) && !isWhitespace(string.charCodeAt(string.length - 1));
    if (singleLineOnly) {
      for (i = 0;i < string.length; i++) {
        char = string.charCodeAt(i);
        if (!isPrintable(char)) {
          return STYLE_DOUBLE;
        }
        prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
        plain = plain && isPlainSafe(char, prev_char);
      }
    } else {
      for (i = 0;i < string.length; i++) {
        char = string.charCodeAt(i);
        if (char === CHAR_LINE_FEED) {
          hasLineBreak = true;
          if (shouldTrackWidth) {
            hasFoldableLine = hasFoldableLine || i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ";
            previousLineBreak = i;
          }
        } else if (!isPrintable(char)) {
          return STYLE_DOUBLE;
        }
        prev_char = i > 0 ? string.charCodeAt(i - 1) : null;
        plain = plain && isPlainSafe(char, prev_char);
      }
      hasFoldableLine = hasFoldableLine || shouldTrackWidth && (i - previousLineBreak - 1 > lineWidth && string[previousLineBreak + 1] !== " ");
    }
    if (!hasLineBreak && !hasFoldableLine) {
      return plain && !testAmbiguousType(string) ? STYLE_PLAIN : STYLE_SINGLE;
    }
    if (indentPerLevel > 9 && needIndentIndicator(string)) {
      return STYLE_DOUBLE;
    }
    return hasFoldableLine ? STYLE_FOLDED : STYLE_LITERAL;
  }
  function writeScalar(state, string, level, iskey) {
    state.dump = function() {
      if (string.length === 0) {
        return "''";
      }
      if (!state.noCompatMode && DEPRECATED_BOOLEANS_SYNTAX.indexOf(string) !== -1) {
        return "'" + string + "'";
      }
      var indent = state.indent * Math.max(1, level);
      var lineWidth = state.lineWidth === -1 ? -1 : Math.max(Math.min(state.lineWidth, 40), state.lineWidth - indent);
      var singleLineOnly = iskey || state.flowLevel > -1 && level >= state.flowLevel;
      function testAmbiguity(string2) {
        return testImplicitResolving(state, string2);
      }
      switch (chooseScalarStyle(string, singleLineOnly, state.indent, lineWidth, testAmbiguity)) {
        case STYLE_PLAIN:
          return string;
        case STYLE_SINGLE:
          return "'" + string.replace(/'/g, "''") + "'";
        case STYLE_LITERAL:
          return "|" + blockHeader(string, state.indent) + dropEndingNewline(indentString(string, indent));
        case STYLE_FOLDED:
          return ">" + blockHeader(string, state.indent) + dropEndingNewline(indentString(foldString(string, lineWidth), indent));
        case STYLE_DOUBLE:
          return '"' + escapeString(string, lineWidth) + '"';
        default:
          throw new YAMLException("impossible error: invalid scalar style");
      }
    }();
  }
  function blockHeader(string, indentPerLevel) {
    var indentIndicator = needIndentIndicator(string) ? String(indentPerLevel) : "";
    var clip = string[string.length - 1] === `
`;
    var keep = clip && (string[string.length - 2] === `
` || string === `
`);
    var chomp = keep ? "+" : clip ? "" : "-";
    return indentIndicator + chomp + `
`;
  }
  function dropEndingNewline(string) {
    return string[string.length - 1] === `
` ? string.slice(0, -1) : string;
  }
  function foldString(string, width) {
    var lineRe = /(\n+)([^\n]*)/g;
    var result = function() {
      var nextLF = string.indexOf(`
`);
      nextLF = nextLF !== -1 ? nextLF : string.length;
      lineRe.lastIndex = nextLF;
      return foldLine(string.slice(0, nextLF), width);
    }();
    var prevMoreIndented = string[0] === `
` || string[0] === " ";
    var moreIndented;
    var match;
    while (match = lineRe.exec(string)) {
      var prefix = match[1], line = match[2];
      moreIndented = line[0] === " ";
      result += prefix + (!prevMoreIndented && !moreIndented && line !== "" ? `
` : "") + foldLine(line, width);
      prevMoreIndented = moreIndented;
    }
    return result;
  }
  function foldLine(line, width) {
    if (line === "" || line[0] === " ")
      return line;
    var breakRe = / [^ ]/g;
    var match;
    var start = 0, end, curr = 0, next = 0;
    var result = "";
    while (match = breakRe.exec(line)) {
      next = match.index;
      if (next - start > width) {
        end = curr > start ? curr : next;
        result += `
` + line.slice(start, end);
        start = end + 1;
      }
      curr = next;
    }
    result += `
`;
    if (line.length - start > width && curr > start) {
      result += line.slice(start, curr) + `
` + line.slice(curr + 1);
    } else {
      result += line.slice(start);
    }
    return result.slice(1);
  }
  function escapeString(string) {
    var result = "";
    var char, nextChar;
    var escapeSeq;
    for (var i = 0;i < string.length; i++) {
      char = string.charCodeAt(i);
      if (char >= 55296 && char <= 56319) {
        nextChar = string.charCodeAt(i + 1);
        if (nextChar >= 56320 && nextChar <= 57343) {
          result += encodeHex((char - 55296) * 1024 + nextChar - 56320 + 65536);
          i++;
          continue;
        }
      }
      escapeSeq = ESCAPE_SEQUENCES[char];
      result += !escapeSeq && isPrintable(char) ? string[i] : escapeSeq || encodeHex(char);
    }
    return result;
  }
  function writeFlowSequence(state, level, object) {
    var _result = "", _tag = state.tag, index, length;
    for (index = 0, length = object.length;index < length; index += 1) {
      if (writeNode(state, level, object[index], false, false)) {
        if (index !== 0)
          _result += "," + (!state.condenseFlow ? " " : "");
        _result += state.dump;
      }
    }
    state.tag = _tag;
    state.dump = "[" + _result + "]";
  }
  function writeBlockSequence(state, level, object, compact) {
    var _result = "", _tag = state.tag, index, length;
    for (index = 0, length = object.length;index < length; index += 1) {
      if (writeNode(state, level + 1, object[index], true, true)) {
        if (!compact || index !== 0) {
          _result += generateNextLine(state, level);
        }
        if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
          _result += "-";
        } else {
          _result += "- ";
        }
        _result += state.dump;
      }
    }
    state.tag = _tag;
    state.dump = _result || "[]";
  }
  function writeFlowMapping(state, level, object) {
    var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, pairBuffer;
    for (index = 0, length = objectKeyList.length;index < length; index += 1) {
      pairBuffer = "";
      if (index !== 0)
        pairBuffer += ", ";
      if (state.condenseFlow)
        pairBuffer += '"';
      objectKey = objectKeyList[index];
      objectValue = object[objectKey];
      if (!writeNode(state, level, objectKey, false, false)) {
        continue;
      }
      if (state.dump.length > 1024)
        pairBuffer += "? ";
      pairBuffer += state.dump + (state.condenseFlow ? '"' : "") + ":" + (state.condenseFlow ? "" : " ");
      if (!writeNode(state, level, objectValue, false, false)) {
        continue;
      }
      pairBuffer += state.dump;
      _result += pairBuffer;
    }
    state.tag = _tag;
    state.dump = "{" + _result + "}";
  }
  function writeBlockMapping(state, level, object, compact) {
    var _result = "", _tag = state.tag, objectKeyList = Object.keys(object), index, length, objectKey, objectValue, explicitPair, pairBuffer;
    if (state.sortKeys === true) {
      objectKeyList.sort();
    } else if (typeof state.sortKeys === "function") {
      objectKeyList.sort(state.sortKeys);
    } else if (state.sortKeys) {
      throw new YAMLException("sortKeys must be a boolean or a function");
    }
    for (index = 0, length = objectKeyList.length;index < length; index += 1) {
      pairBuffer = "";
      if (!compact || index !== 0) {
        pairBuffer += generateNextLine(state, level);
      }
      objectKey = objectKeyList[index];
      objectValue = object[objectKey];
      if (!writeNode(state, level + 1, objectKey, true, true, true)) {
        continue;
      }
      explicitPair = state.tag !== null && state.tag !== "?" || state.dump && state.dump.length > 1024;
      if (explicitPair) {
        if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
          pairBuffer += "?";
        } else {
          pairBuffer += "? ";
        }
      }
      pairBuffer += state.dump;
      if (explicitPair) {
        pairBuffer += generateNextLine(state, level);
      }
      if (!writeNode(state, level + 1, objectValue, true, explicitPair)) {
        continue;
      }
      if (state.dump && CHAR_LINE_FEED === state.dump.charCodeAt(0)) {
        pairBuffer += ":";
      } else {
        pairBuffer += ": ";
      }
      pairBuffer += state.dump;
      _result += pairBuffer;
    }
    state.tag = _tag;
    state.dump = _result || "{}";
  }
  function detectType(state, object, explicit) {
    var _result, typeList, index, length, type, style;
    typeList = explicit ? state.explicitTypes : state.implicitTypes;
    for (index = 0, length = typeList.length;index < length; index += 1) {
      type = typeList[index];
      if ((type.instanceOf || type.predicate) && (!type.instanceOf || typeof object === "object" && object instanceof type.instanceOf) && (!type.predicate || type.predicate(object))) {
        state.tag = explicit ? type.tag : "?";
        if (type.represent) {
          style = state.styleMap[type.tag] || type.defaultStyle;
          if (_toString.call(type.represent) === "[object Function]") {
            _result = type.represent(object, style);
          } else if (_hasOwnProperty.call(type.represent, style)) {
            _result = type.represent[style](object, style);
          } else {
            throw new YAMLException("!<" + type.tag + '> tag resolver accepts not "' + style + '" style');
          }
          state.dump = _result;
        }
        return true;
      }
    }
    return false;
  }
  function writeNode(state, level, object, block, compact, iskey) {
    state.tag = null;
    state.dump = object;
    if (!detectType(state, object, false)) {
      detectType(state, object, true);
    }
    var type = _toString.call(state.dump);
    if (block) {
      block = state.flowLevel < 0 || state.flowLevel > level;
    }
    var objectOrArray = type === "[object Object]" || type === "[object Array]", duplicateIndex, duplicate;
    if (objectOrArray) {
      duplicateIndex = state.duplicates.indexOf(object);
      duplicate = duplicateIndex !== -1;
    }
    if (state.tag !== null && state.tag !== "?" || duplicate || state.indent !== 2 && level > 0) {
      compact = false;
    }
    if (duplicate && state.usedDuplicates[duplicateIndex]) {
      state.dump = "*ref_" + duplicateIndex;
    } else {
      if (objectOrArray && duplicate && !state.usedDuplicates[duplicateIndex]) {
        state.usedDuplicates[duplicateIndex] = true;
      }
      if (type === "[object Object]") {
        if (block && Object.keys(state.dump).length !== 0) {
          writeBlockMapping(state, level, state.dump, compact);
          if (duplicate) {
            state.dump = "&ref_" + duplicateIndex + state.dump;
          }
        } else {
          writeFlowMapping(state, level, state.dump);
          if (duplicate) {
            state.dump = "&ref_" + duplicateIndex + " " + state.dump;
          }
        }
      } else if (type === "[object Array]") {
        var arrayLevel = state.noArrayIndent && level > 0 ? level - 1 : level;
        if (block && state.dump.length !== 0) {
          writeBlockSequence(state, arrayLevel, state.dump, compact);
          if (duplicate) {
            state.dump = "&ref_" + duplicateIndex + state.dump;
          }
        } else {
          writeFlowSequence(state, arrayLevel, state.dump);
          if (duplicate) {
            state.dump = "&ref_" + duplicateIndex + " " + state.dump;
          }
        }
      } else if (type === "[object String]") {
        if (state.tag !== "?") {
          writeScalar(state, state.dump, level, iskey);
        }
      } else {
        if (state.skipInvalid)
          return false;
        throw new YAMLException("unacceptable kind of an object to dump " + type);
      }
      if (state.tag !== null && state.tag !== "?") {
        state.dump = "!<" + state.tag + "> " + state.dump;
      }
    }
    return true;
  }
  function getDuplicateReferences(object, state) {
    var objects = [], duplicatesIndexes = [], index, length;
    inspectNode(object, objects, duplicatesIndexes);
    for (index = 0, length = duplicatesIndexes.length;index < length; index += 1) {
      state.duplicates.push(objects[duplicatesIndexes[index]]);
    }
    state.usedDuplicates = new Array(length);
  }
  function inspectNode(object, objects, duplicatesIndexes) {
    var objectKeyList, index, length;
    if (object !== null && typeof object === "object") {
      index = objects.indexOf(object);
      if (index !== -1) {
        if (duplicatesIndexes.indexOf(index) === -1) {
          duplicatesIndexes.push(index);
        }
      } else {
        objects.push(object);
        if (Array.isArray(object)) {
          for (index = 0, length = object.length;index < length; index += 1) {
            inspectNode(object[index], objects, duplicatesIndexes);
          }
        } else {
          objectKeyList = Object.keys(object);
          for (index = 0, length = objectKeyList.length;index < length; index += 1) {
            inspectNode(object[objectKeyList[index]], objects, duplicatesIndexes);
          }
        }
      }
    }
  }
  function dump(input, options) {
    options = options || {};
    var state = new State(options);
    if (!state.noRefs)
      getDuplicateReferences(input, state);
    if (writeNode(state, 0, input, true, true))
      return state.dump + `
`;
    return "";
  }
  function safeDump(input, options) {
    return dump(input, common.extend({ schema: DEFAULT_SAFE_SCHEMA }, options));
  }
  exports.dump = dump;
  exports.safeDump = safeDump;
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/lib/js-yaml.js
var require_js_yaml = __commonJS((exports, module) => {
  var loader = require_loader();
  var dumper = require_dumper();
  function deprecated(name) {
    return function() {
      throw new Error("Function " + name + " is deprecated and cannot be used.");
    };
  }
  exports.Type = require_type();
  exports.Schema = require_schema();
  exports.FAILSAFE_SCHEMA = require_failsafe();
  exports.JSON_SCHEMA = require_json2();
  exports.CORE_SCHEMA = require_core();
  exports.DEFAULT_SAFE_SCHEMA = require_default_safe();
  exports.DEFAULT_FULL_SCHEMA = require_default_full();
  exports.load = loader.load;
  exports.loadAll = loader.loadAll;
  exports.safeLoad = loader.safeLoad;
  exports.safeLoadAll = loader.safeLoadAll;
  exports.dump = dumper.dump;
  exports.safeDump = dumper.safeDump;
  exports.YAMLException = require_exception();
  exports.MINIMAL_SCHEMA = require_failsafe();
  exports.SAFE_SCHEMA = require_default_safe();
  exports.DEFAULT_SCHEMA = require_default_full();
  exports.scan = deprecated("scan");
  exports.parse = deprecated("parse");
  exports.compose = deprecated("compose");
  exports.addConstructor = deprecated("addConstructor");
});

// ../../node_modules/xmlbuilder2/node_modules/js-yaml/index.js
var require_js_yaml2 = __commonJS((exports, module) => {
  var yaml = require_js_yaml();
  module.exports = yaml;
});

// ../../node_modules/xmlbuilder2/lib/readers/YAMLReader.js
var require_YAMLReader = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var ObjectReader_1 = require_ObjectReader();
  var BaseReader_1 = require_BaseReader();
  var js_yaml_1 = require_js_yaml2();
  var YAMLReader = function(_super) {
    __extends(YAMLReader2, _super);
    function YAMLReader2() {
      return _super !== null && _super.apply(this, arguments) || this;
    }
    YAMLReader2.prototype._parse = function(node, str) {
      var result = js_yaml_1.safeLoad(str);
      if (result === undefined) {
        throw new Error("Unable to parse YAML document.");
      }
      return new ObjectReader_1.ObjectReader(this._builderOptions).parse(node, result);
    };
    return YAMLReader2;
  }(BaseReader_1.BaseReader);
  exports.YAMLReader = YAMLReader;
});

// ../../node_modules/xmlbuilder2/lib/readers/index.js
var require_readers = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var XMLReader_1 = require_XMLReader();
  exports.XMLReader = XMLReader_1.XMLReader;
  var ObjectReader_1 = require_ObjectReader();
  exports.ObjectReader = ObjectReader_1.ObjectReader;
  var JSONReader_1 = require_JSONReader();
  exports.JSONReader = JSONReader_1.JSONReader;
  var YAMLReader_1 = require_YAMLReader();
  exports.YAMLReader = YAMLReader_1.YAMLReader;
});

// ../../node_modules/xmlbuilder2/lib/builder/XMLBuilderImpl.js
var require_XMLBuilderImpl = __commonJS((exports) => {
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces();
  var util_1 = require_lib();
  var writers_1 = require_writers();
  var interfaces_2 = require_interfaces2();
  var util_2 = require_util();
  var algorithm_1 = require_algorithm();
  var dom_1 = require_dom2();
  var infra_1 = require_lib2();
  var readers_1 = require_readers();
  var XMLBuilderImpl = function() {
    function XMLBuilderImpl2(domNode) {
      this._domNode = domNode;
    }
    Object.defineProperty(XMLBuilderImpl2.prototype, "node", {
      get: function() {
        return this._domNode;
      },
      enumerable: true,
      configurable: true
    });
    Object.defineProperty(XMLBuilderImpl2.prototype, "options", {
      get: function() {
        return this._options;
      },
      enumerable: true,
      configurable: true
    });
    XMLBuilderImpl2.prototype.set = function(options) {
      this._options = util_1.applyDefaults(util_1.applyDefaults(this._options, options, true), interfaces_1.DefaultBuilderOptions);
      return this;
    };
    XMLBuilderImpl2.prototype.ele = function(p1, p2, p3) {
      var _a, _b, _c;
      var namespace;
      var name;
      var attributes;
      if (util_1.isObject(p1)) {
        return new readers_1.ObjectReader(this._options).parse(this, p1);
      } else if (p1 !== null && /^\s*</.test(p1)) {
        return new readers_1.XMLReader(this._options).parse(this, p1);
      } else if (p1 !== null && /^\s*[\{\[]/.test(p1)) {
        return new readers_1.JSONReader(this._options).parse(this, p1);
      } else if (p1 !== null && /^(\s*|(#.*)|(%.*))*---/.test(p1)) {
        return new readers_1.YAMLReader(this._options).parse(this, p1);
      }
      if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2)) {
        _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], attributes = _a[2];
      } else if (p1 !== null) {
        _b = __read([undefined, p1, util_1.isObject(p2) ? p2 : undefined], 3), namespace = _b[0], name = _b[1], attributes = _b[2];
      } else {
        throw new Error("Element name cannot be null. " + this._debugInfo());
      }
      if (attributes) {
        attributes = util_1.getValue(attributes);
      }
      _c = __read(this._extractNamespace(dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement), dom_1.sanitizeInput(name, this._options.invalidCharReplacement), true), 2), namespace = _c[0], name = _c[1];
      if (namespace === undefined) {
        var _d = __read(algorithm_1.namespace_extractQName(name), 1), prefix = _d[0];
        namespace = this.node.lookupNamespaceURI(prefix);
      }
      var childNode = namespace !== undefined && namespace !== null ? this._doc.createElementNS(namespace, name) : this._doc.createElement(name);
      this.node.appendChild(childNode);
      var builder = new XMLBuilderImpl2(childNode);
      var oldDocType = this._doc.doctype;
      if (childNode === this._doc.documentElement && oldDocType !== null) {
        var docType = this._doc.implementation.createDocumentType(this._doc.documentElement.tagName, oldDocType.publicId, oldDocType.systemId);
        this._doc.replaceChild(docType, oldDocType);
      }
      if (attributes && !util_1.isEmpty(attributes)) {
        builder.att(attributes);
      }
      return builder;
    };
    XMLBuilderImpl2.prototype.remove = function() {
      var parent = this.up();
      parent.node.removeChild(this.node);
      return parent;
    };
    XMLBuilderImpl2.prototype.att = function(p1, p2, p3) {
      var _a, _b, _c;
      var _this = this;
      if (util_1.isMap(p1) || util_1.isObject(p1)) {
        util_1.forEachObject(p1, function(attName, attValue) {
          return _this.att(attName, attValue);
        }, this);
        return this;
      }
      if (p1 !== undefined && p1 !== null)
        p1 = util_1.getValue(p1 + "");
      if (p2 !== undefined && p2 !== null)
        p2 = util_1.getValue(p2 + "");
      if (p3 !== undefined && p3 !== null)
        p3 = util_1.getValue(p3 + "");
      var namespace;
      var name;
      var value;
      if ((p1 === null || util_1.isString(p1)) && util_1.isString(p2) && (p3 === null || util_1.isString(p3))) {
        _a = __read([p1, p2, p3], 3), namespace = _a[0], name = _a[1], value = _a[2];
      } else if (util_1.isString(p1) && (p2 == null || util_1.isString(p2))) {
        _b = __read([undefined, p1, p2], 3), namespace = _b[0], name = _b[1], value = _b[2];
      } else {
        throw new Error("Attribute name and value not specified. " + this._debugInfo());
      }
      if (this._options.keepNullAttributes && value == null) {
        value = "";
      } else if (value == null) {
        return this;
      }
      if (!util_2.Guard.isElementNode(this.node)) {
        throw new Error("An attribute can only be assigned to an element node.");
      }
      var ele = this.node;
      _c = __read(this._extractNamespace(namespace, name, false), 2), namespace = _c[0], name = _c[1];
      name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
      namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
      value = dom_1.sanitizeInput(value, this._options.invalidCharReplacement);
      var _d = __read(algorithm_1.namespace_extractQName(name), 2), prefix = _d[0], localName = _d[1];
      var _e = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 1), elePrefix = _e[0];
      var eleNamespace = null;
      if (prefix === "xmlns") {
        namespace = infra_1.namespace.XMLNS;
        if (ele.namespaceURI === null && elePrefix === localName) {
          eleNamespace = value;
        }
      } else if (prefix === null && localName === "xmlns" && elePrefix === null) {
        namespace = infra_1.namespace.XMLNS;
        eleNamespace = value;
      }
      if (eleNamespace !== null) {
        this._updateNamespace(eleNamespace);
        ele = this.node;
      }
      if (namespace !== undefined) {
        ele.setAttributeNS(namespace, name, value);
      } else {
        ele.setAttribute(name, value);
      }
      return this;
    };
    XMLBuilderImpl2.prototype.removeAtt = function(p1, p2) {
      var _this = this;
      if (!util_2.Guard.isElementNode(this.node)) {
        throw new Error("An attribute can only be removed from an element node.");
      }
      p1 = util_1.getValue(p1);
      if (p2 !== undefined) {
        p2 = util_1.getValue(p2);
      }
      var namespace;
      var name;
      if (p1 !== null && p2 === undefined) {
        name = p1;
      } else if ((p1 === null || util_1.isString(p1)) && p2 !== undefined) {
        namespace = p1;
        name = p2;
      } else {
        throw new Error("Attribute namespace must be a string. " + this._debugInfo());
      }
      if (util_1.isArray(name) || util_1.isSet(name)) {
        util_1.forEachArray(name, function(attName) {
          return namespace === undefined ? _this.removeAtt(attName) : _this.removeAtt(namespace, attName);
        }, this);
      } else if (namespace !== undefined) {
        name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
        namespace = dom_1.sanitizeInput(namespace, this._options.invalidCharReplacement);
        this.node.removeAttributeNS(namespace, name);
      } else {
        name = dom_1.sanitizeInput(name, this._options.invalidCharReplacement);
        this.node.removeAttribute(name);
      }
      return this;
    };
    XMLBuilderImpl2.prototype.txt = function(content) {
      if (content === null || content === undefined) {
        if (this._options.keepNullNodes) {
          content = "";
        } else {
          return this;
        }
      }
      var child2 = this._doc.createTextNode(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
      this.node.appendChild(child2);
      return this;
    };
    XMLBuilderImpl2.prototype.com = function(content) {
      if (content === null || content === undefined) {
        if (this._options.keepNullNodes) {
          content = "";
        } else {
          return this;
        }
      }
      var child2 = this._doc.createComment(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
      this.node.appendChild(child2);
      return this;
    };
    XMLBuilderImpl2.prototype.dat = function(content) {
      if (content === null || content === undefined) {
        if (this._options.keepNullNodes) {
          content = "";
        } else {
          return this;
        }
      }
      var child2 = this._doc.createCDATASection(dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
      this.node.appendChild(child2);
      return this;
    };
    XMLBuilderImpl2.prototype.ins = function(target, content) {
      var _this = this;
      if (content === undefined) {
        content = "";
      }
      if (content === null || content === undefined) {
        if (this._options.keepNullNodes) {
          content = "";
        } else {
          return this;
        }
      }
      if (util_1.isArray(target) || util_1.isSet(target)) {
        util_1.forEachArray(target, function(item) {
          item += "";
          var insIndex = item.indexOf(" ");
          var insTarget = insIndex === -1 ? item : item.substr(0, insIndex);
          var insValue = insIndex === -1 ? "" : item.substr(insIndex + 1);
          _this.ins(insTarget, insValue);
        }, this);
      } else if (util_1.isMap(target) || util_1.isObject(target)) {
        util_1.forEachObject(target, function(insTarget, insValue) {
          return _this.ins(insTarget, insValue);
        }, this);
      } else {
        var child2 = this._doc.createProcessingInstruction(dom_1.sanitizeInput(target, this._options.invalidCharReplacement), dom_1.sanitizeInput(content, this._options.invalidCharReplacement));
        this.node.appendChild(child2);
      }
      return this;
    };
    XMLBuilderImpl2.prototype.dec = function(options) {
      this._options.version = options.version || "1.0";
      this._options.encoding = options.encoding;
      this._options.standalone = options.standalone;
      return this;
    };
    XMLBuilderImpl2.prototype.dtd = function(options) {
      var name = dom_1.sanitizeInput(options && options.name || (this._doc.documentElement ? this._doc.documentElement.tagName : "ROOT"), this._options.invalidCharReplacement);
      var pubID = dom_1.sanitizeInput(options && options.pubID || "", this._options.invalidCharReplacement);
      var sysID = dom_1.sanitizeInput(options && options.sysID || "", this._options.invalidCharReplacement);
      if (this._doc.documentElement !== null && name !== this._doc.documentElement.tagName) {
        throw new Error("DocType name does not match document element name.");
      }
      var docType = this._doc.implementation.createDocumentType(name, pubID, sysID);
      if (this._doc.doctype !== null) {
        this._doc.replaceChild(docType, this._doc.doctype);
      } else {
        this._doc.insertBefore(docType, this._doc.documentElement);
      }
      return this;
    };
    XMLBuilderImpl2.prototype.import = function(node) {
      var e_1, _a;
      var hostNode = this._domNode;
      var hostDoc = this._doc;
      var importedNode = node.node;
      if (util_2.Guard.isDocumentNode(importedNode)) {
        var elementNode = importedNode.documentElement;
        if (elementNode === null) {
          throw new Error("Imported document has no document element node. " + this._debugInfo());
        }
        var clone = hostDoc.importNode(elementNode, true);
        hostNode.appendChild(clone);
        var _b = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _b[0];
        var namespace = hostNode.lookupNamespaceURI(prefix);
        new XMLBuilderImpl2(clone)._updateNamespace(namespace);
      } else if (util_2.Guard.isDocumentFragmentNode(importedNode)) {
        try {
          for (var _c = __values(importedNode.childNodes), _d = _c.next();!_d.done; _d = _c.next()) {
            var childNode = _d.value;
            var clone = hostDoc.importNode(childNode, true);
            hostNode.appendChild(clone);
            if (util_2.Guard.isElementNode(clone)) {
              var _e = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _e[0];
              var namespace = hostNode.lookupNamespaceURI(prefix);
              new XMLBuilderImpl2(clone)._updateNamespace(namespace);
            }
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
      } else {
        var clone = hostDoc.importNode(importedNode, true);
        hostNode.appendChild(clone);
        if (util_2.Guard.isElementNode(clone)) {
          var _f = __read(algorithm_1.namespace_extractQName(clone.prefix ? clone.prefix + ":" + clone.localName : clone.localName), 1), prefix = _f[0];
          var namespace = hostNode.lookupNamespaceURI(prefix);
          new XMLBuilderImpl2(clone)._updateNamespace(namespace);
        }
      }
      return this;
    };
    XMLBuilderImpl2.prototype.doc = function() {
      if (this._doc._isFragment) {
        var node = this.node;
        while (node && node.nodeType !== interfaces_2.NodeType.DocumentFragment) {
          node = node.parentNode;
        }
        if (node === null) {
          throw new Error("Node has no parent node while searching for document fragment ancestor. " + this._debugInfo());
        }
        return new XMLBuilderImpl2(node);
      } else {
        return new XMLBuilderImpl2(this._doc);
      }
    };
    XMLBuilderImpl2.prototype.root = function() {
      var ele = this._doc.documentElement;
      if (!ele) {
        throw new Error("Document root element is null. " + this._debugInfo());
      }
      return new XMLBuilderImpl2(ele);
    };
    XMLBuilderImpl2.prototype.up = function() {
      var parent = this._domNode.parentNode;
      if (!parent) {
        throw new Error("Parent node is null. " + this._debugInfo());
      }
      return new XMLBuilderImpl2(parent);
    };
    XMLBuilderImpl2.prototype.prev = function() {
      var node = this._domNode.previousSibling;
      if (!node) {
        throw new Error("Previous sibling node is null. " + this._debugInfo());
      }
      return new XMLBuilderImpl2(node);
    };
    XMLBuilderImpl2.prototype.next = function() {
      var node = this._domNode.nextSibling;
      if (!node) {
        throw new Error("Next sibling node is null. " + this._debugInfo());
      }
      return new XMLBuilderImpl2(node);
    };
    XMLBuilderImpl2.prototype.first = function() {
      var node = this._domNode.firstChild;
      if (!node) {
        throw new Error("First child node is null. " + this._debugInfo());
      }
      return new XMLBuilderImpl2(node);
    };
    XMLBuilderImpl2.prototype.last = function() {
      var node = this._domNode.lastChild;
      if (!node) {
        throw new Error("Last child node is null. " + this._debugInfo());
      }
      return new XMLBuilderImpl2(node);
    };
    XMLBuilderImpl2.prototype.each = function(callback, self2, recursive, thisArg) {
      if (self2 === undefined) {
        self2 = false;
      }
      if (recursive === undefined) {
        recursive = false;
      }
      var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
      while (result[0]) {
        var nextResult = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
        callback.call(thisArg, new XMLBuilderImpl2(result[0]), result[1], result[2]);
        result = nextResult;
      }
      return this;
    };
    XMLBuilderImpl2.prototype.map = function(callback, self2, recursive, thisArg) {
      if (self2 === undefined) {
        self2 = false;
      }
      if (recursive === undefined) {
        recursive = false;
      }
      var result = [];
      this.each(function(node, index, level) {
        return result.push(callback.call(thisArg, node, index, level));
      }, self2, recursive);
      return result;
    };
    XMLBuilderImpl2.prototype.reduce = function(callback, initialValue, self2, recursive, thisArg) {
      if (self2 === undefined) {
        self2 = false;
      }
      if (recursive === undefined) {
        recursive = false;
      }
      var value = initialValue;
      this.each(function(node, index, level) {
        return value = callback.call(thisArg, value, node, index, level);
      }, self2, recursive);
      return value;
    };
    XMLBuilderImpl2.prototype.find = function(predicate, self2, recursive, thisArg) {
      if (self2 === undefined) {
        self2 = false;
      }
      if (recursive === undefined) {
        recursive = false;
      }
      var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
      while (result[0]) {
        var builder = new XMLBuilderImpl2(result[0]);
        if (predicate.call(thisArg, builder, result[1], result[2])) {
          return builder;
        }
        result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
      }
      return;
    };
    XMLBuilderImpl2.prototype.filter = function(predicate, self2, recursive, thisArg) {
      if (self2 === undefined) {
        self2 = false;
      }
      if (recursive === undefined) {
        recursive = false;
      }
      var result = [];
      this.each(function(node, index, level) {
        if (predicate.call(thisArg, node, index, level)) {
          result.push(node);
        }
      }, self2, recursive);
      return result;
    };
    XMLBuilderImpl2.prototype.every = function(predicate, self2, recursive, thisArg) {
      if (self2 === undefined) {
        self2 = false;
      }
      if (recursive === undefined) {
        recursive = false;
      }
      var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
      while (result[0]) {
        var builder = new XMLBuilderImpl2(result[0]);
        if (!predicate.call(thisArg, builder, result[1], result[2])) {
          return false;
        }
        result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
      }
      return true;
    };
    XMLBuilderImpl2.prototype.some = function(predicate, self2, recursive, thisArg) {
      if (self2 === undefined) {
        self2 = false;
      }
      if (recursive === undefined) {
        recursive = false;
      }
      var result = this._getFirstDescendantNode(this._domNode, self2, recursive);
      while (result[0]) {
        var builder = new XMLBuilderImpl2(result[0]);
        if (predicate.call(thisArg, builder, result[1], result[2])) {
          return true;
        }
        result = this._getNextDescendantNode(this._domNode, result[0], recursive, result[1], result[2]);
      }
      return false;
    };
    XMLBuilderImpl2.prototype.toArray = function(self2, recursive) {
      if (self2 === undefined) {
        self2 = false;
      }
      if (recursive === undefined) {
        recursive = false;
      }
      var result = [];
      this.each(function(node) {
        return result.push(node);
      }, self2, recursive);
      return result;
    };
    XMLBuilderImpl2.prototype.toString = function(writerOptions) {
      writerOptions = writerOptions || {};
      if (writerOptions.format === undefined) {
        writerOptions.format = "xml";
      }
      return this._serialize(writerOptions);
    };
    XMLBuilderImpl2.prototype.toObject = function(writerOptions) {
      writerOptions = writerOptions || {};
      if (writerOptions.format === undefined) {
        writerOptions.format = "object";
      }
      return this._serialize(writerOptions);
    };
    XMLBuilderImpl2.prototype.end = function(writerOptions) {
      writerOptions = writerOptions || {};
      if (writerOptions.format === undefined) {
        writerOptions.format = "xml";
      }
      return this.doc()._serialize(writerOptions);
    };
    XMLBuilderImpl2.prototype._getFirstDescendantNode = function(root, self2, recursive) {
      if (self2)
        return [this._domNode, 0, 0];
      else if (recursive)
        return this._getNextDescendantNode(root, root, recursive, 0, 0);
      else
        return [this._domNode.firstChild, 0, 1];
    };
    XMLBuilderImpl2.prototype._getNextDescendantNode = function(root, node, recursive, index, level) {
      if (recursive) {
        if (node.firstChild)
          return [node.firstChild, 0, level + 1];
        if (node === root)
          return [null, -1, -1];
        if (node.nextSibling)
          return [node.nextSibling, index + 1, level];
        var parent = node.parentNode;
        while (parent && parent !== root) {
          if (parent.nextSibling)
            return [parent.nextSibling, algorithm_1.tree_index(parent.nextSibling), level - 1];
          parent = parent.parentNode;
          level--;
        }
      } else {
        if (root === node)
          return [node.firstChild, 0, level + 1];
        else
          return [node.nextSibling, index + 1, level];
      }
      return [null, -1, -1];
    };
    XMLBuilderImpl2.prototype._serialize = function(writerOptions) {
      if (writerOptions.format === "xml") {
        var writer = new writers_1.XMLWriter(this._options, writerOptions);
        return writer.serialize(this.node);
      } else if (writerOptions.format === "map") {
        var writer = new writers_1.MapWriter(this._options, writerOptions);
        return writer.serialize(this.node);
      } else if (writerOptions.format === "object") {
        var writer = new writers_1.ObjectWriter(this._options, writerOptions);
        return writer.serialize(this.node);
      } else if (writerOptions.format === "json") {
        var writer = new writers_1.JSONWriter(this._options, writerOptions);
        return writer.serialize(this.node);
      } else if (writerOptions.format === "yaml") {
        var writer = new writers_1.YAMLWriter(this._options, writerOptions);
        return writer.serialize(this.node);
      } else {
        throw new Error("Invalid writer format: " + writerOptions.format + ". " + this._debugInfo());
      }
    };
    XMLBuilderImpl2.prototype._extractNamespace = function(namespace, name, ele) {
      var atIndex = name.indexOf("@");
      if (atIndex > 0) {
        if (namespace === undefined)
          namespace = name.slice(atIndex + 1);
        name = name.slice(0, atIndex);
      }
      if (namespace === undefined) {
        namespace = ele ? this._options.defaultNamespace.ele : this._options.defaultNamespace.att;
      } else if (namespace !== null && namespace[0] === "@") {
        var alias = namespace.slice(1);
        namespace = this._options.namespaceAlias[alias];
        if (namespace === undefined) {
          throw new Error("Namespace alias `" + alias + "` is not defined. " + this._debugInfo());
        }
      }
      return [namespace, name];
    };
    XMLBuilderImpl2.prototype._updateNamespace = function(ns) {
      var e_2, _a, e_3, _b;
      var ele = this._domNode;
      if (util_2.Guard.isElementNode(ele) && ns !== null && ele.namespaceURI !== ns) {
        var _c = __read(algorithm_1.namespace_extractQName(ele.prefix ? ele.prefix + ":" + ele.localName : ele.localName), 2), elePrefix = _c[0], eleLocalName = _c[1];
        var newEle = algorithm_1.create_element(this._doc, eleLocalName, ns, elePrefix);
        try {
          for (var _d = __values(ele.attributes), _e = _d.next();!_e.done; _e = _d.next()) {
            var attr = _e.value;
            var attrQName = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
            var _f = __read(algorithm_1.namespace_extractQName(attrQName), 1), attrPrefix = _f[0];
            var newAttrNS = attr.namespaceURI;
            if (newAttrNS === null && attrPrefix !== null) {
              newAttrNS = ele.lookupNamespaceURI(attrPrefix);
            }
            if (newAttrNS === null) {
              newEle.setAttribute(attrQName, attr.value);
            } else {
              newEle.setAttributeNS(newAttrNS, attrQName, attr.value);
            }
          }
        } catch (e_2_1) {
          e_2 = { error: e_2_1 };
        } finally {
          try {
            if (_e && !_e.done && (_a = _d.return))
              _a.call(_d);
          } finally {
            if (e_2)
              throw e_2.error;
          }
        }
        var parent = ele.parentNode;
        if (parent === null) {
          throw new Error("Parent node is null." + this._debugInfo());
        }
        parent.replaceChild(newEle, ele);
        this._domNode = newEle;
        try {
          for (var _g = __values(ele.childNodes), _h = _g.next();!_h.done; _h = _g.next()) {
            var childNode = _h.value;
            var newChildNode = childNode.cloneNode(true);
            newEle.appendChild(newChildNode);
            if (util_2.Guard.isElementNode(newChildNode)) {
              var _j = __read(algorithm_1.namespace_extractQName(newChildNode.prefix ? newChildNode.prefix + ":" + newChildNode.localName : newChildNode.localName), 1), newChildNodePrefix = _j[0];
              var newChildNodeNS = newEle.lookupNamespaceURI(newChildNodePrefix);
              new XMLBuilderImpl2(newChildNode)._updateNamespace(newChildNodeNS);
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (_h && !_h.done && (_b = _g.return))
              _b.call(_g);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
      }
    };
    Object.defineProperty(XMLBuilderImpl2.prototype, "_doc", {
      get: function() {
        var node = this.node;
        if (util_2.Guard.isDocumentNode(node)) {
          return node;
        } else {
          var docNode = node.ownerDocument;
          if (!docNode)
            throw new Error("Owner document is null. " + this._debugInfo());
          return docNode;
        }
      },
      enumerable: true,
      configurable: true
    });
    XMLBuilderImpl2.prototype._debugInfo = function(name) {
      var node = this.node;
      var parentNode = node.parentNode;
      name = name || node.nodeName;
      var parentName = parentNode ? parentNode.nodeName : "";
      if (!parentName) {
        return "node: <" + name + ">";
      } else {
        return "node: <" + name + ">, parent: <" + parentName + ">";
      }
    };
    Object.defineProperty(XMLBuilderImpl2.prototype, "_options", {
      get: function() {
        var doc = this._doc;
        if (doc._xmlBuilderOptions === undefined) {
          throw new Error("Builder options is not set.");
        }
        return doc._xmlBuilderOptions;
      },
      set: function(value) {
        var doc = this._doc;
        doc._xmlBuilderOptions = value;
      },
      enumerable: true,
      configurable: true
    });
    return XMLBuilderImpl2;
  }();
  exports.XMLBuilderImpl = XMLBuilderImpl;
});

// ../../node_modules/xmlbuilder2/lib/builder/BuilderFunctions.js
var require_BuilderFunctions = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces();
  var util_1 = require_lib();
  var util_2 = require_util();
  var _1 = require_builder();
  var dom_1 = require_dom2();
  function builder(p1, p2) {
    var options = formatBuilderOptions(isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
    var nodes = util_2.Guard.isNode(p1) || util_1.isArray(p1) ? p1 : p2;
    if (nodes === undefined) {
      throw new Error("Invalid arguments.");
    }
    if (util_1.isArray(nodes)) {
      var builders = [];
      for (var i = 0;i < nodes.length; i++) {
        var builder_1 = new _1.XMLBuilderImpl(nodes[i]);
        builder_1.set(options);
        builders.push(builder_1);
      }
      return builders;
    } else {
      var builder_2 = new _1.XMLBuilderImpl(nodes);
      builder_2.set(options);
      return builder_2;
    }
  }
  exports.builder = builder;
  function create(p1, p2) {
    var options = formatBuilderOptions(p1 === undefined || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
    var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
    var doc = dom_1.createDocument();
    setOptions(doc, options);
    var builder2 = new _1.XMLBuilderImpl(doc);
    if (contents !== undefined) {
      builder2.ele(contents);
    }
    return builder2;
  }
  exports.create = create;
  function fragment(p1, p2) {
    var options = formatBuilderOptions(p1 === undefined || isXMLBuilderCreateOptions(p1) ? p1 : interfaces_1.DefaultBuilderOptions);
    var contents = isXMLBuilderCreateOptions(p1) ? p2 : p1;
    var doc = dom_1.createDocument();
    setOptions(doc, options, true);
    var builder2 = new _1.XMLBuilderImpl(doc.createDocumentFragment());
    if (contents !== undefined) {
      builder2.ele(contents);
    }
    return builder2;
  }
  exports.fragment = fragment;
  function convert(p1, p2, p3) {
    var builderOptions;
    var contents;
    var convertOptions;
    if (isXMLBuilderCreateOptions(p1) && p2 !== undefined) {
      builderOptions = p1;
      contents = p2;
      convertOptions = p3;
    } else {
      builderOptions = interfaces_1.DefaultBuilderOptions;
      contents = p1;
      convertOptions = p2 || undefined;
    }
    return create(builderOptions, contents).end(convertOptions);
  }
  exports.convert = convert;
  function isXMLBuilderCreateOptions(obj) {
    if (!util_1.isPlainObject(obj))
      return false;
    for (var key in obj) {
      if (obj.hasOwnProperty(key)) {
        if (!interfaces_1.XMLBuilderOptionKeys.has(key))
          return false;
      }
    }
    return true;
  }
  function formatBuilderOptions(createOptions) {
    if (createOptions === undefined) {
      createOptions = {};
    }
    var options = util_1.applyDefaults(createOptions, interfaces_1.DefaultBuilderOptions);
    if (options.convert.att.length === 0 || options.convert.ins.length === 0 || options.convert.text.length === 0 || options.convert.cdata.length === 0 || options.convert.comment.length === 0) {
      throw new Error("JS object converter strings cannot be zero length.");
    }
    return options;
  }
  function setOptions(doc, options, isFragment) {
    var docWithSettings = doc;
    docWithSettings._xmlBuilderOptions = options;
    docWithSettings._isFragment = isFragment;
  }
});

// ../../node_modules/xmlbuilder2/lib/writers/BaseCBWriter.js
var require_BaseCBWriter = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var BaseCBWriter = function() {
    function BaseCBWriter2(builderOptions) {
      this.level = 0;
      this._builderOptions = builderOptions;
      this._writerOptions = builderOptions;
    }
    return BaseCBWriter2;
  }();
  exports.BaseCBWriter = BaseCBWriter;
});

// ../../node_modules/xmlbuilder2/lib/writers/XMLCBWriter.js
var require_XMLCBWriter = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var BaseCBWriter_1 = require_BaseCBWriter();
  var XMLCBWriter = function(_super) {
    __extends(XMLCBWriter2, _super);
    function XMLCBWriter2(builderOptions) {
      var _this = _super.call(this, builderOptions) || this;
      _this._lineLength = 0;
      return _this;
    }
    XMLCBWriter2.prototype.frontMatter = function() {
      return "";
    };
    XMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
      var markup = this._beginLine() + "<?xml";
      markup += ' version="' + version + '"';
      if (encoding !== undefined) {
        markup += ' encoding="' + encoding + '"';
      }
      if (standalone !== undefined) {
        markup += ' standalone="' + (standalone ? "yes" : "no") + '"';
      }
      markup += "?>";
      return markup;
    };
    XMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
      var markup = this._beginLine();
      if (publicId && systemId) {
        markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '" "' + systemId + '">';
      } else if (publicId) {
        markup += "<!DOCTYPE " + name + ' PUBLIC "' + publicId + '">';
      } else if (systemId) {
        markup += "<!DOCTYPE " + name + ' SYSTEM "' + systemId + '">';
      } else {
        markup += "<!DOCTYPE " + name + ">";
      }
      return markup;
    };
    XMLCBWriter2.prototype.comment = function(data) {
      return this._beginLine() + "<!--" + data + "-->";
    };
    XMLCBWriter2.prototype.text = function(data) {
      return this._beginLine() + data;
    };
    XMLCBWriter2.prototype.instruction = function(target, data) {
      if (data) {
        return this._beginLine() + "<?" + target + " " + data + "?>";
      } else {
        return this._beginLine() + "<?" + target + "?>";
      }
    };
    XMLCBWriter2.prototype.cdata = function(data) {
      return this._beginLine() + "<![CDATA[" + data + "]]>";
    };
    XMLCBWriter2.prototype.openTagBegin = function(name) {
      this._lineLength += 1 + name.length;
      return this._beginLine() + "<" + name;
    };
    XMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
      if (voidElement) {
        return " />";
      } else if (selfClosing) {
        if (this._writerOptions.allowEmptyTags) {
          return "></" + name + ">";
        } else if (this._writerOptions.spaceBeforeSlash) {
          return " />";
        } else {
          return "/>";
        }
      } else {
        return ">";
      }
    };
    XMLCBWriter2.prototype.closeTag = function(name) {
      return this._beginLine() + "</" + name + ">";
    };
    XMLCBWriter2.prototype.attribute = function(name, value) {
      var str = name + '="' + value + '"';
      if (this._writerOptions.prettyPrint && this._writerOptions.width > 0 && this._lineLength + 1 + str.length > this._writerOptions.width) {
        str = this._beginLine() + this._indent(1) + str;
        this._lineLength = str.length;
        return str;
      } else {
        this._lineLength += 1 + str.length;
        return " " + str;
      }
    };
    XMLCBWriter2.prototype.beginElement = function(name) {
    };
    XMLCBWriter2.prototype.endElement = function(name) {
    };
    XMLCBWriter2.prototype._beginLine = function() {
      if (this._writerOptions.prettyPrint) {
        var str = (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level);
        this._lineLength = str.length;
        return str;
      } else {
        return "";
      }
    };
    XMLCBWriter2.prototype._indent = function(level) {
      if (level <= 0) {
        return "";
      } else {
        return this._writerOptions.indent.repeat(level);
      }
    };
    return XMLCBWriter2;
  }(BaseCBWriter_1.BaseCBWriter);
  exports.XMLCBWriter = XMLCBWriter;
});

// ../../node_modules/xmlbuilder2/lib/writers/JSONCBWriter.js
var require_JSONCBWriter = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var BaseCBWriter_1 = require_BaseCBWriter();
  var JSONCBWriter = function(_super) {
    __extends(JSONCBWriter2, _super);
    function JSONCBWriter2(builderOptions) {
      var _this = _super.call(this, builderOptions) || this;
      _this._hasChildren = [];
      _this._additionalLevel = 0;
      return _this;
    }
    JSONCBWriter2.prototype.frontMatter = function() {
      return "";
    };
    JSONCBWriter2.prototype.declaration = function(version, encoding, standalone) {
      return "";
    };
    JSONCBWriter2.prototype.docType = function(name, publicId, systemId) {
      return "";
    };
    JSONCBWriter2.prototype.comment = function(data) {
      return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.comment) + this._sep() + this._val(data) + this._sep() + "}";
    };
    JSONCBWriter2.prototype.text = function(data) {
      return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.text) + this._sep() + this._val(data) + this._sep() + "}";
    };
    JSONCBWriter2.prototype.instruction = function(target, data) {
      return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.ins) + this._sep() + this._val(data ? target + " " + data : target) + this._sep() + "}";
    };
    JSONCBWriter2.prototype.cdata = function(data) {
      return this._comma() + this._beginLine() + "{" + this._sep() + this._key(this._builderOptions.convert.cdata) + this._sep() + this._val(data) + this._sep() + "}";
    };
    JSONCBWriter2.prototype.attribute = function(name, value) {
      return this._comma() + this._beginLine(1) + "{" + this._sep() + this._key(this._builderOptions.convert.att + name) + this._sep() + this._val(value) + this._sep() + "}";
    };
    JSONCBWriter2.prototype.openTagBegin = function(name) {
      var str = this._comma() + this._beginLine() + "{" + this._sep() + this._key(name) + this._sep() + "{";
      this._additionalLevel++;
      this.hasData = true;
      str += this._beginLine() + this._key(this._builderOptions.convert.text) + this._sep() + "[";
      this._hasChildren.push(false);
      return str;
    };
    JSONCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
      if (selfClosing) {
        var str = this._sep() + "]";
        this._additionalLevel--;
        str += this._beginLine() + "}" + this._sep() + "}";
        return str;
      } else {
        return "";
      }
    };
    JSONCBWriter2.prototype.closeTag = function(name) {
      var str = this._beginLine() + "]";
      this._additionalLevel--;
      str += this._beginLine() + "}" + this._sep() + "}";
      return str;
    };
    JSONCBWriter2.prototype.beginElement = function(name) {
    };
    JSONCBWriter2.prototype.endElement = function(name) {
      this._hasChildren.pop();
    };
    JSONCBWriter2.prototype._beginLine = function(additionalOffset) {
      if (additionalOffset === undefined) {
        additionalOffset = 0;
      }
      if (this._writerOptions.prettyPrint) {
        return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level + additionalOffset);
      } else {
        return "";
      }
    };
    JSONCBWriter2.prototype._indent = function(level) {
      if (level + this._additionalLevel <= 0) {
        return "";
      } else {
        return this._writerOptions.indent.repeat(level + this._additionalLevel);
      }
    };
    JSONCBWriter2.prototype._comma = function() {
      var str = this._hasChildren[this._hasChildren.length - 1] ? "," : "";
      if (this._hasChildren.length > 0) {
        this._hasChildren[this._hasChildren.length - 1] = true;
      }
      return str;
    };
    JSONCBWriter2.prototype._sep = function() {
      return this._writerOptions.prettyPrint ? " " : "";
    };
    JSONCBWriter2.prototype._key = function(key) {
      return '"' + key + '":';
    };
    JSONCBWriter2.prototype._val = function(val) {
      return JSON.stringify(val);
    };
    return JSONCBWriter2;
  }(BaseCBWriter_1.BaseCBWriter);
  exports.JSONCBWriter = JSONCBWriter;
});

// ../../node_modules/xmlbuilder2/lib/writers/YAMLCBWriter.js
var require_YAMLCBWriter = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  Object.defineProperty(exports, "__esModule", { value: true });
  var BaseCBWriter_1 = require_BaseCBWriter();
  var YAMLCBWriter = function(_super) {
    __extends(YAMLCBWriter2, _super);
    function YAMLCBWriter2(builderOptions) {
      var _this = _super.call(this, builderOptions) || this;
      _this._rootWritten = false;
      _this._additionalLevel = 0;
      if (builderOptions.indent.length < 2) {
        throw new Error("YAML indententation string must be at least two characters long.");
      }
      if (builderOptions.offset < 0) {
        throw new Error("YAML offset should be zero or a positive number.");
      }
      return _this;
    }
    YAMLCBWriter2.prototype.frontMatter = function() {
      return this._beginLine() + "---";
    };
    YAMLCBWriter2.prototype.declaration = function(version, encoding, standalone) {
      return "";
    };
    YAMLCBWriter2.prototype.docType = function(name, publicId, systemId) {
      return "";
    };
    YAMLCBWriter2.prototype.comment = function(data) {
      return this._beginLine() + this._key(this._builderOptions.convert.comment) + " " + this._val(data);
    };
    YAMLCBWriter2.prototype.text = function(data) {
      return this._beginLine() + this._key(this._builderOptions.convert.text) + " " + this._val(data);
    };
    YAMLCBWriter2.prototype.instruction = function(target, data) {
      return this._beginLine() + this._key(this._builderOptions.convert.ins) + " " + this._val(data ? target + " " + data : target);
    };
    YAMLCBWriter2.prototype.cdata = function(data) {
      return this._beginLine() + this._key(this._builderOptions.convert.cdata) + " " + this._val(data);
    };
    YAMLCBWriter2.prototype.attribute = function(name, value) {
      this._additionalLevel++;
      var str = this._beginLine() + this._key(this._builderOptions.convert.att + name) + " " + this._val(value);
      this._additionalLevel--;
      return str;
    };
    YAMLCBWriter2.prototype.openTagBegin = function(name) {
      var str = this._beginLine() + this._key(name);
      if (!this._rootWritten) {
        this._rootWritten = true;
      }
      this.hasData = true;
      this._additionalLevel++;
      str += this._beginLine(true) + this._key(this._builderOptions.convert.text);
      return str;
    };
    YAMLCBWriter2.prototype.openTagEnd = function(name, selfClosing, voidElement) {
      if (selfClosing) {
        return " " + this._val("");
      }
      return "";
    };
    YAMLCBWriter2.prototype.closeTag = function(name) {
      this._additionalLevel--;
      return "";
    };
    YAMLCBWriter2.prototype.beginElement = function(name) {
    };
    YAMLCBWriter2.prototype.endElement = function(name) {
    };
    YAMLCBWriter2.prototype._beginLine = function(suppressArray) {
      if (suppressArray === undefined) {
        suppressArray = false;
      }
      return (this.hasData ? this._writerOptions.newline : "") + this._indent(this._writerOptions.offset + this.level, suppressArray);
    };
    YAMLCBWriter2.prototype._indent = function(level, suppressArray) {
      if (level + this._additionalLevel <= 0) {
        return "";
      } else {
        var chars = this._writerOptions.indent.repeat(level + this._additionalLevel);
        if (!suppressArray && this._rootWritten) {
          return chars.substr(0, chars.length - 2) + "-" + chars.substr(-1, 1);
        }
        return chars;
      }
    };
    YAMLCBWriter2.prototype._key = function(key) {
      return '"' + key + '":';
    };
    YAMLCBWriter2.prototype._val = function(val) {
      return JSON.stringify(val);
    };
    return YAMLCBWriter2;
  }(BaseCBWriter_1.BaseCBWriter);
  exports.YAMLCBWriter = YAMLCBWriter;
});

// ../../node_modules/xmlbuilder2/lib/builder/XMLBuilderCBImpl.js
var require_XMLBuilderCBImpl = __commonJS((exports) => {
  var __extends = exports && exports.__extends || function() {
    var extendStatics = function(d, b) {
      extendStatics = Object.setPrototypeOf || { __proto__: [] } instanceof Array && function(d2, b2) {
        d2.__proto__ = b2;
      } || function(d2, b2) {
        for (var p in b2)
          if (b2.hasOwnProperty(p))
            d2[p] = b2[p];
      };
      return extendStatics(d, b);
    };
    return function(d, b) {
      extendStatics(d, b);
      function __() {
        this.constructor = d;
      }
      d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __);
    };
  }();
  var __values = exports && exports.__values || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m)
      return m.call(o);
    if (o && typeof o.length === "number")
      return {
        next: function() {
          if (o && i >= o.length)
            o = undefined;
          return { value: o && o[i++], done: !o };
        }
      };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
  };
  var __read = exports && exports.__read || function(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m)
      return o;
    var i = m.call(o), r, ar = [], e;
    try {
      while ((n === undefined || n-- > 0) && !(r = i.next()).done)
        ar.push(r.value);
    } catch (error) {
      e = { error };
    } finally {
      try {
        if (r && !r.done && (m = i["return"]))
          m.call(i);
      } finally {
        if (e)
          throw e.error;
      }
    }
    return ar;
  };
  Object.defineProperty(exports, "__esModule", { value: true });
  var interfaces_1 = require_interfaces();
  var util_1 = require_lib();
  var BuilderFunctions_1 = require_BuilderFunctions();
  var algorithm_1 = require_algorithm();
  var infra_1 = require_lib2();
  var NamespacePrefixMap_1 = require_NamespacePrefixMap();
  var LocalNameSet_1 = require_LocalNameSet();
  var util_2 = require_util();
  var XMLCBWriter_1 = require_XMLCBWriter();
  var JSONCBWriter_1 = require_JSONCBWriter();
  var YAMLCBWriter_1 = require_YAMLCBWriter();
  var events_1 = __require("events");
  var XMLBuilderCBImpl = function(_super) {
    __extends(XMLBuilderCBImpl2, _super);
    function XMLBuilderCBImpl2(options, fragment) {
      if (fragment === undefined) {
        fragment = false;
      }
      var _this = _super.call(this) || this;
      _this._hasDeclaration = false;
      _this._docTypeName = "";
      _this._hasDocumentElement = false;
      _this._currentElementSerialized = false;
      _this._openTags = [];
      _this._ended = false;
      _this._fragment = fragment;
      _this._options = util_1.applyDefaults(options || {}, interfaces_1.DefaultXMLBuilderCBOptions);
      _this._builderOptions = {
        defaultNamespace: _this._options.defaultNamespace,
        namespaceAlias: _this._options.namespaceAlias
      };
      if (_this._options.format === "json") {
        _this._writer = new JSONCBWriter_1.JSONCBWriter(_this._options);
      } else if (_this._options.format === "yaml") {
        _this._writer = new YAMLCBWriter_1.YAMLCBWriter(_this._options);
      } else {
        _this._writer = new XMLCBWriter_1.XMLCBWriter(_this._options);
      }
      if (_this._options.data !== undefined) {
        _this.on("data", _this._options.data);
      }
      if (_this._options.end !== undefined) {
        _this.on("end", _this._options.end);
      }
      if (_this._options.error !== undefined) {
        _this.on("error", _this._options.error);
      }
      _this._prefixMap = new NamespacePrefixMap_1.NamespacePrefixMap;
      _this._prefixMap.set("xml", infra_1.namespace.XML);
      _this._prefixIndex = { value: 1 };
      _this._push(_this._writer.frontMatter());
      return _this;
    }
    XMLBuilderCBImpl2.prototype.ele = function(p1, p2, p3) {
      var e_1, _a;
      if (util_1.isObject(p1) || util_1.isString(p1) && (/^\s*</.test(p1) || /^\s*[\{\[]/.test(p1) || /^(\s*|(#.*)|(%.*))*---/.test(p1))) {
        var frag = BuilderFunctions_1.fragment().set(this._options);
        try {
          frag.ele(p1);
        } catch (err) {
          this.emit("error", err);
          return this;
        }
        try {
          for (var _b = __values(frag.node.childNodes), _c = _b.next();!_c.done; _c = _b.next()) {
            var node = _c.value;
            this._fromNode(node);
          }
        } catch (e_1_1) {
          e_1 = { error: e_1_1 };
        } finally {
          try {
            if (_c && !_c.done && (_a = _b.return))
              _a.call(_b);
          } finally {
            if (e_1)
              throw e_1.error;
          }
        }
        return this;
      }
      this._serializeOpenTag(true);
      if (!this._fragment && this._hasDocumentElement && this._writer.level === 0) {
        this.emit("error", new Error("Document cannot have multiple document element nodes."));
        return this;
      }
      try {
        this._currentElement = BuilderFunctions_1.fragment(this._builderOptions).ele(p1, p2, p3);
      } catch (err) {
        this.emit("error", err);
        return this;
      }
      if (!this._fragment && !this._hasDocumentElement && this._docTypeName !== "" && this._currentElement.node._qualifiedName !== this._docTypeName) {
        this.emit("error", new Error("Document element name does not match DocType declaration name."));
        return this;
      }
      this._currentElementSerialized = false;
      if (!this._fragment) {
        this._hasDocumentElement = true;
      }
      return this;
    };
    XMLBuilderCBImpl2.prototype.att = function(p1, p2, p3) {
      if (this._currentElement === undefined) {
        this.emit("error", new Error("Cannot insert an attribute node as child of a document node."));
        return this;
      }
      try {
        this._currentElement.att(p1, p2, p3);
      } catch (err) {
        this.emit("error", err);
        return this;
      }
      return this;
    };
    XMLBuilderCBImpl2.prototype.com = function(content) {
      this._serializeOpenTag(true);
      var node;
      try {
        node = BuilderFunctions_1.fragment(this._builderOptions).com(content).first().node;
      } catch (err) {
        this.emit("error", err);
        return this;
      }
      if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.data) || node.data.indexOf("--") !== -1 || node.data.endsWith("-"))) {
        this.emit("error", new Error("Comment data contains invalid characters (well-formed required)."));
        return this;
      }
      this._push(this._writer.comment(node.data));
      return this;
    };
    XMLBuilderCBImpl2.prototype.txt = function(content) {
      if (!this._fragment && this._currentElement === undefined) {
        this.emit("error", new Error("Cannot insert a text node as child of a document node."));
        return this;
      }
      this._serializeOpenTag(true);
      var node;
      try {
        node = BuilderFunctions_1.fragment(this._builderOptions).txt(content).first().node;
      } catch (err) {
        this.emit("error", err);
        return this;
      }
      if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
        this.emit("error", new Error("Text data contains invalid characters (well-formed required)."));
        return this;
      }
      var markup = node.data.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
      this._push(this._writer.text(markup));
      return this;
    };
    XMLBuilderCBImpl2.prototype.ins = function(target, content) {
      if (content === undefined) {
        content = "";
      }
      this._serializeOpenTag(true);
      var node;
      try {
        node = BuilderFunctions_1.fragment(this._builderOptions).ins(target, content).first().node;
      } catch (err) {
        this.emit("error", err);
        return this;
      }
      if (this._options.wellFormed && (node.target.indexOf(":") !== -1 || /^xml$/i.test(node.target))) {
        this.emit("error", new Error("Processing instruction target contains invalid characters (well-formed required)."));
        return this;
      }
      if (this._options.wellFormed && !algorithm_1.xml_isLegalChar(node.data)) {
        this.emit("error", Error("Processing instruction data contains invalid characters (well-formed required)."));
        return this;
      }
      this._push(this._writer.instruction(node.target, node.data));
      return this;
    };
    XMLBuilderCBImpl2.prototype.dat = function(content) {
      this._serializeOpenTag(true);
      var node;
      try {
        node = BuilderFunctions_1.fragment(this._builderOptions).dat(content).first().node;
      } catch (err) {
        this.emit("error", err);
        return this;
      }
      this._push(this._writer.cdata(node.data));
      return this;
    };
    XMLBuilderCBImpl2.prototype.dec = function(options) {
      if (options === undefined) {
        options = { version: "1.0" };
      }
      if (this._fragment) {
        this.emit("error", Error("Cannot insert an XML declaration into a document fragment."));
        return this;
      }
      if (this._hasDeclaration) {
        this.emit("error", Error("XML declaration is already inserted."));
        return this;
      }
      this._push(this._writer.declaration(options.version || "1.0", options.encoding, options.standalone));
      this._hasDeclaration = true;
      return this;
    };
    XMLBuilderCBImpl2.prototype.dtd = function(options) {
      if (this._fragment) {
        this.emit("error", Error("Cannot insert a DocType declaration into a document fragment."));
        return this;
      }
      if (this._docTypeName !== "") {
        this.emit("error", new Error("DocType declaration is already inserted."));
        return this;
      }
      if (this._hasDocumentElement) {
        this.emit("error", new Error("Cannot insert DocType declaration after document element."));
        return this;
      }
      var node;
      try {
        node = BuilderFunctions_1.create().dtd(options).first().node;
      } catch (err) {
        this.emit("error", err);
        return this;
      }
      if (this._options.wellFormed && !algorithm_1.xml_isPubidChar(node.publicId)) {
        this.emit("error", new Error("DocType public identifier does not match PubidChar construct (well-formed required)."));
        return this;
      }
      if (this._options.wellFormed && (!algorithm_1.xml_isLegalChar(node.systemId) || node.systemId.indexOf('"') !== -1 && node.systemId.indexOf("'") !== -1)) {
        this.emit("error", new Error("DocType system identifier contains invalid characters (well-formed required)."));
        return this;
      }
      this._docTypeName = options.name;
      this._push(this._writer.docType(options.name, node.publicId, node.systemId));
      return this;
    };
    XMLBuilderCBImpl2.prototype.import = function(node) {
      var e_2, _a;
      var frag = BuilderFunctions_1.fragment().set(this._options);
      try {
        frag.import(node);
      } catch (err) {
        this.emit("error", err);
        return this;
      }
      try {
        for (var _b = __values(frag.node.childNodes), _c = _b.next();!_c.done; _c = _b.next()) {
          var node_1 = _c.value;
          this._fromNode(node_1);
        }
      } catch (e_2_1) {
        e_2 = { error: e_2_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_2)
            throw e_2.error;
        }
      }
      return this;
    };
    XMLBuilderCBImpl2.prototype.up = function() {
      this._serializeOpenTag(false);
      this._serializeCloseTag();
      return this;
    };
    XMLBuilderCBImpl2.prototype.end = function() {
      this._serializeOpenTag(false);
      while (this._openTags.length > 0) {
        this._serializeCloseTag();
      }
      this._push(null);
      return this;
    };
    XMLBuilderCBImpl2.prototype._serializeOpenTag = function(hasChildren) {
      if (this._currentElementSerialized)
        return;
      if (this._currentElement === undefined)
        return;
      var node = this._currentElement.node;
      if (this._options.wellFormed && (node.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(node.localName))) {
        this.emit("error", new Error("Node local name contains invalid characters (well-formed required)."));
        return;
      }
      var qualifiedName = "";
      var ignoreNamespaceDefinitionAttribute = false;
      var map = this._prefixMap.copy();
      var localPrefixesMap = {};
      var localDefaultNamespace = this._recordNamespaceInformation(node, map, localPrefixesMap);
      var inheritedNS = this._openTags.length === 0 ? null : this._openTags[this._openTags.length - 1][1];
      var ns = node.namespaceURI;
      if (ns === null)
        ns = inheritedNS;
      if (inheritedNS === ns) {
        if (localDefaultNamespace !== null) {
          ignoreNamespaceDefinitionAttribute = true;
        }
        if (ns === infra_1.namespace.XML) {
          qualifiedName = "xml:" + node.localName;
        } else {
          qualifiedName = node.localName;
        }
        this._writer.beginElement(qualifiedName);
        this._push(this._writer.openTagBegin(qualifiedName));
      } else {
        var prefix = node.prefix;
        var candidatePrefix = null;
        if (prefix !== null || ns !== localDefaultNamespace) {
          candidatePrefix = map.get(prefix, ns);
        }
        if (prefix === "xmlns") {
          if (this._options.wellFormed) {
            this.emit("error", new Error("An element cannot have the 'xmlns' prefix (well-formed required)."));
            return;
          }
          candidatePrefix = prefix;
        }
        if (candidatePrefix !== null) {
          qualifiedName = candidatePrefix + ":" + node.localName;
          if (localDefaultNamespace !== null && localDefaultNamespace !== infra_1.namespace.XML) {
            inheritedNS = localDefaultNamespace || null;
          }
          this._writer.beginElement(qualifiedName);
          this._push(this._writer.openTagBegin(qualifiedName));
        } else if (prefix !== null) {
          if (prefix in localPrefixesMap) {
            prefix = this._generatePrefix(ns, map, this._prefixIndex);
          }
          map.set(prefix, ns);
          qualifiedName += prefix + ":" + node.localName;
          this._writer.beginElement(qualifiedName);
          this._push(this._writer.openTagBegin(qualifiedName));
          this._push(this._writer.attribute("xmlns:" + prefix, this._serializeAttributeValue(ns, this._options.wellFormed)));
          if (localDefaultNamespace !== null) {
            inheritedNS = localDefaultNamespace || null;
          }
        } else if (localDefaultNamespace === null || localDefaultNamespace !== null && localDefaultNamespace !== ns) {
          ignoreNamespaceDefinitionAttribute = true;
          qualifiedName += node.localName;
          inheritedNS = ns;
          this._writer.beginElement(qualifiedName);
          this._push(this._writer.openTagBegin(qualifiedName));
          this._push(this._writer.attribute("xmlns", this._serializeAttributeValue(ns, this._options.wellFormed)));
        } else {
          qualifiedName += node.localName;
          inheritedNS = ns;
          this._writer.beginElement(qualifiedName);
          this._push(this._writer.openTagBegin(qualifiedName));
        }
      }
      this._serializeAttributes(node, map, this._prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, this._options.wellFormed);
      var isHTML = ns === infra_1.namespace.HTML;
      if (isHTML && !hasChildren && XMLBuilderCBImpl2._VoidElementNames.has(node.localName)) {
        this._push(this._writer.openTagEnd(qualifiedName, true, true));
        this._writer.endElement(qualifiedName);
      } else if (!isHTML && !hasChildren) {
        this._push(this._writer.openTagEnd(qualifiedName, true, false));
        this._writer.endElement(qualifiedName);
      } else {
        this._push(this._writer.openTagEnd(qualifiedName, false, false));
      }
      this._currentElementSerialized = true;
      this._openTags.push([qualifiedName, inheritedNS, this._prefixMap, hasChildren]);
      if (this._isPrefixMapModified(this._prefixMap, map)) {
        this._prefixMap = map;
      }
      this._writer.level++;
    };
    XMLBuilderCBImpl2.prototype._serializeCloseTag = function() {
      this._writer.level--;
      var lastEle = this._openTags.pop();
      if (lastEle === undefined) {
        this.emit("error", new Error("Last element is undefined."));
        return;
      }
      var _a = __read(lastEle, 4), qualifiedName = _a[0], ns = _a[1], map = _a[2], hasChildren = _a[3];
      this._prefixMap = map;
      if (!hasChildren)
        return;
      this._push(this._writer.closeTag(qualifiedName));
      this._writer.endElement(qualifiedName);
    };
    XMLBuilderCBImpl2.prototype._push = function(data) {
      if (data === null) {
        this._ended = true;
        this.emit("end");
      } else if (this._ended) {
        this.emit("error", new Error("Cannot push to ended stream."));
      } else if (data.length !== 0) {
        this._writer.hasData = true;
        this.emit("data", data, this._writer.level);
      }
    };
    XMLBuilderCBImpl2.prototype._fromNode = function(node) {
      var e_3, _a, e_4, _b;
      if (util_2.Guard.isElementNode(node)) {
        var name = node.prefix ? node.prefix + ":" + node.localName : node.localName;
        if (node.namespaceURI !== null) {
          this.ele(node.namespaceURI, name);
        } else {
          this.ele(name);
        }
        try {
          for (var _c = __values(node.attributes), _d = _c.next();!_d.done; _d = _c.next()) {
            var attr = _d.value;
            var name_1 = attr.prefix ? attr.prefix + ":" + attr.localName : attr.localName;
            if (attr.namespaceURI !== null) {
              this.att(attr.namespaceURI, name_1, attr.value);
            } else {
              this.att(name_1, attr.value);
            }
          }
        } catch (e_3_1) {
          e_3 = { error: e_3_1 };
        } finally {
          try {
            if (_d && !_d.done && (_a = _c.return))
              _a.call(_c);
          } finally {
            if (e_3)
              throw e_3.error;
          }
        }
        try {
          for (var _e = __values(node.childNodes), _f = _e.next();!_f.done; _f = _e.next()) {
            var child2 = _f.value;
            this._fromNode(child2);
          }
        } catch (e_4_1) {
          e_4 = { error: e_4_1 };
        } finally {
          try {
            if (_f && !_f.done && (_b = _e.return))
              _b.call(_e);
          } finally {
            if (e_4)
              throw e_4.error;
          }
        }
        this.up();
      } else if (util_2.Guard.isExclusiveTextNode(node) && node.data) {
        this.txt(node.data);
      } else if (util_2.Guard.isCommentNode(node)) {
        this.com(node.data);
      } else if (util_2.Guard.isCDATASectionNode(node)) {
        this.dat(node.data);
      } else if (util_2.Guard.isProcessingInstructionNode(node)) {
        this.ins(node.target, node.data);
      }
    };
    XMLBuilderCBImpl2.prototype._serializeAttributes = function(node, map, prefixIndex, localPrefixesMap, ignoreNamespaceDefinitionAttribute, requireWellFormed) {
      var e_5, _a;
      var localNameSet = requireWellFormed ? new LocalNameSet_1.LocalNameSet : undefined;
      try {
        for (var _b = __values(node.attributes), _c = _b.next();!_c.done; _c = _b.next()) {
          var attr = _c.value;
          if (!requireWellFormed && !ignoreNamespaceDefinitionAttribute && attr.namespaceURI === null) {
            this._push(this._writer.attribute(attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
            continue;
          }
          if (requireWellFormed && localNameSet && localNameSet.has(attr.namespaceURI, attr.localName)) {
            this.emit("error", new Error("Element contains duplicate attributes (well-formed required)."));
            return;
          }
          if (requireWellFormed && localNameSet)
            localNameSet.set(attr.namespaceURI, attr.localName);
          var attributeNamespace = attr.namespaceURI;
          var candidatePrefix = null;
          if (attributeNamespace !== null) {
            candidatePrefix = map.get(attr.prefix, attributeNamespace);
            if (attributeNamespace === infra_1.namespace.XMLNS) {
              if (attr.value === infra_1.namespace.XML || attr.prefix === null && ignoreNamespaceDefinitionAttribute || attr.prefix !== null && (!(attr.localName in localPrefixesMap) || localPrefixesMap[attr.localName] !== attr.value) && map.has(attr.localName, attr.value))
                continue;
              if (requireWellFormed && attr.value === infra_1.namespace.XMLNS) {
                this.emit("error", new Error("XMLNS namespace is reserved (well-formed required)."));
                return;
              }
              if (requireWellFormed && attr.value === "") {
                this.emit("error", new Error("Namespace prefix declarations cannot be used to undeclare a namespace (well-formed required)."));
                return;
              }
              if (attr.prefix === "xmlns")
                candidatePrefix = "xmlns";
            } else if (candidatePrefix === null) {
              if (attr.prefix !== null && (!map.hasPrefix(attr.prefix) || map.has(attr.prefix, attributeNamespace))) {
                candidatePrefix = attr.prefix;
              } else {
                candidatePrefix = this._generatePrefix(attributeNamespace, map, prefixIndex);
              }
              this._push(this._writer.attribute("xmlns:" + candidatePrefix, this._serializeAttributeValue(attributeNamespace, this._options.wellFormed)));
            }
          }
          if (requireWellFormed && (attr.localName.indexOf(":") !== -1 || !algorithm_1.xml_isName(attr.localName) || attr.localName === "xmlns" && attributeNamespace === null)) {
            this.emit("error", new Error("Attribute local name contains invalid characters (well-formed required)."));
            return;
          }
          this._push(this._writer.attribute((candidatePrefix !== null ? candidatePrefix + ":" : "") + attr.localName, this._serializeAttributeValue(attr.value, this._options.wellFormed)));
        }
      } catch (e_5_1) {
        e_5 = { error: e_5_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_5)
            throw e_5.error;
        }
      }
    };
    XMLBuilderCBImpl2.prototype._serializeAttributeValue = function(value, requireWellFormed) {
      if (requireWellFormed && value !== null && !algorithm_1.xml_isLegalChar(value)) {
        this.emit("error", new Error("Invalid characters in attribute value."));
        return "";
      }
      if (value === null)
        return "";
      return value.replace(/(?!&(lt|gt|amp|apos|quot);)&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;");
    };
    XMLBuilderCBImpl2.prototype._recordNamespaceInformation = function(node, map, localPrefixesMap) {
      var e_6, _a;
      var defaultNamespaceAttrValue = null;
      try {
        for (var _b = __values(node.attributes), _c = _b.next();!_c.done; _c = _b.next()) {
          var attr = _c.value;
          var attributeNamespace = attr.namespaceURI;
          var attributePrefix = attr.prefix;
          if (attributeNamespace === infra_1.namespace.XMLNS) {
            if (attributePrefix === null) {
              defaultNamespaceAttrValue = attr.value;
              continue;
            } else {
              var prefixDefinition = attr.localName;
              var namespaceDefinition = attr.value;
              if (namespaceDefinition === infra_1.namespace.XML) {
                continue;
              }
              if (namespaceDefinition === "") {
                namespaceDefinition = null;
              }
              if (map.has(prefixDefinition, namespaceDefinition)) {
                continue;
              }
              map.set(prefixDefinition, namespaceDefinition);
              localPrefixesMap[prefixDefinition] = namespaceDefinition || "";
            }
          }
        }
      } catch (e_6_1) {
        e_6 = { error: e_6_1 };
      } finally {
        try {
          if (_c && !_c.done && (_a = _b.return))
            _a.call(_b);
        } finally {
          if (e_6)
            throw e_6.error;
        }
      }
      return defaultNamespaceAttrValue;
    };
    XMLBuilderCBImpl2.prototype._generatePrefix = function(newNamespace, prefixMap, prefixIndex) {
      var generatedPrefix = "ns" + prefixIndex.value;
      prefixIndex.value++;
      prefixMap.set(generatedPrefix, newNamespace);
      return generatedPrefix;
    };
    XMLBuilderCBImpl2.prototype._isPrefixMapModified = function(originalMap, newMap) {
      var items1 = originalMap._items;
      var items2 = newMap._items;
      var nullItems1 = originalMap._nullItems;
      var nullItems2 = newMap._nullItems;
      for (var key in items2) {
        var arr1 = items1[key];
        if (arr1 === undefined)
          return true;
        var arr2 = items2[key];
        if (arr1.length !== arr2.length)
          return true;
        for (var i = 0;i < arr1.length; i++) {
          if (arr1[i] !== arr2[i])
            return true;
        }
      }
      if (nullItems1.length !== nullItems2.length)
        return true;
      for (var i = 0;i < nullItems1.length; i++) {
        if (nullItems1[i] !== nullItems2[i])
          return true;
      }
      return false;
    };
    XMLBuilderCBImpl2._VoidElementNames = new Set([
      "area",
      "base",
      "basefont",
      "bgsound",
      "br",
      "col",
      "embed",
      "frame",
      "hr",
      "img",
      "input",
      "keygen",
      "link",
      "menuitem",
      "meta",
      "param",
      "source",
      "track",
      "wbr"
    ]);
    return XMLBuilderCBImpl2;
  }(events_1.EventEmitter);
  exports.XMLBuilderCBImpl = XMLBuilderCBImpl;
});

// ../../node_modules/xmlbuilder2/lib/builder/BuilderFunctionsCB.js
var require_BuilderFunctionsCB = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var _1 = require_builder();
  function createCB(options) {
    return new _1.XMLBuilderCBImpl(options);
  }
  exports.createCB = createCB;
  function fragmentCB(options) {
    return new _1.XMLBuilderCBImpl(options, true);
  }
  exports.fragmentCB = fragmentCB;
});

// ../../node_modules/xmlbuilder2/lib/builder/index.js
var require_builder = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var XMLBuilderImpl_1 = require_XMLBuilderImpl();
  exports.XMLBuilderImpl = XMLBuilderImpl_1.XMLBuilderImpl;
  var XMLBuilderCBImpl_1 = require_XMLBuilderCBImpl();
  exports.XMLBuilderCBImpl = XMLBuilderCBImpl_1.XMLBuilderCBImpl;
  var BuilderFunctions_1 = require_BuilderFunctions();
  exports.builder = BuilderFunctions_1.builder;
  exports.create = BuilderFunctions_1.create;
  exports.fragment = BuilderFunctions_1.fragment;
  exports.convert = BuilderFunctions_1.convert;
  var BuilderFunctionsCB_1 = require_BuilderFunctionsCB();
  exports.createCB = BuilderFunctionsCB_1.createCB;
  exports.fragmentCB = BuilderFunctionsCB_1.fragmentCB;
});

// ../../node_modules/xmlbuilder2/lib/index.js
var require_lib4 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  var builder_1 = require_builder();
  exports.builder = builder_1.builder;
  exports.create = builder_1.create;
  exports.fragment = builder_1.fragment;
  exports.convert = builder_1.convert;
  exports.createCB = builder_1.createCB;
  exports.fragmentCB = builder_1.fragmentCB;
});

// ../../node_modules/@sinclair/typebox/build/esm/type/guard/value.mjs
var exports_value = {};
__export(exports_value, {
  IsUndefined: () => IsUndefined,
  IsUint8Array: () => IsUint8Array,
  IsSymbol: () => IsSymbol,
  IsString: () => IsString,
  IsRegExp: () => IsRegExp,
  IsObject: () => IsObject,
  IsNumber: () => IsNumber,
  IsNull: () => IsNull,
  IsIterator: () => IsIterator,
  IsFunction: () => IsFunction,
  IsDate: () => IsDate,
  IsBoolean: () => IsBoolean,
  IsBigInt: () => IsBigInt,
  IsAsyncIterator: () => IsAsyncIterator,
  IsArray: () => IsArray,
  HasPropertyKey: () => HasPropertyKey
});
function HasPropertyKey(value, key) {
  return key in value;
}
function IsAsyncIterator(value) {
  return IsObject(value) && !IsArray(value) && !IsUint8Array(value) && Symbol.asyncIterator in value;
}
function IsArray(value) {
  return Array.isArray(value);
}
function IsBigInt(value) {
  return typeof value === "bigint";
}
function IsBoolean(value) {
  return typeof value === "boolean";
}
function IsDate(value) {
  return value instanceof globalThis.Date;
}
function IsFunction(value) {
  return typeof value === "function";
}
function IsIterator(value) {
  return IsObject(value) && !IsArray(value) && !IsUint8Array(value) && Symbol.iterator in value;
}
function IsNull(value) {
  return value === null;
}
function IsNumber(value) {
  return typeof value === "number";
}
function IsObject(value) {
  return typeof value === "object" && value !== null;
}
function IsRegExp(value) {
  return value instanceof globalThis.RegExp;
}
function IsString(value) {
  return typeof value === "string";
}
function IsSymbol(value) {
  return typeof value === "symbol";
}
function IsUint8Array(value) {
  return value instanceof globalThis.Uint8Array;
}
function IsUndefined(value) {
  return value === undefined;
}

// ../../node_modules/@sinclair/typebox/build/esm/type/clone/value.mjs
function ArrayType(value) {
  return value.map((value2) => Visit(value2));
}
function DateType(value) {
  return new Date(value.getTime());
}
function Uint8ArrayType(value) {
  return new Uint8Array(value);
}
function RegExpType(value) {
  return new RegExp(value.source, value.flags);
}
function ObjectType(value) {
  const result = {};
  for (const key of Object.getOwnPropertyNames(value)) {
    result[key] = Visit(value[key]);
  }
  for (const key of Object.getOwnPropertySymbols(value)) {
    result[key] = Visit(value[key]);
  }
  return result;
}
function Visit(value) {
  return IsArray(value) ? ArrayType(value) : IsDate(value) ? DateType(value) : IsUint8Array(value) ? Uint8ArrayType(value) : IsRegExp(value) ? RegExpType(value) : IsObject(value) ? ObjectType(value) : value;
}
function Clone(value) {
  return Visit(value);
}
var init_value = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/clone/type.mjs
function CloneType(schema, options) {
  return options === undefined ? Clone(schema) : Clone({ ...options, ...schema });
}
var init_type = __esm(() => {
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/clone/index.mjs
var init_clone = __esm(() => {
  init_type();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/guard/guard.mjs
function IsAsyncIterator2(value2) {
  return IsObject2(value2) && globalThis.Symbol.asyncIterator in value2;
}
function IsIterator2(value2) {
  return IsObject2(value2) && globalThis.Symbol.iterator in value2;
}
function IsStandardObject(value2) {
  return IsObject2(value2) && (globalThis.Object.getPrototypeOf(value2) === Object.prototype || globalThis.Object.getPrototypeOf(value2) === null);
}
function IsPromise(value2) {
  return value2 instanceof globalThis.Promise;
}
function IsDate2(value2) {
  return value2 instanceof Date && globalThis.Number.isFinite(value2.getTime());
}
function IsMap(value2) {
  return value2 instanceof globalThis.Map;
}
function IsSet(value2) {
  return value2 instanceof globalThis.Set;
}
function IsTypedArray(value2) {
  return globalThis.ArrayBuffer.isView(value2);
}
function IsUint8Array2(value2) {
  return value2 instanceof globalThis.Uint8Array;
}
function HasPropertyKey2(value2, key) {
  return key in value2;
}
function IsObject2(value2) {
  return value2 !== null && typeof value2 === "object";
}
function IsArray2(value2) {
  return globalThis.Array.isArray(value2) && !globalThis.ArrayBuffer.isView(value2);
}
function IsUndefined2(value2) {
  return value2 === undefined;
}
function IsNull2(value2) {
  return value2 === null;
}
function IsBoolean2(value2) {
  return typeof value2 === "boolean";
}
function IsNumber2(value2) {
  return typeof value2 === "number";
}
function IsInteger(value2) {
  return globalThis.Number.isInteger(value2);
}
function IsBigInt2(value2) {
  return typeof value2 === "bigint";
}
function IsString2(value2) {
  return typeof value2 === "string";
}
function IsFunction2(value2) {
  return typeof value2 === "function";
}
function IsSymbol2(value2) {
  return typeof value2 === "symbol";
}
function IsValueType(value2) {
  return IsBigInt2(value2) || IsBoolean2(value2) || IsNull2(value2) || IsNumber2(value2) || IsString2(value2) || IsSymbol2(value2) || IsUndefined2(value2);
}

// ../../node_modules/@sinclair/typebox/build/esm/value/guard/index.mjs
var init_guard = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/system/policy.mjs
var TypeSystemPolicy;
var init_policy = __esm(() => {
  init_guard();
  (function(TypeSystemPolicy2) {
    TypeSystemPolicy2.InstanceMode = "default";
    TypeSystemPolicy2.ExactOptionalPropertyTypes = false;
    TypeSystemPolicy2.AllowArrayObject = false;
    TypeSystemPolicy2.AllowNaN = false;
    TypeSystemPolicy2.AllowNullVoid = false;
    function IsExactOptionalProperty(value2, key) {
      return TypeSystemPolicy2.ExactOptionalPropertyTypes ? key in value2 : value2[key] !== undefined;
    }
    TypeSystemPolicy2.IsExactOptionalProperty = IsExactOptionalProperty;
    function IsObjectLike(value2) {
      const isObject = IsObject2(value2);
      return TypeSystemPolicy2.AllowArrayObject ? isObject : isObject && !IsArray2(value2);
    }
    TypeSystemPolicy2.IsObjectLike = IsObjectLike;
    function IsRecordLike(value2) {
      return IsObjectLike(value2) && !(value2 instanceof Date) && !(value2 instanceof Uint8Array);
    }
    TypeSystemPolicy2.IsRecordLike = IsRecordLike;
    function IsNumberLike(value2) {
      return TypeSystemPolicy2.AllowNaN ? IsNumber2(value2) : Number.isFinite(value2);
    }
    TypeSystemPolicy2.IsNumberLike = IsNumberLike;
    function IsVoidLike(value2) {
      const isUndefined = IsUndefined2(value2);
      return TypeSystemPolicy2.AllowNullVoid ? isUndefined || value2 === null : isUndefined;
    }
    TypeSystemPolicy2.IsVoidLike = IsVoidLike;
  })(TypeSystemPolicy || (TypeSystemPolicy = {}));
});

// ../../node_modules/@sinclair/typebox/build/esm/type/create/immutable.mjs
function ImmutableArray(value2) {
  return globalThis.Object.freeze(value2).map((value3) => Immutable(value3));
}
function ImmutableDate(value2) {
  return value2;
}
function ImmutableUint8Array(value2) {
  return value2;
}
function ImmutableRegExp(value2) {
  return value2;
}
function ImmutableObject(value2) {
  const result = {};
  for (const key of Object.getOwnPropertyNames(value2)) {
    result[key] = Immutable(value2[key]);
  }
  for (const key of Object.getOwnPropertySymbols(value2)) {
    result[key] = Immutable(value2[key]);
  }
  return globalThis.Object.freeze(result);
}
function Immutable(value2) {
  return IsArray(value2) ? ImmutableArray(value2) : IsDate(value2) ? ImmutableDate(value2) : IsUint8Array(value2) ? ImmutableUint8Array(value2) : IsRegExp(value2) ? ImmutableRegExp(value2) : IsObject(value2) ? ImmutableObject(value2) : value2;
}
var init_immutable = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/create/type.mjs
function CreateType(schema, options) {
  const result = options !== undefined ? { ...options, ...schema } : schema;
  switch (TypeSystemPolicy.InstanceMode) {
    case "freeze":
      return Immutable(result);
    case "clone":
      return Clone(result);
    default:
      return result;
  }
}
var init_type2 = __esm(() => {
  init_policy();
  init_immutable();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/create/index.mjs
var init_create = __esm(() => {
  init_type2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/error/error.mjs
var TypeBoxError;
var init_error = __esm(() => {
  TypeBoxError = class TypeBoxError extends Error {
    constructor(message) {
      super(message);
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/type/error/index.mjs
var init_error2 = __esm(() => {
  init_error();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/symbols/symbols.mjs
var TransformKind, ReadonlyKind, OptionalKind, Hint, Kind;
var init_symbols = __esm(() => {
  TransformKind = Symbol.for("TypeBox.Transform");
  ReadonlyKind = Symbol.for("TypeBox.Readonly");
  OptionalKind = Symbol.for("TypeBox.Optional");
  Hint = Symbol.for("TypeBox.Hint");
  Kind = Symbol.for("TypeBox.Kind");
});

// ../../node_modules/@sinclair/typebox/build/esm/type/symbols/index.mjs
var init_symbols2 = __esm(() => {
  init_symbols();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/guard/kind.mjs
function IsReadonly(value2) {
  return IsObject(value2) && value2[ReadonlyKind] === "Readonly";
}
function IsOptional(value2) {
  return IsObject(value2) && value2[OptionalKind] === "Optional";
}
function IsAny(value2) {
  return IsKindOf(value2, "Any");
}
function IsArgument(value2) {
  return IsKindOf(value2, "Argument");
}
function IsArray3(value2) {
  return IsKindOf(value2, "Array");
}
function IsAsyncIterator3(value2) {
  return IsKindOf(value2, "AsyncIterator");
}
function IsBigInt3(value2) {
  return IsKindOf(value2, "BigInt");
}
function IsBoolean3(value2) {
  return IsKindOf(value2, "Boolean");
}
function IsComputed(value2) {
  return IsKindOf(value2, "Computed");
}
function IsConstructor(value2) {
  return IsKindOf(value2, "Constructor");
}
function IsDate3(value2) {
  return IsKindOf(value2, "Date");
}
function IsFunction3(value2) {
  return IsKindOf(value2, "Function");
}
function IsInteger2(value2) {
  return IsKindOf(value2, "Integer");
}
function IsIntersect(value2) {
  return IsKindOf(value2, "Intersect");
}
function IsIterator3(value2) {
  return IsKindOf(value2, "Iterator");
}
function IsKindOf(value2, kind) {
  return IsObject(value2) && Kind in value2 && value2[Kind] === kind;
}
function IsLiteralValue(value2) {
  return IsBoolean(value2) || IsNumber(value2) || IsString(value2);
}
function IsLiteral(value2) {
  return IsKindOf(value2, "Literal");
}
function IsMappedKey(value2) {
  return IsKindOf(value2, "MappedKey");
}
function IsMappedResult(value2) {
  return IsKindOf(value2, "MappedResult");
}
function IsNever(value2) {
  return IsKindOf(value2, "Never");
}
function IsNot(value2) {
  return IsKindOf(value2, "Not");
}
function IsNull3(value2) {
  return IsKindOf(value2, "Null");
}
function IsNumber3(value2) {
  return IsKindOf(value2, "Number");
}
function IsObject3(value2) {
  return IsKindOf(value2, "Object");
}
function IsPromise2(value2) {
  return IsKindOf(value2, "Promise");
}
function IsRecord(value2) {
  return IsKindOf(value2, "Record");
}
function IsRef(value2) {
  return IsKindOf(value2, "Ref");
}
function IsRegExp2(value2) {
  return IsKindOf(value2, "RegExp");
}
function IsString3(value2) {
  return IsKindOf(value2, "String");
}
function IsSymbol3(value2) {
  return IsKindOf(value2, "Symbol");
}
function IsTemplateLiteral(value2) {
  return IsKindOf(value2, "TemplateLiteral");
}
function IsThis(value2) {
  return IsKindOf(value2, "This");
}
function IsTransform(value2) {
  return IsObject(value2) && TransformKind in value2;
}
function IsTuple(value2) {
  return IsKindOf(value2, "Tuple");
}
function IsUndefined3(value2) {
  return IsKindOf(value2, "Undefined");
}
function IsUnion(value2) {
  return IsKindOf(value2, "Union");
}
function IsUint8Array3(value2) {
  return IsKindOf(value2, "Uint8Array");
}
function IsUnknown(value2) {
  return IsKindOf(value2, "Unknown");
}
function IsUnsafe(value2) {
  return IsKindOf(value2, "Unsafe");
}
function IsVoid(value2) {
  return IsKindOf(value2, "Void");
}
function IsKind(value2) {
  return IsObject(value2) && Kind in value2 && IsString(value2[Kind]);
}
function IsSchema(value2) {
  return IsAny(value2) || IsArgument(value2) || IsArray3(value2) || IsBoolean3(value2) || IsBigInt3(value2) || IsAsyncIterator3(value2) || IsComputed(value2) || IsConstructor(value2) || IsDate3(value2) || IsFunction3(value2) || IsInteger2(value2) || IsIntersect(value2) || IsIterator3(value2) || IsLiteral(value2) || IsMappedKey(value2) || IsMappedResult(value2) || IsNever(value2) || IsNot(value2) || IsNull3(value2) || IsNumber3(value2) || IsObject3(value2) || IsPromise2(value2) || IsRecord(value2) || IsRef(value2) || IsRegExp2(value2) || IsString3(value2) || IsSymbol3(value2) || IsTemplateLiteral(value2) || IsThis(value2) || IsTuple(value2) || IsUndefined3(value2) || IsUnion(value2) || IsUint8Array3(value2) || IsUnknown(value2) || IsUnsafe(value2) || IsVoid(value2) || IsKind(value2);
}
var init_kind = __esm(() => {
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/guard/type.mjs
var exports_type = {};
__export(exports_type, {
  TypeGuardUnknownTypeError: () => TypeGuardUnknownTypeError,
  IsVoid: () => IsVoid2,
  IsUnsafe: () => IsUnsafe2,
  IsUnknown: () => IsUnknown2,
  IsUnionLiteral: () => IsUnionLiteral,
  IsUnion: () => IsUnion2,
  IsUndefined: () => IsUndefined4,
  IsUint8Array: () => IsUint8Array4,
  IsTuple: () => IsTuple2,
  IsTransform: () => IsTransform2,
  IsThis: () => IsThis2,
  IsTemplateLiteral: () => IsTemplateLiteral2,
  IsSymbol: () => IsSymbol4,
  IsString: () => IsString4,
  IsSchema: () => IsSchema2,
  IsRegExp: () => IsRegExp3,
  IsRef: () => IsRef2,
  IsRecursive: () => IsRecursive,
  IsRecord: () => IsRecord2,
  IsReadonly: () => IsReadonly2,
  IsProperties: () => IsProperties,
  IsPromise: () => IsPromise3,
  IsOptional: () => IsOptional2,
  IsObject: () => IsObject4,
  IsNumber: () => IsNumber4,
  IsNull: () => IsNull4,
  IsNot: () => IsNot2,
  IsNever: () => IsNever2,
  IsMappedResult: () => IsMappedResult2,
  IsMappedKey: () => IsMappedKey2,
  IsLiteralValue: () => IsLiteralValue2,
  IsLiteralString: () => IsLiteralString,
  IsLiteralNumber: () => IsLiteralNumber,
  IsLiteralBoolean: () => IsLiteralBoolean,
  IsLiteral: () => IsLiteral2,
  IsKindOf: () => IsKindOf2,
  IsKind: () => IsKind2,
  IsIterator: () => IsIterator4,
  IsIntersect: () => IsIntersect2,
  IsInteger: () => IsInteger3,
  IsImport: () => IsImport,
  IsFunction: () => IsFunction4,
  IsDate: () => IsDate4,
  IsConstructor: () => IsConstructor2,
  IsComputed: () => IsComputed2,
  IsBoolean: () => IsBoolean4,
  IsBigInt: () => IsBigInt4,
  IsAsyncIterator: () => IsAsyncIterator4,
  IsArray: () => IsArray4,
  IsArgument: () => IsArgument2,
  IsAny: () => IsAny2
});
function IsPattern(value2) {
  try {
    new RegExp(value2);
    return true;
  } catch {
    return false;
  }
}
function IsControlCharacterFree(value2) {
  if (!IsString(value2))
    return false;
  for (let i = 0;i < value2.length; i++) {
    const code = value2.charCodeAt(i);
    if (code >= 7 && code <= 13 || code === 27 || code === 127) {
      return false;
    }
  }
  return true;
}
function IsAdditionalProperties(value2) {
  return IsOptionalBoolean(value2) || IsSchema2(value2);
}
function IsOptionalBigInt(value2) {
  return IsUndefined(value2) || IsBigInt(value2);
}
function IsOptionalNumber(value2) {
  return IsUndefined(value2) || IsNumber(value2);
}
function IsOptionalBoolean(value2) {
  return IsUndefined(value2) || IsBoolean(value2);
}
function IsOptionalString(value2) {
  return IsUndefined(value2) || IsString(value2);
}
function IsOptionalPattern(value2) {
  return IsUndefined(value2) || IsString(value2) && IsControlCharacterFree(value2) && IsPattern(value2);
}
function IsOptionalFormat(value2) {
  return IsUndefined(value2) || IsString(value2) && IsControlCharacterFree(value2);
}
function IsOptionalSchema(value2) {
  return IsUndefined(value2) || IsSchema2(value2);
}
function IsReadonly2(value2) {
  return IsObject(value2) && value2[ReadonlyKind] === "Readonly";
}
function IsOptional2(value2) {
  return IsObject(value2) && value2[OptionalKind] === "Optional";
}
function IsAny2(value2) {
  return IsKindOf2(value2, "Any") && IsOptionalString(value2.$id);
}
function IsArgument2(value2) {
  return IsKindOf2(value2, "Argument") && IsNumber(value2.index);
}
function IsArray4(value2) {
  return IsKindOf2(value2, "Array") && value2.type === "array" && IsOptionalString(value2.$id) && IsSchema2(value2.items) && IsOptionalNumber(value2.minItems) && IsOptionalNumber(value2.maxItems) && IsOptionalBoolean(value2.uniqueItems) && IsOptionalSchema(value2.contains) && IsOptionalNumber(value2.minContains) && IsOptionalNumber(value2.maxContains);
}
function IsAsyncIterator4(value2) {
  return IsKindOf2(value2, "AsyncIterator") && value2.type === "AsyncIterator" && IsOptionalString(value2.$id) && IsSchema2(value2.items);
}
function IsBigInt4(value2) {
  return IsKindOf2(value2, "BigInt") && value2.type === "bigint" && IsOptionalString(value2.$id) && IsOptionalBigInt(value2.exclusiveMaximum) && IsOptionalBigInt(value2.exclusiveMinimum) && IsOptionalBigInt(value2.maximum) && IsOptionalBigInt(value2.minimum) && IsOptionalBigInt(value2.multipleOf);
}
function IsBoolean4(value2) {
  return IsKindOf2(value2, "Boolean") && value2.type === "boolean" && IsOptionalString(value2.$id);
}
function IsComputed2(value2) {
  return IsKindOf2(value2, "Computed") && IsString(value2.target) && IsArray(value2.parameters) && value2.parameters.every((schema) => IsSchema2(schema));
}
function IsConstructor2(value2) {
  return IsKindOf2(value2, "Constructor") && value2.type === "Constructor" && IsOptionalString(value2.$id) && IsArray(value2.parameters) && value2.parameters.every((schema) => IsSchema2(schema)) && IsSchema2(value2.returns);
}
function IsDate4(value2) {
  return IsKindOf2(value2, "Date") && value2.type === "Date" && IsOptionalString(value2.$id) && IsOptionalNumber(value2.exclusiveMaximumTimestamp) && IsOptionalNumber(value2.exclusiveMinimumTimestamp) && IsOptionalNumber(value2.maximumTimestamp) && IsOptionalNumber(value2.minimumTimestamp) && IsOptionalNumber(value2.multipleOfTimestamp);
}
function IsFunction4(value2) {
  return IsKindOf2(value2, "Function") && value2.type === "Function" && IsOptionalString(value2.$id) && IsArray(value2.parameters) && value2.parameters.every((schema) => IsSchema2(schema)) && IsSchema2(value2.returns);
}
function IsImport(value2) {
  return IsKindOf2(value2, "Import") && HasPropertyKey(value2, "$defs") && IsObject(value2.$defs) && IsProperties(value2.$defs) && HasPropertyKey(value2, "$ref") && IsString(value2.$ref) && value2.$ref in value2.$defs;
}
function IsInteger3(value2) {
  return IsKindOf2(value2, "Integer") && value2.type === "integer" && IsOptionalString(value2.$id) && IsOptionalNumber(value2.exclusiveMaximum) && IsOptionalNumber(value2.exclusiveMinimum) && IsOptionalNumber(value2.maximum) && IsOptionalNumber(value2.minimum) && IsOptionalNumber(value2.multipleOf);
}
function IsProperties(value2) {
  return IsObject(value2) && Object.entries(value2).every(([key, schema]) => IsControlCharacterFree(key) && IsSchema2(schema));
}
function IsIntersect2(value2) {
  return IsKindOf2(value2, "Intersect") && (IsString(value2.type) && value2.type !== "object" ? false : true) && IsArray(value2.allOf) && value2.allOf.every((schema) => IsSchema2(schema) && !IsTransform2(schema)) && IsOptionalString(value2.type) && (IsOptionalBoolean(value2.unevaluatedProperties) || IsOptionalSchema(value2.unevaluatedProperties)) && IsOptionalString(value2.$id);
}
function IsIterator4(value2) {
  return IsKindOf2(value2, "Iterator") && value2.type === "Iterator" && IsOptionalString(value2.$id) && IsSchema2(value2.items);
}
function IsKindOf2(value2, kind) {
  return IsObject(value2) && Kind in value2 && value2[Kind] === kind;
}
function IsLiteralString(value2) {
  return IsLiteral2(value2) && IsString(value2.const);
}
function IsLiteralNumber(value2) {
  return IsLiteral2(value2) && IsNumber(value2.const);
}
function IsLiteralBoolean(value2) {
  return IsLiteral2(value2) && IsBoolean(value2.const);
}
function IsLiteral2(value2) {
  return IsKindOf2(value2, "Literal") && IsOptionalString(value2.$id) && IsLiteralValue2(value2.const);
}
function IsLiteralValue2(value2) {
  return IsBoolean(value2) || IsNumber(value2) || IsString(value2);
}
function IsMappedKey2(value2) {
  return IsKindOf2(value2, "MappedKey") && IsArray(value2.keys) && value2.keys.every((key) => IsNumber(key) || IsString(key));
}
function IsMappedResult2(value2) {
  return IsKindOf2(value2, "MappedResult") && IsProperties(value2.properties);
}
function IsNever2(value2) {
  return IsKindOf2(value2, "Never") && IsObject(value2.not) && Object.getOwnPropertyNames(value2.not).length === 0;
}
function IsNot2(value2) {
  return IsKindOf2(value2, "Not") && IsSchema2(value2.not);
}
function IsNull4(value2) {
  return IsKindOf2(value2, "Null") && value2.type === "null" && IsOptionalString(value2.$id);
}
function IsNumber4(value2) {
  return IsKindOf2(value2, "Number") && value2.type === "number" && IsOptionalString(value2.$id) && IsOptionalNumber(value2.exclusiveMaximum) && IsOptionalNumber(value2.exclusiveMinimum) && IsOptionalNumber(value2.maximum) && IsOptionalNumber(value2.minimum) && IsOptionalNumber(value2.multipleOf);
}
function IsObject4(value2) {
  return IsKindOf2(value2, "Object") && value2.type === "object" && IsOptionalString(value2.$id) && IsProperties(value2.properties) && IsAdditionalProperties(value2.additionalProperties) && IsOptionalNumber(value2.minProperties) && IsOptionalNumber(value2.maxProperties);
}
function IsPromise3(value2) {
  return IsKindOf2(value2, "Promise") && value2.type === "Promise" && IsOptionalString(value2.$id) && IsSchema2(value2.item);
}
function IsRecord2(value2) {
  return IsKindOf2(value2, "Record") && value2.type === "object" && IsOptionalString(value2.$id) && IsAdditionalProperties(value2.additionalProperties) && IsObject(value2.patternProperties) && ((schema) => {
    const keys = Object.getOwnPropertyNames(schema.patternProperties);
    return keys.length === 1 && IsPattern(keys[0]) && IsObject(schema.patternProperties) && IsSchema2(schema.patternProperties[keys[0]]);
  })(value2);
}
function IsRecursive(value2) {
  return IsObject(value2) && Hint in value2 && value2[Hint] === "Recursive";
}
function IsRef2(value2) {
  return IsKindOf2(value2, "Ref") && IsOptionalString(value2.$id) && IsString(value2.$ref);
}
function IsRegExp3(value2) {
  return IsKindOf2(value2, "RegExp") && IsOptionalString(value2.$id) && IsString(value2.source) && IsString(value2.flags) && IsOptionalNumber(value2.maxLength) && IsOptionalNumber(value2.minLength);
}
function IsString4(value2) {
  return IsKindOf2(value2, "String") && value2.type === "string" && IsOptionalString(value2.$id) && IsOptionalNumber(value2.minLength) && IsOptionalNumber(value2.maxLength) && IsOptionalPattern(value2.pattern) && IsOptionalFormat(value2.format);
}
function IsSymbol4(value2) {
  return IsKindOf2(value2, "Symbol") && value2.type === "symbol" && IsOptionalString(value2.$id);
}
function IsTemplateLiteral2(value2) {
  return IsKindOf2(value2, "TemplateLiteral") && value2.type === "string" && IsString(value2.pattern) && value2.pattern[0] === "^" && value2.pattern[value2.pattern.length - 1] === "$";
}
function IsThis2(value2) {
  return IsKindOf2(value2, "This") && IsOptionalString(value2.$id) && IsString(value2.$ref);
}
function IsTransform2(value2) {
  return IsObject(value2) && TransformKind in value2;
}
function IsTuple2(value2) {
  return IsKindOf2(value2, "Tuple") && value2.type === "array" && IsOptionalString(value2.$id) && IsNumber(value2.minItems) && IsNumber(value2.maxItems) && value2.minItems === value2.maxItems && (IsUndefined(value2.items) && IsUndefined(value2.additionalItems) && value2.minItems === 0 || IsArray(value2.items) && value2.items.every((schema) => IsSchema2(schema)));
}
function IsUndefined4(value2) {
  return IsKindOf2(value2, "Undefined") && value2.type === "undefined" && IsOptionalString(value2.$id);
}
function IsUnionLiteral(value2) {
  return IsUnion2(value2) && value2.anyOf.every((schema) => IsLiteralString(schema) || IsLiteralNumber(schema));
}
function IsUnion2(value2) {
  return IsKindOf2(value2, "Union") && IsOptionalString(value2.$id) && IsObject(value2) && IsArray(value2.anyOf) && value2.anyOf.every((schema) => IsSchema2(schema));
}
function IsUint8Array4(value2) {
  return IsKindOf2(value2, "Uint8Array") && value2.type === "Uint8Array" && IsOptionalString(value2.$id) && IsOptionalNumber(value2.minByteLength) && IsOptionalNumber(value2.maxByteLength);
}
function IsUnknown2(value2) {
  return IsKindOf2(value2, "Unknown") && IsOptionalString(value2.$id);
}
function IsUnsafe2(value2) {
  return IsKindOf2(value2, "Unsafe");
}
function IsVoid2(value2) {
  return IsKindOf2(value2, "Void") && value2.type === "void" && IsOptionalString(value2.$id);
}
function IsKind2(value2) {
  return IsObject(value2) && Kind in value2 && IsString(value2[Kind]) && !KnownTypes.includes(value2[Kind]);
}
function IsSchema2(value2) {
  return IsObject(value2) && (IsAny2(value2) || IsArgument2(value2) || IsArray4(value2) || IsBoolean4(value2) || IsBigInt4(value2) || IsAsyncIterator4(value2) || IsComputed2(value2) || IsConstructor2(value2) || IsDate4(value2) || IsFunction4(value2) || IsInteger3(value2) || IsIntersect2(value2) || IsIterator4(value2) || IsLiteral2(value2) || IsMappedKey2(value2) || IsMappedResult2(value2) || IsNever2(value2) || IsNot2(value2) || IsNull4(value2) || IsNumber4(value2) || IsObject4(value2) || IsPromise3(value2) || IsRecord2(value2) || IsRef2(value2) || IsRegExp3(value2) || IsString4(value2) || IsSymbol4(value2) || IsTemplateLiteral2(value2) || IsThis2(value2) || IsTuple2(value2) || IsUndefined4(value2) || IsUnion2(value2) || IsUint8Array4(value2) || IsUnknown2(value2) || IsUnsafe2(value2) || IsVoid2(value2) || IsKind2(value2));
}
var TypeGuardUnknownTypeError, KnownTypes;
var init_type3 = __esm(() => {
  init_symbols2();
  init_error2();
  TypeGuardUnknownTypeError = class TypeGuardUnknownTypeError extends TypeBoxError {
  };
  KnownTypes = [
    "Argument",
    "Any",
    "Array",
    "AsyncIterator",
    "BigInt",
    "Boolean",
    "Computed",
    "Constructor",
    "Date",
    "Enum",
    "Function",
    "Integer",
    "Intersect",
    "Iterator",
    "Literal",
    "MappedKey",
    "MappedResult",
    "Not",
    "Null",
    "Number",
    "Object",
    "Promise",
    "Record",
    "Ref",
    "RegExp",
    "String",
    "Symbol",
    "TemplateLiteral",
    "This",
    "Tuple",
    "Undefined",
    "Union",
    "Uint8Array",
    "Unknown",
    "Void"
  ];
});

// ../../node_modules/@sinclair/typebox/build/esm/type/guard/index.mjs
var init_guard2 = __esm(() => {
  init_kind();
  init_type3();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/helpers/index.mjs
var init_helpers = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/patterns/patterns.mjs
var PatternBoolean = "(true|false)", PatternNumber = "(0|[1-9][0-9]*)", PatternString = "(.*)", PatternNever = "(?!.*)", PatternBooleanExact, PatternNumberExact, PatternStringExact, PatternNeverExact;
var init_patterns = __esm(() => {
  PatternBooleanExact = `^${PatternBoolean}$`;
  PatternNumberExact = `^${PatternNumber}$`;
  PatternStringExact = `^${PatternString}$`;
  PatternNeverExact = `^${PatternNever}$`;
});

// ../../node_modules/@sinclair/typebox/build/esm/type/patterns/index.mjs
var init_patterns2 = __esm(() => {
  init_patterns();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/registry/format.mjs
var exports_format = {};
__export(exports_format, {
  Set: () => Set2,
  Has: () => Has,
  Get: () => Get,
  Entries: () => Entries,
  Delete: () => Delete,
  Clear: () => Clear
});
function Entries() {
  return new Map(map);
}
function Clear() {
  return map.clear();
}
function Delete(format2) {
  return map.delete(format2);
}
function Has(format2) {
  return map.has(format2);
}
function Set2(format2, func) {
  map.set(format2, func);
}
function Get(format2) {
  return map.get(format2);
}
var map;
var init_format = __esm(() => {
  map = new Map;
});

// ../../node_modules/@sinclair/typebox/build/esm/type/registry/type.mjs
var exports_type2 = {};
__export(exports_type2, {
  Set: () => Set3,
  Has: () => Has2,
  Get: () => Get2,
  Entries: () => Entries2,
  Delete: () => Delete2,
  Clear: () => Clear2
});
function Entries2() {
  return new Map(map2);
}
function Clear2() {
  return map2.clear();
}
function Delete2(kind) {
  return map2.delete(kind);
}
function Has2(kind) {
  return map2.has(kind);
}
function Set3(kind, func) {
  map2.set(kind, func);
}
function Get2(kind) {
  return map2.get(kind);
}
var map2;
var init_type4 = __esm(() => {
  map2 = new Map;
});

// ../../node_modules/@sinclair/typebox/build/esm/type/registry/index.mjs
var init_registry = __esm(() => {
  init_format();
  init_type4();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/sets/set.mjs
function SetIncludes(T, S) {
  return T.includes(S);
}
function SetDistinct(T) {
  return [...new Set(T)];
}
function SetIntersect(T, S) {
  return T.filter((L) => S.includes(L));
}
function SetIntersectManyResolve(T, Init) {
  return T.reduce((Acc, L) => {
    return SetIntersect(Acc, L);
  }, Init);
}
function SetIntersectMany(T) {
  return T.length === 1 ? T[0] : T.length > 1 ? SetIntersectManyResolve(T.slice(1), T[0]) : [];
}
function SetUnionMany(T) {
  const Acc = [];
  for (const L of T)
    Acc.push(...L);
  return Acc;
}

// ../../node_modules/@sinclair/typebox/build/esm/type/sets/index.mjs
var init_sets = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/any/any.mjs
function Any(options) {
  return CreateType({ [Kind]: "Any" }, options);
}
var init_any = __esm(() => {
  init_create();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/any/index.mjs
var init_any2 = __esm(() => {
  init_any();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/array/array.mjs
function Array2(items, options) {
  return CreateType({ [Kind]: "Array", type: "array", items }, options);
}
var init_array = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/array/index.mjs
var init_array2 = __esm(() => {
  init_array();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/argument/argument.mjs
function Argument(index) {
  return CreateType({ [Kind]: "Argument", index });
}
var init_argument = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/argument/index.mjs
var init_argument2 = __esm(() => {
  init_argument();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/async-iterator/async-iterator.mjs
function AsyncIterator(items, options) {
  return CreateType({ [Kind]: "AsyncIterator", type: "AsyncIterator", items }, options);
}
var init_async_iterator = __esm(() => {
  init_symbols2();
  init_type2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/async-iterator/index.mjs
var init_async_iterator2 = __esm(() => {
  init_async_iterator();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/computed/computed.mjs
function Computed(target, parameters, options) {
  return CreateType({ [Kind]: "Computed", target, parameters }, options);
}
var init_computed = __esm(() => {
  init_create();
  init_symbols();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/computed/index.mjs
var init_computed2 = __esm(() => {
  init_computed();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/discard/discard.mjs
function DiscardKey(value2, key) {
  const { [key]: _, ...rest } = value2;
  return rest;
}
function Discard(value2, keys) {
  return keys.reduce((acc, key) => DiscardKey(acc, key), value2);
}

// ../../node_modules/@sinclair/typebox/build/esm/type/discard/index.mjs
var init_discard = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/never/never.mjs
function Never(options) {
  return CreateType({ [Kind]: "Never", not: {} }, options);
}
var init_never = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/never/index.mjs
var init_never2 = __esm(() => {
  init_never();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/mapped/mapped-key.mjs
var init_mapped_key = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/mapped/mapped-result.mjs
function MappedResult(properties) {
  return CreateType({
    [Kind]: "MappedResult",
    properties
  });
}
var init_mapped_result = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/constructor/constructor.mjs
function Constructor(parameters, returns, options) {
  return CreateType({ [Kind]: "Constructor", type: "Constructor", parameters, returns }, options);
}
var init_constructor = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/constructor/index.mjs
var init_constructor2 = __esm(() => {
  init_constructor();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/function/function.mjs
function Function2(parameters, returns, options) {
  return CreateType({ [Kind]: "Function", type: "Function", parameters, returns }, options);
}
var init_function = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/function/index.mjs
var init_function2 = __esm(() => {
  init_function();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/union/union-create.mjs
function UnionCreate(T, options) {
  return CreateType({ [Kind]: "Union", anyOf: T }, options);
}
var init_union_create = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/union/union-evaluated.mjs
function IsUnionOptional(types) {
  return types.some((type3) => IsOptional(type3));
}
function RemoveOptionalFromRest(types) {
  return types.map((left) => IsOptional(left) ? RemoveOptionalFromType(left) : left);
}
function RemoveOptionalFromType(T) {
  return Discard(T, [OptionalKind]);
}
function ResolveUnion(types, options) {
  const isOptional = IsUnionOptional(types);
  return isOptional ? Optional(UnionCreate(RemoveOptionalFromRest(types), options)) : UnionCreate(RemoveOptionalFromRest(types), options);
}
function UnionEvaluated(T, options) {
  return T.length === 1 ? CreateType(T[0], options) : T.length === 0 ? Never(options) : ResolveUnion(T, options);
}
var init_union_evaluated = __esm(() => {
  init_type2();
  init_symbols2();
  init_discard();
  init_never2();
  init_optional2();
  init_union_create();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/union/union-type.mjs
var init_union_type = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/union/union.mjs
function Union(types, options) {
  return types.length === 0 ? Never(options) : types.length === 1 ? CreateType(types[0], options) : UnionCreate(types, options);
}
var init_union = __esm(() => {
  init_never2();
  init_type2();
  init_union_create();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/union/index.mjs
var init_union2 = __esm(() => {
  init_union_evaluated();
  init_union_type();
  init_union();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/template-literal/parse.mjs
function Unescape(pattern) {
  return pattern.replace(/\\\$/g, "$").replace(/\\\*/g, "*").replace(/\\\^/g, "^").replace(/\\\|/g, "|").replace(/\\\(/g, "(").replace(/\\\)/g, ")");
}
function IsNonEscaped(pattern, index, char) {
  return pattern[index] === char && pattern.charCodeAt(index - 1) !== 92;
}
function IsOpenParen(pattern, index) {
  return IsNonEscaped(pattern, index, "(");
}
function IsCloseParen(pattern, index) {
  return IsNonEscaped(pattern, index, ")");
}
function IsSeparator(pattern, index) {
  return IsNonEscaped(pattern, index, "|");
}
function IsGroup(pattern) {
  if (!(IsOpenParen(pattern, 0) && IsCloseParen(pattern, pattern.length - 1)))
    return false;
  let count = 0;
  for (let index = 0;index < pattern.length; index++) {
    if (IsOpenParen(pattern, index))
      count += 1;
    if (IsCloseParen(pattern, index))
      count -= 1;
    if (count === 0 && index !== pattern.length - 1)
      return false;
  }
  return true;
}
function InGroup(pattern) {
  return pattern.slice(1, pattern.length - 1);
}
function IsPrecedenceOr(pattern) {
  let count = 0;
  for (let index = 0;index < pattern.length; index++) {
    if (IsOpenParen(pattern, index))
      count += 1;
    if (IsCloseParen(pattern, index))
      count -= 1;
    if (IsSeparator(pattern, index) && count === 0)
      return true;
  }
  return false;
}
function IsPrecedenceAnd(pattern) {
  for (let index = 0;index < pattern.length; index++) {
    if (IsOpenParen(pattern, index))
      return true;
  }
  return false;
}
function Or(pattern) {
  let [count, start] = [0, 0];
  const expressions = [];
  for (let index = 0;index < pattern.length; index++) {
    if (IsOpenParen(pattern, index))
      count += 1;
    if (IsCloseParen(pattern, index))
      count -= 1;
    if (IsSeparator(pattern, index) && count === 0) {
      const range2 = pattern.slice(start, index);
      if (range2.length > 0)
        expressions.push(TemplateLiteralParse(range2));
      start = index + 1;
    }
  }
  const range = pattern.slice(start);
  if (range.length > 0)
    expressions.push(TemplateLiteralParse(range));
  if (expressions.length === 0)
    return { type: "const", const: "" };
  if (expressions.length === 1)
    return expressions[0];
  return { type: "or", expr: expressions };
}
function And(pattern) {
  function Group(value2, index) {
    if (!IsOpenParen(value2, index))
      throw new TemplateLiteralParserError(`TemplateLiteralParser: Index must point to open parens`);
    let count = 0;
    for (let scan = index;scan < value2.length; scan++) {
      if (IsOpenParen(value2, scan))
        count += 1;
      if (IsCloseParen(value2, scan))
        count -= 1;
      if (count === 0)
        return [index, scan];
    }
    throw new TemplateLiteralParserError(`TemplateLiteralParser: Unclosed group parens in expression`);
  }
  function Range(pattern2, index) {
    for (let scan = index;scan < pattern2.length; scan++) {
      if (IsOpenParen(pattern2, scan))
        return [index, scan];
    }
    return [index, pattern2.length];
  }
  const expressions = [];
  for (let index = 0;index < pattern.length; index++) {
    if (IsOpenParen(pattern, index)) {
      const [start, end] = Group(pattern, index);
      const range = pattern.slice(start, end + 1);
      expressions.push(TemplateLiteralParse(range));
      index = end;
    } else {
      const [start, end] = Range(pattern, index);
      const range = pattern.slice(start, end);
      if (range.length > 0)
        expressions.push(TemplateLiteralParse(range));
      index = end - 1;
    }
  }
  return expressions.length === 0 ? { type: "const", const: "" } : expressions.length === 1 ? expressions[0] : { type: "and", expr: expressions };
}
function TemplateLiteralParse(pattern) {
  return IsGroup(pattern) ? TemplateLiteralParse(InGroup(pattern)) : IsPrecedenceOr(pattern) ? Or(pattern) : IsPrecedenceAnd(pattern) ? And(pattern) : { type: "const", const: Unescape(pattern) };
}
function TemplateLiteralParseExact(pattern) {
  return TemplateLiteralParse(pattern.slice(1, pattern.length - 1));
}
var TemplateLiteralParserError;
var init_parse = __esm(() => {
  init_error2();
  TemplateLiteralParserError = class TemplateLiteralParserError extends TypeBoxError {
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/type/template-literal/finite.mjs
function IsNumberExpression(expression) {
  return expression.type === "or" && expression.expr.length === 2 && expression.expr[0].type === "const" && expression.expr[0].const === "0" && expression.expr[1].type === "const" && expression.expr[1].const === "[1-9][0-9]*";
}
function IsBooleanExpression(expression) {
  return expression.type === "or" && expression.expr.length === 2 && expression.expr[0].type === "const" && expression.expr[0].const === "true" && expression.expr[1].type === "const" && expression.expr[1].const === "false";
}
function IsStringExpression(expression) {
  return expression.type === "const" && expression.const === ".*";
}
function IsTemplateLiteralExpressionFinite(expression) {
  return IsNumberExpression(expression) || IsStringExpression(expression) ? false : IsBooleanExpression(expression) ? true : expression.type === "and" ? expression.expr.every((expr) => IsTemplateLiteralExpressionFinite(expr)) : expression.type === "or" ? expression.expr.every((expr) => IsTemplateLiteralExpressionFinite(expr)) : expression.type === "const" ? true : (() => {
    throw new TemplateLiteralFiniteError(`Unknown expression type`);
  })();
}
function IsTemplateLiteralFinite(schema) {
  const expression = TemplateLiteralParseExact(schema.pattern);
  return IsTemplateLiteralExpressionFinite(expression);
}
var TemplateLiteralFiniteError;
var init_finite = __esm(() => {
  init_parse();
  init_error2();
  TemplateLiteralFiniteError = class TemplateLiteralFiniteError extends TypeBoxError {
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/type/template-literal/generate.mjs
function* GenerateReduce(buffer) {
  if (buffer.length === 1)
    return yield* buffer[0];
  for (const left of buffer[0]) {
    for (const right of GenerateReduce(buffer.slice(1))) {
      yield `${left}${right}`;
    }
  }
}
function* GenerateAnd(expression) {
  return yield* GenerateReduce(expression.expr.map((expr) => [...TemplateLiteralExpressionGenerate(expr)]));
}
function* GenerateOr(expression) {
  for (const expr of expression.expr)
    yield* TemplateLiteralExpressionGenerate(expr);
}
function* GenerateConst(expression) {
  return yield expression.const;
}
function* TemplateLiteralExpressionGenerate(expression) {
  return expression.type === "and" ? yield* GenerateAnd(expression) : expression.type === "or" ? yield* GenerateOr(expression) : expression.type === "const" ? yield* GenerateConst(expression) : (() => {
    throw new TemplateLiteralGenerateError("Unknown expression");
  })();
}
function TemplateLiteralGenerate(schema) {
  const expression = TemplateLiteralParseExact(schema.pattern);
  return IsTemplateLiteralExpressionFinite(expression) ? [...TemplateLiteralExpressionGenerate(expression)] : [];
}
var TemplateLiteralGenerateError;
var init_generate = __esm(() => {
  init_finite();
  init_parse();
  init_error2();
  TemplateLiteralGenerateError = class TemplateLiteralGenerateError extends TypeBoxError {
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/type/literal/literal.mjs
function Literal(value2, options) {
  return CreateType({
    [Kind]: "Literal",
    const: value2,
    type: typeof value2
  }, options);
}
var init_literal = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/literal/index.mjs
var init_literal2 = __esm(() => {
  init_literal();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/boolean/boolean.mjs
function Boolean2(options) {
  return CreateType({ [Kind]: "Boolean", type: "boolean" }, options);
}
var init_boolean = __esm(() => {
  init_symbols2();
  init_create();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/boolean/index.mjs
var init_boolean2 = __esm(() => {
  init_boolean();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/bigint/bigint.mjs
function BigInt2(options) {
  return CreateType({ [Kind]: "BigInt", type: "bigint" }, options);
}
var init_bigint = __esm(() => {
  init_symbols2();
  init_create();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/bigint/index.mjs
var init_bigint2 = __esm(() => {
  init_bigint();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/number/number.mjs
function Number2(options) {
  return CreateType({ [Kind]: "Number", type: "number" }, options);
}
var init_number = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/number/index.mjs
var init_number2 = __esm(() => {
  init_number();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/string/string.mjs
function String2(options) {
  return CreateType({ [Kind]: "String", type: "string" }, options);
}
var init_string = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/string/index.mjs
var init_string2 = __esm(() => {
  init_string();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/template-literal/syntax.mjs
function* FromUnion(syntax) {
  const trim = syntax.trim().replace(/"|'/g, "");
  return trim === "boolean" ? yield Boolean2() : trim === "number" ? yield Number2() : trim === "bigint" ? yield BigInt2() : trim === "string" ? yield String2() : yield (() => {
    const literals = trim.split("|").map((literal2) => Literal(literal2.trim()));
    return literals.length === 0 ? Never() : literals.length === 1 ? literals[0] : UnionEvaluated(literals);
  })();
}
function* FromTerminal(syntax) {
  if (syntax[1] !== "{") {
    const L = Literal("$");
    const R = FromSyntax(syntax.slice(1));
    return yield* [L, ...R];
  }
  for (let i = 2;i < syntax.length; i++) {
    if (syntax[i] === "}") {
      const L = FromUnion(syntax.slice(2, i));
      const R = FromSyntax(syntax.slice(i + 1));
      return yield* [...L, ...R];
    }
  }
  yield Literal(syntax);
}
function* FromSyntax(syntax) {
  for (let i = 0;i < syntax.length; i++) {
    if (syntax[i] === "$") {
      const L = Literal(syntax.slice(0, i));
      const R = FromTerminal(syntax.slice(i));
      return yield* [L, ...R];
    }
  }
  yield Literal(syntax);
}
function TemplateLiteralSyntax(syntax) {
  return [...FromSyntax(syntax)];
}
var init_syntax = __esm(() => {
  init_literal2();
  init_boolean2();
  init_bigint2();
  init_number2();
  init_string2();
  init_union2();
  init_never2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/template-literal/pattern.mjs
function Escape(value2) {
  return value2.replace(/[.*+?^${}()|[\]\\]/g, "\\$&");
}
function Visit2(schema, acc) {
  return IsTemplateLiteral(schema) ? schema.pattern.slice(1, schema.pattern.length - 1) : IsUnion(schema) ? `(${schema.anyOf.map((schema2) => Visit2(schema2, acc)).join("|")})` : IsNumber3(schema) ? `${acc}${PatternNumber}` : IsInteger2(schema) ? `${acc}${PatternNumber}` : IsBigInt3(schema) ? `${acc}${PatternNumber}` : IsString3(schema) ? `${acc}${PatternString}` : IsLiteral(schema) ? `${acc}${Escape(schema.const.toString())}` : IsBoolean3(schema) ? `${acc}${PatternBoolean}` : (() => {
    throw new TemplateLiteralPatternError(`Unexpected Kind '${schema[Kind]}'`);
  })();
}
function TemplateLiteralPattern(kinds) {
  return `^${kinds.map((schema) => Visit2(schema, "")).join("")}$`;
}
var TemplateLiteralPatternError;
var init_pattern = __esm(() => {
  init_patterns2();
  init_symbols2();
  init_error2();
  init_kind();
  TemplateLiteralPatternError = class TemplateLiteralPatternError extends TypeBoxError {
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/type/template-literal/union.mjs
function TemplateLiteralToUnion(schema) {
  const R = TemplateLiteralGenerate(schema);
  const L = R.map((S) => Literal(S));
  return UnionEvaluated(L);
}
var init_union3 = __esm(() => {
  init_union2();
  init_literal2();
  init_generate();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/template-literal/template-literal.mjs
function TemplateLiteral(unresolved, options) {
  const pattern = IsString(unresolved) ? TemplateLiteralPattern(TemplateLiteralSyntax(unresolved)) : TemplateLiteralPattern(unresolved);
  return CreateType({ [Kind]: "TemplateLiteral", type: "string", pattern }, options);
}
var init_template_literal = __esm(() => {
  init_type2();
  init_syntax();
  init_pattern();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/template-literal/index.mjs
var init_template_literal2 = __esm(() => {
  init_finite();
  init_generate();
  init_syntax();
  init_parse();
  init_pattern();
  init_union3();
  init_template_literal();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/indexed/indexed-property-keys.mjs
function FromTemplateLiteral(templateLiteral) {
  const keys = TemplateLiteralGenerate(templateLiteral);
  return keys.map((key) => key.toString());
}
function FromUnion2(types) {
  const result = [];
  for (const type3 of types)
    result.push(...IndexPropertyKeys(type3));
  return result;
}
function FromLiteral(literalValue) {
  return [literalValue.toString()];
}
function IndexPropertyKeys(type3) {
  return [...new Set(IsTemplateLiteral(type3) ? FromTemplateLiteral(type3) : IsUnion(type3) ? FromUnion2(type3.anyOf) : IsLiteral(type3) ? FromLiteral(type3.const) : IsNumber3(type3) ? ["[number]"] : IsInteger2(type3) ? ["[number]"] : [])];
}
var init_indexed_property_keys = __esm(() => {
  init_template_literal2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/indexed/indexed-from-mapped-result.mjs
function FromProperties(type3, properties, options) {
  const result = {};
  for (const K2 of Object.getOwnPropertyNames(properties)) {
    result[K2] = Index(type3, IndexPropertyKeys(properties[K2]), options);
  }
  return result;
}
function FromMappedResult(type3, mappedResult, options) {
  return FromProperties(type3, mappedResult.properties, options);
}
function IndexFromMappedResult(type3, mappedResult, options) {
  const properties = FromMappedResult(type3, mappedResult, options);
  return MappedResult(properties);
}
var init_indexed_from_mapped_result = __esm(() => {
  init_mapped2();
  init_indexed_property_keys();
  init_indexed2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/indexed/indexed.mjs
function FromRest(types, key) {
  return types.map((type3) => IndexFromPropertyKey(type3, key));
}
function FromIntersectRest(types) {
  return types.filter((type3) => !IsNever(type3));
}
function FromIntersect(types, key) {
  return IntersectEvaluated(FromIntersectRest(FromRest(types, key)));
}
function FromUnionRest(types) {
  return types.some((L) => IsNever(L)) ? [] : types;
}
function FromUnion3(types, key) {
  return UnionEvaluated(FromUnionRest(FromRest(types, key)));
}
function FromTuple(types, key) {
  return key in types ? types[key] : key === "[number]" ? UnionEvaluated(types) : Never();
}
function FromArray(type3, key) {
  return key === "[number]" ? type3 : Never();
}
function FromProperty(properties, propertyKey) {
  return propertyKey in properties ? properties[propertyKey] : Never();
}
function IndexFromPropertyKey(type3, propertyKey) {
  return IsIntersect(type3) ? FromIntersect(type3.allOf, propertyKey) : IsUnion(type3) ? FromUnion3(type3.anyOf, propertyKey) : IsTuple(type3) ? FromTuple(type3.items ?? [], propertyKey) : IsArray3(type3) ? FromArray(type3.items, propertyKey) : IsObject3(type3) ? FromProperty(type3.properties, propertyKey) : Never();
}
function IndexFromPropertyKeys(type3, propertyKeys) {
  return propertyKeys.map((propertyKey) => IndexFromPropertyKey(type3, propertyKey));
}
function FromSchema(type3, propertyKeys) {
  return UnionEvaluated(IndexFromPropertyKeys(type3, propertyKeys));
}
function Index(type3, key, options) {
  if (IsRef(type3) || IsRef(key)) {
    const error2 = `Index types using Ref parameters require both Type and Key to be of TSchema`;
    if (!IsSchema(type3) || !IsSchema(key))
      throw new TypeBoxError(error2);
    return Computed("Index", [type3, key]);
  }
  if (IsMappedResult(key))
    return IndexFromMappedResult(type3, key, options);
  if (IsMappedKey(key))
    return IndexFromMappedKey(type3, key, options);
  return CreateType(IsSchema(key) ? FromSchema(type3, IndexPropertyKeys(key)) : FromSchema(type3, key), options);
}
var init_indexed = __esm(() => {
  init_type2();
  init_error2();
  init_computed2();
  init_never2();
  init_intersect2();
  init_union2();
  init_indexed_property_keys();
  init_indexed_from_mapped_key();
  init_indexed_from_mapped_result();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/indexed/indexed-from-mapped-key.mjs
function MappedIndexPropertyKey(type3, key, options) {
  return { [key]: Index(type3, [key], Clone(options)) };
}
function MappedIndexPropertyKeys(type3, propertyKeys, options) {
  return propertyKeys.reduce((result, left) => {
    return { ...result, ...MappedIndexPropertyKey(type3, left, options) };
  }, {});
}
function MappedIndexProperties(type3, mappedKey, options) {
  return MappedIndexPropertyKeys(type3, mappedKey.keys, options);
}
function IndexFromMappedKey(type3, mappedKey, options) {
  const properties = MappedIndexProperties(type3, mappedKey, options);
  return MappedResult(properties);
}
var init_indexed_from_mapped_key = __esm(() => {
  init_indexed();
  init_mapped2();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/indexed/index.mjs
var init_indexed2 = __esm(() => {
  init_indexed_from_mapped_key();
  init_indexed_from_mapped_result();
  init_indexed_property_keys();
  init_indexed();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/iterator/iterator.mjs
function Iterator(items, options) {
  return CreateType({ [Kind]: "Iterator", type: "Iterator", items }, options);
}
var init_iterator = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/iterator/index.mjs
var init_iterator2 = __esm(() => {
  init_iterator();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/object/object.mjs
function RequiredKeys(properties) {
  const keys = [];
  for (let key in properties) {
    if (!IsOptional(properties[key]))
      keys.push(key);
  }
  return keys;
}
function _Object(properties, options) {
  const required = RequiredKeys(properties);
  const schematic = required.length > 0 ? { [Kind]: "Object", type: "object", properties, required } : { [Kind]: "Object", type: "object", properties };
  return CreateType(schematic, options);
}
var Object2;
var init_object = __esm(() => {
  init_type2();
  init_symbols2();
  init_kind();
  Object2 = _Object;
});

// ../../node_modules/@sinclair/typebox/build/esm/type/object/index.mjs
var init_object2 = __esm(() => {
  init_object();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/promise/promise.mjs
function Promise2(item, options) {
  return CreateType({ [Kind]: "Promise", type: "Promise", item }, options);
}
var init_promise = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/promise/index.mjs
var init_promise2 = __esm(() => {
  init_promise();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/readonly/readonly.mjs
function RemoveReadonly(schema) {
  return CreateType(Discard(schema, [ReadonlyKind]));
}
function AddReadonly(schema) {
  return CreateType({ ...schema, [ReadonlyKind]: "Readonly" });
}
function ReadonlyWithFlag(schema, F) {
  return F === false ? RemoveReadonly(schema) : AddReadonly(schema);
}
function Readonly(schema, enable) {
  const F = enable ?? true;
  return IsMappedResult(schema) ? ReadonlyFromMappedResult(schema, F) : ReadonlyWithFlag(schema, F);
}
var init_readonly = __esm(() => {
  init_type2();
  init_symbols2();
  init_discard();
  init_readonly_from_mapped_result();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/readonly/readonly-from-mapped-result.mjs
function FromProperties2(K, F) {
  const Acc = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(K))
    Acc[K2] = Readonly(K[K2], F);
  return Acc;
}
function FromMappedResult2(R, F) {
  return FromProperties2(R.properties, F);
}
function ReadonlyFromMappedResult(R, F) {
  const P = FromMappedResult2(R, F);
  return MappedResult(P);
}
var init_readonly_from_mapped_result = __esm(() => {
  init_mapped2();
  init_readonly();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/readonly/index.mjs
var init_readonly2 = __esm(() => {
  init_readonly_from_mapped_result();
  init_readonly();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/tuple/tuple.mjs
function Tuple(types, options) {
  return CreateType(types.length > 0 ? { [Kind]: "Tuple", type: "array", items: types, additionalItems: false, minItems: types.length, maxItems: types.length } : { [Kind]: "Tuple", type: "array", minItems: types.length, maxItems: types.length }, options);
}
var init_tuple = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/tuple/index.mjs
var init_tuple2 = __esm(() => {
  init_tuple();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/mapped/mapped.mjs
function FromMappedResult3(K, P) {
  return K in P ? FromSchemaType(K, P[K]) : MappedResult(P);
}
function MappedKeyToKnownMappedResultProperties(K) {
  return { [K]: Literal(K) };
}
function MappedKeyToUnknownMappedResultProperties(P) {
  const Acc = {};
  for (const L of P)
    Acc[L] = Literal(L);
  return Acc;
}
function MappedKeyToMappedResultProperties(K, P) {
  return SetIncludes(P, K) ? MappedKeyToKnownMappedResultProperties(K) : MappedKeyToUnknownMappedResultProperties(P);
}
function FromMappedKey(K, P) {
  const R = MappedKeyToMappedResultProperties(K, P);
  return FromMappedResult3(K, R);
}
function FromRest2(K, T) {
  return T.map((L) => FromSchemaType(K, L));
}
function FromProperties3(K, T) {
  const Acc = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(T))
    Acc[K2] = FromSchemaType(K, T[K2]);
  return Acc;
}
function FromSchemaType(K, T) {
  const options = { ...T };
  return IsOptional(T) ? Optional(FromSchemaType(K, Discard(T, [OptionalKind]))) : IsReadonly(T) ? Readonly(FromSchemaType(K, Discard(T, [ReadonlyKind]))) : IsMappedResult(T) ? FromMappedResult3(K, T.properties) : IsMappedKey(T) ? FromMappedKey(K, T.keys) : IsConstructor(T) ? Constructor(FromRest2(K, T.parameters), FromSchemaType(K, T.returns), options) : IsFunction3(T) ? Function2(FromRest2(K, T.parameters), FromSchemaType(K, T.returns), options) : IsAsyncIterator3(T) ? AsyncIterator(FromSchemaType(K, T.items), options) : IsIterator3(T) ? Iterator(FromSchemaType(K, T.items), options) : IsIntersect(T) ? Intersect(FromRest2(K, T.allOf), options) : IsUnion(T) ? Union(FromRest2(K, T.anyOf), options) : IsTuple(T) ? Tuple(FromRest2(K, T.items ?? []), options) : IsObject3(T) ? Object2(FromProperties3(K, T.properties), options) : IsArray3(T) ? Array2(FromSchemaType(K, T.items), options) : IsPromise2(T) ? Promise2(FromSchemaType(K, T.item), options) : T;
}
function MappedFunctionReturnType(K, T) {
  const Acc = {};
  for (const L of K)
    Acc[L] = FromSchemaType(L, T);
  return Acc;
}
function Mapped(key, map3, options) {
  const K = IsSchema(key) ? IndexPropertyKeys(key) : key;
  const RT = map3({ [Kind]: "MappedKey", keys: K });
  const R = MappedFunctionReturnType(K, RT);
  return Object2(R, options);
}
var init_mapped = __esm(() => {
  init_symbols2();
  init_discard();
  init_array2();
  init_async_iterator2();
  init_constructor2();
  init_function2();
  init_indexed2();
  init_intersect2();
  init_iterator2();
  init_literal2();
  init_object2();
  init_optional2();
  init_promise2();
  init_readonly2();
  init_tuple2();
  init_union2();
  init_sets();
  init_mapped_result();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/mapped/index.mjs
var init_mapped2 = __esm(() => {
  init_mapped_key();
  init_mapped_result();
  init_mapped();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/optional/optional.mjs
function RemoveOptional(schema) {
  return CreateType(Discard(schema, [OptionalKind]));
}
function AddOptional(schema) {
  return CreateType({ ...schema, [OptionalKind]: "Optional" });
}
function OptionalWithFlag(schema, F) {
  return F === false ? RemoveOptional(schema) : AddOptional(schema);
}
function Optional(schema, enable) {
  const F = enable ?? true;
  return IsMappedResult(schema) ? OptionalFromMappedResult(schema, F) : OptionalWithFlag(schema, F);
}
var init_optional = __esm(() => {
  init_type2();
  init_symbols2();
  init_discard();
  init_optional_from_mapped_result();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/optional/optional-from-mapped-result.mjs
function FromProperties4(P, F) {
  const Acc = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(P))
    Acc[K2] = Optional(P[K2], F);
  return Acc;
}
function FromMappedResult4(R, F) {
  return FromProperties4(R.properties, F);
}
function OptionalFromMappedResult(R, F) {
  const P = FromMappedResult4(R, F);
  return MappedResult(P);
}
var init_optional_from_mapped_result = __esm(() => {
  init_mapped2();
  init_optional();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/optional/index.mjs
var init_optional2 = __esm(() => {
  init_optional_from_mapped_result();
  init_optional();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intersect/intersect-create.mjs
function IntersectCreate(T, options = {}) {
  const allObjects = T.every((schema) => IsObject3(schema));
  const clonedUnevaluatedProperties = IsSchema(options.unevaluatedProperties) ? { unevaluatedProperties: options.unevaluatedProperties } : {};
  return CreateType(options.unevaluatedProperties === false || IsSchema(options.unevaluatedProperties) || allObjects ? { ...clonedUnevaluatedProperties, [Kind]: "Intersect", type: "object", allOf: T } : { ...clonedUnevaluatedProperties, [Kind]: "Intersect", allOf: T }, options);
}
var init_intersect_create = __esm(() => {
  init_type2();
  init_symbols2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intersect/intersect-evaluated.mjs
function IsIntersectOptional(types) {
  return types.every((left) => IsOptional(left));
}
function RemoveOptionalFromType2(type3) {
  return Discard(type3, [OptionalKind]);
}
function RemoveOptionalFromRest2(types) {
  return types.map((left) => IsOptional(left) ? RemoveOptionalFromType2(left) : left);
}
function ResolveIntersect(types, options) {
  return IsIntersectOptional(types) ? Optional(IntersectCreate(RemoveOptionalFromRest2(types), options)) : IntersectCreate(RemoveOptionalFromRest2(types), options);
}
function IntersectEvaluated(types, options = {}) {
  if (types.length === 1)
    return CreateType(types[0], options);
  if (types.length === 0)
    return Never(options);
  if (types.some((schema) => IsTransform(schema)))
    throw new Error("Cannot intersect transform types");
  return ResolveIntersect(types, options);
}
var init_intersect_evaluated = __esm(() => {
  init_symbols2();
  init_type2();
  init_discard();
  init_never2();
  init_optional2();
  init_intersect_create();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intersect/intersect-type.mjs
var init_intersect_type = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/intersect/intersect.mjs
function Intersect(types, options) {
  if (types.length === 1)
    return CreateType(types[0], options);
  if (types.length === 0)
    return Never(options);
  if (types.some((schema) => IsTransform(schema)))
    throw new Error("Cannot intersect transform types");
  return IntersectCreate(types, options);
}
var init_intersect = __esm(() => {
  init_type2();
  init_never2();
  init_intersect_create();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intersect/index.mjs
var init_intersect2 = __esm(() => {
  init_intersect_evaluated();
  init_intersect_type();
  init_intersect();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/ref/ref.mjs
function Ref(...args) {
  const [$ref, options] = typeof args[0] === "string" ? [args[0], args[1]] : [args[0].$id, args[1]];
  if (typeof $ref !== "string")
    throw new TypeBoxError("Ref: $ref must be a string");
  return CreateType({ [Kind]: "Ref", $ref }, options);
}
var init_ref = __esm(() => {
  init_error2();
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/ref/index.mjs
var init_ref2 = __esm(() => {
  init_ref();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/awaited/awaited.mjs
function FromComputed(target, parameters) {
  return Computed("Awaited", [Computed(target, parameters)]);
}
function FromRef($ref) {
  return Computed("Awaited", [Ref($ref)]);
}
function FromIntersect2(types) {
  return Intersect(FromRest3(types));
}
function FromUnion4(types) {
  return Union(FromRest3(types));
}
function FromPromise(type3) {
  return Awaited(type3);
}
function FromRest3(types) {
  return types.map((type3) => Awaited(type3));
}
function Awaited(type3, options) {
  return CreateType(IsComputed(type3) ? FromComputed(type3.target, type3.parameters) : IsIntersect(type3) ? FromIntersect2(type3.allOf) : IsUnion(type3) ? FromUnion4(type3.anyOf) : IsPromise2(type3) ? FromPromise(type3.item) : IsRef(type3) ? FromRef(type3.$ref) : type3, options);
}
var init_awaited = __esm(() => {
  init_type2();
  init_computed2();
  init_intersect2();
  init_union2();
  init_ref2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/awaited/index.mjs
var init_awaited2 = __esm(() => {
  init_awaited();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/keyof/keyof-property-keys.mjs
function FromRest4(types) {
  const result = [];
  for (const L of types)
    result.push(KeyOfPropertyKeys(L));
  return result;
}
function FromIntersect3(types) {
  const propertyKeysArray = FromRest4(types);
  const propertyKeys = SetUnionMany(propertyKeysArray);
  return propertyKeys;
}
function FromUnion5(types) {
  const propertyKeysArray = FromRest4(types);
  const propertyKeys = SetIntersectMany(propertyKeysArray);
  return propertyKeys;
}
function FromTuple2(types) {
  return types.map((_, indexer) => indexer.toString());
}
function FromArray2(_) {
  return ["[number]"];
}
function FromProperties5(T) {
  return globalThis.Object.getOwnPropertyNames(T);
}
function FromPatternProperties(patternProperties) {
  if (!includePatternProperties)
    return [];
  const patternPropertyKeys = globalThis.Object.getOwnPropertyNames(patternProperties);
  return patternPropertyKeys.map((key) => {
    return key[0] === "^" && key[key.length - 1] === "$" ? key.slice(1, key.length - 1) : key;
  });
}
function KeyOfPropertyKeys(type3) {
  return IsIntersect(type3) ? FromIntersect3(type3.allOf) : IsUnion(type3) ? FromUnion5(type3.anyOf) : IsTuple(type3) ? FromTuple2(type3.items ?? []) : IsArray3(type3) ? FromArray2(type3.items) : IsObject3(type3) ? FromProperties5(type3.properties) : IsRecord(type3) ? FromPatternProperties(type3.patternProperties) : [];
}
function KeyOfPattern(schema) {
  includePatternProperties = true;
  const keys = KeyOfPropertyKeys(schema);
  includePatternProperties = false;
  const pattern2 = keys.map((key) => `(${key})`);
  return `^(${pattern2.join("|")})$`;
}
var includePatternProperties = false;
var init_keyof_property_keys = __esm(() => {
  init_sets();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/keyof/keyof.mjs
function FromComputed2(target, parameters) {
  return Computed("KeyOf", [Computed(target, parameters)]);
}
function FromRef2($ref) {
  return Computed("KeyOf", [Ref($ref)]);
}
function KeyOfFromType(type3, options) {
  const propertyKeys = KeyOfPropertyKeys(type3);
  const propertyKeyTypes = KeyOfPropertyKeysToRest(propertyKeys);
  const result = UnionEvaluated(propertyKeyTypes);
  return CreateType(result, options);
}
function KeyOfPropertyKeysToRest(propertyKeys) {
  return propertyKeys.map((L) => L === "[number]" ? Number2() : Literal(L));
}
function KeyOf(type3, options) {
  return IsComputed(type3) ? FromComputed2(type3.target, type3.parameters) : IsRef(type3) ? FromRef2(type3.$ref) : IsMappedResult(type3) ? KeyOfFromMappedResult(type3, options) : KeyOfFromType(type3, options);
}
var init_keyof = __esm(() => {
  init_type2();
  init_literal2();
  init_number2();
  init_computed2();
  init_ref2();
  init_keyof_property_keys();
  init_union2();
  init_keyof_from_mapped_result();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/keyof/keyof-from-mapped-result.mjs
function FromProperties6(properties, options) {
  const result = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(properties))
    result[K2] = KeyOf(properties[K2], Clone(options));
  return result;
}
function FromMappedResult5(mappedResult, options) {
  return FromProperties6(mappedResult.properties, options);
}
function KeyOfFromMappedResult(mappedResult, options) {
  const properties = FromMappedResult5(mappedResult, options);
  return MappedResult(properties);
}
var init_keyof_from_mapped_result = __esm(() => {
  init_mapped2();
  init_keyof();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/keyof/keyof-property-entries.mjs
function KeyOfPropertyEntries(schema) {
  const keys = KeyOfPropertyKeys(schema);
  const schemas = IndexFromPropertyKeys(schema, keys);
  return keys.map((_, index) => [keys[index], schemas[index]]);
}
var init_keyof_property_entries = __esm(() => {
  init_indexed();
  init_keyof_property_keys();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/keyof/index.mjs
var init_keyof2 = __esm(() => {
  init_keyof_from_mapped_result();
  init_keyof_property_entries();
  init_keyof_property_keys();
  init_keyof();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/composite/composite.mjs
function CompositeKeys(T) {
  const Acc = [];
  for (const L of T)
    Acc.push(...KeyOfPropertyKeys(L));
  return SetDistinct(Acc);
}
function FilterNever(T) {
  return T.filter((L) => !IsNever(L));
}
function CompositeProperty(T, K) {
  const Acc = [];
  for (const L of T)
    Acc.push(...IndexFromPropertyKeys(L, [K]));
  return FilterNever(Acc);
}
function CompositeProperties(T, K) {
  const Acc = {};
  for (const L of K) {
    Acc[L] = IntersectEvaluated(CompositeProperty(T, L));
  }
  return Acc;
}
function Composite(T, options) {
  const K = CompositeKeys(T);
  const P = CompositeProperties(T, K);
  const R = Object2(P, options);
  return R;
}
var init_composite = __esm(() => {
  init_intersect2();
  init_indexed2();
  init_keyof2();
  init_object2();
  init_sets();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/composite/index.mjs
var init_composite2 = __esm(() => {
  init_composite();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/date/date.mjs
function Date2(options) {
  return CreateType({ [Kind]: "Date", type: "Date" }, options);
}
var init_date = __esm(() => {
  init_symbols2();
  init_type2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/date/index.mjs
var init_date2 = __esm(() => {
  init_date();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/null/null.mjs
function Null(options) {
  return CreateType({ [Kind]: "Null", type: "null" }, options);
}
var init_null = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/null/index.mjs
var init_null2 = __esm(() => {
  init_null();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/symbol/symbol.mjs
function Symbol2(options) {
  return CreateType({ [Kind]: "Symbol", type: "symbol" }, options);
}
var init_symbol = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/symbol/index.mjs
var init_symbol2 = __esm(() => {
  init_symbol();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/undefined/undefined.mjs
function Undefined(options) {
  return CreateType({ [Kind]: "Undefined", type: "undefined" }, options);
}
var init_undefined = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/undefined/index.mjs
var init_undefined2 = __esm(() => {
  init_undefined();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/uint8array/uint8array.mjs
function Uint8Array2(options) {
  return CreateType({ [Kind]: "Uint8Array", type: "Uint8Array" }, options);
}
var init_uint8array = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/uint8array/index.mjs
var init_uint8array2 = __esm(() => {
  init_uint8array();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/unknown/unknown.mjs
function Unknown(options) {
  return CreateType({ [Kind]: "Unknown" }, options);
}
var init_unknown = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/unknown/index.mjs
var init_unknown2 = __esm(() => {
  init_unknown();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/const/const.mjs
function FromArray3(T) {
  return T.map((L) => FromValue(L, false));
}
function FromProperties7(value2) {
  const Acc = {};
  for (const K of globalThis.Object.getOwnPropertyNames(value2))
    Acc[K] = Readonly(FromValue(value2[K], false));
  return Acc;
}
function ConditionalReadonly(T, root) {
  return root === true ? T : Readonly(T);
}
function FromValue(value2, root) {
  return IsAsyncIterator(value2) ? ConditionalReadonly(Any(), root) : IsIterator(value2) ? ConditionalReadonly(Any(), root) : IsArray(value2) ? Readonly(Tuple(FromArray3(value2))) : IsUint8Array(value2) ? Uint8Array2() : IsDate(value2) ? Date2() : IsObject(value2) ? ConditionalReadonly(Object2(FromProperties7(value2)), root) : IsFunction(value2) ? ConditionalReadonly(Function2([], Unknown()), root) : IsUndefined(value2) ? Undefined() : IsNull(value2) ? Null() : IsSymbol(value2) ? Symbol2() : IsBigInt(value2) ? BigInt2() : IsNumber(value2) ? Literal(value2) : IsBoolean(value2) ? Literal(value2) : IsString(value2) ? Literal(value2) : Object2({});
}
function Const(T, options) {
  return CreateType(FromValue(T, true), options);
}
var init_const = __esm(() => {
  init_any2();
  init_bigint2();
  init_date2();
  init_function2();
  init_literal2();
  init_null2();
  init_object2();
  init_symbol2();
  init_tuple2();
  init_readonly2();
  init_undefined2();
  init_uint8array2();
  init_unknown2();
  init_create();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/const/index.mjs
var init_const2 = __esm(() => {
  init_const();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/constructor-parameters/constructor-parameters.mjs
function ConstructorParameters(schema, options) {
  return IsConstructor(schema) ? Tuple(schema.parameters, options) : Never(options);
}
var init_constructor_parameters = __esm(() => {
  init_tuple2();
  init_never2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/constructor-parameters/index.mjs
var init_constructor_parameters2 = __esm(() => {
  init_constructor_parameters();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/enum/enum.mjs
function Enum(item, options) {
  if (IsUndefined(item))
    throw new Error("Enum undefined or empty");
  const values1 = globalThis.Object.getOwnPropertyNames(item).filter((key) => isNaN(key)).map((key) => item[key]);
  const values2 = [...new Set(values1)];
  const anyOf = values2.map((value2) => Literal(value2));
  return Union(anyOf, { ...options, [Hint]: "Enum" });
}
var init_enum = __esm(() => {
  init_literal2();
  init_symbols2();
  init_union2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/enum/index.mjs
var init_enum2 = __esm(() => {
  init_enum();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extends/extends-check.mjs
function IntoBooleanResult(result) {
  return result === ExtendsResult.False ? result : ExtendsResult.True;
}
function Throw(message) {
  throw new ExtendsResolverError(message);
}
function IsStructuralRight(right) {
  return exports_type.IsNever(right) || exports_type.IsIntersect(right) || exports_type.IsUnion(right) || exports_type.IsUnknown(right) || exports_type.IsAny(right);
}
function StructuralRight(left, right) {
  return exports_type.IsNever(right) ? FromNeverRight(left, right) : exports_type.IsIntersect(right) ? FromIntersectRight(left, right) : exports_type.IsUnion(right) ? FromUnionRight(left, right) : exports_type.IsUnknown(right) ? FromUnknownRight(left, right) : exports_type.IsAny(right) ? FromAnyRight(left, right) : Throw("StructuralRight");
}
function FromAnyRight(left, right) {
  return ExtendsResult.True;
}
function FromAny(left, right) {
  return exports_type.IsIntersect(right) ? FromIntersectRight(left, right) : exports_type.IsUnion(right) && right.anyOf.some((schema) => exports_type.IsAny(schema) || exports_type.IsUnknown(schema)) ? ExtendsResult.True : exports_type.IsUnion(right) ? ExtendsResult.Union : exports_type.IsUnknown(right) ? ExtendsResult.True : exports_type.IsAny(right) ? ExtendsResult.True : ExtendsResult.Union;
}
function FromArrayRight(left, right) {
  return exports_type.IsUnknown(left) ? ExtendsResult.False : exports_type.IsAny(left) ? ExtendsResult.Union : exports_type.IsNever(left) ? ExtendsResult.True : ExtendsResult.False;
}
function FromArray4(left, right) {
  return exports_type.IsObject(right) && IsObjectArrayLike(right) ? ExtendsResult.True : IsStructuralRight(right) ? StructuralRight(left, right) : !exports_type.IsArray(right) ? ExtendsResult.False : IntoBooleanResult(Visit3(left.items, right.items));
}
function FromAsyncIterator(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : !exports_type.IsAsyncIterator(right) ? ExtendsResult.False : IntoBooleanResult(Visit3(left.items, right.items));
}
function FromBigInt(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsBigInt(right) ? ExtendsResult.True : ExtendsResult.False;
}
function FromBooleanRight(left, right) {
  return exports_type.IsLiteralBoolean(left) ? ExtendsResult.True : exports_type.IsBoolean(left) ? ExtendsResult.True : ExtendsResult.False;
}
function FromBoolean(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsBoolean(right) ? ExtendsResult.True : ExtendsResult.False;
}
function FromConstructor(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : !exports_type.IsConstructor(right) ? ExtendsResult.False : left.parameters.length > right.parameters.length ? ExtendsResult.False : !left.parameters.every((schema, index) => IntoBooleanResult(Visit3(right.parameters[index], schema)) === ExtendsResult.True) ? ExtendsResult.False : IntoBooleanResult(Visit3(left.returns, right.returns));
}
function FromDate(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsDate(right) ? ExtendsResult.True : ExtendsResult.False;
}
function FromFunction(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : !exports_type.IsFunction(right) ? ExtendsResult.False : left.parameters.length > right.parameters.length ? ExtendsResult.False : !left.parameters.every((schema, index) => IntoBooleanResult(Visit3(right.parameters[index], schema)) === ExtendsResult.True) ? ExtendsResult.False : IntoBooleanResult(Visit3(left.returns, right.returns));
}
function FromIntegerRight(left, right) {
  return exports_type.IsLiteral(left) && exports_value.IsNumber(left.const) ? ExtendsResult.True : exports_type.IsNumber(left) || exports_type.IsInteger(left) ? ExtendsResult.True : ExtendsResult.False;
}
function FromInteger(left, right) {
  return exports_type.IsInteger(right) || exports_type.IsNumber(right) ? ExtendsResult.True : IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : ExtendsResult.False;
}
function FromIntersectRight(left, right) {
  return right.allOf.every((schema) => Visit3(left, schema) === ExtendsResult.True) ? ExtendsResult.True : ExtendsResult.False;
}
function FromIntersect4(left, right) {
  return left.allOf.some((schema) => Visit3(schema, right) === ExtendsResult.True) ? ExtendsResult.True : ExtendsResult.False;
}
function FromIterator(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : !exports_type.IsIterator(right) ? ExtendsResult.False : IntoBooleanResult(Visit3(left.items, right.items));
}
function FromLiteral2(left, right) {
  return exports_type.IsLiteral(right) && right.const === left.const ? ExtendsResult.True : IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsString(right) ? FromStringRight(left, right) : exports_type.IsNumber(right) ? FromNumberRight(left, right) : exports_type.IsInteger(right) ? FromIntegerRight(left, right) : exports_type.IsBoolean(right) ? FromBooleanRight(left, right) : ExtendsResult.False;
}
function FromNeverRight(left, right) {
  return ExtendsResult.False;
}
function FromNever(left, right) {
  return ExtendsResult.True;
}
function UnwrapTNot(schema) {
  let [current, depth] = [schema, 0];
  while (true) {
    if (!exports_type.IsNot(current))
      break;
    current = current.not;
    depth += 1;
  }
  return depth % 2 === 0 ? current : Unknown();
}
function FromNot(left, right) {
  return exports_type.IsNot(left) ? Visit3(UnwrapTNot(left), right) : exports_type.IsNot(right) ? Visit3(left, UnwrapTNot(right)) : Throw("Invalid fallthrough for Not");
}
function FromNull(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsNull(right) ? ExtendsResult.True : ExtendsResult.False;
}
function FromNumberRight(left, right) {
  return exports_type.IsLiteralNumber(left) ? ExtendsResult.True : exports_type.IsNumber(left) || exports_type.IsInteger(left) ? ExtendsResult.True : ExtendsResult.False;
}
function FromNumber(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsInteger(right) || exports_type.IsNumber(right) ? ExtendsResult.True : ExtendsResult.False;
}
function IsObjectPropertyCount(schema, count) {
  return Object.getOwnPropertyNames(schema.properties).length === count;
}
function IsObjectStringLike(schema) {
  return IsObjectArrayLike(schema);
}
function IsObjectSymbolLike(schema) {
  return IsObjectPropertyCount(schema, 0) || IsObjectPropertyCount(schema, 1) && "description" in schema.properties && exports_type.IsUnion(schema.properties.description) && schema.properties.description.anyOf.length === 2 && (exports_type.IsString(schema.properties.description.anyOf[0]) && exports_type.IsUndefined(schema.properties.description.anyOf[1]) || exports_type.IsString(schema.properties.description.anyOf[1]) && exports_type.IsUndefined(schema.properties.description.anyOf[0]));
}
function IsObjectNumberLike(schema) {
  return IsObjectPropertyCount(schema, 0);
}
function IsObjectBooleanLike(schema) {
  return IsObjectPropertyCount(schema, 0);
}
function IsObjectBigIntLike(schema) {
  return IsObjectPropertyCount(schema, 0);
}
function IsObjectDateLike(schema) {
  return IsObjectPropertyCount(schema, 0);
}
function IsObjectUint8ArrayLike(schema) {
  return IsObjectArrayLike(schema);
}
function IsObjectFunctionLike(schema) {
  const length = Number2();
  return IsObjectPropertyCount(schema, 0) || IsObjectPropertyCount(schema, 1) && "length" in schema.properties && IntoBooleanResult(Visit3(schema.properties["length"], length)) === ExtendsResult.True;
}
function IsObjectConstructorLike(schema) {
  return IsObjectPropertyCount(schema, 0);
}
function IsObjectArrayLike(schema) {
  const length = Number2();
  return IsObjectPropertyCount(schema, 0) || IsObjectPropertyCount(schema, 1) && "length" in schema.properties && IntoBooleanResult(Visit3(schema.properties["length"], length)) === ExtendsResult.True;
}
function IsObjectPromiseLike(schema) {
  const then = Function2([Any()], Any());
  return IsObjectPropertyCount(schema, 0) || IsObjectPropertyCount(schema, 1) && "then" in schema.properties && IntoBooleanResult(Visit3(schema.properties["then"], then)) === ExtendsResult.True;
}
function Property(left, right) {
  return Visit3(left, right) === ExtendsResult.False ? ExtendsResult.False : exports_type.IsOptional(left) && !exports_type.IsOptional(right) ? ExtendsResult.False : ExtendsResult.True;
}
function FromObjectRight(left, right) {
  return exports_type.IsUnknown(left) ? ExtendsResult.False : exports_type.IsAny(left) ? ExtendsResult.Union : exports_type.IsNever(left) || exports_type.IsLiteralString(left) && IsObjectStringLike(right) || exports_type.IsLiteralNumber(left) && IsObjectNumberLike(right) || exports_type.IsLiteralBoolean(left) && IsObjectBooleanLike(right) || exports_type.IsSymbol(left) && IsObjectSymbolLike(right) || exports_type.IsBigInt(left) && IsObjectBigIntLike(right) || exports_type.IsString(left) && IsObjectStringLike(right) || exports_type.IsSymbol(left) && IsObjectSymbolLike(right) || exports_type.IsNumber(left) && IsObjectNumberLike(right) || exports_type.IsInteger(left) && IsObjectNumberLike(right) || exports_type.IsBoolean(left) && IsObjectBooleanLike(right) || exports_type.IsUint8Array(left) && IsObjectUint8ArrayLike(right) || exports_type.IsDate(left) && IsObjectDateLike(right) || exports_type.IsConstructor(left) && IsObjectConstructorLike(right) || exports_type.IsFunction(left) && IsObjectFunctionLike(right) ? ExtendsResult.True : exports_type.IsRecord(left) && exports_type.IsString(RecordKey(left)) ? (() => {
    return right[Hint] === "Record" ? ExtendsResult.True : ExtendsResult.False;
  })() : exports_type.IsRecord(left) && exports_type.IsNumber(RecordKey(left)) ? (() => {
    return IsObjectPropertyCount(right, 0) ? ExtendsResult.True : ExtendsResult.False;
  })() : ExtendsResult.False;
}
function FromObject(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : !exports_type.IsObject(right) ? ExtendsResult.False : (() => {
    for (const key of Object.getOwnPropertyNames(right.properties)) {
      if (!(key in left.properties) && !exports_type.IsOptional(right.properties[key])) {
        return ExtendsResult.False;
      }
      if (exports_type.IsOptional(right.properties[key])) {
        return ExtendsResult.True;
      }
      if (Property(left.properties[key], right.properties[key]) === ExtendsResult.False) {
        return ExtendsResult.False;
      }
    }
    return ExtendsResult.True;
  })();
}
function FromPromise2(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) && IsObjectPromiseLike(right) ? ExtendsResult.True : !exports_type.IsPromise(right) ? ExtendsResult.False : IntoBooleanResult(Visit3(left.item, right.item));
}
function RecordKey(schema) {
  return PatternNumberExact in schema.patternProperties ? Number2() : (PatternStringExact in schema.patternProperties) ? String2() : Throw("Unknown record key pattern");
}
function RecordValue(schema) {
  return PatternNumberExact in schema.patternProperties ? schema.patternProperties[PatternNumberExact] : (PatternStringExact in schema.patternProperties) ? schema.patternProperties[PatternStringExact] : Throw("Unable to get record value schema");
}
function FromRecordRight(left, right) {
  const [Key, Value] = [RecordKey(right), RecordValue(right)];
  return exports_type.IsLiteralString(left) && exports_type.IsNumber(Key) && IntoBooleanResult(Visit3(left, Value)) === ExtendsResult.True ? ExtendsResult.True : exports_type.IsUint8Array(left) && exports_type.IsNumber(Key) ? Visit3(left, Value) : exports_type.IsString(left) && exports_type.IsNumber(Key) ? Visit3(left, Value) : exports_type.IsArray(left) && exports_type.IsNumber(Key) ? Visit3(left, Value) : exports_type.IsObject(left) ? (() => {
    for (const key of Object.getOwnPropertyNames(left.properties)) {
      if (Property(Value, left.properties[key]) === ExtendsResult.False) {
        return ExtendsResult.False;
      }
    }
    return ExtendsResult.True;
  })() : ExtendsResult.False;
}
function FromRecord(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : !exports_type.IsRecord(right) ? ExtendsResult.False : Visit3(RecordValue(left), RecordValue(right));
}
function FromRegExp(left, right) {
  const L = exports_type.IsRegExp(left) ? String2() : left;
  const R = exports_type.IsRegExp(right) ? String2() : right;
  return Visit3(L, R);
}
function FromStringRight(left, right) {
  return exports_type.IsLiteral(left) && exports_value.IsString(left.const) ? ExtendsResult.True : exports_type.IsString(left) ? ExtendsResult.True : ExtendsResult.False;
}
function FromString(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsString(right) ? ExtendsResult.True : ExtendsResult.False;
}
function FromSymbol(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsSymbol(right) ? ExtendsResult.True : ExtendsResult.False;
}
function FromTemplateLiteral2(left, right) {
  return exports_type.IsTemplateLiteral(left) ? Visit3(TemplateLiteralToUnion(left), right) : exports_type.IsTemplateLiteral(right) ? Visit3(left, TemplateLiteralToUnion(right)) : Throw("Invalid fallthrough for TemplateLiteral");
}
function IsArrayOfTuple(left, right) {
  return exports_type.IsArray(right) && left.items !== undefined && left.items.every((schema) => Visit3(schema, right.items) === ExtendsResult.True);
}
function FromTupleRight(left, right) {
  return exports_type.IsNever(left) ? ExtendsResult.True : exports_type.IsUnknown(left) ? ExtendsResult.False : exports_type.IsAny(left) ? ExtendsResult.Union : ExtendsResult.False;
}
function FromTuple3(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) && IsObjectArrayLike(right) ? ExtendsResult.True : exports_type.IsArray(right) && IsArrayOfTuple(left, right) ? ExtendsResult.True : !exports_type.IsTuple(right) ? ExtendsResult.False : exports_value.IsUndefined(left.items) && !exports_value.IsUndefined(right.items) || !exports_value.IsUndefined(left.items) && exports_value.IsUndefined(right.items) ? ExtendsResult.False : exports_value.IsUndefined(left.items) && !exports_value.IsUndefined(right.items) ? ExtendsResult.True : left.items.every((schema, index) => Visit3(schema, right.items[index]) === ExtendsResult.True) ? ExtendsResult.True : ExtendsResult.False;
}
function FromUint8Array(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsUint8Array(right) ? ExtendsResult.True : ExtendsResult.False;
}
function FromUndefined(left, right) {
  return IsStructuralRight(right) ? StructuralRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsRecord(right) ? FromRecordRight(left, right) : exports_type.IsVoid(right) ? FromVoidRight(left, right) : exports_type.IsUndefined(right) ? ExtendsResult.True : ExtendsResult.False;
}
function FromUnionRight(left, right) {
  return right.anyOf.some((schema) => Visit3(left, schema) === ExtendsResult.True) ? ExtendsResult.True : ExtendsResult.False;
}
function FromUnion6(left, right) {
  return left.anyOf.every((schema) => Visit3(schema, right) === ExtendsResult.True) ? ExtendsResult.True : ExtendsResult.False;
}
function FromUnknownRight(left, right) {
  return ExtendsResult.True;
}
function FromUnknown(left, right) {
  return exports_type.IsNever(right) ? FromNeverRight(left, right) : exports_type.IsIntersect(right) ? FromIntersectRight(left, right) : exports_type.IsUnion(right) ? FromUnionRight(left, right) : exports_type.IsAny(right) ? FromAnyRight(left, right) : exports_type.IsString(right) ? FromStringRight(left, right) : exports_type.IsNumber(right) ? FromNumberRight(left, right) : exports_type.IsInteger(right) ? FromIntegerRight(left, right) : exports_type.IsBoolean(right) ? FromBooleanRight(left, right) : exports_type.IsArray(right) ? FromArrayRight(left, right) : exports_type.IsTuple(right) ? FromTupleRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsUnknown(right) ? ExtendsResult.True : ExtendsResult.False;
}
function FromVoidRight(left, right) {
  return exports_type.IsUndefined(left) ? ExtendsResult.True : exports_type.IsUndefined(left) ? ExtendsResult.True : ExtendsResult.False;
}
function FromVoid(left, right) {
  return exports_type.IsIntersect(right) ? FromIntersectRight(left, right) : exports_type.IsUnion(right) ? FromUnionRight(left, right) : exports_type.IsUnknown(right) ? FromUnknownRight(left, right) : exports_type.IsAny(right) ? FromAnyRight(left, right) : exports_type.IsObject(right) ? FromObjectRight(left, right) : exports_type.IsVoid(right) ? ExtendsResult.True : ExtendsResult.False;
}
function Visit3(left, right) {
  return exports_type.IsTemplateLiteral(left) || exports_type.IsTemplateLiteral(right) ? FromTemplateLiteral2(left, right) : exports_type.IsRegExp(left) || exports_type.IsRegExp(right) ? FromRegExp(left, right) : exports_type.IsNot(left) || exports_type.IsNot(right) ? FromNot(left, right) : exports_type.IsAny(left) ? FromAny(left, right) : exports_type.IsArray(left) ? FromArray4(left, right) : exports_type.IsBigInt(left) ? FromBigInt(left, right) : exports_type.IsBoolean(left) ? FromBoolean(left, right) : exports_type.IsAsyncIterator(left) ? FromAsyncIterator(left, right) : exports_type.IsConstructor(left) ? FromConstructor(left, right) : exports_type.IsDate(left) ? FromDate(left, right) : exports_type.IsFunction(left) ? FromFunction(left, right) : exports_type.IsInteger(left) ? FromInteger(left, right) : exports_type.IsIntersect(left) ? FromIntersect4(left, right) : exports_type.IsIterator(left) ? FromIterator(left, right) : exports_type.IsLiteral(left) ? FromLiteral2(left, right) : exports_type.IsNever(left) ? FromNever(left, right) : exports_type.IsNull(left) ? FromNull(left, right) : exports_type.IsNumber(left) ? FromNumber(left, right) : exports_type.IsObject(left) ? FromObject(left, right) : exports_type.IsRecord(left) ? FromRecord(left, right) : exports_type.IsString(left) ? FromString(left, right) : exports_type.IsSymbol(left) ? FromSymbol(left, right) : exports_type.IsTuple(left) ? FromTuple3(left, right) : exports_type.IsPromise(left) ? FromPromise2(left, right) : exports_type.IsUint8Array(left) ? FromUint8Array(left, right) : exports_type.IsUndefined(left) ? FromUndefined(left, right) : exports_type.IsUnion(left) ? FromUnion6(left, right) : exports_type.IsUnknown(left) ? FromUnknown(left, right) : exports_type.IsVoid(left) ? FromVoid(left, right) : Throw(`Unknown left type operand '${left[Kind]}'`);
}
function ExtendsCheck(left, right) {
  return Visit3(left, right);
}
var ExtendsResolverError, ExtendsResult;
var init_extends_check = __esm(() => {
  init_any2();
  init_function2();
  init_number2();
  init_string2();
  init_unknown2();
  init_template_literal2();
  init_patterns2();
  init_symbols2();
  init_error2();
  init_guard2();
  ExtendsResolverError = class ExtendsResolverError extends TypeBoxError {
  };
  (function(ExtendsResult2) {
    ExtendsResult2[ExtendsResult2["Union"] = 0] = "Union";
    ExtendsResult2[ExtendsResult2["True"] = 1] = "True";
    ExtendsResult2[ExtendsResult2["False"] = 2] = "False";
  })(ExtendsResult || (ExtendsResult = {}));
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extends/extends-from-mapped-result.mjs
function FromProperties8(P, Right, True, False, options) {
  const Acc = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(P))
    Acc[K2] = Extends(P[K2], Right, True, False, Clone(options));
  return Acc;
}
function FromMappedResult6(Left, Right, True, False, options) {
  return FromProperties8(Left.properties, Right, True, False, options);
}
function ExtendsFromMappedResult(Left, Right, True, False, options) {
  const P = FromMappedResult6(Left, Right, True, False, options);
  return MappedResult(P);
}
var init_extends_from_mapped_result = __esm(() => {
  init_mapped2();
  init_extends();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extends/extends.mjs
function ExtendsResolve(left, right, trueType, falseType) {
  const R = ExtendsCheck(left, right);
  return R === ExtendsResult.Union ? Union([trueType, falseType]) : R === ExtendsResult.True ? trueType : falseType;
}
function Extends(L, R, T, F, options) {
  return IsMappedResult(L) ? ExtendsFromMappedResult(L, R, T, F, options) : IsMappedKey(L) ? CreateType(ExtendsFromMappedKey(L, R, T, F, options)) : CreateType(ExtendsResolve(L, R, T, F), options);
}
var init_extends = __esm(() => {
  init_type2();
  init_union2();
  init_extends_check();
  init_extends_from_mapped_key();
  init_extends_from_mapped_result();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extends/extends-from-mapped-key.mjs
function FromPropertyKey(K, U, L, R, options) {
  return {
    [K]: Extends(Literal(K), U, L, R, Clone(options))
  };
}
function FromPropertyKeys(K, U, L, R, options) {
  return K.reduce((Acc, LK) => {
    return { ...Acc, ...FromPropertyKey(LK, U, L, R, options) };
  }, {});
}
function FromMappedKey2(K, U, L, R, options) {
  return FromPropertyKeys(K.keys, U, L, R, options);
}
function ExtendsFromMappedKey(T, U, L, R, options) {
  const P = FromMappedKey2(T, U, L, R, options);
  return MappedResult(P);
}
var init_extends_from_mapped_key = __esm(() => {
  init_mapped2();
  init_literal2();
  init_extends();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extends/extends-undefined.mjs
function Intersect2(schema) {
  return schema.allOf.every((schema2) => ExtendsUndefinedCheck(schema2));
}
function Union2(schema) {
  return schema.anyOf.some((schema2) => ExtendsUndefinedCheck(schema2));
}
function Not(schema) {
  return !ExtendsUndefinedCheck(schema.not);
}
function ExtendsUndefinedCheck(schema) {
  return schema[Kind] === "Intersect" ? Intersect2(schema) : schema[Kind] === "Union" ? Union2(schema) : schema[Kind] === "Not" ? Not(schema) : schema[Kind] === "Undefined" ? true : false;
}
var init_extends_undefined = __esm(() => {
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extends/index.mjs
var init_extends2 = __esm(() => {
  init_extends_check();
  init_extends_from_mapped_key();
  init_extends_from_mapped_result();
  init_extends_undefined();
  init_extends();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/exclude/exclude-from-template-literal.mjs
function ExcludeFromTemplateLiteral(L, R) {
  return Exclude(TemplateLiteralToUnion(L), R);
}
var init_exclude_from_template_literal = __esm(() => {
  init_exclude();
  init_template_literal2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/exclude/exclude.mjs
function ExcludeRest(L, R) {
  const excluded = L.filter((inner) => ExtendsCheck(inner, R) === ExtendsResult.False);
  return excluded.length === 1 ? excluded[0] : Union(excluded);
}
function Exclude(L, R, options = {}) {
  if (IsTemplateLiteral(L))
    return CreateType(ExcludeFromTemplateLiteral(L, R), options);
  if (IsMappedResult(L))
    return CreateType(ExcludeFromMappedResult(L, R), options);
  return CreateType(IsUnion(L) ? ExcludeRest(L.anyOf, R) : ExtendsCheck(L, R) !== ExtendsResult.False ? Never() : L, options);
}
var init_exclude = __esm(() => {
  init_type2();
  init_union2();
  init_never2();
  init_extends2();
  init_exclude_from_mapped_result();
  init_exclude_from_template_literal();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/exclude/exclude-from-mapped-result.mjs
function FromProperties9(P, U) {
  const Acc = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(P))
    Acc[K2] = Exclude(P[K2], U);
  return Acc;
}
function FromMappedResult7(R, T) {
  return FromProperties9(R.properties, T);
}
function ExcludeFromMappedResult(R, T) {
  const P = FromMappedResult7(R, T);
  return MappedResult(P);
}
var init_exclude_from_mapped_result = __esm(() => {
  init_mapped2();
  init_exclude();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/exclude/index.mjs
var init_exclude2 = __esm(() => {
  init_exclude_from_mapped_result();
  init_exclude_from_template_literal();
  init_exclude();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extract/extract-from-template-literal.mjs
function ExtractFromTemplateLiteral(L, R) {
  return Extract(TemplateLiteralToUnion(L), R);
}
var init_extract_from_template_literal = __esm(() => {
  init_extract();
  init_template_literal2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extract/extract.mjs
function ExtractRest(L, R) {
  const extracted = L.filter((inner) => ExtendsCheck(inner, R) !== ExtendsResult.False);
  return extracted.length === 1 ? extracted[0] : Union(extracted);
}
function Extract(L, R, options) {
  if (IsTemplateLiteral(L))
    return CreateType(ExtractFromTemplateLiteral(L, R), options);
  if (IsMappedResult(L))
    return CreateType(ExtractFromMappedResult(L, R), options);
  return CreateType(IsUnion(L) ? ExtractRest(L.anyOf, R) : ExtendsCheck(L, R) !== ExtendsResult.False ? L : Never(), options);
}
var init_extract = __esm(() => {
  init_type2();
  init_union2();
  init_never2();
  init_extends2();
  init_extract_from_mapped_result();
  init_extract_from_template_literal();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extract/extract-from-mapped-result.mjs
function FromProperties10(P, T) {
  const Acc = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(P))
    Acc[K2] = Extract(P[K2], T);
  return Acc;
}
function FromMappedResult8(R, T) {
  return FromProperties10(R.properties, T);
}
function ExtractFromMappedResult(R, T) {
  const P = FromMappedResult8(R, T);
  return MappedResult(P);
}
var init_extract_from_mapped_result = __esm(() => {
  init_mapped2();
  init_extract();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/extract/index.mjs
var init_extract2 = __esm(() => {
  init_extract_from_mapped_result();
  init_extract_from_template_literal();
  init_extract();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/instance-type/instance-type.mjs
function InstanceType(schema, options) {
  return IsConstructor(schema) ? CreateType(schema.returns, options) : Never(options);
}
var init_instance_type = __esm(() => {
  init_type2();
  init_never2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/instance-type/index.mjs
var init_instance_type2 = __esm(() => {
  init_instance_type();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/readonly-optional/readonly-optional.mjs
function ReadonlyOptional(schema) {
  return Readonly(Optional(schema));
}
var init_readonly_optional = __esm(() => {
  init_readonly2();
  init_optional2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/readonly-optional/index.mjs
var init_readonly_optional2 = __esm(() => {
  init_readonly_optional();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/record/record.mjs
function RecordCreateFromPattern(pattern2, T, options) {
  return CreateType({ [Kind]: "Record", type: "object", patternProperties: { [pattern2]: T } }, options);
}
function RecordCreateFromKeys(K, T, options) {
  const result = {};
  for (const K2 of K)
    result[K2] = T;
  return Object2(result, { ...options, [Hint]: "Record" });
}
function FromTemplateLiteralKey(K, T, options) {
  return IsTemplateLiteralFinite(K) ? RecordCreateFromKeys(IndexPropertyKeys(K), T, options) : RecordCreateFromPattern(K.pattern, T, options);
}
function FromUnionKey(key, type3, options) {
  return RecordCreateFromKeys(IndexPropertyKeys(Union(key)), type3, options);
}
function FromLiteralKey(key, type3, options) {
  return RecordCreateFromKeys([key.toString()], type3, options);
}
function FromRegExpKey(key, type3, options) {
  return RecordCreateFromPattern(key.source, type3, options);
}
function FromStringKey(key, type3, options) {
  const pattern2 = IsUndefined(key.pattern) ? PatternStringExact : key.pattern;
  return RecordCreateFromPattern(pattern2, type3, options);
}
function FromAnyKey(_, type3, options) {
  return RecordCreateFromPattern(PatternStringExact, type3, options);
}
function FromNeverKey(_key, type3, options) {
  return RecordCreateFromPattern(PatternNeverExact, type3, options);
}
function FromBooleanKey(_key, type3, options) {
  return Object2({ true: type3, false: type3 }, options);
}
function FromIntegerKey(_key, type3, options) {
  return RecordCreateFromPattern(PatternNumberExact, type3, options);
}
function FromNumberKey(_, type3, options) {
  return RecordCreateFromPattern(PatternNumberExact, type3, options);
}
function Record(key, type3, options = {}) {
  return IsUnion(key) ? FromUnionKey(key.anyOf, type3, options) : IsTemplateLiteral(key) ? FromTemplateLiteralKey(key, type3, options) : IsLiteral(key) ? FromLiteralKey(key.const, type3, options) : IsBoolean3(key) ? FromBooleanKey(key, type3, options) : IsInteger2(key) ? FromIntegerKey(key, type3, options) : IsNumber3(key) ? FromNumberKey(key, type3, options) : IsRegExp2(key) ? FromRegExpKey(key, type3, options) : IsString3(key) ? FromStringKey(key, type3, options) : IsAny(key) ? FromAnyKey(key, type3, options) : IsNever(key) ? FromNeverKey(key, type3, options) : Never(options);
}
function RecordPattern(record) {
  return globalThis.Object.getOwnPropertyNames(record.patternProperties)[0];
}
function RecordKey2(type3) {
  const pattern2 = RecordPattern(type3);
  return pattern2 === PatternStringExact ? String2() : pattern2 === PatternNumberExact ? Number2() : String2({ pattern: pattern2 });
}
function RecordValue2(type3) {
  return type3.patternProperties[RecordPattern(type3)];
}
var init_record = __esm(() => {
  init_type2();
  init_symbols2();
  init_never2();
  init_number2();
  init_object2();
  init_string2();
  init_union2();
  init_template_literal2();
  init_patterns2();
  init_indexed2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/record/index.mjs
var init_record2 = __esm(() => {
  init_record();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/instantiate/instantiate.mjs
function FromConstructor2(args, type3) {
  type3.parameters = FromTypes(args, type3.parameters);
  type3.returns = FromType(args, type3.returns);
  return type3;
}
function FromFunction2(args, type3) {
  type3.parameters = FromTypes(args, type3.parameters);
  type3.returns = FromType(args, type3.returns);
  return type3;
}
function FromIntersect5(args, type3) {
  type3.allOf = FromTypes(args, type3.allOf);
  return type3;
}
function FromUnion7(args, type3) {
  type3.anyOf = FromTypes(args, type3.anyOf);
  return type3;
}
function FromTuple4(args, type3) {
  if (IsUndefined(type3.items))
    return type3;
  type3.items = FromTypes(args, type3.items);
  return type3;
}
function FromArray5(args, type3) {
  type3.items = FromType(args, type3.items);
  return type3;
}
function FromAsyncIterator2(args, type3) {
  type3.items = FromType(args, type3.items);
  return type3;
}
function FromIterator2(args, type3) {
  type3.items = FromType(args, type3.items);
  return type3;
}
function FromPromise3(args, type3) {
  type3.item = FromType(args, type3.item);
  return type3;
}
function FromObject2(args, type3) {
  const mappedProperties = FromProperties11(args, type3.properties);
  return { ...type3, ...Object2(mappedProperties) };
}
function FromRecord2(args, type3) {
  const mappedKey = FromType(args, RecordKey2(type3));
  const mappedValue = FromType(args, RecordValue2(type3));
  const result = Record(mappedKey, mappedValue);
  return { ...type3, ...result };
}
function FromArgument(args, argument2) {
  return argument2.index in args ? args[argument2.index] : Unknown();
}
function FromProperty2(args, type3) {
  const isReadonly = IsReadonly(type3);
  const isOptional = IsOptional(type3);
  const mapped2 = FromType(args, type3);
  return isReadonly && isOptional ? ReadonlyOptional(mapped2) : isReadonly && !isOptional ? Readonly(mapped2) : !isReadonly && isOptional ? Optional(mapped2) : mapped2;
}
function FromProperties11(args, properties) {
  return globalThis.Object.getOwnPropertyNames(properties).reduce((result, key) => {
    return { ...result, [key]: FromProperty2(args, properties[key]) };
  }, {});
}
function FromTypes(args, types) {
  return types.map((type3) => FromType(args, type3));
}
function FromType(args, type3) {
  return IsConstructor(type3) ? FromConstructor2(args, type3) : IsFunction3(type3) ? FromFunction2(args, type3) : IsIntersect(type3) ? FromIntersect5(args, type3) : IsUnion(type3) ? FromUnion7(args, type3) : IsTuple(type3) ? FromTuple4(args, type3) : IsArray3(type3) ? FromArray5(args, type3) : IsAsyncIterator3(type3) ? FromAsyncIterator2(args, type3) : IsIterator3(type3) ? FromIterator2(args, type3) : IsPromise2(type3) ? FromPromise3(args, type3) : IsObject3(type3) ? FromObject2(args, type3) : IsRecord(type3) ? FromRecord2(args, type3) : IsArgument(type3) ? FromArgument(args, type3) : type3;
}
function Instantiate(type3, args) {
  return FromType(args, CloneType(type3));
}
var init_instantiate = __esm(() => {
  init_type();
  init_unknown2();
  init_readonly_optional2();
  init_readonly2();
  init_optional2();
  init_object2();
  init_record2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/instantiate/index.mjs
var init_instantiate2 = __esm(() => {
  init_instantiate();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/integer/integer.mjs
function Integer(options) {
  return CreateType({ [Kind]: "Integer", type: "integer" }, options);
}
var init_integer = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/integer/index.mjs
var init_integer2 = __esm(() => {
  init_integer();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intrinsic/intrinsic-from-mapped-key.mjs
function MappedIntrinsicPropertyKey(K, M, options) {
  return {
    [K]: Intrinsic(Literal(K), M, Clone(options))
  };
}
function MappedIntrinsicPropertyKeys(K, M, options) {
  const result = K.reduce((Acc, L) => {
    return { ...Acc, ...MappedIntrinsicPropertyKey(L, M, options) };
  }, {});
  return result;
}
function MappedIntrinsicProperties(T, M, options) {
  return MappedIntrinsicPropertyKeys(T["keys"], M, options);
}
function IntrinsicFromMappedKey(T, M, options) {
  const P = MappedIntrinsicProperties(T, M, options);
  return MappedResult(P);
}
var init_intrinsic_from_mapped_key = __esm(() => {
  init_mapped2();
  init_intrinsic();
  init_literal2();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intrinsic/intrinsic.mjs
function ApplyUncapitalize(value2) {
  const [first, rest] = [value2.slice(0, 1), value2.slice(1)];
  return [first.toLowerCase(), rest].join("");
}
function ApplyCapitalize(value2) {
  const [first, rest] = [value2.slice(0, 1), value2.slice(1)];
  return [first.toUpperCase(), rest].join("");
}
function ApplyUppercase(value2) {
  return value2.toUpperCase();
}
function ApplyLowercase(value2) {
  return value2.toLowerCase();
}
function FromTemplateLiteral3(schema, mode, options) {
  const expression = TemplateLiteralParseExact(schema.pattern);
  const finite2 = IsTemplateLiteralExpressionFinite(expression);
  if (!finite2)
    return { ...schema, pattern: FromLiteralValue(schema.pattern, mode) };
  const strings = [...TemplateLiteralExpressionGenerate(expression)];
  const literals = strings.map((value2) => Literal(value2));
  const mapped2 = FromRest5(literals, mode);
  const union3 = Union(mapped2);
  return TemplateLiteral([union3], options);
}
function FromLiteralValue(value2, mode) {
  return typeof value2 === "string" ? mode === "Uncapitalize" ? ApplyUncapitalize(value2) : mode === "Capitalize" ? ApplyCapitalize(value2) : mode === "Uppercase" ? ApplyUppercase(value2) : mode === "Lowercase" ? ApplyLowercase(value2) : value2 : value2.toString();
}
function FromRest5(T, M) {
  return T.map((L) => Intrinsic(L, M));
}
function Intrinsic(schema, mode, options = {}) {
  return IsMappedKey(schema) ? IntrinsicFromMappedKey(schema, mode, options) : IsTemplateLiteral(schema) ? FromTemplateLiteral3(schema, mode, options) : IsUnion(schema) ? Union(FromRest5(schema.anyOf, mode), options) : IsLiteral(schema) ? Literal(FromLiteralValue(schema.const, mode), options) : CreateType(schema, options);
}
var init_intrinsic = __esm(() => {
  init_type2();
  init_template_literal2();
  init_intrinsic_from_mapped_key();
  init_literal2();
  init_union2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intrinsic/capitalize.mjs
function Capitalize(T, options = {}) {
  return Intrinsic(T, "Capitalize", options);
}
var init_capitalize = __esm(() => {
  init_intrinsic();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intrinsic/lowercase.mjs
function Lowercase(T, options = {}) {
  return Intrinsic(T, "Lowercase", options);
}
var init_lowercase = __esm(() => {
  init_intrinsic();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intrinsic/uncapitalize.mjs
function Uncapitalize(T, options = {}) {
  return Intrinsic(T, "Uncapitalize", options);
}
var init_uncapitalize = __esm(() => {
  init_intrinsic();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intrinsic/uppercase.mjs
function Uppercase(T, options = {}) {
  return Intrinsic(T, "Uppercase", options);
}
var init_uppercase = __esm(() => {
  init_intrinsic();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/intrinsic/index.mjs
var init_intrinsic2 = __esm(() => {
  init_capitalize();
  init_intrinsic_from_mapped_key();
  init_intrinsic();
  init_lowercase();
  init_uncapitalize();
  init_uppercase();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/omit/omit-from-mapped-result.mjs
function FromProperties12(properties, propertyKeys, options) {
  const result = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(properties))
    result[K2] = Omit(properties[K2], propertyKeys, Clone(options));
  return result;
}
function FromMappedResult9(mappedResult, propertyKeys, options) {
  return FromProperties12(mappedResult.properties, propertyKeys, options);
}
function OmitFromMappedResult(mappedResult, propertyKeys, options) {
  const properties = FromMappedResult9(mappedResult, propertyKeys, options);
  return MappedResult(properties);
}
var init_omit_from_mapped_result = __esm(() => {
  init_mapped2();
  init_omit();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/omit/omit.mjs
function FromIntersect6(types, propertyKeys) {
  return types.map((type3) => OmitResolve(type3, propertyKeys));
}
function FromUnion8(types, propertyKeys) {
  return types.map((type3) => OmitResolve(type3, propertyKeys));
}
function FromProperty3(properties, key) {
  const { [key]: _, ...R } = properties;
  return R;
}
function FromProperties13(properties, propertyKeys) {
  return propertyKeys.reduce((T, K2) => FromProperty3(T, K2), properties);
}
function FromObject3(properties, propertyKeys) {
  const options = Discard(properties, [TransformKind, "$id", "required", "properties"]);
  const omittedProperties = FromProperties13(properties["properties"], propertyKeys);
  return Object2(omittedProperties, options);
}
function UnionFromPropertyKeys(propertyKeys) {
  const result = propertyKeys.reduce((result2, key) => IsLiteralValue(key) ? [...result2, Literal(key)] : result2, []);
  return Union(result);
}
function OmitResolve(properties, propertyKeys) {
  return IsIntersect(properties) ? Intersect(FromIntersect6(properties.allOf, propertyKeys)) : IsUnion(properties) ? Union(FromUnion8(properties.anyOf, propertyKeys)) : IsObject3(properties) ? FromObject3(properties, propertyKeys) : Object2({});
}
function Omit(type3, key, options) {
  const typeKey = IsArray(key) ? UnionFromPropertyKeys(key) : key;
  const propertyKeys = IsSchema(key) ? IndexPropertyKeys(key) : key;
  const isTypeRef = IsRef(type3);
  const isKeyRef = IsRef(key);
  return IsMappedResult(type3) ? OmitFromMappedResult(type3, propertyKeys, options) : IsMappedKey(key) ? OmitFromMappedKey(type3, key, options) : isTypeRef && isKeyRef ? Computed("Omit", [type3, typeKey], options) : !isTypeRef && isKeyRef ? Computed("Omit", [type3, typeKey], options) : isTypeRef && !isKeyRef ? Computed("Omit", [type3, typeKey], options) : CreateType({ ...OmitResolve(type3, propertyKeys), ...options });
}
var init_omit = __esm(() => {
  init_type2();
  init_symbols();
  init_computed2();
  init_literal2();
  init_indexed2();
  init_intersect2();
  init_union2();
  init_object2();
  init_omit_from_mapped_key();
  init_omit_from_mapped_result();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/omit/omit-from-mapped-key.mjs
function FromPropertyKey2(type3, key, options) {
  return { [key]: Omit(type3, [key], Clone(options)) };
}
function FromPropertyKeys2(type3, propertyKeys, options) {
  return propertyKeys.reduce((Acc, LK) => {
    return { ...Acc, ...FromPropertyKey2(type3, LK, options) };
  }, {});
}
function FromMappedKey3(type3, mappedKey, options) {
  return FromPropertyKeys2(type3, mappedKey.keys, options);
}
function OmitFromMappedKey(type3, mappedKey, options) {
  const properties = FromMappedKey3(type3, mappedKey, options);
  return MappedResult(properties);
}
var init_omit_from_mapped_key = __esm(() => {
  init_mapped2();
  init_omit();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/omit/index.mjs
var init_omit2 = __esm(() => {
  init_omit_from_mapped_key();
  init_omit_from_mapped_result();
  init_omit();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/pick/pick-from-mapped-result.mjs
function FromProperties14(properties, propertyKeys, options) {
  const result = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(properties))
    result[K2] = Pick(properties[K2], propertyKeys, Clone(options));
  return result;
}
function FromMappedResult10(mappedResult, propertyKeys, options) {
  return FromProperties14(mappedResult.properties, propertyKeys, options);
}
function PickFromMappedResult(mappedResult, propertyKeys, options) {
  const properties = FromMappedResult10(mappedResult, propertyKeys, options);
  return MappedResult(properties);
}
var init_pick_from_mapped_result = __esm(() => {
  init_mapped2();
  init_pick();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/pick/pick.mjs
function FromIntersect7(types, propertyKeys) {
  return types.map((type3) => PickResolve(type3, propertyKeys));
}
function FromUnion9(types, propertyKeys) {
  return types.map((type3) => PickResolve(type3, propertyKeys));
}
function FromProperties15(properties, propertyKeys) {
  const result = {};
  for (const K2 of propertyKeys)
    if (K2 in properties)
      result[K2] = properties[K2];
  return result;
}
function FromObject4(T, K) {
  const options = Discard(T, [TransformKind, "$id", "required", "properties"]);
  const properties = FromProperties15(T["properties"], K);
  return Object2(properties, options);
}
function UnionFromPropertyKeys2(propertyKeys) {
  const result = propertyKeys.reduce((result2, key) => IsLiteralValue(key) ? [...result2, Literal(key)] : result2, []);
  return Union(result);
}
function PickResolve(properties, propertyKeys) {
  return IsIntersect(properties) ? Intersect(FromIntersect7(properties.allOf, propertyKeys)) : IsUnion(properties) ? Union(FromUnion9(properties.anyOf, propertyKeys)) : IsObject3(properties) ? FromObject4(properties, propertyKeys) : Object2({});
}
function Pick(type3, key, options) {
  const typeKey = IsArray(key) ? UnionFromPropertyKeys2(key) : key;
  const propertyKeys = IsSchema(key) ? IndexPropertyKeys(key) : key;
  const isTypeRef = IsRef(type3);
  const isKeyRef = IsRef(key);
  return IsMappedResult(type3) ? PickFromMappedResult(type3, propertyKeys, options) : IsMappedKey(key) ? PickFromMappedKey(type3, key, options) : isTypeRef && isKeyRef ? Computed("Pick", [type3, typeKey], options) : !isTypeRef && isKeyRef ? Computed("Pick", [type3, typeKey], options) : isTypeRef && !isKeyRef ? Computed("Pick", [type3, typeKey], options) : CreateType({ ...PickResolve(type3, propertyKeys), ...options });
}
var init_pick = __esm(() => {
  init_type2();
  init_computed2();
  init_intersect2();
  init_literal2();
  init_object2();
  init_union2();
  init_indexed2();
  init_symbols();
  init_kind();
  init_pick_from_mapped_key();
  init_pick_from_mapped_result();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/pick/pick-from-mapped-key.mjs
function FromPropertyKey3(type3, key, options) {
  return {
    [key]: Pick(type3, [key], Clone(options))
  };
}
function FromPropertyKeys3(type3, propertyKeys, options) {
  return propertyKeys.reduce((result, leftKey) => {
    return { ...result, ...FromPropertyKey3(type3, leftKey, options) };
  }, {});
}
function FromMappedKey4(type3, mappedKey, options) {
  return FromPropertyKeys3(type3, mappedKey.keys, options);
}
function PickFromMappedKey(type3, mappedKey, options) {
  const properties = FromMappedKey4(type3, mappedKey, options);
  return MappedResult(properties);
}
var init_pick_from_mapped_key = __esm(() => {
  init_mapped2();
  init_pick();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/pick/index.mjs
var init_pick2 = __esm(() => {
  init_pick_from_mapped_key();
  init_pick_from_mapped_result();
  init_pick();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/partial/partial.mjs
function FromComputed3(target, parameters) {
  return Computed("Partial", [Computed(target, parameters)]);
}
function FromRef3($ref) {
  return Computed("Partial", [Ref($ref)]);
}
function FromProperties16(properties) {
  const partialProperties = {};
  for (const K of globalThis.Object.getOwnPropertyNames(properties))
    partialProperties[K] = Optional(properties[K]);
  return partialProperties;
}
function FromObject5(type3) {
  const options = Discard(type3, [TransformKind, "$id", "required", "properties"]);
  const properties = FromProperties16(type3["properties"]);
  return Object2(properties, options);
}
function FromRest6(types) {
  return types.map((type3) => PartialResolve(type3));
}
function PartialResolve(type3) {
  return IsComputed(type3) ? FromComputed3(type3.target, type3.parameters) : IsRef(type3) ? FromRef3(type3.$ref) : IsIntersect(type3) ? Intersect(FromRest6(type3.allOf)) : IsUnion(type3) ? Union(FromRest6(type3.anyOf)) : IsObject3(type3) ? FromObject5(type3) : IsBigInt3(type3) ? type3 : IsBoolean3(type3) ? type3 : IsInteger2(type3) ? type3 : IsLiteral(type3) ? type3 : IsNull3(type3) ? type3 : IsNumber3(type3) ? type3 : IsString3(type3) ? type3 : IsSymbol3(type3) ? type3 : IsUndefined3(type3) ? type3 : Object2({});
}
function Partial(type3, options) {
  if (IsMappedResult(type3)) {
    return PartialFromMappedResult(type3, options);
  } else {
    return CreateType({ ...PartialResolve(type3), ...options });
  }
}
var init_partial = __esm(() => {
  init_type2();
  init_computed2();
  init_optional2();
  init_object2();
  init_intersect2();
  init_union2();
  init_ref2();
  init_discard();
  init_symbols2();
  init_partial_from_mapped_result();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/partial/partial-from-mapped-result.mjs
function FromProperties17(K, options) {
  const Acc = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(K))
    Acc[K2] = Partial(K[K2], Clone(options));
  return Acc;
}
function FromMappedResult11(R, options) {
  return FromProperties17(R.properties, options);
}
function PartialFromMappedResult(R, options) {
  const P = FromMappedResult11(R, options);
  return MappedResult(P);
}
var init_partial_from_mapped_result = __esm(() => {
  init_mapped2();
  init_partial();
  init_value();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/partial/index.mjs
var init_partial2 = __esm(() => {
  init_partial_from_mapped_result();
  init_partial();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/required/required.mjs
function FromComputed4(target, parameters) {
  return Computed("Required", [Computed(target, parameters)]);
}
function FromRef4($ref) {
  return Computed("Required", [Ref($ref)]);
}
function FromProperties18(properties) {
  const requiredProperties = {};
  for (const K of globalThis.Object.getOwnPropertyNames(properties))
    requiredProperties[K] = Discard(properties[K], [OptionalKind]);
  return requiredProperties;
}
function FromObject6(type3) {
  const options = Discard(type3, [TransformKind, "$id", "required", "properties"]);
  const properties = FromProperties18(type3["properties"]);
  return Object2(properties, options);
}
function FromRest7(types) {
  return types.map((type3) => RequiredResolve(type3));
}
function RequiredResolve(type3) {
  return IsComputed(type3) ? FromComputed4(type3.target, type3.parameters) : IsRef(type3) ? FromRef4(type3.$ref) : IsIntersect(type3) ? Intersect(FromRest7(type3.allOf)) : IsUnion(type3) ? Union(FromRest7(type3.anyOf)) : IsObject3(type3) ? FromObject6(type3) : IsBigInt3(type3) ? type3 : IsBoolean3(type3) ? type3 : IsInteger2(type3) ? type3 : IsLiteral(type3) ? type3 : IsNull3(type3) ? type3 : IsNumber3(type3) ? type3 : IsString3(type3) ? type3 : IsSymbol3(type3) ? type3 : IsUndefined3(type3) ? type3 : Object2({});
}
function Required(type3, options) {
  if (IsMappedResult(type3)) {
    return RequiredFromMappedResult(type3, options);
  } else {
    return CreateType({ ...RequiredResolve(type3), ...options });
  }
}
var init_required = __esm(() => {
  init_type2();
  init_computed2();
  init_object2();
  init_intersect2();
  init_union2();
  init_ref2();
  init_symbols2();
  init_discard();
  init_required_from_mapped_result();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/required/required-from-mapped-result.mjs
function FromProperties19(P, options) {
  const Acc = {};
  for (const K2 of globalThis.Object.getOwnPropertyNames(P))
    Acc[K2] = Required(P[K2], options);
  return Acc;
}
function FromMappedResult12(R, options) {
  return FromProperties19(R.properties, options);
}
function RequiredFromMappedResult(R, options) {
  const P = FromMappedResult12(R, options);
  return MappedResult(P);
}
var init_required_from_mapped_result = __esm(() => {
  init_mapped2();
  init_required();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/required/index.mjs
var init_required2 = __esm(() => {
  init_required_from_mapped_result();
  init_required();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/module/compute.mjs
function DereferenceParameters(moduleProperties, types) {
  return types.map((type3) => {
    return IsRef(type3) ? Dereference(moduleProperties, type3.$ref) : FromType2(moduleProperties, type3);
  });
}
function Dereference(moduleProperties, ref2) {
  return ref2 in moduleProperties ? IsRef(moduleProperties[ref2]) ? Dereference(moduleProperties, moduleProperties[ref2].$ref) : FromType2(moduleProperties, moduleProperties[ref2]) : Never();
}
function FromAwaited(parameters) {
  return Awaited(parameters[0]);
}
function FromIndex(parameters) {
  return Index(parameters[0], parameters[1]);
}
function FromKeyOf(parameters) {
  return KeyOf(parameters[0]);
}
function FromPartial(parameters) {
  return Partial(parameters[0]);
}
function FromOmit(parameters) {
  return Omit(parameters[0], parameters[1]);
}
function FromPick(parameters) {
  return Pick(parameters[0], parameters[1]);
}
function FromRequired(parameters) {
  return Required(parameters[0]);
}
function FromComputed5(moduleProperties, target, parameters) {
  const dereferenced = DereferenceParameters(moduleProperties, parameters);
  return target === "Awaited" ? FromAwaited(dereferenced) : target === "Index" ? FromIndex(dereferenced) : target === "KeyOf" ? FromKeyOf(dereferenced) : target === "Partial" ? FromPartial(dereferenced) : target === "Omit" ? FromOmit(dereferenced) : target === "Pick" ? FromPick(dereferenced) : target === "Required" ? FromRequired(dereferenced) : Never();
}
function FromArray6(moduleProperties, type3) {
  return Array2(FromType2(moduleProperties, type3));
}
function FromAsyncIterator3(moduleProperties, type3) {
  return AsyncIterator(FromType2(moduleProperties, type3));
}
function FromConstructor3(moduleProperties, parameters, instanceType) {
  return Constructor(FromTypes2(moduleProperties, parameters), FromType2(moduleProperties, instanceType));
}
function FromFunction3(moduleProperties, parameters, returnType) {
  return Function2(FromTypes2(moduleProperties, parameters), FromType2(moduleProperties, returnType));
}
function FromIntersect8(moduleProperties, types) {
  return Intersect(FromTypes2(moduleProperties, types));
}
function FromIterator3(moduleProperties, type3) {
  return Iterator(FromType2(moduleProperties, type3));
}
function FromObject7(moduleProperties, properties) {
  return Object2(globalThis.Object.keys(properties).reduce((result, key) => {
    return { ...result, [key]: FromType2(moduleProperties, properties[key]) };
  }, {}));
}
function FromRecord3(moduleProperties, type3) {
  const [value2, pattern2] = [FromType2(moduleProperties, RecordValue2(type3)), RecordPattern(type3)];
  const result = CloneType(type3);
  result.patternProperties[pattern2] = value2;
  return result;
}
function FromTransform(moduleProperties, transform) {
  return IsRef(transform) ? { ...Dereference(moduleProperties, transform.$ref), [TransformKind]: transform[TransformKind] } : transform;
}
function FromTuple5(moduleProperties, types) {
  return Tuple(FromTypes2(moduleProperties, types));
}
function FromUnion10(moduleProperties, types) {
  return Union(FromTypes2(moduleProperties, types));
}
function FromTypes2(moduleProperties, types) {
  return types.map((type3) => FromType2(moduleProperties, type3));
}
function FromType2(moduleProperties, type3) {
  return IsOptional(type3) ? CreateType(FromType2(moduleProperties, Discard(type3, [OptionalKind])), type3) : IsReadonly(type3) ? CreateType(FromType2(moduleProperties, Discard(type3, [ReadonlyKind])), type3) : IsTransform(type3) ? CreateType(FromTransform(moduleProperties, type3), type3) : IsArray3(type3) ? CreateType(FromArray6(moduleProperties, type3.items), type3) : IsAsyncIterator3(type3) ? CreateType(FromAsyncIterator3(moduleProperties, type3.items), type3) : IsComputed(type3) ? CreateType(FromComputed5(moduleProperties, type3.target, type3.parameters)) : IsConstructor(type3) ? CreateType(FromConstructor3(moduleProperties, type3.parameters, type3.returns), type3) : IsFunction3(type3) ? CreateType(FromFunction3(moduleProperties, type3.parameters, type3.returns), type3) : IsIntersect(type3) ? CreateType(FromIntersect8(moduleProperties, type3.allOf), type3) : IsIterator3(type3) ? CreateType(FromIterator3(moduleProperties, type3.items), type3) : IsObject3(type3) ? CreateType(FromObject7(moduleProperties, type3.properties), type3) : IsRecord(type3) ? CreateType(FromRecord3(moduleProperties, type3)) : IsTuple(type3) ? CreateType(FromTuple5(moduleProperties, type3.items || []), type3) : IsUnion(type3) ? CreateType(FromUnion10(moduleProperties, type3.anyOf), type3) : type3;
}
function ComputeType(moduleProperties, key) {
  return key in moduleProperties ? FromType2(moduleProperties, moduleProperties[key]) : Never();
}
function ComputeModuleProperties(moduleProperties) {
  return globalThis.Object.getOwnPropertyNames(moduleProperties).reduce((result, key) => {
    return { ...result, [key]: ComputeType(moduleProperties, key) };
  }, {});
}
var init_compute = __esm(() => {
  init_create();
  init_clone();
  init_discard();
  init_array2();
  init_awaited2();
  init_async_iterator2();
  init_constructor2();
  init_indexed2();
  init_function2();
  init_intersect2();
  init_iterator2();
  init_keyof2();
  init_object2();
  init_omit2();
  init_pick2();
  init_never2();
  init_partial2();
  init_record2();
  init_required2();
  init_tuple2();
  init_union2();
  init_symbols2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/module/module.mjs
class TModule {
  constructor($defs) {
    const computed2 = ComputeModuleProperties($defs);
    const identified = this.WithIdentifiers(computed2);
    this.$defs = identified;
  }
  Import(key, options) {
    const $defs = { ...this.$defs, [key]: CreateType(this.$defs[key], options) };
    return CreateType({ [Kind]: "Import", $defs, $ref: key });
  }
  WithIdentifiers($defs) {
    return globalThis.Object.getOwnPropertyNames($defs).reduce((result, key) => {
      return { ...result, [key]: { ...$defs[key], $id: key } };
    }, {});
  }
}
function Module(properties) {
  return new TModule(properties);
}
var init_module = __esm(() => {
  init_create();
  init_symbols2();
  init_compute();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/module/index.mjs
var init_module2 = __esm(() => {
  init_module();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/not/not.mjs
function Not2(type3, options) {
  return CreateType({ [Kind]: "Not", not: type3 }, options);
}
var init_not = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/not/index.mjs
var init_not2 = __esm(() => {
  init_not();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/parameters/parameters.mjs
function Parameters(schema, options) {
  return IsFunction3(schema) ? Tuple(schema.parameters, options) : Never();
}
var init_parameters = __esm(() => {
  init_tuple2();
  init_never2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/parameters/index.mjs
var init_parameters2 = __esm(() => {
  init_parameters();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/recursive/recursive.mjs
function Recursive(callback, options = {}) {
  if (IsUndefined(options.$id))
    options.$id = `T${Ordinal++}`;
  const thisType = CloneType(callback({ [Kind]: "This", $ref: `${options.$id}` }));
  thisType.$id = options.$id;
  return CreateType({ [Hint]: "Recursive", ...thisType }, options);
}
var Ordinal = 0;
var init_recursive = __esm(() => {
  init_type();
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/recursive/index.mjs
var init_recursive2 = __esm(() => {
  init_recursive();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/regexp/regexp.mjs
function RegExp2(unresolved, options) {
  const expr = IsString(unresolved) ? new globalThis.RegExp(unresolved) : unresolved;
  return CreateType({ [Kind]: "RegExp", type: "RegExp", source: expr.source, flags: expr.flags }, options);
}
var init_regexp = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/regexp/index.mjs
var init_regexp2 = __esm(() => {
  init_regexp();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/rest/rest.mjs
function RestResolve(T) {
  return IsIntersect(T) ? T.allOf : IsUnion(T) ? T.anyOf : IsTuple(T) ? T.items ?? [] : [];
}
function Rest(T) {
  return RestResolve(T);
}
var init_rest = __esm(() => {
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/rest/index.mjs
var init_rest2 = __esm(() => {
  init_rest();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/return-type/return-type.mjs
function ReturnType(schema, options) {
  return IsFunction3(schema) ? CreateType(schema.returns, options) : Never(options);
}
var init_return_type = __esm(() => {
  init_type2();
  init_never2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/return-type/index.mjs
var init_return_type2 = __esm(() => {
  init_return_type();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/schema/anyschema.mjs
var init_anyschema = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/schema/schema.mjs
var init_schema = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/schema/index.mjs
var init_schema2 = __esm(() => {
  init_anyschema();
  init_schema();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/static/static.mjs
var init_static = () => {
};

// ../../node_modules/@sinclair/typebox/build/esm/type/static/index.mjs
var init_static2 = __esm(() => {
  init_static();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/transform/transform.mjs
class TransformDecodeBuilder {
  constructor(schema2) {
    this.schema = schema2;
  }
  Decode(decode) {
    return new TransformEncodeBuilder(this.schema, decode);
  }
}

class TransformEncodeBuilder {
  constructor(schema2, decode) {
    this.schema = schema2;
    this.decode = decode;
  }
  EncodeTransform(encode, schema2) {
    const Encode = (value2) => schema2[TransformKind].Encode(encode(value2));
    const Decode = (value2) => this.decode(schema2[TransformKind].Decode(value2));
    const Codec = { Encode, Decode };
    return { ...schema2, [TransformKind]: Codec };
  }
  EncodeSchema(encode, schema2) {
    const Codec = { Decode: this.decode, Encode: encode };
    return { ...schema2, [TransformKind]: Codec };
  }
  Encode(encode) {
    return IsTransform(this.schema) ? this.EncodeTransform(encode, this.schema) : this.EncodeSchema(encode, this.schema);
  }
}
function Transform(schema2) {
  return new TransformDecodeBuilder(schema2);
}
var init_transform = __esm(() => {
  init_symbols2();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/transform/index.mjs
var init_transform2 = __esm(() => {
  init_transform();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/unsafe/unsafe.mjs
function Unsafe(options = {}) {
  return CreateType({ [Kind]: options[Kind] ?? "Unsafe" }, options);
}
var init_unsafe = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/unsafe/index.mjs
var init_unsafe2 = __esm(() => {
  init_unsafe();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/void/void.mjs
function Void(options) {
  return CreateType({ [Kind]: "Void", type: "void" }, options);
}
var init_void = __esm(() => {
  init_type2();
  init_symbols2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/void/index.mjs
var init_void2 = __esm(() => {
  init_void();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/type/type.mjs
var exports_type3 = {};
__export(exports_type3, {
  Void: () => Void,
  Uppercase: () => Uppercase,
  Unsafe: () => Unsafe,
  Unknown: () => Unknown,
  Union: () => Union,
  Undefined: () => Undefined,
  Uncapitalize: () => Uncapitalize,
  Uint8Array: () => Uint8Array2,
  Tuple: () => Tuple,
  Transform: () => Transform,
  TemplateLiteral: () => TemplateLiteral,
  Symbol: () => Symbol2,
  String: () => String2,
  ReturnType: () => ReturnType,
  Rest: () => Rest,
  Required: () => Required,
  RegExp: () => RegExp2,
  Ref: () => Ref,
  Recursive: () => Recursive,
  Record: () => Record,
  ReadonlyOptional: () => ReadonlyOptional,
  Readonly: () => Readonly,
  Promise: () => Promise2,
  Pick: () => Pick,
  Partial: () => Partial,
  Parameters: () => Parameters,
  Optional: () => Optional,
  Omit: () => Omit,
  Object: () => Object2,
  Number: () => Number2,
  Null: () => Null,
  Not: () => Not2,
  Never: () => Never,
  Module: () => Module,
  Mapped: () => Mapped,
  Lowercase: () => Lowercase,
  Literal: () => Literal,
  KeyOf: () => KeyOf,
  Iterator: () => Iterator,
  Intersect: () => Intersect,
  Integer: () => Integer,
  Instantiate: () => Instantiate,
  InstanceType: () => InstanceType,
  Index: () => Index,
  Function: () => Function2,
  Extract: () => Extract,
  Extends: () => Extends,
  Exclude: () => Exclude,
  Enum: () => Enum,
  Date: () => Date2,
  ConstructorParameters: () => ConstructorParameters,
  Constructor: () => Constructor,
  Const: () => Const,
  Composite: () => Composite,
  Capitalize: () => Capitalize,
  Boolean: () => Boolean2,
  BigInt: () => BigInt2,
  Awaited: () => Awaited,
  AsyncIterator: () => AsyncIterator,
  Array: () => Array2,
  Argument: () => Argument,
  Any: () => Any
});
var init_type5 = __esm(() => {
  init_any2();
  init_argument2();
  init_array2();
  init_async_iterator2();
  init_awaited2();
  init_bigint2();
  init_boolean2();
  init_composite2();
  init_const2();
  init_constructor2();
  init_constructor_parameters2();
  init_date2();
  init_enum2();
  init_exclude2();
  init_extends2();
  init_extract2();
  init_function2();
  init_indexed2();
  init_instance_type2();
  init_instantiate2();
  init_integer2();
  init_intersect2();
  init_intrinsic2();
  init_iterator2();
  init_keyof2();
  init_literal2();
  init_mapped2();
  init_module2();
  init_never2();
  init_not2();
  init_null2();
  init_number2();
  init_object2();
  init_omit2();
  init_optional2();
  init_parameters2();
  init_partial2();
  init_pick2();
  init_promise2();
  init_readonly2();
  init_readonly_optional2();
  init_record2();
  init_recursive2();
  init_ref2();
  init_regexp2();
  init_required2();
  init_rest2();
  init_return_type2();
  init_string2();
  init_symbol2();
  init_template_literal2();
  init_transform2();
  init_tuple2();
  init_uint8array2();
  init_undefined2();
  init_union2();
  init_unknown2();
  init_unsafe2();
  init_void2();
});

// ../../node_modules/@sinclair/typebox/build/esm/type/type/index.mjs
var Type;
var init_type6 = __esm(() => {
  init_type5();
  Type = exports_type3;
});

// ../../node_modules/@sinclair/typebox/build/esm/index.mjs
var init_esm = __esm(() => {
  init_clone();
  init_create();
  init_error2();
  init_guard2();
  init_helpers();
  init_patterns2();
  init_registry();
  init_sets();
  init_symbols2();
  init_any2();
  init_array2();
  init_argument2();
  init_async_iterator2();
  init_awaited2();
  init_bigint2();
  init_boolean2();
  init_composite2();
  init_const2();
  init_constructor2();
  init_constructor_parameters2();
  init_date2();
  init_enum2();
  init_exclude2();
  init_extends2();
  init_extract2();
  init_function2();
  init_indexed2();
  init_instance_type2();
  init_instantiate2();
  init_integer2();
  init_intersect2();
  init_iterator2();
  init_intrinsic2();
  init_keyof2();
  init_literal2();
  init_module2();
  init_mapped2();
  init_never2();
  init_not2();
  init_null2();
  init_number2();
  init_object2();
  init_omit2();
  init_optional2();
  init_parameters2();
  init_partial2();
  init_pick2();
  init_promise2();
  init_readonly2();
  init_readonly_optional2();
  init_record2();
  init_recursive2();
  init_ref2();
  init_regexp2();
  init_required2();
  init_rest2();
  init_return_type2();
  init_schema2();
  init_static2();
  init_string2();
  init_symbol2();
  init_template_literal2();
  init_transform2();
  init_tuple2();
  init_uint8array2();
  init_undefined2();
  init_union2();
  init_unknown2();
  init_unsafe2();
  init_void2();
  init_type6();
});

// ../../node_modules/@sinclair/typebox/build/esm/system/system.mjs
var TypeSystemDuplicateTypeKind, TypeSystemDuplicateFormat, TypeSystem;
var init_system = __esm(() => {
  init_registry();
  init_unsafe2();
  init_symbols2();
  init_error2();
  TypeSystemDuplicateTypeKind = class TypeSystemDuplicateTypeKind extends TypeBoxError {
    constructor(kind) {
      super(`Duplicate type kind '${kind}' detected`);
    }
  };
  TypeSystemDuplicateFormat = class TypeSystemDuplicateFormat extends TypeBoxError {
    constructor(kind) {
      super(`Duplicate string format '${kind}' detected`);
    }
  };
  (function(TypeSystem2) {
    function Type2(kind, check) {
      if (exports_type2.Has(kind))
        throw new TypeSystemDuplicateTypeKind(kind);
      exports_type2.Set(kind, check);
      return (options = {}) => Unsafe({ ...options, [Kind]: kind });
    }
    TypeSystem2.Type = Type2;
    function Format(format2, check) {
      if (exports_format.Has(format2))
        throw new TypeSystemDuplicateFormat(format2);
      exports_format.Set(format2, check);
      return format2;
    }
    TypeSystem2.Format = Format;
  })(TypeSystem || (TypeSystem = {}));
});

// ../../node_modules/@sinclair/typebox/build/esm/system/index.mjs
var init_system2 = __esm(() => {
  init_policy();
  init_system();
});

// ../../node_modules/@sinclair/typebox/build/esm/errors/function.mjs
function DefaultErrorFunction(error3) {
  switch (error3.errorType) {
    case ValueErrorType.ArrayContains:
      return "Expected array to contain at least one matching value";
    case ValueErrorType.ArrayMaxContains:
      return `Expected array to contain no more than ${error3.schema.maxContains} matching values`;
    case ValueErrorType.ArrayMinContains:
      return `Expected array to contain at least ${error3.schema.minContains} matching values`;
    case ValueErrorType.ArrayMaxItems:
      return `Expected array length to be less or equal to ${error3.schema.maxItems}`;
    case ValueErrorType.ArrayMinItems:
      return `Expected array length to be greater or equal to ${error3.schema.minItems}`;
    case ValueErrorType.ArrayUniqueItems:
      return "Expected array elements to be unique";
    case ValueErrorType.Array:
      return "Expected array";
    case ValueErrorType.AsyncIterator:
      return "Expected AsyncIterator";
    case ValueErrorType.BigIntExclusiveMaximum:
      return `Expected bigint to be less than ${error3.schema.exclusiveMaximum}`;
    case ValueErrorType.BigIntExclusiveMinimum:
      return `Expected bigint to be greater than ${error3.schema.exclusiveMinimum}`;
    case ValueErrorType.BigIntMaximum:
      return `Expected bigint to be less or equal to ${error3.schema.maximum}`;
    case ValueErrorType.BigIntMinimum:
      return `Expected bigint to be greater or equal to ${error3.schema.minimum}`;
    case ValueErrorType.BigIntMultipleOf:
      return `Expected bigint to be a multiple of ${error3.schema.multipleOf}`;
    case ValueErrorType.BigInt:
      return "Expected bigint";
    case ValueErrorType.Boolean:
      return "Expected boolean";
    case ValueErrorType.DateExclusiveMinimumTimestamp:
      return `Expected Date timestamp to be greater than ${error3.schema.exclusiveMinimumTimestamp}`;
    case ValueErrorType.DateExclusiveMaximumTimestamp:
      return `Expected Date timestamp to be less than ${error3.schema.exclusiveMaximumTimestamp}`;
    case ValueErrorType.DateMinimumTimestamp:
      return `Expected Date timestamp to be greater or equal to ${error3.schema.minimumTimestamp}`;
    case ValueErrorType.DateMaximumTimestamp:
      return `Expected Date timestamp to be less or equal to ${error3.schema.maximumTimestamp}`;
    case ValueErrorType.DateMultipleOfTimestamp:
      return `Expected Date timestamp to be a multiple of ${error3.schema.multipleOfTimestamp}`;
    case ValueErrorType.Date:
      return "Expected Date";
    case ValueErrorType.Function:
      return "Expected function";
    case ValueErrorType.IntegerExclusiveMaximum:
      return `Expected integer to be less than ${error3.schema.exclusiveMaximum}`;
    case ValueErrorType.IntegerExclusiveMinimum:
      return `Expected integer to be greater than ${error3.schema.exclusiveMinimum}`;
    case ValueErrorType.IntegerMaximum:
      return `Expected integer to be less or equal to ${error3.schema.maximum}`;
    case ValueErrorType.IntegerMinimum:
      return `Expected integer to be greater or equal to ${error3.schema.minimum}`;
    case ValueErrorType.IntegerMultipleOf:
      return `Expected integer to be a multiple of ${error3.schema.multipleOf}`;
    case ValueErrorType.Integer:
      return "Expected integer";
    case ValueErrorType.IntersectUnevaluatedProperties:
      return "Unexpected property";
    case ValueErrorType.Intersect:
      return "Expected all values to match";
    case ValueErrorType.Iterator:
      return "Expected Iterator";
    case ValueErrorType.Literal:
      return `Expected ${typeof error3.schema.const === "string" ? `'${error3.schema.const}'` : error3.schema.const}`;
    case ValueErrorType.Never:
      return "Never";
    case ValueErrorType.Not:
      return "Value should not match";
    case ValueErrorType.Null:
      return "Expected null";
    case ValueErrorType.NumberExclusiveMaximum:
      return `Expected number to be less than ${error3.schema.exclusiveMaximum}`;
    case ValueErrorType.NumberExclusiveMinimum:
      return `Expected number to be greater than ${error3.schema.exclusiveMinimum}`;
    case ValueErrorType.NumberMaximum:
      return `Expected number to be less or equal to ${error3.schema.maximum}`;
    case ValueErrorType.NumberMinimum:
      return `Expected number to be greater or equal to ${error3.schema.minimum}`;
    case ValueErrorType.NumberMultipleOf:
      return `Expected number to be a multiple of ${error3.schema.multipleOf}`;
    case ValueErrorType.Number:
      return "Expected number";
    case ValueErrorType.Object:
      return "Expected object";
    case ValueErrorType.ObjectAdditionalProperties:
      return "Unexpected property";
    case ValueErrorType.ObjectMaxProperties:
      return `Expected object to have no more than ${error3.schema.maxProperties} properties`;
    case ValueErrorType.ObjectMinProperties:
      return `Expected object to have at least ${error3.schema.minProperties} properties`;
    case ValueErrorType.ObjectRequiredProperty:
      return "Expected required property";
    case ValueErrorType.Promise:
      return "Expected Promise";
    case ValueErrorType.RegExp:
      return "Expected string to match regular expression";
    case ValueErrorType.StringFormatUnknown:
      return `Unknown format '${error3.schema.format}'`;
    case ValueErrorType.StringFormat:
      return `Expected string to match '${error3.schema.format}' format`;
    case ValueErrorType.StringMaxLength:
      return `Expected string length less or equal to ${error3.schema.maxLength}`;
    case ValueErrorType.StringMinLength:
      return `Expected string length greater or equal to ${error3.schema.minLength}`;
    case ValueErrorType.StringPattern:
      return `Expected string to match '${error3.schema.pattern}'`;
    case ValueErrorType.String:
      return "Expected string";
    case ValueErrorType.Symbol:
      return "Expected symbol";
    case ValueErrorType.TupleLength:
      return `Expected tuple to have ${error3.schema.maxItems || 0} elements`;
    case ValueErrorType.Tuple:
      return "Expected tuple";
    case ValueErrorType.Uint8ArrayMaxByteLength:
      return `Expected byte length less or equal to ${error3.schema.maxByteLength}`;
    case ValueErrorType.Uint8ArrayMinByteLength:
      return `Expected byte length greater or equal to ${error3.schema.minByteLength}`;
    case ValueErrorType.Uint8Array:
      return "Expected Uint8Array";
    case ValueErrorType.Undefined:
      return "Expected undefined";
    case ValueErrorType.Union:
      return "Expected union value";
    case ValueErrorType.Void:
      return "Expected void";
    case ValueErrorType.Kind:
      return `Expected kind '${error3.schema[Kind]}'`;
    default:
      return "Unknown error type";
  }
}
function GetErrorFunction() {
  return errorFunction;
}
var errorFunction;
var init_function3 = __esm(() => {
  init_symbols2();
  init_errors();
  errorFunction = DefaultErrorFunction;
});

// ../../node_modules/@sinclair/typebox/build/esm/value/deref/deref.mjs
function Resolve(schema3, references) {
  const target = references.find((target2) => target2.$id === schema3.$ref);
  if (target === undefined)
    throw new TypeDereferenceError(schema3);
  return Deref(target, references);
}
function Pushref(schema3, references) {
  if (!IsString2(schema3.$id) || references.some((target) => target.$id === schema3.$id))
    return references;
  references.push(schema3);
  return references;
}
function Deref(schema3, references) {
  return schema3[Kind] === "This" || schema3[Kind] === "Ref" ? Resolve(schema3, references) : schema3;
}
var TypeDereferenceError;
var init_deref = __esm(() => {
  init_error2();
  init_symbols2();
  TypeDereferenceError = class TypeDereferenceError extends TypeBoxError {
    constructor(schema3) {
      super(`Unable to dereference schema with $id '${schema3.$ref}'`);
      this.schema = schema3;
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/deref/index.mjs
var init_deref2 = __esm(() => {
  init_deref();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/hash/hash.mjs
function* NumberToBytes(value2) {
  const byteCount = value2 === 0 ? 1 : Math.ceil(Math.floor(Math.log2(value2) + 1) / 8);
  for (let i = 0;i < byteCount; i++) {
    yield value2 >> 8 * (byteCount - 1 - i) & 255;
  }
}
function ArrayType2(value2) {
  FNV1A64(ByteMarker.Array);
  for (const item of value2) {
    Visit4(item);
  }
}
function BooleanType(value2) {
  FNV1A64(ByteMarker.Boolean);
  FNV1A64(value2 ? 1 : 0);
}
function BigIntType(value2) {
  FNV1A64(ByteMarker.BigInt);
  F64In.setBigInt64(0, value2);
  for (const byte of F64Out) {
    FNV1A64(byte);
  }
}
function DateType2(value2) {
  FNV1A64(ByteMarker.Date);
  Visit4(value2.getTime());
}
function NullType(value2) {
  FNV1A64(ByteMarker.Null);
}
function NumberType(value2) {
  FNV1A64(ByteMarker.Number);
  F64In.setFloat64(0, value2);
  for (const byte of F64Out) {
    FNV1A64(byte);
  }
}
function ObjectType2(value2) {
  FNV1A64(ByteMarker.Object);
  for (const key of globalThis.Object.getOwnPropertyNames(value2).sort()) {
    Visit4(key);
    Visit4(value2[key]);
  }
}
function StringType(value2) {
  FNV1A64(ByteMarker.String);
  for (let i = 0;i < value2.length; i++) {
    for (const byte of NumberToBytes(value2.charCodeAt(i))) {
      FNV1A64(byte);
    }
  }
}
function SymbolType(value2) {
  FNV1A64(ByteMarker.Symbol);
  Visit4(value2.description);
}
function Uint8ArrayType2(value2) {
  FNV1A64(ByteMarker.Uint8Array);
  for (let i = 0;i < value2.length; i++) {
    FNV1A64(value2[i]);
  }
}
function UndefinedType(value2) {
  return FNV1A64(ByteMarker.Undefined);
}
function Visit4(value2) {
  if (IsArray2(value2))
    return ArrayType2(value2);
  if (IsBoolean2(value2))
    return BooleanType(value2);
  if (IsBigInt2(value2))
    return BigIntType(value2);
  if (IsDate2(value2))
    return DateType2(value2);
  if (IsNull2(value2))
    return NullType(value2);
  if (IsNumber2(value2))
    return NumberType(value2);
  if (IsObject2(value2))
    return ObjectType2(value2);
  if (IsString2(value2))
    return StringType(value2);
  if (IsSymbol2(value2))
    return SymbolType(value2);
  if (IsUint8Array2(value2))
    return Uint8ArrayType2(value2);
  if (IsUndefined2(value2))
    return UndefinedType(value2);
  throw new ValueHashError(value2);
}
function FNV1A64(byte) {
  Accumulator = Accumulator ^ Bytes[byte];
  Accumulator = Accumulator * Prime % Size;
}
function Hash(value2) {
  Accumulator = BigInt("14695981039346656037");
  Visit4(value2);
  return Accumulator;
}
var ValueHashError, ByteMarker, Accumulator, Prime, Size, Bytes, F64, F64In, F64Out;
var init_hash = __esm(() => {
  init_guard();
  init_error2();
  ValueHashError = class ValueHashError extends TypeBoxError {
    constructor(value2) {
      super(`Unable to hash value`);
      this.value = value2;
    }
  };
  (function(ByteMarker2) {
    ByteMarker2[ByteMarker2["Undefined"] = 0] = "Undefined";
    ByteMarker2[ByteMarker2["Null"] = 1] = "Null";
    ByteMarker2[ByteMarker2["Boolean"] = 2] = "Boolean";
    ByteMarker2[ByteMarker2["Number"] = 3] = "Number";
    ByteMarker2[ByteMarker2["String"] = 4] = "String";
    ByteMarker2[ByteMarker2["Object"] = 5] = "Object";
    ByteMarker2[ByteMarker2["Array"] = 6] = "Array";
    ByteMarker2[ByteMarker2["Date"] = 7] = "Date";
    ByteMarker2[ByteMarker2["Uint8Array"] = 8] = "Uint8Array";
    ByteMarker2[ByteMarker2["Symbol"] = 9] = "Symbol";
    ByteMarker2[ByteMarker2["BigInt"] = 10] = "BigInt";
  })(ByteMarker || (ByteMarker = {}));
  Accumulator = BigInt("14695981039346656037");
  [Prime, Size] = [BigInt("1099511628211"), BigInt("18446744073709551616")];
  Bytes = Array.from({ length: 256 }).map((_, i) => BigInt(i));
  F64 = new Float64Array(1);
  F64In = new DataView(F64.buffer);
  F64Out = new Uint8Array(F64.buffer);
});

// ../../node_modules/@sinclair/typebox/build/esm/value/hash/index.mjs
var init_hash2 = __esm(() => {
  init_hash();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/check/check.mjs
function IsAnyOrUnknown(schema3) {
  return schema3[Kind] === "Any" || schema3[Kind] === "Unknown";
}
function IsDefined(value2) {
  return value2 !== undefined;
}
function FromAny2(schema3, references, value2) {
  return true;
}
function FromArgument2(schema3, references, value2) {
  return true;
}
function FromArray7(schema3, references, value2) {
  if (!IsArray2(value2))
    return false;
  if (IsDefined(schema3.minItems) && !(value2.length >= schema3.minItems)) {
    return false;
  }
  if (IsDefined(schema3.maxItems) && !(value2.length <= schema3.maxItems)) {
    return false;
  }
  if (!value2.every((value3) => Visit5(schema3.items, references, value3))) {
    return false;
  }
  if (schema3.uniqueItems === true && !function() {
    const set3 = new Set;
    for (const element of value2) {
      const hashed = Hash(element);
      if (set3.has(hashed)) {
        return false;
      } else {
        set3.add(hashed);
      }
    }
    return true;
  }()) {
    return false;
  }
  if (!(IsDefined(schema3.contains) || IsNumber2(schema3.minContains) || IsNumber2(schema3.maxContains))) {
    return true;
  }
  const containsSchema = IsDefined(schema3.contains) ? schema3.contains : Never();
  const containsCount = value2.reduce((acc, value3) => Visit5(containsSchema, references, value3) ? acc + 1 : acc, 0);
  if (containsCount === 0) {
    return false;
  }
  if (IsNumber2(schema3.minContains) && containsCount < schema3.minContains) {
    return false;
  }
  if (IsNumber2(schema3.maxContains) && containsCount > schema3.maxContains) {
    return false;
  }
  return true;
}
function FromAsyncIterator4(schema3, references, value2) {
  return IsAsyncIterator2(value2);
}
function FromBigInt2(schema3, references, value2) {
  if (!IsBigInt2(value2))
    return false;
  if (IsDefined(schema3.exclusiveMaximum) && !(value2 < schema3.exclusiveMaximum)) {
    return false;
  }
  if (IsDefined(schema3.exclusiveMinimum) && !(value2 > schema3.exclusiveMinimum)) {
    return false;
  }
  if (IsDefined(schema3.maximum) && !(value2 <= schema3.maximum)) {
    return false;
  }
  if (IsDefined(schema3.minimum) && !(value2 >= schema3.minimum)) {
    return false;
  }
  if (IsDefined(schema3.multipleOf) && !(value2 % schema3.multipleOf === BigInt(0))) {
    return false;
  }
  return true;
}
function FromBoolean2(schema3, references, value2) {
  return IsBoolean2(value2);
}
function FromConstructor4(schema3, references, value2) {
  return Visit5(schema3.returns, references, value2.prototype);
}
function FromDate2(schema3, references, value2) {
  if (!IsDate2(value2))
    return false;
  if (IsDefined(schema3.exclusiveMaximumTimestamp) && !(value2.getTime() < schema3.exclusiveMaximumTimestamp)) {
    return false;
  }
  if (IsDefined(schema3.exclusiveMinimumTimestamp) && !(value2.getTime() > schema3.exclusiveMinimumTimestamp)) {
    return false;
  }
  if (IsDefined(schema3.maximumTimestamp) && !(value2.getTime() <= schema3.maximumTimestamp)) {
    return false;
  }
  if (IsDefined(schema3.minimumTimestamp) && !(value2.getTime() >= schema3.minimumTimestamp)) {
    return false;
  }
  if (IsDefined(schema3.multipleOfTimestamp) && !(value2.getTime() % schema3.multipleOfTimestamp === 0)) {
    return false;
  }
  return true;
}
function FromFunction4(schema3, references, value2) {
  return IsFunction2(value2);
}
function FromImport(schema3, references, value2) {
  const definitions = globalThis.Object.values(schema3.$defs);
  const target = schema3.$defs[schema3.$ref];
  return Visit5(target, [...references, ...definitions], value2);
}
function FromInteger2(schema3, references, value2) {
  if (!IsInteger(value2)) {
    return false;
  }
  if (IsDefined(schema3.exclusiveMaximum) && !(value2 < schema3.exclusiveMaximum)) {
    return false;
  }
  if (IsDefined(schema3.exclusiveMinimum) && !(value2 > schema3.exclusiveMinimum)) {
    return false;
  }
  if (IsDefined(schema3.maximum) && !(value2 <= schema3.maximum)) {
    return false;
  }
  if (IsDefined(schema3.minimum) && !(value2 >= schema3.minimum)) {
    return false;
  }
  if (IsDefined(schema3.multipleOf) && !(value2 % schema3.multipleOf === 0)) {
    return false;
  }
  return true;
}
function FromIntersect9(schema3, references, value2) {
  const check1 = schema3.allOf.every((schema4) => Visit5(schema4, references, value2));
  if (schema3.unevaluatedProperties === false) {
    const keyPattern = new RegExp(KeyOfPattern(schema3));
    const check2 = Object.getOwnPropertyNames(value2).every((key) => keyPattern.test(key));
    return check1 && check2;
  } else if (IsSchema(schema3.unevaluatedProperties)) {
    const keyCheck = new RegExp(KeyOfPattern(schema3));
    const check2 = Object.getOwnPropertyNames(value2).every((key) => keyCheck.test(key) || Visit5(schema3.unevaluatedProperties, references, value2[key]));
    return check1 && check2;
  } else {
    return check1;
  }
}
function FromIterator4(schema3, references, value2) {
  return IsIterator2(value2);
}
function FromLiteral3(schema3, references, value2) {
  return value2 === schema3.const;
}
function FromNever2(schema3, references, value2) {
  return false;
}
function FromNot2(schema3, references, value2) {
  return !Visit5(schema3.not, references, value2);
}
function FromNull2(schema3, references, value2) {
  return IsNull2(value2);
}
function FromNumber2(schema3, references, value2) {
  if (!TypeSystemPolicy.IsNumberLike(value2))
    return false;
  if (IsDefined(schema3.exclusiveMaximum) && !(value2 < schema3.exclusiveMaximum)) {
    return false;
  }
  if (IsDefined(schema3.exclusiveMinimum) && !(value2 > schema3.exclusiveMinimum)) {
    return false;
  }
  if (IsDefined(schema3.minimum) && !(value2 >= schema3.minimum)) {
    return false;
  }
  if (IsDefined(schema3.maximum) && !(value2 <= schema3.maximum)) {
    return false;
  }
  if (IsDefined(schema3.multipleOf) && !(value2 % schema3.multipleOf === 0)) {
    return false;
  }
  return true;
}
function FromObject8(schema3, references, value2) {
  if (!TypeSystemPolicy.IsObjectLike(value2))
    return false;
  if (IsDefined(schema3.minProperties) && !(Object.getOwnPropertyNames(value2).length >= schema3.minProperties)) {
    return false;
  }
  if (IsDefined(schema3.maxProperties) && !(Object.getOwnPropertyNames(value2).length <= schema3.maxProperties)) {
    return false;
  }
  const knownKeys = Object.getOwnPropertyNames(schema3.properties);
  for (const knownKey of knownKeys) {
    const property = schema3.properties[knownKey];
    if (schema3.required && schema3.required.includes(knownKey)) {
      if (!Visit5(property, references, value2[knownKey])) {
        return false;
      }
      if ((ExtendsUndefinedCheck(property) || IsAnyOrUnknown(property)) && !(knownKey in value2)) {
        return false;
      }
    } else {
      if (TypeSystemPolicy.IsExactOptionalProperty(value2, knownKey) && !Visit5(property, references, value2[knownKey])) {
        return false;
      }
    }
  }
  if (schema3.additionalProperties === false) {
    const valueKeys = Object.getOwnPropertyNames(value2);
    if (schema3.required && schema3.required.length === knownKeys.length && valueKeys.length === knownKeys.length) {
      return true;
    } else {
      return valueKeys.every((valueKey) => knownKeys.includes(valueKey));
    }
  } else if (typeof schema3.additionalProperties === "object") {
    const valueKeys = Object.getOwnPropertyNames(value2);
    return valueKeys.every((key) => knownKeys.includes(key) || Visit5(schema3.additionalProperties, references, value2[key]));
  } else {
    return true;
  }
}
function FromPromise4(schema3, references, value2) {
  return IsPromise(value2);
}
function FromRecord4(schema3, references, value2) {
  if (!TypeSystemPolicy.IsRecordLike(value2)) {
    return false;
  }
  if (IsDefined(schema3.minProperties) && !(Object.getOwnPropertyNames(value2).length >= schema3.minProperties)) {
    return false;
  }
  if (IsDefined(schema3.maxProperties) && !(Object.getOwnPropertyNames(value2).length <= schema3.maxProperties)) {
    return false;
  }
  const [patternKey, patternSchema] = Object.entries(schema3.patternProperties)[0];
  const regex = new RegExp(patternKey);
  const check1 = Object.entries(value2).every(([key, value3]) => {
    return regex.test(key) ? Visit5(patternSchema, references, value3) : true;
  });
  const check2 = typeof schema3.additionalProperties === "object" ? Object.entries(value2).every(([key, value3]) => {
    return !regex.test(key) ? Visit5(schema3.additionalProperties, references, value3) : true;
  }) : true;
  const check3 = schema3.additionalProperties === false ? Object.getOwnPropertyNames(value2).every((key) => {
    return regex.test(key);
  }) : true;
  return check1 && check2 && check3;
}
function FromRef5(schema3, references, value2) {
  return Visit5(Deref(schema3, references), references, value2);
}
function FromRegExp2(schema3, references, value2) {
  const regex = new RegExp(schema3.source, schema3.flags);
  if (IsDefined(schema3.minLength)) {
    if (!(value2.length >= schema3.minLength))
      return false;
  }
  if (IsDefined(schema3.maxLength)) {
    if (!(value2.length <= schema3.maxLength))
      return false;
  }
  return regex.test(value2);
}
function FromString2(schema3, references, value2) {
  if (!IsString2(value2)) {
    return false;
  }
  if (IsDefined(schema3.minLength)) {
    if (!(value2.length >= schema3.minLength))
      return false;
  }
  if (IsDefined(schema3.maxLength)) {
    if (!(value2.length <= schema3.maxLength))
      return false;
  }
  if (IsDefined(schema3.pattern)) {
    const regex = new RegExp(schema3.pattern);
    if (!regex.test(value2))
      return false;
  }
  if (IsDefined(schema3.format)) {
    if (!exports_format.Has(schema3.format))
      return false;
    const func = exports_format.Get(schema3.format);
    return func(value2);
  }
  return true;
}
function FromSymbol2(schema3, references, value2) {
  return IsSymbol2(value2);
}
function FromTemplateLiteral4(schema3, references, value2) {
  return IsString2(value2) && new RegExp(schema3.pattern).test(value2);
}
function FromThis(schema3, references, value2) {
  return Visit5(Deref(schema3, references), references, value2);
}
function FromTuple6(schema3, references, value2) {
  if (!IsArray2(value2)) {
    return false;
  }
  if (schema3.items === undefined && !(value2.length === 0)) {
    return false;
  }
  if (!(value2.length === schema3.maxItems)) {
    return false;
  }
  if (!schema3.items) {
    return true;
  }
  for (let i = 0;i < schema3.items.length; i++) {
    if (!Visit5(schema3.items[i], references, value2[i]))
      return false;
  }
  return true;
}
function FromUndefined2(schema3, references, value2) {
  return IsUndefined2(value2);
}
function FromUnion11(schema3, references, value2) {
  return schema3.anyOf.some((inner) => Visit5(inner, references, value2));
}
function FromUint8Array2(schema3, references, value2) {
  if (!IsUint8Array2(value2)) {
    return false;
  }
  if (IsDefined(schema3.maxByteLength) && !(value2.length <= schema3.maxByteLength)) {
    return false;
  }
  if (IsDefined(schema3.minByteLength) && !(value2.length >= schema3.minByteLength)) {
    return false;
  }
  return true;
}
function FromUnknown2(schema3, references, value2) {
  return true;
}
function FromVoid2(schema3, references, value2) {
  return TypeSystemPolicy.IsVoidLike(value2);
}
function FromKind(schema3, references, value2) {
  if (!exports_type2.Has(schema3[Kind]))
    return false;
  const func = exports_type2.Get(schema3[Kind]);
  return func(schema3, value2);
}
function Visit5(schema3, references, value2) {
  const references_ = IsDefined(schema3.$id) ? Pushref(schema3, references) : references;
  const schema_ = schema3;
  switch (schema_[Kind]) {
    case "Any":
      return FromAny2(schema_, references_, value2);
    case "Argument":
      return FromArgument2(schema_, references_, value2);
    case "Array":
      return FromArray7(schema_, references_, value2);
    case "AsyncIterator":
      return FromAsyncIterator4(schema_, references_, value2);
    case "BigInt":
      return FromBigInt2(schema_, references_, value2);
    case "Boolean":
      return FromBoolean2(schema_, references_, value2);
    case "Constructor":
      return FromConstructor4(schema_, references_, value2);
    case "Date":
      return FromDate2(schema_, references_, value2);
    case "Function":
      return FromFunction4(schema_, references_, value2);
    case "Import":
      return FromImport(schema_, references_, value2);
    case "Integer":
      return FromInteger2(schema_, references_, value2);
    case "Intersect":
      return FromIntersect9(schema_, references_, value2);
    case "Iterator":
      return FromIterator4(schema_, references_, value2);
    case "Literal":
      return FromLiteral3(schema_, references_, value2);
    case "Never":
      return FromNever2(schema_, references_, value2);
    case "Not":
      return FromNot2(schema_, references_, value2);
    case "Null":
      return FromNull2(schema_, references_, value2);
    case "Number":
      return FromNumber2(schema_, references_, value2);
    case "Object":
      return FromObject8(schema_, references_, value2);
    case "Promise":
      return FromPromise4(schema_, references_, value2);
    case "Record":
      return FromRecord4(schema_, references_, value2);
    case "Ref":
      return FromRef5(schema_, references_, value2);
    case "RegExp":
      return FromRegExp2(schema_, references_, value2);
    case "String":
      return FromString2(schema_, references_, value2);
    case "Symbol":
      return FromSymbol2(schema_, references_, value2);
    case "TemplateLiteral":
      return FromTemplateLiteral4(schema_, references_, value2);
    case "This":
      return FromThis(schema_, references_, value2);
    case "Tuple":
      return FromTuple6(schema_, references_, value2);
    case "Undefined":
      return FromUndefined2(schema_, references_, value2);
    case "Union":
      return FromUnion11(schema_, references_, value2);
    case "Uint8Array":
      return FromUint8Array2(schema_, references_, value2);
    case "Unknown":
      return FromUnknown2(schema_, references_, value2);
    case "Void":
      return FromVoid2(schema_, references_, value2);
    default:
      if (!exports_type2.Has(schema_[Kind]))
        throw new ValueCheckUnknownTypeError(schema_);
      return FromKind(schema_, references_, value2);
  }
}
function Check(...args) {
  return args.length === 3 ? Visit5(args[0], args[1], args[2]) : Visit5(args[0], [], args[1]);
}
var ValueCheckUnknownTypeError;
var init_check = __esm(() => {
  init_system2();
  init_deref2();
  init_hash2();
  init_symbols2();
  init_keyof2();
  init_extends2();
  init_registry();
  init_error2();
  init_never2();
  init_guard();
  init_kind();
  ValueCheckUnknownTypeError = class ValueCheckUnknownTypeError extends TypeBoxError {
    constructor(schema3) {
      super(`Unknown type`);
      this.schema = schema3;
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/check/index.mjs
var init_check2 = __esm(() => {
  init_check();
});

// ../../node_modules/@sinclair/typebox/build/esm/errors/errors.mjs
function EscapeKey(key) {
  return key.replace(/~/g, "~0").replace(/\//g, "~1");
}
function IsDefined2(value2) {
  return value2 !== undefined;
}
function Create(errorType, schema3, path, value2, errors = []) {
  return {
    type: errorType,
    schema: schema3,
    path,
    value: value2,
    message: GetErrorFunction()({ errorType, path, schema: schema3, value: value2, errors }),
    errors
  };
}
function* FromAny3(schema3, references, path, value2) {
}
function* FromArgument3(schema3, references, path, value2) {
}
function* FromArray8(schema3, references, path, value2) {
  if (!IsArray2(value2)) {
    return yield Create(ValueErrorType.Array, schema3, path, value2);
  }
  if (IsDefined2(schema3.minItems) && !(value2.length >= schema3.minItems)) {
    yield Create(ValueErrorType.ArrayMinItems, schema3, path, value2);
  }
  if (IsDefined2(schema3.maxItems) && !(value2.length <= schema3.maxItems)) {
    yield Create(ValueErrorType.ArrayMaxItems, schema3, path, value2);
  }
  for (let i = 0;i < value2.length; i++) {
    yield* Visit6(schema3.items, references, `${path}/${i}`, value2[i]);
  }
  if (schema3.uniqueItems === true && !function() {
    const set3 = new Set;
    for (const element of value2) {
      const hashed = Hash(element);
      if (set3.has(hashed)) {
        return false;
      } else {
        set3.add(hashed);
      }
    }
    return true;
  }()) {
    yield Create(ValueErrorType.ArrayUniqueItems, schema3, path, value2);
  }
  if (!(IsDefined2(schema3.contains) || IsDefined2(schema3.minContains) || IsDefined2(schema3.maxContains))) {
    return;
  }
  const containsSchema = IsDefined2(schema3.contains) ? schema3.contains : Never();
  const containsCount = value2.reduce((acc, value3, index) => Visit6(containsSchema, references, `${path}${index}`, value3).next().done === true ? acc + 1 : acc, 0);
  if (containsCount === 0) {
    yield Create(ValueErrorType.ArrayContains, schema3, path, value2);
  }
  if (IsNumber2(schema3.minContains) && containsCount < schema3.minContains) {
    yield Create(ValueErrorType.ArrayMinContains, schema3, path, value2);
  }
  if (IsNumber2(schema3.maxContains) && containsCount > schema3.maxContains) {
    yield Create(ValueErrorType.ArrayMaxContains, schema3, path, value2);
  }
}
function* FromAsyncIterator5(schema3, references, path, value2) {
  if (!IsAsyncIterator2(value2))
    yield Create(ValueErrorType.AsyncIterator, schema3, path, value2);
}
function* FromBigInt3(schema3, references, path, value2) {
  if (!IsBigInt2(value2))
    return yield Create(ValueErrorType.BigInt, schema3, path, value2);
  if (IsDefined2(schema3.exclusiveMaximum) && !(value2 < schema3.exclusiveMaximum)) {
    yield Create(ValueErrorType.BigIntExclusiveMaximum, schema3, path, value2);
  }
  if (IsDefined2(schema3.exclusiveMinimum) && !(value2 > schema3.exclusiveMinimum)) {
    yield Create(ValueErrorType.BigIntExclusiveMinimum, schema3, path, value2);
  }
  if (IsDefined2(schema3.maximum) && !(value2 <= schema3.maximum)) {
    yield Create(ValueErrorType.BigIntMaximum, schema3, path, value2);
  }
  if (IsDefined2(schema3.minimum) && !(value2 >= schema3.minimum)) {
    yield Create(ValueErrorType.BigIntMinimum, schema3, path, value2);
  }
  if (IsDefined2(schema3.multipleOf) && !(value2 % schema3.multipleOf === BigInt(0))) {
    yield Create(ValueErrorType.BigIntMultipleOf, schema3, path, value2);
  }
}
function* FromBoolean3(schema3, references, path, value2) {
  if (!IsBoolean2(value2))
    yield Create(ValueErrorType.Boolean, schema3, path, value2);
}
function* FromConstructor5(schema3, references, path, value2) {
  yield* Visit6(schema3.returns, references, path, value2.prototype);
}
function* FromDate3(schema3, references, path, value2) {
  if (!IsDate2(value2))
    return yield Create(ValueErrorType.Date, schema3, path, value2);
  if (IsDefined2(schema3.exclusiveMaximumTimestamp) && !(value2.getTime() < schema3.exclusiveMaximumTimestamp)) {
    yield Create(ValueErrorType.DateExclusiveMaximumTimestamp, schema3, path, value2);
  }
  if (IsDefined2(schema3.exclusiveMinimumTimestamp) && !(value2.getTime() > schema3.exclusiveMinimumTimestamp)) {
    yield Create(ValueErrorType.DateExclusiveMinimumTimestamp, schema3, path, value2);
  }
  if (IsDefined2(schema3.maximumTimestamp) && !(value2.getTime() <= schema3.maximumTimestamp)) {
    yield Create(ValueErrorType.DateMaximumTimestamp, schema3, path, value2);
  }
  if (IsDefined2(schema3.minimumTimestamp) && !(value2.getTime() >= schema3.minimumTimestamp)) {
    yield Create(ValueErrorType.DateMinimumTimestamp, schema3, path, value2);
  }
  if (IsDefined2(schema3.multipleOfTimestamp) && !(value2.getTime() % schema3.multipleOfTimestamp === 0)) {
    yield Create(ValueErrorType.DateMultipleOfTimestamp, schema3, path, value2);
  }
}
function* FromFunction5(schema3, references, path, value2) {
  if (!IsFunction2(value2))
    yield Create(ValueErrorType.Function, schema3, path, value2);
}
function* FromImport2(schema3, references, path, value2) {
  const definitions = globalThis.Object.values(schema3.$defs);
  const target = schema3.$defs[schema3.$ref];
  yield* Visit6(target, [...references, ...definitions], path, value2);
}
function* FromInteger3(schema3, references, path, value2) {
  if (!IsInteger(value2))
    return yield Create(ValueErrorType.Integer, schema3, path, value2);
  if (IsDefined2(schema3.exclusiveMaximum) && !(value2 < schema3.exclusiveMaximum)) {
    yield Create(ValueErrorType.IntegerExclusiveMaximum, schema3, path, value2);
  }
  if (IsDefined2(schema3.exclusiveMinimum) && !(value2 > schema3.exclusiveMinimum)) {
    yield Create(ValueErrorType.IntegerExclusiveMinimum, schema3, path, value2);
  }
  if (IsDefined2(schema3.maximum) && !(value2 <= schema3.maximum)) {
    yield Create(ValueErrorType.IntegerMaximum, schema3, path, value2);
  }
  if (IsDefined2(schema3.minimum) && !(value2 >= schema3.minimum)) {
    yield Create(ValueErrorType.IntegerMinimum, schema3, path, value2);
  }
  if (IsDefined2(schema3.multipleOf) && !(value2 % schema3.multipleOf === 0)) {
    yield Create(ValueErrorType.IntegerMultipleOf, schema3, path, value2);
  }
}
function* FromIntersect10(schema3, references, path, value2) {
  let hasError = false;
  for (const inner of schema3.allOf) {
    for (const error3 of Visit6(inner, references, path, value2)) {
      hasError = true;
      yield error3;
    }
  }
  if (hasError) {
    return yield Create(ValueErrorType.Intersect, schema3, path, value2);
  }
  if (schema3.unevaluatedProperties === false) {
    const keyCheck = new RegExp(KeyOfPattern(schema3));
    for (const valueKey of Object.getOwnPropertyNames(value2)) {
      if (!keyCheck.test(valueKey)) {
        yield Create(ValueErrorType.IntersectUnevaluatedProperties, schema3, `${path}/${valueKey}`, value2);
      }
    }
  }
  if (typeof schema3.unevaluatedProperties === "object") {
    const keyCheck = new RegExp(KeyOfPattern(schema3));
    for (const valueKey of Object.getOwnPropertyNames(value2)) {
      if (!keyCheck.test(valueKey)) {
        const next = Visit6(schema3.unevaluatedProperties, references, `${path}/${valueKey}`, value2[valueKey]).next();
        if (!next.done)
          yield next.value;
      }
    }
  }
}
function* FromIterator5(schema3, references, path, value2) {
  if (!IsIterator2(value2))
    yield Create(ValueErrorType.Iterator, schema3, path, value2);
}
function* FromLiteral4(schema3, references, path, value2) {
  if (!(value2 === schema3.const))
    yield Create(ValueErrorType.Literal, schema3, path, value2);
}
function* FromNever3(schema3, references, path, value2) {
  yield Create(ValueErrorType.Never, schema3, path, value2);
}
function* FromNot3(schema3, references, path, value2) {
  if (Visit6(schema3.not, references, path, value2).next().done === true)
    yield Create(ValueErrorType.Not, schema3, path, value2);
}
function* FromNull3(schema3, references, path, value2) {
  if (!IsNull2(value2))
    yield Create(ValueErrorType.Null, schema3, path, value2);
}
function* FromNumber3(schema3, references, path, value2) {
  if (!TypeSystemPolicy.IsNumberLike(value2))
    return yield Create(ValueErrorType.Number, schema3, path, value2);
  if (IsDefined2(schema3.exclusiveMaximum) && !(value2 < schema3.exclusiveMaximum)) {
    yield Create(ValueErrorType.NumberExclusiveMaximum, schema3, path, value2);
  }
  if (IsDefined2(schema3.exclusiveMinimum) && !(value2 > schema3.exclusiveMinimum)) {
    yield Create(ValueErrorType.NumberExclusiveMinimum, schema3, path, value2);
  }
  if (IsDefined2(schema3.maximum) && !(value2 <= schema3.maximum)) {
    yield Create(ValueErrorType.NumberMaximum, schema3, path, value2);
  }
  if (IsDefined2(schema3.minimum) && !(value2 >= schema3.minimum)) {
    yield Create(ValueErrorType.NumberMinimum, schema3, path, value2);
  }
  if (IsDefined2(schema3.multipleOf) && !(value2 % schema3.multipleOf === 0)) {
    yield Create(ValueErrorType.NumberMultipleOf, schema3, path, value2);
  }
}
function* FromObject9(schema3, references, path, value2) {
  if (!TypeSystemPolicy.IsObjectLike(value2))
    return yield Create(ValueErrorType.Object, schema3, path, value2);
  if (IsDefined2(schema3.minProperties) && !(Object.getOwnPropertyNames(value2).length >= schema3.minProperties)) {
    yield Create(ValueErrorType.ObjectMinProperties, schema3, path, value2);
  }
  if (IsDefined2(schema3.maxProperties) && !(Object.getOwnPropertyNames(value2).length <= schema3.maxProperties)) {
    yield Create(ValueErrorType.ObjectMaxProperties, schema3, path, value2);
  }
  const requiredKeys = Array.isArray(schema3.required) ? schema3.required : [];
  const knownKeys = Object.getOwnPropertyNames(schema3.properties);
  const unknownKeys = Object.getOwnPropertyNames(value2);
  for (const requiredKey of requiredKeys) {
    if (unknownKeys.includes(requiredKey))
      continue;
    yield Create(ValueErrorType.ObjectRequiredProperty, schema3.properties[requiredKey], `${path}/${EscapeKey(requiredKey)}`, undefined);
  }
  if (schema3.additionalProperties === false) {
    for (const valueKey of unknownKeys) {
      if (!knownKeys.includes(valueKey)) {
        yield Create(ValueErrorType.ObjectAdditionalProperties, schema3, `${path}/${EscapeKey(valueKey)}`, value2[valueKey]);
      }
    }
  }
  if (typeof schema3.additionalProperties === "object") {
    for (const valueKey of unknownKeys) {
      if (knownKeys.includes(valueKey))
        continue;
      yield* Visit6(schema3.additionalProperties, references, `${path}/${EscapeKey(valueKey)}`, value2[valueKey]);
    }
  }
  for (const knownKey of knownKeys) {
    const property = schema3.properties[knownKey];
    if (schema3.required && schema3.required.includes(knownKey)) {
      yield* Visit6(property, references, `${path}/${EscapeKey(knownKey)}`, value2[knownKey]);
      if (ExtendsUndefinedCheck(schema3) && !(knownKey in value2)) {
        yield Create(ValueErrorType.ObjectRequiredProperty, property, `${path}/${EscapeKey(knownKey)}`, undefined);
      }
    } else {
      if (TypeSystemPolicy.IsExactOptionalProperty(value2, knownKey)) {
        yield* Visit6(property, references, `${path}/${EscapeKey(knownKey)}`, value2[knownKey]);
      }
    }
  }
}
function* FromPromise5(schema3, references, path, value2) {
  if (!IsPromise(value2))
    yield Create(ValueErrorType.Promise, schema3, path, value2);
}
function* FromRecord5(schema3, references, path, value2) {
  if (!TypeSystemPolicy.IsRecordLike(value2))
    return yield Create(ValueErrorType.Object, schema3, path, value2);
  if (IsDefined2(schema3.minProperties) && !(Object.getOwnPropertyNames(value2).length >= schema3.minProperties)) {
    yield Create(ValueErrorType.ObjectMinProperties, schema3, path, value2);
  }
  if (IsDefined2(schema3.maxProperties) && !(Object.getOwnPropertyNames(value2).length <= schema3.maxProperties)) {
    yield Create(ValueErrorType.ObjectMaxProperties, schema3, path, value2);
  }
  const [patternKey, patternSchema] = Object.entries(schema3.patternProperties)[0];
  const regex = new RegExp(patternKey);
  for (const [propertyKey, propertyValue] of Object.entries(value2)) {
    if (regex.test(propertyKey))
      yield* Visit6(patternSchema, references, `${path}/${EscapeKey(propertyKey)}`, propertyValue);
  }
  if (typeof schema3.additionalProperties === "object") {
    for (const [propertyKey, propertyValue] of Object.entries(value2)) {
      if (!regex.test(propertyKey))
        yield* Visit6(schema3.additionalProperties, references, `${path}/${EscapeKey(propertyKey)}`, propertyValue);
    }
  }
  if (schema3.additionalProperties === false) {
    for (const [propertyKey, propertyValue] of Object.entries(value2)) {
      if (regex.test(propertyKey))
        continue;
      return yield Create(ValueErrorType.ObjectAdditionalProperties, schema3, `${path}/${EscapeKey(propertyKey)}`, propertyValue);
    }
  }
}
function* FromRef6(schema3, references, path, value2) {
  yield* Visit6(Deref(schema3, references), references, path, value2);
}
function* FromRegExp3(schema3, references, path, value2) {
  if (!IsString2(value2))
    return yield Create(ValueErrorType.String, schema3, path, value2);
  if (IsDefined2(schema3.minLength) && !(value2.length >= schema3.minLength)) {
    yield Create(ValueErrorType.StringMinLength, schema3, path, value2);
  }
  if (IsDefined2(schema3.maxLength) && !(value2.length <= schema3.maxLength)) {
    yield Create(ValueErrorType.StringMaxLength, schema3, path, value2);
  }
  const regex = new RegExp(schema3.source, schema3.flags);
  if (!regex.test(value2)) {
    return yield Create(ValueErrorType.RegExp, schema3, path, value2);
  }
}
function* FromString3(schema3, references, path, value2) {
  if (!IsString2(value2))
    return yield Create(ValueErrorType.String, schema3, path, value2);
  if (IsDefined2(schema3.minLength) && !(value2.length >= schema3.minLength)) {
    yield Create(ValueErrorType.StringMinLength, schema3, path, value2);
  }
  if (IsDefined2(schema3.maxLength) && !(value2.length <= schema3.maxLength)) {
    yield Create(ValueErrorType.StringMaxLength, schema3, path, value2);
  }
  if (IsString2(schema3.pattern)) {
    const regex = new RegExp(schema3.pattern);
    if (!regex.test(value2)) {
      yield Create(ValueErrorType.StringPattern, schema3, path, value2);
    }
  }
  if (IsString2(schema3.format)) {
    if (!exports_format.Has(schema3.format)) {
      yield Create(ValueErrorType.StringFormatUnknown, schema3, path, value2);
    } else {
      const format2 = exports_format.Get(schema3.format);
      if (!format2(value2)) {
        yield Create(ValueErrorType.StringFormat, schema3, path, value2);
      }
    }
  }
}
function* FromSymbol3(schema3, references, path, value2) {
  if (!IsSymbol2(value2))
    yield Create(ValueErrorType.Symbol, schema3, path, value2);
}
function* FromTemplateLiteral5(schema3, references, path, value2) {
  if (!IsString2(value2))
    return yield Create(ValueErrorType.String, schema3, path, value2);
  const regex = new RegExp(schema3.pattern);
  if (!regex.test(value2)) {
    yield Create(ValueErrorType.StringPattern, schema3, path, value2);
  }
}
function* FromThis2(schema3, references, path, value2) {
  yield* Visit6(Deref(schema3, references), references, path, value2);
}
function* FromTuple7(schema3, references, path, value2) {
  if (!IsArray2(value2))
    return yield Create(ValueErrorType.Tuple, schema3, path, value2);
  if (schema3.items === undefined && !(value2.length === 0)) {
    return yield Create(ValueErrorType.TupleLength, schema3, path, value2);
  }
  if (!(value2.length === schema3.maxItems)) {
    return yield Create(ValueErrorType.TupleLength, schema3, path, value2);
  }
  if (!schema3.items) {
    return;
  }
  for (let i = 0;i < schema3.items.length; i++) {
    yield* Visit6(schema3.items[i], references, `${path}/${i}`, value2[i]);
  }
}
function* FromUndefined3(schema3, references, path, value2) {
  if (!IsUndefined2(value2))
    yield Create(ValueErrorType.Undefined, schema3, path, value2);
}
function* FromUnion12(schema3, references, path, value2) {
  if (Check(schema3, references, value2))
    return;
  const errors = schema3.anyOf.map((variant) => new ValueErrorIterator(Visit6(variant, references, path, value2)));
  yield Create(ValueErrorType.Union, schema3, path, value2, errors);
}
function* FromUint8Array3(schema3, references, path, value2) {
  if (!IsUint8Array2(value2))
    return yield Create(ValueErrorType.Uint8Array, schema3, path, value2);
  if (IsDefined2(schema3.maxByteLength) && !(value2.length <= schema3.maxByteLength)) {
    yield Create(ValueErrorType.Uint8ArrayMaxByteLength, schema3, path, value2);
  }
  if (IsDefined2(schema3.minByteLength) && !(value2.length >= schema3.minByteLength)) {
    yield Create(ValueErrorType.Uint8ArrayMinByteLength, schema3, path, value2);
  }
}
function* FromUnknown3(schema3, references, path, value2) {
}
function* FromVoid3(schema3, references, path, value2) {
  if (!TypeSystemPolicy.IsVoidLike(value2))
    yield Create(ValueErrorType.Void, schema3, path, value2);
}
function* FromKind2(schema3, references, path, value2) {
  const check2 = exports_type2.Get(schema3[Kind]);
  if (!check2(schema3, value2))
    yield Create(ValueErrorType.Kind, schema3, path, value2);
}
function* Visit6(schema3, references, path, value2) {
  const references_ = IsDefined2(schema3.$id) ? [...references, schema3] : references;
  const schema_ = schema3;
  switch (schema_[Kind]) {
    case "Any":
      return yield* FromAny3(schema_, references_, path, value2);
    case "Argument":
      return yield* FromArgument3(schema_, references_, path, value2);
    case "Array":
      return yield* FromArray8(schema_, references_, path, value2);
    case "AsyncIterator":
      return yield* FromAsyncIterator5(schema_, references_, path, value2);
    case "BigInt":
      return yield* FromBigInt3(schema_, references_, path, value2);
    case "Boolean":
      return yield* FromBoolean3(schema_, references_, path, value2);
    case "Constructor":
      return yield* FromConstructor5(schema_, references_, path, value2);
    case "Date":
      return yield* FromDate3(schema_, references_, path, value2);
    case "Function":
      return yield* FromFunction5(schema_, references_, path, value2);
    case "Import":
      return yield* FromImport2(schema_, references_, path, value2);
    case "Integer":
      return yield* FromInteger3(schema_, references_, path, value2);
    case "Intersect":
      return yield* FromIntersect10(schema_, references_, path, value2);
    case "Iterator":
      return yield* FromIterator5(schema_, references_, path, value2);
    case "Literal":
      return yield* FromLiteral4(schema_, references_, path, value2);
    case "Never":
      return yield* FromNever3(schema_, references_, path, value2);
    case "Not":
      return yield* FromNot3(schema_, references_, path, value2);
    case "Null":
      return yield* FromNull3(schema_, references_, path, value2);
    case "Number":
      return yield* FromNumber3(schema_, references_, path, value2);
    case "Object":
      return yield* FromObject9(schema_, references_, path, value2);
    case "Promise":
      return yield* FromPromise5(schema_, references_, path, value2);
    case "Record":
      return yield* FromRecord5(schema_, references_, path, value2);
    case "Ref":
      return yield* FromRef6(schema_, references_, path, value2);
    case "RegExp":
      return yield* FromRegExp3(schema_, references_, path, value2);
    case "String":
      return yield* FromString3(schema_, references_, path, value2);
    case "Symbol":
      return yield* FromSymbol3(schema_, references_, path, value2);
    case "TemplateLiteral":
      return yield* FromTemplateLiteral5(schema_, references_, path, value2);
    case "This":
      return yield* FromThis2(schema_, references_, path, value2);
    case "Tuple":
      return yield* FromTuple7(schema_, references_, path, value2);
    case "Undefined":
      return yield* FromUndefined3(schema_, references_, path, value2);
    case "Union":
      return yield* FromUnion12(schema_, references_, path, value2);
    case "Uint8Array":
      return yield* FromUint8Array3(schema_, references_, path, value2);
    case "Unknown":
      return yield* FromUnknown3(schema_, references_, path, value2);
    case "Void":
      return yield* FromVoid3(schema_, references_, path, value2);
    default:
      if (!exports_type2.Has(schema_[Kind]))
        throw new ValueErrorsUnknownTypeError(schema3);
      return yield* FromKind2(schema_, references_, path, value2);
  }
}
function Errors(...args) {
  const iterator3 = args.length === 3 ? Visit6(args[0], args[1], "", args[2]) : Visit6(args[0], [], "", args[1]);
  return new ValueErrorIterator(iterator3);
}
var ValueErrorType, ValueErrorsUnknownTypeError, ValueErrorIterator;
var init_errors = __esm(() => {
  init_system2();
  init_keyof2();
  init_registry();
  init_extends_undefined();
  init_function3();
  init_error2();
  init_deref2();
  init_hash2();
  init_check2();
  init_symbols2();
  init_never2();
  init_guard();
  (function(ValueErrorType2) {
    ValueErrorType2[ValueErrorType2["ArrayContains"] = 0] = "ArrayContains";
    ValueErrorType2[ValueErrorType2["ArrayMaxContains"] = 1] = "ArrayMaxContains";
    ValueErrorType2[ValueErrorType2["ArrayMaxItems"] = 2] = "ArrayMaxItems";
    ValueErrorType2[ValueErrorType2["ArrayMinContains"] = 3] = "ArrayMinContains";
    ValueErrorType2[ValueErrorType2["ArrayMinItems"] = 4] = "ArrayMinItems";
    ValueErrorType2[ValueErrorType2["ArrayUniqueItems"] = 5] = "ArrayUniqueItems";
    ValueErrorType2[ValueErrorType2["Array"] = 6] = "Array";
    ValueErrorType2[ValueErrorType2["AsyncIterator"] = 7] = "AsyncIterator";
    ValueErrorType2[ValueErrorType2["BigIntExclusiveMaximum"] = 8] = "BigIntExclusiveMaximum";
    ValueErrorType2[ValueErrorType2["BigIntExclusiveMinimum"] = 9] = "BigIntExclusiveMinimum";
    ValueErrorType2[ValueErrorType2["BigIntMaximum"] = 10] = "BigIntMaximum";
    ValueErrorType2[ValueErrorType2["BigIntMinimum"] = 11] = "BigIntMinimum";
    ValueErrorType2[ValueErrorType2["BigIntMultipleOf"] = 12] = "BigIntMultipleOf";
    ValueErrorType2[ValueErrorType2["BigInt"] = 13] = "BigInt";
    ValueErrorType2[ValueErrorType2["Boolean"] = 14] = "Boolean";
    ValueErrorType2[ValueErrorType2["DateExclusiveMaximumTimestamp"] = 15] = "DateExclusiveMaximumTimestamp";
    ValueErrorType2[ValueErrorType2["DateExclusiveMinimumTimestamp"] = 16] = "DateExclusiveMinimumTimestamp";
    ValueErrorType2[ValueErrorType2["DateMaximumTimestamp"] = 17] = "DateMaximumTimestamp";
    ValueErrorType2[ValueErrorType2["DateMinimumTimestamp"] = 18] = "DateMinimumTimestamp";
    ValueErrorType2[ValueErrorType2["DateMultipleOfTimestamp"] = 19] = "DateMultipleOfTimestamp";
    ValueErrorType2[ValueErrorType2["Date"] = 20] = "Date";
    ValueErrorType2[ValueErrorType2["Function"] = 21] = "Function";
    ValueErrorType2[ValueErrorType2["IntegerExclusiveMaximum"] = 22] = "IntegerExclusiveMaximum";
    ValueErrorType2[ValueErrorType2["IntegerExclusiveMinimum"] = 23] = "IntegerExclusiveMinimum";
    ValueErrorType2[ValueErrorType2["IntegerMaximum"] = 24] = "IntegerMaximum";
    ValueErrorType2[ValueErrorType2["IntegerMinimum"] = 25] = "IntegerMinimum";
    ValueErrorType2[ValueErrorType2["IntegerMultipleOf"] = 26] = "IntegerMultipleOf";
    ValueErrorType2[ValueErrorType2["Integer"] = 27] = "Integer";
    ValueErrorType2[ValueErrorType2["IntersectUnevaluatedProperties"] = 28] = "IntersectUnevaluatedProperties";
    ValueErrorType2[ValueErrorType2["Intersect"] = 29] = "Intersect";
    ValueErrorType2[ValueErrorType2["Iterator"] = 30] = "Iterator";
    ValueErrorType2[ValueErrorType2["Kind"] = 31] = "Kind";
    ValueErrorType2[ValueErrorType2["Literal"] = 32] = "Literal";
    ValueErrorType2[ValueErrorType2["Never"] = 33] = "Never";
    ValueErrorType2[ValueErrorType2["Not"] = 34] = "Not";
    ValueErrorType2[ValueErrorType2["Null"] = 35] = "Null";
    ValueErrorType2[ValueErrorType2["NumberExclusiveMaximum"] = 36] = "NumberExclusiveMaximum";
    ValueErrorType2[ValueErrorType2["NumberExclusiveMinimum"] = 37] = "NumberExclusiveMinimum";
    ValueErrorType2[ValueErrorType2["NumberMaximum"] = 38] = "NumberMaximum";
    ValueErrorType2[ValueErrorType2["NumberMinimum"] = 39] = "NumberMinimum";
    ValueErrorType2[ValueErrorType2["NumberMultipleOf"] = 40] = "NumberMultipleOf";
    ValueErrorType2[ValueErrorType2["Number"] = 41] = "Number";
    ValueErrorType2[ValueErrorType2["ObjectAdditionalProperties"] = 42] = "ObjectAdditionalProperties";
    ValueErrorType2[ValueErrorType2["ObjectMaxProperties"] = 43] = "ObjectMaxProperties";
    ValueErrorType2[ValueErrorType2["ObjectMinProperties"] = 44] = "ObjectMinProperties";
    ValueErrorType2[ValueErrorType2["ObjectRequiredProperty"] = 45] = "ObjectRequiredProperty";
    ValueErrorType2[ValueErrorType2["Object"] = 46] = "Object";
    ValueErrorType2[ValueErrorType2["Promise"] = 47] = "Promise";
    ValueErrorType2[ValueErrorType2["RegExp"] = 48] = "RegExp";
    ValueErrorType2[ValueErrorType2["StringFormatUnknown"] = 49] = "StringFormatUnknown";
    ValueErrorType2[ValueErrorType2["StringFormat"] = 50] = "StringFormat";
    ValueErrorType2[ValueErrorType2["StringMaxLength"] = 51] = "StringMaxLength";
    ValueErrorType2[ValueErrorType2["StringMinLength"] = 52] = "StringMinLength";
    ValueErrorType2[ValueErrorType2["StringPattern"] = 53] = "StringPattern";
    ValueErrorType2[ValueErrorType2["String"] = 54] = "String";
    ValueErrorType2[ValueErrorType2["Symbol"] = 55] = "Symbol";
    ValueErrorType2[ValueErrorType2["TupleLength"] = 56] = "TupleLength";
    ValueErrorType2[ValueErrorType2["Tuple"] = 57] = "Tuple";
    ValueErrorType2[ValueErrorType2["Uint8ArrayMaxByteLength"] = 58] = "Uint8ArrayMaxByteLength";
    ValueErrorType2[ValueErrorType2["Uint8ArrayMinByteLength"] = 59] = "Uint8ArrayMinByteLength";
    ValueErrorType2[ValueErrorType2["Uint8Array"] = 60] = "Uint8Array";
    ValueErrorType2[ValueErrorType2["Undefined"] = 61] = "Undefined";
    ValueErrorType2[ValueErrorType2["Union"] = 62] = "Union";
    ValueErrorType2[ValueErrorType2["Void"] = 63] = "Void";
  })(ValueErrorType || (ValueErrorType = {}));
  ValueErrorsUnknownTypeError = class ValueErrorsUnknownTypeError extends TypeBoxError {
    constructor(schema3) {
      super("Unknown type");
      this.schema = schema3;
    }
  };
  ValueErrorIterator = class ValueErrorIterator {
    constructor(iterator3) {
      this.iterator = iterator3;
    }
    [Symbol.iterator]() {
      return this.iterator;
    }
    First() {
      const next = this.iterator.next();
      return next.done ? undefined : next.value;
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/errors/index.mjs
var init_errors2 = __esm(() => {
  init_errors();
  init_function3();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/assert/assert.mjs
function AssertValue(schema3, references, value2) {
  if (Check(schema3, references, value2))
    return;
  throw new AssertError(Errors(schema3, references, value2));
}
function Assert(...args) {
  return args.length === 3 ? AssertValue(args[0], args[1], args[2]) : AssertValue(args[0], [], args[1]);
}
var __classPrivateFieldSet = function(receiver, state, value2, kind, f) {
  if (kind === "m")
    throw new TypeError("Private method is not writable");
  if (kind === "a" && !f)
    throw new TypeError("Private accessor was defined without a setter");
  if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
    throw new TypeError("Cannot write private member to an object whose class did not declare it");
  return kind === "a" ? f.call(receiver, value2) : f ? f.value = value2 : state.set(receiver, value2), value2;
}, __classPrivateFieldGet = function(receiver, state, kind, f) {
  if (kind === "a" && !f)
    throw new TypeError("Private accessor was defined without a getter");
  if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver))
    throw new TypeError("Cannot read private member from an object whose class did not declare it");
  return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
}, _AssertError_instances, _AssertError_iterator, _AssertError_Iterator, AssertError;
var init_assert = __esm(() => {
  init_errors2();
  init_error();
  init_check();
  AssertError = class AssertError extends TypeBoxError {
    constructor(iterator3) {
      const error3 = iterator3.First();
      super(error3 === undefined ? "Invalid Value" : error3.message);
      _AssertError_instances.add(this);
      _AssertError_iterator.set(this, undefined);
      __classPrivateFieldSet(this, _AssertError_iterator, iterator3, "f");
      this.error = error3;
    }
    Errors() {
      return new ValueErrorIterator(__classPrivateFieldGet(this, _AssertError_instances, "m", _AssertError_Iterator).call(this));
    }
  };
  _AssertError_iterator = new WeakMap, _AssertError_instances = new WeakSet, _AssertError_Iterator = function* _AssertError_Iterator2() {
    if (this.error)
      yield this.error;
    yield* __classPrivateFieldGet(this, _AssertError_iterator, "f");
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/assert/index.mjs
var init_assert2 = __esm(() => {
  init_assert();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/clone/clone.mjs
function FromObject10(value2) {
  const Acc = {};
  for (const key of Object.getOwnPropertyNames(value2)) {
    Acc[key] = Clone2(value2[key]);
  }
  for (const key of Object.getOwnPropertySymbols(value2)) {
    Acc[key] = Clone2(value2[key]);
  }
  return Acc;
}
function FromArray9(value2) {
  return value2.map((element) => Clone2(element));
}
function FromTypedArray(value2) {
  return value2.slice();
}
function FromMap(value2) {
  return new Map(Clone2([...value2.entries()]));
}
function FromSet(value2) {
  return new Set(Clone2([...value2.entries()]));
}
function FromDate4(value2) {
  return new Date(value2.toISOString());
}
function FromValue2(value2) {
  return value2;
}
function Clone2(value2) {
  if (IsArray2(value2))
    return FromArray9(value2);
  if (IsDate2(value2))
    return FromDate4(value2);
  if (IsTypedArray(value2))
    return FromTypedArray(value2);
  if (IsMap(value2))
    return FromMap(value2);
  if (IsSet(value2))
    return FromSet(value2);
  if (IsObject2(value2))
    return FromObject10(value2);
  if (IsValueType(value2))
    return FromValue2(value2);
  throw new Error("ValueClone: Unable to clone value");
}
var init_clone2 = __esm(() => {
  init_guard();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/clone/index.mjs
var init_clone3 = __esm(() => {
  init_clone2();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/create/create.mjs
function FromDefault(value2) {
  return IsFunction2(value2) ? value2() : Clone2(value2);
}
function FromAny4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return {};
  }
}
function FromArgument4(schema3, references) {
  return {};
}
function FromArray10(schema3, references) {
  if (schema3.uniqueItems === true && !HasPropertyKey2(schema3, "default")) {
    throw new ValueCreateError(schema3, "Array with the uniqueItems constraint requires a default value");
  } else if ("contains" in schema3 && !HasPropertyKey2(schema3, "default")) {
    throw new ValueCreateError(schema3, "Array with the contains constraint requires a default value");
  } else if ("default" in schema3) {
    return FromDefault(schema3.default);
  } else if (schema3.minItems !== undefined) {
    return Array.from({ length: schema3.minItems }).map((item) => {
      return Visit7(schema3.items, references);
    });
  } else {
    return [];
  }
}
function FromAsyncIterator6(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return async function* () {
    }();
  }
}
function FromBigInt4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return BigInt(0);
  }
}
function FromBoolean4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return false;
  }
}
function FromConstructor6(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    const value2 = Visit7(schema3.returns, references);
    if (typeof value2 === "object" && !Array.isArray(value2)) {
      return class {
        constructor() {
          for (const [key, val] of Object.entries(value2)) {
            const self2 = this;
            self2[key] = val;
          }
        }
      };
    } else {
      return class {
      };
    }
  }
}
function FromDate5(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else if (schema3.minimumTimestamp !== undefined) {
    return new Date(schema3.minimumTimestamp);
  } else {
    return new Date;
  }
}
function FromFunction6(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return () => Visit7(schema3.returns, references);
  }
}
function FromImport3(schema3, references) {
  const definitions = globalThis.Object.values(schema3.$defs);
  const target = schema3.$defs[schema3.$ref];
  return Visit7(target, [...references, ...definitions]);
}
function FromInteger4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else if (schema3.minimum !== undefined) {
    return schema3.minimum;
  } else {
    return 0;
  }
}
function FromIntersect11(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    const value2 = schema3.allOf.reduce((acc, schema4) => {
      const next = Visit7(schema4, references);
      return typeof next === "object" ? { ...acc, ...next } : next;
    }, {});
    if (!Check(schema3, references, value2))
      throw new ValueCreateError(schema3, "Intersect produced invalid value. Consider using a default value.");
    return value2;
  }
}
function FromIterator6(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return function* () {
    }();
  }
}
function FromLiteral5(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return schema3.const;
  }
}
function FromNever4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    throw new ValueCreateError(schema3, "Never types cannot be created. Consider using a default value.");
  }
}
function FromNot4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    throw new ValueCreateError(schema3, "Not types must have a default value");
  }
}
function FromNull4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return null;
  }
}
function FromNumber4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else if (schema3.minimum !== undefined) {
    return schema3.minimum;
  } else {
    return 0;
  }
}
function FromObject11(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    const required3 = new Set(schema3.required);
    const Acc = {};
    for (const [key, subschema] of Object.entries(schema3.properties)) {
      if (!required3.has(key))
        continue;
      Acc[key] = Visit7(subschema, references);
    }
    return Acc;
  }
}
function FromPromise6(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return Promise.resolve(Visit7(schema3.item, references));
  }
}
function FromRecord6(schema3, references) {
  const [keyPattern, valueSchema] = Object.entries(schema3.patternProperties)[0];
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else if (!(keyPattern === PatternStringExact || keyPattern === PatternNumberExact)) {
    const propertyKeys = keyPattern.slice(1, keyPattern.length - 1).split("|");
    const Acc = {};
    for (const key of propertyKeys)
      Acc[key] = Visit7(valueSchema, references);
    return Acc;
  } else {
    return {};
  }
}
function FromRef7(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return Visit7(Deref(schema3, references), references);
  }
}
function FromRegExp4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    throw new ValueCreateError(schema3, "RegExp types cannot be created. Consider using a default value.");
  }
}
function FromString4(schema3, references) {
  if (schema3.pattern !== undefined) {
    if (!HasPropertyKey2(schema3, "default")) {
      throw new ValueCreateError(schema3, "String types with patterns must specify a default value");
    } else {
      return FromDefault(schema3.default);
    }
  } else if (schema3.format !== undefined) {
    if (!HasPropertyKey2(schema3, "default")) {
      throw new ValueCreateError(schema3, "String types with formats must specify a default value");
    } else {
      return FromDefault(schema3.default);
    }
  } else {
    if (HasPropertyKey2(schema3, "default")) {
      return FromDefault(schema3.default);
    } else if (schema3.minLength !== undefined) {
      return Array.from({ length: schema3.minLength }).map(() => " ").join("");
    } else {
      return "";
    }
  }
}
function FromSymbol4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else if ("value" in schema3) {
    return Symbol.for(schema3.value);
  } else {
    return Symbol();
  }
}
function FromTemplateLiteral6(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  }
  if (!IsTemplateLiteralFinite(schema3))
    throw new ValueCreateError(schema3, "Can only create template literals that produce a finite variants. Consider using a default value.");
  const generated = TemplateLiteralGenerate(schema3);
  return generated[0];
}
function FromThis3(schema3, references) {
  if (recursiveDepth++ > recursiveMaxDepth)
    throw new ValueCreateError(schema3, "Cannot create recursive type as it appears possibly infinite. Consider using a default.");
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return Visit7(Deref(schema3, references), references);
  }
}
function FromTuple8(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  }
  if (schema3.items === undefined) {
    return [];
  } else {
    return Array.from({ length: schema3.minItems }).map((_, index) => Visit7(schema3.items[index], references));
  }
}
function FromUndefined4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return;
  }
}
function FromUnion13(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else if (schema3.anyOf.length === 0) {
    throw new Error("ValueCreate.Union: Cannot create Union with zero variants");
  } else {
    return Visit7(schema3.anyOf[0], references);
  }
}
function FromUint8Array4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else if (schema3.minByteLength !== undefined) {
    return new Uint8Array(schema3.minByteLength);
  } else {
    return new Uint8Array(0);
  }
}
function FromUnknown4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return {};
  }
}
function FromVoid4(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    return;
  }
}
function FromKind3(schema3, references) {
  if (HasPropertyKey2(schema3, "default")) {
    return FromDefault(schema3.default);
  } else {
    throw new Error("User defined types must specify a default value");
  }
}
function Visit7(schema3, references) {
  const references_ = Pushref(schema3, references);
  const schema_ = schema3;
  switch (schema_[Kind]) {
    case "Any":
      return FromAny4(schema_, references_);
    case "Argument":
      return FromArgument4(schema_, references_);
    case "Array":
      return FromArray10(schema_, references_);
    case "AsyncIterator":
      return FromAsyncIterator6(schema_, references_);
    case "BigInt":
      return FromBigInt4(schema_, references_);
    case "Boolean":
      return FromBoolean4(schema_, references_);
    case "Constructor":
      return FromConstructor6(schema_, references_);
    case "Date":
      return FromDate5(schema_, references_);
    case "Function":
      return FromFunction6(schema_, references_);
    case "Import":
      return FromImport3(schema_, references_);
    case "Integer":
      return FromInteger4(schema_, references_);
    case "Intersect":
      return FromIntersect11(schema_, references_);
    case "Iterator":
      return FromIterator6(schema_, references_);
    case "Literal":
      return FromLiteral5(schema_, references_);
    case "Never":
      return FromNever4(schema_, references_);
    case "Not":
      return FromNot4(schema_, references_);
    case "Null":
      return FromNull4(schema_, references_);
    case "Number":
      return FromNumber4(schema_, references_);
    case "Object":
      return FromObject11(schema_, references_);
    case "Promise":
      return FromPromise6(schema_, references_);
    case "Record":
      return FromRecord6(schema_, references_);
    case "Ref":
      return FromRef7(schema_, references_);
    case "RegExp":
      return FromRegExp4(schema_, references_);
    case "String":
      return FromString4(schema_, references_);
    case "Symbol":
      return FromSymbol4(schema_, references_);
    case "TemplateLiteral":
      return FromTemplateLiteral6(schema_, references_);
    case "This":
      return FromThis3(schema_, references_);
    case "Tuple":
      return FromTuple8(schema_, references_);
    case "Undefined":
      return FromUndefined4(schema_, references_);
    case "Union":
      return FromUnion13(schema_, references_);
    case "Uint8Array":
      return FromUint8Array4(schema_, references_);
    case "Unknown":
      return FromUnknown4(schema_, references_);
    case "Void":
      return FromVoid4(schema_, references_);
    default:
      if (!exports_type2.Has(schema_[Kind]))
        throw new ValueCreateError(schema_, "Unknown type");
      return FromKind3(schema_, references_);
  }
}
function Create2(...args) {
  recursiveDepth = 0;
  return args.length === 2 ? Visit7(args[0], args[1]) : Visit7(args[0], []);
}
var ValueCreateError, recursiveMaxDepth = 512, recursiveDepth = 0;
var init_create2 = __esm(() => {
  init_guard();
  init_check2();
  init_clone3();
  init_deref2();
  init_template_literal2();
  init_patterns2();
  init_registry();
  init_symbols2();
  init_error2();
  ValueCreateError = class ValueCreateError extends TypeBoxError {
    constructor(schema3, message) {
      super(message);
      this.schema = schema3;
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/create/index.mjs
var init_create3 = __esm(() => {
  init_create2();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/cast/cast.mjs
function ScoreUnion(schema3, references, value2) {
  if (schema3[Kind] === "Object" && typeof value2 === "object" && !IsNull2(value2)) {
    const object3 = schema3;
    const keys = Object.getOwnPropertyNames(value2);
    const entries = Object.entries(object3.properties);
    const [point, max] = [1 / entries.length, entries.length];
    return entries.reduce((acc, [key, schema4]) => {
      const literal3 = schema4[Kind] === "Literal" && schema4.const === value2[key] ? max : 0;
      const checks = Check(schema4, references, value2[key]) ? point : 0;
      const exists = keys.includes(key) ? point : 0;
      return acc + (literal3 + checks + exists);
    }, 0);
  } else {
    return Check(schema3, references, value2) ? 1 : 0;
  }
}
function SelectUnion(union4, references, value2) {
  const schemas = union4.anyOf.map((schema3) => Deref(schema3, references));
  let [select, best] = [schemas[0], 0];
  for (const schema3 of schemas) {
    const score = ScoreUnion(schema3, references, value2);
    if (score > best) {
      select = schema3;
      best = score;
    }
  }
  return select;
}
function CastUnion(union4, references, value2) {
  if ("default" in union4) {
    return typeof value2 === "function" ? union4.default : Clone2(union4.default);
  } else {
    const schema3 = SelectUnion(union4, references, value2);
    return Cast(schema3, references, value2);
  }
}
function DefaultClone(schema3, references, value2) {
  return Check(schema3, references, value2) ? Clone2(value2) : Create2(schema3, references);
}
function Default(schema3, references, value2) {
  return Check(schema3, references, value2) ? value2 : Create2(schema3, references);
}
function FromArray11(schema3, references, value2) {
  if (Check(schema3, references, value2))
    return Clone2(value2);
  const created = IsArray2(value2) ? Clone2(value2) : Create2(schema3, references);
  const minimum = IsNumber2(schema3.minItems) && created.length < schema3.minItems ? [...created, ...Array.from({ length: schema3.minItems - created.length }, () => null)] : created;
  const maximum = IsNumber2(schema3.maxItems) && minimum.length > schema3.maxItems ? minimum.slice(0, schema3.maxItems) : minimum;
  const casted = maximum.map((value3) => Visit8(schema3.items, references, value3));
  if (schema3.uniqueItems !== true)
    return casted;
  const unique = [...new Set(casted)];
  if (!Check(schema3, references, unique))
    throw new ValueCastError(schema3, "Array cast produced invalid data due to uniqueItems constraint");
  return unique;
}
function FromConstructor7(schema3, references, value2) {
  if (Check(schema3, references, value2))
    return Create2(schema3, references);
  const required3 = new Set(schema3.returns.required || []);
  const result = function() {
  };
  for (const [key, property] of Object.entries(schema3.returns.properties)) {
    if (!required3.has(key) && value2.prototype[key] === undefined)
      continue;
    result.prototype[key] = Visit8(property, references, value2.prototype[key]);
  }
  return result;
}
function FromImport4(schema3, references, value2) {
  const definitions = globalThis.Object.values(schema3.$defs);
  const target = schema3.$defs[schema3.$ref];
  return Visit8(target, [...references, ...definitions], value2);
}
function FromIntersect12(schema3, references, value2) {
  const created = Create2(schema3, references);
  const mapped3 = IsObject2(created) && IsObject2(value2) ? { ...created, ...value2 } : value2;
  return Check(schema3, references, mapped3) ? mapped3 : Create2(schema3, references);
}
function FromNever5(schema3, references, value2) {
  throw new ValueCastError(schema3, "Never types cannot be cast");
}
function FromObject12(schema3, references, value2) {
  if (Check(schema3, references, value2))
    return value2;
  if (value2 === null || typeof value2 !== "object")
    return Create2(schema3, references);
  const required3 = new Set(schema3.required || []);
  const result = {};
  for (const [key, property] of Object.entries(schema3.properties)) {
    if (!required3.has(key) && value2[key] === undefined)
      continue;
    result[key] = Visit8(property, references, value2[key]);
  }
  if (typeof schema3.additionalProperties === "object") {
    const propertyNames = Object.getOwnPropertyNames(schema3.properties);
    for (const propertyName of Object.getOwnPropertyNames(value2)) {
      if (propertyNames.includes(propertyName))
        continue;
      result[propertyName] = Visit8(schema3.additionalProperties, references, value2[propertyName]);
    }
  }
  return result;
}
function FromRecord7(schema3, references, value2) {
  if (Check(schema3, references, value2))
    return Clone2(value2);
  if (value2 === null || typeof value2 !== "object" || Array.isArray(value2) || value2 instanceof Date)
    return Create2(schema3, references);
  const subschemaPropertyName = Object.getOwnPropertyNames(schema3.patternProperties)[0];
  const subschema = schema3.patternProperties[subschemaPropertyName];
  const result = {};
  for (const [propKey, propValue] of Object.entries(value2)) {
    result[propKey] = Visit8(subschema, references, propValue);
  }
  return result;
}
function FromRef8(schema3, references, value2) {
  return Visit8(Deref(schema3, references), references, value2);
}
function FromThis4(schema3, references, value2) {
  return Visit8(Deref(schema3, references), references, value2);
}
function FromTuple9(schema3, references, value2) {
  if (Check(schema3, references, value2))
    return Clone2(value2);
  if (!IsArray2(value2))
    return Create2(schema3, references);
  if (schema3.items === undefined)
    return [];
  return schema3.items.map((schema4, index) => Visit8(schema4, references, value2[index]));
}
function FromUnion14(schema3, references, value2) {
  return Check(schema3, references, value2) ? Clone2(value2) : CastUnion(schema3, references, value2);
}
function Visit8(schema3, references, value2) {
  const references_ = IsString2(schema3.$id) ? Pushref(schema3, references) : references;
  const schema_ = schema3;
  switch (schema3[Kind]) {
    case "Array":
      return FromArray11(schema_, references_, value2);
    case "Constructor":
      return FromConstructor7(schema_, references_, value2);
    case "Import":
      return FromImport4(schema_, references_, value2);
    case "Intersect":
      return FromIntersect12(schema_, references_, value2);
    case "Never":
      return FromNever5(schema_, references_, value2);
    case "Object":
      return FromObject12(schema_, references_, value2);
    case "Record":
      return FromRecord7(schema_, references_, value2);
    case "Ref":
      return FromRef8(schema_, references_, value2);
    case "This":
      return FromThis4(schema_, references_, value2);
    case "Tuple":
      return FromTuple9(schema_, references_, value2);
    case "Union":
      return FromUnion14(schema_, references_, value2);
    case "Date":
    case "Symbol":
    case "Uint8Array":
      return DefaultClone(schema3, references, value2);
    default:
      return Default(schema_, references_, value2);
  }
}
function Cast(...args) {
  return args.length === 3 ? Visit8(args[0], args[1], args[2]) : Visit8(args[0], [], args[1]);
}
var ValueCastError;
var init_cast = __esm(() => {
  init_guard();
  init_error2();
  init_symbols2();
  init_create3();
  init_check2();
  init_clone3();
  init_deref2();
  ValueCastError = class ValueCastError extends TypeBoxError {
    constructor(schema3, message) {
      super(message);
      this.schema = schema3;
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/cast/index.mjs
var init_cast2 = __esm(() => {
  init_cast();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/clean/clean.mjs
function IsCheckable(schema3) {
  return IsKind(schema3) && schema3[Kind] !== "Unsafe";
}
function FromArray12(schema3, references, value2) {
  if (!IsArray2(value2))
    return value2;
  return value2.map((value3) => Visit9(schema3.items, references, value3));
}
function FromImport5(schema3, references, value2) {
  const definitions = globalThis.Object.values(schema3.$defs);
  const target = schema3.$defs[schema3.$ref];
  return Visit9(target, [...references, ...definitions], value2);
}
function FromIntersect13(schema3, references, value2) {
  const unevaluatedProperties = schema3.unevaluatedProperties;
  const intersections = schema3.allOf.map((schema4) => Visit9(schema4, references, Clone2(value2)));
  const composite3 = intersections.reduce((acc, value3) => IsObject2(value3) ? { ...acc, ...value3 } : value3, {});
  if (!IsObject2(value2) || !IsObject2(composite3) || !IsKind(unevaluatedProperties))
    return composite3;
  const knownkeys = KeyOfPropertyKeys(schema3);
  for (const key of Object.getOwnPropertyNames(value2)) {
    if (knownkeys.includes(key))
      continue;
    if (Check(unevaluatedProperties, references, value2[key])) {
      composite3[key] = Visit9(unevaluatedProperties, references, value2[key]);
    }
  }
  return composite3;
}
function FromObject13(schema3, references, value2) {
  if (!IsObject2(value2) || IsArray2(value2))
    return value2;
  const additionalProperties = schema3.additionalProperties;
  for (const key of Object.getOwnPropertyNames(value2)) {
    if (HasPropertyKey2(schema3.properties, key)) {
      value2[key] = Visit9(schema3.properties[key], references, value2[key]);
      continue;
    }
    if (IsKind(additionalProperties) && Check(additionalProperties, references, value2[key])) {
      value2[key] = Visit9(additionalProperties, references, value2[key]);
      continue;
    }
    delete value2[key];
  }
  return value2;
}
function FromRecord8(schema3, references, value2) {
  if (!IsObject2(value2))
    return value2;
  const additionalProperties = schema3.additionalProperties;
  const propertyKeys = Object.getOwnPropertyNames(value2);
  const [propertyKey, propertySchema] = Object.entries(schema3.patternProperties)[0];
  const propertyKeyTest = new RegExp(propertyKey);
  for (const key of propertyKeys) {
    if (propertyKeyTest.test(key)) {
      value2[key] = Visit9(propertySchema, references, value2[key]);
      continue;
    }
    if (IsKind(additionalProperties) && Check(additionalProperties, references, value2[key])) {
      value2[key] = Visit9(additionalProperties, references, value2[key]);
      continue;
    }
    delete value2[key];
  }
  return value2;
}
function FromRef9(schema3, references, value2) {
  return Visit9(Deref(schema3, references), references, value2);
}
function FromThis5(schema3, references, value2) {
  return Visit9(Deref(schema3, references), references, value2);
}
function FromTuple10(schema3, references, value2) {
  if (!IsArray2(value2))
    return value2;
  if (IsUndefined2(schema3.items))
    return [];
  const length = Math.min(value2.length, schema3.items.length);
  for (let i = 0;i < length; i++) {
    value2[i] = Visit9(schema3.items[i], references, value2[i]);
  }
  return value2.length > length ? value2.slice(0, length) : value2;
}
function FromUnion15(schema3, references, value2) {
  for (const inner of schema3.anyOf) {
    if (IsCheckable(inner) && Check(inner, references, value2)) {
      return Visit9(inner, references, value2);
    }
  }
  return value2;
}
function Visit9(schema3, references, value2) {
  const references_ = IsString2(schema3.$id) ? Pushref(schema3, references) : references;
  const schema_ = schema3;
  switch (schema_[Kind]) {
    case "Array":
      return FromArray12(schema_, references_, value2);
    case "Import":
      return FromImport5(schema_, references_, value2);
    case "Intersect":
      return FromIntersect13(schema_, references_, value2);
    case "Object":
      return FromObject13(schema_, references_, value2);
    case "Record":
      return FromRecord8(schema_, references_, value2);
    case "Ref":
      return FromRef9(schema_, references_, value2);
    case "This":
      return FromThis5(schema_, references_, value2);
    case "Tuple":
      return FromTuple10(schema_, references_, value2);
    case "Union":
      return FromUnion15(schema_, references_, value2);
    default:
      return value2;
  }
}
function Clean(...args) {
  return args.length === 3 ? Visit9(args[0], args[1], args[2]) : Visit9(args[0], [], args[1]);
}
var init_clean = __esm(() => {
  init_keyof2();
  init_check2();
  init_clone3();
  init_deref2();
  init_symbols2();
  init_guard();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/clean/index.mjs
var init_clean2 = __esm(() => {
  init_clean();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/convert/convert.mjs
function IsStringNumeric(value2) {
  return IsString2(value2) && !isNaN(value2) && !isNaN(parseFloat(value2));
}
function IsValueToString(value2) {
  return IsBigInt2(value2) || IsBoolean2(value2) || IsNumber2(value2);
}
function IsValueTrue(value2) {
  return value2 === true || IsNumber2(value2) && value2 === 1 || IsBigInt2(value2) && value2 === BigInt("1") || IsString2(value2) && (value2.toLowerCase() === "true" || value2 === "1");
}
function IsValueFalse(value2) {
  return value2 === false || IsNumber2(value2) && (value2 === 0 || Object.is(value2, -0)) || IsBigInt2(value2) && value2 === BigInt("0") || IsString2(value2) && (value2.toLowerCase() === "false" || value2 === "0" || value2 === "-0");
}
function IsTimeStringWithTimeZone(value2) {
  return IsString2(value2) && /^(?:[0-2]\d:[0-5]\d:[0-5]\d|23:59:60)(?:\.\d+)?(?:z|[+-]\d\d(?::?\d\d)?)$/i.test(value2);
}
function IsTimeStringWithoutTimeZone(value2) {
  return IsString2(value2) && /^(?:[0-2]\d:[0-5]\d:[0-5]\d|23:59:60)?$/i.test(value2);
}
function IsDateTimeStringWithTimeZone(value2) {
  return IsString2(value2) && /^\d\d\d\d-[0-1]\d-[0-3]\dt(?:[0-2]\d:[0-5]\d:[0-5]\d|23:59:60)(?:\.\d+)?(?:z|[+-]\d\d(?::?\d\d)?)$/i.test(value2);
}
function IsDateTimeStringWithoutTimeZone(value2) {
  return IsString2(value2) && /^\d\d\d\d-[0-1]\d-[0-3]\dt(?:[0-2]\d:[0-5]\d:[0-5]\d|23:59:60)?$/i.test(value2);
}
function IsDateString(value2) {
  return IsString2(value2) && /^\d\d\d\d-[0-1]\d-[0-3]\d$/i.test(value2);
}
function TryConvertLiteralString(value2, target) {
  const conversion = TryConvertString(value2);
  return conversion === target ? conversion : value2;
}
function TryConvertLiteralNumber(value2, target) {
  const conversion = TryConvertNumber(value2);
  return conversion === target ? conversion : value2;
}
function TryConvertLiteralBoolean(value2, target) {
  const conversion = TryConvertBoolean(value2);
  return conversion === target ? conversion : value2;
}
function TryConvertLiteral(schema3, value2) {
  return IsString2(schema3.const) ? TryConvertLiteralString(value2, schema3.const) : IsNumber2(schema3.const) ? TryConvertLiteralNumber(value2, schema3.const) : IsBoolean2(schema3.const) ? TryConvertLiteralBoolean(value2, schema3.const) : value2;
}
function TryConvertBoolean(value2) {
  return IsValueTrue(value2) ? true : IsValueFalse(value2) ? false : value2;
}
function TryConvertBigInt(value2) {
  const truncateInteger = (value3) => value3.split(".")[0];
  return IsStringNumeric(value2) ? BigInt(truncateInteger(value2)) : IsNumber2(value2) ? BigInt(Math.trunc(value2)) : IsValueFalse(value2) ? BigInt(0) : IsValueTrue(value2) ? BigInt(1) : value2;
}
function TryConvertString(value2) {
  return IsSymbol2(value2) && value2.description !== undefined ? value2.description.toString() : IsValueToString(value2) ? value2.toString() : value2;
}
function TryConvertNumber(value2) {
  return IsStringNumeric(value2) ? parseFloat(value2) : IsValueTrue(value2) ? 1 : IsValueFalse(value2) ? 0 : value2;
}
function TryConvertInteger(value2) {
  return IsStringNumeric(value2) ? parseInt(value2) : IsNumber2(value2) ? Math.trunc(value2) : IsValueTrue(value2) ? 1 : IsValueFalse(value2) ? 0 : value2;
}
function TryConvertNull(value2) {
  return IsString2(value2) && value2.toLowerCase() === "null" ? null : value2;
}
function TryConvertUndefined(value2) {
  return IsString2(value2) && value2 === "undefined" ? undefined : value2;
}
function TryConvertDate(value2) {
  return IsDate2(value2) ? value2 : IsNumber2(value2) ? new Date(value2) : IsValueTrue(value2) ? new Date(1) : IsValueFalse(value2) ? new Date(0) : IsStringNumeric(value2) ? new Date(parseInt(value2)) : IsTimeStringWithoutTimeZone(value2) ? new Date(`1970-01-01T${value2}.000Z`) : IsTimeStringWithTimeZone(value2) ? new Date(`1970-01-01T${value2}`) : IsDateTimeStringWithoutTimeZone(value2) ? new Date(`${value2}.000Z`) : IsDateTimeStringWithTimeZone(value2) ? new Date(value2) : IsDateString(value2) ? new Date(`${value2}T00:00:00.000Z`) : value2;
}
function Default2(value2) {
  return value2;
}
function FromArray13(schema3, references, value2) {
  const elements = IsArray2(value2) ? value2 : [value2];
  return elements.map((element) => Visit10(schema3.items, references, element));
}
function FromBigInt5(schema3, references, value2) {
  return TryConvertBigInt(value2);
}
function FromBoolean5(schema3, references, value2) {
  return TryConvertBoolean(value2);
}
function FromDate6(schema3, references, value2) {
  return TryConvertDate(value2);
}
function FromImport6(schema3, references, value2) {
  const definitions = globalThis.Object.values(schema3.$defs);
  const target = schema3.$defs[schema3.$ref];
  return Visit10(target, [...references, ...definitions], value2);
}
function FromInteger5(schema3, references, value2) {
  return TryConvertInteger(value2);
}
function FromIntersect14(schema3, references, value2) {
  return schema3.allOf.reduce((value3, schema4) => Visit10(schema4, references, value3), value2);
}
function FromLiteral6(schema3, references, value2) {
  return TryConvertLiteral(schema3, value2);
}
function FromNull5(schema3, references, value2) {
  return TryConvertNull(value2);
}
function FromNumber5(schema3, references, value2) {
  return TryConvertNumber(value2);
}
function FromObject14(schema3, references, value2) {
  if (!IsObject2(value2))
    return value2;
  for (const propertyKey of Object.getOwnPropertyNames(schema3.properties)) {
    if (!HasPropertyKey2(value2, propertyKey))
      continue;
    value2[propertyKey] = Visit10(schema3.properties[propertyKey], references, value2[propertyKey]);
  }
  return value2;
}
function FromRecord9(schema3, references, value2) {
  const isConvertable = IsObject2(value2);
  if (!isConvertable)
    return value2;
  const propertyKey = Object.getOwnPropertyNames(schema3.patternProperties)[0];
  const property = schema3.patternProperties[propertyKey];
  for (const [propKey, propValue] of Object.entries(value2)) {
    value2[propKey] = Visit10(property, references, propValue);
  }
  return value2;
}
function FromRef10(schema3, references, value2) {
  return Visit10(Deref(schema3, references), references, value2);
}
function FromString5(schema3, references, value2) {
  return TryConvertString(value2);
}
function FromSymbol5(schema3, references, value2) {
  return IsString2(value2) || IsNumber2(value2) ? Symbol(value2) : value2;
}
function FromThis6(schema3, references, value2) {
  return Visit10(Deref(schema3, references), references, value2);
}
function FromTuple11(schema3, references, value2) {
  const isConvertable = IsArray2(value2) && !IsUndefined2(schema3.items);
  if (!isConvertable)
    return value2;
  return value2.map((value3, index) => {
    return index < schema3.items.length ? Visit10(schema3.items[index], references, value3) : value3;
  });
}
function FromUndefined5(schema3, references, value2) {
  return TryConvertUndefined(value2);
}
function FromUnion16(schema3, references, value2) {
  for (const subschema of schema3.anyOf) {
    const converted = Visit10(subschema, references, Clone2(value2));
    if (!Check(subschema, references, converted))
      continue;
    return converted;
  }
  return value2;
}
function Visit10(schema3, references, value2) {
  const references_ = Pushref(schema3, references);
  const schema_ = schema3;
  switch (schema3[Kind]) {
    case "Array":
      return FromArray13(schema_, references_, value2);
    case "BigInt":
      return FromBigInt5(schema_, references_, value2);
    case "Boolean":
      return FromBoolean5(schema_, references_, value2);
    case "Date":
      return FromDate6(schema_, references_, value2);
    case "Import":
      return FromImport6(schema_, references_, value2);
    case "Integer":
      return FromInteger5(schema_, references_, value2);
    case "Intersect":
      return FromIntersect14(schema_, references_, value2);
    case "Literal":
      return FromLiteral6(schema_, references_, value2);
    case "Null":
      return FromNull5(schema_, references_, value2);
    case "Number":
      return FromNumber5(schema_, references_, value2);
    case "Object":
      return FromObject14(schema_, references_, value2);
    case "Record":
      return FromRecord9(schema_, references_, value2);
    case "Ref":
      return FromRef10(schema_, references_, value2);
    case "String":
      return FromString5(schema_, references_, value2);
    case "Symbol":
      return FromSymbol5(schema_, references_, value2);
    case "This":
      return FromThis6(schema_, references_, value2);
    case "Tuple":
      return FromTuple11(schema_, references_, value2);
    case "Undefined":
      return FromUndefined5(schema_, references_, value2);
    case "Union":
      return FromUnion16(schema_, references_, value2);
    default:
      return Default2(value2);
  }
}
function Convert(...args) {
  return args.length === 3 ? Visit10(args[0], args[1], args[2]) : Visit10(args[0], [], args[1]);
}
var init_convert = __esm(() => {
  init_clone3();
  init_check2();
  init_deref2();
  init_symbols2();
  init_guard();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/convert/index.mjs
var init_convert2 = __esm(() => {
  init_convert();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/transform/decode.mjs
function Default3(schema3, path, value2) {
  try {
    return IsTransform(schema3) ? schema3[TransformKind].Decode(value2) : value2;
  } catch (error3) {
    throw new TransformDecodeError(schema3, path, value2, error3);
  }
}
function FromArray14(schema3, references, path, value2) {
  return IsArray2(value2) ? Default3(schema3, path, value2.map((value3, index) => Visit11(schema3.items, references, `${path}/${index}`, value3))) : Default3(schema3, path, value2);
}
function FromIntersect15(schema3, references, path, value2) {
  if (!IsObject2(value2) || IsValueType(value2))
    return Default3(schema3, path, value2);
  const knownEntries = KeyOfPropertyEntries(schema3);
  const knownKeys = knownEntries.map((entry) => entry[0]);
  const knownProperties = { ...value2 };
  for (const [knownKey, knownSchema] of knownEntries)
    if (knownKey in knownProperties) {
      knownProperties[knownKey] = Visit11(knownSchema, references, `${path}/${knownKey}`, knownProperties[knownKey]);
    }
  if (!IsTransform(schema3.unevaluatedProperties)) {
    return Default3(schema3, path, knownProperties);
  }
  const unknownKeys = Object.getOwnPropertyNames(knownProperties);
  const unevaluatedProperties = schema3.unevaluatedProperties;
  const unknownProperties = { ...knownProperties };
  for (const key of unknownKeys)
    if (!knownKeys.includes(key)) {
      unknownProperties[key] = Default3(unevaluatedProperties, `${path}/${key}`, unknownProperties[key]);
    }
  return Default3(schema3, path, unknownProperties);
}
function FromImport7(schema3, references, path, value2) {
  const additional = globalThis.Object.values(schema3.$defs);
  const target = schema3.$defs[schema3.$ref];
  const result = Visit11(target, [...references, ...additional], path, value2);
  return Default3(schema3, path, result);
}
function FromNot5(schema3, references, path, value2) {
  return Default3(schema3, path, Visit11(schema3.not, references, path, value2));
}
function FromObject15(schema3, references, path, value2) {
  if (!IsObject2(value2))
    return Default3(schema3, path, value2);
  const knownKeys = KeyOfPropertyKeys(schema3);
  const knownProperties = { ...value2 };
  for (const key of knownKeys) {
    if (!HasPropertyKey2(knownProperties, key))
      continue;
    if (IsUndefined2(knownProperties[key]) && (!IsUndefined3(schema3.properties[key]) || TypeSystemPolicy.IsExactOptionalProperty(knownProperties, key)))
      continue;
    knownProperties[key] = Visit11(schema3.properties[key], references, `${path}/${key}`, knownProperties[key]);
  }
  if (!IsSchema(schema3.additionalProperties)) {
    return Default3(schema3, path, knownProperties);
  }
  const unknownKeys = Object.getOwnPropertyNames(knownProperties);
  const additionalProperties = schema3.additionalProperties;
  const unknownProperties = { ...knownProperties };
  for (const key of unknownKeys)
    if (!knownKeys.includes(key)) {
      unknownProperties[key] = Default3(additionalProperties, `${path}/${key}`, unknownProperties[key]);
    }
  return Default3(schema3, path, unknownProperties);
}
function FromRecord10(schema3, references, path, value2) {
  if (!IsObject2(value2))
    return Default3(schema3, path, value2);
  const pattern2 = Object.getOwnPropertyNames(schema3.patternProperties)[0];
  const knownKeys = new RegExp(pattern2);
  const knownProperties = { ...value2 };
  for (const key of Object.getOwnPropertyNames(value2))
    if (knownKeys.test(key)) {
      knownProperties[key] = Visit11(schema3.patternProperties[pattern2], references, `${path}/${key}`, knownProperties[key]);
    }
  if (!IsSchema(schema3.additionalProperties)) {
    return Default3(schema3, path, knownProperties);
  }
  const unknownKeys = Object.getOwnPropertyNames(knownProperties);
  const additionalProperties = schema3.additionalProperties;
  const unknownProperties = { ...knownProperties };
  for (const key of unknownKeys)
    if (!knownKeys.test(key)) {
      unknownProperties[key] = Default3(additionalProperties, `${path}/${key}`, unknownProperties[key]);
    }
  return Default3(schema3, path, unknownProperties);
}
function FromRef11(schema3, references, path, value2) {
  const target = Deref(schema3, references);
  return Default3(schema3, path, Visit11(target, references, path, value2));
}
function FromThis7(schema3, references, path, value2) {
  const target = Deref(schema3, references);
  return Default3(schema3, path, Visit11(target, references, path, value2));
}
function FromTuple12(schema3, references, path, value2) {
  return IsArray2(value2) && IsArray2(schema3.items) ? Default3(schema3, path, schema3.items.map((schema4, index) => Visit11(schema4, references, `${path}/${index}`, value2[index]))) : Default3(schema3, path, value2);
}
function FromUnion17(schema3, references, path, value2) {
  for (const subschema of schema3.anyOf) {
    if (!Check(subschema, references, value2))
      continue;
    const decoded = Visit11(subschema, references, path, value2);
    return Default3(schema3, path, decoded);
  }
  return Default3(schema3, path, value2);
}
function Visit11(schema3, references, path, value2) {
  const references_ = Pushref(schema3, references);
  const schema_ = schema3;
  switch (schema3[Kind]) {
    case "Array":
      return FromArray14(schema_, references_, path, value2);
    case "Import":
      return FromImport7(schema_, references_, path, value2);
    case "Intersect":
      return FromIntersect15(schema_, references_, path, value2);
    case "Not":
      return FromNot5(schema_, references_, path, value2);
    case "Object":
      return FromObject15(schema_, references_, path, value2);
    case "Record":
      return FromRecord10(schema_, references_, path, value2);
    case "Ref":
      return FromRef11(schema_, references_, path, value2);
    case "Symbol":
      return Default3(schema_, path, value2);
    case "This":
      return FromThis7(schema_, references_, path, value2);
    case "Tuple":
      return FromTuple12(schema_, references_, path, value2);
    case "Union":
      return FromUnion17(schema_, references_, path, value2);
    default:
      return Default3(schema_, path, value2);
  }
}
function TransformDecode(schema3, references, value2) {
  return Visit11(schema3, references, "", value2);
}
var TransformDecodeCheckError, TransformDecodeError;
var init_decode = __esm(() => {
  init_policy();
  init_symbols2();
  init_error2();
  init_keyof2();
  init_deref2();
  init_check2();
  init_guard();
  init_kind();
  TransformDecodeCheckError = class TransformDecodeCheckError extends TypeBoxError {
    constructor(schema3, value2, error3) {
      super(`Unable to decode value as it does not match the expected schema`);
      this.schema = schema3;
      this.value = value2;
      this.error = error3;
    }
  };
  TransformDecodeError = class TransformDecodeError extends TypeBoxError {
    constructor(schema3, path, value2, error3) {
      super(error3 instanceof Error ? error3.message : "Unknown error");
      this.schema = schema3;
      this.path = path;
      this.value = value2;
      this.error = error3;
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/transform/encode.mjs
function Default4(schema3, path, value2) {
  try {
    return IsTransform(schema3) ? schema3[TransformKind].Encode(value2) : value2;
  } catch (error3) {
    throw new TransformEncodeError(schema3, path, value2, error3);
  }
}
function FromArray15(schema3, references, path, value2) {
  const defaulted = Default4(schema3, path, value2);
  return IsArray2(defaulted) ? defaulted.map((value3, index) => Visit12(schema3.items, references, `${path}/${index}`, value3)) : defaulted;
}
function FromImport8(schema3, references, path, value2) {
  const additional = globalThis.Object.values(schema3.$defs);
  const target = schema3.$defs[schema3.$ref];
  const result = Default4(schema3, path, value2);
  return Visit12(target, [...references, ...additional], path, result);
}
function FromIntersect16(schema3, references, path, value2) {
  const defaulted = Default4(schema3, path, value2);
  if (!IsObject2(value2) || IsValueType(value2))
    return defaulted;
  const knownEntries = KeyOfPropertyEntries(schema3);
  const knownKeys = knownEntries.map((entry) => entry[0]);
  const knownProperties = { ...defaulted };
  for (const [knownKey, knownSchema] of knownEntries)
    if (knownKey in knownProperties) {
      knownProperties[knownKey] = Visit12(knownSchema, references, `${path}/${knownKey}`, knownProperties[knownKey]);
    }
  if (!IsTransform(schema3.unevaluatedProperties)) {
    return knownProperties;
  }
  const unknownKeys = Object.getOwnPropertyNames(knownProperties);
  const unevaluatedProperties = schema3.unevaluatedProperties;
  const properties = { ...knownProperties };
  for (const key of unknownKeys)
    if (!knownKeys.includes(key)) {
      properties[key] = Default4(unevaluatedProperties, `${path}/${key}`, properties[key]);
    }
  return properties;
}
function FromNot6(schema3, references, path, value2) {
  return Default4(schema3.not, path, Default4(schema3, path, value2));
}
function FromObject16(schema3, references, path, value2) {
  const defaulted = Default4(schema3, path, value2);
  if (!IsObject2(defaulted))
    return defaulted;
  const knownKeys = KeyOfPropertyKeys(schema3);
  const knownProperties = { ...defaulted };
  for (const key of knownKeys) {
    if (!HasPropertyKey2(knownProperties, key))
      continue;
    if (IsUndefined2(knownProperties[key]) && (!IsUndefined3(schema3.properties[key]) || TypeSystemPolicy.IsExactOptionalProperty(knownProperties, key)))
      continue;
    knownProperties[key] = Visit12(schema3.properties[key], references, `${path}/${key}`, knownProperties[key]);
  }
  if (!IsSchema(schema3.additionalProperties)) {
    return knownProperties;
  }
  const unknownKeys = Object.getOwnPropertyNames(knownProperties);
  const additionalProperties = schema3.additionalProperties;
  const properties = { ...knownProperties };
  for (const key of unknownKeys)
    if (!knownKeys.includes(key)) {
      properties[key] = Default4(additionalProperties, `${path}/${key}`, properties[key]);
    }
  return properties;
}
function FromRecord11(schema3, references, path, value2) {
  const defaulted = Default4(schema3, path, value2);
  if (!IsObject2(value2))
    return defaulted;
  const pattern2 = Object.getOwnPropertyNames(schema3.patternProperties)[0];
  const knownKeys = new RegExp(pattern2);
  const knownProperties = { ...defaulted };
  for (const key of Object.getOwnPropertyNames(value2))
    if (knownKeys.test(key)) {
      knownProperties[key] = Visit12(schema3.patternProperties[pattern2], references, `${path}/${key}`, knownProperties[key]);
    }
  if (!IsSchema(schema3.additionalProperties)) {
    return knownProperties;
  }
  const unknownKeys = Object.getOwnPropertyNames(knownProperties);
  const additionalProperties = schema3.additionalProperties;
  const properties = { ...knownProperties };
  for (const key of unknownKeys)
    if (!knownKeys.test(key)) {
      properties[key] = Default4(additionalProperties, `${path}/${key}`, properties[key]);
    }
  return properties;
}
function FromRef12(schema3, references, path, value2) {
  const target = Deref(schema3, references);
  const resolved = Visit12(target, references, path, value2);
  return Default4(schema3, path, resolved);
}
function FromThis8(schema3, references, path, value2) {
  const target = Deref(schema3, references);
  const resolved = Visit12(target, references, path, value2);
  return Default4(schema3, path, resolved);
}
function FromTuple13(schema3, references, path, value2) {
  const value1 = Default4(schema3, path, value2);
  return IsArray2(schema3.items) ? schema3.items.map((schema4, index) => Visit12(schema4, references, `${path}/${index}`, value1[index])) : [];
}
function FromUnion18(schema3, references, path, value2) {
  for (const subschema of schema3.anyOf) {
    if (!Check(subschema, references, value2))
      continue;
    const value1 = Visit12(subschema, references, path, value2);
    return Default4(schema3, path, value1);
  }
  for (const subschema of schema3.anyOf) {
    const value1 = Visit12(subschema, references, path, value2);
    if (!Check(schema3, references, value1))
      continue;
    return Default4(schema3, path, value1);
  }
  return Default4(schema3, path, value2);
}
function Visit12(schema3, references, path, value2) {
  const references_ = Pushref(schema3, references);
  const schema_ = schema3;
  switch (schema3[Kind]) {
    case "Array":
      return FromArray15(schema_, references_, path, value2);
    case "Import":
      return FromImport8(schema_, references_, path, value2);
    case "Intersect":
      return FromIntersect16(schema_, references_, path, value2);
    case "Not":
      return FromNot6(schema_, references_, path, value2);
    case "Object":
      return FromObject16(schema_, references_, path, value2);
    case "Record":
      return FromRecord11(schema_, references_, path, value2);
    case "Ref":
      return FromRef12(schema_, references_, path, value2);
    case "This":
      return FromThis8(schema_, references_, path, value2);
    case "Tuple":
      return FromTuple13(schema_, references_, path, value2);
    case "Union":
      return FromUnion18(schema_, references_, path, value2);
    default:
      return Default4(schema_, path, value2);
  }
}
function TransformEncode(schema3, references, value2) {
  return Visit12(schema3, references, "", value2);
}
var TransformEncodeCheckError, TransformEncodeError;
var init_encode = __esm(() => {
  init_policy();
  init_symbols2();
  init_error2();
  init_keyof2();
  init_deref2();
  init_check2();
  init_guard();
  init_kind();
  TransformEncodeCheckError = class TransformEncodeCheckError extends TypeBoxError {
    constructor(schema3, value2, error3) {
      super(`The encoded value does not match the expected schema`);
      this.schema = schema3;
      this.value = value2;
      this.error = error3;
    }
  };
  TransformEncodeError = class TransformEncodeError extends TypeBoxError {
    constructor(schema3, path, value2, error3) {
      super(`${error3 instanceof Error ? error3.message : "Unknown error"}`);
      this.schema = schema3;
      this.path = path;
      this.value = value2;
      this.error = error3;
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/transform/has.mjs
function FromArray16(schema3, references) {
  return IsTransform(schema3) || Visit13(schema3.items, references);
}
function FromAsyncIterator7(schema3, references) {
  return IsTransform(schema3) || Visit13(schema3.items, references);
}
function FromConstructor8(schema3, references) {
  return IsTransform(schema3) || Visit13(schema3.returns, references) || schema3.parameters.some((schema4) => Visit13(schema4, references));
}
function FromFunction7(schema3, references) {
  return IsTransform(schema3) || Visit13(schema3.returns, references) || schema3.parameters.some((schema4) => Visit13(schema4, references));
}
function FromIntersect17(schema3, references) {
  return IsTransform(schema3) || IsTransform(schema3.unevaluatedProperties) || schema3.allOf.some((schema4) => Visit13(schema4, references));
}
function FromImport9(schema3, references) {
  const additional = globalThis.Object.getOwnPropertyNames(schema3.$defs).reduce((result, key) => [...result, schema3.$defs[key]], []);
  const target = schema3.$defs[schema3.$ref];
  return IsTransform(schema3) || Visit13(target, [...additional, ...references]);
}
function FromIterator7(schema3, references) {
  return IsTransform(schema3) || Visit13(schema3.items, references);
}
function FromNot7(schema3, references) {
  return IsTransform(schema3) || Visit13(schema3.not, references);
}
function FromObject17(schema3, references) {
  return IsTransform(schema3) || Object.values(schema3.properties).some((schema4) => Visit13(schema4, references)) || IsSchema(schema3.additionalProperties) && Visit13(schema3.additionalProperties, references);
}
function FromPromise7(schema3, references) {
  return IsTransform(schema3) || Visit13(schema3.item, references);
}
function FromRecord12(schema3, references) {
  const pattern2 = Object.getOwnPropertyNames(schema3.patternProperties)[0];
  const property = schema3.patternProperties[pattern2];
  return IsTransform(schema3) || Visit13(property, references) || IsSchema(schema3.additionalProperties) && IsTransform(schema3.additionalProperties);
}
function FromRef13(schema3, references) {
  if (IsTransform(schema3))
    return true;
  return Visit13(Deref(schema3, references), references);
}
function FromThis9(schema3, references) {
  if (IsTransform(schema3))
    return true;
  return Visit13(Deref(schema3, references), references);
}
function FromTuple14(schema3, references) {
  return IsTransform(schema3) || !IsUndefined2(schema3.items) && schema3.items.some((schema4) => Visit13(schema4, references));
}
function FromUnion19(schema3, references) {
  return IsTransform(schema3) || schema3.anyOf.some((schema4) => Visit13(schema4, references));
}
function Visit13(schema3, references) {
  const references_ = Pushref(schema3, references);
  const schema_ = schema3;
  if (schema3.$id && visited.has(schema3.$id))
    return false;
  if (schema3.$id)
    visited.add(schema3.$id);
  switch (schema3[Kind]) {
    case "Array":
      return FromArray16(schema_, references_);
    case "AsyncIterator":
      return FromAsyncIterator7(schema_, references_);
    case "Constructor":
      return FromConstructor8(schema_, references_);
    case "Function":
      return FromFunction7(schema_, references_);
    case "Import":
      return FromImport9(schema_, references_);
    case "Intersect":
      return FromIntersect17(schema_, references_);
    case "Iterator":
      return FromIterator7(schema_, references_);
    case "Not":
      return FromNot7(schema_, references_);
    case "Object":
      return FromObject17(schema_, references_);
    case "Promise":
      return FromPromise7(schema_, references_);
    case "Record":
      return FromRecord12(schema_, references_);
    case "Ref":
      return FromRef13(schema_, references_);
    case "This":
      return FromThis9(schema_, references_);
    case "Tuple":
      return FromTuple14(schema_, references_);
    case "Union":
      return FromUnion19(schema_, references_);
    default:
      return IsTransform(schema3);
  }
}
function HasTransform(schema3, references) {
  visited.clear();
  return Visit13(schema3, references);
}
var visited;
var init_has = __esm(() => {
  init_deref2();
  init_symbols2();
  init_kind();
  init_guard();
  visited = new Set;
});

// ../../node_modules/@sinclair/typebox/build/esm/value/transform/index.mjs
var init_transform3 = __esm(() => {
  init_decode();
  init_encode();
  init_has();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/decode/decode.mjs
function Decode(...args) {
  const [schema3, references, value2] = args.length === 3 ? [args[0], args[1], args[2]] : [args[0], [], args[1]];
  if (!Check(schema3, references, value2))
    throw new TransformDecodeCheckError(schema3, value2, Errors(schema3, references, value2).First());
  return HasTransform(schema3, references) ? TransformDecode(schema3, references, value2) : value2;
}
var init_decode2 = __esm(() => {
  init_transform3();
  init_check2();
  init_errors2();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/decode/index.mjs
var init_decode3 = __esm(() => {
  init_decode2();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/default/default.mjs
function ValueOrDefault(schema3, value2) {
  const defaultValue = HasPropertyKey2(schema3, "default") ? schema3.default : undefined;
  const clone3 = IsFunction2(defaultValue) ? defaultValue() : Clone2(defaultValue);
  return IsUndefined2(value2) ? clone3 : IsObject2(value2) && IsObject2(clone3) ? Object.assign(clone3, value2) : value2;
}
function HasDefaultProperty(schema3) {
  return IsKind(schema3) && "default" in schema3;
}
function FromArray17(schema3, references, value2) {
  if (IsArray2(value2)) {
    for (let i = 0;i < value2.length; i++) {
      value2[i] = Visit14(schema3.items, references, value2[i]);
    }
    return value2;
  }
  const defaulted = ValueOrDefault(schema3, value2);
  if (!IsArray2(defaulted))
    return defaulted;
  for (let i = 0;i < defaulted.length; i++) {
    defaulted[i] = Visit14(schema3.items, references, defaulted[i]);
  }
  return defaulted;
}
function FromDate7(schema3, references, value2) {
  return IsDate2(value2) ? value2 : ValueOrDefault(schema3, value2);
}
function FromImport10(schema3, references, value2) {
  const definitions = globalThis.Object.values(schema3.$defs);
  const target = schema3.$defs[schema3.$ref];
  return Visit14(target, [...references, ...definitions], value2);
}
function FromIntersect18(schema3, references, value2) {
  const defaulted = ValueOrDefault(schema3, value2);
  return schema3.allOf.reduce((acc, schema4) => {
    const next = Visit14(schema4, references, defaulted);
    return IsObject2(next) ? { ...acc, ...next } : next;
  }, {});
}
function FromObject18(schema3, references, value2) {
  const defaulted = ValueOrDefault(schema3, value2);
  if (!IsObject2(defaulted))
    return defaulted;
  const knownPropertyKeys = Object.getOwnPropertyNames(schema3.properties);
  for (const key of knownPropertyKeys) {
    const propertyValue = Visit14(schema3.properties[key], references, defaulted[key]);
    if (IsUndefined2(propertyValue))
      continue;
    defaulted[key] = Visit14(schema3.properties[key], references, defaulted[key]);
  }
  if (!HasDefaultProperty(schema3.additionalProperties))
    return defaulted;
  for (const key of Object.getOwnPropertyNames(defaulted)) {
    if (knownPropertyKeys.includes(key))
      continue;
    defaulted[key] = Visit14(schema3.additionalProperties, references, defaulted[key]);
  }
  return defaulted;
}
function FromRecord13(schema3, references, value2) {
  const defaulted = ValueOrDefault(schema3, value2);
  if (!IsObject2(defaulted))
    return defaulted;
  const additionalPropertiesSchema = schema3.additionalProperties;
  const [propertyKeyPattern, propertySchema] = Object.entries(schema3.patternProperties)[0];
  const knownPropertyKey = new RegExp(propertyKeyPattern);
  for (const key of Object.getOwnPropertyNames(defaulted)) {
    if (!(knownPropertyKey.test(key) && HasDefaultProperty(propertySchema)))
      continue;
    defaulted[key] = Visit14(propertySchema, references, defaulted[key]);
  }
  if (!HasDefaultProperty(additionalPropertiesSchema))
    return defaulted;
  for (const key of Object.getOwnPropertyNames(defaulted)) {
    if (knownPropertyKey.test(key))
      continue;
    defaulted[key] = Visit14(additionalPropertiesSchema, references, defaulted[key]);
  }
  return defaulted;
}
function FromRef14(schema3, references, value2) {
  return Visit14(Deref(schema3, references), references, ValueOrDefault(schema3, value2));
}
function FromThis10(schema3, references, value2) {
  return Visit14(Deref(schema3, references), references, value2);
}
function FromTuple15(schema3, references, value2) {
  const defaulted = ValueOrDefault(schema3, value2);
  if (!IsArray2(defaulted) || IsUndefined2(schema3.items))
    return defaulted;
  const [items, max] = [schema3.items, Math.max(schema3.items.length, defaulted.length)];
  for (let i = 0;i < max; i++) {
    if (i < items.length)
      defaulted[i] = Visit14(items[i], references, defaulted[i]);
  }
  return defaulted;
}
function FromUnion20(schema3, references, value2) {
  const defaulted = ValueOrDefault(schema3, value2);
  for (const inner of schema3.anyOf) {
    const result = Visit14(inner, references, Clone2(defaulted));
    if (Check(inner, references, result)) {
      return result;
    }
  }
  return defaulted;
}
function Visit14(schema3, references, value2) {
  const references_ = Pushref(schema3, references);
  const schema_ = schema3;
  switch (schema_[Kind]) {
    case "Array":
      return FromArray17(schema_, references_, value2);
    case "Date":
      return FromDate7(schema_, references_, value2);
    case "Import":
      return FromImport10(schema_, references_, value2);
    case "Intersect":
      return FromIntersect18(schema_, references_, value2);
    case "Object":
      return FromObject18(schema_, references_, value2);
    case "Record":
      return FromRecord13(schema_, references_, value2);
    case "Ref":
      return FromRef14(schema_, references_, value2);
    case "This":
      return FromThis10(schema_, references_, value2);
    case "Tuple":
      return FromTuple15(schema_, references_, value2);
    case "Union":
      return FromUnion20(schema_, references_, value2);
    default:
      return ValueOrDefault(schema_, value2);
  }
}
function Default5(...args) {
  return args.length === 3 ? Visit14(args[0], args[1], args[2]) : Visit14(args[0], [], args[1]);
}
var init_default = __esm(() => {
  init_check2();
  init_clone3();
  init_deref2();
  init_symbols2();
  init_guard();
  init_kind();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/default/index.mjs
var init_default2 = __esm(() => {
  init_default();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/pointer/pointer.mjs
var exports_pointer = {};
__export(exports_pointer, {
  ValuePointerRootSetError: () => ValuePointerRootSetError,
  ValuePointerRootDeleteError: () => ValuePointerRootDeleteError,
  Set: () => Set4,
  Has: () => Has3,
  Get: () => Get3,
  Format: () => Format,
  Delete: () => Delete3
});
function Escape2(component) {
  return component.indexOf("~") === -1 ? component : component.replace(/~1/g, "/").replace(/~0/g, "~");
}
function* Format(pointer) {
  if (pointer === "")
    return;
  let [start, end] = [0, 0];
  for (let i = 0;i < pointer.length; i++) {
    const char = pointer.charAt(i);
    if (char === "/") {
      if (i === 0) {
        start = i + 1;
      } else {
        end = i;
        yield Escape2(pointer.slice(start, end));
        start = i + 1;
      }
    } else {
      end = i;
    }
  }
  yield Escape2(pointer.slice(start));
}
function Set4(value2, pointer, update) {
  if (pointer === "")
    throw new ValuePointerRootSetError(value2, pointer, update);
  let [owner, next, key] = [null, value2, ""];
  for (const component of Format(pointer)) {
    if (next[component] === undefined)
      next[component] = {};
    owner = next;
    next = next[component];
    key = component;
  }
  owner[key] = update;
}
function Delete3(value2, pointer) {
  if (pointer === "")
    throw new ValuePointerRootDeleteError(value2, pointer);
  let [owner, next, key] = [null, value2, ""];
  for (const component of Format(pointer)) {
    if (next[component] === undefined || next[component] === null)
      return;
    owner = next;
    next = next[component];
    key = component;
  }
  if (Array.isArray(owner)) {
    const index = parseInt(key);
    owner.splice(index, 1);
  } else {
    delete owner[key];
  }
}
function Has3(value2, pointer) {
  if (pointer === "")
    return true;
  let [owner, next, key] = [null, value2, ""];
  for (const component of Format(pointer)) {
    if (next[component] === undefined)
      return false;
    owner = next;
    next = next[component];
    key = component;
  }
  return Object.getOwnPropertyNames(owner).includes(key);
}
function Get3(value2, pointer) {
  if (pointer === "")
    return value2;
  let current = value2;
  for (const component of Format(pointer)) {
    if (current[component] === undefined)
      return;
    current = current[component];
  }
  return current;
}
var ValuePointerRootSetError, ValuePointerRootDeleteError;
var init_pointer = __esm(() => {
  init_error2();
  ValuePointerRootSetError = class ValuePointerRootSetError extends TypeBoxError {
    constructor(value2, path, update) {
      super("Cannot set root value");
      this.value = value2;
      this.path = path;
      this.update = update;
    }
  };
  ValuePointerRootDeleteError = class ValuePointerRootDeleteError extends TypeBoxError {
    constructor(value2, path) {
      super("Cannot delete root value");
      this.value = value2;
      this.path = path;
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/pointer/index.mjs
var init_pointer2 = __esm(() => {
  init_pointer();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/equal/equal.mjs
function ObjectType3(left, right) {
  if (!IsObject2(right))
    return false;
  const leftKeys = [...Object.keys(left), ...Object.getOwnPropertySymbols(left)];
  const rightKeys = [...Object.keys(right), ...Object.getOwnPropertySymbols(right)];
  if (leftKeys.length !== rightKeys.length)
    return false;
  return leftKeys.every((key) => Equal(left[key], right[key]));
}
function DateType3(left, right) {
  return IsDate2(right) && left.getTime() === right.getTime();
}
function ArrayType3(left, right) {
  if (!IsArray2(right) || left.length !== right.length)
    return false;
  return left.every((value2, index) => Equal(value2, right[index]));
}
function TypedArrayType(left, right) {
  if (!IsTypedArray(right) || left.length !== right.length || Object.getPrototypeOf(left).constructor.name !== Object.getPrototypeOf(right).constructor.name)
    return false;
  return left.every((value2, index) => Equal(value2, right[index]));
}
function ValueType(left, right) {
  return left === right;
}
function Equal(left, right) {
  if (IsDate2(left))
    return DateType3(left, right);
  if (IsTypedArray(left))
    return TypedArrayType(left, right);
  if (IsArray2(left))
    return ArrayType3(left, right);
  if (IsObject2(left))
    return ObjectType3(left, right);
  if (IsValueType(left))
    return ValueType(left, right);
  throw new Error("ValueEquals: Unable to compare value");
}
var init_equal = __esm(() => {
  init_guard();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/delta/delta.mjs
function CreateUpdate(path, value2) {
  return { type: "update", path, value: value2 };
}
function CreateInsert(path, value2) {
  return { type: "insert", path, value: value2 };
}
function CreateDelete(path) {
  return { type: "delete", path };
}
function AssertDiffable(value2) {
  if (globalThis.Object.getOwnPropertySymbols(value2).length > 0)
    throw new ValueDiffError(value2, "Cannot diff objects with symbols");
}
function* ObjectType4(path, current, next) {
  AssertDiffable(current);
  AssertDiffable(next);
  if (!IsStandardObject(next))
    return yield CreateUpdate(path, next);
  const currentKeys = globalThis.Object.getOwnPropertyNames(current);
  const nextKeys = globalThis.Object.getOwnPropertyNames(next);
  for (const key of nextKeys) {
    if (HasPropertyKey2(current, key))
      continue;
    yield CreateInsert(`${path}/${key}`, next[key]);
  }
  for (const key of currentKeys) {
    if (!HasPropertyKey2(next, key))
      continue;
    if (Equal(current, next))
      continue;
    yield* Visit15(`${path}/${key}`, current[key], next[key]);
  }
  for (const key of currentKeys) {
    if (HasPropertyKey2(next, key))
      continue;
    yield CreateDelete(`${path}/${key}`);
  }
}
function* ArrayType4(path, current, next) {
  if (!IsArray2(next))
    return yield CreateUpdate(path, next);
  for (let i = 0;i < Math.min(current.length, next.length); i++) {
    yield* Visit15(`${path}/${i}`, current[i], next[i]);
  }
  for (let i = 0;i < next.length; i++) {
    if (i < current.length)
      continue;
    yield CreateInsert(`${path}/${i}`, next[i]);
  }
  for (let i = current.length - 1;i >= 0; i--) {
    if (i < next.length)
      continue;
    yield CreateDelete(`${path}/${i}`);
  }
}
function* TypedArrayType2(path, current, next) {
  if (!IsTypedArray(next) || current.length !== next.length || globalThis.Object.getPrototypeOf(current).constructor.name !== globalThis.Object.getPrototypeOf(next).constructor.name)
    return yield CreateUpdate(path, next);
  for (let i = 0;i < Math.min(current.length, next.length); i++) {
    yield* Visit15(`${path}/${i}`, current[i], next[i]);
  }
}
function* ValueType2(path, current, next) {
  if (current === next)
    return;
  yield CreateUpdate(path, next);
}
function* Visit15(path, current, next) {
  if (IsStandardObject(current))
    return yield* ObjectType4(path, current, next);
  if (IsArray2(current))
    return yield* ArrayType4(path, current, next);
  if (IsTypedArray(current))
    return yield* TypedArrayType2(path, current, next);
  if (IsValueType(current))
    return yield* ValueType2(path, current, next);
  throw new ValueDiffError(current, "Unable to diff value");
}
function Diff(current, next) {
  return [...Visit15("", current, next)];
}
function IsRootUpdate(edits) {
  return edits.length > 0 && edits[0].path === "" && edits[0].type === "update";
}
function IsIdentity(edits) {
  return edits.length === 0;
}
function Patch(current, edits) {
  if (IsRootUpdate(edits)) {
    return Clone2(edits[0].value);
  }
  if (IsIdentity(edits)) {
    return Clone2(current);
  }
  const clone3 = Clone2(current);
  for (const edit of edits) {
    switch (edit.type) {
      case "insert": {
        exports_pointer.Set(clone3, edit.path, edit.value);
        break;
      }
      case "update": {
        exports_pointer.Set(clone3, edit.path, edit.value);
        break;
      }
      case "delete": {
        exports_pointer.Delete(clone3, edit.path);
        break;
      }
    }
  }
  return clone3;
}
var Insert, Update, Delete4, Edit, ValueDiffError;
var init_delta = __esm(() => {
  init_guard();
  init_pointer2();
  init_clone3();
  init_equal();
  init_error2();
  init_literal2();
  init_object2();
  init_string2();
  init_unknown2();
  init_union2();
  Insert = Object2({
    type: Literal("insert"),
    path: String2(),
    value: Unknown()
  });
  Update = Object2({
    type: Literal("update"),
    path: String2(),
    value: Unknown()
  });
  Delete4 = Object2({
    type: Literal("delete"),
    path: String2()
  });
  Edit = Union([Insert, Update, Delete4]);
  ValueDiffError = class ValueDiffError extends TypeBoxError {
    constructor(value2, message) {
      super(message);
      this.value = value2;
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/delta/index.mjs
var init_delta2 = __esm(() => {
  init_delta();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/encode/encode.mjs
function Encode(...args) {
  const [schema3, references, value2] = args.length === 3 ? [args[0], args[1], args[2]] : [args[0], [], args[1]];
  const encoded = HasTransform(schema3, references) ? TransformEncode(schema3, references, value2) : value2;
  if (!Check(schema3, references, encoded))
    throw new TransformEncodeCheckError(schema3, encoded, Errors(schema3, references, encoded).First());
  return encoded;
}
var init_encode2 = __esm(() => {
  init_transform3();
  init_check2();
  init_errors2();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/encode/index.mjs
var init_encode3 = __esm(() => {
  init_encode2();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/equal/index.mjs
var init_equal2 = __esm(() => {
  init_equal();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/mutate/mutate.mjs
function IsStandardObject2(value2) {
  return IsObject2(value2) && !IsArray2(value2);
}
function ObjectType5(root, path, current, next) {
  if (!IsStandardObject2(current)) {
    exports_pointer.Set(root, path, Clone2(next));
  } else {
    const currentKeys = Object.getOwnPropertyNames(current);
    const nextKeys = Object.getOwnPropertyNames(next);
    for (const currentKey of currentKeys) {
      if (!nextKeys.includes(currentKey)) {
        delete current[currentKey];
      }
    }
    for (const nextKey of nextKeys) {
      if (!currentKeys.includes(nextKey)) {
        current[nextKey] = null;
      }
    }
    for (const nextKey of nextKeys) {
      Visit16(root, `${path}/${nextKey}`, current[nextKey], next[nextKey]);
    }
  }
}
function ArrayType5(root, path, current, next) {
  if (!IsArray2(current)) {
    exports_pointer.Set(root, path, Clone2(next));
  } else {
    for (let index = 0;index < next.length; index++) {
      Visit16(root, `${path}/${index}`, current[index], next[index]);
    }
    current.splice(next.length);
  }
}
function TypedArrayType3(root, path, current, next) {
  if (IsTypedArray(current) && current.length === next.length) {
    for (let i = 0;i < current.length; i++) {
      current[i] = next[i];
    }
  } else {
    exports_pointer.Set(root, path, Clone2(next));
  }
}
function ValueType3(root, path, current, next) {
  if (current === next)
    return;
  exports_pointer.Set(root, path, next);
}
function Visit16(root, path, current, next) {
  if (IsArray2(next))
    return ArrayType5(root, path, current, next);
  if (IsTypedArray(next))
    return TypedArrayType3(root, path, current, next);
  if (IsStandardObject2(next))
    return ObjectType5(root, path, current, next);
  if (IsValueType(next))
    return ValueType3(root, path, current, next);
}
function IsNonMutableValue(value2) {
  return IsTypedArray(value2) || IsValueType(value2);
}
function IsMismatchedValue(current, next) {
  return IsStandardObject2(current) && IsArray2(next) || IsArray2(current) && IsStandardObject2(next);
}
function Mutate(current, next) {
  if (IsNonMutableValue(current) || IsNonMutableValue(next))
    throw new ValueMutateError("Only object and array types can be mutated at the root level");
  if (IsMismatchedValue(current, next))
    throw new ValueMutateError("Cannot assign due type mismatch of assignable values");
  Visit16(current, "", current, next);
}
var ValueMutateError;
var init_mutate = __esm(() => {
  init_guard();
  init_pointer2();
  init_clone3();
  init_error2();
  ValueMutateError = class ValueMutateError extends TypeBoxError {
    constructor(message) {
      super(message);
    }
  };
});

// ../../node_modules/@sinclair/typebox/build/esm/value/mutate/index.mjs
var init_mutate2 = __esm(() => {
  init_mutate();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/parse/parse.mjs
function ParseValue(operations, type4, references, value2) {
  return operations.reduce((value3, operationKey) => {
    const operation = ParseRegistry.Get(operationKey);
    if (IsUndefined2(operation))
      throw new ParseError(`Unable to find Parse operation '${operationKey}'`);
    return operation(type4, references, value3);
  }, value2);
}
function Parse(...args) {
  const [operations, schema3, references, value2] = args.length === 4 ? [args[0], args[1], args[2], args[3]] : args.length === 3 ? IsArray2(args[0]) ? [args[0], args[1], [], args[2]] : [ParseDefault, args[0], args[1], args[2]] : args.length === 2 ? [ParseDefault, args[0], [], args[1]] : (() => {
    throw new ParseError("Invalid Arguments");
  })();
  return ParseValue(operations, schema3, references, value2);
}
var ParseError, ParseRegistry, ParseDefault;
var init_parse2 = __esm(() => {
  init_error2();
  init_transform3();
  init_assert2();
  init_cast2();
  init_clean2();
  init_clone3();
  init_convert2();
  init_default2();
  init_guard();
  ParseError = class ParseError extends TypeBoxError {
    constructor(message) {
      super(message);
    }
  };
  (function(ParseRegistry2) {
    const registry2 = new Map([
      ["Assert", (type4, references, value2) => {
        Assert(type4, references, value2);
        return value2;
      }],
      ["Cast", (type4, references, value2) => Cast(type4, references, value2)],
      ["Clean", (type4, references, value2) => Clean(type4, references, value2)],
      ["Clone", (_type, _references, value2) => Clone2(value2)],
      ["Convert", (type4, references, value2) => Convert(type4, references, value2)],
      ["Decode", (type4, references, value2) => HasTransform(type4, references) ? TransformDecode(type4, references, value2) : value2],
      ["Default", (type4, references, value2) => Default5(type4, references, value2)],
      ["Encode", (type4, references, value2) => HasTransform(type4, references) ? TransformEncode(type4, references, value2) : value2]
    ]);
    function Delete5(key) {
      registry2.delete(key);
    }
    ParseRegistry2.Delete = Delete5;
    function Set5(key, callback) {
      registry2.set(key, callback);
    }
    ParseRegistry2.Set = Set5;
    function Get4(key) {
      return registry2.get(key);
    }
    ParseRegistry2.Get = Get4;
  })(ParseRegistry || (ParseRegistry = {}));
  ParseDefault = [
    "Clone",
    "Clean",
    "Default",
    "Convert",
    "Assert",
    "Decode"
  ];
});

// ../../node_modules/@sinclair/typebox/build/esm/value/parse/index.mjs
var init_parse3 = __esm(() => {
  init_parse2();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/value/value.mjs
var exports_value2 = {};
__export(exports_value2, {
  ValueErrorIterator: () => ValueErrorIterator,
  Patch: () => Patch,
  Parse: () => Parse,
  Mutate: () => Mutate,
  Hash: () => Hash,
  Errors: () => Errors,
  Equal: () => Equal,
  Encode: () => Encode,
  Edit: () => Edit,
  Diff: () => Diff,
  Default: () => Default5,
  Decode: () => Decode,
  Create: () => Create2,
  Convert: () => Convert,
  Clone: () => Clone2,
  Clean: () => Clean,
  Check: () => Check,
  Cast: () => Cast,
  Assert: () => Assert
});
var init_value2 = __esm(() => {
  init_errors2();
  init_assert2();
  init_cast2();
  init_check2();
  init_clean2();
  init_clone3();
  init_convert2();
  init_create3();
  init_decode3();
  init_default2();
  init_delta2();
  init_encode3();
  init_equal2();
  init_hash2();
  init_mutate2();
  init_parse3();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/value/index.mjs
var init_value3 = __esm(() => {
  init_value2();
});

// ../../node_modules/@sinclair/typebox/build/esm/value/index.mjs
var init_value4 = __esm(() => {
  init_guard();
  init_assert2();
  init_cast2();
  init_check2();
  init_clean2();
  init_clone3();
  init_convert2();
  init_create3();
  init_decode3();
  init_default2();
  init_delta2();
  init_encode3();
  init_equal2();
  init_hash2();
  init_mutate2();
  init_parse3();
  init_pointer2();
  init_transform3();
  init_value3();
});

// ../../node_modules/@sinclair/typebox/build/esm/compiler/compiler.mjs
class TypeCheck {
  constructor(schema3, references, checkFunc, code) {
    this.schema = schema3;
    this.references = references;
    this.checkFunc = checkFunc;
    this.code = code;
    this.hasTransform = HasTransform(schema3, references);
  }
  Code() {
    return this.code;
  }
  Schema() {
    return this.schema;
  }
  References() {
    return this.references;
  }
  Errors(value2) {
    return Errors(this.schema, this.references, value2);
  }
  Check(value2) {
    return this.checkFunc(value2);
  }
  Decode(value2) {
    if (!this.checkFunc(value2))
      throw new TransformDecodeCheckError(this.schema, value2, this.Errors(value2).First());
    return this.hasTransform ? TransformDecode(this.schema, this.references, value2) : value2;
  }
  Encode(value2) {
    const encoded = this.hasTransform ? TransformEncode(this.schema, this.references, value2) : value2;
    if (!this.checkFunc(encoded))
      throw new TransformEncodeCheckError(this.schema, value2, this.Errors(value2).First());
    return encoded;
  }
}
var Character, MemberExpression, Identifier, LiteralString, TypeCompilerUnknownTypeError, TypeCompilerTypeGuardError, Policy, TypeCompiler;
var init_compiler = __esm(() => {
  init_transform3();
  init_errors2();
  init_system2();
  init_error2();
  init_deref2();
  init_hash2();
  init_symbols2();
  init_registry();
  init_keyof2();
  init_extends_undefined();
  init_never2();
  init_ref2();
  init_guard();
  init_type3();
  (function(Character2) {
    function DollarSign(code) {
      return code === 36;
    }
    Character2.DollarSign = DollarSign;
    function IsUnderscore(code) {
      return code === 95;
    }
    Character2.IsUnderscore = IsUnderscore;
    function IsAlpha(code) {
      return code >= 65 && code <= 90 || code >= 97 && code <= 122;
    }
    Character2.IsAlpha = IsAlpha;
    function IsNumeric(code) {
      return code >= 48 && code <= 57;
    }
    Character2.IsNumeric = IsNumeric;
  })(Character || (Character = {}));
  (function(MemberExpression2) {
    function IsFirstCharacterNumeric(value2) {
      if (value2.length === 0)
        return false;
      return Character.IsNumeric(value2.charCodeAt(0));
    }
    function IsAccessor(value2) {
      if (IsFirstCharacterNumeric(value2))
        return false;
      for (let i = 0;i < value2.length; i++) {
        const code = value2.charCodeAt(i);
        const check3 = Character.IsAlpha(code) || Character.IsNumeric(code) || Character.DollarSign(code) || Character.IsUnderscore(code);
        if (!check3)
          return false;
      }
      return true;
    }
    function EscapeHyphen(key) {
      return key.replace(/'/g, "\\'");
    }
    function Encode2(object3, key) {
      return IsAccessor(key) ? `${object3}.${key}` : `${object3}['${EscapeHyphen(key)}']`;
    }
    MemberExpression2.Encode = Encode2;
  })(MemberExpression || (MemberExpression = {}));
  (function(Identifier2) {
    function Encode2($id) {
      const buffer = [];
      for (let i = 0;i < $id.length; i++) {
        const code = $id.charCodeAt(i);
        if (Character.IsNumeric(code) || Character.IsAlpha(code)) {
          buffer.push($id.charAt(i));
        } else {
          buffer.push(`_${code}_`);
        }
      }
      return buffer.join("").replace(/__/g, "_");
    }
    Identifier2.Encode = Encode2;
  })(Identifier || (Identifier = {}));
  (function(LiteralString2) {
    function Escape3(content) {
      return content.replace(/'/g, "\\'");
    }
    LiteralString2.Escape = Escape3;
  })(LiteralString || (LiteralString = {}));
  TypeCompilerUnknownTypeError = class TypeCompilerUnknownTypeError extends TypeBoxError {
    constructor(schema3) {
      super("Unknown type");
      this.schema = schema3;
    }
  };
  TypeCompilerTypeGuardError = class TypeCompilerTypeGuardError extends TypeBoxError {
    constructor(schema3) {
      super("Preflight validation check failed to guard for the given schema");
      this.schema = schema3;
    }
  };
  (function(Policy2) {
    function IsExactOptionalProperty(value2, key, expression) {
      return TypeSystemPolicy.ExactOptionalPropertyTypes ? `('${key}' in ${value2} ? ${expression} : true)` : `(${MemberExpression.Encode(value2, key)} !== undefined ? ${expression} : true)`;
    }
    Policy2.IsExactOptionalProperty = IsExactOptionalProperty;
    function IsObjectLike(value2) {
      return !TypeSystemPolicy.AllowArrayObject ? `(typeof ${value2} === 'object' && ${value2} !== null && !Array.isArray(${value2}))` : `(typeof ${value2} === 'object' && ${value2} !== null)`;
    }
    Policy2.IsObjectLike = IsObjectLike;
    function IsRecordLike(value2) {
      return !TypeSystemPolicy.AllowArrayObject ? `(typeof ${value2} === 'object' && ${value2} !== null && !Array.isArray(${value2}) && !(${value2} instanceof Date) && !(${value2} instanceof Uint8Array))` : `(typeof ${value2} === 'object' && ${value2} !== null && !(${value2} instanceof Date) && !(${value2} instanceof Uint8Array))`;
    }
    Policy2.IsRecordLike = IsRecordLike;
    function IsNumberLike(value2) {
      return TypeSystemPolicy.AllowNaN ? `typeof ${value2} === 'number'` : `Number.isFinite(${value2})`;
    }
    Policy2.IsNumberLike = IsNumberLike;
    function IsVoidLike(value2) {
      return TypeSystemPolicy.AllowNullVoid ? `(${value2} === undefined || ${value2} === null)` : `${value2} === undefined`;
    }
    Policy2.IsVoidLike = IsVoidLike;
  })(Policy || (Policy = {}));
  (function(TypeCompiler2) {
    function IsAnyOrUnknown2(schema3) {
      return schema3[Kind] === "Any" || schema3[Kind] === "Unknown";
    }
    function* FromAny5(schema3, references, value2) {
      yield "true";
    }
    function* FromArgument5(schema3, references, value2) {
      yield "true";
    }
    function* FromArray18(schema3, references, value2) {
      yield `Array.isArray(${value2})`;
      const [parameter, accumulator] = [CreateParameter("value", "any"), CreateParameter("acc", "number")];
      if (IsNumber2(schema3.maxItems))
        yield `${value2}.length <= ${schema3.maxItems}`;
      if (IsNumber2(schema3.minItems))
        yield `${value2}.length >= ${schema3.minItems}`;
      const elementExpression = CreateExpression(schema3.items, references, "value");
      yield `${value2}.every((${parameter}) => ${elementExpression})`;
      if (IsSchema2(schema3.contains) || IsNumber2(schema3.minContains) || IsNumber2(schema3.maxContains)) {
        const containsSchema = IsSchema2(schema3.contains) ? schema3.contains : Never();
        const checkExpression = CreateExpression(containsSchema, references, "value");
        const checkMinContains = IsNumber2(schema3.minContains) ? [`(count >= ${schema3.minContains})`] : [];
        const checkMaxContains = IsNumber2(schema3.maxContains) ? [`(count <= ${schema3.maxContains})`] : [];
        const checkCount = `const count = value.reduce((${accumulator}, ${parameter}) => ${checkExpression} ? acc + 1 : acc, 0)`;
        const check3 = [`(count > 0)`, ...checkMinContains, ...checkMaxContains].join(" && ");
        yield `((${parameter}) => { ${checkCount}; return ${check3}})(${value2})`;
      }
      if (schema3.uniqueItems === true) {
        const check3 = `const hashed = hash(element); if(set.has(hashed)) { return false } else { set.add(hashed) } } return true`;
        const block = `const set = new Set(); for(const element of value) { ${check3} }`;
        yield `((${parameter}) => { ${block} )(${value2})`;
      }
    }
    function* FromAsyncIterator8(schema3, references, value2) {
      yield `(typeof value === 'object' && Symbol.asyncIterator in ${value2})`;
    }
    function* FromBigInt6(schema3, references, value2) {
      yield `(typeof ${value2} === 'bigint')`;
      if (IsBigInt2(schema3.exclusiveMaximum))
        yield `${value2} < BigInt(${schema3.exclusiveMaximum})`;
      if (IsBigInt2(schema3.exclusiveMinimum))
        yield `${value2} > BigInt(${schema3.exclusiveMinimum})`;
      if (IsBigInt2(schema3.maximum))
        yield `${value2} <= BigInt(${schema3.maximum})`;
      if (IsBigInt2(schema3.minimum))
        yield `${value2} >= BigInt(${schema3.minimum})`;
      if (IsBigInt2(schema3.multipleOf))
        yield `(${value2} % BigInt(${schema3.multipleOf})) === 0`;
    }
    function* FromBoolean6(schema3, references, value2) {
      yield `(typeof ${value2} === 'boolean')`;
    }
    function* FromConstructor9(schema3, references, value2) {
      yield* Visit17(schema3.returns, references, `${value2}.prototype`);
    }
    function* FromDate8(schema3, references, value2) {
      yield `(${value2} instanceof Date) && Number.isFinite(${value2}.getTime())`;
      if (IsNumber2(schema3.exclusiveMaximumTimestamp))
        yield `${value2}.getTime() < ${schema3.exclusiveMaximumTimestamp}`;
      if (IsNumber2(schema3.exclusiveMinimumTimestamp))
        yield `${value2}.getTime() > ${schema3.exclusiveMinimumTimestamp}`;
      if (IsNumber2(schema3.maximumTimestamp))
        yield `${value2}.getTime() <= ${schema3.maximumTimestamp}`;
      if (IsNumber2(schema3.minimumTimestamp))
        yield `${value2}.getTime() >= ${schema3.minimumTimestamp}`;
      if (IsNumber2(schema3.multipleOfTimestamp))
        yield `(${value2}.getTime() % ${schema3.multipleOfTimestamp}) === 0`;
    }
    function* FromFunction8(schema3, references, value2) {
      yield `(typeof ${value2} === 'function')`;
    }
    function* FromImport11(schema3, references, value2) {
      const members = globalThis.Object.getOwnPropertyNames(schema3.$defs).reduce((result, key) => {
        return [...result, schema3.$defs[key]];
      }, []);
      yield* Visit17(Ref(schema3.$ref), [...references, ...members], value2);
    }
    function* FromInteger6(schema3, references, value2) {
      yield `Number.isInteger(${value2})`;
      if (IsNumber2(schema3.exclusiveMaximum))
        yield `${value2} < ${schema3.exclusiveMaximum}`;
      if (IsNumber2(schema3.exclusiveMinimum))
        yield `${value2} > ${schema3.exclusiveMinimum}`;
      if (IsNumber2(schema3.maximum))
        yield `${value2} <= ${schema3.maximum}`;
      if (IsNumber2(schema3.minimum))
        yield `${value2} >= ${schema3.minimum}`;
      if (IsNumber2(schema3.multipleOf))
        yield `(${value2} % ${schema3.multipleOf}) === 0`;
    }
    function* FromIntersect19(schema3, references, value2) {
      const check1 = schema3.allOf.map((schema4) => CreateExpression(schema4, references, value2)).join(" && ");
      if (schema3.unevaluatedProperties === false) {
        const keyCheck = CreateVariable(`${new RegExp(KeyOfPattern(schema3))};`);
        const check22 = `Object.getOwnPropertyNames(${value2}).every(key => ${keyCheck}.test(key))`;
        yield `(${check1} && ${check22})`;
      } else if (IsSchema2(schema3.unevaluatedProperties)) {
        const keyCheck = CreateVariable(`${new RegExp(KeyOfPattern(schema3))};`);
        const check22 = `Object.getOwnPropertyNames(${value2}).every(key => ${keyCheck}.test(key) || ${CreateExpression(schema3.unevaluatedProperties, references, `${value2}[key]`)})`;
        yield `(${check1} && ${check22})`;
      } else {
        yield `(${check1})`;
      }
    }
    function* FromIterator8(schema3, references, value2) {
      yield `(typeof value === 'object' && Symbol.iterator in ${value2})`;
    }
    function* FromLiteral7(schema3, references, value2) {
      if (typeof schema3.const === "number" || typeof schema3.const === "boolean") {
        yield `(${value2} === ${schema3.const})`;
      } else {
        yield `(${value2} === '${LiteralString.Escape(schema3.const)}')`;
      }
    }
    function* FromNever6(schema3, references, value2) {
      yield `false`;
    }
    function* FromNot8(schema3, references, value2) {
      const expression = CreateExpression(schema3.not, references, value2);
      yield `(!${expression})`;
    }
    function* FromNull6(schema3, references, value2) {
      yield `(${value2} === null)`;
    }
    function* FromNumber6(schema3, references, value2) {
      yield Policy.IsNumberLike(value2);
      if (IsNumber2(schema3.exclusiveMaximum))
        yield `${value2} < ${schema3.exclusiveMaximum}`;
      if (IsNumber2(schema3.exclusiveMinimum))
        yield `${value2} > ${schema3.exclusiveMinimum}`;
      if (IsNumber2(schema3.maximum))
        yield `${value2} <= ${schema3.maximum}`;
      if (IsNumber2(schema3.minimum))
        yield `${value2} >= ${schema3.minimum}`;
      if (IsNumber2(schema3.multipleOf))
        yield `(${value2} % ${schema3.multipleOf}) === 0`;
    }
    function* FromObject19(schema3, references, value2) {
      yield Policy.IsObjectLike(value2);
      if (IsNumber2(schema3.minProperties))
        yield `Object.getOwnPropertyNames(${value2}).length >= ${schema3.minProperties}`;
      if (IsNumber2(schema3.maxProperties))
        yield `Object.getOwnPropertyNames(${value2}).length <= ${schema3.maxProperties}`;
      const knownKeys = Object.getOwnPropertyNames(schema3.properties);
      for (const knownKey of knownKeys) {
        const memberExpression = MemberExpression.Encode(value2, knownKey);
        const property = schema3.properties[knownKey];
        if (schema3.required && schema3.required.includes(knownKey)) {
          yield* Visit17(property, references, memberExpression);
          if (ExtendsUndefinedCheck(property) || IsAnyOrUnknown2(property))
            yield `('${knownKey}' in ${value2})`;
        } else {
          const expression = CreateExpression(property, references, memberExpression);
          yield Policy.IsExactOptionalProperty(value2, knownKey, expression);
        }
      }
      if (schema3.additionalProperties === false) {
        if (schema3.required && schema3.required.length === knownKeys.length) {
          yield `Object.getOwnPropertyNames(${value2}).length === ${knownKeys.length}`;
        } else {
          const keys = `[${knownKeys.map((key) => `'${key}'`).join(", ")}]`;
          yield `Object.getOwnPropertyNames(${value2}).every(key => ${keys}.includes(key))`;
        }
      }
      if (typeof schema3.additionalProperties === "object") {
        const expression = CreateExpression(schema3.additionalProperties, references, `${value2}[key]`);
        const keys = `[${knownKeys.map((key) => `'${key}'`).join(", ")}]`;
        yield `(Object.getOwnPropertyNames(${value2}).every(key => ${keys}.includes(key) || ${expression}))`;
      }
    }
    function* FromPromise8(schema3, references, value2) {
      yield `${value2} instanceof Promise`;
    }
    function* FromRecord14(schema3, references, value2) {
      yield Policy.IsRecordLike(value2);
      if (IsNumber2(schema3.minProperties))
        yield `Object.getOwnPropertyNames(${value2}).length >= ${schema3.minProperties}`;
      if (IsNumber2(schema3.maxProperties))
        yield `Object.getOwnPropertyNames(${value2}).length <= ${schema3.maxProperties}`;
      const [patternKey, patternSchema] = Object.entries(schema3.patternProperties)[0];
      const variable = CreateVariable(`${new RegExp(patternKey)}`);
      const check1 = CreateExpression(patternSchema, references, "value");
      const check22 = IsSchema2(schema3.additionalProperties) ? CreateExpression(schema3.additionalProperties, references, value2) : schema3.additionalProperties === false ? "false" : "true";
      const expression = `(${variable}.test(key) ? ${check1} : ${check22})`;
      yield `(Object.entries(${value2}).every(([key, value]) => ${expression}))`;
    }
    function* FromRef15(schema3, references, value2) {
      const target = Deref(schema3, references);
      if (state.functions.has(schema3.$ref))
        return yield `${CreateFunctionName(schema3.$ref)}(${value2})`;
      yield* Visit17(target, references, value2);
    }
    function* FromRegExp5(schema3, references, value2) {
      const variable = CreateVariable(`${new RegExp(schema3.source, schema3.flags)};`);
      yield `(typeof ${value2} === 'string')`;
      if (IsNumber2(schema3.maxLength))
        yield `${value2}.length <= ${schema3.maxLength}`;
      if (IsNumber2(schema3.minLength))
        yield `${value2}.length >= ${schema3.minLength}`;
      yield `${variable}.test(${value2})`;
    }
    function* FromString6(schema3, references, value2) {
      yield `(typeof ${value2} === 'string')`;
      if (IsNumber2(schema3.maxLength))
        yield `${value2}.length <= ${schema3.maxLength}`;
      if (IsNumber2(schema3.minLength))
        yield `${value2}.length >= ${schema3.minLength}`;
      if (schema3.pattern !== undefined) {
        const variable = CreateVariable(`${new RegExp(schema3.pattern)};`);
        yield `${variable}.test(${value2})`;
      }
      if (schema3.format !== undefined) {
        yield `format('${schema3.format}', ${value2})`;
      }
    }
    function* FromSymbol6(schema3, references, value2) {
      yield `(typeof ${value2} === 'symbol')`;
    }
    function* FromTemplateLiteral7(schema3, references, value2) {
      yield `(typeof ${value2} === 'string')`;
      const variable = CreateVariable(`${new RegExp(schema3.pattern)};`);
      yield `${variable}.test(${value2})`;
    }
    function* FromThis11(schema3, references, value2) {
      yield `${CreateFunctionName(schema3.$ref)}(${value2})`;
    }
    function* FromTuple16(schema3, references, value2) {
      yield `Array.isArray(${value2})`;
      if (schema3.items === undefined)
        return yield `${value2}.length === 0`;
      yield `(${value2}.length === ${schema3.maxItems})`;
      for (let i = 0;i < schema3.items.length; i++) {
        const expression = CreateExpression(schema3.items[i], references, `${value2}[${i}]`);
        yield `${expression}`;
      }
    }
    function* FromUndefined6(schema3, references, value2) {
      yield `${value2} === undefined`;
    }
    function* FromUnion21(schema3, references, value2) {
      const expressions = schema3.anyOf.map((schema4) => CreateExpression(schema4, references, value2));
      yield `(${expressions.join(" || ")})`;
    }
    function* FromUint8Array5(schema3, references, value2) {
      yield `${value2} instanceof Uint8Array`;
      if (IsNumber2(schema3.maxByteLength))
        yield `(${value2}.length <= ${schema3.maxByteLength})`;
      if (IsNumber2(schema3.minByteLength))
        yield `(${value2}.length >= ${schema3.minByteLength})`;
    }
    function* FromUnknown5(schema3, references, value2) {
      yield "true";
    }
    function* FromVoid5(schema3, references, value2) {
      yield Policy.IsVoidLike(value2);
    }
    function* FromKind4(schema3, references, value2) {
      const instance = state.instances.size;
      state.instances.set(instance, schema3);
      yield `kind('${schema3[Kind]}', ${instance}, ${value2})`;
    }
    function* Visit17(schema3, references, value2, useHoisting = true) {
      const references_ = IsString2(schema3.$id) ? [...references, schema3] : references;
      const schema_ = schema3;
      if (useHoisting && IsString2(schema3.$id)) {
        const functionName = CreateFunctionName(schema3.$id);
        if (state.functions.has(functionName)) {
          return yield `${functionName}(${value2})`;
        } else {
          state.functions.set(functionName, "<deferred>");
          const functionCode = CreateFunction(functionName, schema3, references, "value", false);
          state.functions.set(functionName, functionCode);
          return yield `${functionName}(${value2})`;
        }
      }
      switch (schema_[Kind]) {
        case "Any":
          return yield* FromAny5(schema_, references_, value2);
        case "Argument":
          return yield* FromArgument5(schema_, references_, value2);
        case "Array":
          return yield* FromArray18(schema_, references_, value2);
        case "AsyncIterator":
          return yield* FromAsyncIterator8(schema_, references_, value2);
        case "BigInt":
          return yield* FromBigInt6(schema_, references_, value2);
        case "Boolean":
          return yield* FromBoolean6(schema_, references_, value2);
        case "Constructor":
          return yield* FromConstructor9(schema_, references_, value2);
        case "Date":
          return yield* FromDate8(schema_, references_, value2);
        case "Function":
          return yield* FromFunction8(schema_, references_, value2);
        case "Import":
          return yield* FromImport11(schema_, references_, value2);
        case "Integer":
          return yield* FromInteger6(schema_, references_, value2);
        case "Intersect":
          return yield* FromIntersect19(schema_, references_, value2);
        case "Iterator":
          return yield* FromIterator8(schema_, references_, value2);
        case "Literal":
          return yield* FromLiteral7(schema_, references_, value2);
        case "Never":
          return yield* FromNever6(schema_, references_, value2);
        case "Not":
          return yield* FromNot8(schema_, references_, value2);
        case "Null":
          return yield* FromNull6(schema_, references_, value2);
        case "Number":
          return yield* FromNumber6(schema_, references_, value2);
        case "Object":
          return yield* FromObject19(schema_, references_, value2);
        case "Promise":
          return yield* FromPromise8(schema_, references_, value2);
        case "Record":
          return yield* FromRecord14(schema_, references_, value2);
        case "Ref":
          return yield* FromRef15(schema_, references_, value2);
        case "RegExp":
          return yield* FromRegExp5(schema_, references_, value2);
        case "String":
          return yield* FromString6(schema_, references_, value2);
        case "Symbol":
          return yield* FromSymbol6(schema_, references_, value2);
        case "TemplateLiteral":
          return yield* FromTemplateLiteral7(schema_, references_, value2);
        case "This":
          return yield* FromThis11(schema_, references_, value2);
        case "Tuple":
          return yield* FromTuple16(schema_, references_, value2);
        case "Undefined":
          return yield* FromUndefined6(schema_, references_, value2);
        case "Union":
          return yield* FromUnion21(schema_, references_, value2);
        case "Uint8Array":
          return yield* FromUint8Array5(schema_, references_, value2);
        case "Unknown":
          return yield* FromUnknown5(schema_, references_, value2);
        case "Void":
          return yield* FromVoid5(schema_, references_, value2);
        default:
          if (!exports_type2.Has(schema_[Kind]))
            throw new TypeCompilerUnknownTypeError(schema3);
          return yield* FromKind4(schema_, references_, value2);
      }
    }
    const state = {
      language: "javascript",
      functions: new Map,
      variables: new Map,
      instances: new Map
    };
    function CreateExpression(schema3, references, value2, useHoisting = true) {
      return `(${[...Visit17(schema3, references, value2, useHoisting)].join(" && ")})`;
    }
    function CreateFunctionName($id) {
      return `check_${Identifier.Encode($id)}`;
    }
    function CreateVariable(expression) {
      const variableName = `local_${state.variables.size}`;
      state.variables.set(variableName, `const ${variableName} = ${expression}`);
      return variableName;
    }
    function CreateFunction(name, schema3, references, value2, useHoisting = true) {
      const [newline, pad] = [`
`, (length) => "".padStart(length, " ")];
      const parameter = CreateParameter("value", "any");
      const returns = CreateReturns("boolean");
      const expression = [...Visit17(schema3, references, value2, useHoisting)].map((expression2) => `${pad(4)}${expression2}`).join(` &&${newline}`);
      return `function ${name}(${parameter})${returns} {${newline}${pad(2)}return (${newline}${expression}${newline}${pad(2)})
}`;
    }
    function CreateParameter(name, type4) {
      const annotation = state.language === "typescript" ? `: ${type4}` : "";
      return `${name}${annotation}`;
    }
    function CreateReturns(type4) {
      return state.language === "typescript" ? `: ${type4}` : "";
    }
    function Build(schema3, references, options) {
      const functionCode = CreateFunction("check", schema3, references, "value");
      const parameter = CreateParameter("value", "any");
      const returns = CreateReturns("boolean");
      const functions = [...state.functions.values()];
      const variables = [...state.variables.values()];
      const checkFunction = IsString2(schema3.$id) ? `return function check(${parameter})${returns} {
  return ${CreateFunctionName(schema3.$id)}(value)
}` : `return ${functionCode}`;
      return [...variables, ...functions, checkFunction].join(`
`);
    }
    function Code(...args) {
      const defaults = { language: "javascript" };
      const [schema3, references, options] = args.length === 2 && IsArray2(args[1]) ? [args[0], args[1], defaults] : args.length === 2 && !IsArray2(args[1]) ? [args[0], [], args[1]] : args.length === 3 ? [args[0], args[1], args[2]] : args.length === 1 ? [args[0], [], defaults] : [null, [], defaults];
      state.language = options.language;
      state.variables.clear();
      state.functions.clear();
      state.instances.clear();
      if (!IsSchema2(schema3))
        throw new TypeCompilerTypeGuardError(schema3);
      for (const schema4 of references)
        if (!IsSchema2(schema4))
          throw new TypeCompilerTypeGuardError(schema4);
      return Build(schema3, references, options);
    }
    TypeCompiler2.Code = Code;
    function Compile(schema3, references = []) {
      const generatedCode = Code(schema3, references, { language: "javascript" });
      const compiledFunction = globalThis.Function("kind", "format", "hash", generatedCode);
      const instances = new Map(state.instances);
      function typeRegistryFunction(kind, instance, value2) {
        if (!exports_type2.Has(kind) || !instances.has(instance))
          return false;
        const checkFunc = exports_type2.Get(kind);
        const schema4 = instances.get(instance);
        return checkFunc(schema4, value2);
      }
      function formatRegistryFunction(format2, value2) {
        if (!exports_format.Has(format2))
          return false;
        const checkFunc = exports_format.Get(format2);
        return checkFunc(value2);
      }
      function hashFunction(value2) {
        return Hash(value2);
      }
      const checkFunction = compiledFunction(typeRegistryFunction, formatRegistryFunction, hashFunction);
      return new TypeCheck(schema3, references, checkFunction, generatedCode);
    }
    TypeCompiler2.Compile = Compile;
  })(TypeCompiler || (TypeCompiler = {}));
});

// ../../node_modules/@sinclair/typebox/build/esm/compiler/index.mjs
var init_compiler2 = __esm(() => {
  init_compiler();
});

// ../../node_modules/peek-readable/lib/Errors.js
var defaultMessages = "End-Of-Stream", EndOfStreamError, AbortError;
var init_Errors = __esm(() => {
  EndOfStreamError = class EndOfStreamError extends Error {
    constructor() {
      super(defaultMessages);
      this.name = "EndOfStreamError";
    }
  };
  AbortError = class AbortError extends Error {
    constructor(message = "The operation was aborted") {
      super(message);
      this.name = "AbortError";
    }
  };
});

// ../../node_modules/peek-readable/lib/Deferred.js
class Deferred {
  constructor() {
    this.resolve = () => null;
    this.reject = () => null;
    this.promise = new Promise((resolve, reject) => {
      this.reject = reject;
      this.resolve = resolve;
    });
  }
}

// ../../node_modules/peek-readable/lib/AbstractStreamReader.js
class AbstractStreamReader {
  constructor() {
    this.endOfStream = false;
    this.interrupted = false;
    this.peekQueue = [];
  }
  async peek(uint8Array, mayBeLess = false) {
    const bytesRead = await this.read(uint8Array, mayBeLess);
    this.peekQueue.push(uint8Array.subarray(0, bytesRead));
    return bytesRead;
  }
  async read(buffer, mayBeLess = false) {
    if (buffer.length === 0) {
      return 0;
    }
    let bytesRead = this.readFromPeekBuffer(buffer);
    if (!this.endOfStream) {
      bytesRead += await this.readRemainderFromStream(buffer.subarray(bytesRead), mayBeLess);
    }
    if (bytesRead === 0) {
      throw new EndOfStreamError;
    }
    return bytesRead;
  }
  readFromPeekBuffer(buffer) {
    let remaining = buffer.length;
    let bytesRead = 0;
    while (this.peekQueue.length > 0 && remaining > 0) {
      const peekData = this.peekQueue.pop();
      if (!peekData)
        throw new Error("peekData should be defined");
      const lenCopy = Math.min(peekData.length, remaining);
      buffer.set(peekData.subarray(0, lenCopy), bytesRead);
      bytesRead += lenCopy;
      remaining -= lenCopy;
      if (lenCopy < peekData.length) {
        this.peekQueue.push(peekData.subarray(lenCopy));
      }
    }
    return bytesRead;
  }
  async readRemainderFromStream(buffer, mayBeLess) {
    let bytesRead = 0;
    while (bytesRead < buffer.length && !this.endOfStream) {
      if (this.interrupted) {
        throw new AbortError;
      }
      const chunkLen = await this.readFromStream(buffer.subarray(bytesRead), mayBeLess);
      if (chunkLen === 0)
        break;
      bytesRead += chunkLen;
    }
    if (!mayBeLess && bytesRead < buffer.length) {
      throw new EndOfStreamError;
    }
    return bytesRead;
  }
}
var init_AbstractStreamReader = __esm(() => {
  init_Errors();
});

// ../../node_modules/peek-readable/lib/StreamReader.js
var StreamReader;
var init_StreamReader = __esm(() => {
  init_Errors();
  init_AbstractStreamReader();
  StreamReader = class StreamReader extends AbstractStreamReader {
    constructor(s) {
      super();
      this.s = s;
      this.deferred = null;
      if (!s.read || !s.once) {
        throw new Error("Expected an instance of stream.Readable");
      }
      this.s.once("end", () => {
        this.endOfStream = true;
        if (this.deferred) {
          this.deferred.resolve(0);
        }
      });
      this.s.once("error", (err) => this.reject(err));
      this.s.once("close", () => this.abort());
    }
    async readFromStream(buffer, mayBeLess) {
      if (buffer.length === 0)
        return 0;
      const readBuffer = this.s.read(buffer.length);
      if (readBuffer) {
        buffer.set(readBuffer);
        return readBuffer.length;
      }
      const request = {
        buffer,
        mayBeLess,
        deferred: new Deferred
      };
      this.deferred = request.deferred;
      this.s.once("readable", () => {
        this.readDeferred(request);
      });
      return request.deferred.promise;
    }
    readDeferred(request) {
      const readBuffer = this.s.read(request.buffer.length);
      if (readBuffer) {
        request.buffer.set(readBuffer);
        request.deferred.resolve(readBuffer.length);
        this.deferred = null;
      } else {
        this.s.once("readable", () => {
          this.readDeferred(request);
        });
      }
    }
    reject(err) {
      this.interrupted = true;
      if (this.deferred) {
        this.deferred.reject(err);
        this.deferred = null;
      }
    }
    async abort() {
      this.reject(new AbortError);
    }
    async close() {
      return this.abort();
    }
  };
});

// ../../node_modules/peek-readable/lib/WebStreamReader.js
var WebStreamReader;
var init_WebStreamReader = __esm(() => {
  init_AbstractStreamReader();
  WebStreamReader = class WebStreamReader extends AbstractStreamReader {
    constructor(reader) {
      super();
      this.reader = reader;
    }
    async abort() {
      return this.close();
    }
    async close() {
      this.reader.releaseLock();
    }
  };
});

// ../../node_modules/peek-readable/lib/WebStreamByobReader.js
var WebStreamByobReader;
var init_WebStreamByobReader = __esm(() => {
  init_WebStreamReader();
  WebStreamByobReader = class WebStreamByobReader extends WebStreamReader {
    async readFromStream(buffer, mayBeLess) {
      if (buffer.length === 0)
        return 0;
      const result = await this.reader.read(new Uint8Array(buffer.length), { min: mayBeLess ? undefined : buffer.length });
      if (result.done) {
        this.endOfStream = result.done;
      }
      if (result.value) {
        buffer.set(result.value);
        return result.value.length;
      }
      return 0;
    }
  };
});

// ../../node_modules/peek-readable/lib/WebStreamDefaultReader.js
var WebStreamDefaultReader;
var init_WebStreamDefaultReader = __esm(() => {
  init_Errors();
  init_AbstractStreamReader();
  WebStreamDefaultReader = class WebStreamDefaultReader extends AbstractStreamReader {
    constructor(reader) {
      super();
      this.reader = reader;
      this.buffer = null;
    }
    writeChunk(target, chunk) {
      const written = Math.min(chunk.length, target.length);
      target.set(chunk.subarray(0, written));
      if (written < chunk.length) {
        this.buffer = chunk.subarray(written);
      } else {
        this.buffer = null;
      }
      return written;
    }
    async readFromStream(buffer, mayBeLess) {
      if (buffer.length === 0)
        return 0;
      let totalBytesRead = 0;
      if (this.buffer) {
        totalBytesRead += this.writeChunk(buffer, this.buffer);
      }
      while (totalBytesRead < buffer.length && !this.endOfStream) {
        const result = await this.reader.read();
        if (result.done) {
          this.endOfStream = true;
          break;
        }
        if (result.value) {
          totalBytesRead += this.writeChunk(buffer.subarray(totalBytesRead), result.value);
        }
      }
      if (totalBytesRead === 0 && this.endOfStream) {
        throw new EndOfStreamError;
      }
      return totalBytesRead;
    }
    abort() {
      this.interrupted = true;
      return this.reader.cancel();
    }
    async close() {
      await this.abort();
      this.reader.releaseLock();
    }
  };
});

// ../../node_modules/peek-readable/lib/WebStreamReaderFactory.js
function makeWebStreamReader(stream) {
  try {
    const reader = stream.getReader({ mode: "byob" });
    if (reader instanceof ReadableStreamDefaultReader) {
      return new WebStreamDefaultReader(reader);
    }
    return new WebStreamByobReader(reader);
  } catch (error3) {
    if (error3 instanceof TypeError) {
      return new WebStreamDefaultReader(stream.getReader());
    }
    throw error3;
  }
}
var init_WebStreamReaderFactory = __esm(() => {
  init_WebStreamByobReader();
  init_WebStreamDefaultReader();
});

// ../../node_modules/peek-readable/lib/index.js
var init_lib = __esm(() => {
  init_Errors();
  init_StreamReader();
  init_WebStreamByobReader();
  init_WebStreamDefaultReader();
  init_WebStreamReaderFactory();
});

// ../../node_modules/strtok3/lib/AbstractTokenizer.js
class AbstractTokenizer {
  constructor(options) {
    this.numBuffer = new Uint8Array(8);
    this.position = 0;
    this.onClose = options?.onClose;
    if (options?.abortSignal) {
      options.abortSignal.addEventListener("abort", () => {
        this.abort();
      });
    }
  }
  async readToken(token, position = this.position) {
    const uint8Array = new Uint8Array(token.len);
    const len = await this.readBuffer(uint8Array, { position });
    if (len < token.len)
      throw new EndOfStreamError;
    return token.get(uint8Array, 0);
  }
  async peekToken(token, position = this.position) {
    const uint8Array = new Uint8Array(token.len);
    const len = await this.peekBuffer(uint8Array, { position });
    if (len < token.len)
      throw new EndOfStreamError;
    return token.get(uint8Array, 0);
  }
  async readNumber(token) {
    const len = await this.readBuffer(this.numBuffer, { length: token.len });
    if (len < token.len)
      throw new EndOfStreamError;
    return token.get(this.numBuffer, 0);
  }
  async peekNumber(token) {
    const len = await this.peekBuffer(this.numBuffer, { length: token.len });
    if (len < token.len)
      throw new EndOfStreamError;
    return token.get(this.numBuffer, 0);
  }
  async ignore(length) {
    if (this.fileInfo.size !== undefined) {
      const bytesLeft = this.fileInfo.size - this.position;
      if (length > bytesLeft) {
        this.position += bytesLeft;
        return bytesLeft;
      }
    }
    this.position += length;
    return length;
  }
  async close() {
    await this.abort();
    await this.onClose?.();
  }
  normalizeOptions(uint8Array, options) {
    if (!this.supportsRandomAccess() && options && options.position !== undefined && options.position < this.position) {
      throw new Error("`options.position` must be equal or greater than `tokenizer.position`");
    }
    return {
      ...{
        mayBeLess: false,
        offset: 0,
        length: uint8Array.length,
        position: this.position
      },
      ...options
    };
  }
  abort() {
    return Promise.resolve();
  }
}
var init_AbstractTokenizer = __esm(() => {
  init_lib();
});

// ../../node_modules/strtok3/lib/ReadStreamTokenizer.js
var maxBufferSize = 256000, ReadStreamTokenizer;
var init_ReadStreamTokenizer = __esm(() => {
  init_AbstractTokenizer();
  init_lib();
  ReadStreamTokenizer = class ReadStreamTokenizer extends AbstractTokenizer {
    constructor(streamReader, options) {
      super(options);
      this.streamReader = streamReader;
      this.fileInfo = options?.fileInfo ?? {};
    }
    async readBuffer(uint8Array, options) {
      const normOptions = this.normalizeOptions(uint8Array, options);
      const skipBytes = normOptions.position - this.position;
      if (skipBytes > 0) {
        await this.ignore(skipBytes);
        return this.readBuffer(uint8Array, options);
      }
      if (skipBytes < 0) {
        throw new Error("`options.position` must be equal or greater than `tokenizer.position`");
      }
      if (normOptions.length === 0) {
        return 0;
      }
      const bytesRead = await this.streamReader.read(uint8Array.subarray(0, normOptions.length), normOptions.mayBeLess);
      this.position += bytesRead;
      if ((!options || !options.mayBeLess) && bytesRead < normOptions.length) {
        throw new EndOfStreamError;
      }
      return bytesRead;
    }
    async peekBuffer(uint8Array, options) {
      const normOptions = this.normalizeOptions(uint8Array, options);
      let bytesRead = 0;
      if (normOptions.position) {
        const skipBytes = normOptions.position - this.position;
        if (skipBytes > 0) {
          const skipBuffer = new Uint8Array(normOptions.length + skipBytes);
          bytesRead = await this.peekBuffer(skipBuffer, { mayBeLess: normOptions.mayBeLess });
          uint8Array.set(skipBuffer.subarray(skipBytes));
          return bytesRead - skipBytes;
        }
        if (skipBytes < 0) {
          throw new Error("Cannot peek from a negative offset in a stream");
        }
      }
      if (normOptions.length > 0) {
        try {
          bytesRead = await this.streamReader.peek(uint8Array.subarray(0, normOptions.length), normOptions.mayBeLess);
        } catch (err) {
          if (options?.mayBeLess && err instanceof EndOfStreamError) {
            return 0;
          }
          throw err;
        }
        if (!normOptions.mayBeLess && bytesRead < normOptions.length) {
          throw new EndOfStreamError;
        }
      }
      return bytesRead;
    }
    async ignore(length) {
      const bufSize = Math.min(maxBufferSize, length);
      const buf = new Uint8Array(bufSize);
      let totBytesRead = 0;
      while (totBytesRead < length) {
        const remaining = length - totBytesRead;
        const bytesRead = await this.readBuffer(buf, { length: Math.min(bufSize, remaining) });
        if (bytesRead < 0) {
          return bytesRead;
        }
        totBytesRead += bytesRead;
      }
      return totBytesRead;
    }
    abort() {
      return this.streamReader.abort();
    }
    async close() {
      return this.streamReader.close();
    }
    supportsRandomAccess() {
      return false;
    }
  };
});

// ../../node_modules/strtok3/lib/BufferTokenizer.js
var BufferTokenizer;
var init_BufferTokenizer = __esm(() => {
  init_lib();
  init_AbstractTokenizer();
  BufferTokenizer = class BufferTokenizer extends AbstractTokenizer {
    constructor(uint8Array, options) {
      super(options);
      this.uint8Array = uint8Array;
      this.fileInfo = { ...options?.fileInfo ?? {}, ...{ size: uint8Array.length } };
    }
    async readBuffer(uint8Array, options) {
      if (options?.position) {
        this.position = options.position;
      }
      const bytesRead = await this.peekBuffer(uint8Array, options);
      this.position += bytesRead;
      return bytesRead;
    }
    async peekBuffer(uint8Array, options) {
      const normOptions = this.normalizeOptions(uint8Array, options);
      const bytes2read = Math.min(this.uint8Array.length - normOptions.position, normOptions.length);
      if (!normOptions.mayBeLess && bytes2read < normOptions.length) {
        throw new EndOfStreamError;
      }
      uint8Array.set(this.uint8Array.subarray(normOptions.position, normOptions.position + bytes2read));
      return bytes2read;
    }
    close() {
      return super.close();
    }
    supportsRandomAccess() {
      return true;
    }
    setPosition(position) {
      this.position = position;
    }
  };
});

// ../../node_modules/strtok3/lib/core.js
function fromStream(stream, options) {
  const streamReader = new StreamReader(stream);
  const _options = options ?? {};
  const chainedClose = _options.onClose;
  _options.onClose = async () => {
    await streamReader.close();
    if (chainedClose) {
      return chainedClose();
    }
  };
  return new ReadStreamTokenizer(streamReader, _options);
}
function fromWebStream(webStream, options) {
  const webStreamReader = makeWebStreamReader(webStream);
  const _options = options ?? {};
  const chainedClose = _options.onClose;
  _options.onClose = async () => {
    await webStreamReader.close();
    if (chainedClose) {
      return chainedClose();
    }
  };
  return new ReadStreamTokenizer(webStreamReader, _options);
}
function fromBuffer(uint8Array, options) {
  return new BufferTokenizer(uint8Array, options);
}
var init_core = __esm(() => {
  init_lib();
  init_ReadStreamTokenizer();
  init_BufferTokenizer();
  init_lib();
  init_AbstractTokenizer();
});

// ../../node_modules/strtok3/lib/FileTokenizer.js
import { open as fsOpen } from "fs/promises";
var FileTokenizer;
var init_FileTokenizer = __esm(() => {
  init_AbstractTokenizer();
  init_lib();
  FileTokenizer = class FileTokenizer extends AbstractTokenizer {
    static async fromFile(sourceFilePath) {
      const fileHandle = await fsOpen(sourceFilePath, "r");
      const stat = await fileHandle.stat();
      return new FileTokenizer(fileHandle, { fileInfo: { path: sourceFilePath, size: stat.size } });
    }
    constructor(fileHandle, options) {
      super(options);
      this.fileHandle = fileHandle;
      this.fileInfo = options.fileInfo;
    }
    async readBuffer(uint8Array, options) {
      const normOptions = this.normalizeOptions(uint8Array, options);
      this.position = normOptions.position;
      if (normOptions.length === 0)
        return 0;
      const res = await this.fileHandle.read(uint8Array, 0, normOptions.length, normOptions.position);
      this.position += res.bytesRead;
      if (res.bytesRead < normOptions.length && (!options || !options.mayBeLess)) {
        throw new EndOfStreamError;
      }
      return res.bytesRead;
    }
    async peekBuffer(uint8Array, options) {
      const normOptions = this.normalizeOptions(uint8Array, options);
      const res = await this.fileHandle.read(uint8Array, 0, normOptions.length, normOptions.position);
      if (!normOptions.mayBeLess && res.bytesRead < normOptions.length) {
        throw new EndOfStreamError;
      }
      return res.bytesRead;
    }
    async close() {
      await this.fileHandle.close();
      return super.close();
    }
    setPosition(position) {
      this.position = position;
    }
    supportsRandomAccess() {
      return true;
    }
  };
});

// ../../node_modules/strtok3/lib/index.js
import { stat as fsStat } from "fs/promises";
async function fromStream2(stream, options) {
  const rst = fromStream(stream, options);
  if (stream.path) {
    const stat = await fsStat(stream.path);
    rst.fileInfo.path = stream.path;
    rst.fileInfo.size = stat.size;
  }
  return rst;
}
var fromFile;
var init_lib2 = __esm(() => {
  init_core();
  init_FileTokenizer();
  init_FileTokenizer();
  init_core();
  fromFile = FileTokenizer.fromFile;
});

// ../../node_modules/ieee754/index.js
var init_ieee754 = __esm(() => {
  /*! ieee754. BSD-3-Clause License. Feross Aboukhadijeh <https://feross.org/opensource> */
});

// ../../node_modules/token-types/lib/index.js
function dv(array3) {
  return new DataView(array3.buffer, array3.byteOffset);
}

class StringType2 {
  constructor(len, encoding) {
    this.len = len;
    this.encoding = encoding;
    this.textDecoder = new TextDecoder(encoding);
  }
  get(uint8Array, offset) {
    return this.textDecoder.decode(uint8Array.subarray(offset, offset + this.len));
  }
}
var UINT8, UINT16_LE, UINT16_BE, UINT32_LE, UINT32_BE, INT32_BE, UINT64_LE;
var init_lib3 = __esm(() => {
  init_ieee754();
  UINT8 = {
    len: 1,
    get(array3, offset) {
      return dv(array3).getUint8(offset);
    },
    put(array3, offset, value2) {
      dv(array3).setUint8(offset, value2);
      return offset + 1;
    }
  };
  UINT16_LE = {
    len: 2,
    get(array3, offset) {
      return dv(array3).getUint16(offset, true);
    },
    put(array3, offset, value2) {
      dv(array3).setUint16(offset, value2, true);
      return offset + 2;
    }
  };
  UINT16_BE = {
    len: 2,
    get(array3, offset) {
      return dv(array3).getUint16(offset);
    },
    put(array3, offset, value2) {
      dv(array3).setUint16(offset, value2);
      return offset + 2;
    }
  };
  UINT32_LE = {
    len: 4,
    get(array3, offset) {
      return dv(array3).getUint32(offset, true);
    },
    put(array3, offset, value2) {
      dv(array3).setUint32(offset, value2, true);
      return offset + 4;
    }
  };
  UINT32_BE = {
    len: 4,
    get(array3, offset) {
      return dv(array3).getUint32(offset);
    },
    put(array3, offset, value2) {
      dv(array3).setUint32(offset, value2);
      return offset + 4;
    }
  };
  INT32_BE = {
    len: 4,
    get(array3, offset) {
      return dv(array3).getInt32(offset);
    },
    put(array3, offset, value2) {
      dv(array3).setInt32(offset, value2);
      return offset + 4;
    }
  };
  UINT64_LE = {
    len: 8,
    get(array3, offset) {
      return dv(array3).getBigUint64(offset, true);
    },
    put(array3, offset, value2) {
      dv(array3).setBigUint64(offset, value2, true);
      return offset + 8;
    }
  };
});

// ../../node_modules/fflate/esm/index.mjs
import { createRequire } from "module";
function inflateSync(data, opts) {
  return inflt(data, { i: 2 }, opts && opts.out, opts && opts.dictionary);
}
function gunzipSync(data, opts) {
  var st = gzs(data);
  if (st + 8 > data.length)
    err(6, "invalid gzip data");
  return inflt(data.subarray(st, -8), { i: 2 }, opts && opts.out || new u8(gzl(data)), opts && opts.dictionary);
}
function unzlibSync(data, opts) {
  return inflt(data.subarray(zls(data, opts && opts.dictionary), -4), { i: 2 }, opts && opts.out, opts && opts.dictionary);
}
function decompressSync(data, opts) {
  return data[0] == 31 && data[1] == 139 && data[2] == 8 ? gunzipSync(data, opts) : (data[0] & 15) != 8 || data[0] >> 4 > 7 || (data[0] << 8 | data[1]) % 31 ? inflateSync(data, opts) : unzlibSync(data, opts);
}
var require2, Worker, u8, u16, i32, fleb, fdeb, clim, freb = function(eb, start) {
  var b = new u16(31);
  for (var i = 0;i < 31; ++i) {
    b[i] = start += 1 << eb[i - 1];
  }
  var r = new i32(b[30]);
  for (var i = 1;i < 30; ++i) {
    for (var j = b[i];j < b[i + 1]; ++j) {
      r[j] = j - b[i] << 5 | i;
    }
  }
  return { b, r };
}, _a, fl, revfl, _b, fd, revfd, rev, x, i, hMap = function(cd, mb, r) {
  var s = cd.length;
  var i = 0;
  var l = new u16(mb);
  for (;i < s; ++i) {
    if (cd[i])
      ++l[cd[i] - 1];
  }
  var le = new u16(mb);
  for (i = 1;i < mb; ++i) {
    le[i] = le[i - 1] + l[i - 1] << 1;
  }
  var co;
  if (r) {
    co = new u16(1 << mb);
    var rvb = 15 - mb;
    for (i = 0;i < s; ++i) {
      if (cd[i]) {
        var sv = i << 4 | cd[i];
        var r_1 = mb - cd[i];
        var v = le[cd[i] - 1]++ << r_1;
        for (var m = v | (1 << r_1) - 1;v <= m; ++v) {
          co[rev[v] >> rvb] = sv;
        }
      }
    }
  } else {
    co = new u16(s);
    for (i = 0;i < s; ++i) {
      if (cd[i]) {
        co[i] = rev[le[cd[i] - 1]++] >> 15 - cd[i];
      }
    }
  }
  return co;
}, flt, i, i, i, i, fdt, i, flrm, fdrm, max = function(a) {
  var m = a[0];
  for (var i = 1;i < a.length; ++i) {
    if (a[i] > m)
      m = a[i];
  }
  return m;
}, bits = function(d, p, m) {
  var o = p / 8 | 0;
  return (d[o] | d[o + 1] << 8) >> (p & 7) & m;
}, bits16 = function(d, p) {
  var o = p / 8 | 0;
  return (d[o] | d[o + 1] << 8 | d[o + 2] << 16) >> (p & 7);
}, shft = function(p) {
  return (p + 7) / 8 | 0;
}, slc = function(v, s, e) {
  if (s == null || s < 0)
    s = 0;
  if (e == null || e > v.length)
    e = v.length;
  return new u8(v.subarray(s, e));
}, ec, err = function(ind, msg, nt) {
  var e = new Error(msg || ec[ind]);
  e.code = ind;
  if (Error.captureStackTrace)
    Error.captureStackTrace(e, err);
  if (!nt)
    throw e;
  return e;
}, inflt = function(dat, st, buf, dict) {
  var sl = dat.length, dl = dict ? dict.length : 0;
  if (!sl || st.f && !st.l)
    return buf || new u8(0);
  var noBuf = !buf;
  var resize = noBuf || st.i != 2;
  var noSt = st.i;
  if (noBuf)
    buf = new u8(sl * 3);
  var cbuf = function(l2) {
    var bl = buf.length;
    if (l2 > bl) {
      var nbuf = new u8(Math.max(bl * 2, l2));
      nbuf.set(buf);
      buf = nbuf;
    }
  };
  var final = st.f || 0, pos = st.p || 0, bt = st.b || 0, lm = st.l, dm = st.d, lbt = st.m, dbt = st.n;
  var tbts = sl * 8;
  do {
    if (!lm) {
      final = bits(dat, pos, 1);
      var type4 = bits(dat, pos + 1, 3);
      pos += 3;
      if (!type4) {
        var s = shft(pos) + 4, l = dat[s - 4] | dat[s - 3] << 8, t = s + l;
        if (t > sl) {
          if (noSt)
            err(0);
          break;
        }
        if (resize)
          cbuf(bt + l);
        buf.set(dat.subarray(s, t), bt);
        st.b = bt += l, st.p = pos = t * 8, st.f = final;
        continue;
      } else if (type4 == 1)
        lm = flrm, dm = fdrm, lbt = 9, dbt = 5;
      else if (type4 == 2) {
        var hLit = bits(dat, pos, 31) + 257, hcLen = bits(dat, pos + 10, 15) + 4;
        var tl = hLit + bits(dat, pos + 5, 31) + 1;
        pos += 14;
        var ldt = new u8(tl);
        var clt = new u8(19);
        for (var i = 0;i < hcLen; ++i) {
          clt[clim[i]] = bits(dat, pos + i * 3, 7);
        }
        pos += hcLen * 3;
        var clb = max(clt), clbmsk = (1 << clb) - 1;
        var clm = hMap(clt, clb, 1);
        for (var i = 0;i < tl; ) {
          var r = clm[bits(dat, pos, clbmsk)];
          pos += r & 15;
          var s = r >> 4;
          if (s < 16) {
            ldt[i++] = s;
          } else {
            var c = 0, n = 0;
            if (s == 16)
              n = 3 + bits(dat, pos, 3), pos += 2, c = ldt[i - 1];
            else if (s == 17)
              n = 3 + bits(dat, pos, 7), pos += 3;
            else if (s == 18)
              n = 11 + bits(dat, pos, 127), pos += 7;
            while (n--)
              ldt[i++] = c;
          }
        }
        var lt = ldt.subarray(0, hLit), dt = ldt.subarray(hLit);
        lbt = max(lt);
        dbt = max(dt);
        lm = hMap(lt, lbt, 1);
        dm = hMap(dt, dbt, 1);
      } else
        err(1);
      if (pos > tbts) {
        if (noSt)
          err(0);
        break;
      }
    }
    if (resize)
      cbuf(bt + 131072);
    var lms = (1 << lbt) - 1, dms = (1 << dbt) - 1;
    var lpos = pos;
    for (;; lpos = pos) {
      var c = lm[bits16(dat, pos) & lms], sym = c >> 4;
      pos += c & 15;
      if (pos > tbts) {
        if (noSt)
          err(0);
        break;
      }
      if (!c)
        err(2);
      if (sym < 256)
        buf[bt++] = sym;
      else if (sym == 256) {
        lpos = pos, lm = null;
        break;
      } else {
        var add = sym - 254;
        if (sym > 264) {
          var i = sym - 257, b = fleb[i];
          add = bits(dat, pos, (1 << b) - 1) + fl[i];
          pos += b;
        }
        var d = dm[bits16(dat, pos) & dms], dsym = d >> 4;
        if (!d)
          err(3);
        pos += d & 15;
        var dt = fd[dsym];
        if (dsym > 3) {
          var b = fdeb[dsym];
          dt += bits16(dat, pos) & (1 << b) - 1, pos += b;
        }
        if (pos > tbts) {
          if (noSt)
            err(0);
          break;
        }
        if (resize)
          cbuf(bt + 131072);
        var end = bt + add;
        if (bt < dt) {
          var shift = dl - dt, dend = Math.min(dt, end);
          if (shift + bt < 0)
            err(3);
          for (;bt < dend; ++bt)
            buf[bt] = dict[shift + bt];
        }
        for (;bt < end; ++bt)
          buf[bt] = buf[bt - dt];
      }
    }
    st.l = lm, st.p = lpos, st.b = bt, st.f = final;
    if (lm)
      final = 1, st.m = lbt, st.d = dm, st.n = dbt;
  } while (!final);
  return bt != buf.length && noBuf ? slc(buf, 0, bt) : buf.subarray(0, bt);
}, et, gzs = function(d) {
  if (d[0] != 31 || d[1] != 139 || d[2] != 8)
    err(6, "invalid gzip data");
  var flg = d[3];
  var st = 10;
  if (flg & 4)
    st += (d[10] | d[11] << 8) + 2;
  for (var zs = (flg >> 3 & 1) + (flg >> 4 & 1);zs > 0; zs -= !d[st++])
    ;
  return st + (flg & 2);
}, gzl = function(d) {
  var l = d.length;
  return (d[l - 4] | d[l - 3] << 8 | d[l - 2] << 16 | d[l - 1] << 24) >>> 0;
}, zls = function(d, dict) {
  if ((d[0] & 15) != 8 || d[0] >> 4 > 7 || (d[0] << 8 | d[1]) % 31)
    err(6, "invalid zlib data");
  if ((d[1] >> 5 & 1) == +!dict)
    err(6, "invalid zlib data: " + (d[1] & 32 ? "need" : "unexpected") + " dictionary");
  return (d[1] >> 3 & 4) + 2;
}, td, tds = 0;
var init_esm2 = __esm(() => {
  require2 = createRequire("/");
  try {
    Worker = require2("worker_threads").Worker;
  } catch (e) {
  }
  u8 = Uint8Array;
  u16 = Uint16Array;
  i32 = Int32Array;
  fleb = new u8([0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 5, 5, 5, 5, 0, 0, 0, 0]);
  fdeb = new u8([0, 0, 0, 0, 1, 1, 2, 2, 3, 3, 4, 4, 5, 5, 6, 6, 7, 7, 8, 8, 9, 9, 10, 10, 11, 11, 12, 12, 13, 13, 0, 0]);
  clim = new u8([16, 17, 18, 0, 8, 7, 9, 6, 10, 5, 11, 4, 12, 3, 13, 2, 14, 1, 15]);
  _a = freb(fleb, 2);
  fl = _a.b;
  revfl = _a.r;
  fl[28] = 258, revfl[258] = 28;
  _b = freb(fdeb, 0);
  fd = _b.b;
  revfd = _b.r;
  rev = new u16(32768);
  for (i = 0;i < 32768; ++i) {
    x = (i & 43690) >> 1 | (i & 21845) << 1;
    x = (x & 52428) >> 2 | (x & 13107) << 2;
    x = (x & 61680) >> 4 | (x & 3855) << 4;
    rev[i] = ((x & 65280) >> 8 | (x & 255) << 8) >> 1;
  }
  flt = new u8(288);
  for (i = 0;i < 144; ++i)
    flt[i] = 8;
  for (i = 144;i < 256; ++i)
    flt[i] = 9;
  for (i = 256;i < 280; ++i)
    flt[i] = 7;
  for (i = 280;i < 288; ++i)
    flt[i] = 8;
  fdt = new u8(32);
  for (i = 0;i < 32; ++i)
    fdt[i] = 5;
  flrm = /* @__PURE__ */ hMap(flt, 9, 1);
  fdrm = /* @__PURE__ */ hMap(fdt, 5, 1);
  ec = [
    "unexpected EOF",
    "invalid block type",
    "invalid length/literal",
    "invalid distance",
    "stream finished",
    "no stream handler",
    ,
    "no callback",
    "invalid UTF-8 data",
    "extra field too long",
    "date not in range 1980-2099",
    "filename too long",
    "stream finishing",
    "invalid zip data"
  ];
  et = /* @__PURE__ */ new u8(0);
  td = typeof TextDecoder != "undefined" && /* @__PURE__ */ new TextDecoder;
  try {
    td.decode(et, { stream: true });
    tds = 1;
  } catch (e) {
  }
});

// ../../node_modules/@tokenizer/inflate/node_modules/debug/src/common.js
var require_common3 = __commonJS((exports, module3) => {
  function setup(env) {
    createDebug.debug = createDebug;
    createDebug.default = createDebug;
    createDebug.coerce = coerce;
    createDebug.disable = disable;
    createDebug.enable = enable;
    createDebug.enabled = enabled;
    createDebug.humanize = require_ms();
    createDebug.destroy = destroy;
    Object.keys(env).forEach((key) => {
      createDebug[key] = env[key];
    });
    createDebug.names = [];
    createDebug.skips = [];
    createDebug.formatters = {};
    function selectColor(namespace) {
      let hash3 = 0;
      for (let i = 0;i < namespace.length; i++) {
        hash3 = (hash3 << 5) - hash3 + namespace.charCodeAt(i);
        hash3 |= 0;
      }
      return createDebug.colors[Math.abs(hash3) % createDebug.colors.length];
    }
    createDebug.selectColor = selectColor;
    function createDebug(namespace) {
      let prevTime;
      let enableOverride = null;
      let namespacesCache;
      let enabledCache;
      function debug(...args) {
        if (!debug.enabled) {
          return;
        }
        const self2 = debug;
        const curr = Number(new Date);
        const ms = curr - (prevTime || curr);
        self2.diff = ms;
        self2.prev = prevTime;
        self2.curr = curr;
        prevTime = curr;
        args[0] = createDebug.coerce(args[0]);
        if (typeof args[0] !== "string") {
          args.unshift("%O");
        }
        let index = 0;
        args[0] = args[0].replace(/%([a-zA-Z%])/g, (match, format2) => {
          if (match === "%%") {
            return "%";
          }
          index++;
          const formatter = createDebug.formatters[format2];
          if (typeof formatter === "function") {
            const val = args[index];
            match = formatter.call(self2, val);
            args.splice(index, 1);
            index--;
          }
          return match;
        });
        createDebug.formatArgs.call(self2, args);
        const logFn = self2.log || createDebug.log;
        logFn.apply(self2, args);
      }
      debug.namespace = namespace;
      debug.useColors = createDebug.useColors();
      debug.color = createDebug.selectColor(namespace);
      debug.extend = extend;
      debug.destroy = createDebug.destroy;
      Object.defineProperty(debug, "enabled", {
        enumerable: true,
        configurable: false,
        get: () => {
          if (enableOverride !== null) {
            return enableOverride;
          }
          if (namespacesCache !== createDebug.namespaces) {
            namespacesCache = createDebug.namespaces;
            enabledCache = createDebug.enabled(namespace);
          }
          return enabledCache;
        },
        set: (v) => {
          enableOverride = v;
        }
      });
      if (typeof createDebug.init === "function") {
        createDebug.init(debug);
      }
      return debug;
    }
    function extend(namespace, delimiter) {
      const newDebug = createDebug(this.namespace + (typeof delimiter === "undefined" ? ":" : delimiter) + namespace);
      newDebug.log = this.log;
      return newDebug;
    }
    function enable(namespaces) {
      createDebug.save(namespaces);
      createDebug.namespaces = namespaces;
      createDebug.names = [];
      createDebug.skips = [];
      const split = (typeof namespaces === "string" ? namespaces : "").trim().replace(" ", ",").split(",").filter(Boolean);
      for (const ns of split) {
        if (ns[0] === "-") {
          createDebug.skips.push(ns.slice(1));
        } else {
          createDebug.names.push(ns);
        }
      }
    }
    function matchesTemplate(search, template) {
      let searchIndex = 0;
      let templateIndex = 0;
      let starIndex = -1;
      let matchIndex = 0;
      while (searchIndex < search.length) {
        if (templateIndex < template.length && (template[templateIndex] === search[searchIndex] || template[templateIndex] === "*")) {
          if (template[templateIndex] === "*") {
            starIndex = templateIndex;
            matchIndex = searchIndex;
            templateIndex++;
          } else {
            searchIndex++;
            templateIndex++;
          }
        } else if (starIndex !== -1) {
          templateIndex = starIndex + 1;
          matchIndex++;
          searchIndex = matchIndex;
        } else {
          return false;
        }
      }
      while (templateIndex < template.length && template[templateIndex] === "*") {
        templateIndex++;
      }
      return templateIndex === template.length;
    }
    function disable() {
      const namespaces = [
        ...createDebug.names,
        ...createDebug.skips.map((namespace) => "-" + namespace)
      ].join(",");
      createDebug.enable("");
      return namespaces;
    }
    function enabled(name) {
      for (const skip of createDebug.skips) {
        if (matchesTemplate(name, skip)) {
          return false;
        }
      }
      for (const ns of createDebug.names) {
        if (matchesTemplate(name, ns)) {
          return true;
        }
      }
      return false;
    }
    function coerce(val) {
      if (val instanceof Error) {
        return val.stack || val.message;
      }
      return val;
    }
    function destroy() {
      console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
    }
    createDebug.enable(createDebug.load());
    return createDebug;
  }
  module3.exports = setup;
});

// ../../node_modules/@tokenizer/inflate/node_modules/debug/src/browser.js
var require_browser = __commonJS((exports, module3) => {
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.storage = localstorage();
  exports.destroy = (() => {
    let warned = false;
    return () => {
      if (!warned) {
        warned = true;
        console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
      }
    };
  })();
  exports.colors = [
    "#0000CC",
    "#0000FF",
    "#0033CC",
    "#0033FF",
    "#0066CC",
    "#0066FF",
    "#0099CC",
    "#0099FF",
    "#00CC00",
    "#00CC33",
    "#00CC66",
    "#00CC99",
    "#00CCCC",
    "#00CCFF",
    "#3300CC",
    "#3300FF",
    "#3333CC",
    "#3333FF",
    "#3366CC",
    "#3366FF",
    "#3399CC",
    "#3399FF",
    "#33CC00",
    "#33CC33",
    "#33CC66",
    "#33CC99",
    "#33CCCC",
    "#33CCFF",
    "#6600CC",
    "#6600FF",
    "#6633CC",
    "#6633FF",
    "#66CC00",
    "#66CC33",
    "#9900CC",
    "#9900FF",
    "#9933CC",
    "#9933FF",
    "#99CC00",
    "#99CC33",
    "#CC0000",
    "#CC0033",
    "#CC0066",
    "#CC0099",
    "#CC00CC",
    "#CC00FF",
    "#CC3300",
    "#CC3333",
    "#CC3366",
    "#CC3399",
    "#CC33CC",
    "#CC33FF",
    "#CC6600",
    "#CC6633",
    "#CC9900",
    "#CC9933",
    "#CCCC00",
    "#CCCC33",
    "#FF0000",
    "#FF0033",
    "#FF0066",
    "#FF0099",
    "#FF00CC",
    "#FF00FF",
    "#FF3300",
    "#FF3333",
    "#FF3366",
    "#FF3399",
    "#FF33CC",
    "#FF33FF",
    "#FF6600",
    "#FF6633",
    "#FF9900",
    "#FF9933",
    "#FFCC00",
    "#FFCC33"
  ];
  function useColors() {
    if (typeof window !== "undefined" && window.process && (window.process.type === "renderer" || window.process.__nwjs)) {
      return true;
    }
    if (typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/)) {
      return false;
    }
    let m;
    return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || typeof navigator !== "undefined" && navigator.userAgent && (m = navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/)) && parseInt(m[1], 10) >= 31 || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
  }
  function formatArgs(args) {
    args[0] = (this.useColors ? "%c" : "") + this.namespace + (this.useColors ? " %c" : " ") + args[0] + (this.useColors ? "%c " : " ") + "+" + module3.exports.humanize(this.diff);
    if (!this.useColors) {
      return;
    }
    const c = "color: " + this.color;
    args.splice(1, 0, c, "color: inherit");
    let index = 0;
    let lastC = 0;
    args[0].replace(/%[a-zA-Z%]/g, (match) => {
      if (match === "%%") {
        return;
      }
      index++;
      if (match === "%c") {
        lastC = index;
      }
    });
    args.splice(lastC, 0, c);
  }
  exports.log = console.debug || console.log || (() => {
  });
  function save(namespaces) {
    try {
      if (namespaces) {
        exports.storage.setItem("debug", namespaces);
      } else {
        exports.storage.removeItem("debug");
      }
    } catch (error3) {
    }
  }
  function load() {
    let r;
    try {
      r = exports.storage.getItem("debug");
    } catch (error3) {
    }
    if (!r && typeof process !== "undefined" && "env" in process) {
      r = process.env.DEBUG;
    }
    return r;
  }
  function localstorage() {
    try {
      return localStorage;
    } catch (error3) {
    }
  }
  module3.exports = require_common3()(exports);
  var { formatters } = module3.exports;
  formatters.j = function(v) {
    try {
      return JSON.stringify(v);
    } catch (error3) {
      return "[UnexpectedJSONParseError]: " + error3.message;
    }
  };
});

// ../../node_modules/has-flag/index.js
var require_has_flag2 = __commonJS((exports, module3) => {
  module3.exports = (flag, argv) => {
    argv = argv || process.argv;
    const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
    const pos = argv.indexOf(prefix + flag);
    const terminatorPos = argv.indexOf("--");
    return pos !== -1 && (terminatorPos === -1 ? true : pos < terminatorPos);
  };
});

// ../../node_modules/supports-color/index.js
var require_supports_color = __commonJS((exports, module3) => {
  var os = __require("os");
  var hasFlag = require_has_flag2();
  var env = process.env;
  var forceColor;
  if (hasFlag("no-color") || hasFlag("no-colors") || hasFlag("color=false")) {
    forceColor = false;
  } else if (hasFlag("color") || hasFlag("colors") || hasFlag("color=true") || hasFlag("color=always")) {
    forceColor = true;
  }
  if ("FORCE_COLOR" in env) {
    forceColor = env.FORCE_COLOR.length === 0 || parseInt(env.FORCE_COLOR, 10) !== 0;
  }
  function translateLevel(level) {
    if (level === 0) {
      return false;
    }
    return {
      level,
      hasBasic: true,
      has256: level >= 2,
      has16m: level >= 3
    };
  }
  function supportsColor(stream) {
    if (forceColor === false) {
      return 0;
    }
    if (hasFlag("color=16m") || hasFlag("color=full") || hasFlag("color=truecolor")) {
      return 3;
    }
    if (hasFlag("color=256")) {
      return 2;
    }
    if (stream && !stream.isTTY && forceColor !== true) {
      return 0;
    }
    const min = forceColor ? 1 : 0;
    if (process.platform === "win32") {
      const osRelease = os.release().split(".");
      if (Number(process.versions.node.split(".")[0]) >= 8 && Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
        return Number(osRelease[2]) >= 14931 ? 3 : 2;
      }
      return 1;
    }
    if ("CI" in env) {
      if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI"].some((sign) => (sign in env)) || env.CI_NAME === "codeship") {
        return 1;
      }
      return min;
    }
    if ("TEAMCITY_VERSION" in env) {
      return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
    }
    if (env.COLORTERM === "truecolor") {
      return 3;
    }
    if ("TERM_PROGRAM" in env) {
      const version = parseInt((env.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
      switch (env.TERM_PROGRAM) {
        case "iTerm.app":
          return version >= 3 ? 3 : 2;
        case "Apple_Terminal":
          return 2;
      }
    }
    if (/-256(color)?$/i.test(env.TERM)) {
      return 2;
    }
    if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
      return 1;
    }
    if ("COLORTERM" in env) {
      return 1;
    }
    if (env.TERM === "dumb") {
      return min;
    }
    return min;
  }
  function getSupportLevel(stream) {
    const level = supportsColor(stream);
    return translateLevel(level);
  }
  module3.exports = {
    supportsColor: getSupportLevel,
    stdout: getSupportLevel(process.stdout),
    stderr: getSupportLevel(process.stderr)
  };
});

// ../../node_modules/@tokenizer/inflate/node_modules/debug/src/node.js
var require_node3 = __commonJS((exports, module3) => {
  var tty = __require("tty");
  var util = __require("util");
  exports.init = init;
  exports.log = log;
  exports.formatArgs = formatArgs;
  exports.save = save;
  exports.load = load;
  exports.useColors = useColors;
  exports.destroy = util.deprecate(() => {
  }, "Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
  exports.colors = [6, 2, 3, 4, 5, 1];
  try {
    const supportsColor = require_supports_color();
    if (supportsColor && (supportsColor.stderr || supportsColor).level >= 2) {
      exports.colors = [
        20,
        21,
        26,
        27,
        32,
        33,
        38,
        39,
        40,
        41,
        42,
        43,
        44,
        45,
        56,
        57,
        62,
        63,
        68,
        69,
        74,
        75,
        76,
        77,
        78,
        79,
        80,
        81,
        92,
        93,
        98,
        99,
        112,
        113,
        128,
        129,
        134,
        135,
        148,
        149,
        160,
        161,
        162,
        163,
        164,
        165,
        166,
        167,
        168,
        169,
        170,
        171,
        172,
        173,
        178,
        179,
        184,
        185,
        196,
        197,
        198,
        199,
        200,
        201,
        202,
        203,
        204,
        205,
        206,
        207,
        208,
        209,
        214,
        215,
        220,
        221
      ];
    }
  } catch (error3) {
  }
  exports.inspectOpts = Object.keys(process.env).filter((key) => {
    return /^debug_/i.test(key);
  }).reduce((obj, key) => {
    const prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, (_, k) => {
      return k.toUpperCase();
    });
    let val = process.env[key];
    if (/^(yes|on|true|enabled)$/i.test(val)) {
      val = true;
    } else if (/^(no|off|false|disabled)$/i.test(val)) {
      val = false;
    } else if (val === "null") {
      val = null;
    } else {
      val = Number(val);
    }
    obj[prop] = val;
    return obj;
  }, {});
  function useColors() {
    return "colors" in exports.inspectOpts ? Boolean(exports.inspectOpts.colors) : tty.isatty(process.stderr.fd);
  }
  function formatArgs(args) {
    const { namespace: name, useColors: useColors2 } = this;
    if (useColors2) {
      const c = this.color;
      const colorCode = "\x1B[3" + (c < 8 ? c : "8;5;" + c);
      const prefix = `  ${colorCode};1m${name} \x1B[0m`;
      args[0] = prefix + args[0].split(`
`).join(`
` + prefix);
      args.push(colorCode + "m+" + module3.exports.humanize(this.diff) + "\x1B[0m");
    } else {
      args[0] = getDate() + name + " " + args[0];
    }
  }
  function getDate() {
    if (exports.inspectOpts.hideDate) {
      return "";
    }
    return new Date().toISOString() + " ";
  }
  function log(...args) {
    return process.stderr.write(util.formatWithOptions(exports.inspectOpts, ...args) + `
`);
  }
  function save(namespaces) {
    if (namespaces) {
      process.env.DEBUG = namespaces;
    } else {
      delete process.env.DEBUG;
    }
  }
  function load() {
    return process.env.DEBUG;
  }
  function init(debug) {
    debug.inspectOpts = {};
    const keys = Object.keys(exports.inspectOpts);
    for (let i = 0;i < keys.length; i++) {
      debug.inspectOpts[keys[i]] = exports.inspectOpts[keys[i]];
    }
  }
  module3.exports = require_common3()(exports);
  var { formatters } = module3.exports;
  formatters.o = function(v) {
    this.inspectOpts.colors = this.useColors;
    return util.inspect(v, this.inspectOpts).split(`
`).map((str) => str.trim()).join(" ");
  };
  formatters.O = function(v) {
    this.inspectOpts.colors = this.useColors;
    return util.inspect(v, this.inspectOpts);
  };
});

// ../../node_modules/@tokenizer/inflate/node_modules/debug/src/index.js
var require_src = __commonJS((exports, module3) => {
  if (typeof process === "undefined" || process.type === "renderer" || false || process.__nwjs) {
    module3.exports = require_browser();
  } else {
    module3.exports = require_node3();
  }
});

// ../../node_modules/@tokenizer/inflate/lib/ZipToken.js
var Signature, DataDescriptor, LocalFileHeaderToken, EndOfCentralDirectoryRecordToken, FileHeader;
var init_ZipToken = __esm(() => {
  init_lib3();
  Signature = {
    LocalFileHeader: 67324752,
    DataDescriptor: 134695760,
    CentralFileHeader: 33639248,
    EndOfCentralDirectory: 101010256
  };
  DataDescriptor = {
    get(array3) {
      const flags = UINT16_LE.get(array3, 6);
      return {
        signature: UINT32_LE.get(array3, 0),
        compressedSize: UINT32_LE.get(array3, 8),
        uncompressedSize: UINT32_LE.get(array3, 12)
      };
    },
    len: 16
  };
  LocalFileHeaderToken = {
    get(array3) {
      const flags = UINT16_LE.get(array3, 6);
      return {
        signature: UINT32_LE.get(array3, 0),
        minVersion: UINT16_LE.get(array3, 4),
        dataDescriptor: !!(flags & 8),
        compressedMethod: UINT16_LE.get(array3, 8),
        compressedSize: UINT32_LE.get(array3, 18),
        uncompressedSize: UINT32_LE.get(array3, 22),
        filenameLength: UINT16_LE.get(array3, 26),
        extraFieldLength: UINT16_LE.get(array3, 28),
        filename: null
      };
    },
    len: 30
  };
  EndOfCentralDirectoryRecordToken = {
    get(array3) {
      return {
        signature: UINT32_LE.get(array3, 0),
        nrOfThisDisk: UINT16_LE.get(array3, 4),
        nrOfThisDiskWithTheStart: UINT16_LE.get(array3, 6),
        nrOfEntriesOnThisDisk: UINT16_LE.get(array3, 8),
        nrOfEntriesOfSize: UINT16_LE.get(array3, 10),
        sizeOfCd: UINT32_LE.get(array3, 12),
        offsetOfStartOfCd: UINT32_LE.get(array3, 16),
        zipFileCommentLength: UINT16_LE.get(array3, 20)
      };
    },
    len: 22
  };
  FileHeader = {
    get(array3) {
      const flags = UINT16_LE.get(array3, 8);
      return {
        signature: UINT32_LE.get(array3, 0),
        minVersion: UINT16_LE.get(array3, 6),
        dataDescriptor: !!(flags & 8),
        compressedMethod: UINT16_LE.get(array3, 10),
        compressedSize: UINT32_LE.get(array3, 20),
        uncompressedSize: UINT32_LE.get(array3, 24),
        filenameLength: UINT16_LE.get(array3, 28),
        extraFieldLength: UINT16_LE.get(array3, 30),
        fileCommentLength: UINT16_LE.get(array3, 32),
        relativeOffsetOfLocalHeader: UINT32_LE.get(array3, 42),
        filename: null
      };
    },
    len: 46
  };
});

// ../../node_modules/@tokenizer/inflate/lib/index.js
function signatureToArray(signature) {
  const signatureBytes = new Uint8Array(UINT32_LE.len);
  UINT32_LE.put(signatureBytes, 0, signature);
  return signatureBytes;
}

class ZipHandler {
  constructor(tokenizer) {
    this.tokenizer = tokenizer;
    this.syncBuffer = new Uint8Array(syncBufferSize);
  }
  async isZip() {
    return await this.peekSignature() === Signature.LocalFileHeader;
  }
  peekSignature() {
    return this.tokenizer.peekToken(UINT32_LE);
  }
  async findEndOfCentralDirectoryLocator() {
    const randomReadTokenizer = this.tokenizer;
    const chunkLength = Math.min(16 * 1024, randomReadTokenizer.fileInfo.size);
    const buffer = this.syncBuffer.subarray(0, chunkLength);
    await this.tokenizer.readBuffer(buffer, { position: randomReadTokenizer.fileInfo.size - chunkLength });
    for (let i = buffer.length - 4;i >= 0; i--) {
      if (buffer[i] === eocdSignatureBytes[0] && buffer[i + 1] === eocdSignatureBytes[1] && buffer[i + 2] === eocdSignatureBytes[2] && buffer[i + 3] === eocdSignatureBytes[3]) {
        return randomReadTokenizer.fileInfo.size - chunkLength + i;
      }
    }
    return -1;
  }
  async readCentralDirectory() {
    if (!this.tokenizer.supportsRandomAccess()) {
      debug("Cannot reading central-directory without random-read support");
      return;
    }
    debug("Reading central-directory...");
    const pos = this.tokenizer.position;
    const offset = await this.findEndOfCentralDirectoryLocator();
    if (offset > 0) {
      debug("Central-directory 32-bit signature found");
      const eocdHeader = await this.tokenizer.readToken(EndOfCentralDirectoryRecordToken, offset);
      const files = [];
      this.tokenizer.setPosition(eocdHeader.offsetOfStartOfCd);
      for (let n = 0;n < eocdHeader.nrOfEntriesOfSize; ++n) {
        const entry = await this.tokenizer.readToken(FileHeader);
        if (entry.signature !== Signature.CentralFileHeader) {
          throw new Error("Expected Central-File-Header signature");
        }
        entry.filename = await this.tokenizer.readToken(new StringType2(entry.filenameLength, "utf-8"));
        await this.tokenizer.ignore(entry.extraFieldLength);
        await this.tokenizer.ignore(entry.fileCommentLength);
        files.push(entry);
        debug(`Add central-directory file-entry: n=${n + 1}/${files.length}: filename=${files[n].filename}`);
      }
      this.tokenizer.setPosition(pos);
      return files;
    }
    this.tokenizer.setPosition(pos);
  }
  async unzip(fileCb) {
    const entries = await this.readCentralDirectory();
    if (entries) {
      return this.iterateOverCentralDirectory(entries, fileCb);
    }
    let stop = false;
    do {
      const zipHeader = await this.readLocalFileHeader();
      if (!zipHeader)
        break;
      const next = fileCb(zipHeader);
      stop = !!next.stop;
      let fileData = undefined;
      await this.tokenizer.ignore(zipHeader.extraFieldLength);
      if (zipHeader.dataDescriptor && zipHeader.compressedSize === 0) {
        const chunks = [];
        let len = syncBufferSize;
        debug("Compressed-file-size unknown, scanning for next data-descriptor-signature....");
        let nextHeaderIndex = -1;
        while (nextHeaderIndex < 0 && len === syncBufferSize) {
          len = await this.tokenizer.peekBuffer(this.syncBuffer, { mayBeLess: true });
          nextHeaderIndex = indexOf(this.syncBuffer.subarray(0, len), ddSignatureArray);
          const size = nextHeaderIndex >= 0 ? nextHeaderIndex : len;
          if (next.handler) {
            const data = new Uint8Array(size);
            await this.tokenizer.readBuffer(data);
            chunks.push(data);
          } else {
            await this.tokenizer.ignore(size);
          }
        }
        debug(`Found data-descriptor-signature at pos=${this.tokenizer.position}`);
        if (next.handler) {
          await this.inflate(zipHeader, mergeArrays(chunks), next.handler);
        }
      } else {
        if (next.handler) {
          debug(`Reading compressed-file-data: ${zipHeader.compressedSize} bytes`);
          fileData = new Uint8Array(zipHeader.compressedSize);
          await this.tokenizer.readBuffer(fileData);
          await this.inflate(zipHeader, fileData, next.handler);
        } else {
          debug(`Ignoring compressed-file-data: ${zipHeader.compressedSize} bytes`);
          await this.tokenizer.ignore(zipHeader.compressedSize);
        }
      }
      debug(`Reading data-descriptor at pos=${this.tokenizer.position}`);
      if (zipHeader.dataDescriptor) {
        const dataDescriptor = await this.tokenizer.readToken(DataDescriptor);
        if (dataDescriptor.signature !== 134695760) {
          throw new Error(`Expected data-descriptor-signature at position ${this.tokenizer.position - DataDescriptor.len}`);
        }
      }
    } while (!stop);
  }
  async iterateOverCentralDirectory(entries, fileCb) {
    for (const fileHeader of entries) {
      const next = fileCb(fileHeader);
      if (next.handler) {
        this.tokenizer.setPosition(fileHeader.relativeOffsetOfLocalHeader);
        const zipHeader = await this.readLocalFileHeader();
        if (zipHeader) {
          await this.tokenizer.ignore(zipHeader.extraFieldLength);
          const fileData = new Uint8Array(fileHeader.compressedSize);
          await this.tokenizer.readBuffer(fileData);
          await this.inflate(zipHeader, fileData, next.handler);
        }
      }
      if (next.stop)
        break;
    }
  }
  inflate(zipHeader, fileData, cb) {
    if (zipHeader.compressedMethod === 0) {
      return cb(fileData);
    }
    debug(`Decompress filename=${zipHeader.filename}, compressed-size=${fileData.length}`);
    const uncompressedData = decompressSync(fileData);
    return cb(uncompressedData);
  }
  async readLocalFileHeader() {
    const signature = await this.tokenizer.peekToken(UINT32_LE);
    if (signature === Signature.LocalFileHeader) {
      const header = await this.tokenizer.readToken(LocalFileHeaderToken);
      header.filename = await this.tokenizer.readToken(new StringType2(header.filenameLength, "utf-8"));
      return header;
    }
    if (signature === Signature.CentralFileHeader) {
      return false;
    }
    if (signature === 3759263696) {
      throw new Error("Encrypted ZIP");
    }
    throw new Error("Unexpected signature");
  }
}
function indexOf(buffer, portion) {
  const bufferLength = buffer.length;
  const portionLength = portion.length;
  if (portionLength > bufferLength)
    return -1;
  for (let i = 0;i <= bufferLength - portionLength; i++) {
    let found = true;
    for (let j = 0;j < portionLength; j++) {
      if (buffer[i + j] !== portion[j]) {
        found = false;
        break;
      }
    }
    if (found) {
      return i;
    }
  }
  return -1;
}
function mergeArrays(chunks) {
  const totalLength = chunks.reduce((acc, curr) => acc + curr.length, 0);
  const mergedArray = new Uint8Array(totalLength);
  let offset = 0;
  for (const chunk of chunks) {
    mergedArray.set(chunk, offset);
    offset += chunk.length;
  }
  return mergedArray;
}
var import_debug, debug, syncBufferSize, ddSignatureArray, eocdSignatureBytes;
var init_lib4 = __esm(() => {
  init_lib3();
  init_esm2();
  import_debug = __toESM(require_src(), 1);
  init_ZipToken();
  debug = import_debug.default("tokenizer:inflate");
  syncBufferSize = 256 * 1024;
  ddSignatureArray = signatureToArray(Signature.DataDescriptor);
  eocdSignatureBytes = signatureToArray(Signature.EndOfCentralDirectory);
});

// ../../node_modules/uint8array-extras/index.js
function getUintBE(view) {
  const { byteLength } = view;
  if (byteLength === 6) {
    return view.getUint16(0) * 2 ** 32 + view.getUint32(2);
  }
  if (byteLength === 5) {
    return view.getUint8(0) * 2 ** 32 + view.getUint32(1);
  }
  if (byteLength === 4) {
    return view.getUint32(0);
  }
  if (byteLength === 3) {
    return view.getUint8(0) * 2 ** 16 + view.getUint16(1);
  }
  if (byteLength === 2) {
    return view.getUint16(0);
  }
  if (byteLength === 1) {
    return view.getUint8(0);
  }
}
var cachedDecoders, cachedEncoder, byteToHexLookupTable;
var init_uint8array_extras = __esm(() => {
  cachedDecoders = {
    utf8: new globalThis.TextDecoder("utf8")
  };
  cachedEncoder = new globalThis.TextEncoder;
  byteToHexLookupTable = Array.from({ length: 256 }, (_, index) => index.toString(16).padStart(2, "0"));
});

// ../../node_modules/file-type/util.js
function stringToBytes(string3) {
  return [...string3].map((character) => character.charCodeAt(0));
}
function tarHeaderChecksumMatches(arrayBuffer, offset = 0) {
  const readSum = Number.parseInt(new StringType2(6).get(arrayBuffer, 148).replace(/\0.*$/, "").trim(), 8);
  if (Number.isNaN(readSum)) {
    return false;
  }
  let sum = 8 * 32;
  for (let index = offset;index < offset + 148; index++) {
    sum += arrayBuffer[index];
  }
  for (let index = offset + 156;index < offset + 512; index++) {
    sum += arrayBuffer[index];
  }
  return readSum === sum;
}
var uint32SyncSafeToken;
var init_util = __esm(() => {
  init_lib3();
  uint32SyncSafeToken = {
    get: (buffer, offset) => buffer[offset + 3] & 127 | buffer[offset + 2] << 7 | buffer[offset + 1] << 14 | buffer[offset] << 21,
    len: 4
  };
});

// ../../node_modules/file-type/supported.js
var extensions, mimeTypes;
var init_supported = __esm(() => {
  extensions = [
    "jpg",
    "png",
    "apng",
    "gif",
    "webp",
    "flif",
    "xcf",
    "cr2",
    "cr3",
    "orf",
    "arw",
    "dng",
    "nef",
    "rw2",
    "raf",
    "tif",
    "bmp",
    "icns",
    "jxr",
    "psd",
    "indd",
    "zip",
    "tar",
    "rar",
    "gz",
    "bz2",
    "7z",
    "dmg",
    "mp4",
    "mid",
    "mkv",
    "webm",
    "mov",
    "avi",
    "mpg",
    "mp2",
    "mp3",
    "m4a",
    "oga",
    "ogg",
    "ogv",
    "opus",
    "flac",
    "wav",
    "spx",
    "amr",
    "pdf",
    "epub",
    "elf",
    "macho",
    "exe",
    "swf",
    "rtf",
    "wasm",
    "woff",
    "woff2",
    "eot",
    "ttf",
    "otf",
    "ttc",
    "ico",
    "flv",
    "ps",
    "xz",
    "sqlite",
    "nes",
    "crx",
    "xpi",
    "cab",
    "deb",
    "ar",
    "rpm",
    "Z",
    "lz",
    "cfb",
    "mxf",
    "mts",
    "blend",
    "bpg",
    "docx",
    "pptx",
    "xlsx",
    "3gp",
    "3g2",
    "j2c",
    "jp2",
    "jpm",
    "jpx",
    "mj2",
    "aif",
    "qcp",
    "odt",
    "ods",
    "odp",
    "xml",
    "mobi",
    "heic",
    "cur",
    "ktx",
    "ape",
    "wv",
    "dcm",
    "ics",
    "glb",
    "pcap",
    "dsf",
    "lnk",
    "alias",
    "voc",
    "ac3",
    "m4v",
    "m4p",
    "m4b",
    "f4v",
    "f4p",
    "f4b",
    "f4a",
    "mie",
    "asf",
    "ogm",
    "ogx",
    "mpc",
    "arrow",
    "shp",
    "aac",
    "mp1",
    "it",
    "s3m",
    "xm",
    "skp",
    "avif",
    "eps",
    "lzh",
    "pgp",
    "asar",
    "stl",
    "chm",
    "3mf",
    "zst",
    "jxl",
    "vcf",
    "jls",
    "pst",
    "dwg",
    "parquet",
    "class",
    "arj",
    "cpio",
    "ace",
    "avro",
    "icc",
    "fbx",
    "vsdx",
    "vtt",
    "apk",
    "drc",
    "lz4",
    "potx",
    "xltx",
    "dotx",
    "xltm",
    "ott",
    "ots",
    "otp",
    "odg",
    "otg",
    "xlsm",
    "docm",
    "dotm",
    "potm",
    "pptm",
    "jar",
    "rm",
    "ppsm",
    "ppsx"
  ];
  mimeTypes = [
    "image/jpeg",
    "image/png",
    "image/gif",
    "image/webp",
    "image/flif",
    "image/x-xcf",
    "image/x-canon-cr2",
    "image/x-canon-cr3",
    "image/tiff",
    "image/bmp",
    "image/vnd.ms-photo",
    "image/vnd.adobe.photoshop",
    "application/x-indesign",
    "application/epub+zip",
    "application/x-xpinstall",
    "application/vnd.ms-powerpoint.slideshow.macroenabled.12",
    "application/vnd.oasis.opendocument.text",
    "application/vnd.oasis.opendocument.spreadsheet",
    "application/vnd.oasis.opendocument.presentation",
    "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
    "application/vnd.openxmlformats-officedocument.presentationml.presentation",
    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
    "application/vnd.openxmlformats-officedocument.presentationml.slideshow",
    "application/zip",
    "application/x-tar",
    "application/x-rar-compressed",
    "application/gzip",
    "application/x-bzip2",
    "application/x-7z-compressed",
    "application/x-apple-diskimage",
    "application/vnd.apache.arrow.file",
    "video/mp4",
    "audio/midi",
    "video/matroska",
    "video/webm",
    "video/quicktime",
    "video/vnd.avi",
    "audio/wav",
    "audio/qcelp",
    "audio/x-ms-asf",
    "video/x-ms-asf",
    "application/vnd.ms-asf",
    "video/mpeg",
    "video/3gpp",
    "audio/mpeg",
    "audio/mp4",
    "video/ogg",
    "audio/ogg",
    "audio/ogg; codecs=opus",
    "application/ogg",
    "audio/flac",
    "audio/ape",
    "audio/wavpack",
    "audio/amr",
    "application/pdf",
    "application/x-elf",
    "application/x-mach-binary",
    "application/x-msdownload",
    "application/x-shockwave-flash",
    "application/rtf",
    "application/wasm",
    "font/woff",
    "font/woff2",
    "application/vnd.ms-fontobject",
    "font/ttf",
    "font/otf",
    "font/collection",
    "image/x-icon",
    "video/x-flv",
    "application/postscript",
    "application/eps",
    "application/x-xz",
    "application/x-sqlite3",
    "application/x-nintendo-nes-rom",
    "application/x-google-chrome-extension",
    "application/vnd.ms-cab-compressed",
    "application/x-deb",
    "application/x-unix-archive",
    "application/x-rpm",
    "application/x-compress",
    "application/x-lzip",
    "application/x-cfb",
    "application/x-mie",
    "application/mxf",
    "video/mp2t",
    "application/x-blender",
    "image/bpg",
    "image/j2c",
    "image/jp2",
    "image/jpx",
    "image/jpm",
    "image/mj2",
    "audio/aiff",
    "application/xml",
    "application/x-mobipocket-ebook",
    "image/heif",
    "image/heif-sequence",
    "image/heic",
    "image/heic-sequence",
    "image/icns",
    "image/ktx",
    "application/dicom",
    "audio/x-musepack",
    "text/calendar",
    "text/vcard",
    "text/vtt",
    "model/gltf-binary",
    "application/vnd.tcpdump.pcap",
    "audio/x-dsf",
    "application/x.ms.shortcut",
    "application/x.apple.alias",
    "audio/x-voc",
    "audio/vnd.dolby.dd-raw",
    "audio/x-m4a",
    "image/apng",
    "image/x-olympus-orf",
    "image/x-sony-arw",
    "image/x-adobe-dng",
    "image/x-nikon-nef",
    "image/x-panasonic-rw2",
    "image/x-fujifilm-raf",
    "video/x-m4v",
    "video/3gpp2",
    "application/x-esri-shape",
    "audio/aac",
    "audio/x-it",
    "audio/x-s3m",
    "audio/x-xm",
    "video/MP1S",
    "video/MP2P",
    "application/vnd.sketchup.skp",
    "image/avif",
    "application/x-lzh-compressed",
    "application/pgp-encrypted",
    "application/x-asar",
    "model/stl",
    "application/vnd.ms-htmlhelp",
    "model/3mf",
    "image/jxl",
    "application/zstd",
    "image/jls",
    "application/vnd.ms-outlook",
    "image/vnd.dwg",
    "application/vnd.apache.parquet",
    "application/java-vm",
    "application/x-arj",
    "application/x-cpio",
    "application/x-ace-compressed",
    "application/avro",
    "application/vnd.iccprofile",
    "application/x.autodesk.fbx",
    "application/vnd.visio",
    "application/vnd.android.package-archive",
    "application/vnd.google.draco",
    "application/x-lz4",
    "application/vnd.openxmlformats-officedocument.presentationml.template",
    "application/vnd.openxmlformats-officedocument.spreadsheetml.template",
    "application/vnd.openxmlformats-officedocument.wordprocessingml.template",
    "application/vnd.ms-excel.template.macroenabled.12",
    "application/vnd.oasis.opendocument.text-template",
    "application/vnd.oasis.opendocument.spreadsheet-template",
    "application/vnd.oasis.opendocument.presentation-template",
    "application/vnd.oasis.opendocument.graphics",
    "application/vnd.oasis.opendocument.graphics-template",
    "application/vnd.ms-excel.sheet.macroenabled.12",
    "application/vnd.ms-word.document.macroenabled.12",
    "application/vnd.ms-word.template.macroenabled.12",
    "application/vnd.ms-powerpoint.template.macroenabled.12",
    "application/vnd.ms-powerpoint.presentation.macroenabled.12",
    "application/java-archive",
    "application/vnd.rn-realmedia"
  ];
});

// ../../node_modules/file-type/core.js
async function fileTypeFromBuffer(input, options) {
  return new FileTypeParser(options).fromBuffer(input);
}
async function fileTypeFromBlob(blob, options) {
  return new FileTypeParser(options).fromBlob(blob);
}
function getFileTypeFromMimeType(mimeType) {
  mimeType = mimeType.toLowerCase();
  switch (mimeType) {
    case "application/epub+zip":
      return {
        ext: "epub",
        mime: mimeType
      };
    case "application/vnd.oasis.opendocument.text":
      return {
        ext: "odt",
        mime: mimeType
      };
    case "application/vnd.oasis.opendocument.text-template":
      return {
        ext: "ott",
        mime: mimeType
      };
    case "application/vnd.oasis.opendocument.spreadsheet":
      return {
        ext: "ods",
        mime: mimeType
      };
    case "application/vnd.oasis.opendocument.spreadsheet-template":
      return {
        ext: "ots",
        mime: mimeType
      };
    case "application/vnd.oasis.opendocument.presentation":
      return {
        ext: "odp",
        mime: mimeType
      };
    case "application/vnd.oasis.opendocument.presentation-template":
      return {
        ext: "otp",
        mime: mimeType
      };
    case "application/vnd.oasis.opendocument.graphics":
      return {
        ext: "odg",
        mime: mimeType
      };
    case "application/vnd.oasis.opendocument.graphics-template":
      return {
        ext: "otg",
        mime: mimeType
      };
    case "application/vnd.openxmlformats-officedocument.presentationml.slideshow":
      return {
        ext: "ppsx",
        mime: mimeType
      };
    case "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet":
      return {
        ext: "xlsx",
        mime: mimeType
      };
    case "application/vnd.ms-excel.sheet.macroenabled":
      return {
        ext: "xlsm",
        mime: "application/vnd.ms-excel.sheet.macroenabled.12"
      };
    case "application/vnd.openxmlformats-officedocument.spreadsheetml.template":
      return {
        ext: "xltx",
        mime: mimeType
      };
    case "application/vnd.ms-excel.template.macroenabled":
      return {
        ext: "xltm",
        mime: "application/vnd.ms-excel.template.macroenabled.12"
      };
    case "application/vnd.ms-powerpoint.slideshow.macroenabled":
      return {
        ext: "ppsm",
        mime: "application/vnd.ms-powerpoint.slideshow.macroenabled.12"
      };
    case "application/vnd.openxmlformats-officedocument.wordprocessingml.document":
      return {
        ext: "docx",
        mime: mimeType
      };
    case "application/vnd.ms-word.document.macroenabled":
      return {
        ext: "docm",
        mime: "application/vnd.ms-word.document.macroenabled.12"
      };
    case "application/vnd.openxmlformats-officedocument.wordprocessingml.template":
      return {
        ext: "dotx",
        mime: mimeType
      };
    case "application/vnd.ms-word.template.macroenabledtemplate":
      return {
        ext: "dotm",
        mime: "application/vnd.ms-word.template.macroenabled.12"
      };
    case "application/vnd.openxmlformats-officedocument.presentationml.template":
      return {
        ext: "potx",
        mime: mimeType
      };
    case "application/vnd.ms-powerpoint.template.macroenabled":
      return {
        ext: "potm",
        mime: "application/vnd.ms-powerpoint.template.macroenabled.12"
      };
    case "application/vnd.openxmlformats-officedocument.presentationml.presentation":
      return {
        ext: "pptx",
        mime: mimeType
      };
    case "application/vnd.ms-powerpoint.presentation.macroenabled":
      return {
        ext: "pptm",
        mime: "application/vnd.ms-powerpoint.presentation.macroenabled.12"
      };
    case "application/vnd.ms-visio.drawing":
      return {
        ext: "vsdx",
        mime: "application/vnd.visio"
      };
    case "application/vnd.ms-package.3dmanufacturing-3dmodel+xml":
      return {
        ext: "3mf",
        mime: "model/3mf"
      };
    default:
  }
}
function _check(buffer, headers, options) {
  options = {
    offset: 0,
    ...options
  };
  for (const [index, header] of headers.entries()) {
    if (options.mask) {
      if (header !== (options.mask[index] & buffer[index + options.offset])) {
        return false;
      }
    } else if (header !== buffer[index + options.offset]) {
      return false;
    }
  }
  return true;
}
async function fileTypeFromTokenizer(tokenizer, options) {
  return new FileTypeParser(options).fromTokenizer(tokenizer);
}

class FileTypeParser {
  constructor(options) {
    this.options = {
      mpegOffsetTolerance: 0,
      ...options
    };
    this.detectors = [
      ...options?.customDetectors ?? [],
      { id: "core", detect: this.detectConfident },
      { id: "core.imprecise", detect: this.detectImprecise }
    ];
    this.tokenizerOptions = {
      abortSignal: options?.signal
    };
  }
  async fromTokenizer(tokenizer) {
    const initialPosition = tokenizer.position;
    for (const detector of this.detectors) {
      const fileType = await detector.detect(tokenizer);
      if (fileType) {
        return fileType;
      }
      if (initialPosition !== tokenizer.position) {
        return;
      }
    }
  }
  async fromBuffer(input) {
    if (!(input instanceof Uint8Array || input instanceof ArrayBuffer)) {
      throw new TypeError(`Expected the \`input\` argument to be of type \`Uint8Array\` or \`ArrayBuffer\`, got \`${typeof input}\``);
    }
    const buffer = input instanceof Uint8Array ? input : new Uint8Array(input);
    if (!(buffer?.length > 1)) {
      return;
    }
    return this.fromTokenizer(fromBuffer(buffer, this.tokenizerOptions));
  }
  async fromBlob(blob) {
    return this.fromStream(blob.stream());
  }
  async fromStream(stream) {
    const tokenizer = await fromWebStream(stream, this.tokenizerOptions);
    try {
      return await this.fromTokenizer(tokenizer);
    } finally {
      await tokenizer.close();
    }
  }
  async toDetectionStream(stream, options) {
    const { sampleSize = reasonableDetectionSizeInBytes } = options;
    let detectedFileType;
    let firstChunk;
    const reader = stream.getReader({ mode: "byob" });
    try {
      const { value: chunk, done } = await reader.read(new Uint8Array(sampleSize));
      firstChunk = chunk;
      if (!done && chunk) {
        try {
          detectedFileType = await this.fromBuffer(chunk.subarray(0, sampleSize));
        } catch (error3) {
          if (!(error3 instanceof EndOfStreamError)) {
            throw error3;
          }
          detectedFileType = undefined;
        }
      }
      firstChunk = chunk;
    } finally {
      reader.releaseLock();
    }
    const transformStream = new TransformStream({
      async start(controller) {
        controller.enqueue(firstChunk);
      },
      transform(chunk, controller) {
        controller.enqueue(chunk);
      }
    });
    const newStream = stream.pipeThrough(transformStream);
    newStream.fileType = detectedFileType;
    return newStream;
  }
  check(header, options) {
    return _check(this.buffer, header, options);
  }
  checkString(header, options) {
    return this.check(stringToBytes(header), options);
  }
  detectConfident = async (tokenizer) => {
    this.buffer = new Uint8Array(reasonableDetectionSizeInBytes);
    if (tokenizer.fileInfo.size === undefined) {
      tokenizer.fileInfo.size = Number.MAX_SAFE_INTEGER;
    }
    this.tokenizer = tokenizer;
    await tokenizer.peekBuffer(this.buffer, { length: 12, mayBeLess: true });
    if (this.check([66, 77])) {
      return {
        ext: "bmp",
        mime: "image/bmp"
      };
    }
    if (this.check([11, 119])) {
      return {
        ext: "ac3",
        mime: "audio/vnd.dolby.dd-raw"
      };
    }
    if (this.check([120, 1])) {
      return {
        ext: "dmg",
        mime: "application/x-apple-diskimage"
      };
    }
    if (this.check([77, 90])) {
      return {
        ext: "exe",
        mime: "application/x-msdownload"
      };
    }
    if (this.check([37, 33])) {
      await tokenizer.peekBuffer(this.buffer, { length: 24, mayBeLess: true });
      if (this.checkString("PS-Adobe-", { offset: 2 }) && this.checkString(" EPSF-", { offset: 14 })) {
        return {
          ext: "eps",
          mime: "application/eps"
        };
      }
      return {
        ext: "ps",
        mime: "application/postscript"
      };
    }
    if (this.check([31, 160]) || this.check([31, 157])) {
      return {
        ext: "Z",
        mime: "application/x-compress"
      };
    }
    if (this.check([199, 113])) {
      return {
        ext: "cpio",
        mime: "application/x-cpio"
      };
    }
    if (this.check([96, 234])) {
      return {
        ext: "arj",
        mime: "application/x-arj"
      };
    }
    if (this.check([239, 187, 191])) {
      this.tokenizer.ignore(3);
      return this.detectConfident(tokenizer);
    }
    if (this.check([71, 73, 70])) {
      return {
        ext: "gif",
        mime: "image/gif"
      };
    }
    if (this.check([73, 73, 188])) {
      return {
        ext: "jxr",
        mime: "image/vnd.ms-photo"
      };
    }
    if (this.check([31, 139, 8])) {
      return {
        ext: "gz",
        mime: "application/gzip"
      };
    }
    if (this.check([66, 90, 104])) {
      return {
        ext: "bz2",
        mime: "application/x-bzip2"
      };
    }
    if (this.checkString("ID3")) {
      await tokenizer.ignore(6);
      const id3HeaderLength = await tokenizer.readToken(uint32SyncSafeToken);
      if (tokenizer.position + id3HeaderLength > tokenizer.fileInfo.size) {
        return {
          ext: "mp3",
          mime: "audio/mpeg"
        };
      }
      await tokenizer.ignore(id3HeaderLength);
      return this.fromTokenizer(tokenizer);
    }
    if (this.checkString("MP+")) {
      return {
        ext: "mpc",
        mime: "audio/x-musepack"
      };
    }
    if ((this.buffer[0] === 67 || this.buffer[0] === 70) && this.check([87, 83], { offset: 1 })) {
      return {
        ext: "swf",
        mime: "application/x-shockwave-flash"
      };
    }
    if (this.check([255, 216, 255])) {
      if (this.check([247], { offset: 3 })) {
        return {
          ext: "jls",
          mime: "image/jls"
        };
      }
      return {
        ext: "jpg",
        mime: "image/jpeg"
      };
    }
    if (this.check([79, 98, 106, 1])) {
      return {
        ext: "avro",
        mime: "application/avro"
      };
    }
    if (this.checkString("FLIF")) {
      return {
        ext: "flif",
        mime: "image/flif"
      };
    }
    if (this.checkString("8BPS")) {
      return {
        ext: "psd",
        mime: "image/vnd.adobe.photoshop"
      };
    }
    if (this.checkString("MPCK")) {
      return {
        ext: "mpc",
        mime: "audio/x-musepack"
      };
    }
    if (this.checkString("FORM")) {
      return {
        ext: "aif",
        mime: "audio/aiff"
      };
    }
    if (this.checkString("icns", { offset: 0 })) {
      return {
        ext: "icns",
        mime: "image/icns"
      };
    }
    if (this.check([80, 75, 3, 4])) {
      let fileType;
      await new ZipHandler(tokenizer).unzip((zipHeader) => {
        switch (zipHeader.filename) {
          case "META-INF/mozilla.rsa":
            fileType = {
              ext: "xpi",
              mime: "application/x-xpinstall"
            };
            return {
              stop: true
            };
          case "META-INF/MANIFEST.MF":
            fileType = {
              ext: "jar",
              mime: "application/java-archive"
            };
            return {
              stop: true
            };
          case "mimetype":
            return {
              async handler(fileData) {
                const mimeType = new TextDecoder("utf-8").decode(fileData).trim();
                fileType = getFileTypeFromMimeType(mimeType);
              },
              stop: true
            };
          case "[Content_Types].xml":
            return {
              async handler(fileData) {
                let xmlContent = new TextDecoder("utf-8").decode(fileData);
                const endPos = xmlContent.indexOf('.main+xml"');
                if (endPos === -1) {
                  const mimeType = "application/vnd.ms-package.3dmanufacturing-3dmodel+xml";
                  if (xmlContent.includes(`ContentType="${mimeType}"`)) {
                    fileType = getFileTypeFromMimeType(mimeType);
                  }
                } else {
                  xmlContent = xmlContent.slice(0, Math.max(0, endPos));
                  const firstPos = xmlContent.lastIndexOf('"');
                  const mimeType = xmlContent.slice(Math.max(0, firstPos + 1));
                  fileType = getFileTypeFromMimeType(mimeType);
                }
              },
              stop: true
            };
          default:
            if (/classes\d*\.dex/.test(zipHeader.filename)) {
              fileType = {
                ext: "apk",
                mime: "application/vnd.android.package-archive"
              };
              return { stop: true };
            }
            return {};
        }
      });
      return fileType ?? {
        ext: "zip",
        mime: "application/zip"
      };
    }
    if (this.checkString("OggS")) {
      await tokenizer.ignore(28);
      const type4 = new Uint8Array(8);
      await tokenizer.readBuffer(type4);
      if (_check(type4, [79, 112, 117, 115, 72, 101, 97, 100])) {
        return {
          ext: "opus",
          mime: "audio/ogg; codecs=opus"
        };
      }
      if (_check(type4, [128, 116, 104, 101, 111, 114, 97])) {
        return {
          ext: "ogv",
          mime: "video/ogg"
        };
      }
      if (_check(type4, [1, 118, 105, 100, 101, 111, 0])) {
        return {
          ext: "ogm",
          mime: "video/ogg"
        };
      }
      if (_check(type4, [127, 70, 76, 65, 67])) {
        return {
          ext: "oga",
          mime: "audio/ogg"
        };
      }
      if (_check(type4, [83, 112, 101, 101, 120, 32, 32])) {
        return {
          ext: "spx",
          mime: "audio/ogg"
        };
      }
      if (_check(type4, [1, 118, 111, 114, 98, 105, 115])) {
        return {
          ext: "ogg",
          mime: "audio/ogg"
        };
      }
      return {
        ext: "ogx",
        mime: "application/ogg"
      };
    }
    if (this.check([80, 75]) && (this.buffer[2] === 3 || this.buffer[2] === 5 || this.buffer[2] === 7) && (this.buffer[3] === 4 || this.buffer[3] === 6 || this.buffer[3] === 8)) {
      return {
        ext: "zip",
        mime: "application/zip"
      };
    }
    if (this.checkString("MThd")) {
      return {
        ext: "mid",
        mime: "audio/midi"
      };
    }
    if (this.checkString("wOFF") && (this.check([0, 1, 0, 0], { offset: 4 }) || this.checkString("OTTO", { offset: 4 }))) {
      return {
        ext: "woff",
        mime: "font/woff"
      };
    }
    if (this.checkString("wOF2") && (this.check([0, 1, 0, 0], { offset: 4 }) || this.checkString("OTTO", { offset: 4 }))) {
      return {
        ext: "woff2",
        mime: "font/woff2"
      };
    }
    if (this.check([212, 195, 178, 161]) || this.check([161, 178, 195, 212])) {
      return {
        ext: "pcap",
        mime: "application/vnd.tcpdump.pcap"
      };
    }
    if (this.checkString("DSD ")) {
      return {
        ext: "dsf",
        mime: "audio/x-dsf"
      };
    }
    if (this.checkString("LZIP")) {
      return {
        ext: "lz",
        mime: "application/x-lzip"
      };
    }
    if (this.checkString("fLaC")) {
      return {
        ext: "flac",
        mime: "audio/flac"
      };
    }
    if (this.check([66, 80, 71, 251])) {
      return {
        ext: "bpg",
        mime: "image/bpg"
      };
    }
    if (this.checkString("wvpk")) {
      return {
        ext: "wv",
        mime: "audio/wavpack"
      };
    }
    if (this.checkString("%PDF")) {
      return {
        ext: "pdf",
        mime: "application/pdf"
      };
    }
    if (this.check([0, 97, 115, 109])) {
      return {
        ext: "wasm",
        mime: "application/wasm"
      };
    }
    if (this.check([73, 73])) {
      const fileType = await this.readTiffHeader(false);
      if (fileType) {
        return fileType;
      }
    }
    if (this.check([77, 77])) {
      const fileType = await this.readTiffHeader(true);
      if (fileType) {
        return fileType;
      }
    }
    if (this.checkString("MAC ")) {
      return {
        ext: "ape",
        mime: "audio/ape"
      };
    }
    if (this.check([26, 69, 223, 163])) {
      async function readField() {
        const msb = await tokenizer.peekNumber(UINT8);
        let mask = 128;
        let ic = 0;
        while ((msb & mask) === 0 && mask !== 0) {
          ++ic;
          mask >>= 1;
        }
        const id = new Uint8Array(ic + 1);
        await tokenizer.readBuffer(id);
        return id;
      }
      async function readElement() {
        const idField = await readField();
        const lengthField = await readField();
        lengthField[0] ^= 128 >> lengthField.length - 1;
        const nrLength = Math.min(6, lengthField.length);
        const idView = new DataView(idField.buffer);
        const lengthView = new DataView(lengthField.buffer, lengthField.length - nrLength, nrLength);
        return {
          id: getUintBE(idView),
          len: getUintBE(lengthView)
        };
      }
      async function readChildren(children) {
        while (children > 0) {
          const element = await readElement();
          if (element.id === 17026) {
            const rawValue = await tokenizer.readToken(new StringType2(element.len));
            return rawValue.replaceAll(/\00.*$/g, "");
          }
          await tokenizer.ignore(element.len);
          --children;
        }
      }
      const re = await readElement();
      const documentType = await readChildren(re.len);
      switch (documentType) {
        case "webm":
          return {
            ext: "webm",
            mime: "video/webm"
          };
        case "matroska":
          return {
            ext: "mkv",
            mime: "video/matroska"
          };
        default:
          return;
      }
    }
    if (this.checkString("SQLi")) {
      return {
        ext: "sqlite",
        mime: "application/x-sqlite3"
      };
    }
    if (this.check([78, 69, 83, 26])) {
      return {
        ext: "nes",
        mime: "application/x-nintendo-nes-rom"
      };
    }
    if (this.checkString("Cr24")) {
      return {
        ext: "crx",
        mime: "application/x-google-chrome-extension"
      };
    }
    if (this.checkString("MSCF") || this.checkString("ISc(")) {
      return {
        ext: "cab",
        mime: "application/vnd.ms-cab-compressed"
      };
    }
    if (this.check([237, 171, 238, 219])) {
      return {
        ext: "rpm",
        mime: "application/x-rpm"
      };
    }
    if (this.check([197, 208, 211, 198])) {
      return {
        ext: "eps",
        mime: "application/eps"
      };
    }
    if (this.check([40, 181, 47, 253])) {
      return {
        ext: "zst",
        mime: "application/zstd"
      };
    }
    if (this.check([127, 69, 76, 70])) {
      return {
        ext: "elf",
        mime: "application/x-elf"
      };
    }
    if (this.check([33, 66, 68, 78])) {
      return {
        ext: "pst",
        mime: "application/vnd.ms-outlook"
      };
    }
    if (this.checkString("PAR1") || this.checkString("PARE")) {
      return {
        ext: "parquet",
        mime: "application/vnd.apache.parquet"
      };
    }
    if (this.checkString("ttcf")) {
      return {
        ext: "ttc",
        mime: "font/collection"
      };
    }
    if (this.check([207, 250, 237, 254])) {
      return {
        ext: "macho",
        mime: "application/x-mach-binary"
      };
    }
    if (this.check([4, 34, 77, 24])) {
      return {
        ext: "lz4",
        mime: "application/x-lz4"
      };
    }
    if (this.check([79, 84, 84, 79, 0])) {
      return {
        ext: "otf",
        mime: "font/otf"
      };
    }
    if (this.checkString("#!AMR")) {
      return {
        ext: "amr",
        mime: "audio/amr"
      };
    }
    if (this.checkString("{\\rtf")) {
      return {
        ext: "rtf",
        mime: "application/rtf"
      };
    }
    if (this.check([70, 76, 86, 1])) {
      return {
        ext: "flv",
        mime: "video/x-flv"
      };
    }
    if (this.checkString("IMPM")) {
      return {
        ext: "it",
        mime: "audio/x-it"
      };
    }
    if (this.checkString("-lh0-", { offset: 2 }) || this.checkString("-lh1-", { offset: 2 }) || this.checkString("-lh2-", { offset: 2 }) || this.checkString("-lh3-", { offset: 2 }) || this.checkString("-lh4-", { offset: 2 }) || this.checkString("-lh5-", { offset: 2 }) || this.checkString("-lh6-", { offset: 2 }) || this.checkString("-lh7-", { offset: 2 }) || this.checkString("-lzs-", { offset: 2 }) || this.checkString("-lz4-", { offset: 2 }) || this.checkString("-lz5-", { offset: 2 }) || this.checkString("-lhd-", { offset: 2 })) {
      return {
        ext: "lzh",
        mime: "application/x-lzh-compressed"
      };
    }
    if (this.check([0, 0, 1, 186])) {
      if (this.check([33], { offset: 4, mask: [241] })) {
        return {
          ext: "mpg",
          mime: "video/MP1S"
        };
      }
      if (this.check([68], { offset: 4, mask: [196] })) {
        return {
          ext: "mpg",
          mime: "video/MP2P"
        };
      }
    }
    if (this.checkString("ITSF")) {
      return {
        ext: "chm",
        mime: "application/vnd.ms-htmlhelp"
      };
    }
    if (this.check([202, 254, 186, 190])) {
      return {
        ext: "class",
        mime: "application/java-vm"
      };
    }
    if (this.checkString(".RMF")) {
      return {
        ext: "rm",
        mime: "application/vnd.rn-realmedia"
      };
    }
    if (this.checkString("DRACO")) {
      return {
        ext: "drc",
        mime: "application/vnd.google.draco"
      };
    }
    if (this.check([253, 55, 122, 88, 90, 0])) {
      return {
        ext: "xz",
        mime: "application/x-xz"
      };
    }
    if (this.checkString("<?xml ")) {
      return {
        ext: "xml",
        mime: "application/xml"
      };
    }
    if (this.check([55, 122, 188, 175, 39, 28])) {
      return {
        ext: "7z",
        mime: "application/x-7z-compressed"
      };
    }
    if (this.check([82, 97, 114, 33, 26, 7]) && (this.buffer[6] === 0 || this.buffer[6] === 1)) {
      return {
        ext: "rar",
        mime: "application/x-rar-compressed"
      };
    }
    if (this.checkString("solid ")) {
      return {
        ext: "stl",
        mime: "model/stl"
      };
    }
    if (this.checkString("AC")) {
      const version = new StringType2(4, "latin1").get(this.buffer, 2);
      if (version.match("^d*") && version >= 1000 && version <= 1050) {
        return {
          ext: "dwg",
          mime: "image/vnd.dwg"
        };
      }
    }
    if (this.checkString("070707")) {
      return {
        ext: "cpio",
        mime: "application/x-cpio"
      };
    }
    if (this.checkString("BLENDER")) {
      return {
        ext: "blend",
        mime: "application/x-blender"
      };
    }
    if (this.checkString("!<arch>")) {
      await tokenizer.ignore(8);
      const string3 = await tokenizer.readToken(new StringType2(13, "ascii"));
      if (string3 === "debian-binary") {
        return {
          ext: "deb",
          mime: "application/x-deb"
        };
      }
      return {
        ext: "ar",
        mime: "application/x-unix-archive"
      };
    }
    if (this.checkString("WEBVTT") && [`
`, "\r", "\t", " ", "\x00"].some((char7) => this.checkString(char7, { offset: 6 }))) {
      return {
        ext: "vtt",
        mime: "text/vtt"
      };
    }
    if (this.check([137, 80, 78, 71, 13, 10, 26, 10])) {
      await tokenizer.ignore(8);
      async function readChunkHeader() {
        return {
          length: await tokenizer.readToken(INT32_BE),
          type: await tokenizer.readToken(new StringType2(4, "latin1"))
        };
      }
      do {
        const chunk = await readChunkHeader();
        if (chunk.length < 0) {
          return;
        }
        switch (chunk.type) {
          case "IDAT":
            return {
              ext: "png",
              mime: "image/png"
            };
          case "acTL":
            return {
              ext: "apng",
              mime: "image/apng"
            };
          default:
            await tokenizer.ignore(chunk.length + 4);
        }
      } while (tokenizer.position + 8 < tokenizer.fileInfo.size);
      return {
        ext: "png",
        mime: "image/png"
      };
    }
    if (this.check([65, 82, 82, 79, 87, 49, 0, 0])) {
      return {
        ext: "arrow",
        mime: "application/vnd.apache.arrow.file"
      };
    }
    if (this.check([103, 108, 84, 70, 2, 0, 0, 0])) {
      return {
        ext: "glb",
        mime: "model/gltf-binary"
      };
    }
    if (this.check([102, 114, 101, 101], { offset: 4 }) || this.check([109, 100, 97, 116], { offset: 4 }) || this.check([109, 111, 111, 118], { offset: 4 }) || this.check([119, 105, 100, 101], { offset: 4 })) {
      return {
        ext: "mov",
        mime: "video/quicktime"
      };
    }
    if (this.check([73, 73, 82, 79, 8, 0, 0, 0, 24])) {
      return {
        ext: "orf",
        mime: "image/x-olympus-orf"
      };
    }
    if (this.checkString("gimp xcf ")) {
      return {
        ext: "xcf",
        mime: "image/x-xcf"
      };
    }
    if (this.checkString("ftyp", { offset: 4 }) && (this.buffer[8] & 96) !== 0) {
      const brandMajor = new StringType2(4, "latin1").get(this.buffer, 8).replace("\x00", " ").trim();
      switch (brandMajor) {
        case "avif":
        case "avis":
          return { ext: "avif", mime: "image/avif" };
        case "mif1":
          return { ext: "heic", mime: "image/heif" };
        case "msf1":
          return { ext: "heic", mime: "image/heif-sequence" };
        case "heic":
        case "heix":
          return { ext: "heic", mime: "image/heic" };
        case "hevc":
        case "hevx":
          return { ext: "heic", mime: "image/heic-sequence" };
        case "qt":
          return { ext: "mov", mime: "video/quicktime" };
        case "M4V":
        case "M4VH":
        case "M4VP":
          return { ext: "m4v", mime: "video/x-m4v" };
        case "M4P":
          return { ext: "m4p", mime: "video/mp4" };
        case "M4B":
          return { ext: "m4b", mime: "audio/mp4" };
        case "M4A":
          return { ext: "m4a", mime: "audio/x-m4a" };
        case "F4V":
          return { ext: "f4v", mime: "video/mp4" };
        case "F4P":
          return { ext: "f4p", mime: "video/mp4" };
        case "F4A":
          return { ext: "f4a", mime: "audio/mp4" };
        case "F4B":
          return { ext: "f4b", mime: "audio/mp4" };
        case "crx":
          return { ext: "cr3", mime: "image/x-canon-cr3" };
        default:
          if (brandMajor.startsWith("3g")) {
            if (brandMajor.startsWith("3g2")) {
              return { ext: "3g2", mime: "video/3gpp2" };
            }
            return { ext: "3gp", mime: "video/3gpp" };
          }
          return { ext: "mp4", mime: "video/mp4" };
      }
    }
    if (this.check([82, 73, 70, 70])) {
      if (this.checkString("WEBP", { offset: 8 })) {
        return {
          ext: "webp",
          mime: "image/webp"
        };
      }
      if (this.check([65, 86, 73], { offset: 8 })) {
        return {
          ext: "avi",
          mime: "video/vnd.avi"
        };
      }
      if (this.check([87, 65, 86, 69], { offset: 8 })) {
        return {
          ext: "wav",
          mime: "audio/wav"
        };
      }
      if (this.check([81, 76, 67, 77], { offset: 8 })) {
        return {
          ext: "qcp",
          mime: "audio/qcelp"
        };
      }
    }
    if (this.check([73, 73, 85, 0, 24, 0, 0, 0, 136, 231, 116, 216])) {
      return {
        ext: "rw2",
        mime: "image/x-panasonic-rw2"
      };
    }
    if (this.check([48, 38, 178, 117, 142, 102, 207, 17, 166, 217])) {
      async function readHeader() {
        const guid = new Uint8Array(16);
        await tokenizer.readBuffer(guid);
        return {
          id: guid,
          size: Number(await tokenizer.readToken(UINT64_LE))
        };
      }
      await tokenizer.ignore(30);
      while (tokenizer.position + 24 < tokenizer.fileInfo.size) {
        const header = await readHeader();
        let payload = header.size - 24;
        if (_check(header.id, [145, 7, 220, 183, 183, 169, 207, 17, 142, 230, 0, 192, 12, 32, 83, 101])) {
          const typeId = new Uint8Array(16);
          payload -= await tokenizer.readBuffer(typeId);
          if (_check(typeId, [64, 158, 105, 248, 77, 91, 207, 17, 168, 253, 0, 128, 95, 92, 68, 43])) {
            return {
              ext: "asf",
              mime: "audio/x-ms-asf"
            };
          }
          if (_check(typeId, [192, 239, 25, 188, 77, 91, 207, 17, 168, 253, 0, 128, 95, 92, 68, 43])) {
            return {
              ext: "asf",
              mime: "video/x-ms-asf"
            };
          }
          break;
        }
        await tokenizer.ignore(payload);
      }
      return {
        ext: "asf",
        mime: "application/vnd.ms-asf"
      };
    }
    if (this.check([171, 75, 84, 88, 32, 49, 49, 187, 13, 10, 26, 10])) {
      return {
        ext: "ktx",
        mime: "image/ktx"
      };
    }
    if ((this.check([126, 16, 4]) || this.check([126, 24, 4])) && this.check([48, 77, 73, 69], { offset: 4 })) {
      return {
        ext: "mie",
        mime: "application/x-mie"
      };
    }
    if (this.check([39, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], { offset: 2 })) {
      return {
        ext: "shp",
        mime: "application/x-esri-shape"
      };
    }
    if (this.check([255, 79, 255, 81])) {
      return {
        ext: "j2c",
        mime: "image/j2c"
      };
    }
    if (this.check([0, 0, 0, 12, 106, 80, 32, 32, 13, 10, 135, 10])) {
      await tokenizer.ignore(20);
      const type4 = await tokenizer.readToken(new StringType2(4, "ascii"));
      switch (type4) {
        case "jp2 ":
          return {
            ext: "jp2",
            mime: "image/jp2"
          };
        case "jpx ":
          return {
            ext: "jpx",
            mime: "image/jpx"
          };
        case "jpm ":
          return {
            ext: "jpm",
            mime: "image/jpm"
          };
        case "mjp2":
          return {
            ext: "mj2",
            mime: "image/mj2"
          };
        default:
          return;
      }
    }
    if (this.check([255, 10]) || this.check([0, 0, 0, 12, 74, 88, 76, 32, 13, 10, 135, 10])) {
      return {
        ext: "jxl",
        mime: "image/jxl"
      };
    }
    if (this.check([254, 255])) {
      if (this.check([0, 60, 0, 63, 0, 120, 0, 109, 0, 108], { offset: 2 })) {
        return {
          ext: "xml",
          mime: "application/xml"
        };
      }
      return;
    }
    if (this.check([208, 207, 17, 224, 161, 177, 26, 225])) {
      return {
        ext: "cfb",
        mime: "application/x-cfb"
      };
    }
    await tokenizer.peekBuffer(this.buffer, { length: Math.min(256, tokenizer.fileInfo.size), mayBeLess: true });
    if (this.check([97, 99, 115, 112], { offset: 36 })) {
      return {
        ext: "icc",
        mime: "application/vnd.iccprofile"
      };
    }
    if (this.checkString("**ACE", { offset: 7 }) && this.checkString("**", { offset: 12 })) {
      return {
        ext: "ace",
        mime: "application/x-ace-compressed"
      };
    }
    if (this.checkString("BEGIN:")) {
      if (this.checkString("VCARD", { offset: 6 })) {
        return {
          ext: "vcf",
          mime: "text/vcard"
        };
      }
      if (this.checkString("VCALENDAR", { offset: 6 })) {
        return {
          ext: "ics",
          mime: "text/calendar"
        };
      }
    }
    if (this.checkString("FUJIFILMCCD-RAW")) {
      return {
        ext: "raf",
        mime: "image/x-fujifilm-raf"
      };
    }
    if (this.checkString("Extended Module:")) {
      return {
        ext: "xm",
        mime: "audio/x-xm"
      };
    }
    if (this.checkString("Creative Voice File")) {
      return {
        ext: "voc",
        mime: "audio/x-voc"
      };
    }
    if (this.check([4, 0, 0, 0]) && this.buffer.length >= 16) {
      const jsonSize = new DataView(this.buffer.buffer).getUint32(12, true);
      if (jsonSize > 12 && this.buffer.length >= jsonSize + 16) {
        try {
          const header = new TextDecoder().decode(this.buffer.subarray(16, jsonSize + 16));
          const json = JSON.parse(header);
          if (json.files) {
            return {
              ext: "asar",
              mime: "application/x-asar"
            };
          }
        } catch {
        }
      }
    }
    if (this.check([6, 14, 43, 52, 2, 5, 1, 1, 13, 1, 2, 1, 1, 2])) {
      return {
        ext: "mxf",
        mime: "application/mxf"
      };
    }
    if (this.checkString("SCRM", { offset: 44 })) {
      return {
        ext: "s3m",
        mime: "audio/x-s3m"
      };
    }
    if (this.check([71]) && this.check([71], { offset: 188 })) {
      return {
        ext: "mts",
        mime: "video/mp2t"
      };
    }
    if (this.check([71], { offset: 4 }) && this.check([71], { offset: 196 })) {
      return {
        ext: "mts",
        mime: "video/mp2t"
      };
    }
    if (this.check([66, 79, 79, 75, 77, 79, 66, 73], { offset: 60 })) {
      return {
        ext: "mobi",
        mime: "application/x-mobipocket-ebook"
      };
    }
    if (this.check([68, 73, 67, 77], { offset: 128 })) {
      return {
        ext: "dcm",
        mime: "application/dicom"
      };
    }
    if (this.check([76, 0, 0, 0, 1, 20, 2, 0, 0, 0, 0, 0, 192, 0, 0, 0, 0, 0, 0, 70])) {
      return {
        ext: "lnk",
        mime: "application/x.ms.shortcut"
      };
    }
    if (this.check([98, 111, 111, 107, 0, 0, 0, 0, 109, 97, 114, 107, 0, 0, 0, 0])) {
      return {
        ext: "alias",
        mime: "application/x.apple.alias"
      };
    }
    if (this.checkString("Kaydara FBX Binary  \x00")) {
      return {
        ext: "fbx",
        mime: "application/x.autodesk.fbx"
      };
    }
    if (this.check([76, 80], { offset: 34 }) && (this.check([0, 0, 1], { offset: 8 }) || this.check([1, 0, 2], { offset: 8 }) || this.check([2, 0, 2], { offset: 8 }))) {
      return {
        ext: "eot",
        mime: "application/vnd.ms-fontobject"
      };
    }
    if (this.check([6, 6, 237, 245, 216, 29, 70, 229, 189, 49, 239, 231, 254, 116, 183, 29])) {
      return {
        ext: "indd",
        mime: "application/x-indesign"
      };
    }
    await tokenizer.peekBuffer(this.buffer, { length: Math.min(512, tokenizer.fileInfo.size), mayBeLess: true });
    if (this.checkString("ustar", { offset: 257 }) && (this.checkString("\x00", { offset: 262 }) || this.checkString(" ", { offset: 262 })) || this.check([0, 0, 0, 0, 0, 0], { offset: 257 }) && tarHeaderChecksumMatches(this.buffer)) {
      return {
        ext: "tar",
        mime: "application/x-tar"
      };
    }
    if (this.check([255, 254])) {
      if (this.check([60, 0, 63, 0, 120, 0, 109, 0, 108, 0], { offset: 2 })) {
        return {
          ext: "xml",
          mime: "application/xml"
        };
      }
      if (this.check([255, 14, 83, 0, 107, 0, 101, 0, 116, 0, 99, 0, 104, 0, 85, 0, 112, 0, 32, 0, 77, 0, 111, 0, 100, 0, 101, 0, 108, 0], { offset: 2 })) {
        return {
          ext: "skp",
          mime: "application/vnd.sketchup.skp"
        };
      }
      return;
    }
    if (this.checkString("-----BEGIN PGP MESSAGE-----")) {
      return {
        ext: "pgp",
        mime: "application/pgp-encrypted"
      };
    }
  };
  detectImprecise = async (tokenizer) => {
    this.buffer = new Uint8Array(reasonableDetectionSizeInBytes);
    await tokenizer.peekBuffer(this.buffer, { length: Math.min(8, tokenizer.fileInfo.size), mayBeLess: true });
    if (this.check([0, 0, 1, 186]) || this.check([0, 0, 1, 179])) {
      return {
        ext: "mpg",
        mime: "video/mpeg"
      };
    }
    if (this.check([0, 1, 0, 0, 0])) {
      return {
        ext: "ttf",
        mime: "font/ttf"
      };
    }
    if (this.check([0, 0, 1, 0])) {
      return {
        ext: "ico",
        mime: "image/x-icon"
      };
    }
    if (this.check([0, 0, 2, 0])) {
      return {
        ext: "cur",
        mime: "image/x-icon"
      };
    }
    await tokenizer.peekBuffer(this.buffer, { length: Math.min(2 + this.options.mpegOffsetTolerance, tokenizer.fileInfo.size), mayBeLess: true });
    if (this.buffer.length >= 2 + this.options.mpegOffsetTolerance) {
      for (let depth = 0;depth <= this.options.mpegOffsetTolerance; ++depth) {
        const type4 = this.scanMpeg(depth);
        if (type4) {
          return type4;
        }
      }
    }
  };
  async readTiffTag(bigEndian) {
    const tagId = await this.tokenizer.readToken(bigEndian ? UINT16_BE : UINT16_LE);
    this.tokenizer.ignore(10);
    switch (tagId) {
      case 50341:
        return {
          ext: "arw",
          mime: "image/x-sony-arw"
        };
      case 50706:
        return {
          ext: "dng",
          mime: "image/x-adobe-dng"
        };
      default:
    }
  }
  async readTiffIFD(bigEndian) {
    const numberOfTags = await this.tokenizer.readToken(bigEndian ? UINT16_BE : UINT16_LE);
    for (let n = 0;n < numberOfTags; ++n) {
      const fileType = await this.readTiffTag(bigEndian);
      if (fileType) {
        return fileType;
      }
    }
  }
  async readTiffHeader(bigEndian) {
    const version = (bigEndian ? UINT16_BE : UINT16_LE).get(this.buffer, 2);
    const ifdOffset = (bigEndian ? UINT32_BE : UINT32_LE).get(this.buffer, 4);
    if (version === 42) {
      if (ifdOffset >= 6) {
        if (this.checkString("CR", { offset: 8 })) {
          return {
            ext: "cr2",
            mime: "image/x-canon-cr2"
          };
        }
        if (ifdOffset >= 8) {
          const someId1 = (bigEndian ? UINT16_BE : UINT16_LE).get(this.buffer, 8);
          const someId2 = (bigEndian ? UINT16_BE : UINT16_LE).get(this.buffer, 10);
          if (someId1 === 28 && someId2 === 254 || someId1 === 31 && someId2 === 11) {
            return {
              ext: "nef",
              mime: "image/x-nikon-nef"
            };
          }
        }
      }
      await this.tokenizer.ignore(ifdOffset);
      const fileType = await this.readTiffIFD(bigEndian);
      return fileType ?? {
        ext: "tif",
        mime: "image/tiff"
      };
    }
    if (version === 43) {
      return {
        ext: "tif",
        mime: "image/tiff"
      };
    }
  }
  scanMpeg(offset) {
    if (this.check([255, 224], { offset, mask: [255, 224] })) {
      if (this.check([16], { offset: offset + 1, mask: [22] })) {
        if (this.check([8], { offset: offset + 1, mask: [8] })) {
          return {
            ext: "aac",
            mime: "audio/aac"
          };
        }
        return {
          ext: "aac",
          mime: "audio/aac"
        };
      }
      if (this.check([2], { offset: offset + 1, mask: [6] })) {
        return {
          ext: "mp3",
          mime: "audio/mpeg"
        };
      }
      if (this.check([4], { offset: offset + 1, mask: [6] })) {
        return {
          ext: "mp2",
          mime: "audio/mpeg"
        };
      }
      if (this.check([6], { offset: offset + 1, mask: [6] })) {
        return {
          ext: "mp1",
          mime: "audio/mpeg"
        };
      }
    }
  }
}
var reasonableDetectionSizeInBytes = 4100, supportedExtensions, supportedMimeTypes;
var init_core2 = __esm(() => {
  init_lib3();
  init_core();
  init_lib4();
  init_uint8array_extras();
  init_util();
  init_supported();
  supportedExtensions = new Set(extensions);
  supportedMimeTypes = new Set(mimeTypes);
});

// ../../node_modules/file-type/index.js
var exports_file_type = {};
__export(exports_file_type, {
  supportedMimeTypes: () => supportedMimeTypes,
  supportedExtensions: () => supportedExtensions,
  fileTypeStream: () => fileTypeStream,
  fileTypeFromTokenizer: () => fileTypeFromTokenizer,
  fileTypeFromStream: () => fileTypeFromStream,
  fileTypeFromFile: () => fileTypeFromFile,
  fileTypeFromBuffer: () => fileTypeFromBuffer,
  fileTypeFromBlob: () => fileTypeFromBlob,
  FileTypeParser: () => FileTypeParser2
});
import { ReadableStream as WebReadableStream } from "stream/web";
import { pipeline, PassThrough, Readable } from "stream";
async function fileTypeFromFile(path, options) {
  return new FileTypeParser2(options).fromFile(path, options);
}
async function fileTypeFromStream(stream, options) {
  return new FileTypeParser2(options).fromStream(stream);
}
async function fileTypeStream(readableStream, options = {}) {
  return new FileTypeParser2(options).toDetectionStream(readableStream, options);
}
var FileTypeParser2;
var init_file_type = __esm(() => {
  init_lib2();
  init_core2();
  init_core2();
  FileTypeParser2 = class FileTypeParser2 extends FileTypeParser {
    async fromStream(stream) {
      const tokenizer = await (stream instanceof WebReadableStream ? fromWebStream(stream, this.tokenizerOptions) : fromStream2(stream, this.tokenizerOptions));
      try {
        return await super.fromTokenizer(tokenizer);
      } finally {
        await tokenizer.close();
      }
    }
    async fromFile(path) {
      const tokenizer = await fromFile(path);
      try {
        return await super.fromTokenizer(tokenizer);
      } finally {
        await tokenizer.close();
      }
    }
    async toDetectionStream(readableStream, options = {}) {
      if (!(readableStream instanceof Readable)) {
        return super.toDetectionStream(readableStream, options);
      }
      const { sampleSize = reasonableDetectionSizeInBytes } = options;
      return new Promise((resolve, reject) => {
        readableStream.on("error", reject);
        readableStream.once("readable", () => {
          (async () => {
            try {
              const pass = new PassThrough;
              const outputStream = pipeline ? pipeline(readableStream, pass, () => {
              }) : readableStream.pipe(pass);
              const chunk = readableStream.read(sampleSize) ?? readableStream.read() ?? new Uint8Array(0);
              try {
                pass.fileType = await this.fromBuffer(chunk);
              } catch (error3) {
                if (error3 instanceof EndOfStreamError) {
                  pass.fileType = undefined;
                } else {
                  reject(error3);
                }
              }
              resolve(outputStream);
            } catch (error3) {
              reject(error3);
            }
          })();
        });
      });
    }
  };
});

// ../../node_modules/elysia/dist/bun/index.js
function isLeapYear(year) {
  return year % 4 === 0 && (year % 100 !== 0 || year % 400 === 0);
}
function date3(str) {
  let matches = DATE.exec(str);
  if (!matches)
    return false;
  let year = +matches[1], month = +matches[2], day = +matches[3];
  return month >= 1 && month <= 12 && day >= 1 && day <= (month === 2 && isLeapYear(year) ? 29 : DAYS[month]);
}
function getTime(strictTimeZone) {
  return function time(str) {
    let matches = TIME.exec(str);
    if (!matches)
      return false;
    let hr = +matches[1], min = +matches[2], sec = +matches[3], tz = matches[4], tzSign = matches[5] === "-" ? -1 : 1, tzH = +(matches[6] || 0), tzM = +(matches[7] || 0);
    if (tzH > 23 || tzM > 59 || strictTimeZone && !tz)
      return false;
    if (hr <= 23 && min <= 59 && sec < 60)
      return true;
    let utcMin = min - tzM * tzSign, utcHr = hr - tzH * tzSign - (utcMin < 0 ? 1 : 0);
    return (utcHr === 23 || utcHr === -1) && (utcMin === 59 || utcMin === -1) && sec < 61;
  };
}
function getDateTime(strictTimeZone) {
  let time = getTime(strictTimeZone);
  return function date_time(str) {
    let dateTime = str.split(DATE_TIME_SEPARATOR);
    return dateTime.length === 2 && date3(dateTime[0]) && time(dateTime[1]);
  };
}
function uri(str) {
  return NOT_URI_FRAGMENT.test(str) && URI.test(str);
}
function byte(str) {
  return BYTE.lastIndex = 0, BYTE.test(str);
}
function validateInt32(value2) {
  return Number.isInteger(value2) && value2 <= MAX_INT32 && value2 >= MIN_INT32;
}
function validateInt64(value2) {
  return Number.isInteger(value2);
}
function validateNumber() {
  return true;
}
function regex(str) {
  if (Z_ANCHOR.test(str))
    return false;
  try {
    return new RegExp(str), true;
  } catch (e) {
    return false;
  }
}

class ElysiaFile {
  path;
  value;
  stats;
  constructor(path) {
    this.path = path;
    if (isBun)
      this.value = Bun.file(path);
    else if (typeof window !== "undefined")
      console.warn("Browser environment does not support file");
    else if (!createReadStream || !stat)
      try {
        this.value = import("fs").then((fs) => {
          return createReadStream = fs.createReadStream, fs.createReadStream(path);
        }), this.stats = import("fs/promises").then((fs) => {
          return stat = fs.stat, fs.stat(path);
        });
      } catch {
      }
    else
      this.value = createReadStream(path), this.stats = stat(path);
  }
  get type() {
    return mime[getFileExtension(this.path)] || "application/octet-stream";
  }
  get length() {
    if (isBun)
      return this.value.size;
    return this.stats?.then((x) => x.size) ?? 0;
  }
}
function removeTrailingEquals(digest) {
  let trimmedDigest = digest;
  while (trimmedDigest.endsWith("="))
    trimmedDigest = trimmedDigest.slice(0, -1);
  return trimmedDigest;
}

class PromiseGroup {
  onError;
  onFinally;
  root = null;
  promises = [];
  constructor(onError = console.error, onFinally = () => {
  }) {
    this.onError = onError;
    this.onFinally = onFinally;
  }
  get size() {
    return this.promises.length;
  }
  add(promise3) {
    if (this.promises.push(promise3), this.root ||= this.drain(), this.promises.length === 1)
      this.then(this.onFinally);
    return promise3;
  }
  async drain() {
    while (this.promises.length > 0) {
      try {
        await this.promises[0];
      } catch (error3) {
        this.onError(error3);
      }
      this.promises.shift();
    }
    this.root = null;
  }
  then(onfulfilled, onrejected) {
    return (this.root ?? Promise.resolve()).then(onfulfilled, onrejected);
  }
}

class ElysiaCustomStatusResponse {
  code;
  response;
  constructor(code, response) {
    let res = response ?? (code in InvertedStatusMap ? InvertedStatusMap[code] : code);
    this.code = StatusMap[code] ?? code, this.response = res;
  }
}
function createType(kind, func) {
  if (!exports_type2.Has(kind))
    exports_type2.Set(kind, func);
  return (options = {}) => Unsafe({ ...options, [Kind]: kind });
}

class Cookie {
  name;
  jar;
  initial;
  constructor(name, jar, initial = {}) {
    this.name = name;
    this.jar = jar;
    this.initial = initial;
  }
  get cookie() {
    return this.jar[this.name] ?? this.initial;
  }
  set cookie(jar) {
    if (!(this.name in this.jar))
      this.jar[this.name] = this.initial;
    this.jar[this.name] = jar;
  }
  get setCookie() {
    if (!(this.name in this.jar))
      this.jar[this.name] = this.initial;
    return this.jar[this.name];
  }
  set setCookie(jar) {
    this.cookie = jar;
  }
  get value() {
    return this.cookie.value;
  }
  set value(value2) {
    this.setCookie.value = value2;
  }
  get expires() {
    return this.cookie.expires;
  }
  set expires(expires) {
    this.setCookie.expires = expires;
  }
  get maxAge() {
    return this.cookie.maxAge;
  }
  set maxAge(maxAge) {
    this.setCookie.maxAge = maxAge;
  }
  get domain() {
    return this.cookie.domain;
  }
  set domain(domain) {
    this.setCookie.domain = domain;
  }
  get path() {
    return this.cookie.path;
  }
  set path(path) {
    this.setCookie.path = path;
  }
  get secure() {
    return this.cookie.secure;
  }
  set secure(secure) {
    this.setCookie.secure = secure;
  }
  get httpOnly() {
    return this.cookie.httpOnly;
  }
  set httpOnly(httpOnly) {
    this.setCookie.httpOnly = httpOnly;
  }
  get sameSite() {
    return this.cookie.sameSite;
  }
  set sameSite(sameSite) {
    this.setCookie.sameSite = sameSite;
  }
  get priority() {
    return this.cookie.priority;
  }
  set priority(priority) {
    this.setCookie.priority = priority;
  }
  get partitioned() {
    return this.cookie.partitioned;
  }
  set partitioned(partitioned) {
    this.setCookie.partitioned = partitioned;
  }
  get secrets() {
    return this.cookie.secrets;
  }
  set secrets(secrets) {
    this.setCookie.secrets = secrets;
  }
  update(config) {
    return this.setCookie = Object.assign(this.cookie, typeof config === "function" ? config(this.cookie) : config), this;
  }
  set(config) {
    return this.setCookie = Object.assign({ ...this.initial, value: this.value }, typeof config === "function" ? config(this.cookie) : config), this;
  }
  remove() {
    if (this.value === undefined)
      return;
    return this.set({ expires: new Date(0), maxAge: 0, value: "" }), this;
  }
  toString() {
    return typeof this.value === "object" ? JSON.stringify(this.value) : this.value?.toString() ?? "";
  }
}
async function* streamResponse(response) {
  let body = response.body;
  if (!body)
    return;
  let reader = body.getReader(), decoder = new TextDecoder;
  try {
    while (true) {
      let { done, value: value2 } = await reader.read();
      if (done)
        break;
      yield decoder.decode(value2);
    }
  } finally {
    reader.releaseLock();
  }
}
function parseQueryFromURL(input, startIndex = 0) {
  let result = Object.create(null), KEY_PLUS_FLAG = 1, KEY_DECODE_FLAG = 2, VALUE_PLUS_FLAG = 4, VALUE_DECODE_FLAG = 8, flags = 0, startingIndex = startIndex - 1, equalityIndex = startingIndex, inputLength = input.length;
  for (let i = startIndex;i < inputLength; i++)
    switch (input.charCodeAt(i)) {
      case 38:
        processKeyValuePair(i), startingIndex = i, equalityIndex = i, flags = 0;
        break;
      case 61:
        if (equalityIndex <= startingIndex)
          equalityIndex = i;
        else
          flags |= 8;
        break;
      case 43:
        if (equalityIndex > startingIndex)
          flags |= 4;
        else
          flags |= 1;
        break;
      case 37:
        if (equalityIndex > startingIndex)
          flags |= 8;
        else
          flags |= 2;
        break;
    }
  return processKeyValuePair(inputLength), result;
  function processKeyValuePair(endIndex) {
    let hasBothKeyValuePair = equalityIndex > startingIndex, keyEndIndex = hasBothKeyValuePair ? equalityIndex : endIndex;
    if (keyEndIndex <= startingIndex + 1)
      return;
    let keySlice = input.slice(startingIndex + 1, keyEndIndex);
    if (flags & 1)
      keySlice = keySlice.replace(/\+/g, " ");
    if (flags & 2)
      keySlice = import_fast_decode_uri_component2.default(keySlice) || keySlice;
    if (result[keySlice] !== undefined)
      return;
    let finalValue = "";
    if (hasBothKeyValuePair) {
      if (finalValue = input.slice(equalityIndex + 1, endIndex), flags & 4)
        finalValue = finalValue.replace(/\+/g, " ");
      if (flags & 8)
        finalValue = import_fast_decode_uri_component2.default(finalValue) || finalValue;
    }
    result[keySlice] = finalValue;
  }
}
function parseQuery(input) {
  let result = Object.create(null), flags = 0, KEY_HAS_PLUS = 1, KEY_NEEDS_DECODE = 2, VALUE_HAS_PLUS = 4, VALUE_NEEDS_DECODE = 8, inputLength = input.length, startingIndex = -1, equalityIndex = -1;
  for (let i = 0;i < inputLength; i++)
    switch (input.charCodeAt(i)) {
      case 38:
        processKeyValuePair(input, i), startingIndex = i, equalityIndex = i, flags = 0;
        break;
      case 61:
        if (equalityIndex <= startingIndex)
          equalityIndex = i;
        else
          flags |= VALUE_NEEDS_DECODE;
        break;
      case 43:
        if (equalityIndex > startingIndex)
          flags |= VALUE_HAS_PLUS;
        else
          flags |= KEY_HAS_PLUS;
        break;
      case 37:
        if (equalityIndex > startingIndex)
          flags |= VALUE_NEEDS_DECODE;
        else
          flags |= KEY_NEEDS_DECODE;
        break;
    }
  if (startingIndex < inputLength)
    processKeyValuePair(input, inputLength);
  return result;
  function processKeyValuePair(input2, endIndex) {
    let hasBothKeyValuePair = equalityIndex > startingIndex, effectiveEqualityIndex = hasBothKeyValuePair ? equalityIndex : endIndex, keySlice = input2.slice(startingIndex + 1, effectiveEqualityIndex);
    if (!hasBothKeyValuePair && keySlice.length === 0)
      return;
    let finalKey = keySlice;
    if (flags & KEY_HAS_PLUS)
      finalKey = finalKey.replace(/\+/g, " ");
    if (flags & KEY_NEEDS_DECODE)
      finalKey = import_fast_decode_uri_component2.default(finalKey) || finalKey;
    let finalValue = "";
    if (hasBothKeyValuePair) {
      let valueSlice = input2.slice(equalityIndex + 1, endIndex);
      if (flags & VALUE_HAS_PLUS)
        valueSlice = valueSlice.replace(/\+/g, " ");
      if (flags & VALUE_NEEDS_DECODE)
        valueSlice = import_fast_decode_uri_component2.default(valueSlice) || valueSlice;
      finalValue = valueSlice;
    }
    let currentValue = result[finalKey];
    if (currentValue === undefined)
      result[finalKey] = finalValue;
    else if (Array.isArray(currentValue))
      currentValue.push(finalValue);
    else
      result[finalKey] = [currentValue, finalValue];
  }
}
function deepClone(source, weak = new WeakMap) {
  if (source === null || typeof source !== "object" || typeof source === "function")
    return source;
  if (weak.has(source))
    return weak.get(source);
  if (Array.isArray(source)) {
    let copy = new Array(source.length);
    weak.set(source, copy);
    for (let i = 0;i < source.length; i++)
      copy[i] = deepClone(source[i], weak);
    return copy;
  }
  if (typeof source === "object") {
    let keys = Object.keys(source).concat(Object.getOwnPropertySymbols(source)), cloned = {};
    for (let key of keys)
      cloned[key] = deepClone(source[key], weak);
    return cloned;
  }
  return source;
}

class Elysia {
  config;
  server = null;
  dependencies = {};
  "~Prefix" = "";
  "~Singleton" = null;
  "~Definitions" = null;
  "~Metadata" = null;
  "~Ephemeral" = null;
  "~Volatile" = null;
  "~Routes" = null;
  singleton = { decorator: {}, store: {}, derive: {}, resolve: {} };
  get store() {
    return this.singleton.store;
  }
  get decorator() {
    return this.singleton.decorator;
  }
  definitions = { typebox: t.Module({}), type: {}, error: {} };
  extender = { macros: [], higherOrderFunctions: [] };
  validator = { global: null, scoped: null, local: null, getCandidate() {
    if (!this.global && !this.scoped && !this.local)
      return { body: undefined, headers: undefined, params: undefined, query: undefined, cookie: undefined, response: undefined };
    return mergeSchemaValidator(mergeSchemaValidator(this.global, this.scoped), this.local);
  } };
  standaloneValidator = { global: null, scoped: null, local: null };
  event = {};
  telemetry;
  router = { "~http": undefined, get http() {
    if (!this["~http"])
      this["~http"] = new _({ lazy: true });
    return this["~http"];
  }, "~dynamic": undefined, get dynamic() {
    if (!this["~dynamic"])
      this["~dynamic"] = new _;
    return this["~dynamic"];
  }, static: {}, response: {}, history: [] };
  routeTree = {};
  get routes() {
    return this.router.history;
  }
  getGlobalRoutes() {
    return this.router.history;
  }
  getGlobalDefinitions() {
    return this.definitions;
  }
  inference = { body: false, cookie: false, headers: false, query: false, set: false, server: false, path: false, route: false, url: false };
  getServer() {
    return this.server;
  }
  getParent() {
    return null;
  }
  "~parser" = {};
  _promisedModules;
  get promisedModules() {
    if (!this._promisedModules)
      this._promisedModules = new PromiseGroup(console.error, () => {
      });
    return this._promisedModules;
  }
  constructor(config = {}) {
    if (config.tags)
      if (!config.detail)
        config.detail = { tags: config.tags };
      else
        config.detail.tags = config.tags;
    if (this.config = { prefix: "", aot: env2.ELYSIA_AOT !== "false", nativeStaticResponse: true, systemRouter: true, encodeSchema: true, normalize: true, ...config, cookie: { path: "/", ...config?.cookie }, experimental: config?.experimental ?? {}, seed: config?.seed === undefined ? "" : config?.seed }, this["~adapter"] = config.adapter ?? (typeof Bun !== "undefined" ? BunAdapter : WebStandardAdapter), config?.analytic && (config?.name || config?.seed !== undefined))
      this.telemetry = { stack: new Error().stack };
  }
  "~adapter";
  env(model, _env = env2) {
    if (getSchemaValidator(model, { modules: this.definitions.typebox, dynamic: true, additionalProperties: true, coerce: true, sanitize: () => this.config.sanitize }).Check(_env) === false) {
      let error22 = new ValidationError("env", model, _env);
      throw new Error(error22.all.map((x) => x.summary).join(`
`));
    }
    return this;
  }
  wrap(fn) {
    return this.extender.higherOrderFunctions.push({ checksum: checksum(JSON.stringify({ name: this.config.name, seed: this.config.seed, content: fn.toString() })), fn }), this;
  }
  applyMacro(localHook) {
    if (this.extender.macros.length) {
      let manage = createMacroManager({ globalHook: this.event, localHook }), manager = { events: { global: this.event, local: localHook }, get onParse() {
        return manage("parse");
      }, get onTransform() {
        return manage("transform");
      }, get onBeforeHandle() {
        return manage("beforeHandle");
      }, get onAfterHandle() {
        return manage("afterHandle");
      }, get mapResponse() {
        return manage("mapResponse");
      }, get onAfterResponse() {
        return manage("afterResponse");
      }, get onError() {
        return manage("error");
      } };
      for (let macro of this.extender.macros)
        traceBackMacro(macro.fn(manager), localHook, manage);
    }
  }
  get models() {
    let models = {};
    for (let name of Object.keys(this.definitions.type))
      models[name] = getSchemaValidator(this.definitions.typebox.Import(name));
    return models.modules = this.definitions.typebox, models;
  }
  add(method, path, handle, localHook, options, standaloneValidators) {
    let skipPrefix = options?.skipPrefix ?? false, allowMeta = options?.allowMeta ?? false;
    if (localHook ??= {}, standaloneValidators === undefined) {
      if (standaloneValidators = [], this.standaloneValidator.local)
        standaloneValidators = standaloneValidators.concat(this.standaloneValidator.local);
      if (this.standaloneValidator.scoped)
        standaloneValidators = standaloneValidators.concat(this.standaloneValidator.scoped);
      if (this.standaloneValidator.global)
        standaloneValidators = standaloneValidators.concat(this.standaloneValidator.global);
    }
    if (path !== "" && path.charCodeAt(0) !== 47)
      path = "/" + path;
    if (this.config.prefix && !skipPrefix)
      path = this.config.prefix + path;
    if (localHook?.type)
      switch (localHook.type) {
        case "text":
          localHook.type = "text/plain";
          break;
        case "json":
          localHook.type = "application/json";
          break;
        case "formdata":
          localHook.type = "multipart/form-data";
          break;
        case "urlencoded":
          localHook.type = "application/x-www-form-urlencoded";
          break;
        case "arrayBuffer":
          localHook.type = "application/octet-stream";
          break;
        default:
          break;
      }
    let instanceValidator = this.validator.getCandidate(), cloned = { body: localHook?.body ?? instanceValidator?.body, headers: localHook?.headers ?? instanceValidator?.headers, params: localHook?.params ?? instanceValidator?.params, query: localHook?.query ?? instanceValidator?.query, cookie: localHook?.cookie ?? instanceValidator?.cookie, response: localHook?.response ?? instanceValidator?.response }, shouldPrecompile = this.config.precompile === true || typeof this.config.precompile === "object" && this.config.precompile.compose === true, createValidator = () => {
      let models = this.definitions.type, dynamic = !this.config.aot, normalize = this.config.normalize, modules = this.definitions.typebox, sanitize2 = () => this.config.sanitize, cookieValidator = () => {
        if (cloned.cookie || standaloneValidators.find((x) => x.cookie))
          return getCookieValidator({ modules, validator: cloned.cookie, defaultConfig: this.config.cookie, config: cloned.cookie?.config ?? {}, dynamic, models, validators: standaloneValidators.map((x) => x.cookie), sanitize: sanitize2 });
      };
      return shouldPrecompile ? { body: getSchemaValidator(cloned.body, { modules, dynamic, models, normalize, additionalCoerce: coercePrimitiveRoot(), validators: standaloneValidators.map((x) => x.body), sanitize: sanitize2 }), headers: getSchemaValidator(cloned.headers, { modules, dynamic, models, additionalProperties: true, coerce: true, additionalCoerce: stringToStructureCoercions(), validators: standaloneValidators.map((x) => x.headers), sanitize: sanitize2 }), params: getSchemaValidator(cloned.params, { modules, dynamic, models, coerce: true, additionalCoerce: stringToStructureCoercions(), validators: standaloneValidators.map((x) => x.params), sanitize: sanitize2 }), query: getSchemaValidator(cloned.query, { modules, dynamic, models, normalize, coerce: true, additionalCoerce: stringToStructureCoercions(), validators: standaloneValidators.map((x) => x.query), sanitize: sanitize2 }), cookie: cookieValidator(), response: getResponseSchemaValidator(cloned.response, { modules, dynamic, models, normalize, validators: standaloneValidators.map((x) => x.response), sanitize: sanitize2 }) } : { createBody() {
        if (this.body)
          return this.body;
        return this.body = getSchemaValidator(cloned.body, { modules, dynamic, models, normalize, additionalCoerce: coercePrimitiveRoot(), validators: standaloneValidators.map((x) => x.body), sanitize: sanitize2 });
      }, createHeaders() {
        if (this.headers)
          return this.headers;
        return this.headers = getSchemaValidator(cloned.headers, { modules, dynamic, models, additionalProperties: !normalize, coerce: true, additionalCoerce: stringToStructureCoercions(), validators: standaloneValidators.map((x) => x.headers), sanitize: sanitize2 });
      }, createParams() {
        if (this.params)
          return this.params;
        return this.params = getSchemaValidator(cloned.params, { modules, dynamic, models, coerce: true, additionalCoerce: stringToStructureCoercions(), validators: standaloneValidators.map((x) => x.params), sanitize: sanitize2 });
      }, createQuery() {
        if (this.query)
          return this.query;
        return this.query = getSchemaValidator(cloned.query, { modules, dynamic, models, coerce: true, additionalCoerce: stringToStructureCoercions(), validators: standaloneValidators.map((x) => x.query), sanitize: sanitize2 });
      }, createCookie() {
        if (this.cookie)
          return this.cookie;
        return this.cookie = cookieValidator();
      }, createResponse() {
        if (this.response)
          return this.response;
        return this.response = getResponseSchemaValidator(cloned.response, { modules, dynamic, models, normalize, validators: standaloneValidators.map((x) => x.response), sanitize: sanitize2 });
      } };
    };
    if (instanceValidator.body || instanceValidator.cookie || instanceValidator.headers || instanceValidator.params || instanceValidator.query || instanceValidator.response)
      localHook = mergeHook(localHook, instanceValidator);
    if (localHook.tags)
      if (!localHook.detail)
        localHook.detail = { tags: localHook.tags };
      else
        localHook.detail.tags = localHook.tags;
    if (isNotEmpty(this.config.detail))
      localHook.detail = mergeDeep(Object.assign({}, this.config.detail), localHook.detail);
    this.applyMacro(localHook);
    let hooks = isNotEmpty(this.event) ? mergeHook(this.event, localHookToLifeCycleStore(localHook)) : lifeCycleToArray(localHookToLifeCycleStore(localHook));
    if (this.config.aot === false) {
      let validator = createValidator();
      this.router.dynamic.add(method, path, { validator, hooks, content: localHook?.type, handle, route: path });
      let encoded = encodePath(path, { dynamic: true });
      if (path !== encoded)
        this.router.dynamic.add(method, encoded, { validator, hooks, content: localHook?.type, handle, route: path });
      if (this.config.strictPath === false) {
        let loosePath = getLoosePath(path);
        this.router.dynamic.add(method, loosePath, { validator, hooks, content: localHook?.type, handle, route: path });
        let encoded2 = encodePath(loosePath);
        if (loosePath !== encoded2)
          this.router.dynamic.add(method, loosePath, { validator, hooks, content: localHook?.type, handle, route: path });
      }
      this.router.history.push({ method, path, composed: null, handler: handle, compile: undefined, hooks, standaloneValidators });
      return;
    }
    let adapter = this["~adapter"].handler, nativeStaticHandler = typeof handle !== "function" ? () => {
      let fn = adapter.createNativeStaticHandler?.(handle, hooks, this.setHeaders);
      return fn instanceof Promise ? fn.then((fn2) => {
        if (fn2)
          return fn2;
      }) : fn?.();
    } : undefined, useNativeStaticResponse = this.config.nativeStaticResponse === true, addResponsePath = (path2) => {
      if (!useNativeStaticResponse || !nativeStaticHandler)
        return;
      if (supportPerMethodInlineHandler)
        if (this.router.response[path2])
          this.router.response[path2][method] = nativeStaticHandler();
        else
          this.router.response[path2] = { [method]: nativeStaticHandler() };
      else
        this.router.response[path2] = nativeStaticHandler();
    };
    addResponsePath(path);
    let _compiled, compile2 = () => {
      if (_compiled)
        return _compiled;
      return _compiled = composeHandler({ app: this, path, method, hooks, validator: createValidator(), handler: typeof handle !== "function" && typeof adapter.createStaticHandler !== "function" ? () => handle : handle, allowMeta, inference: this.inference });
    }, oldIndex;
    if (`${method}_${path}` in this.routeTree)
      for (let i = 0;i < this.router.history.length; i++) {
        let route = this.router.history[i];
        if (route.path === path && route.method === method) {
          oldIndex = i;
          break;
        }
      }
    else
      this.routeTree[`${method}_${path}`] = this.router.history.length;
    let index = oldIndex ?? this.router.history.length, mainHandler = shouldPrecompile ? compile2() : (ctx) => (this.router.history[index].composed = compile2())(ctx);
    if (oldIndex !== undefined)
      this.router.history[oldIndex] = Object.assign({ method, path, composed: mainHandler, compile: compile2, handler: handle, hooks }, standaloneValidators.length ? { standaloneValidators } : undefined, localHook.webSocket ? { websocket: localHook.websocket } : undefined);
    else
      this.router.history.push(Object.assign({ method, path, composed: mainHandler, compile: compile2, handler: handle, hooks }, standaloneValidators.length ? { standaloneValidators } : undefined, localHook.webSocket ? { websocket: localHook.websocket } : undefined));
    let handler = { handler: shouldPrecompile ? mainHandler : undefined, compile() {
      return this.handler = compile2();
    } }, staticRouter = this.router.static, isStaticPath = path.indexOf(":") === -1 && path.indexOf("*") === -1;
    if (method === "WS") {
      if (isStaticPath) {
        if (path in staticRouter)
          staticRouter[path][method] = index;
        else
          staticRouter[path] = { [method]: index };
        return;
      }
      if (this.router.http.add("WS", path, handler), !this.config.strictPath)
        this.router.http.add("WS", getLoosePath(path), handler);
      let encoded = encodePath(path, { dynamic: true });
      if (path !== encoded)
        this.router.http.add("WS", encoded, handler);
      return;
    }
    if (isStaticPath) {
      if (path in staticRouter)
        staticRouter[path][method] = index;
      else
        staticRouter[path] = { [method]: index };
      if (!this.config.strictPath)
        addResponsePath(getLoosePath(path));
    } else {
      if (this.router.http.add(method, path, handler), !this.config.strictPath) {
        let loosePath = getLoosePath(path);
        addResponsePath(loosePath), this.router.http.add(method, loosePath, handler);
      }
      let encoded = encodePath(path, { dynamic: true });
      if (path !== encoded)
        this.router.http.add(method, encoded, handler), addResponsePath(encoded);
    }
  }
  setHeaders;
  headers(header) {
    if (!header)
      return this;
    if (!this.setHeaders)
      this.setHeaders = {};
    return this.setHeaders = mergeDeep(this.setHeaders, header), this;
  }
  onStart(handler) {
    return this.on("start", handler), this;
  }
  onRequest(handler) {
    return this.on("request", handler), this;
  }
  onParse(options, handler) {
    if (!handler) {
      if (typeof options === "string")
        return this.on("parse", this["~parser"][options]);
      return this.on("parse", options);
    }
    return this.on(options, "parse", handler);
  }
  parser(name, parser) {
    return this["~parser"][name] = parser, this;
  }
  onTransform(options, handler) {
    if (!handler)
      return this.on("transform", options);
    return this.on(options, "transform", handler);
  }
  resolve(optionsOrResolve, resolve) {
    if (!resolve)
      resolve = optionsOrResolve, optionsOrResolve = { as: "local" };
    let hook = { subType: "resolve", fn: resolve };
    return this.onBeforeHandle(optionsOrResolve, hook);
  }
  mapResolve(optionsOrResolve, mapper) {
    if (!mapper)
      mapper = optionsOrResolve, optionsOrResolve = { as: "local" };
    let hook = { subType: "mapResolve", fn: mapper };
    return this.onBeforeHandle(optionsOrResolve, hook);
  }
  onBeforeHandle(options, handler) {
    if (!handler)
      return this.on("beforeHandle", options);
    return this.on(options, "beforeHandle", handler);
  }
  onAfterHandle(options, handler) {
    if (!handler)
      return this.on("afterHandle", options);
    return this.on(options, "afterHandle", handler);
  }
  mapResponse(options, handler) {
    if (!handler)
      return this.on("mapResponse", options);
    return this.on(options, "mapResponse", handler);
  }
  onAfterResponse(options, handler) {
    if (!handler)
      return this.on("afterResponse", options);
    return this.on(options, "afterResponse", handler);
  }
  trace(options, handler) {
    if (!handler)
      handler = options, options = { as: "local" };
    if (!Array.isArray(handler))
      handler = [handler];
    for (let fn of handler)
      this.on(options, "trace", createTracer(fn));
    return this;
  }
  error(name, error22) {
    switch (typeof name) {
      case "string":
        return error22.prototype[ERROR_CODE] = name, this.definitions.error[name] = error22, this;
      case "function":
        return this.definitions.error = name(this.definitions.error), this;
    }
    for (let [code, error3] of Object.entries(name))
      error3.prototype[ERROR_CODE] = code, this.definitions.error[code] = error3;
    return this;
  }
  onError(options, handler) {
    if (!handler)
      return this.on("error", options);
    return this.on(options, "error", handler);
  }
  onStop(handler) {
    return this.on("stop", handler), this;
  }
  on(optionsOrType, typeOrHandlers, handlers) {
    let type4;
    switch (typeof optionsOrType) {
      case "string":
        type4 = optionsOrType, handlers = typeOrHandlers;
        break;
      case "object":
        if (type4 = typeOrHandlers, !Array.isArray(typeOrHandlers) && typeof typeOrHandlers === "object")
          handlers = typeOrHandlers;
        break;
    }
    if (Array.isArray(handlers))
      handlers = fnToContainer(handlers);
    else if (typeof handlers === "function")
      handlers = [{ fn: handlers }];
    else
      handlers = [handlers];
    let handles = handlers;
    for (let handle of handles)
      if (handle.scope = typeof optionsOrType === "string" ? "local" : optionsOrType?.as ?? "local", type4 === "resolve" || type4 === "derive")
        handle.subType = type4;
    if (type4 !== "trace")
      this.inference = sucrose({ [type4]: handles.map((x) => x.fn) }, this.inference);
    for (let handle of handles) {
      let fn = asHookType(handle, "global", { skipIfHasType: true });
      switch (type4) {
        case "start":
          this.event.start ??= [], this.event.start.push(fn);
          break;
        case "request":
          this.event.request ??= [], this.event.request.push(fn);
          break;
        case "parse":
          this.event.parse ??= [], this.event.parse.push(fn);
          break;
        case "transform":
          this.event.transform ??= [], this.event.transform.push(fn);
          break;
        case "derive":
          this.event.transform ??= [], this.event.transform.push(fnToContainer(fn, "derive"));
          break;
        case "beforeHandle":
          this.event.beforeHandle ??= [], this.event.beforeHandle.push(fn);
          break;
        case "resolve":
          this.event.beforeHandle ??= [], this.event.beforeHandle.push(fnToContainer(fn, "resolve"));
          break;
        case "afterHandle":
          this.event.afterHandle ??= [], this.event.afterHandle.push(fn);
          break;
        case "mapResponse":
          this.event.mapResponse ??= [], this.event.mapResponse.push(fn);
          break;
        case "afterResponse":
          this.event.afterResponse ??= [], this.event.afterResponse.push(fn);
          break;
        case "trace":
          this.event.trace ??= [], this.event.trace.push(fn);
          break;
        case "error":
          this.event.error ??= [], this.event.error.push(fn);
          break;
        case "stop":
          this.event.stop ??= [], this.event.stop.push(fn);
          break;
      }
    }
    return this;
  }
  as(type4) {
    if (promoteEvent(this.event.parse, type4), promoteEvent(this.event.transform, type4), promoteEvent(this.event.beforeHandle, type4), promoteEvent(this.event.afterHandle, type4), promoteEvent(this.event.mapResponse, type4), promoteEvent(this.event.afterResponse, type4), promoteEvent(this.event.trace, type4), promoteEvent(this.event.error, type4), type4 === "scoped") {
      if (this.validator.scoped = mergeSchemaValidator(this.validator.scoped, this.validator.local), this.validator.local = null, this.standaloneValidator.local !== null)
        this.standaloneValidator.scoped ||= [], this.standaloneValidator.scoped.push(...this.standaloneValidator.local), this.standaloneValidator.local = null;
    } else if (type4 === "global") {
      if (this.validator.global = mergeSchemaValidator(this.validator.global, mergeSchemaValidator(this.validator.scoped, this.validator.local)), this.validator.scoped = null, this.validator.local = null, this.standaloneValidator.local !== null)
        this.standaloneValidator.scoped ||= [], this.standaloneValidator.scoped.push(...this.standaloneValidator.local), this.standaloneValidator.local = null;
      if (this.standaloneValidator.scoped !== null)
        this.standaloneValidator.global ||= [], this.standaloneValidator.global.push(...this.standaloneValidator.scoped), this.standaloneValidator.scoped = null;
    }
    return this;
  }
  group(prefix, schemaOrRun, run) {
    let instance = new Elysia({ ...this.config, prefix: "" });
    instance.singleton = { ...this.singleton }, instance.definitions = { ...this.definitions }, instance.getServer = () => this.getServer(), instance.inference = cloneInference(this.inference), instance.extender = { ...this.extender }, instance["~parser"] = this["~parser"], instance.standaloneValidator = { local: [...this.standaloneValidator.local ?? []], scoped: [...this.standaloneValidator.scoped ?? []], global: [...this.standaloneValidator.global ?? []] };
    let isSchema = typeof schemaOrRun === "object", sandbox = (isSchema ? run : schemaOrRun)(instance);
    if (this.singleton = mergeDeep(this.singleton, instance.singleton), this.definitions = mergeDeep(this.definitions, instance.definitions), sandbox.event.request?.length)
      this.event.request = [...this.event.request || [], ...sandbox.event.request || []];
    if (sandbox.event.mapResponse?.length)
      this.event.mapResponse = [...this.event.mapResponse || [], ...sandbox.event.mapResponse || []];
    return this.model(sandbox.definitions.type), Object.values(instance.router.history).forEach(({ method, path, handler, hooks, standaloneValidators }) => {
      if (path = (isSchema ? "" : this.config.prefix) + prefix + path, isSchema) {
        let hook = schemaOrRun, localHook = hooks;
        this.add(method, path, handler, mergeHook(hook, { ...localHook || {}, error: !localHook.error ? sandbox.event.error : Array.isArray(localHook.error) ? [...localHook.error ?? [], ...sandbox.event.error ?? []] : [localHook.error, ...sandbox.event.error ?? []] }), undefined, standaloneValidators);
      } else
        this.add(method, path, handler, mergeHook(hooks, { error: sandbox.event.error }), { skipPrefix: true }, standaloneValidators);
    }), this;
  }
  guard(hook, run) {
    if (!run) {
      if (typeof hook === "object") {
        if (this.applyMacro(hook), hook.detail)
          if (this.config.detail)
            this.config.detail = mergeDeep(Object.assign({}, this.config.detail), hook.detail);
          else
            this.config.detail = hook.detail;
        if (hook.tags)
          if (!this.config.detail)
            this.config.detail = { tags: hook.tags };
          else
            this.config.detail.tags = hook.tags;
        let type4 = hook.as ?? "local";
        if (hook.schema === "standalone") {
          if (!this.standaloneValidator[type4])
            this.standaloneValidator[type4] = [];
          let response = hook?.response || typeof hook?.response === "string" || hook?.response && Kind in hook.response ? { 200: hook.response } : hook?.response;
          this.standaloneValidator[type4].push({ body: hook.body, headers: hook.headers, params: hook.params, query: hook.query, response, cookie: hook.cookie });
        } else
          this.validator[type4] = { body: hook.body ?? this.validator[type4]?.body, headers: hook.headers ?? this.validator[type4]?.headers, params: hook.params ?? this.validator[type4]?.params, query: hook.query ?? this.validator[type4]?.query, response: hook.response ?? this.validator[type4]?.response, cookie: hook.cookie ?? this.validator[type4]?.cookie };
        if (hook.parse)
          this.on({ as: type4 }, "parse", hook.parse);
        if (hook.transform)
          this.on({ as: type4 }, "transform", hook.transform);
        if (hook.derive)
          this.on({ as: type4 }, "derive", hook.derive);
        if (hook.beforeHandle)
          this.on({ as: type4 }, "beforeHandle", hook.beforeHandle);
        if (hook.resolve)
          this.on({ as: type4 }, "resolve", hook.resolve);
        if (hook.afterHandle)
          this.on({ as: type4 }, "afterHandle", hook.afterHandle);
        if (hook.mapResponse)
          this.on({ as: type4 }, "mapResponse", hook.mapResponse);
        if (hook.afterResponse)
          this.on({ as: type4 }, "afterResponse", hook.afterResponse);
        if (hook.error)
          this.on({ as: type4 }, "error", hook.error);
        return this;
      }
      return this.guard({}, hook);
    }
    let instance = new Elysia({ ...this.config, prefix: "" });
    instance.singleton = { ...this.singleton }, instance.definitions = { ...this.definitions }, instance.inference = cloneInference(this.inference), instance.extender = { ...this.extender };
    let sandbox = run(instance);
    if (this.singleton = mergeDeep(this.singleton, instance.singleton), this.definitions = mergeDeep(this.definitions, instance.definitions), sandbox.getServer = () => this.server, sandbox.event.request?.length)
      this.event.request = [...this.event.request || [], ...sandbox.event.request || []];
    if (sandbox.event.mapResponse?.length)
      this.event.mapResponse = [...this.event.mapResponse || [], ...sandbox.event.mapResponse || []];
    return this.model(sandbox.definitions.type), Object.values(instance.router.history).forEach(({ method, path, handler, hooks: localHook }) => {
      this.add(method, path, handler, mergeHook(hook, { ...localHook || {}, error: !localHook.error ? sandbox.event.error : Array.isArray(localHook.error) ? [...localHook.error ?? [], ...sandbox.event.error ?? []] : [localHook.error, ...sandbox.event.error ?? []] }));
    }), this;
  }
  use(plugin) {
    if (Array.isArray(plugin)) {
      let app = this;
      for (let p of plugin)
        app = app.use(p);
      return app;
    }
    if (plugin instanceof Promise)
      return this.promisedModules.add(plugin.then((plugin2) => {
        if (typeof plugin2 === "function")
          return plugin2(this);
        if (plugin2 instanceof Elysia)
          return this._use(plugin2).compile();
        if (plugin2.constructor.name === "Elysia")
          return this._use(plugin2).compile();
        if (typeof plugin2.default === "function")
          return plugin2.default(this);
        if (plugin2.default instanceof Elysia)
          return this._use(plugin2.default);
        if (plugin2.constructor.name === "Elysia")
          return this._use(plugin2.default);
        if (plugin2.constructor.name === "_Elysia")
          return this._use(plugin2.default);
        try {
          return this._use(plugin2.default);
        } catch (error22) {
          throw console.error('Invalid plugin type. Expected Elysia instance, function, or module with "default" as Elysia instance or function that returns Elysia instance.'), error22;
        }
      }).then((v) => {
        if (v && typeof v.compile === "function")
          v.compile();
        return v;
      })), this;
    return this._use(plugin);
  }
  propagatePromiseModules(plugin) {
    if (plugin.promisedModules.size <= 0)
      return this;
    for (let promise3 of plugin.promisedModules.promises)
      this.promisedModules.add(promise3.then((v) => {
        if (!v)
          return;
        let t2 = this._use(v);
        if (t2 instanceof Promise)
          return t2.then((v2) => {
            if (v2)
              v2.compile();
            else
              v.compile();
          });
        return v.compile();
      }));
    return this;
  }
  _use(plugin) {
    if (typeof plugin === "function") {
      let instance = plugin(this);
      if (instance instanceof Promise)
        return this.promisedModules.add(instance.then((plugin2) => {
          if (plugin2 instanceof Elysia) {
            plugin2.getServer = () => this.getServer(), plugin2.getGlobalRoutes = () => this.getGlobalRoutes(), plugin2.getGlobalDefinitions = () => this.getGlobalDefinitions(), plugin2.model(this.definitions.type), plugin2.error(this.definitions.error);
            for (let { method, path, handler, hooks, standaloneValidators } of Object.values(plugin2.router.history))
              this.add(method, path, handler, isNotEmpty(plugin2.event.error) ? mergeHook(hooks, { error: plugin2.event.error }) : hooks, undefined, standaloneValidators);
            if (plugin2 === this)
              return;
            return this.propagatePromiseModules(plugin2), plugin2;
          }
          if (typeof plugin2 === "function")
            return plugin2(this);
          if (typeof plugin2.default === "function")
            return plugin2.default(this);
          return this._use(plugin2);
        }).then((v) => {
          if (v && typeof v.compile === "function")
            v.compile();
          return v;
        })), this;
      return instance;
    }
    this.propagatePromiseModules(plugin);
    let name = plugin.config.name, seed = plugin.config.seed;
    if (plugin.getParent = () => this, plugin.getServer = () => this.getServer(), plugin.getGlobalRoutes = () => this.getGlobalRoutes(), plugin.getGlobalDefinitions = () => this.getGlobalDefinitions(), plugin.standaloneValidator?.scoped)
      if (this.standaloneValidator.local)
        this.standaloneValidator.local = this.standaloneValidator.local.concat(plugin.standaloneValidator.scoped);
      else
        this.standaloneValidator.local = plugin.standaloneValidator.scoped;
    if (plugin.standaloneValidator?.global)
      if (this.standaloneValidator.global)
        this.standaloneValidator.global = this.standaloneValidator.global.concat(plugin.standaloneValidator.global);
      else
        this.standaloneValidator.global = plugin.standaloneValidator.global;
    if (isNotEmpty(plugin["~parser"]))
      this["~parser"] = { ...plugin["~parser"], ...this["~parser"] };
    if (plugin.setHeaders)
      this.headers(plugin.setHeaders);
    if (name) {
      if (!(name in this.dependencies))
        this.dependencies[name] = [];
      let current = seed !== undefined ? checksum(name + JSON.stringify(seed)) : 0;
      if (!this.dependencies[name].some(({ checksum: checksum2 }) => current === checksum2))
        this.extender.macros = this.extender.macros.concat(plugin.extender.macros), this.extender.higherOrderFunctions = this.extender.higherOrderFunctions.concat(plugin.extender.higherOrderFunctions);
    } else {
      if (plugin.extender.macros.length)
        this.extender.macros = this.extender.macros.concat(plugin.extender.macros);
      if (plugin.extender.higherOrderFunctions.length)
        this.extender.higherOrderFunctions = this.extender.higherOrderFunctions.concat(plugin.extender.higherOrderFunctions);
    }
    if (deduplicateChecksum(this.extender.macros), plugin.extender.higherOrderFunctions.length) {
      deduplicateChecksum(this.extender.higherOrderFunctions);
      let hofHashes = [];
      for (let i = 0;i < this.extender.higherOrderFunctions.length; i++) {
        let hof = this.extender.higherOrderFunctions[i];
        if (hof.checksum) {
          if (hofHashes.includes(hof.checksum))
            this.extender.higherOrderFunctions.splice(i, 1), i--;
          hofHashes.push(hof.checksum);
        }
      }
      hofHashes.length = 0;
    }
    if (this.inference = mergeInference(this.inference, plugin.inference), isNotEmpty(plugin.singleton.decorator))
      this.decorate(plugin.singleton.decorator);
    if (isNotEmpty(plugin.singleton.store))
      this.state(plugin.singleton.store);
    if (isNotEmpty(plugin.definitions.type))
      this.model(plugin.definitions.type);
    if (isNotEmpty(plugin.definitions.error))
      this.error(plugin.definitions.error);
    if (isNotEmpty(plugin.definitions.error))
      plugin.extender.macros = this.extender.macros.concat(plugin.extender.macros);
    for (let { method, path, handler, hooks, standaloneValidators } of Object.values(plugin.router.history))
      this.add(method, path, handler, isNotEmpty(plugin.event.error) ? mergeHook(hooks, { error: plugin.event.error }) : hooks, undefined, standaloneValidators);
    if (name) {
      if (!(name in this.dependencies))
        this.dependencies[name] = [];
      let current = seed !== undefined ? checksum(name + JSON.stringify(seed)) : 0;
      if (this.dependencies[name].some(({ checksum: checksum2 }) => current === checksum2))
        return this;
      if (this.dependencies[name].push(this.config?.analytic ? { name: plugin.config.name, seed: plugin.config.seed, checksum: current, dependencies: plugin.dependencies, stack: plugin.telemetry?.stack, routes: plugin.router.history, decorators: plugin.singleton, store: plugin.singleton.store, error: plugin.definitions.error, derive: plugin.event.transform?.filter((x) => x?.subType === "derive").map((x) => ({ fn: x.toString(), stack: new Error().stack ?? "" })), resolve: plugin.event.transform?.filter((x) => x?.subType === "resolve").map((x) => ({ fn: x.toString(), stack: new Error().stack ?? "" })) } : { name: plugin.config.name, seed: plugin.config.seed, checksum: current, dependencies: plugin.dependencies }), isNotEmpty(plugin.event))
        this.event = mergeLifeCycle(this.event, filterGlobalHook(plugin.event), current);
    } else if (isNotEmpty(plugin.event))
      this.event = mergeLifeCycle(this.event, filterGlobalHook(plugin.event));
    if (plugin.validator.global)
      this.validator.global = mergeHook(this.validator.global, { ...plugin.validator.global });
    if (plugin.validator.scoped)
      this.validator.local = mergeHook(this.validator.local, { ...plugin.validator.scoped });
    return this;
  }
  macro(macro) {
    if (typeof macro === "function") {
      let hook = { checksum: checksum(JSON.stringify({ name: this.config.name, seed: this.config.seed, content: macro.toString() })), fn: macro };
      this.extender.macros.push(hook);
    } else if (typeof macro === "object") {
      for (let name of Object.keys(macro))
        if (typeof macro[name] === "object") {
          let actualValue = { ...macro[name] };
          macro[name] = (v) => {
            if (v === true)
              return actualValue;
          };
        }
      let hook = { checksum: checksum(JSON.stringify({ name: this.config.name, seed: this.config.seed, content: Object.entries(macro).map(([k2, v]) => `${k2}+${v}`).join(",") })), fn: () => macro };
      this.extender.macros.push(hook);
    }
    return this;
  }
  mount(path, handleOrConfig, config) {
    if (path instanceof Elysia || typeof path === "function" || path.length === 0 || path === "/") {
      let run = typeof path === "function" ? path : path instanceof Elysia ? path.compile().fetch : handleOrConfig instanceof Elysia ? handleOrConfig.compile().fetch : typeof handleOrConfig === "function" ? handleOrConfig : (() => {
        throw new Error("Invalid handler");
      })(), handler2 = ({ request, path: path2 }) => run(new Request(replaceUrlPath(request.url, path2), { method: request.method, headers: request.headers, signal: request.signal, credentials: request.credentials, referrerPolicy: request.referrerPolicy, duplex: request.duplex, redirect: request.redirect, mode: request.mode, keepalive: request.keepalive, integrity: request.integrity, body: request.body }));
      return this.route("ALL", "/*", handler2, { parse: "none", ...config, detail: { ...config?.detail, hide: true }, config: { mount: run } }), this;
    }
    let handle = handleOrConfig instanceof Elysia ? handleOrConfig.compile().fetch : typeof handleOrConfig === "function" ? handleOrConfig : (() => {
      throw new Error("Invalid handler");
    })(), length = path.length - (path.endsWith("*") ? 1 : 0), handler = ({ request, path: path2 }) => handle(new Request(replaceUrlPath(request.url, path2.slice(length) || "/"), { method: request.method, headers: request.headers, signal: request.signal, credentials: request.credentials, referrerPolicy: request.referrerPolicy, duplex: request.duplex, redirect: request.redirect, mode: request.mode, keepalive: request.keepalive, integrity: request.integrity, body: request.body }));
    return this.route("ALL", path, handler, { parse: "none", ...config, detail: { ...config?.detail, hide: true }, config: { mount: handle } }), this.route("ALL", path + (path.endsWith("/") ? "*" : "/*"), handler, { parse: "none", ...config, detail: { ...config?.detail, hide: true }, config: { mount: handle } }), this;
  }
  get(path, handler, hook) {
    return this.add("GET", path, handler, hook), this;
  }
  post(path, handler, hook) {
    return this.add("POST", path, handler, hook), this;
  }
  put(path, handler, hook) {
    return this.add("PUT", path, handler, hook), this;
  }
  patch(path, handler, hook) {
    return this.add("PATCH", path, handler, hook), this;
  }
  delete(path, handler, hook) {
    return this.add("DELETE", path, handler, hook), this;
  }
  options(path, handler, hook) {
    return this.add("OPTIONS", path, handler, hook), this;
  }
  all(path, handler, hook) {
    return this.add("ALL", path, handler, hook), this;
  }
  head(path, handler, hook) {
    return this.add("HEAD", path, handler, hook), this;
  }
  connect(path, handler, hook) {
    return this.add("CONNECT", path, handler, hook), this;
  }
  route(method, path, handler, hook) {
    return this.add(method.toUpperCase(), path, handler, hook, hook?.config), this;
  }
  ws(path, options) {
    if (this["~adapter"].ws)
      this["~adapter"].ws(this, path, options);
    else
      console.warn("Current adapter doesn't support WebSocket");
    return this;
  }
  state(options, name, value2) {
    if (name === undefined)
      value2 = options, options = { as: "append" }, name = "";
    else if (value2 === undefined) {
      if (typeof options === "string")
        value2 = name, name = options, options = { as: "append" };
      else if (typeof options === "object")
        value2 = name, name = "";
    }
    let { as } = options;
    if (typeof name !== "string")
      return this;
    switch (typeof value2) {
      case "object":
        if (!value2 || !isNotEmpty(value2))
          return this;
        if (name) {
          if (name in this.singleton.store)
            this.singleton.store[name] = mergeDeep(this.singleton.store[name], value2, { override: as === "override" });
          else
            this.singleton.store[name] = value2;
          return this;
        }
        if (value2 === null)
          return this;
        return this.singleton.store = mergeDeep(this.singleton.store, value2, { override: as === "override" }), this;
      case "function":
        if (name) {
          if (as === "override" || !(name in this.singleton.store))
            this.singleton.store[name] = value2;
        } else
          this.singleton.store = value2(this.singleton.store);
        return this;
      default:
        if (as === "override" || !(name in this.singleton.store))
          this.singleton.store[name] = value2;
        return this;
    }
  }
  decorate(options, name, value2) {
    if (name === undefined)
      value2 = options, options = { as: "append" }, name = "";
    else if (value2 === undefined) {
      if (typeof options === "string")
        value2 = name, name = options, options = { as: "append" };
      else if (typeof options === "object")
        value2 = name, name = "";
    }
    let { as } = options;
    if (typeof name !== "string")
      return this;
    switch (typeof value2) {
      case "object":
        if (name) {
          if (name in this.singleton.decorator)
            this.singleton.decorator[name] = mergeDeep(this.singleton.decorator[name], value2, { override: as === "override" });
          else
            this.singleton.decorator[name] = value2;
          return this;
        }
        if (value2 === null)
          return this;
        return this.singleton.decorator = mergeDeep(this.singleton.decorator, value2, { override: as === "override" }), this;
      case "function":
        if (name) {
          if (as === "override" || !(name in this.singleton.decorator))
            this.singleton.decorator[name] = value2;
        } else
          this.singleton.decorator = value2(this.singleton.decorator);
        return this;
      default:
        if (as === "override" || !(name in this.singleton.decorator))
          this.singleton.decorator[name] = value2;
        return this;
    }
  }
  derive(optionsOrTransform, transform4) {
    if (!transform4)
      transform4 = optionsOrTransform, optionsOrTransform = { as: "local" };
    let hook = { subType: "derive", fn: transform4 };
    return this.onTransform(optionsOrTransform, hook);
  }
  model(name, model) {
    switch (typeof name) {
      case "object":
        let parsedSchemas = {}, kvs = Object.entries(name);
        if (!kvs.length)
          return this;
        for (let [key, value2] of kvs) {
          if (key in this.definitions.type)
            continue;
          parsedSchemas[key] = this.definitions.type[key] = value2, parsedSchemas[key].$id ??= `#/components/schemas/${key}`;
        }
        return this.definitions.typebox = t.Module({ ...this.definitions.typebox.$defs, ...parsedSchemas }), this;
      case "function":
        let result = name(this.definitions.type);
        return this.definitions.type = result, this.definitions.typebox = t.Module(result), this;
      case "string":
        if (!model)
          break;
        let newModel = { ...model, id: model.$id ?? `#/components/schemas/${name}` };
        return this.definitions.type[name] = model, this.definitions.typebox = t.Module({ ...this.definitions.typebox.$defs, ...newModel }), this;
    }
    return this.definitions.type[name] = model, this.definitions.typebox = t.Module({ ...this.definitions.typebox.$defs, [name]: model }), this;
  }
  Ref(key) {
    return t.Ref(key);
  }
  mapDerive(optionsOrDerive, mapper) {
    if (!mapper)
      mapper = optionsOrDerive, optionsOrDerive = { as: "local" };
    let hook = { subType: "mapDerive", fn: mapper };
    return this.onTransform(optionsOrDerive, hook);
  }
  affix(base, type4, word) {
    if (word === "")
      return this;
    let delimieter = ["_", "-", " "], capitalize2 = (word2) => word2[0].toUpperCase() + word2.slice(1), joinKey = base === "prefix" ? (prefix, word2) => delimieter.includes(prefix.at(-1) ?? "") ? prefix + word2 : prefix + capitalize2(word2) : delimieter.includes(word.at(-1) ?? "") ? (suffix, word2) => word2 + suffix : (suffix, word2) => word2 + capitalize2(suffix), remap = (type22) => {
      let store = {};
      switch (type22) {
        case "decorator":
          for (let key in this.singleton.decorator)
            store[joinKey(word, key)] = this.singleton.decorator[key];
          this.singleton.decorator = store;
          break;
        case "state":
          for (let key in this.singleton.store)
            store[joinKey(word, key)] = this.singleton.store[key];
          this.singleton.store = store;
          break;
        case "model":
          for (let key in this.definitions.type)
            store[joinKey(word, key)] = this.definitions.type[key];
          this.definitions.type = store;
          break;
        case "error":
          for (let key in this.definitions.error)
            store[joinKey(word, key)] = this.definitions.error[key];
          this.definitions.error = store;
          break;
      }
    }, types = Array.isArray(type4) ? type4 : [type4];
    for (let type22 of types.some((x) => x === "all") ? ["decorator", "state", "model", "error"] : types)
      remap(type22);
    return this;
  }
  prefix(type4, word) {
    return this.affix("prefix", type4, word);
  }
  suffix(type4, word) {
    return this.affix("suffix", type4, word);
  }
  compile() {
    if (this["~adapter"].isWebStandard) {
      if (this.fetch = this.config.aot ? composeGeneralHandler(this) : createDynamicHandler(this), typeof this.server?.reload === "function")
        this.server.reload({ ...this.server || {}, fetch: this.fetch });
      return this;
    }
    if (typeof this.server?.reload === "function")
      this.server.reload(this.server || {});
    return this._handle = composeGeneralHandler(this), this;
  }
  handle = async (request) => this.fetch(request);
  fetch = (request) => {
    return (this.fetch = this.config.aot ? composeGeneralHandler(this) : createDynamicHandler(this))(request);
  };
  handleError = async (context, error22) => {
    return (this.handleError = this.config.aot ? composeErrorHandler(this) : createDynamicErrorHandler(this))(context, error22);
  };
  listen = (options, callback) => {
    if (this["~adapter"].listen(this)(options, callback), this.promisedModules.size)
      clearSucroseCache(5000);
    return this.promisedModules.then(() => {
      clearSucroseCache(1000);
    }), this;
  };
  stop = async (closeActiveConnections) => {
    if (!this.server)
      throw new Error("Elysia isn't running. Call `app.listen` to start the server.");
    if (this.server) {
      if (this.server.stop(closeActiveConnections), this.server = null, this.event.stop?.length)
        for (let i = 0;i < this.event.stop.length; i++)
          this.event.stop[i].fn(this);
    }
  };
  get modules() {
    return this.promisedModules;
  }
}
var __create2, __getProtoOf2, __defProp2, __getOwnPropNames2, __hasOwnProp2, __toESM2 = (mod, isNodeMode, target) => {
  target = mod != null ? __create2(__getProtoOf2(mod)) : {};
  let to = isNodeMode || !mod || !mod.__esModule ? __defProp2(target, "default", { value: mod, enumerable: true }) : target;
  for (let key of __getOwnPropNames2(mod))
    if (!__hasOwnProp2.call(to, key))
      __defProp2(to, key, { get: () => mod[key], enumerable: true });
  return to;
}, __commonJS2 = (cb, mod) => () => (mod || cb((mod = { exports: {} }).exports, mod), mod.exports), require_dist, require_fast_decode_uri_component, Y = (A, b) => {
  let v = b?.length ? {} : null;
  if (v)
    for (let K of b)
      v[K.part.charCodeAt(0)] = K;
  return { part: A, store: null, inert: v, params: null, wildcardStore: null };
}, k = (A, b) => ({ ...A, part: b }), T = (A) => ({ name: A, store: null, inert: null }), _, $ = (A, b, v, K) => {
  let V = v.part, U = V.length, J = K + U;
  if (U > 1) {
    if (J > b)
      return null;
    if (U < 15) {
      for (let F = 1, G = K + 1;F < U; ++F, ++G)
        if (V.charCodeAt(F) !== A.charCodeAt(G))
          return null;
    } else if (A.slice(K, J) !== V)
      return null;
  }
  if (J === b) {
    if (v.store !== null)
      return { store: v.store, params: {} };
    if (v.wildcardStore !== null)
      return { store: v.wildcardStore, params: { "*": "" } };
    return null;
  }
  if (v.inert !== null) {
    let F = v.inert[A.charCodeAt(J)];
    if (F !== undefined) {
      let G = $(A, b, F, J);
      if (G !== null)
        return G;
    }
  }
  if (v.params !== null) {
    let { store: F, name: G, inert: X } = v.params, q = A.indexOf("/", J);
    if (q !== J) {
      if (q === -1 || q >= b) {
        if (F !== null) {
          let O = {};
          return O[G] = A.substring(J, b), { store: F, params: O };
        }
      } else if (X !== null) {
        let O = $(A, b, X, q);
        if (O !== null)
          return O.params[G] = A.substring(J, q), O;
      }
    }
  }
  if (v.wildcardStore !== null)
    return { store: v.wildcardStore, params: { "*": A.substring(J, b) } };
  return null;
}, fullFormats, DATE, DAYS, TIME, parseDateTimeEmptySpace = (str) => {
  if (str.charCodeAt(str.length - 6) === 32)
    return str.slice(0, -6) + "+" + str.slice(-5);
  return str;
}, DATE_TIME_SEPARATOR, NOT_URI_FRAGMENT, URI, BYTE, MIN_INT32 = -2147483648, MAX_INT32 = 2147483647, Z_ANCHOR, isISO8601, isFormalDate, isShortenDate, _validateDate, _validateDateTime, isBun, mime, getFileExtension = (path) => {
  let index = path.lastIndexOf(".");
  if (index === -1)
    return "";
  return path.slice(index + 1);
}, createReadStream, stat, hasHeaderShorthand, replaceUrlPath = (url, pathname) => {
  let urlObject = new URL(url);
  return urlObject.pathname = pathname, urlObject.toString();
}, isClass = (v) => typeof v === "function" && /^\s*class\s+/.test(v.toString()) || v.toString && v.toString().startsWith("[object ") && v.toString() !== "[object Object]" || isNotEmpty(Object.getPrototypeOf(v)), isObject = (item) => item && typeof item === "object" && !Array.isArray(item), mergeDeep = (target, source, options) => {
  let skipKeys = options?.skipKeys, override = options?.override ?? true;
  if (!isObject(target) || !isObject(source))
    return target;
  for (let [key, value2] of Object.entries(source)) {
    if (skipKeys?.includes(key))
      continue;
    if (!isObject(value2) || !(key in target) || isClass(value2)) {
      if (override || !(key in target))
        target[key] = value2;
      continue;
    }
    target[key] = mergeDeep(target[key], value2, { skipKeys, override });
  }
  return target;
}, mergeCookie = (a, b) => {
  let v = mergeDeep(Object.assign({}, a), b, { skipKeys: ["properties"] });
  if (v.properties)
    delete v.properties;
  return v;
}, mergeObjectArray = (a, b) => {
  if (!b)
    return a;
  let array3 = [], checksums = [];
  if (a) {
    if (!Array.isArray(a))
      a = [a];
    for (let item of a)
      if (array3.push(item), item.checksum)
        checksums.push(item.checksum);
  }
  if (b) {
    if (!Array.isArray(b))
      b = [b];
    for (let item of b)
      if (!checksums.includes(item.checksum))
        array3.push(item);
  }
  return array3;
}, primitiveHooks, primitiveHookMap, mergeResponse = (a, b) => {
  let isRecordNumber = (x) => typeof x === "object" && Object.keys(x).every(isNumericString);
  if (isRecordNumber(a) && isRecordNumber(b))
    return Object.assign(a, b);
  else if (a && !isRecordNumber(a) && isRecordNumber(b))
    return Object.assign({ 200: a }, b);
  return b ?? a;
}, mergeSchemaValidator = (a, b) => {
  if (!a && !b)
    return { body: undefined, headers: undefined, params: undefined, query: undefined, cookie: undefined, response: undefined };
  return { body: b?.body ?? a?.body, headers: b?.headers ?? a?.headers, params: b?.params ?? a?.params, query: b?.query ?? a?.query, cookie: b?.cookie ?? a?.cookie, response: mergeResponse(a?.response, b?.response) };
}, mergeHook = (a, b) => {
  if (!Object.values(b).find((x) => x !== undefined && x !== null))
    return { ...a };
  let hook = { ...a, ...b, body: b?.body ?? a?.body, headers: b?.headers ?? a?.headers, params: b?.params ?? a?.params, query: b?.query ?? a?.query, cookie: b?.cookie ?? a?.cookie, response: mergeResponse(a?.response, b?.response), type: a?.type || b?.type, detail: mergeDeep(b?.detail ?? {}, a?.detail ?? {}), parse: mergeObjectArray(a?.parse, b?.parse), transform: mergeObjectArray(a?.transform, b?.transform), beforeHandle: mergeObjectArray(mergeObjectArray(fnToContainer(a?.resolve, "resolve"), a?.beforeHandle), mergeObjectArray(fnToContainer(b.resolve, "resolve"), b?.beforeHandle)), afterHandle: mergeObjectArray(a?.afterHandle, b?.afterHandle), mapResponse: mergeObjectArray(a?.mapResponse, b?.mapResponse), afterResponse: mergeObjectArray(a?.afterResponse, b?.afterResponse), trace: mergeObjectArray(a?.trace, b?.trace), error: mergeObjectArray(a?.error, b?.error) };
  if (hook.resolve)
    delete hook.resolve;
  return hook;
}, lifeCycleToArray = (a) => {
  if (a.parse && !Array.isArray(a.parse))
    a.parse = [a.parse];
  if (a.transform && !Array.isArray(a.transform))
    a.transform = [a.transform];
  if (a.afterHandle && !Array.isArray(a.afterHandle))
    a.afterHandle = [a.afterHandle];
  if (a.mapResponse && !Array.isArray(a.mapResponse))
    a.mapResponse = [a.mapResponse];
  if (a.afterResponse && !Array.isArray(a.afterResponse))
    a.afterResponse = [a.afterResponse];
  if (a.trace && !Array.isArray(a.trace))
    a.trace = [a.trace];
  if (a.error && !Array.isArray(a.error))
    a.error = [a.error];
  let beforeHandle = [];
  if (a.resolve)
    beforeHandle = fnToContainer(Array.isArray(a.resolve) ? a.resolve : [a.resolve], "resolve"), delete a.resolve;
  if (a.beforeHandle)
    if (beforeHandle.length)
      beforeHandle = beforeHandle.concat(Array.isArray(a.beforeHandle) ? a.beforeHandle : [a.beforeHandle]);
    else
      beforeHandle = Array.isArray(a.beforeHandle) ? a.beforeHandle : [a.beforeHandle];
  if (beforeHandle.length)
    a.beforeHandle = beforeHandle;
  return a;
}, isBun2, hasBunHash, checksum = (s) => {
  let h = 9;
  for (let i = 0;i < s.length; )
    h = Math.imul(h ^ s.charCodeAt(i++), 387420489);
  return h = h ^ h >>> 9;
}, injectChecksum = (checksum2, x) => {
  if (!x)
    return;
  if (!Array.isArray(x)) {
    let fn = x;
    if (checksum2 && !fn.checksum)
      fn.checksum = checksum2;
    if (fn.scope === "scoped")
      fn.scope = "local";
    return fn;
  }
  let fns = [...x];
  for (let fn of fns) {
    if (checksum2 && !fn.checksum)
      fn.checksum = checksum2;
    if (fn.scope === "scoped")
      fn.scope = "local";
  }
  return fns;
}, mergeLifeCycle = (a, b, checksum2) => {
  return { start: mergeObjectArray(a.start, injectChecksum(checksum2, b?.start)), request: mergeObjectArray(a.request, injectChecksum(checksum2, b?.request)), parse: mergeObjectArray(a.parse, injectChecksum(checksum2, b?.parse)), transform: mergeObjectArray(a.transform, injectChecksum(checksum2, b?.transform)), beforeHandle: mergeObjectArray(mergeObjectArray(fnToContainer(a.resolve, "resolve"), a.beforeHandle), injectChecksum(checksum2, mergeObjectArray(fnToContainer(b?.resolve, "resolve"), b?.beforeHandle))), afterHandle: mergeObjectArray(a.afterHandle, injectChecksum(checksum2, b?.afterHandle)), mapResponse: mergeObjectArray(a.mapResponse, injectChecksum(checksum2, b?.mapResponse)), afterResponse: mergeObjectArray(a.afterResponse, injectChecksum(checksum2, b?.afterResponse)), trace: mergeObjectArray(a.trace, injectChecksum(checksum2, b?.trace)), error: mergeObjectArray(a.error, injectChecksum(checksum2, b?.error)), stop: mergeObjectArray(a.stop, injectChecksum(checksum2, b?.stop)) };
}, asHookType = (fn, inject, { skipIfHasType = false }) => {
  if (!fn)
    return fn;
  if (!Array.isArray(fn)) {
    if (skipIfHasType)
      fn.scope ??= inject;
    else
      fn.scope = inject;
    return fn;
  }
  for (let x of fn)
    if (skipIfHasType)
      x.scope ??= inject;
    else
      x.scope = inject;
  return fn;
}, filterGlobal = (fn) => {
  if (!fn)
    return fn;
  if (!Array.isArray(fn))
    switch (fn.scope) {
      case "global":
      case "scoped":
        return { ...fn };
      default:
        return { fn };
    }
  let array3 = [];
  for (let x of fn)
    switch (x.scope) {
      case "global":
      case "scoped":
        array3.push({ ...x });
        break;
    }
  return array3;
}, filterGlobalHook = (hook) => {
  return { ...hook, type: hook?.type, detail: hook?.detail, parse: filterGlobal(hook?.parse), transform: filterGlobal(hook?.transform), beforeHandle: filterGlobal(hook?.beforeHandle), afterHandle: filterGlobal(hook?.afterHandle), mapResponse: filterGlobal(hook?.mapResponse), afterResponse: filterGlobal(hook?.afterResponse), error: filterGlobal(hook?.error), trace: filterGlobal(hook?.trace) };
}, StatusMap, InvertedStatusMap, encoder, signCookie = async (val, secret) => {
  if (typeof val !== "string")
    throw new TypeError("Cookie value must be provided as a string.");
  if (secret === null)
    throw new TypeError("Secret key must be provided.");
  let secretKey = await crypto.subtle.importKey("raw", encoder.encode(secret), { name: "HMAC", hash: "SHA-256" }, false, ["sign"]), hmacBuffer = await crypto.subtle.sign("HMAC", secretKey, encoder.encode(val));
  return val + "." + removeTrailingEquals(Buffer.from(hmacBuffer).toString("base64"));
}, unsignCookie = async (input, secret) => {
  if (typeof input !== "string")
    throw new TypeError("Signed cookie string must be provided.");
  if (secret === null)
    throw new TypeError("Secret key must be provided.");
  let tentativeValue = input.slice(0, input.lastIndexOf("."));
  return await signCookie(tentativeValue, secret) === input ? tentativeValue : false;
}, traceBackMacro = (extension, property, manage) => {
  if (!extension || typeof extension !== "object" || !property)
    return;
  for (let [key, value2] of Object.entries(property)) {
    if (primitiveHookMap[key] || !(key in extension))
      continue;
    let v = extension[key];
    if (typeof v === "function") {
      let hook = v(value2);
      if (typeof hook === "object")
        for (let [k2, v2] of Object.entries(hook))
          manage(k2)({ fn: v2 });
    }
    delete property[key];
  }
}, createMacroManager = ({ globalHook, localHook }) => (stackName) => (type4, fn) => {
  if (typeof type4 === "function")
    type4 = { fn: type4 };
  if (stackName === "resolve")
    type4 = { ...type4, subType: "resolve" };
  if (!localHook[stackName])
    localHook[stackName] = [];
  if (typeof localHook[stackName] === "function")
    localHook[stackName] = [localHook[stackName]];
  if (!Array.isArray(localHook[stackName]))
    localHook[stackName] = [localHook[stackName]];
  if ("fn" in type4 || Array.isArray(type4)) {
    if (Array.isArray(type4))
      localHook[stackName] = localHook[stackName].concat(type4);
    else
      localHook[stackName].push(type4);
    return;
  }
  let { insert = "after", stack = "local" } = type4;
  if (typeof fn === "function")
    fn = { fn };
  if (stack === "global")
    if (!Array.isArray(fn))
      if (insert === "before")
        globalHook[stackName].unshift(fn);
      else
        globalHook[stackName].push(fn);
    else if (insert === "before")
      globalHook[stackName] = fn.concat(globalHook[stackName]);
    else
      globalHook[stackName] = globalHook[stackName].concat(fn);
  else if (!Array.isArray(fn))
    if (insert === "before")
      localHook[stackName].unshift(fn);
    else
      localHook[stackName].push(fn);
  else if (insert === "before")
    localHook[stackName] = fn.concat(localHook[stackName]);
  else
    localHook[stackName] = localHook[stackName].concat(fn);
}, parseNumericString = (message) => {
  if (typeof message === "number")
    return message;
  if (message.length < 16) {
    if (message.trim().length === 0)
      return null;
    let length = Number(message);
    if (Number.isNaN(length))
      return null;
    return length;
  }
  if (message.length === 16) {
    if (message.trim().length === 0)
      return null;
    let number3 = Number(message);
    if (Number.isNaN(number3) || number3.toString() !== message)
      return null;
    return number3;
  }
  return null;
}, isNumericString = (message) => parseNumericString(message) !== null, fnToContainer = (fn, subType) => {
  if (!fn)
    return fn;
  if (!Array.isArray(fn)) {
    if (typeof fn === "function" || typeof fn === "string")
      return subType ? { fn, subType } : { fn };
    else if ("fn" in fn)
      return fn;
  }
  let fns = [];
  for (let x of fn)
    if (typeof x === "function" || typeof x === "string")
      fns.push(subType ? { fn: x, subType } : { fn: x });
    else if ("fn" in x)
      fns.push(x);
  return fns;
}, localHookToLifeCycleStore = (a) => {
  if (a.start)
    a.start = fnToContainer(a.start);
  if (a.request)
    a.request = fnToContainer(a.request);
  if (a.parse)
    a.parse = fnToContainer(a.parse);
  if (a.transform)
    a.transform = fnToContainer(a.transform);
  if (a.beforeHandle)
    a.beforeHandle = fnToContainer(a.beforeHandle);
  if (a.afterHandle)
    a.afterHandle = fnToContainer(a.afterHandle);
  if (a.mapResponse)
    a.mapResponse = fnToContainer(a.mapResponse);
  if (a.afterResponse)
    a.afterResponse = fnToContainer(a.afterResponse);
  if (a.trace)
    a.trace = fnToContainer(a.trace);
  if (a.error)
    a.error = fnToContainer(a.error);
  if (a.stop)
    a.stop = fnToContainer(a.stop);
  return a;
}, lifeCycleToFn = (a) => {
  if (a.start?.map)
    a.start = a.start.map((x) => x.fn);
  if (a.request?.map)
    a.request = a.request.map((x) => x.fn);
  if (a.parse?.map)
    a.parse = a.parse.map((x) => x.fn);
  if (a.transform?.map)
    a.transform = a.transform.map((x) => x.fn);
  if (a.beforeHandle?.map)
    a.beforeHandle = a.beforeHandle.map((x) => x.fn);
  if (a.afterHandle?.map)
    a.afterHandle = a.afterHandle.map((x) => x.fn);
  if (a.mapResponse?.map)
    a.mapResponse = a.mapResponse.map((x) => x.fn);
  if (a.afterResponse?.map)
    a.afterResponse = a.afterResponse.map((x) => x.fn);
  if (a.trace?.map)
    a.trace = a.trace.map((x) => x.fn);
  else
    a.trace = [];
  if (a.error?.map)
    a.error = a.error.map((x) => x.fn);
  if (a.stop?.map)
    a.stop = a.stop.map((x) => x.fn);
  return a;
}, cloneInference = (inference) => ({ body: inference.body, cookie: inference.cookie, headers: inference.headers, query: inference.query, set: inference.set, server: inference.server, path: inference.path, route: inference.route, url: inference.url }), redirect = (url, status = 302) => Response.redirect(url, status), ELYSIA_FORM_DATA, ELYSIA_REQUEST_ID, form = (items) => {
  let formData = new FormData;
  if (formData[ELYSIA_FORM_DATA] = {}, items)
    for (let [key, value2] of Object.entries(items)) {
      if (Array.isArray(value2)) {
        formData[ELYSIA_FORM_DATA][key] = [];
        for (let v of value2) {
          if (value2 instanceof File)
            formData.append(key, value2, value2.name);
          else if (value2 instanceof ElysiaFile)
            formData.append(key, value2.value, value2.value?.name);
          else
            formData.append(key, value2);
          formData[ELYSIA_FORM_DATA][key].push(value2);
        }
        continue;
      }
      if (value2 instanceof File)
        formData.append(key, value2, value2.name);
      else if (value2 instanceof ElysiaFile)
        formData.append(key, value2.value, value2.value?.name);
      else
        formData.append(key, value2);
      formData[ELYSIA_FORM_DATA][key] = value2;
    }
  return formData;
}, randomId = () => {
  let uuid = crypto.randomUUID();
  return uuid.slice(0, 8) + uuid.slice(24, 32);
}, deduplicateChecksum = (array3) => {
  if (!array3.length)
    return [];
  let hashes = [];
  for (let i = 0;i < array3.length; i++) {
    let item = array3[i];
    if (item.checksum) {
      if (hashes.includes(item.checksum))
        array3.splice(i, 1), i--;
      hashes.push(item.checksum);
    }
  }
  return array3;
}, promoteEvent = (events, as = "scoped") => {
  if (!events)
    return;
  if (as === "scoped") {
    for (let event of events)
      if ("scope" in event && event.scope === "local")
        event.scope = "scoped";
    return;
  }
  for (let event of events)
    if ("scope" in event)
      event.scope = "global";
}, getLoosePath = (path) => {
  if (path.charCodeAt(path.length - 1) === 47)
    return path.slice(0, path.length - 1);
  return path + "/";
}, isNotEmpty = (obj) => {
  if (!obj)
    return false;
  for (let _2 in obj)
    return true;
  return false;
}, encodePath = (path, { dynamic = false } = {}) => {
  let encoded = encodeURIComponent(path).replace(/%2F/g, "/");
  if (dynamic)
    encoded = encoded.replace(/%3A/g, ":").replace(/%3F/g, "?");
  return encoded;
}, supportPerMethodInlineHandler, env, ERROR_CODE, isProduction, status = (code, response) => new ElysiaCustomStatusResponse(code, response), InternalServerError, NotFoundError, ParseError2, InvalidCookieSignature, mapValueError = (error22) => {
  if (!error22)
    return { summary: undefined };
  let { message, path, value: value2, type: type4 } = error22, property = path.slice(1).replaceAll("/", "."), isRoot = path === "";
  switch (type4) {
    case 42:
      return { ...error22, summary: isRoot ? "Value should not be provided" : `Property '${property}' should not be provided` };
    case 45:
      return { ...error22, summary: isRoot ? "Value is missing" : `Property '${property}' is missing` };
    case 50:
      let quoteIndex = message.indexOf("'"), format2 = message.slice(quoteIndex + 1, message.indexOf("'", quoteIndex + 1));
      return { ...error22, summary: isRoot ? "Value should be an email" : `Property '${property}' should be ${format2}` };
    case 54:
      return { ...error22, summary: `${message.slice(0, 9).trim()} property '${property}' to be ${message.slice(8).trim()} but found: ${value2}` };
    case 62:
      let union4 = error22.schema.anyOf.map((x) => `'${x?.format ?? x.type}'`).join(", ");
      return { ...error22, summary: isRoot ? `Value should be one of ${union4}` : `Property '${property}' should be one of: ${union4}` };
    default:
      return { summary: message, ...error22 };
  }
}, InvalidFileType, ValidationError, tryParse = (v, schema3) => {
  try {
    return JSON.parse(v);
  } catch {
    throw new ValidationError("property", schema3, v);
  }
}, compile = (schema3) => {
  try {
    let compiler2 = TypeCompiler.Compile(schema3);
    return compiler2.Create = () => exports_value2.Create(schema3), compiler2.Error = (v) => new ValidationError("property", schema3, v, compiler2.Errors(v)), compiler2;
  } catch {
    return { Check: (v) => exports_value2.Check(schema3, v), CheckThrow: (v) => {
      if (!exports_value2.Check(schema3, v))
        throw new ValidationError("property", schema3, v, exports_value2.Errors(schema3, v));
    }, Decode: (v) => exports_value2.Decode(schema3, v), Create: () => exports_value2.Create(schema3), Error: (v) => new ValidationError("property", schema3, v, exports_value2.Errors(schema3, v)) };
  }
}, parseFileUnit = (size) => {
  if (typeof size === "string")
    switch (size.slice(-1)) {
      case "k":
        return +size.slice(0, size.length - 1) * 1024;
      case "m":
        return +size.slice(0, size.length - 1) * 1048576;
      default:
        return +size;
    }
  return size;
}, checkFileExtension = (type4, extension) => {
  if (type4.startsWith(extension))
    return true;
  return extension.charCodeAt(extension.length - 1) === 42 && extension.charCodeAt(extension.length - 2) === 47 && type4.startsWith(extension.slice(0, -1));
}, _fileTypeFromBlobWarn = false, warnIfFileTypeIsNotInstalled = () => {
  if (!_fileTypeFromBlobWarn)
    console.warn("[Elysia] Attempt to validate file type without 'file-type'. This may lead to security risks. We recommend installing 'file-type' to properly validate file extension."), _fileTypeFromBlobWarn = true;
}, loadFileType = async () => Promise.resolve().then(() => (init_file_type(), exports_file_type)).then((x) => {
  return _fileTypeFromBlob = x.fileTypeFromBlob, _fileTypeFromBlob;
}).catch(warnIfFileTypeIsNotInstalled), _fileTypeFromBlob, fileTypeFromBlob2 = (file2) => {
  if (_fileTypeFromBlob)
    return _fileTypeFromBlob(file2);
  return loadFileType().then((mod) => {
    if (mod)
      return mod(file2);
  });
}, validateFileExtension = async (file2, extension, name = file2?.name ?? "") => {
  if (Array.isArray(file2))
    return await Promise.all(file2.map((f) => validateFileExtension(f, extension, name))), true;
  if (!file2)
    return false;
  let result = await fileTypeFromBlob2(file2);
  if (!result)
    throw new InvalidFileType(name, extension);
  if (typeof extension === "string") {
    if (!checkFileExtension(result.mime, extension))
      throw new InvalidFileType(name, extension);
  }
  for (let i = 0;i < extension.length; i++)
    if (checkFileExtension(result.mime, extension[i]))
      return true;
  throw new InvalidFileType(name, extension);
}, validateFile = (options, value2) => {
  if (value2 instanceof ElysiaFile)
    return true;
  if (!(value2 instanceof Blob))
    return false;
  if (options.minSize && value2.size < parseFileUnit(options.minSize))
    return false;
  if (options.maxSize && value2.size > parseFileUnit(options.maxSize))
    return false;
  if (options.extension) {
    if (typeof options.extension === "string")
      return checkFileExtension(value2.type, options.extension);
    for (let i = 0;i < options.extension.length; i++)
      if (checkFileExtension(value2.type, options.extension[i]))
        return true;
    return false;
  }
  return true;
}, t, internalFiles, internalFormData, ElysiaType, separateFunction = (code) => {
  if (code.startsWith("async"))
    code = code.slice(5);
  code = code.trimStart();
  let index = -1;
  if (code.charCodeAt(0) === 40) {
    if (index = code.indexOf("=>", code.indexOf(")")), index !== -1) {
      let bracketEndIndex = index;
      while (bracketEndIndex > 0)
        if (code.charCodeAt(--bracketEndIndex) === 41)
          break;
      let body = code.slice(index + 2);
      if (body.charCodeAt(0) === 32)
        body = body.trimStart();
      return [code.slice(1, bracketEndIndex), body, { isArrowReturn: body.charCodeAt(0) !== 123 }];
    }
  }
  if (/^(\w+)=>/g.test(code)) {
    if (index = code.indexOf("=>"), index !== -1) {
      let body = code.slice(index + 2);
      if (body.charCodeAt(0) === 32)
        body = body.trimStart();
      return [code.slice(0, index), body, { isArrowReturn: body.charCodeAt(0) !== 123 }];
    }
  }
  if (code.startsWith("function")) {
    index = code.indexOf("(");
    let end = code.indexOf(")");
    return [code.slice(index + 1, end), code.slice(end + 2), { isArrowReturn: false }];
  }
  let start = code.indexOf("(");
  if (start !== -1) {
    let sep = code.indexOf(`
`, 2), parameter = code.slice(0, sep), end = parameter.lastIndexOf(")") + 1, body = code.slice(sep + 1);
    return [parameter.slice(start, end), "{" + body, { isArrowReturn: false }];
  }
  let x = code.split(`
`, 2);
  return [x[0], x[1], { isArrowReturn: false }];
}, bracketPairRange = (parameter) => {
  let start = parameter.indexOf("{");
  if (start === -1)
    return [-1, 0];
  let end = start + 1, deep = 1;
  for (;end < parameter.length; end++) {
    let char = parameter.charCodeAt(end);
    if (char === 123)
      deep++;
    else if (char === 125)
      deep--;
    if (deep === 0)
      break;
  }
  if (deep !== 0)
    return [0, parameter.length];
  return [start, end + 1];
}, bracketPairRangeReverse = (parameter) => {
  let end = parameter.lastIndexOf("}");
  if (end === -1)
    return [-1, 0];
  let start = end - 1, deep = 1;
  for (;start >= 0; start--) {
    let char = parameter.charCodeAt(start);
    if (char === 125)
      deep++;
    else if (char === 123)
      deep--;
    if (deep === 0)
      break;
  }
  if (deep !== 0)
    return [-1, 0];
  return [start, end + 1];
}, removeColonAlias = (parameter) => {
  while (true) {
    let start = parameter.indexOf(":");
    if (start === -1)
      break;
    let end = parameter.indexOf(",", start);
    if (end === -1)
      end = parameter.indexOf("}", start) - 1;
    if (end === -2)
      end = parameter.length;
    parameter = parameter.slice(0, start) + parameter.slice(end);
  }
  return parameter;
}, retrieveRootParamters = (parameter) => {
  let hasParenthesis = false;
  if (parameter.charCodeAt(0) === 40)
    parameter = parameter.slice(1, -1);
  if (parameter.charCodeAt(0) === 123)
    hasParenthesis = true, parameter = parameter.slice(1, -1);
  parameter = parameter.replace(/( |\t|\n)/g, "").trim();
  let parameters3 = [];
  while (true) {
    let [start, end] = bracketPairRange(parameter);
    if (start === -1)
      break;
    if (parameters3.push(parameter.slice(0, start - 1)), parameter.charCodeAt(end) === 44)
      end++;
    parameter = parameter.slice(end);
  }
  if (parameter = removeColonAlias(parameter), parameter)
    parameters3 = parameters3.concat(parameter.split(","));
  let parameterMap = Object.create(null);
  for (let p of parameters3) {
    if (p.indexOf(",") === -1) {
      parameterMap[p] = true;
      continue;
    }
    for (let q of p.split(","))
      parameterMap[q.trim()] = true;
  }
  return { hasParenthesis, parameters: parameterMap };
}, findParameterReference = (parameter, inference) => {
  let { parameters: parameters3, hasParenthesis } = retrieveRootParamters(parameter);
  if (parameters3.query)
    inference.query = true;
  if (parameters3.headers)
    inference.headers = true;
  if (parameters3.body)
    inference.body = true;
  if (parameters3.cookie)
    inference.cookie = true;
  if (parameters3.set)
    inference.set = true;
  if (parameters3.server)
    inference.server = true;
  if (parameters3.route)
    inference.route = true;
  if (parameters3.url)
    inference.url = true;
  if (parameters3.path)
    inference.path = true;
  if (hasParenthesis)
    return `{ ${Object.keys(parameters3).join(", ")} }`;
  return Object.keys(parameters3).join(", ");
}, findEndIndex = (type4, content, index) => {
  let regex2 = new RegExp(`${type4.replace(/[.*+?^${}()|[\]\\]/g, "\\$&")}[\\n\\t,; ]`);
  if (index !== undefined)
    regex2.lastIndex = index;
  let match = regex2.exec(content);
  return match ? match.index : -1;
}, findAlias = (type4, body, depth = 0) => {
  if (depth > 5)
    return [];
  let aliases = [], content = body;
  while (true) {
    let index = findEndIndex(" = " + type4, content);
    if (index === -1)
      index = findEndIndex("=" + type4, content);
    if (index === -1) {
      let lastIndex = content.indexOf(" = " + type4);
      if (lastIndex === -1)
        lastIndex = content.indexOf("=" + type4);
      if (lastIndex + 3 + type4.length !== content.length)
        break;
      index = lastIndex;
    }
    let part = content.slice(0, index), lastPart = part.lastIndexOf(" "), variable = part.slice(lastPart !== -1 ? lastPart + 1 : -1);
    if (variable === "}") {
      let [start, end] = bracketPairRangeReverse(part);
      aliases.push(removeColonAlias(content.slice(start, end))), content = content.slice(index + 3 + type4.length);
      continue;
    }
    while (variable.charCodeAt(0) === 44)
      variable = variable.slice(1);
    while (variable.charCodeAt(0) === 9)
      variable = variable.slice(1);
    if (!variable.includes("("))
      aliases.push(variable);
    content = content.slice(index + 3 + type4.length);
  }
  for (let alias of aliases) {
    if (alias.charCodeAt(0) === 123)
      continue;
    let deepAlias = findAlias(alias, body);
    if (deepAlias.length > 0)
      aliases.push(...deepAlias);
  }
  return aliases;
}, extractMainParameter = (parameter) => {
  if (!parameter)
    return;
  if (parameter.charCodeAt(0) !== 123)
    return parameter;
  if (parameter = parameter.slice(2, -2), !parameter.includes(",")) {
    if (parameter.indexOf("...") !== -1)
      return parameter.slice(parameter.indexOf("...") + 3);
    return;
  }
  let spreadIndex = parameter.indexOf("...");
  if (spreadIndex === -1)
    return;
  return parameter.slice(spreadIndex + 3).trimEnd();
}, inferBodyReference = (code, aliases, inference) => {
  let access = (type4, alias) => new RegExp(`${alias}\\.(${type4})|${alias}\\["${type4}"\\]|${alias}\\['${type4}'\\]`).test(code);
  for (let alias of aliases) {
    if (!alias)
      continue;
    if (alias.charCodeAt(0) === 123) {
      let parameters3 = retrieveRootParamters(alias).parameters;
      if (parameters3.query)
        inference.query = true;
      if (parameters3.headers)
        inference.headers = true;
      if (parameters3.body)
        inference.body = true;
      if (parameters3.cookie)
        inference.cookie = true;
      if (parameters3.set)
        inference.set = true;
      if (parameters3.server)
        inference.server = true;
      if (parameters3.url)
        inference.url = true;
      if (parameters3.route)
        inference.route = true;
      if (parameters3.path)
        inference.path = true;
      continue;
    }
    if (!inference.query && (access("query", alias) || code.includes("return " + alias) || code.includes("return " + alias + ".query")))
      inference.query = true;
    if (!inference.headers && access("headers", alias))
      inference.headers = true;
    if (!inference.body && access("body", alias))
      inference.body = true;
    if (!inference.cookie && access("cookie", alias))
      inference.cookie = true;
    if (!inference.set && access("set", alias))
      inference.set = true;
    if (!inference.server && access("server", alias))
      inference.server = true;
    if (!inference.route && access("route", alias))
      inference.route = true;
    if (!inference.url && access("url", alias))
      inference.url = true;
    if (!inference.path && access("path", alias))
      inference.path = true;
    if (inference.query && inference.headers && inference.body && inference.cookie && inference.set && inference.server && inference.route && inference.url && inference.path)
      break;
  }
  return aliases;
}, isContextPassToFunction = (context, body, inference) => {
  try {
    let captureFunction = new RegExp(`\\w\\((.*?)?${context}`, "gs");
    captureFunction.test(body);
    let nextChar = body.charCodeAt(captureFunction.lastIndex);
    if (nextChar === 41 || nextChar === 44)
      return inference.query = true, inference.headers = true, inference.body = true, inference.cookie = true, inference.set = true, inference.server = true, inference.url = true, inference.route = true, inference.path = true, true;
    return false;
  } catch (error22) {
    return console.log("[Sucrose] warning: unexpected isContextPassToFunction error, you may continue development as usual but please report the following to maintainers:"), console.log("--- body ---"), console.log(body), console.log("--- context ---"), console.log(context), true;
  }
}, pendingGC, caches, clearSucroseCache = (delay = 0) => {
  if (pendingGC)
    clearTimeout(pendingGC);
  pendingGC = setTimeout(() => {
    if (caches = {}, pendingGC = undefined, isBun)
      Bun.gc(false);
  }, delay);
}, mergeInference = (a, b) => {
  return { body: a.body || b.body, cookie: a.cookie || b.cookie, headers: a.headers || b.headers, query: a.query || b.query, set: a.set || b.set, server: a.server || b.server, url: a.url || b.url, route: a.route || b.route, path: a.path || b.path };
}, sucrose = (lifeCycle, inference = { query: false, headers: false, body: false, cookie: false, set: false, server: false, url: false, route: false, path: false }) => {
  let events = [];
  if (lifeCycle.request?.length)
    events.push(...lifeCycle.request);
  if (lifeCycle.beforeHandle?.length)
    events.push(...lifeCycle.beforeHandle);
  if (lifeCycle.parse?.length)
    events.push(...lifeCycle.parse);
  if (lifeCycle.error?.length)
    events.push(...lifeCycle.error);
  if (lifeCycle.transform?.length)
    events.push(...lifeCycle.transform);
  if (lifeCycle.afterHandle?.length)
    events.push(...lifeCycle.afterHandle);
  if (lifeCycle.mapResponse?.length)
    events.push(...lifeCycle.mapResponse);
  if (lifeCycle.afterResponse?.length)
    events.push(...lifeCycle.afterResponse);
  if (lifeCycle.handler && typeof lifeCycle.handler === "function")
    events.push(lifeCycle.handler);
  for (let i = 0;i < events.length; i++) {
    let e = events[i];
    if (!e)
      continue;
    let event = typeof e === "object" ? e.fn : e;
    if (typeof event !== "function")
      continue;
    let content = event.toString(), key = checksum(content), cachedInference = caches[key];
    if (cachedInference) {
      inference = mergeInference(inference, cachedInference);
      continue;
    }
    let fnInference = { query: false, headers: false, body: false, cookie: false, set: false, server: false, url: false, route: false, path: false }, [parameter, body] = separateFunction(content), rootParameters = findParameterReference(parameter, fnInference), mainParameter = extractMainParameter(rootParameters);
    if (mainParameter) {
      let aliases = findAlias(mainParameter, body.slice(1, -1));
      aliases.splice(0, -1, mainParameter);
      let code = body;
      if (code.charCodeAt(0) === 123 && code.charCodeAt(body.length - 1) === 125)
        code = code.slice(1, -1);
      if (!isContextPassToFunction(mainParameter, code, fnInference))
        inferBodyReference(code, aliases, fnInference);
      if (!fnInference.query && code.includes("return " + mainParameter + ".query"))
        fnInference.query = true;
    }
    if (!caches[key])
      caches[key] = fnInference;
    if (inference = mergeInference(inference, fnInference), inference.query && inference.headers && inference.body && inference.cookie && inference.set && inference.server && inference.url && inference.route && inference.path)
      break;
  }
  return inference;
}, import_cookie, import_fast_decode_uri_component, createCookieJar = (set22, store, initial) => {
  if (!set22.cookie)
    set22.cookie = {};
  return new Proxy(store, { get(_2, key) {
    if (key in store)
      return new Cookie(key, set22.cookie, Object.assign({}, initial ?? {}, store[key]));
    return new Cookie(key, set22.cookie, Object.assign({}, initial));
  } });
}, parseCookie = async (set22, cookieString, { secrets, sign, ...initial } = {}) => {
  if (!cookieString)
    return createCookieJar(set22, {}, initial);
  let isStringKey = typeof secrets === "string";
  if (sign && sign !== true && !Array.isArray(sign))
    sign = [sign];
  let jar = {}, cookies = import_cookie.parse(cookieString);
  for (let [name, v] of Object.entries(cookies)) {
    if (v === undefined)
      continue;
    let value2 = import_fast_decode_uri_component.default(v);
    if (sign === true || sign?.includes(name)) {
      if (!secrets)
        throw new Error("No secret is provided to cookie plugin");
      if (isStringKey) {
        let temp = await unsignCookie(value2, secrets);
        if (temp === false)
          throw new InvalidCookieSignature(name);
        value2 = temp;
      } else {
        let decoded = true;
        for (let i = 0;i < secrets.length; i++) {
          let temp = await unsignCookie(value2, secrets[i]);
          if (temp !== false) {
            decoded = true, value2 = temp;
            break;
          }
        }
        if (!decoded)
          throw new InvalidCookieSignature(name);
      }
    }
    jar[name] = { value: value2 };
  }
  return createCookieJar(set22, jar, initial);
}, serializeCookie = (cookies) => {
  if (!cookies || !isNotEmpty(cookies))
    return;
  let set22 = [];
  for (let [key, property] of Object.entries(cookies)) {
    if (!key || !property)
      continue;
    let value2 = property.value;
    if (value2 === undefined || value2 === null)
      continue;
    set22.push(import_cookie.serialize(key, typeof value2 === "object" ? JSON.stringify(value2) : value2 + "", property));
  }
  if (set22.length === 0)
    return;
  if (set22.length === 1)
    return set22[0];
  return set22;
}, handleFile = (response, set22) => {
  if (!isBun && response instanceof Promise)
    return response.then((res) => handleFile(res, set22));
  let size = response.size;
  if (!set22 && size || size && set22 && set22.status !== 206 && set22.status !== 304 && set22.status !== 412 && set22.status !== 416) {
    if (set22) {
      if (set22.headers instanceof Headers) {
        let setHeaders = { "accept-ranges": "bytes", "content-range": `bytes 0-${size - 1}/${size}`, "transfer-encoding": "chunked" };
        if (hasHeaderShorthand)
          setHeaders = set22.headers.toJSON();
        else {
          setHeaders = {};
          for (let [key, value2] of set22.headers.entries())
            if (key in set22.headers)
              setHeaders[key] = value2;
        }
        return new Response(response, { status: set22.status, headers: setHeaders });
      }
      if (isNotEmpty(set22.headers))
        return new Response(response, { status: set22.status, headers: Object.assign({ "accept-ranges": "bytes", "content-range": `bytes 0-${size - 1}/${size}`, "transfer-encoding": "chunked" }, set22.headers) });
    }
    return new Response(response, { headers: { "accept-ranges": "bytes", "content-range": `bytes 0-${size - 1}/${size}`, "transfer-encoding": "chunked" } });
  }
  return new Response(response);
}, parseSetCookies = (headers, setCookie) => {
  if (!headers)
    return headers;
  headers.delete("set-cookie");
  for (let i = 0;i < setCookie.length; i++) {
    let index = setCookie[i].indexOf("=");
    headers.append("set-cookie", `${setCookie[i].slice(0, index)}=${setCookie[i].slice(index + 1) || ""}`);
  }
  return headers;
}, responseToSetHeaders = (response, set22) => {
  if (set22?.headers) {
    if (response) {
      if (hasHeaderShorthand)
        Object.assign(set22.headers, response.headers.toJSON());
      else
        for (let [key, value2] of response.headers.entries())
          if (key in set22.headers)
            set22.headers[key] = value2;
    }
    if (set22.status === 200)
      set22.status = response.status;
    if (set22.headers["content-encoding"])
      delete set22.headers["content-encoding"];
    return set22;
  }
  if (!response)
    return { headers: {}, status: set22?.status ?? 200 };
  if (hasHeaderShorthand) {
    if (set22 = { headers: response.headers.toJSON(), status: set22?.status ?? 200 }, set22.headers["content-encoding"])
      delete set22.headers["content-encoding"];
    return set22;
  }
  set22 = { headers: {}, status: set22?.status ?? 200 };
  for (let [key, value2] of response.headers.entries()) {
    if (key === "content-encoding")
      continue;
    if (key in set22.headers)
      set22.headers[key] = value2;
  }
  return set22;
}, createStreamHandler = ({ mapResponse, mapCompactResponse }) => async (generator, set22, request) => {
  let init = generator.next();
  if (init instanceof Promise)
    init = await init;
  if (typeof init?.done === "undefined" || init?.done) {
    if (set22)
      return mapResponse(init.value, set22, request);
    return mapCompactResponse(init.value, request);
  }
  let contentType = init.value && typeof init.value?.stream ? "text/event-stream" : init.value && typeof init.value === "object" ? "application/json" : "text/plain";
  if (set22?.headers) {
    if (!set22.headers["transfer-encoding"])
      set22.headers["transfer-encoding"] = "chunked";
    if (!set22.headers["content-type"])
      set22.headers["content-type"] = contentType;
    if (!set22.headers["cache-control"])
      set22.headers["cache-control"] = "no-cache";
  } else
    set22 = { status: 200, headers: { "content-type": contentType, "transfer-encoding": "chunked", "cache-control": "no-cache", connection: "keep-alive" } };
  return new Response(new ReadableStream({ async start(controller) {
    let end = false;
    if (request?.signal?.addEventListener("abort", () => {
      end = true;
      try {
        controller.close();
      } catch {
      }
    }), init.value !== undefined && init.value !== null)
      if (init.value.toStream)
        controller.enqueue(init.value.toStream());
      else if (typeof init.value === "object")
        try {
          controller.enqueue(Buffer.from(JSON.stringify(init.value)));
        } catch {
          controller.enqueue(Buffer.from(init.value.toString()));
        }
      else
        controller.enqueue(Buffer.from(init.value.toString()));
    for await (let chunk of generator) {
      if (end)
        break;
      if (chunk === undefined || chunk === null)
        continue;
      if (chunk.toStream)
        controller.enqueue(chunk.toStream());
      else if (typeof chunk === "object")
        try {
          controller.enqueue(Buffer.from(JSON.stringify(chunk)));
        } catch {
          controller.enqueue(Buffer.from(chunk.toString()));
        }
      else
        controller.enqueue(Buffer.from(chunk.toString()));
      await new Promise((resolve) => setTimeout(() => resolve(), 0));
    }
    try {
      controller.close();
    } catch {
    }
  } }), set22);
}, handleSet = (set22) => {
  if (typeof set22.status === "string")
    set22.status = StatusMap[set22.status];
  if (set22.cookie && isNotEmpty(set22.cookie)) {
    let cookie = serializeCookie(set22.cookie);
    if (cookie)
      set22.headers["set-cookie"] = cookie;
  }
  if (set22.headers["set-cookie"] && Array.isArray(set22.headers["set-cookie"]))
    set22.headers = parseSetCookies(new Headers(set22.headers), set22.headers["set-cookie"]);
}, createResponseHandler = (handler) => {
  let handleStream = createStreamHandler(handler);
  return (response, set22, request) => {
    let isCookieSet = false;
    if (set22.headers instanceof Headers)
      for (let key of set22.headers.keys())
        if (key === "set-cookie") {
          if (isCookieSet)
            continue;
          isCookieSet = true;
          for (let cookie of set22.headers.getSetCookie())
            response.headers.append("set-cookie", cookie);
        } else
          response.headers.append(key, set22.headers?.get(key) ?? "");
    else
      for (let key in set22.headers)
        response.headers.append(key, set22.headers[key]);
    let status2 = set22.status ?? 200;
    if (response.status !== status2 && status2 !== 200 && (response.status <= 300 || response.status > 400))
      return response.text().then((value2) => {
        let newResponse = new Response(value2, { headers: response.headers, status: set22.status });
        if (!newResponse.headers.has("content-length") && newResponse.headers.get("transfer-encoding") === "chunked")
          return handleStream(streamResponse(newResponse), responseToSetHeaders(newResponse, set22), request);
        return newResponse;
      });
    if (!response.headers.has("content-length") && response.headers.get("transfer-encoding") === "chunked")
      return handleStream(streamResponse(response), responseToSetHeaders(response, set22), request);
    return response;
  };
}, mapResponse = (response, set22, request) => {
  if (isNotEmpty(set22.headers) || set22.status !== 200 || set22.cookie)
    switch (handleSet(set22), response?.constructor?.name) {
      case "String":
        return set22.headers["content-type"] = "text/plain", new Response(response, set22);
      case "Array":
      case "Object":
        return set22.headers["content-type"] = "application/json", new Response(JSON.stringify(response), set22);
      case "ElysiaFile":
        return handleFile(response.value);
      case "File":
        return handleFile(response, set22);
      case "Blob":
        return handleFile(response, set22);
      case "ElysiaCustomStatusResponse":
        return set22.status = response.code, mapResponse(response.response, set22, request);
      case "ReadableStream":
        if (!set22.headers["content-type"]?.startsWith("text/event-stream"))
          set22.headers["content-type"] = "text/event-stream; charset=utf-8";
        return request?.signal?.addEventListener("abort", { handleEvent() {
          if (request?.signal && !request?.signal?.aborted)
            response.cancel();
        } }, { once: true }), new Response(response, set22);
      case undefined:
        if (!response)
          return new Response("", set22);
        return new Response(JSON.stringify(response), set22);
      case "Response":
        return handleResponse(response, set22, request);
      case "Error":
        return errorToResponse(response, set22);
      case "Promise":
        return response.then((x) => mapResponse(x, set22, request));
      case "Function":
        return mapResponse(response(), set22, request);
      case "Number":
      case "Boolean":
        return new Response(response.toString(), set22);
      case "Cookie":
        if (response instanceof Cookie)
          return new Response(response.value, set22);
        return new Response(response?.toString(), set22);
      case "FormData":
        return new Response(response, set22);
      default:
        if (response instanceof Response)
          return handleResponse(response, set22, request);
        if (response instanceof Promise)
          return response.then((x) => mapResponse(x, set22));
        if (response instanceof Error)
          return errorToResponse(response, set22);
        if (response instanceof ElysiaCustomStatusResponse)
          return set22.status = response.code, mapResponse(response.response, set22, request);
        if (typeof response?.next === "function")
          return handleStream(response, set22, request);
        if (typeof response?.then === "function")
          return response.then((x) => mapResponse(x, set22));
        if (typeof response?.toResponse === "function")
          return mapResponse(response.toResponse(), set22);
        if ("charCodeAt" in response) {
          let code = response.charCodeAt(0);
          if (code === 123 || code === 91) {
            if (!set22.headers["Content-Type"])
              set22.headers["Content-Type"] = "application/json";
            return new Response(JSON.stringify(response), set22);
          }
        }
        return new Response(response, set22);
    }
  if (response instanceof Response && !response.headers.has("content-length") && response.headers.get("transfer-encoding") === "chunked")
    return handleStream(streamResponse(response), responseToSetHeaders(response, set22), request);
  if (typeof response?.next === "function" || response instanceof ReadableStream)
    return handleStream(response, set22, request);
  return mapCompactResponse(response, request);
}, mapEarlyResponse = (response, set22, request) => {
  if (response === undefined || response === null)
    return;
  if (isNotEmpty(set22.headers) || set22.status !== 200 || set22.cookie)
    switch (handleSet(set22), response?.constructor?.name) {
      case "String":
        return set22.headers["content-type"] = "text/plain", new Response(response, set22);
      case "Array":
      case "Object":
        return set22.headers["content-type"] = "application/json", new Response(JSON.stringify(response), set22);
      case "ElysiaFile":
        return handleFile(response.value);
      case "File":
        return handleFile(response, set22);
      case "Blob":
        return handleFile(response, set22);
      case "ElysiaCustomStatusResponse":
        return set22.status = response.code, mapEarlyResponse(response.response, set22, request);
      case "ReadableStream":
        if (!set22.headers["content-type"]?.startsWith("text/event-stream"))
          set22.headers["content-type"] = "text/event-stream; charset=utf-8";
        return request?.signal?.addEventListener("abort", { handleEvent() {
          if (request?.signal && !request?.signal?.aborted)
            response.cancel();
        } }, { once: true }), new Response(response, set22);
      case undefined:
        if (!response)
          return;
        return new Response(JSON.stringify(response), set22);
      case "Response":
        return handleResponse(response, set22, request);
      case "Promise":
        return response.then((x) => mapEarlyResponse(x, set22));
      case "Error":
        return errorToResponse(response, set22);
      case "Function":
        return mapEarlyResponse(response(), set22);
      case "Number":
      case "Boolean":
        return new Response(response.toString(), set22);
      case "FormData":
        return new Response(response);
      case "Cookie":
        if (response instanceof Cookie)
          return new Response(response.value, set22);
        return new Response(response?.toString(), set22);
      default:
        if (response instanceof Response)
          return handleResponse(response, set22, request);
        if (response instanceof Promise)
          return response.then((x) => mapEarlyResponse(x, set22));
        if (response instanceof Error)
          return errorToResponse(response, set22);
        if (response instanceof ElysiaCustomStatusResponse)
          return set22.status = response.code, mapEarlyResponse(response.response, set22, request);
        if (typeof response?.next === "function")
          return handleStream(response, set22, request);
        if (typeof response?.then === "function")
          return response.then((x) => mapEarlyResponse(x, set22));
        if (typeof response?.toResponse === "function")
          return mapEarlyResponse(response.toResponse(), set22);
        if ("charCodeAt" in response) {
          let code = response.charCodeAt(0);
          if (code === 123 || code === 91) {
            if (!set22.headers["Content-Type"])
              set22.headers["Content-Type"] = "application/json";
            return new Response(JSON.stringify(response), set22);
          }
        }
        return new Response(response, set22);
    }
  else
    switch (response?.constructor?.name) {
      case "String":
        return set22.headers["content-type"] = "text/plain", new Response(response);
      case "Array":
      case "Object":
        return set22.headers["content-type"] = "application/json", new Response(JSON.stringify(response), set22);
      case "ElysiaFile":
        return handleFile(response.value);
      case "File":
        return handleFile(response, set22);
      case "Blob":
        return handleFile(response, set22);
      case "ElysiaCustomStatusResponse":
        return set22.status = response.code, mapEarlyResponse(response.response, set22, request);
      case "ReadableStream":
        return request?.signal?.addEventListener("abort", { handleEvent() {
          if (request?.signal && !request?.signal?.aborted)
            response.cancel();
        } }, { once: true }), new Response(response, { headers: { "Content-Type": "text/event-stream; charset=utf-8" } });
      case undefined:
        if (!response)
          return new Response("");
        return new Response(JSON.stringify(response), { headers: { "content-type": "application/json" } });
      case "Response":
        if (!response.headers.has("content-length") && response.headers.get("transfer-encoding") === "chunked")
          return handleStream(streamResponse(response), responseToSetHeaders(response), request);
        return response;
      case "Promise":
        return response.then((x) => {
          let r = mapEarlyResponse(x, set22);
          if (r !== undefined)
            return r;
        });
      case "Error":
        return errorToResponse(response, set22);
      case "Function":
        return mapCompactResponse(response(), request);
      case "Number":
      case "Boolean":
        return new Response(response.toString());
      case "Cookie":
        if (response instanceof Cookie)
          return new Response(response.value, set22);
        return new Response(response?.toString(), set22);
      case "FormData":
        return new Response(response);
      default:
        if (response instanceof Response)
          return response;
        if (response instanceof Promise)
          return response.then((x) => mapEarlyResponse(x, set22));
        if (response instanceof Error)
          return errorToResponse(response, set22);
        if (response instanceof ElysiaCustomStatusResponse)
          return set22.status = response.code, mapEarlyResponse(response.response, set22, request);
        if (typeof response?.next === "function")
          return handleStream(response, set22, request);
        if (typeof response?.then === "function")
          return response.then((x) => mapEarlyResponse(x, set22));
        if (typeof response?.toResponse === "function")
          return mapEarlyResponse(response.toResponse(), set22);
        if ("charCodeAt" in response) {
          let code = response.charCodeAt(0);
          if (code === 123 || code === 91) {
            if (!set22.headers["Content-Type"])
              set22.headers["Content-Type"] = "application/json";
            return new Response(JSON.stringify(response), set22);
          }
        }
        return new Response(response);
    }
}, mapCompactResponse = (response, request) => {
  switch (response?.constructor?.name) {
    case "String":
      return new Response(response, { headers: { "Content-Type": "text/plain" } });
    case "Object":
    case "Array":
      return new Response(JSON.stringify(response), { headers: { "Content-Type": "application/json" } });
    case "ElysiaFile":
      return handleFile(response.value);
    case "File":
      return handleFile(response);
    case "Blob":
      return handleFile(response);
    case "ElysiaCustomStatusResponse":
      return mapResponse(response.response, { status: response.code, headers: {} });
    case "ReadableStream":
      return request?.signal?.addEventListener("abort", { handleEvent() {
        if (request?.signal && !request?.signal?.aborted)
          response.cancel();
      } }, { once: true }), new Response(response, { headers: { "Content-Type": "text/event-stream; charset=utf-8" } });
    case undefined:
      if (!response)
        return new Response("");
      return new Response(JSON.stringify(response), { headers: { "content-type": "application/json" } });
    case "Response":
      if (response.headers.get("transfer-encoding") === "chunked")
        return handleStream(streamResponse(response), responseToSetHeaders(response), request);
      return response;
    case "Error":
      return errorToResponse(response);
    case "Promise":
      return response.then((x) => mapCompactResponse(x, request));
    case "Function":
      return mapCompactResponse(response(), request);
    case "Number":
    case "Boolean":
      return new Response(response.toString());
    case "FormData":
      return new Response(response);
    default:
      if (response instanceof Response)
        return response;
      if (response instanceof Promise)
        return response.then((x) => mapCompactResponse(x, request));
      if (response instanceof Error)
        return errorToResponse(response);
      if (response instanceof ElysiaCustomStatusResponse)
        return mapResponse(response.response, { status: response.code, headers: {} });
      if (typeof response?.next === "function")
        return handleStream(response, undefined, request);
      if (typeof response?.then === "function")
        return response.then((x) => mapResponse(x, set));
      if (typeof response?.toResponse === "function")
        return mapCompactResponse(response.toResponse());
      if ("charCodeAt" in response) {
        let code = response.charCodeAt(0);
        if (code === 123 || code === 91)
          return new Response(JSON.stringify(response), { headers: { "Content-Type": "application/json" } });
      }
      return new Response(response);
  }
}, errorToResponse = (error22, set22) => new Response(JSON.stringify({ name: error22?.name, message: error22?.message, cause: error22?.cause }), { status: set22?.status !== 200 ? set22?.status ?? 500 : 500, headers: set22?.headers }), createStaticHandler = (handle, hooks, setHeaders = {}) => {
  if (typeof handle === "function")
    return;
  let response = mapResponse(handle, { headers: setHeaders });
  if (!hooks.parse?.length && !hooks.transform?.length && !hooks.beforeHandle?.length && !hooks.afterHandle?.length)
    return response.clone.bind(response);
}, handleResponse, handleStream, WebStandardAdapter, import_fast_decode_uri_component3, import_fast_decode_uri_component2, ELYSIA_TRACE, createProcess = () => {
  let { promise: promise3, resolve } = Promise.withResolvers(), { promise: end, resolve: resolveEnd } = Promise.withResolvers(), { promise: error22, resolve: resolveError } = Promise.withResolvers(), callbacks = [], callbacksEnd = [];
  return [(callback) => {
    if (callback)
      callbacks.push(callback);
    return promise3;
  }, (process2) => {
    let processes = [], resolvers = [], groupError = null;
    for (let i = 0;i < (process2.total ?? 0); i++) {
      let { promise: promise22, resolve: resolve2 } = Promise.withResolvers(), { promise: end2, resolve: resolveEnd2 } = Promise.withResolvers(), { promise: error3, resolve: resolveError2 } = Promise.withResolvers(), callbacks2 = [], callbacksEnd2 = [];
      processes.push((callback) => {
        if (callback)
          callbacks2.push(callback);
        return promise22;
      }), resolvers.push((process3) => {
        let result2 = { ...process3, end: end2, error: error3, index: i, onStop(callback) {
          if (callback)
            callbacksEnd2.push(callback);
          return end2;
        } };
        resolve2(result2);
        for (let i2 = 0;i2 < callbacks2.length; i2++)
          callbacks2[i2](result2);
        return (error4 = null) => {
          let end3 = performance.now();
          if (error4)
            groupError = error4;
          let detail = { end: end3, error: error4, get elapsed() {
            return end3 - process3.begin;
          } };
          for (let i2 = 0;i2 < callbacksEnd2.length; i2++)
            callbacksEnd2[i2](detail);
          resolveEnd2(end3), resolveError2(error4);
        };
      });
    }
    let result = { ...process2, end, error: error22, onEvent(callback) {
      for (let i = 0;i < processes.length; i++)
        processes[i](callback);
    }, onStop(callback) {
      if (callback)
        callbacksEnd.push(callback);
      return end;
    } };
    resolve(result);
    for (let i = 0;i < callbacks.length; i++)
      callbacks[i](result);
    return { resolveChild: resolvers, resolve(error3 = null) {
      let end2 = performance.now();
      if (!error3 && groupError)
        error3 = groupError;
      let detail = { end: end2, error: error3, get elapsed() {
        return end2 - process2.begin;
      } };
      for (let i = 0;i < callbacksEnd.length; i++)
        callbacksEnd[i](detail);
      resolveEnd(end2), resolveError(error3);
    } };
  }];
}, createTracer = (traceListener) => {
  return (context) => {
    let [onRequest, resolveRequest] = createProcess(), [onParse, resolveParse] = createProcess(), [onTransform, resolveTransform] = createProcess(), [onBeforeHandle, resolveBeforeHandle] = createProcess(), [onHandle, resolveHandle] = createProcess(), [onAfterHandle, resolveAfterHandle] = createProcess(), [onError, resolveError] = createProcess(), [onMapResponse, resolveMapResponse] = createProcess(), [onAfterResponse, resolveAfterResponse] = createProcess();
    return traceListener({ id: context[ELYSIA_REQUEST_ID], context, set: context.set, onRequest, onParse, onTransform, onBeforeHandle, onHandle, onAfterHandle, onMapResponse, onAfterResponse, onError, time: Date.now(), store: context.store }), { request: resolveRequest, parse: resolveParse, transform: resolveTransform, beforeHandle: resolveBeforeHandle, handle: resolveHandle, afterHandle: resolveAfterHandle, error: resolveError, mapResponse: resolveMapResponse, afterResponse: resolveAfterResponse };
  };
}, Kind3, Hint2, isSpecialProperty = (name) => /(\ |-|\t|\n)/.test(name), joinProperty = (v1, v2, isOptional = false) => {
  if (typeof v2 === "number")
    return `${v1}[${v2}]`;
  if (isSpecialProperty(v2))
    return `${v1}${isOptional ? "?." : ""}["${v2}"]`;
  return `${v1}${isOptional ? "?" : ""}.${v2}`;
}, encodeProperty = (v) => isSpecialProperty(v) ? `"${v}"` : v, sanitize = (key, sanitize2 = 0, schema3) => {
  if (schema3.type !== "string" || schema3.const || schema3.trusted)
    return key;
  let hof = "";
  for (let i = sanitize2 - 1;i >= 0; i--)
    hof += `d.h${i}(`;
  return hof + key + ")".repeat(sanitize2);
}, mergeObjectIntersection = (schema3) => {
  if (!schema3.allOf || Kind3 in schema3 && (schema3[Kind3] !== "Intersect" || schema3.type !== "object"))
    return schema3;
  let { allOf, ...newSchema } = schema3;
  if (newSchema.properties = {}, Kind3 in newSchema)
    newSchema[Kind3] = "Object";
  for (let type4 of allOf) {
    if (type4.type !== "object")
      continue;
    let { properties, required: required3, type: _2, [Kind3]: __, ...rest3 } = type4;
    if (required3)
      newSchema.required = newSchema.required ? newSchema.required.concat(required3) : required3;
    Object.assign(newSchema, rest3);
    for (let property in type4.properties)
      newSchema.properties[property] = mergeObjectIntersection(type4.properties[property]);
  }
  return newSchema;
}, handleRecord = (schema3, property, instruction) => {
  let child2 = schema3.patternProperties["^(.*)$"] ?? schema3.patternProperties[Object.keys(schema3.patternProperties)[0]];
  if (!child2)
    return property;
  let i = instruction.array;
  return instruction.array++, `(()=>{const ar${i}s=Object.keys(${property}),ar${i}v={};for(let i=0;i<ar${i}s.length;i++){const ar${i}p=${property}[ar${i}s[i]];ar${i}v[ar${i}s[i]]=${mirror(child2, `ar${i}p`, instruction)}}return ar${i}v})()`;
}, handleTuple = (schema3, property, instruction) => {
  let i = instruction.array;
  instruction.array++;
  let isRoot = property === "v" && !instruction.unions.length, v = "";
  if (!isRoot)
    v = "(()=>{";
  v += `const ar${i}v=[`;
  for (let i2 = 0;i2 < schema3.length; i2++) {
    if (i2 !== 0)
      v += ",";
    v += mirror(schema3[i2], joinProperty(property, i2, instruction.parentIsOptional), instruction);
  }
  if (v += "];", !isRoot)
    v += `return ar${i}v})()`;
  return v;
}, handleUnion = (schemas, property, instruction) => {
  if (instruction.TypeCompiler === undefined) {
    if (!instruction.typeCompilerWanred)
      console.warn(new Error("[exact-mirror] TypeBox's TypeCompiler is required to use Union")), instruction.typeCompilerWanred = true;
    return property;
  }
  instruction.unionKeys[property] = 1;
  let ui = instruction.unions.length, typeChecks = instruction.unions[ui] = [], v = `(()=>{
`, unwrapRef = (type4) => {
    if (!(Kind3 in type4) || !type4.$ref)
      return type4;
    if (type4[Kind3] === "This")
      return deepClone(instruction.definitions[type4.$ref]);
    else if (type4[Kind3] === "Ref")
      if (!instruction.modules)
        console.warn(new Error("[exact-mirror] modules is required when using nested cyclic reference"));
      else
        return instruction.modules.Import(type4.$ref);
    return type4;
  };
  for (let i = 0;i < schemas.length; i++) {
    let type4 = unwrapRef(schemas[i]);
    if (Array.isArray(type4.anyOf))
      for (let i2 = 0;i2 < type4.anyOf.length; i2++)
        type4.anyOf[i2] = unwrapRef(type4.anyOf[i2]);
    else if (type4.items)
      if (Array.isArray(type4.items))
        for (let i2 = 0;i2 < type4.items.length; i2++)
          type4.items[i2] = unwrapRef(type4.items[i2]);
      else
        type4.items = unwrapRef(type4.items);
    typeChecks.push(TypeCompiler.Compile(type4)), v += `if(d.unions[${ui}][${i}].Check(${property})){return ${mirror(type4, property, { ...instruction, recursion: instruction.recursion + 1, parentIsOptional: true })}}
`;
  }
  return v += `return ${instruction.removeUnknownUnionType ? "undefined" : property}})()`, v;
}, mirror = (schema3, property, instruction) => {
  if (!schema3)
    return "";
  let isRoot = property === "v" && !instruction.unions.length;
  if (Kind3 in schema3 && schema3[Kind3] === "Import" && schema3.$ref in schema3.$defs)
    return mirror(schema3.$defs[schema3.$ref], property, { ...instruction, definitions: Object.assign(instruction.definitions, schema3.$defs) });
  if (isRoot && schema3.type !== "object" && schema3.type !== "array" && !schema3.anyOf)
    return `return ${sanitize("v", instruction.sanitize?.length, schema3)}`;
  if (instruction.recursion >= instruction.recursionLimit)
    return property;
  let v = "";
  if (schema3.$id && Hint2 in schema3)
    instruction.definitions[schema3.$id] = schema3;
  switch (schema3.type) {
    case "object":
      if (schema3[Kind3] === "Record") {
        v = handleRecord(schema3, property, instruction);
        break;
      }
      if (schema3 = mergeObjectIntersection(schema3), v += "{", schema3.additionalProperties)
        v += `...${property}`;
      let keys = Object.keys(schema3.properties);
      for (let i2 = 0;i2 < keys.length; i2++) {
        let key = keys[i2], isOptional = schema3.required && !schema3.required.includes(key) || Array.isArray(schema3.properties[key].anyOf), name = joinProperty(property, key, instruction.parentIsOptional);
        if (isOptional) {
          let index = instruction.array;
          if (property.startsWith("ar")) {
            let refName = name.slice(name.indexOf(".") + 1), array3 = instruction.optionalsInArray;
            if (array3[index])
              array3[index].push(refName);
            else
              array3[index] = [refName];
          } else
            instruction.optionals.push(name);
        }
        let child2 = schema3.properties[key];
        if (schema3.additionalProperties && child2.type !== "object")
          continue;
        if (i2 !== 0)
          v += ",";
        v += `${encodeProperty(key)}:${isOptional ? `${name}===undefined?undefined:` : ""}${mirror(child2, name, { ...instruction, recursion: instruction.recursion + 1, parentIsOptional: isOptional })}`;
      }
      v += "}";
      break;
    case "array":
      if (schema3.items.type !== "object" && schema3.items.type !== "array")
        if (Array.isArray(schema3.items)) {
          v = handleTuple(schema3.items, property, instruction);
          break;
        } else if (isRoot)
          return "return v";
        else if (Kind3 in schema3.items && schema3.items.$ref && (schema3.items[Kind3] === "Ref" || schema3.items[Kind3] === "This"))
          v = mirror(deepClone(instruction.definitions[schema3.items.$ref]), property, { ...instruction, parentIsOptional: true, recursion: instruction.recursion + 1 });
        else {
          v = property;
          break;
        }
      let i = instruction.array;
      instruction.array++;
      let reference = property;
      if (isRoot)
        v = `const ar${i}v=new Array(${property}.length);`;
      else
        reference = `ar${i}s`, v = `((${reference})=>{const ar${i}v=new Array(${reference}.length);`;
      v += `for(let i=0;i<${reference}.length;i++){const ar${i}p=${reference}[i];ar${i}v[i]=${mirror(schema3.items, `ar${i}p`, instruction)}`;
      let optionals = instruction.optionalsInArray[i + 1];
      if (optionals)
        for (let oi = 0;oi < optionals.length; oi++) {
          let target = `ar${i}v[i].${optionals[oi]}`;
          v += `;if(${target}===undefined)delete ${target}`;
        }
      if (v += "}", !isRoot)
        v += `return ar${i}v})(${property})`;
      break;
    default:
      if (schema3.$ref && schema3.$ref in instruction.definitions)
        return mirror(instruction.definitions[schema3.$ref], property, instruction);
      if (Array.isArray(schema3.anyOf)) {
        v = handleUnion(schema3.anyOf, property, instruction);
        break;
      }
      v = sanitize(property, instruction.sanitize?.length, schema3);
      break;
  }
  if (!isRoot)
    return v;
  if (schema3.type === "array")
    return `${v}return ar0v`;
  v = `const x=${v}
`;
  for (let i = 0;i < instruction.optionals.length; i++) {
    let key = instruction.optionals[i], prop = key.slice(1);
    if (v += `if(${key}===undefined`, instruction.unionKeys[key])
      v += `||x${prop}===undefined`;
    v += `)delete x${prop.charCodeAt(0) !== 63 ? "?" : ""}${prop}
`;
  }
  return `${v}return x`;
}, createMirror = (schema3, { TypeCompiler: TypeCompiler22, modules, definitions, sanitize: sanitize2, recursionLimit = 8, removeUnknownUnionType = false } = {}) => {
  let unions = [];
  if (typeof sanitize2 === "function")
    sanitize2 = [sanitize2];
  let f = mirror(schema3, "v", { optionals: [], optionalsInArray: [], array: 0, parentIsOptional: false, unions, unionKeys: {}, TypeCompiler: TypeCompiler22, modules, definitions: definitions ?? modules?.$defs ?? {}, sanitize: sanitize2, recursion: 0, recursionLimit, removeUnknownUnionType });
  if (!unions.length && !sanitize2?.length)
    return Function("v", f);
  let hof;
  if (sanitize2?.length) {
    hof = {};
    for (let i = 0;i < sanitize2.length; i++)
      hof[`h${i}`] = sanitize2[i];
  }
  return Function("d", `return function mirror(v){${f}}`)({ unions, ...hof });
}, isOptional = (schema3) => {
  if (!schema3)
    return false;
  if (schema3?.[Kind] === "Import" && schema3.References)
    return schema3.References().some(isOptional);
  if (schema3.schema)
    schema3 = schema3.schema;
  return !!schema3 && OptionalKind in schema3;
}, hasAdditionalProperties = (_schema) => {
  if (!_schema)
    return false;
  let schema3 = _schema?.schema ?? _schema;
  if (schema3[Kind] === "Import" && _schema.References)
    return _schema.References().some(hasAdditionalProperties);
  if (schema3.anyOf)
    return schema3.anyOf.some(hasAdditionalProperties);
  if (schema3.someOf)
    return schema3.someOf.some(hasAdditionalProperties);
  if (schema3.allOf)
    return schema3.allOf.some(hasAdditionalProperties);
  if (schema3.not)
    return schema3.not.some(hasAdditionalProperties);
  if (schema3.type === "object") {
    let properties = schema3.properties;
    if ("additionalProperties" in schema3)
      return schema3.additionalProperties;
    if ("patternProperties" in schema3)
      return false;
    for (let key of Object.keys(properties)) {
      let property = properties[key];
      if (property.type === "object") {
        if (hasAdditionalProperties(property))
          return true;
      } else if (property.anyOf) {
        for (let i = 0;i < property.anyOf.length; i++)
          if (hasAdditionalProperties(property.anyOf[i]))
            return true;
      }
      return property.additionalProperties;
    }
    return false;
  }
  if (schema3.type === "array" && schema3.items && !Array.isArray(schema3.items))
    return hasAdditionalProperties(schema3.items);
  return false;
}, hasType = (type4, schema3) => {
  if (!schema3)
    return false;
  if (Kind in schema3 && schema3[Kind] === type4)
    return true;
  if (schema3.type === "object") {
    let properties = schema3.properties;
    if (!properties)
      return false;
    for (let key of Object.keys(properties)) {
      let property = properties[key];
      if (property.type === "object") {
        if (hasType(type4, property))
          return true;
      } else if (property.anyOf) {
        for (let i = 0;i < property.anyOf.length; i++)
          if (hasType(type4, property.anyOf[i]))
            return true;
      }
      if (Kind in property && property[Kind] === type4)
        return true;
    }
    return false;
  }
  return !!schema3.properties && Kind in schema3.properties && schema3.properties[Kind] === type4;
}, hasProperty = (expectedProperty, _schema) => {
  if (!_schema)
    return;
  let schema3 = _schema.schema ?? _schema;
  if (schema3[Kind] === "Import" && _schema.References)
    return _schema.References().some((schema22) => hasProperty(expectedProperty, schema22));
  if (schema3.type === "object") {
    let properties = schema3.properties;
    if (!properties)
      return false;
    for (let key of Object.keys(properties)) {
      let property = properties[key];
      if (expectedProperty in property)
        return true;
      if (property.type === "object") {
        if (hasProperty(expectedProperty, property))
          return true;
      } else if (property.anyOf) {
        for (let i = 0;i < property.anyOf.length; i++)
          if (hasProperty(expectedProperty, property.anyOf[i]))
            return true;
      }
    }
    return false;
  }
  return expectedProperty in schema3;
}, hasRef = (schema3) => {
  if (!schema3)
    return false;
  if (schema3.oneOf) {
    for (let i = 0;i < schema3.oneOf.length; i++)
      if (hasRef(schema3.oneOf[i]))
        return true;
  }
  if (schema3.anyOf) {
    for (let i = 0;i < schema3.anyOf.length; i++)
      if (hasRef(schema3.anyOf[i]))
        return true;
  }
  if (schema3.oneOf) {
    for (let i = 0;i < schema3.oneOf.length; i++)
      if (hasRef(schema3.oneOf[i]))
        return true;
  }
  if (schema3.allOf) {
    for (let i = 0;i < schema3.allOf.length; i++)
      if (hasRef(schema3.allOf[i]))
        return true;
  }
  if (schema3.not && hasRef(schema3.not))
    return true;
  if (schema3.type === "object" && schema3.properties) {
    let properties = schema3.properties;
    for (let key of Object.keys(properties)) {
      let property = properties[key];
      if (hasRef(property))
        return true;
      if (property.type === "array" && property.items && hasRef(property.items))
        return true;
    }
  }
  if (schema3.type === "array" && schema3.items && hasRef(schema3.items))
    return true;
  return schema3[Kind] === "Ref" && "$ref" in schema3;
}, hasTransform = (schema3) => {
  if (!schema3)
    return false;
  if (schema3.$ref && schema3.$defs && schema3.$ref in schema3.$defs && hasTransform(schema3.$defs[schema3.$ref]))
    return true;
  if (schema3.oneOf) {
    for (let i = 0;i < schema3.oneOf.length; i++)
      if (hasTransform(schema3.oneOf[i]))
        return true;
  }
  if (schema3.anyOf) {
    for (let i = 0;i < schema3.anyOf.length; i++)
      if (hasTransform(schema3.anyOf[i]))
        return true;
  }
  if (schema3.allOf) {
    for (let i = 0;i < schema3.allOf.length; i++)
      if (hasTransform(schema3.allOf[i]))
        return true;
  }
  if (schema3.not && hasTransform(schema3.not))
    return true;
  if (schema3.type === "object" && schema3.properties) {
    let properties = schema3.properties;
    for (let key of Object.keys(properties)) {
      let property = properties[key];
      if (hasTransform(property))
        return true;
      if (property.type === "array" && property.items && hasTransform(property.items))
        return true;
    }
  }
  if (schema3.type === "array" && schema3.items && hasTransform(schema3.items))
    return true;
  return TransformKind in schema3;
}, replaceSchemaType = (schema3, options, _config = {}) => {
  let config = _config;
  if (config.root = true, !Array.isArray(options))
    return options.original = schema3, _replaceSchemaType(schema3, options, config);
  for (let option of options)
    option.original = schema3, schema3 = _replaceSchemaType(schema3, option, config);
  return schema3;
}, _replaceSchemaType = (schema3, options, config) => {
  if (!schema3)
    return schema3;
  let root = config.root;
  if (options.untilObjectFound && !root && schema3.type === "object")
    return schema3;
  let fromSymbol = options.from[Kind];
  if (schema3.oneOf) {
    for (let i = 0;i < schema3.oneOf.length; i++)
      schema3.oneOf[i] = _replaceSchemaType(schema3.oneOf[i], options, config);
    return schema3;
  }
  if (schema3.anyOf) {
    for (let i = 0;i < schema3.anyOf.length; i++)
      schema3.anyOf[i] = _replaceSchemaType(schema3.anyOf[i], options, config);
    return schema3;
  }
  if (schema3.allOf) {
    for (let i = 0;i < schema3.allOf.length; i++)
      schema3.allOf[i] = _replaceSchemaType(schema3.allOf[i], options, config);
    return schema3;
  }
  if (schema3.not)
    return _replaceSchemaType(schema3.not, options, config);
  let isRoot = root && !!options.excludeRoot;
  if (schema3[Kind] === fromSymbol) {
    let { anyOf, oneOf, allOf, not: not3, properties: properties2, items, ...rest3 } = schema3, to = options.to(rest3);
    if (!to)
      return schema3;
    let transform4, composeProperties = (schema22) => {
      let v = _composeProperties(schema22);
      if (v.$id)
        delete v.$id;
      return v;
    }, _composeProperties = (v) => {
      if (properties2 && v.type === "object") {
        let newProperties = {};
        for (let [key, value22] of Object.entries(properties2))
          newProperties[key] = _replaceSchemaType(value22, options, { ...config, root: false });
        return { ...rest3, ...v, properties: newProperties };
      }
      if (items && v.type === "array")
        return { ...rest3, ...v, items: _replaceSchemaType(items, options, { ...config, root: false }) };
      let value2 = { ...rest3, ...v };
      if (delete value2.required, properties2 && v.type === "string" && v.format === "ObjectString" && v.default === "{}")
        transform4 = t.ObjectString(properties2, rest3), value2.default = JSON.stringify(exports_value2.Create(t.Object(properties2))), value2.properties = properties2;
      if (items && v.type === "string" && v.format === "ArrayString" && v.default === "[]")
        transform4 = t.ArrayString(items, rest3), value2.default = JSON.stringify(exports_value2.Create(t.Array(items))), value2.items = items;
      return value2;
    };
    if (isRoot) {
      if (properties2) {
        let newProperties = {};
        for (let [key, value2] of Object.entries(properties2))
          newProperties[key] = _replaceSchemaType(value2, options, { ...config, root: false });
        return { ...rest3, properties: newProperties };
      } else if (items?.map)
        return { ...rest3, items: items.map((v) => _replaceSchemaType(v, options, { ...config, root: false })) };
      return rest3;
    }
    if (to.anyOf)
      for (let i = 0;i < to.anyOf.length; i++)
        to.anyOf[i] = composeProperties(to.anyOf[i]);
    else if (to.oneOf)
      for (let i = 0;i < to.oneOf.length; i++)
        to.oneOf[i] = composeProperties(to.oneOf[i]);
    else if (to.allOf)
      for (let i = 0;i < to.allOf.length; i++)
        to.allOf[i] = composeProperties(to.allOf[i]);
    else if (to.not)
      to.not = composeProperties(to.not);
    if (transform4)
      to[TransformKind] = transform4[TransformKind];
    if (to.anyOf || to.oneOf || to.allOf || to.not)
      return to;
    if (properties2) {
      let newProperties = {};
      for (let [key, value2] of Object.entries(properties2))
        newProperties[key] = _replaceSchemaType(value2, options, { ...config, root: false });
      return { ...rest3, ...to, properties: newProperties };
    } else if (items?.map)
      return { ...rest3, ...to, items: items.map((v) => _replaceSchemaType(v, options, { ...config, root: false })) };
    return { ...rest3, ...to };
  }
  let properties = schema3?.properties;
  if (properties && root && options.rootOnly !== true)
    for (let [key, value2] of Object.entries(properties))
      switch (value2[Kind]) {
        case fromSymbol:
          let { anyOf, oneOf, allOf, not: not3, type: type4, ...rest3 } = value2, to = options.to(rest3);
          if (!to)
            return schema3;
          if (to.anyOf)
            for (let i = 0;i < to.anyOf.length; i++)
              to.anyOf[i] = { ...rest3, ...to.anyOf[i] };
          else if (to.oneOf)
            for (let i = 0;i < to.oneOf.length; i++)
              to.oneOf[i] = { ...rest3, ...to.oneOf[i] };
          else if (to.allOf)
            for (let i = 0;i < to.allOf.length; i++)
              to.allOf[i] = { ...rest3, ...to.allOf[i] };
          else if (to.not)
            to.not = { ...rest3, ...to.not };
          properties[key] = { ...rest3, ..._replaceSchemaType(rest3, options, { ...config, root: false }) };
          break;
        case "Object":
        case "Union":
          properties[key] = _replaceSchemaType(value2, options, { ...config, root: false });
          break;
        default:
          if (Array.isArray(value2.items))
            for (let i = 0;i < value2.items.length; i++)
              value2.items[i] = _replaceSchemaType(value2.items[i], options, { ...config, root: false });
          else if (value2.anyOf || value2.oneOf || value2.allOf || value2.not)
            properties[key] = _replaceSchemaType(value2, options, { ...config, root: false });
          else if (value2.type === "array")
            value2.items = _replaceSchemaType(value2.items, options, { ...config, root: false });
          break;
      }
  return schema3;
}, createCleaner = (schema3) => (value2) => {
  if (typeof value2 === "object")
    try {
      return exports_value2.Clean(schema3, value2);
    } catch {
      try {
        return exports_value2.Clean(schema3, value2);
      } catch {
        return value2;
      }
    }
  return value2;
}, getSchemaValidator = (s, { models = {}, dynamic = false, modules, normalize = false, additionalProperties = false, coerce = false, additionalCoerce = [], validators, sanitize: sanitize2 } = {}) => {
  if (validators = validators?.filter((x) => x), !s) {
    if (!validators?.length)
      return;
    s = validators[0], validators = validators.slice(1);
  }
  let doesHaveRef = undefined, replaceSchema = (schema22) => {
    if (coerce)
      return replaceSchemaType(schema22, [{ from: t.Number(), to: (options) => t.Numeric(options), untilObjectFound: true }, { from: t.Boolean(), to: (options) => t.BooleanString(options), untilObjectFound: true }, ...Array.isArray(additionalCoerce) ? additionalCoerce : [additionalCoerce]]);
    return replaceSchemaType(schema22, additionalCoerce);
  }, mapSchema = (s2) => {
    let schema22;
    if (!s2)
      return;
    if (typeof s2 !== "string")
      schema22 = s2;
    else {
      let isArray = s2.endsWith("[]"), key = isArray ? s2.substring(0, s2.length - 2) : s2;
      if (schema22 = modules?.Import(key) ?? models[key], isArray)
        schema22 = t.Array(schema22);
    }
    if (!schema22)
      return;
    let _doesHaveRef;
    if (schema22[Kind] !== "Import" && (_doesHaveRef = hasRef(schema22))) {
      let id = randomId();
      if (doesHaveRef === undefined)
        doesHaveRef = _doesHaveRef;
      schema22 = t.Module({ ...modules?.$defs, [id]: schema22 }).Import(id);
    }
    if (schema22[Kind] === "Import") {
      let newDefs = {};
      for (let [key2, value2] of Object.entries(schema22.$defs))
        newDefs[key2] = replaceSchema(value2);
      let key = schema22.$ref;
      schema22 = t.Module(newDefs).Import(key);
    } else if (coerce || additionalCoerce)
      schema22 = replaceSchema(schema22);
    return schema22;
  }, schema3 = mapSchema(s);
  if (validators?.length) {
    let hasAdditional = false, { schema: mergedObjectSchema, notObjects } = mergeObjectSchemas([schema3, ...validators.map(mapSchema)]);
    if (notObjects) {
      if (schema3 = t.Intersect([...mergedObjectSchema ? [mergedObjectSchema] : [], ...notObjects.map((x) => {
        let schema22 = mapSchema(x);
        if (schema22.type === "object" && "additionalProperties" in schema22) {
          if (!hasAdditional && schema22.additionalProperties === false)
            hasAdditional = true;
          delete schema22.additionalProperties;
        }
        return schema22;
      })]), schema3.type === "object" && hasAdditional)
        schema3.additionalProperties = false;
    }
  } else if (schema3.type === "object" && "additionalProperties" in schema3 === false)
    schema3.additionalProperties = additionalProperties;
  if (dynamic) {
    let validator = { schema: schema3, references: "", checkFunc: () => {
    }, code: "", Check: (value2) => exports_value2.Check(schema3, value2), Errors: (value2) => exports_value2.Errors(schema3, value2), Code: () => "", Clean: createCleaner(schema3), Decode: (value2) => exports_value2.Decode(schema3, value2), Encode: (value2) => exports_value2.Encode(schema3, value2), get hasAdditionalProperties() {
      if ("~hasAdditionalProperties" in this)
        return this["~hasAdditionalProperties"];
      return this["~hasAdditionalProperties"] = hasAdditionalProperties(schema3);
    }, get hasDefault() {
      if ("~hasDefault" in this)
        return this["~hasDefault"];
      return this["~hasDefault"] = hasProperty("default", schema3);
    }, get isOptional() {
      if ("~isOptional" in this)
        return this["~isOptional"];
      return this["~isOptional"] = isOptional(schema3);
    }, get hasTransform() {
      if ("~hasTransform" in this)
        return this["~hasTransform"];
      return this["~hasTransform"] = hasTransform(schema3);
    }, "~hasRef": doesHaveRef, get hasRef() {
      if ("~hasRef" in this)
        return this["~hasRef"];
      return this["~hasRef"] = hasTransform(schema3);
    } };
    if (schema3.config) {
      if (validator.config = schema3.config, validator?.schema?.config)
        delete validator.schema.config;
    }
    if (normalize && schema3.additionalProperties === false)
      if (normalize === true || normalize === "exactMirror")
        try {
          validator.Clean = createMirror(schema3, { TypeCompiler, sanitize: sanitize2?.(), modules });
        } catch {
          console.warn("Failed to create exactMirror. Please report the following code to https://github.com/elysiajs/elysia/issues"), console.warn(schema3), validator.Clean = createCleaner(schema3);
        }
      else
        validator.Clean = createCleaner(schema3);
    return validator.parse = (v) => {
      try {
        return validator.Decode(v);
      } catch (error22) {
        throw [...validator.Errors(v)].map(mapValueError);
      }
    }, validator.safeParse = (v) => {
      try {
        return { success: true, data: validator.Decode(v), error: null };
      } catch (error22) {
        let errors2 = [...compiled.Errors(v)].map(mapValueError);
        return { success: false, data: null, error: errors2[0]?.summary, errors: errors2 };
      }
    }, validator;
  }
  let compiled = TypeCompiler.Compile(schema3, Object.values(models));
  if (schema3.config) {
    if (compiled.config = schema3.config, compiled?.schema?.config)
      delete compiled.schema.config;
  }
  if (normalize === true || normalize === "exactMirror")
    try {
      compiled.Clean = createMirror(schema3, { TypeCompiler, sanitize: sanitize2?.(), modules });
    } catch (error22) {
      console.warn("Failed to create exactMirror. Please report the following code to https://github.com/elysiajs/elysia/issues"), console.warn(schema3), compiled.Clean = createCleaner(schema3);
    }
  else
    compiled.Clean = createCleaner(schema3);
  return compiled.parse = (v) => {
    try {
      return compiled.Decode(v);
    } catch (error22) {
      throw [...compiled.Errors(v)].map(mapValueError);
    }
  }, compiled.safeParse = (v) => {
    try {
      return { success: true, data: compiled.Decode(v), error: null };
    } catch (error22) {
      let errors2 = [...compiled.Errors(v)].map(mapValueError);
      return { success: false, data: null, error: errors2[0]?.summary, errors: errors2 };
    }
  }, Object.assign(compiled, { get hasAdditionalProperties() {
    if ("~hasAdditionalProperties" in this)
      return this["~hasAdditionalProperties"];
    return this["~hasAdditionalProperties"] = hasAdditionalProperties(compiled);
  }, get hasDefault() {
    if ("~hasDefault" in this)
      return this["~hasDefault"];
    return this["~hasDefault"] = hasProperty("default", compiled);
  }, get isOptional() {
    if ("~isOptional" in this)
      return this["~isOptional"];
    return this["~isOptional"] = isOptional(compiled);
  }, get hasTransform() {
    if ("~hasTransform" in this)
      return this["~hasTransform"];
    return this["~hasTransform"] = hasTransform(schema3);
  }, get hasRef() {
    if ("~hasRef" in this)
      return this["~hasRef"];
    return this["~hasRef"] = hasRef(schema3);
  }, "~hasRef": doesHaveRef }), compiled;
}, isUnion = (schema3) => schema3[Kind] === "Union" || !schema3.schema && !!schema3.anyOf, mergeObjectSchemas = (schemas) => {
  if (schemas.length === 0)
    return { schema: undefined, notObjects: [] };
  if (schemas.length === 1)
    return schemas[0].type === "object" ? { schema: schemas[0], notObjects: [] } : { schema: undefined, notObjects: schemas };
  let newSchema, notObjects = [], additionalPropertiesIsTrue = false, additionalPropertiesIsFalse = false;
  for (let schema3 of schemas) {
    if (schema3.type !== "object") {
      notObjects.push(schema3);
      continue;
    }
    if ("additionalProperties" in schema3) {
      if (schema3.additionalProperties === true)
        additionalPropertiesIsTrue = true;
      else if (schema3.additionalProperties === false)
        additionalPropertiesIsFalse = true;
    }
    if (!newSchema) {
      newSchema = schema3;
      continue;
    }
    newSchema = { ...newSchema, ...schema3, properties: { ...newSchema.properties, ...schema3.properties }, required: [...newSchema?.required ?? [], ...schema3.required] };
  }
  if (newSchema) {
    if (newSchema.required)
      newSchema.required = [...new Set(newSchema.required)];
    if (additionalPropertiesIsFalse)
      newSchema.additionalProperties = false;
    else if (additionalPropertiesIsTrue)
      newSchema.additionalProperties = true;
  }
  return { schema: newSchema, notObjects };
}, getResponseSchemaValidator = (s, { models = {}, modules, dynamic = false, normalize = false, additionalProperties = false, validators = [], sanitize: sanitize2 }) => {
  if (validators = validators.filter((x) => x), !s) {
    if (!validators?.length)
      return;
    s = validators[0], validators = validators.slice(1);
  }
  let maybeSchemaOrRecord;
  if (typeof s !== "string")
    maybeSchemaOrRecord = s;
  else {
    let isArray = s.endsWith("[]"), key = isArray ? s.substring(0, s.length - 2) : s;
    if (maybeSchemaOrRecord = modules.Import(key) ?? models[key], isArray)
      maybeSchemaOrRecord = t.Array(maybeSchemaOrRecord);
  }
  if (!maybeSchemaOrRecord)
    return;
  if (Kind in maybeSchemaOrRecord)
    return { 200: getSchemaValidator(maybeSchemaOrRecord, { modules, models, additionalProperties, dynamic, normalize, coerce: false, additionalCoerce: [], validators: validators.map((x) => x[200]), sanitize: sanitize2 }) };
  let record3 = {};
  return Object.keys(maybeSchemaOrRecord).forEach((status2) => {
    if (isNaN(+status2))
      return;
    let maybeNameOrSchema = maybeSchemaOrRecord[+status2];
    if (typeof maybeNameOrSchema === "string") {
      if (maybeNameOrSchema in models) {
        let schema3 = models[maybeNameOrSchema];
        record3[+status2] = Kind in schema3 ? getSchemaValidator(schema3, { modules, models, additionalProperties, dynamic, normalize, coerce: false, additionalCoerce: [], validators: validators.map((x) => x[+status2]), sanitize: sanitize2 }) : schema3;
      }
      return;
    }
    record3[+status2] = Kind in maybeNameOrSchema ? getSchemaValidator(maybeNameOrSchema, { modules, models, additionalProperties, dynamic, normalize, coerce: false, additionalCoerce: [], validators: validators.map((x) => x[+status2]), sanitize: sanitize2 }) : maybeNameOrSchema;
  }), record3;
}, _stringToStructureCoercions, stringToStructureCoercions = () => {
  if (!_stringToStructureCoercions)
    _stringToStructureCoercions = [{ from: t.Object({}), to: () => t.ObjectString({}), excludeRoot: true }, { from: t.Array(t.Any()), to: () => t.ArrayString(t.Any()) }];
  return _stringToStructureCoercions;
}, _coercePrimitiveRoot, coercePrimitiveRoot = () => {
  if (!_coercePrimitiveRoot)
    _coercePrimitiveRoot = [{ from: t.Number(), to: (options) => t.Numeric(options), rootOnly: true }, { from: t.Boolean(), to: (options) => t.BooleanString(options), rootOnly: true }];
  return _coercePrimitiveRoot;
}, getCookieValidator = ({ validator, modules, defaultConfig = {}, config, dynamic, models, validators, sanitize: sanitize2 }) => {
  let cookieValidator = getSchemaValidator(validator, { modules, dynamic, models, additionalProperties: true, coerce: true, additionalCoerce: stringToStructureCoercions(), validators, sanitize: sanitize2 });
  if (cookieValidator)
    cookieValidator.config = mergeCookie(cookieValidator.config, config);
  else
    cookieValidator = getSchemaValidator(t.Cookie(t.Any()), { modules, dynamic, models, additionalProperties: true, validators, sanitize: sanitize2 }), cookieValidator.config = defaultConfig;
  return cookieValidator;
}, unwrapImportSchema = (schema3) => schema3[Kind] === "Import" && schema3.$defs[schema3.$ref][Kind] === "Object" ? schema3.$defs[schema3.$ref] : schema3, allocateIf = (value2, condition) => condition ? value2 : "", defaultParsers, createReport = ({ context = "c", trace = [], addFn }) => {
  if (!trace.length)
    return () => {
      return { resolveChild() {
        return () => {
        };
      }, resolve() {
      } };
    };
  for (let i = 0;i < trace.length; i++)
    addFn(`let report${i},reportChild${i},reportErr${i},reportErrChild${i};let trace${i}=${context}[ELYSIA_TRACE]?.[${i}]??trace[${i}](${context});
`);
  return (event, { name, total = 0 } = {}) => {
    if (!name)
      name = "anonymous";
    let reporter = event === "error" ? "reportErr" : "report";
    for (let i = 0;i < trace.length; i++)
      addFn(`${reporter}${i} = trace${i}.${event}({id,event:'${event}',name:'${name}',begin:performance.now(),total:${total}})
`);
    return { resolve() {
      for (let i = 0;i < trace.length; i++)
        addFn(`${reporter}${i}.resolve()
`);
    }, resolveChild(name2) {
      for (let i = 0;i < trace.length; i++)
        addFn(`${reporter}Child${i}=${reporter}${i}.resolveChild?.shift()?.({id,event:'${event}',name:'${name2}',begin:performance.now()})
`);
      return (binding) => {
        for (let i = 0;i < trace.length; i++)
          if (binding)
            addFn(`if(${binding} instanceof Error){${reporter}Child${i}?.(${binding}) }else{${reporter}Child${i}?.()}`);
          else
            addFn(`${reporter}Child${i}?.()
`);
      };
    } };
  };
}, composeCleaner = ({ schema: schema3, name, type: type4, typeAlias = type4, normalize, ignoreTryCatch = false }) => {
  if (!normalize || !schema3.Clean || schema3.hasAdditionalProperties)
    return "";
  if (normalize === true || normalize === "exactMirror") {
    if (ignoreTryCatch)
      return `${name}=validator.${typeAlias}.Clean(${name})
`;
    return `try{${name}=validator.${typeAlias}.Clean(${name})
}catch{}`;
  }
  if (normalize === "typebox")
    return `${name}=validator.${typeAlias}.Clean(${name})
`;
  return "";
}, composeValidationFactory = ({ injectResponse = "", normalize = false, validator, encodeSchema = false, isStaticResponse = false, hasSanitize = false }) => ({ validate: (type4, value2 = `c.${type4}`) => `c.set.status=422;throw new ValidationError('${type4}',validator.${type4},${value2})`, response: (name = "r") => {
  if (isStaticResponse)
    return "";
  let code = injectResponse + `
`;
  code += `if(${name} instanceof ElysiaCustomStatusResponse){c.set.status=${name}.code
${name}=${name}.response}switch(c.set.status){`;
  for (let [status2, value2] of Object.entries(validator.response)) {
    code += `
case ${status2}:if(${name} instanceof Response)break
`;
    let noValidate = value2.schema?.noValidate === true, appliedCleaner = noValidate || hasSanitize, clean3 = ({ ignoreTryCatch = false } = {}) => composeCleaner({ name, schema: value2, type: "response", typeAlias: `response[${status2}]`, normalize, ignoreTryCatch });
    if (appliedCleaner)
      code += clean3();
    let applyErrorCleaner = !appliedCleaner && normalize && !noValidate;
    if (encodeSchema && value2.hasTransform)
      code += `try{${name}=validator.response[${status2}].Encode(${name})
c.set.status=${status2}}catch{` + (applyErrorCleaner ? `try{
` + clean3({ ignoreTryCatch: true }) + `${name}=validator.response[${status2}].Encode(${name})
}catch{throw new ValidationError('response',validator.response[${status2}],${name})}` : `throw new ValidationError('response',validator.response[${status2}],${name})`) + "}";
    else {
      if (!appliedCleaner)
        code += clean3();
      if (!noValidate)
        code += `if(validator.response[${status2}].Check(${name})===false)throw new ValidationError('response',validator.response[${status2}],${name})
c.set.status=${status2}
`;
    }
    code += `break
`;
  }
  return code + "}";
} }), isAsyncName = (v) => {
  return (v?.fn ?? v).constructor.name === "AsyncFunction";
}, matchResponseClone, matchFnReturn, isAsync = (v) => {
  let isObject2 = typeof v === "object";
  if (isObject2 && v.isAsync !== undefined)
    return v.isAsync;
  let fn = isObject2 ? v.fn : v;
  if (fn.constructor.name === "AsyncFunction")
    return true;
  let literal3 = fn.toString();
  if (matchResponseClone.test(literal3)) {
    if (isObject2)
      v.isAsync = false;
    return false;
  }
  let result = matchFnReturn.test(literal3);
  if (isObject2)
    v.isAsync = result;
  return result;
}, hasReturn = (v) => {
  let isObject2 = typeof v === "object";
  if (isObject2 && v.hasReturn !== undefined)
    return v.hasReturn;
  let fnLiteral = isObject2 ? v.fn.toString() : typeof v === "string" ? v.toString() : v, parenthesisEnd = fnLiteral.indexOf(")");
  if (fnLiteral.charCodeAt(parenthesisEnd + 2) === 61 && fnLiteral.charCodeAt(parenthesisEnd + 5) !== 123) {
    if (isObject2)
      v.hasReturn = true;
    return true;
  }
  let result = fnLiteral.includes("return");
  if (isObject2)
    v.hasReturn = result;
  return result;
}, isGenerator = (v) => {
  let fn = v?.fn ?? v;
  return fn.constructor.name === "AsyncGeneratorFunction" || fn.constructor.name === "GeneratorFunction";
}, composeHandler = ({ app, path, method, hooks, validator, handler, allowMeta = false, inference }) => {
  let adapter = app["~adapter"].composeHandler, adapterHandler = app["~adapter"].handler, isHandleFn = typeof handler === "function";
  if (!isHandleFn) {
    if (handler = adapterHandler.mapResponse(handler, { headers: app.setHeaders ?? {} }), hooks.parse?.length && hooks.transform?.length && hooks.beforeHandle?.length && hooks.afterHandle?.length) {
      if (handler instanceof Response)
        return Function("a", `"use strict";
return function(){return a.clone()}`)(handler);
      return Function("a", `"use strict";
return function(){return a}`)(handler);
    }
  }
  let handle = isHandleFn ? "handler(c)" : "handler", hasAfterResponse = !!hooks.afterResponse?.length, hasTrace = !!hooks.trace?.length, fnLiteral = "";
  if (inference = sucrose(hooks, inference), inference = sucrose({ handler }, inference), adapter.declare) {
    let literal3 = adapter.declare(inference);
    if (literal3)
      fnLiteral += literal3;
  }
  if (inference.server)
    fnLiteral += `Object.defineProperty(c,'server',{get:function(){return getServer()}})
`;
  validator.createBody?.(), validator.createQuery?.(), validator.createHeaders?.(), validator.createParams?.(), validator.createCookie?.(), validator.createResponse?.();
  let hasValidation = !!validator.body || !!validator.headers || !!validator.params || !!validator.query || !!validator.cookie || !!validator.response, hasQuery = inference.query || !!validator.query, requestNoBody = hooks.parse?.length === 1 && hooks.parse[0].fn === "none", hasBody = method !== "" && method !== "GET" && method !== "HEAD" && (inference.body || !!validator.body || !!hooks.parse?.length) && !requestNoBody, defaultHeaders = app.setHeaders, hasDefaultHeaders = defaultHeaders && !!Object.keys(defaultHeaders).length, hasHeaders = inference.headers || !!validator.headers || adapter.preferWebstandardHeaders !== true && inference.body, hasCookie = inference.cookie || !!validator.cookie, cookieMeta = validator.cookie?.config ? mergeCookie(validator?.cookie?.config, app.config.cookie) : app.config.cookie, _encodeCookie = "", encodeCookie = () => {
    if (_encodeCookie)
      return _encodeCookie;
    if (cookieMeta?.sign) {
      if (!cookieMeta.secrets)
        throw new Error(`t.Cookie required secret which is not set in (${method}) ${path}.`);
      let secret = !cookieMeta.secrets ? undefined : typeof cookieMeta.secrets === "string" ? cookieMeta.secrets : cookieMeta.secrets[0];
      if (_encodeCookie += `const _setCookie = c.set.cookie
if(_setCookie){`, cookieMeta.sign === true)
        _encodeCookie += `for(const [key, cookie] of Object.entries(_setCookie)){c.set.cookie[key].value=await signCookie(cookie.value,'${secret}')}`;
      else
        for (let name of cookieMeta.sign)
          _encodeCookie += `if(_setCookie['${name}']?.value)c.set.cookie['${name}'].value=await signCookie(_setCookie['${name}'].value,'${secret}')
`;
      _encodeCookie += `}
`;
    }
    return _encodeCookie;
  }, normalize = app.config.normalize, encodeSchema = app.config.encodeSchema, validation = composeValidationFactory({ normalize, validator, encodeSchema, isStaticResponse: handler instanceof Response, hasSanitize: !!app.config.sanitize });
  if (hasHeaders)
    fnLiteral += adapter.headers;
  if (hasTrace)
    fnLiteral += `const id=c[ELYSIA_REQUEST_ID]
`;
  let report = createReport({ trace: hooks.trace, addFn: (word) => {
    fnLiteral += word;
  } });
  if (fnLiteral += "try{", hasCookie) {
    let get = (name, defaultValue) => {
      let value2 = cookieMeta?.[name] ?? defaultValue;
      if (!value2)
        return typeof defaultValue === "string" ? `${name}:"${defaultValue}",` : `${name}:${defaultValue},`;
      if (typeof value2 === "string")
        return `${name}:'${value2}',`;
      if (value2 instanceof Date)
        return `${name}: new Date(${value2.getTime()}),`;
      return `${name}:${value2},`;
    }, options = cookieMeta ? `{secrets:${cookieMeta.secrets !== undefined ? typeof cookieMeta.secrets === "string" ? `'${cookieMeta.secrets}'` : "[" + cookieMeta.secrets.reduce((a, b) => a + `'${b}',`, "") + "]" : "undefined"},sign:${cookieMeta.sign === true ? true : cookieMeta.sign !== undefined ? "[" + cookieMeta.sign.reduce((a, b) => a + `'${b}',`, "") + "]" : "undefined"},` + get("domain") + get("expires") + get("httpOnly") + get("maxAge") + get("path", "/") + get("priority") + get("sameSite") + get("secure") + "}" : "undefined";
    if (hasHeaders)
      fnLiteral += `
c.cookie=await parseCookie(c.set,c.headers.cookie,${options})
`;
    else
      fnLiteral += `
c.cookie=await parseCookie(c.set,c.request.headers.get('cookie'),${options})
`;
  }
  if (hasQuery) {
    let destructured = [];
    if (validator.query && validator.query.schema.type === "object") {
      let properties = validator.query.schema.properties;
      if (!validator.query.hasAdditionalProperties)
        for (let [key, _value] of Object.entries(properties)) {
          let value2 = _value, isArray = value2.type === "array" || !!value2.anyOf?.some((v) => v.type === "string" && v.format === "ArrayString");
          if (value2 && OptionalKind in value2 && value2.type === "array" && value2.items)
            value2 = value2.items;
          let { type: type4, anyOf } = value2;
          destructured.push({ key, isArray, isNestedObjectArray: isArray && value2.items?.type === "object" || !!value2.items?.anyOf?.some((x) => x.type === "object" || x.type === "array"), isObject: type4 === "object" || anyOf?.some((v) => v.type === "string" && v.format === "ArrayString"), anyOf: !!anyOf });
        }
    }
    if (!destructured.length)
      fnLiteral += "if(c.qi===-1){c.query={}}else{c.query=parseQueryFromURL(c.url,c.qi+1)}";
    else {
      fnLiteral += `if(c.qi!==-1){let url='&'+c.url.slice(c.qi+1)
`;
      let index = 0;
      for (let { key, isArray, isObject: isObject2, isNestedObjectArray, anyOf } of destructured) {
        let init2 = (index === 0 ? "let " : "") + `memory=url.indexOf('&${key}=')
let a${index}
`;
        if (isArray)
          if (fnLiteral += init2, isNestedObjectArray)
            fnLiteral += `while(memory!==-1){const start=memory+${key.length + 2}
memory=url.indexOf('&',start)
if(a${index}===undefined)
a${index}=''
else
a${index}+=','
let temp
if(memory===-1)temp=decodeURIComponent(url.slice(start).replace(/\\+/g,' '))
else temp=decodeURIComponent(url.slice(start, memory).replace(/\\+/g,' '))
const charCode=temp.charCodeAt(0)
if(charCode!==91&&charCode !== 123)
temp='"'+temp+'"'
a${index}+=temp
if(memory===-1)break
memory=url.indexOf('&${key}=',memory)
if(memory===-1)break}try{if(a${index}.charCodeAt(0)===91)a${index} = JSON.parse(a${index})
else
a${index}=JSON.parse('['+a${index}+']')}catch{}
`;
          else
            fnLiteral += `while(memory!==-1){const start=memory+${key.length + 2}
memory=url.indexOf('&',start)
if(a${index}===undefined)a${index}=[]
if(memory===-1){const temp=decodeURIComponent(url.slice(start)).replace(/\\+/g,' ')
if(temp.includes(',')){a${index}=a${index}.concat(temp.split(','))}else{a${index}.push(decodeURIComponent(url.slice(start)).replace(/\\+/g,' '))}
break}else{const temp=decodeURIComponent(url.slice(start, memory)).replace(/\\+/g,' ')
if(temp.includes(',')){a${index}=a${index}.concat(temp.split(','))}else{a${index}.push(temp)}
}memory=url.indexOf('&${key}=',memory)
if(memory===-1) break
}`;
        else if (isObject2)
          fnLiteral += init2 + `if(memory!==-1){const start=memory+${key.length + 2}
memory=url.indexOf('&',start)
if(memory===-1)a${index}=decodeURIComponent(url.slice(start).replace(/\\+/g,' '))else a${index}=decodeURIComponent(url.slice(start,memory).replace(/\\+/g,' '))if(a${index}!==undefined)try{a${index}=JSON.parse(a${index})}catch{}}`;
        else {
          if (fnLiteral += init2 + `if(memory!==-1){const start=memory+${key.length + 2}
memory=url.indexOf('&',start)
if(memory===-1)a${index}=decodeURIComponent(url.slice(start).replace(/\\+/g,' '))
else{a${index}=decodeURIComponent(url.slice(start,memory).replace(/\\+/g,' '))`, anyOf)
            fnLiteral += `
let deepMemory=url.indexOf('&${key}=',memory)
if(deepMemory!==-1){a${index}=[a${index}]
let first=true
while(true){const start=deepMemory+${key.length + 2}
if(first)first=false
else deepMemory = url.indexOf('&', start)
let value
if(deepMemory===-1)value=url.slice(start).replace(/\\+/g,' ')
else value=url.slice(start, deepMemory).replace(/\\+/g,' ')
value=decodeURIComponent(value)
if(value===null){if(deepMemory===-1){break}else{continue}}
const vStart=value.charCodeAt(0)
const vEnd=value.charCodeAt(value.length - 1)
if((vStart===91&&vEnd===93)||(vStart===123&&vEnd===125))
try{a${index}.push(JSON.parse(value))}catch{a${index}.push(value)}if(deepMemory===-1)break}}`;
          fnLiteral += "}}";
        }
        index++, fnLiteral += `
`;
      }
      fnLiteral += "c.query={" + destructured.map(({ key }, index2) => `'${key}':a${index2}`).join(",") + "}", fnLiteral += `} else c.query = {}
`;
    }
  }
  let isAsyncHandler = typeof handler === "function" && isAsync(handler), saveResponse = hasTrace || hooks.afterResponse?.length ? "c.response= " : "", maybeAsync = hasCookie || hasBody || isAsyncHandler || !!hooks.parse?.length || !!hooks.afterHandle?.some(isAsync) || !!hooks.beforeHandle?.some(isAsync) || !!hooks.transform?.some(isAsync) || !!hooks.mapResponse?.some(isAsync), maybeStream = (typeof handler === "function" ? isGenerator(handler) : false) || !!hooks.beforeHandle?.some(isGenerator) || !!hooks.afterHandle?.some(isGenerator) || !!hooks.transform?.some(isGenerator), responseKeys = Object.keys(validator.response ?? {}), hasMultipleResponses = responseKeys.length > 1, hasSingle200 = responseKeys.length === 0 || responseKeys.length === 1 && responseKeys[0] === "200", hasSet = inference.cookie || inference.set || hasHeaders || hasTrace || hasMultipleResponses || !hasSingle200 || isHandleFn && hasDefaultHeaders || maybeStream, mapResponse2 = (r = "r") => `return ${hasSet ? "mapResponse" : "mapCompactResponse"}(${saveResponse}${r}${hasSet ? ",c.set" : ""}${mapResponseContext})
`, mapResponseContext = maybeStream || adapter.mapResponseContext ? `,${adapter.mapResponseContext}` : "";
  if (hasTrace || inference.route)
    fnLiteral += `c.route=\`${path}\`
`;
  let parseReporter = report("parse", { total: hooks.parse?.length });
  if (hasBody) {
    let hasBodyInference = !!hooks.parse?.length || inference.body || validator.body;
    if (adapter.parser.declare)
      fnLiteral += adapter.parser.declare;
    fnLiteral += `
try{`;
    let parser = typeof hooks.parse === "string" ? hooks.parse : Array.isArray(hooks.parse) && hooks.parse.length === 1 ? typeof hooks.parse[0] === "string" ? hooks.parse[0] : typeof hooks.parse[0].fn === "string" ? hooks.parse[0].fn : undefined : undefined;
    if (!parser && validator.body && !hooks.parse?.length) {
      let schema3 = validator.body.schema;
      if (schema3 && schema3.anyOf && schema3[Kind] === "Union" && schema3.anyOf?.length === 2 && schema3.anyOf?.find((x) => x[Kind] === "ElysiaForm"))
        parser = "formdata";
    }
    if (parser && defaultParsers.includes(parser)) {
      let reporter = report("parse", { total: hooks.parse?.length }), isOptionalBody = !!validator.body?.isOptional;
      switch (parser) {
        case "json":
        case "application/json":
          fnLiteral += adapter.parser.json(isOptionalBody);
          break;
        case "text":
        case "text/plain":
          fnLiteral += adapter.parser.text(isOptionalBody);
          break;
        case "urlencoded":
        case "application/x-www-form-urlencoded":
          fnLiteral += adapter.parser.urlencoded(isOptionalBody);
          break;
        case "arrayBuffer":
        case "application/octet-stream":
          fnLiteral += adapter.parser.arrayBuffer(isOptionalBody);
          break;
        case "formdata":
        case "multipart/form-data":
          fnLiteral += adapter.parser.formData(isOptionalBody);
          break;
        default:
          if (parser[0] in app["~parser"])
            fnLiteral += hasHeaders ? "let contentType = c.headers['content-type']" : "let contentType = c.request.headers.get('content-type')", fnLiteral += `
if(contentType){const index=contentType.indexOf(';')
if(index!==-1)contentType=contentType.substring(0,index)}
else{contentType=''}c.contentType=contentType
let result=parser['${parser}'](c, contentType)
if(result instanceof Promise)result=await result
if(result instanceof ElysiaCustomStatusResponse)throw result
if(result!==undefined)c.body=result
delete c.contentType
`;
          break;
      }
      reporter.resolve();
    } else if (hasBodyInference) {
      fnLiteral += `
`;
      let declaration = hooks.parse?.length ? "let" : "const";
      fnLiteral += hasHeaders ? `${declaration} contentType=c.headers['content-type']
` : `${declaration} contentType=c.request.headers.get('content-type')
`;
      let hasDefaultParser = false;
      if (hooks.parse?.length)
        fnLiteral += `if(contentType){
const index=contentType.indexOf(';')

if(index!==-1)contentType=contentType.substring(0,index)}else{contentType=''}let used=false
c.contentType=contentType
`;
      else {
        hasDefaultParser = true;
        let isOptionalBody = !!validator.body?.isOptional;
        fnLiteral += `if(contentType)switch(contentType.charCodeAt(12)){
case 106:` + adapter.parser.json(isOptionalBody) + `break
case 120:` + adapter.parser.urlencoded(isOptionalBody) + `break
case 111:` + adapter.parser.arrayBuffer(isOptionalBody) + `break
case 114:` + adapter.parser.formData(isOptionalBody) + `break
default:if(contentType.charCodeAt(0)===116){` + adapter.parser.text(isOptionalBody) + `}break
}`;
      }
      let reporter = report("parse", { total: hooks.parse?.length });
      if (hooks.parse)
        for (let i = 0;i < hooks.parse.length; i++) {
          let name = `bo${i}`;
          if (i !== 0)
            fnLiteral += `
if(!used){`;
          if (typeof hooks.parse[i].fn === "string") {
            let endUnit = reporter.resolveChild(hooks.parse[i].fn), isOptionalBody = !!validator.body?.isOptional;
            switch (hooks.parse[i].fn) {
              case "json":
              case "application/json":
                hasDefaultParser = true, fnLiteral += adapter.parser.json(isOptionalBody);
                break;
              case "text":
              case "text/plain":
                hasDefaultParser = true, fnLiteral += adapter.parser.text(isOptionalBody);
                break;
              case "urlencoded":
              case "application/x-www-form-urlencoded":
                hasDefaultParser = true, fnLiteral += adapter.parser.urlencoded(isOptionalBody);
                break;
              case "arrayBuffer":
              case "application/octet-stream":
                hasDefaultParser = true, fnLiteral += adapter.parser.arrayBuffer(isOptionalBody);
                break;
              case "formdata":
              case "multipart/form-data":
                hasDefaultParser = true, fnLiteral += adapter.parser.formData(isOptionalBody);
                break;
              default:
                fnLiteral += `let ${name}=parser['${hooks.parse[i].fn}'](c,contentType)
if(${name} instanceof Promise)${name}=await ${name}
if(${name}!==undefined){c.body=${name};used=true;}
`;
            }
            endUnit();
          } else {
            let endUnit = reporter.resolveChild(hooks.parse[i].fn.name);
            fnLiteral += `let ${name}=e.parse[${i}]
${name}=${name}(c,contentType)
if(${name} instanceof Promise)${name}=await ${name}
if(${name}!==undefined){c.body=${name};used=true}`, endUnit();
          }
          if (i !== 0)
            fnLiteral += "}";
          if (hasDefaultParser)
            break;
        }
      if (reporter.resolve(), !hasDefaultParser) {
        let isOptionalBody = !!validator.body?.isOptional;
        if (hooks.parse?.length)
          fnLiteral += `
if(!used){
if(!contentType) throw new ParseError()
`;
        fnLiteral += "switch(contentType){", fnLiteral += `case 'application/json':
` + adapter.parser.json(isOptionalBody) + `break
case 'text/plain':` + adapter.parser.text(isOptionalBody) + `break
case 'application/x-www-form-urlencoded':` + adapter.parser.urlencoded(isOptionalBody) + `break
case 'application/octet-stream':` + adapter.parser.arrayBuffer(isOptionalBody) + `break
case 'multipart/form-data':` + adapter.parser.formData(isOptionalBody) + `break
`;
        for (let key of Object.keys(app["~parser"]))
          fnLiteral += `case '${key}':let bo${key}=parser['${key}'](c,contentType)
if(bo${key} instanceof Promise)bo${key}=await bo${key}
if(bo${key} instanceof ElysiaCustomStatusResponse)throw result
if(bo${key}!==undefined)c.body=bo${key}
break
`;
        if (hooks.parse?.length)
          fnLiteral += "}";
        fnLiteral += "}";
      }
      if (hooks.parse?.length)
        fnLiteral += `
delete c.contentType`;
    }
    fnLiteral += "}catch(error){throw new ParseError(error)}";
  }
  if (parseReporter.resolve(), hooks?.transform) {
    let reporter = report("transform", { total: hooks.transform.length });
    if (hooks.transform.length)
      fnLiteral += `let transformed
`;
    for (let i = 0;i < hooks.transform.length; i++) {
      let transform4 = hooks.transform[i], endUnit = reporter.resolveChild(transform4.fn.name);
      if (fnLiteral += isAsync(transform4) ? `transformed=await e.transform[${i}](c)
` : `transformed=e.transform[${i}](c)
`, transform4.subType === "mapDerive")
        fnLiteral += `if(transformed instanceof ElysiaCustomStatusResponse)throw transformed
else{transformed.request=c.request
transformed.store=c.store
transformed.qi=c.qi
transformed.path=c.path
transformed.url=c.url
transformed.redirect=c.redirect
transformed.set=c.set
transformed.error=c.error
c=transformed}`;
      else
        fnLiteral += `if(transformed instanceof ElysiaCustomStatusResponse)throw transformed
else Object.assign(c,transformed)
`;
      endUnit();
    }
    reporter.resolve();
  }
  let fileUnions = [];
  if (validator) {
    if (validator.headers) {
      if (validator.headers.hasDefault)
        for (let [key, value2] of Object.entries(exports_value2.Default(validator.headers.schema, {}))) {
          let parsed = typeof value2 === "object" ? JSON.stringify(value2) : typeof value2 === "string" ? `'${value2}'` : value2;
          if (parsed !== undefined)
            fnLiteral += `c.headers['${key}']??=${parsed}
`;
        }
      if (fnLiteral += composeCleaner({ name: "c.headers", schema: validator.headers, type: "headers", normalize }), validator.headers.isOptional)
        fnLiteral += "if(isNotEmpty(c.headers)){";
      if (validator.body?.schema?.noValidate !== true)
        fnLiteral += "if(validator.headers.Check(c.headers) === false){" + validation.validate("headers") + "}";
      if (validator.headers.hasTransform)
        fnLiteral += `c.headers=validator.headers.Decode(c.headers)
`;
      if (validator.headers.isOptional)
        fnLiteral += "}";
    }
    if (validator.params) {
      if (validator.params.hasDefault)
        for (let [key, value2] of Object.entries(exports_value2.Default(validator.params.schema, {}))) {
          let parsed = typeof value2 === "object" ? JSON.stringify(value2) : typeof value2 === "string" ? `'${value2}'` : value2;
          if (parsed !== undefined)
            fnLiteral += `c.params['${key}']??=${parsed}
`;
        }
      if (validator.params?.schema?.noValidate !== true)
        fnLiteral += "if(validator.params.Check(c.params)===false){" + validation.validate("params") + "}";
      if (validator.params.hasTransform)
        fnLiteral += `c.params=validator.params.Decode(c.params)
`;
    }
    if (validator.query) {
      if (validator.query.hasDefault)
        for (let [key, value2] of Object.entries(exports_value2.Default(validator.query.schema, {}))) {
          let parsed = typeof value2 === "object" ? JSON.stringify(value2) : typeof value2 === "string" ? `'${value2}'` : value2;
          if (parsed !== undefined)
            fnLiteral += `if(c.query['${key}']===undefined)c.query['${key}']=${parsed}
`;
          fnLiteral += composeCleaner({ name: "c.query", schema: validator.query, type: "query", normalize });
        }
      if (validator.query.isOptional)
        fnLiteral += "if(isNotEmpty(c.query)){";
      if (validator.query?.schema?.noValidate !== true)
        fnLiteral += "if(validator.query.Check(c.query)===false){" + validation.validate("query") + "}";
      if (validator.query.hasTransform)
        fnLiteral += `c.query=validator.query.Decode(Object.assign({},c.query))
`;
      if (validator.query.isOptional)
        fnLiteral += "}";
    }
    if (hasBody && validator.body) {
      if (validator.body.hasTransform || validator.body.isOptional)
        fnLiteral += `const isNotEmptyObject=c.body&&(typeof c.body==="object"&&isNotEmpty(c.body))
`;
      let hasUnion = isUnion(validator.body.schema), hasNonUnionFileWithDefault = false;
      if (validator.body.hasDefault) {
        let value2 = exports_value2.Default(validator.body.schema, validator.body.schema.type === "object" || validator.body.schema[Kind] === "Import" && validator.body.schema.$defs[validator.body.schema.$ref][Kind] === "Object" ? {} : undefined), schema3 = unwrapImportSchema(validator.body.schema);
        if (!hasUnion && value2 && typeof value2 === "object" && (hasType("File", schema3) || hasType("Files", schema3))) {
          hasNonUnionFileWithDefault = true;
          for (let [k2, v] of Object.entries(value2))
            if (v === "File" || v === "Files")
              delete value2[k2];
          if (!isNotEmpty(value2))
            value2 = undefined;
        }
        let parsed = typeof value2 === "object" ? JSON.stringify(value2) : typeof value2 === "string" ? `'${value2}'` : value2;
        if (value2 !== undefined && value2 !== null)
          if (Array.isArray(value2))
            fnLiteral += `if(!c.body)c.body=${parsed}
`;
          else if (typeof value2 === "object")
            fnLiteral += `c.body=Object.assign(${parsed},c.body)
`;
          else
            fnLiteral += `c.body=${parsed}
`;
        if (fnLiteral += composeCleaner({ name: "c.body", schema: validator.body, type: "body", normalize }), validator.body?.schema?.noValidate !== true)
          if (validator.body.isOptional)
            fnLiteral += "if(isNotEmptyObject&&validator.body.Check(c.body)===false){" + validation.validate("body") + "}";
          else
            fnLiteral += "if(validator.body.Check(c.body)===false){" + validation.validate("body") + "}";
      } else if (fnLiteral += composeCleaner({ name: "c.body", schema: validator.body, type: "body", normalize }), validator.body?.schema?.noValidate !== true)
        if (validator.body.isOptional)
          fnLiteral += "if(isNotEmptyObject&&validator.body.Check(c.body)===false){" + validation.validate("body") + "}";
        else
          fnLiteral += "if(validator.body.Check(c.body)===false){" + validation.validate("body") + "}";
      if (validator.body.hasTransform)
        fnLiteral += `if(isNotEmptyObject)c.body=validator.body.Decode(c.body)
`;
      if (hasUnion && validator.body.schema.anyOf?.length) {
        let iterator3 = Object.values(validator.body.schema.anyOf);
        for (let i = 0;i < iterator3.length; i++) {
          let type4 = iterator3[i];
          if (hasType("File", type4) || hasType("Files", type4)) {
            let candidate = getSchemaValidator(type4, { modules: app.definitions.typebox, dynamic: !app.config.aot, models: app.definitions.type, normalize: app.config.normalize, additionalCoerce: coercePrimitiveRoot(), sanitize: () => app.config.sanitize });
            if (candidate) {
              let isFirst = fileUnions.length === 0, iterator22 = Object.entries(type4.properties), validator2 = isFirst ? `
` : " else ";
              validator2 += `if(fileUnions[${fileUnions.length}].Check(c.body)){`;
              let validateFile2 = "", validatorLength = 0;
              for (let i2 = 0;i2 < iterator22.length; i2++) {
                let [k2, v] = iterator22[i2];
                if (!v.extension || v[Kind] !== "File" && v[Kind] !== "Files")
                  continue;
                if (validatorLength)
                  validateFile2 += ",";
                validateFile2 += `validateFileExtension(c.body.${k2},${JSON.stringify(v.extension)},'body.${k2}')`, validatorLength++;
              }
              if (validateFile2) {
                if (validatorLength === 1)
                  validator2 += `await ${validateFile2}
`;
                else if (validatorLength > 1)
                  validator2 += `await Promise.all([${validateFile2}])
`;
                validator2 += "}", fnLiteral += validator2, fileUnions.push(candidate);
              }
            }
          }
        }
      } else if (hasNonUnionFileWithDefault || !hasUnion && (hasType("File", unwrapImportSchema(validator.body.schema)) || hasType("Files", unwrapImportSchema(validator.body.schema)))) {
        let validateFile2 = "", i = 0;
        for (let [k2, v] of Object.entries(unwrapImportSchema(validator.body.schema).properties)) {
          if (!v.extension || v[Kind] !== "File" && v[Kind] !== "Files")
            continue;
          if (i)
            validateFile2 += ",";
          validateFile2 += `validateFileExtension(c.body.${k2},${JSON.stringify(v.extension)},'body.${k2}')`, i++;
        }
        if (i)
          fnLiteral += `
`;
        if (i === 1)
          fnLiteral += `await ${validateFile2}
`;
        else if (i > 1)
          fnLiteral += `await Promise.all([${validateFile2}])
`;
      }
    }
    if (validator.cookie) {
      let cookieValidator = getCookieValidator({ modules: app.definitions.typebox, validator: validator.cookie, defaultConfig: app.config.cookie, dynamic: !!app.config.aot, config: validator.cookie?.config ?? {}, models: app.definitions.type });
      if (fnLiteral += `const cookieValue={}
for(const [key,value] of Object.entries(c.cookie))cookieValue[key]=value.value
`, cookieValidator.hasDefault)
        for (let [key, value2] of Object.entries(exports_value2.Default(cookieValidator.schema, {})))
          fnLiteral += `cookieValue['${key}'] = ${typeof value2 === "object" ? JSON.stringify(value2) : value2}
`;
      if (cookieValidator.isOptional)
        fnLiteral += "if(isNotEmpty(c.cookie)){";
      if (validator.body?.schema?.noValidate !== true)
        fnLiteral += "if(validator.cookie.Check(cookieValue)===false){" + validation.validate("cookie", "cookieValue") + "}";
      if (cookieValidator.hasTransform)
        fnLiteral += `for(const [key,value] of Object.entries(validator.cookie.Decode(cookieValue)))c.cookie[key].value=value
`;
      if (cookieValidator.isOptional)
        fnLiteral += "}";
    }
  }
  if (hooks?.beforeHandle) {
    let reporter = report("beforeHandle", { total: hooks.beforeHandle.length }), hasResolve = false;
    for (let i = 0;i < hooks.beforeHandle.length; i++) {
      let beforeHandle = hooks.beforeHandle[i], endUnit = reporter.resolveChild(beforeHandle.fn.name), returning = hasReturn(beforeHandle);
      if (beforeHandle.subType === "resolve" || beforeHandle.subType === "mapResolve") {
        if (!hasResolve)
          hasResolve = true, fnLiteral += `
let resolved
`;
        if (fnLiteral += isAsync(beforeHandle) ? `resolved=await e.beforeHandle[${i}](c);
` : `resolved=e.beforeHandle[${i}](c);
`, beforeHandle.subType === "mapResolve")
          fnLiteral += `if(resolved instanceof ElysiaCustomStatusResponse)throw resolved
else{resolved.request=c.request
resolved.store=c.store
resolved.qi=c.qi
resolved.path=c.path
resolved.url=c.url
resolved.redirect=c.redirect
resolved.set=c.set
resolved.error=c.error
c=resolved}`;
        else
          fnLiteral += `if(resolved instanceof ElysiaCustomStatusResponse)throw resolved
else Object.assign(c, resolved)
`;
      } else if (!returning)
        fnLiteral += isAsync(beforeHandle) ? `await e.beforeHandle[${i}](c)
` : `e.beforeHandle[${i}](c)
`, endUnit();
      else {
        if (fnLiteral += isAsync(beforeHandle) ? `be=await e.beforeHandle[${i}](c)
` : `be=e.beforeHandle[${i}](c)
`, endUnit("be"), fnLiteral += "if(be!==undefined){", reporter.resolve(), hooks.afterHandle?.length) {
          report("handle", { name: isHandleFn ? handler.name : undefined }).resolve();
          let reporter2 = report("afterHandle", { total: hooks.afterHandle.length });
          for (let i2 = 0;i2 < hooks.afterHandle.length; i2++) {
            let hook = hooks.afterHandle[i2], returning2 = hasReturn(hook), endUnit2 = reporter2.resolveChild(hook.fn.name);
            if (fnLiteral += `c.response = be
`, !returning2)
              fnLiteral += isAsync(hook.fn) ? `await e.afterHandle[${i2}](c, be)
` : `e.afterHandle[${i2}](c, be)
`;
            else
              fnLiteral += isAsync(hook.fn) ? `af=await e.afterHandle[${i2}](c)
` : `af=e.afterHandle[${i2}](c)
`, fnLiteral += `if(af!==undefined) c.response=be=af
`;
            endUnit2("af");
          }
          reporter2.resolve();
        }
        if (validator.response)
          fnLiteral += validation.response("be");
        let mapResponseReporter = report("mapResponse", { total: hooks.mapResponse?.length });
        if (hooks.mapResponse?.length) {
          fnLiteral += `c.response=be
`;
          for (let i2 = 0;i2 < hooks.mapResponse.length; i2++) {
            let mapResponse3 = hooks.mapResponse[i2], endUnit2 = mapResponseReporter.resolveChild(mapResponse3.fn.name);
            fnLiteral += `if(mr===undefined){mr=${isAsyncName(mapResponse3) ? "await " : ""}e.mapResponse[${i2}](c)
if(mr!==undefined)be=c.response=mr}`, endUnit2();
          }
        }
        mapResponseReporter.resolve(), fnLiteral += encodeCookie(), fnLiteral += `return mapEarlyResponse(${saveResponse}be,c.set${mapResponseContext})}
`;
      }
    }
    reporter.resolve();
  }
  if (hooks.afterHandle?.length) {
    let handleReporter = report("handle", { name: isHandleFn ? handler.name : undefined });
    if (hooks.afterHandle.length)
      fnLiteral += isAsyncHandler ? `let r=c.response=await ${handle}
` : `let r=c.response=${handle}
`;
    else
      fnLiteral += isAsyncHandler ? `let r=await ${handle}
` : `let r=${handle}
`;
    handleReporter.resolve();
    let reporter = report("afterHandle", { total: hooks.afterHandle.length });
    for (let i = 0;i < hooks.afterHandle.length; i++) {
      let hook = hooks.afterHandle[i], returning = hasReturn(hook), endUnit = reporter.resolveChild(hook.fn.name);
      if (!returning)
        fnLiteral += isAsync(hook.fn) ? `await e.afterHandle[${i}](c)
` : `e.afterHandle[${i}](c)
`, endUnit();
      else if (fnLiteral += isAsync(hook.fn) ? `af=await e.afterHandle[${i}](c)
` : `af=e.afterHandle[${i}](c)
`, endUnit("af"), validator.response)
        fnLiteral += "if(af!==undefined){", reporter.resolve(), fnLiteral += validation.response("af"), fnLiteral += "c.response=af}";
      else
        fnLiteral += "if(af!==undefined){", reporter.resolve(), fnLiteral += "c.response=af}";
    }
    if (reporter.resolve(), fnLiteral += `r=c.response
`, validator.response)
      fnLiteral += validation.response();
    fnLiteral += encodeCookie();
    let mapResponseReporter = report("mapResponse", { total: hooks.mapResponse?.length });
    if (hooks.mapResponse?.length)
      for (let i = 0;i < hooks.mapResponse.length; i++) {
        let mapResponse3 = hooks.mapResponse[i], endUnit = mapResponseReporter.resolveChild(mapResponse3.fn.name);
        fnLiteral += `mr=${isAsyncName(mapResponse3) ? "await " : ""}e.mapResponse[${i}](c)
if(mr!==undefined)r=c.response=mr
`, endUnit();
      }
    mapResponseReporter.resolve(), fnLiteral += mapResponse2();
  } else {
    let handleReporter = report("handle", { name: isHandleFn ? handler.name : undefined });
    if (validator.response || hooks.mapResponse?.length) {
      if (fnLiteral += isAsyncHandler ? `let r=await ${handle}
` : `let r=${handle}
`, handleReporter.resolve(), validator.response)
        fnLiteral += validation.response();
      report("afterHandle").resolve();
      let mapResponseReporter = report("mapResponse", { total: hooks.mapResponse?.length });
      if (hooks.mapResponse?.length) {
        fnLiteral += `
c.response=r
`;
        for (let i = 0;i < hooks.mapResponse.length; i++) {
          let mapResponse3 = hooks.mapResponse[i], endUnit = mapResponseReporter.resolveChild(mapResponse3.fn.name);
          fnLiteral += `
if(mr===undefined){mr=${isAsyncName(mapResponse3) ? "await " : ""}e.mapResponse[${i}](c)
if(mr!==undefined)r=c.response=mr}
`, endUnit();
        }
      }
      if (mapResponseReporter.resolve(), fnLiteral += encodeCookie(), handler instanceof Response)
        fnLiteral += inference.set ? `if(isNotEmpty(c.set.headers)||c.set.status!==200||c.set.redirect||c.set.cookie)return mapResponse(${saveResponse}${handle}.clone(),c.set${mapResponseContext})else return ${handle}.clone()` : `return ${handle}.clone()`, fnLiteral += `
`;
      else
        fnLiteral += mapResponse2();
    } else if (hasCookie || hasTrace) {
      fnLiteral += isAsyncHandler ? `let r=await ${handle}
` : `let r=${handle}
`, handleReporter.resolve(), report("afterHandle").resolve();
      let mapResponseReporter = report("mapResponse", { total: hooks.mapResponse?.length });
      if (hooks.mapResponse?.length) {
        fnLiteral += `c.response= r
`;
        for (let i = 0;i < hooks.mapResponse.length; i++) {
          let mapResponse3 = hooks.mapResponse[i], endUnit = mapResponseReporter.resolveChild(mapResponse3.fn.name);
          fnLiteral += `if(mr===undefined){mr=${isAsyncName(mapResponse3) ? "await " : ""}e.mapResponse[${i}](c)
if(mr!==undefined)r=c.response=mr}`, endUnit();
        }
      }
      mapResponseReporter.resolve(), fnLiteral += encodeCookie() + mapResponse2();
    } else {
      handleReporter.resolve();
      let handled = isAsyncHandler ? `await ${handle}` : handle;
      if (report("afterHandle").resolve(), handler instanceof Response)
        fnLiteral += inference.set ? `if(isNotEmpty(c.set.headers)||c.set.status!==200||c.set.redirect||c.set.cookie)return mapResponse(${saveResponse}${handle}.clone(),c.set${mapResponseContext})
else return ${handle}.clone()
` : `return ${handle}.clone()
`;
      else
        fnLiteral += mapResponse2(handled);
    }
  }
  if (fnLiteral += `
}catch(error){`, !maybeAsync && hooks.error?.length)
    fnLiteral += "return(async()=>{";
  if (fnLiteral += `const set=c.set
if(!set.status||set.status<300)set.status=error?.status||500
`, hasCookie)
    fnLiteral += encodeCookie();
  if (hasTrace && hooks.trace)
    for (let i = 0;i < hooks.trace.length; i++)
      fnLiteral += `report${i}?.resolve(error);reportChild${i}?.(error)
`;
  let errorReporter = report("error", { total: hooks.error?.length });
  if (hooks.error?.length) {
    if (fnLiteral += `c.error=error
`, hasValidation)
      fnLiteral += `if(error instanceof TypeBoxError){c.code="VALIDATION"
c.set.status=422}else{c.code=error.code??error[ERROR_CODE]??"UNKNOWN"}`;
    else
      fnLiteral += `c.code=error.code??error[ERROR_CODE]??"UNKNOWN"
`;
    fnLiteral += `let er
`;
    for (let i = 0;i < hooks.error.length; i++) {
      let endUnit = errorReporter.resolveChild(hooks.error[i].fn.name);
      if (isAsync(hooks.error[i]))
        fnLiteral += `er=await e.error[${i}](c)
`;
      else
        fnLiteral += `er=e.error[${i}](c)
if(er instanceof Promise)er=await er
`;
      endUnit();
      let mapResponseReporter = report("mapResponse", { total: hooks.mapResponse?.length });
      if (hooks.mapResponse?.length)
        for (let i2 = 0;i2 < hooks.mapResponse.length; i2++) {
          let mapResponse3 = hooks.mapResponse[i2], endUnit2 = mapResponseReporter.resolveChild(mapResponse3.fn.name);
          fnLiteral += `c.response=er
er=e.mapResponse[${i2}](c)
if(er instanceof Promise)er=await er
`, endUnit2();
        }
      if (mapResponseReporter.resolve(), fnLiteral += `er=mapEarlyResponse(er,set${mapResponseContext})
`, fnLiteral += "if(er){", hasTrace && hooks.trace) {
        for (let i2 = 0;i2 < hooks.trace.length; i2++)
          fnLiteral += `report${i2}.resolve()
`;
        errorReporter.resolve();
      }
      fnLiteral += "return er}";
    }
  }
  if (errorReporter.resolve(), fnLiteral += "return handleError(c,error,true)", !maybeAsync && hooks.error?.length)
    fnLiteral += "})()";
  if (fnLiteral += "}", hasAfterResponse || hasTrace) {
    if (fnLiteral += "finally{ ", !maybeAsync)
      fnLiteral += ";(async()=>{";
    let reporter = report("afterResponse", { total: hooks.afterResponse?.length });
    if (hasAfterResponse && hooks.afterResponse)
      for (let i = 0;i < hooks.afterResponse.length; i++) {
        let endUnit = reporter.resolveChild(hooks.afterResponse[i].fn.name);
        fnLiteral += `
await e.afterResponse[${i}](c)
`, endUnit();
      }
    if (reporter.resolve(), !maybeAsync)
      fnLiteral += "})()";
    fnLiteral += "}";
  }
  let adapterVariables = adapter.inject ? Object.keys(adapter.inject).join(",") + "," : "", init = "const {handler,handleError,hooks:e, " + allocateIf("validator,", hasValidation) + "mapResponse,mapCompactResponse,mapEarlyResponse,isNotEmpty,utils:{" + allocateIf("parseQuery,", hasBody) + allocateIf("parseQueryFromURL,", hasQuery) + "},error:{" + allocateIf("ValidationError,", hasValidation) + allocateIf("ParseError", hasBody) + "},validateFileExtension,schema,definitions,ERROR_CODE," + allocateIf("parseCookie,", hasCookie) + allocateIf("signCookie,", hasCookie) + allocateIf("decodeURIComponent,", hasQuery) + "ElysiaCustomStatusResponse," + allocateIf("ELYSIA_TRACE,", hasTrace) + allocateIf("ELYSIA_REQUEST_ID,", hasTrace) + allocateIf("parser,", hooks.parse?.length) + allocateIf("getServer,", inference.server) + allocateIf("fileUnions,", fileUnions.length) + adapterVariables + allocateIf("TypeBoxError", hasValidation) + `}=hooks
const trace=e.trace
return ${maybeAsync ? "async " : ""}function handle(c){`;
  if (hooks.beforeHandle?.length)
    init += `let be
`;
  if (hooks.afterHandle?.length)
    init += `let af
`;
  if (hooks.mapResponse?.length)
    init += `let mr
`;
  if (allowMeta)
    init += `c.schema=schema
c.defs=definitions
`;
  fnLiteral = init + fnLiteral + "}", init = "";
  try {
    return Function("hooks", `"use strict";
` + fnLiteral)({ handler, hooks: lifeCycleToFn({ ...hooks }), validator: hasValidation ? validator : undefined, handleError: app.handleError, mapResponse: adapterHandler.mapResponse, mapCompactResponse: adapterHandler.mapCompactResponse, mapEarlyResponse: adapterHandler.mapEarlyResponse, isNotEmpty, utils: { parseQuery: hasBody ? parseQuery : undefined, parseQueryFromURL: hasQuery ? parseQueryFromURL : undefined }, error: { ValidationError: hasValidation ? ValidationError : undefined, ParseError: hasBody ? ParseError2 : undefined }, validateFileExtension, schema: app.router.history, definitions: app.definitions.type, ERROR_CODE, parseCookie: hasCookie ? parseCookie : undefined, signCookie: hasCookie ? signCookie : undefined, decodeURIComponent: hasQuery ? import_fast_decode_uri_component3.default : undefined, ElysiaCustomStatusResponse, ELYSIA_TRACE: hasTrace ? ELYSIA_TRACE : undefined, ELYSIA_REQUEST_ID: hasTrace ? ELYSIA_REQUEST_ID : undefined, getServer: () => app.getServer(), fileUnions: fileUnions.length ? fileUnions : undefined, TypeBoxError: hasValidation ? TypeBoxError : undefined, parser: app["~parser"], ...adapter.inject });
  } catch (error22) {
    let debugHooks = lifeCycleToFn(hooks);
    console.log("[Composer] failed to generate optimized handler"), console.log("---"), console.log({ handler: typeof handler === "function" ? handler.toString() : handler, instruction: fnLiteral, hooks: { ...debugHooks, transform: debugHooks?.transform?.map?.((x) => x.toString()), resolve: debugHooks?.resolve?.map?.((x) => x.toString()), beforeHandle: debugHooks?.beforeHandle?.map?.((x) => x.toString()), afterHandle: debugHooks?.afterHandle?.map?.((x) => x.toString()), mapResponse: debugHooks?.mapResponse?.map?.((x) => x.toString()), parse: debugHooks?.parse?.map?.((x) => x.toString()), error: debugHooks?.error?.map?.((x) => x.toString()), afterResponse: debugHooks?.afterResponse?.map?.((x) => x.toString()), stop: debugHooks?.stop?.map?.((x) => x.toString()) }, validator, definitions: app.definitions.type, error: error22 }), console.log("---"), process.exit(1);
  }
}, createOnRequestHandler = (app, addFn) => {
  let fnLiteral = "", reporter = createReport({ trace: app.event.trace, addFn: addFn ?? ((word) => {
    fnLiteral += word;
  }) })("request", { total: app.event.request?.length });
  if (app.event.request?.length) {
    fnLiteral += "try{";
    for (let i = 0;i < app.event.request.length; i++) {
      let hook = app.event.request[i], withReturn = hasReturn(hook), maybeAsync = isAsync(hook), endUnit = reporter.resolveChild(app.event.request[i].fn.name);
      if (withReturn)
        fnLiteral += `re=mapEarlyResponse(${maybeAsync ? "await " : ""}onRequest[${i}](c),c.set)
`, endUnit("re"), fnLiteral += `if(re!==undefined)return re
`;
      else
        fnLiteral += `${maybeAsync ? "await " : ""}onRequest[${i}](c)
`, endUnit();
    }
    fnLiteral += "}catch(error){return app.handleError(c,error,false)}";
  }
  return reporter.resolve(), fnLiteral;
}, createHoc = (app, fnName = "map") => {
  let hoc = app.extender.higherOrderFunctions;
  if (!hoc.length)
    return "return " + fnName;
  let adapter = app["~adapter"].composeGeneralHandler, handler = fnName;
  for (let i = 0;i < hoc.length; i++)
    handler = `hoc[${i}](${handler},${adapter.parameters})`;
  return `return function hocMap(${adapter.parameters}){return ${handler}(${adapter.parameters})}`;
}, composeGeneralHandler = (app) => {
  let adapter = app["~adapter"].composeGeneralHandler;
  app.router.http.build();
  let error404 = adapter.error404(!!app.event.request?.length, !!app.event.error?.length), hasTrace = app.event.trace?.length, fnLiteral = "", router = app.router, findDynamicRoute = router.http.root.WS ? `const route=router.find(r.method === "GET" && r.headers.get('upgrade')==='websocket'?'WS':r.method,p)` : "const route=router.find(r.method,p)";
  findDynamicRoute += router.http.root.ALL ? `??router.find("ALL",p)
` : `
`, findDynamicRoute += error404.code, findDynamicRoute += `
c.params=route.params
if(route.store.handler)return route.store.handler(c)
return route.store.compile()(c)
`;
  let switchMap = "";
  for (let [path, methods] of Object.entries(router.static)) {
    if (switchMap += `case'${path}':`, app.config.strictPath !== true)
      switchMap += `case'${getLoosePath(path)}':`;
    let encoded = encodePath(path);
    if (path !== encoded)
      switchMap += `case'${encoded}':`;
    if (switchMap += "switch(r.method){", "GET" in methods || "WS" in methods) {
      if (switchMap += "case 'GET':", "WS" in methods)
        switchMap += `if(r.headers.get('upgrade')==='websocket')return ht[${methods.WS}].composed(c)
`;
      if ("GET" in methods)
        switchMap += `return ht[${methods.GET}].composed(c)
`;
    }
    for (let [method, index] of Object.entries(methods)) {
      if (method === "ALL" || method === "GET" || method === "WS")
        continue;
      switchMap += `case '${method}':return ht[${index}].composed(c)
`;
    }
    if ("ALL" in methods)
      switchMap += `default:return ht[${methods.ALL}].composed(c)
`;
    else
      switchMap += `default:break map
`;
    switchMap += "}";
  }
  let maybeAsync = !!app.event.request?.some(isAsync), adapterVariables = adapter.inject ? Object.keys(adapter.inject).join(",") + "," : "";
  if (fnLiteral += `
const {app,mapEarlyResponse,NotFoundError,randomId,handleError,status,redirect,` + allocateIf("ELYSIA_TRACE,", hasTrace) + allocateIf("ELYSIA_REQUEST_ID,", hasTrace) + adapterVariables + `}=data
const store=app.singleton.store
const decorator=app.singleton.decorator
const staticRouter=app.router.static.http
const ht=app.router.history
const router=app.router.http
const trace=app.event.trace?.map(x=>typeof x==='function'?x:x.fn)??[]
const notFound=new NotFoundError()
const hoc=app.extender.higherOrderFunctions.map(x=>x.fn)
`, app.event.request?.length)
    fnLiteral += `const onRequest=app.event.request.map(x=>x.fn)
`;
  if (fnLiteral += error404.declare, app.event.trace?.length)
    fnLiteral += "const " + app.event.trace.map((_2, i) => `tr${i}=app.event.trace[${i}].fn`).join(",") + `
`;
  if (fnLiteral += `${maybeAsync ? "async " : ""}function map(${adapter.parameters}){`, app.event.request?.length)
    fnLiteral += `let re
`;
  if (fnLiteral += adapter.createContext(app), app.event.trace?.length)
    fnLiteral += "c[ELYSIA_TRACE]=[" + app.event.trace.map((_2, i) => `tr${i}(c)`).join(",") + `]
`;
  if (fnLiteral += createOnRequestHandler(app), switchMap)
    fnLiteral += `
map: switch(p){
` + switchMap + "}";
  fnLiteral += findDynamicRoute + `}
` + createHoc(app), app.handleError = composeErrorHandler(app);
  let fn = Function("data", `"use strict";
` + fnLiteral)({ app, mapEarlyResponse: app["~adapter"].handler.mapEarlyResponse, NotFoundError, randomId, handleError: app.handleError, status, redirect, ELYSIA_TRACE: hasTrace ? ELYSIA_TRACE : undefined, ELYSIA_REQUEST_ID: hasTrace ? ELYSIA_REQUEST_ID : undefined, ...adapter.inject });
  if (isBun)
    Bun.gc(false);
  return fn;
}, composeErrorHandler = (app) => {
  let hooks = app.event, fnLiteral = "", adapter = app["~adapter"].composeError, adapterVariables = adapter.inject ? Object.keys(adapter.inject).join(",") + "," : "", hasTrace = !!app.event.trace?.length;
  if (fnLiteral += "const {mapResponse,ERROR_CODE,ElysiaCustomStatusResponse," + allocateIf("onError,", app.event.error) + allocateIf("afterResponse,", app.event.afterResponse) + allocateIf("trace,", app.event.trace) + allocateIf("onMapResponse,", app.event.mapResponse) + allocateIf("ELYSIA_TRACE,", hasTrace) + allocateIf("ELYSIA_REQUEST_ID,", hasTrace) + adapterVariables + `}=inject
`, fnLiteral += `return ${app.event.error?.find(isAsync) || app.event.mapResponse?.find(isAsync) ? "async " : ""}function(context,error,skipGlobal){`, fnLiteral += "", hasTrace)
    fnLiteral += `const id=context[ELYSIA_REQUEST_ID]
`;
  let report = createReport({ context: "context", trace: hooks.trace, addFn: (word) => {
    fnLiteral += word;
  } });
  if (fnLiteral += `const set=context.set
let _r
if(!context.code)context.code=error.code??error[ERROR_CODE]
if(!(context.error instanceof Error))context.error=error
if(error instanceof ElysiaCustomStatusResponse){set.status=error.status=error.code
error.message=error.response}`, adapter.declare)
    fnLiteral += adapter.declare;
  let saveResponse = hasTrace || !!hooks.afterResponse?.length || !!hooks.afterResponse?.length ? "context.response = " : "";
  if (app.event.error)
    for (let i = 0;i < app.event.error.length; i++) {
      let handler = app.event.error[i], response = `${isAsync(handler) ? "await " : ""}onError[${i}](context)
`;
      if (fnLiteral += "if(skipGlobal!==true){", hasReturn(handler)) {
        fnLiteral += `_r=${response}
if(_r!==undefined){if(_r instanceof Response)return mapResponse(_r,set${adapter.mapResponseContext})
if(_r instanceof ElysiaCustomStatusResponse){error.status=error.code
error.message = error.response}if(set.status===200||!set.status)set.status=error.status
`;
        let mapResponseReporter2 = report("mapResponse", { total: hooks.mapResponse?.length, name: "context" });
        if (hooks.mapResponse?.length)
          for (let i2 = 0;i2 < hooks.mapResponse.length; i2++) {
            let mapResponse2 = hooks.mapResponse[i2], endUnit = mapResponseReporter2.resolveChild(mapResponse2.fn.name);
            fnLiteral += `context.response=_r_r=${isAsyncName(mapResponse2) ? "await " : ""}onMapResponse[${i2}](context)
`, endUnit();
          }
        mapResponseReporter2.resolve(), fnLiteral += `return mapResponse(${saveResponse}_r,set${adapter.mapResponseContext})}`;
      } else
        fnLiteral += response;
      fnLiteral += "}";
    }
  fnLiteral += `if(error.constructor.name==="ValidationError"||error.constructor.name==="TransformDecodeError"){
if(error.error)error=error.error
set.status=error.status??422
` + adapter.validationError + `
}
`, fnLiteral += `if(error instanceof Error){
if(typeof error.toResponse==='function')return context.response=error.toResponse()
` + adapter.unknownError + `
}`;
  let mapResponseReporter = report("mapResponse", { total: hooks.mapResponse?.length, name: "context" });
  if (fnLiteral += `
if(!context.response)context.response=error.message??error
`, hooks.mapResponse?.length) {
    fnLiteral += `let mr
`;
    for (let i = 0;i < hooks.mapResponse.length; i++) {
      let mapResponse2 = hooks.mapResponse[i], endUnit = mapResponseReporter.resolveChild(mapResponse2.fn.name);
      fnLiteral += `if(mr===undefined){mr=${isAsyncName(mapResponse2) ? "await " : ""}onMapResponse[${i}](context)
if(mr!==undefined)error=context.response=mr}`, endUnit();
    }
  }
  mapResponseReporter.resolve(), fnLiteral += `
return mapResponse(${saveResponse}error,set${adapter.mapResponseContext})}`;
  let mapFn = (x) => typeof x === "function" ? x : x.fn;
  return Function("inject", `"use strict";
` + fnLiteral)({ mapResponse: app["~adapter"].handler.mapResponse, ERROR_CODE, ElysiaCustomStatusResponse, onError: app.event.error?.map(mapFn), afterResponse: app.event.afterResponse?.map(mapFn), trace: app.event.trace?.map(mapFn), onMapResponse: app.event.mapResponse?.map(mapFn), ELYSIA_TRACE: hasTrace ? ELYSIA_TRACE : undefined, ELYSIA_REQUEST_ID: hasTrace ? ELYSIA_REQUEST_ID : undefined, ...adapter.inject });
}, mapResponse2 = (response, set22, request) => {
  if (isNotEmpty(set22.headers) || set22.status !== 200 || set22.cookie)
    switch (handleSet(set22), response?.constructor?.name) {
      case "String":
        return new Response(response, set22);
      case "Array":
      case "Object":
        return set22.headers["content-type"] = "application/json", new Response(JSON.stringify(response), set22);
      case "ElysiaFile":
        return handleFile(response.value);
      case "File":
        return handleFile(response, set22);
      case "Blob":
        return handleFile(response, set22);
      case "ElysiaCustomStatusResponse":
        return set22.status = response.code, mapResponse2(response.response, set22, request);
      case "ReadableStream":
        if (!set22.headers["content-type"]?.startsWith("text/event-stream"))
          set22.headers["content-type"] = "text/event-stream; charset=utf-8";
        return request?.signal?.addEventListener("abort", { handleEvent() {
          if (request?.signal && !request?.signal?.aborted)
            response.cancel();
        } }, { once: true }), new Response(response, set22);
      case undefined:
        if (!response)
          return new Response("", set22);
        return new Response(JSON.stringify(response), set22);
      case "Response":
        return handleResponse2(response, set22, request);
      case "Error":
        return errorToResponse2(response, set22);
      case "Promise":
        return response.then((x) => mapResponse2(x, set22, request));
      case "Function":
        return mapResponse2(response(), set22, request);
      case "Number":
      case "Boolean":
        return new Response(response.toString(), set22);
      case "Cookie":
        if (response instanceof Cookie)
          return new Response(response.value, set22);
        return new Response(response?.toString(), set22);
      case "FormData":
        return new Response(response, set22);
      default:
        if (response instanceof Response)
          return handleResponse2(response, set22, request);
        if (response instanceof Promise)
          return response.then((x) => mapResponse2(x, set22));
        if (response instanceof Error)
          return errorToResponse2(response, set22);
        if (response instanceof ElysiaCustomStatusResponse)
          return set22.status = response.code, mapResponse2(response.response, set22, request);
        if (typeof response?.next === "function")
          return handleStream2(response, set22, request);
        if (typeof response?.then === "function")
          return response.then((x) => mapResponse2(x, set22));
        if (typeof response?.toResponse === "function")
          return mapResponse2(response.toResponse(), set22);
        if ("charCodeAt" in response) {
          let code = response.charCodeAt(0);
          if (code === 123 || code === 91) {
            if (!set22.headers["Content-Type"])
              set22.headers["Content-Type"] = "application/json";
            return new Response(JSON.stringify(response), set22);
          }
        }
        return new Response(response, set22);
    }
  if (response instanceof Response && !response.headers.has("content-length") && response.headers.get("transfer-encoding") === "chunked")
    return handleStream2(streamResponse(response), responseToSetHeaders(response, set22), request);
  if (typeof response?.next === "function" || response instanceof ReadableStream)
    return handleStream2(response, set22, request);
  return mapCompactResponse2(response, request);
}, mapEarlyResponse2 = (response, set22, request) => {
  if (response === undefined || response === null)
    return;
  if (isNotEmpty(set22.headers) || set22.status !== 200 || set22.cookie)
    switch (handleSet(set22), response?.constructor?.name) {
      case "String":
        return new Response(response, set22);
      case "Array":
      case "Object":
        return set22.headers["content-type"] = "application/json", new Response(JSON.stringify(response), set22);
      case "ElysiaFile":
        return handleFile(response.value);
      case "File":
        return handleFile(response, set22);
      case "Blob":
        return handleFile(response, set22);
      case "ElysiaCustomStatusResponse":
        return set22.status = response.code, mapEarlyResponse2(response.response, set22, request);
      case "ReadableStream":
        if (!set22.headers["content-type"]?.startsWith("text/event-stream"))
          set22.headers["content-type"] = "text/event-stream; charset=utf-8";
        return request?.signal?.addEventListener("abort", { handleEvent() {
          if (request?.signal && !request?.signal?.aborted)
            response.cancel();
        } }, { once: true }), new Response(response, set22);
      case undefined:
        if (!response)
          return;
        return new Response(JSON.stringify(response), set22);
      case "Response":
        return handleResponse2(response, set22, request);
      case "Promise":
        return response.then((x) => mapEarlyResponse2(x, set22));
      case "Error":
        return errorToResponse2(response, set22);
      case "Function":
        return mapEarlyResponse2(response(), set22);
      case "Number":
      case "Boolean":
        return new Response(response.toString(), set22);
      case "FormData":
        return new Response(response);
      case "Cookie":
        if (response instanceof Cookie)
          return new Response(response.value, set22);
        return new Response(response?.toString(), set22);
      default:
        if (response instanceof Response)
          return handleResponse2(response, set22, request);
        if (response instanceof Promise)
          return response.then((x) => mapEarlyResponse2(x, set22));
        if (response instanceof Error)
          return errorToResponse2(response, set22);
        if (response instanceof ElysiaCustomStatusResponse)
          return set22.status = response.code, mapEarlyResponse2(response.response, set22, request);
        if (typeof response?.next === "function")
          return handleStream2(response, set22, request);
        if (typeof response?.then === "function")
          return response.then((x) => mapEarlyResponse2(x, set22));
        if (typeof response?.toResponse === "function")
          return mapEarlyResponse2(response.toResponse(), set22);
        if ("charCodeAt" in response) {
          let code = response.charCodeAt(0);
          if (code === 123 || code === 91) {
            if (!set22.headers["Content-Type"])
              set22.headers["Content-Type"] = "application/json";
            return new Response(JSON.stringify(response), set22);
          }
        }
        return new Response(response, set22);
    }
  else
    switch (response?.constructor?.name) {
      case "String":
        return new Response(response);
      case "Array":
      case "Object":
        return set22.headers["content-type"] = "application/json", new Response(JSON.stringify(response), set22);
      case "ElysiaFile":
        return handleFile(response.value);
      case "File":
        return handleFile(response, set22);
      case "Blob":
        return handleFile(response, set22);
      case "ElysiaCustomStatusResponse":
        return set22.status = response.code, mapEarlyResponse2(response.response, set22, request);
      case "ReadableStream":
        return request?.signal?.addEventListener("abort", { handleEvent() {
          if (request?.signal && !request?.signal?.aborted)
            response.cancel();
        } }, { once: true }), new Response(response, { headers: { "Content-Type": "text/event-stream; charset=utf-8" } });
      case undefined:
        if (!response)
          return new Response("");
        return new Response(JSON.stringify(response), { headers: { "content-type": "application/json" } });
      case "Response":
        if (!response.headers.has("content-length") && response.headers.get("transfer-encoding") === "chunked")
          return handleStream2(streamResponse(response), responseToSetHeaders(response), request);
        return response;
      case "Promise":
        return response.then((x) => {
          let r = mapEarlyResponse2(x, set22);
          if (r !== undefined)
            return r;
        });
      case "Error":
        return errorToResponse2(response, set22);
      case "Function":
        return mapCompactResponse2(response(), request);
      case "Number":
      case "Boolean":
        return new Response(response.toString());
      case "Cookie":
        if (response instanceof Cookie)
          return new Response(response.value, set22);
        return new Response(response?.toString(), set22);
      case "FormData":
        return new Response(response);
      default:
        if (response instanceof Response)
          return response;
        if (response instanceof Promise)
          return response.then((x) => mapEarlyResponse2(x, set22));
        if (response instanceof Error)
          return errorToResponse2(response, set22);
        if (response instanceof ElysiaCustomStatusResponse)
          return set22.status = response.code, mapEarlyResponse2(response.response, set22, request);
        if (typeof response?.next === "function")
          return handleStream2(response, set22, request);
        if (typeof response?.then === "function")
          return response.then((x) => mapEarlyResponse2(x, set22));
        if (typeof response?.toResponse === "function")
          return mapEarlyResponse2(response.toResponse(), set22);
        if ("charCodeAt" in response) {
          let code = response.charCodeAt(0);
          if (code === 123 || code === 91) {
            if (!set22.headers["Content-Type"])
              set22.headers["Content-Type"] = "application/json";
            return new Response(JSON.stringify(response), set22);
          }
        }
        return new Response(response);
    }
}, mapCompactResponse2 = (response, request) => {
  switch (response?.constructor?.name) {
    case "String":
      return new Response(response);
    case "Object":
    case "Array":
      return new Response(JSON.stringify(response), { headers: { "Content-Type": "application/json" } });
    case "ElysiaFile":
      return handleFile(response.value);
    case "File":
      return handleFile(response);
    case "Blob":
      return handleFile(response);
    case "ElysiaCustomStatusResponse":
      return mapResponse2(response.response, { status: response.code, headers: {} });
    case "ReadableStream":
      return request?.signal?.addEventListener("abort", { handleEvent() {
        if (request?.signal && !request?.signal?.aborted)
          response.cancel();
      } }, { once: true }), new Response(response, { headers: { "Content-Type": "text/event-stream; charset=utf-8" } });
    case undefined:
      if (!response)
        return new Response("");
      return new Response(JSON.stringify(response), { headers: { "content-type": "application/json" } });
    case "Response":
      if (response.headers.get("transfer-encoding") === "chunked")
        return handleStream2(streamResponse(response), responseToSetHeaders(response), request);
      return response;
    case "Error":
      return errorToResponse2(response);
    case "Promise":
      return response.then((x) => mapCompactResponse2(x, request));
    case "Function":
      return mapCompactResponse2(response(), request);
    case "Number":
    case "Boolean":
      return new Response(response.toString());
    case "FormData":
      return new Response(response);
    default:
      if (response instanceof Response)
        return response;
      if (response instanceof Promise)
        return response.then((x) => mapCompactResponse2(x, request));
      if (response instanceof Error)
        return errorToResponse2(response);
      if (response instanceof ElysiaCustomStatusResponse)
        return mapResponse2(response.response, { status: response.code, headers: {} });
      if (typeof response?.next === "function")
        return handleStream2(response, undefined, request);
      if (typeof response?.then === "function")
        return response.then((x) => mapResponse2(x, set));
      if (typeof response?.toResponse === "function")
        return mapCompactResponse2(response.toResponse());
      if ("charCodeAt" in response) {
        let code = response.charCodeAt(0);
        if (code === 123 || code === 91)
          return new Response(JSON.stringify(response), { headers: { "Content-Type": "application/json" } });
      }
      return new Response(response);
  }
}, errorToResponse2 = (error22, set22) => new Response(JSON.stringify({ name: error22?.name, message: error22?.message, cause: error22?.cause }), { status: set22?.status !== 200 ? set22?.status ?? 500 : 500, headers: set22?.headers }), createStaticHandler2 = (handle, hooks, setHeaders = {}) => {
  if (typeof handle === "function")
    return;
  let response = mapResponse2(handle, { headers: setHeaders });
  if (!hooks.parse?.length && !hooks.transform?.length && !hooks.beforeHandle?.length && !hooks.afterHandle?.length)
    return response.clone.bind(response);
}, handleResponse2, handleStream2, allocateIf2 = (value2, condition) => condition ? value2 : "", createContext = (app, route, inference, isInline = false) => {
  let fnLiteral = "", defaultHeaders = app.setHeaders, hasTrace = !!app.event.trace?.length;
  if (hasTrace)
    fnLiteral += `const id=randomId()
`;
  let isDynamic = /[:*]/.test(route.path), getQi = `const u=request.url,s=u.indexOf('/',${app.config.handler?.standardHostname ?? true ? 11 : 7}),qi=u.indexOf('?', s + 1)
`;
  if (inference.query)
    fnLiteral += getQi;
  let getPath = !inference.path ? "" : !isDynamic ? `path:'${route.path}',` : "get path(){" + (inference.query ? "" : getQi) + `if(qi===-1)return u.substring(s)
return u.substring(s,qi)
},`;
  if (fnLiteral += allocateIf2("const c=", !isInline) + "{request,store," + allocateIf2("qi,", inference.query) + allocateIf2("params:request.params,", isDynamic) + getPath + allocateIf2("url:request.url,", hasTrace || inference.url || inference.query) + "redirect,error:status,status,set:{headers:" + (isNotEmpty(defaultHeaders) ? "Object.assign({},app.setHeaders)" : "Object.create(null)") + ",status:200}", inference.server)
    fnLiteral += ",get server(){return app.getServer()}";
  if (hasTrace)
    fnLiteral += ",[ELYSIA_REQUEST_ID]:id";
  {
    let decoratorsLiteral = "";
    for (let key of Object.keys(app.singleton.decorator))
      decoratorsLiteral += `,'${key}':decorator['${key}']`;
    fnLiteral += decoratorsLiteral;
  }
  return fnLiteral += `}
`, fnLiteral;
}, createBunRouteHandler = (app, route) => {
  let hasTrace = !!app.event.trace?.length, hasHoc = !!app.extender.higherOrderFunctions.length, inference = sucrose(route.hooks, app.inference);
  inference = sucrose({ handler: route.handler }, inference);
  let fnLiteral = "const handler=data.handler,app=data.app,store=data.store,decorator=data.decorator,redirect=data.redirect,route=data.route,mapEarlyResponse=data.mapEarlyResponse," + allocateIf2("randomId=data.randomId,", hasTrace) + allocateIf2("ELYSIA_REQUEST_ID=data.ELYSIA_REQUEST_ID,", hasTrace) + allocateIf2("ELYSIA_TRACE=data.ELYSIA_TRACE,", hasTrace) + allocateIf2("trace=data.trace,", hasTrace) + allocateIf2("hoc=data.hoc,", hasHoc) + `status=data.status
`;
  if (app.event.request?.length)
    fnLiteral += `const onRequest=app.event.request.map(x=>x.fn)
`;
  if (fnLiteral += `${app.event.request?.find(isAsync) ? "async" : ""} function map(request){`, hasTrace || inference.query || app.event.request?.length)
    fnLiteral += createContext(app, route, inference), fnLiteral += createOnRequestHandler(app), fnLiteral += "return handler(c)}";
  else
    fnLiteral += `return handler(${createContext(app, route, inference, true)})}`;
  return fnLiteral += createHoc(app), Function("data", fnLiteral)({ app, handler: route.compile?.() ?? route.composed, redirect, status, hoc: app.extender.higherOrderFunctions.map((x) => x.fn), store: app.store, decorator: app.decorator, route: route.path, randomId: hasTrace ? randomId : undefined, ELYSIA_TRACE: hasTrace ? ELYSIA_TRACE : undefined, ELYSIA_REQUEST_ID: hasTrace ? ELYSIA_REQUEST_ID : undefined, trace: hasTrace ? app.event.trace?.map((x) => x?.fn ?? x) : undefined, mapEarlyResponse: mapEarlyResponse2 });
}, createNativeStaticHandler = (handle, hooks, setHeaders = {}) => {
  if (typeof handle === "function" || handle instanceof Blob)
    return;
  if (typeof handle === "object" && handle?.toString() === "[object HTMLBundle]")
    return () => handle;
  let response = mapResponse2(handle, { headers: setHeaders });
  if (!hooks.parse?.length && !hooks.transform?.length && !hooks.beforeHandle?.length && !hooks.afterHandle?.length) {
    if (response instanceof Promise)
      return response.then((response2) => {
        if (!response2)
          return;
        if (!response2.headers.has("content-type"))
          response2.headers.append("content-type", "text/plain");
        return response2.clone();
      });
    if (!response.headers.has("content-type"))
      response.headers.append("content-type", "text/plain");
    return response.clone.bind(response);
  }
}, websocket, ElysiaWS, createWSMessageParser = (parse22) => {
  let parsers = typeof parse22 === "function" ? [parse22] : parse22;
  return async function parseMessage(ws, message) {
    if (typeof message === "string") {
      let start = message?.charCodeAt(0);
      if (start === 34 || start === 47 || start === 91 || start === 123)
        try {
          message = JSON.parse(message);
        } catch {
        }
      else if (isNumericString(message))
        message = +message;
      else if (message === "true")
        message = true;
      else if (message === "false")
        message = false;
      else if (message === "null")
        message = null;
    }
    if (parsers)
      for (let i = 0;i < parsers.length; i++) {
        let temp = parsers[i](ws, message);
        if (temp instanceof Promise)
          temp = await temp;
        if (temp !== undefined)
          return temp;
      }
    return message;
  };
}, createHandleWSResponse = (validateResponse) => {
  let handleWSResponse = (ws, data) => {
    if (data instanceof Promise)
      return data.then((data2) => handleWSResponse(ws, data2));
    if (Buffer.isBuffer(data))
      return ws.send(data.toString());
    if (data === undefined)
      return;
    let send = (datum) => {
      if (validateResponse?.Check(datum) === false)
        return ws.send(new ValidationError("message", validateResponse, datum).message);
      if (typeof datum === "object")
        return ws.send(JSON.stringify(datum));
      ws.send(datum);
    };
    if (typeof data?.next !== "function")
      return void send(data);
    let init = data.next();
    if (init instanceof Promise)
      return (async () => {
        let first = await init;
        if (validateResponse?.Check(first) === false)
          return ws.send(new ValidationError("message", validateResponse, first).message);
        if (send(first.value), !first.done)
          for await (let datum of data)
            send(datum);
      })();
    if (send(init.value), !init.done)
      for (let datum of data)
        send(datum);
  };
  return handleWSResponse;
}, optionalParam, getPossibleParams = (path) => {
  let match = optionalParam.exec(path);
  if (!match)
    return [path];
  let routes = [], head = path.slice(0, match.index), param = match[0].slice(0, -1), tail = path.slice(match.index + match[0].length);
  routes.push(head.slice(0, -1)), routes.push(head + param);
  for (let fragment of getPossibleParams(tail)) {
    if (!fragment)
      continue;
    if (!fragment.startsWith("/:"))
      routes.push(head.slice(0, -1) + fragment);
    routes.push(head + param + fragment);
  }
  return routes;
}, supportedMethods, mapRoutes = (app) => {
  if (!app.config.aot || !app.config.systemRouter)
    return;
  let routes = {}, add = (route, handler) => {
    if (routes[route.path]) {
      if (!routes[route.path][route.method])
        routes[route.path][route.method] = handler;
    } else
      routes[route.path] = { [route.method]: handler };
  }, tree = app.routeTree;
  for (let route of app.router.history) {
    if (typeof route.handler !== "function")
      continue;
    let method = route.method;
    if (method === "GET" && `WS_${route.path}` in tree || method === "WS" || route.path.charCodeAt(route.path.length - 1) === 42 || !(method in supportedMethods))
      continue;
    if (method === "ALL") {
      if (!(`WS_${route.path}` in tree))
        routes[route.path] = route.hooks?.config?.mount ? route.hooks.trace || app.event.trace || app.extender.higherOrderFunctions ? createBunRouteHandler(app, route) : route.hooks.mount || route.handler : route.handler;
      continue;
    }
    let compiled, handler = app.config.precompile ? createBunRouteHandler(app, route) : (request) => {
      if (compiled)
        return compiled(request);
      return (compiled = createBunRouteHandler(app, route))(request);
    };
    for (let path of getPossibleParams(route.path))
      add({ method, path }, handler);
  }
  return routes;
}, mergeRoutes = (r1, r2) => {
  if (!r2)
    return r1;
  for (let key of Object.keys(r2)) {
    if (r1[key] === r2[key])
      continue;
    if (!r1[key]) {
      r1[key] = r2[key];
      continue;
    }
    if (r1[key] && r2[key]) {
      if (typeof r1[key] === "function" || r1[key] instanceof Response) {
        r1[key] = r2[key];
        continue;
      }
      r1[key] = { ...r1[key], ...r2[key] };
    }
  }
  return r1;
}, BunAdapter, env2, injectDefaultValues = (typeChecker, obj) => {
  for (let [key, keySchema] of Object.entries(typeChecker.schema.properties))
    obj[key] ??= keySchema.default;
}, createDynamicHandler = (app) => {
  let { mapResponse: mapResponse3, mapEarlyResponse: mapEarlyResponse3 } = app["~adapter"].handler;
  return async (request) => {
    let url = request.url, s = url.indexOf("/", 11), qi = url.indexOf("?", s + 1), path = qi === -1 ? url.substring(s) : url.substring(s, qi), set22 = { cookie: {}, status: 200, headers: {} }, context = Object.assign({}, app.singleton.decorator, { set: set22, store: app.singleton.store, request, path, qi, error: status, status, redirect });
    try {
      if (app.event.request)
        for (let i = 0;i < app.event.request.length; i++) {
          let onRequest = app.event.request[i].fn, response2 = onRequest(context);
          if (response2 instanceof Promise)
            response2 = await response2;
          if (response2 = mapEarlyResponse3(response2, set22), response2)
            return context.response = response2;
        }
      let methodKey = request.method === "GET" && request.headers.get("upgrade")?.toLowerCase() === "websocket" ? "WS" : request.method, handler = app.router.dynamic.find(request.method, path) ?? app.router.dynamic.find(methodKey, path) ?? app.router.dynamic.find("ALL", path);
      if (!handler)
        throw new NotFoundError;
      let { handle, hooks, validator, content, route } = handler.store, body;
      if (request.method !== "GET" && request.method !== "HEAD")
        if (content)
          switch (content) {
            case "application/json":
              body = await request.json();
              break;
            case "text/plain":
              body = await request.text();
              break;
            case "application/x-www-form-urlencoded":
              body = parseQuery(await request.text());
              break;
            case "application/octet-stream":
              body = await request.arrayBuffer();
              break;
            case "multipart/form-data":
              body = {};
              let form2 = await request.formData();
              for (let key of form2.keys()) {
                if (body[key])
                  continue;
                let value2 = form2.getAll(key);
                if (value2.length === 1)
                  body[key] = value2[0];
                else
                  body[key] = value2;
              }
              break;
          }
        else {
          let contentType = request.headers.get("content-type");
          if (contentType) {
            let index = contentType.indexOf(";");
            if (index !== -1)
              contentType = contentType.slice(0, index);
            if (context.contentType = contentType, hooks.parse)
              for (let i = 0;i < hooks.parse.length; i++) {
                let hook = hooks.parse[i].fn, temp = hook(context, contentType);
                if (temp instanceof Promise)
                  temp = await temp;
                if (temp) {
                  body = temp;
                  break;
                }
              }
            if (delete context.contentType, body === undefined)
              switch (contentType) {
                case "application/json":
                  body = await request.json();
                  break;
                case "text/plain":
                  body = await request.text();
                  break;
                case "application/x-www-form-urlencoded":
                  body = parseQuery(await request.text());
                  break;
                case "application/octet-stream":
                  body = await request.arrayBuffer();
                  break;
                case "multipart/form-data":
                  body = {};
                  let form2 = await request.formData();
                  for (let key of form2.keys()) {
                    if (body[key])
                      continue;
                    let value2 = form2.getAll(key);
                    if (value2.length === 1)
                      body[key] = value2[0];
                    else
                      body[key] = value2;
                  }
                  break;
              }
          }
        }
      context.route = route, context.body = body, context.params = handler?.params || undefined, context.query = qi === -1 ? {} : parseQuery(url.substring(qi + 1)), context.headers = {};
      for (let [key, value2] of request.headers.entries())
        context.headers[key] = value2;
      let cookieMeta = Object.assign({}, app.config?.cookie, validator?.cookie?.config), cookieHeaderValue = request.headers.get("cookie");
      context.cookie = await parseCookie(context.set, cookieHeaderValue, cookieMeta ? { secrets: cookieMeta.secrets !== undefined ? typeof cookieMeta.secrets === "string" ? cookieMeta.secrets : cookieMeta.secrets.join(",") : undefined, sign: cookieMeta.sign === true ? true : cookieMeta.sign !== undefined ? typeof cookieMeta.sign === "string" ? cookieMeta.sign : cookieMeta.sign.join(",") : undefined } : undefined);
      let headerValidator = validator?.createHeaders?.();
      if (headerValidator)
        injectDefaultValues(headerValidator, context.headers);
      let paramsValidator = validator?.createParams?.();
      if (paramsValidator)
        injectDefaultValues(paramsValidator, context.params);
      let queryValidator = validator?.createQuery?.();
      if (queryValidator)
        injectDefaultValues(queryValidator, context.query);
      if (hooks.transform)
        for (let i = 0;i < hooks.transform.length; i++) {
          let hook = hooks.transform[i], response2 = hook.fn(context);
          if (response2 instanceof Promise)
            response2 = await response2;
          if (response2 instanceof ElysiaCustomStatusResponse) {
            let result = mapEarlyResponse3(response2, context.set);
            if (result)
              return context.response = result;
          }
          if (hook.subType === "derive")
            Object.assign(context, response2);
        }
      if (validator) {
        if (headerValidator) {
          let _header = structuredClone(context.headers);
          for (let [key, value2] of request.headers)
            _header[key] = value2;
          if (validator.headers.Check(_header) === false)
            throw new ValidationError("header", validator.headers, _header);
        } else if (validator.headers?.Decode)
          context.headers = validator.headers.Decode(context.headers);
        if (paramsValidator?.Check(context.params) === false)
          throw new ValidationError("params", validator.params, context.params);
        else if (validator.params?.Decode)
          context.params = validator.params.Decode(context.params);
        if (queryValidator?.Check(context.query) === false)
          throw new ValidationError("query", validator.query, context.query);
        else if (validator.query?.Decode)
          context.query = validator.query.Decode(context.query);
        if (validator.createCookie?.()) {
          let cookieValue = {};
          for (let [key, value2] of Object.entries(context.cookie))
            cookieValue[key] = value2.value;
          if (validator.cookie.Check(cookieValue) === false)
            throw new ValidationError("cookie", validator.cookie, cookieValue);
          else if (validator.cookie?.Decode)
            cookieValue = validator.cookie.Decode(cookieValue);
        }
        if (validator.createBody?.()?.Check(body) === false)
          throw new ValidationError("body", validator.body, body);
        else if (validator.body?.Decode)
          context.body = validator.body.Decode(body);
      }
      if (hooks.beforeHandle)
        for (let i = 0;i < hooks.beforeHandle.length; i++) {
          let hook = hooks.beforeHandle[i], response2 = hook.fn(context);
          if (response2 instanceof Promise)
            response2 = await response2;
          if (response2 instanceof ElysiaCustomStatusResponse) {
            let result = mapEarlyResponse3(response2, context.set);
            if (result)
              return context.response = result;
          }
          if (hook.subType === "resolve") {
            Object.assign(context, response2);
            continue;
          }
          if (response2 !== undefined) {
            if (context.response = response2, hooks.afterHandle)
              for (let i2 = 0;i2 < hooks.afterHandle.length; i2++) {
                let newResponse = hooks.afterHandle[i2].fn(context);
                if (newResponse instanceof Promise)
                  newResponse = await newResponse;
                if (newResponse)
                  response2 = newResponse;
              }
            let result = mapEarlyResponse3(response2, context.set);
            if (result)
              return context.response = result;
          }
        }
      let response = typeof handle === "function" ? handle(context) : handle;
      if (response instanceof Promise)
        response = await response;
      if (hooks.afterHandle)
        if (!hooks.afterHandle.length) {
          let status2 = response instanceof ElysiaCustomStatusResponse ? response.code : set22.status ? typeof set22.status === "string" ? StatusMap[set22.status] : set22.status : 200, responseValidator = validator?.createResponse?.()?.[status2];
          if (responseValidator?.Check(response) === false)
            throw new ValidationError("response", responseValidator, response);
          else if (responseValidator?.Decode)
            response = responseValidator.Decode(response);
        } else {
          context.response = response;
          for (let i = 0;i < hooks.afterHandle.length; i++) {
            let newResponse = hooks.afterHandle[i].fn(context);
            if (newResponse instanceof Promise)
              newResponse = await newResponse;
            let result = mapEarlyResponse3(newResponse, context.set);
            if (result !== undefined) {
              let responseValidator = validator?.response?.[result.status];
              if (responseValidator?.Check(result) === false)
                throw new ValidationError("response", responseValidator, result);
              else if (responseValidator?.Decode)
                response = responseValidator.Decode(response);
              return context.response = result;
            }
          }
        }
      if (context.set.cookie && cookieMeta?.sign) {
        let secret = !cookieMeta.secrets ? undefined : typeof cookieMeta.secrets === "string" ? cookieMeta.secrets : cookieMeta.secrets[0];
        if (cookieMeta.sign === true)
          for (let [key, cookie] of Object.entries(context.set.cookie))
            context.set.cookie[key].value = await signCookie(cookie.value, "${secret}");
        else {
          let properties = validator?.cookie?.schema?.properties;
          for (let name of cookieMeta.sign) {
            if (!(name in properties))
              continue;
            if (context.set.cookie[name]?.value)
              context.set.cookie[name].value = await signCookie(context.set.cookie[name].value, secret);
          }
        }
      }
      return mapResponse3(context.response = response, context.set);
    } catch (error22) {
      let reportedError = error22 instanceof TransformDecodeError && error22.error ? error22.error : error22;
      return app.handleError(context, reportedError);
    } finally {
      if (app.event.afterResponse)
        for (let afterResponse of app.event.afterResponse)
          await afterResponse.fn(context);
    }
  };
}, createDynamicErrorHandler = (app) => {
  let { mapResponse: mapResponse3 } = app["~adapter"].handler;
  return async (context, error22) => {
    let errorContext = Object.assign(context, { error: error22, code: error22.code });
    if (errorContext.set = context.set, app.event.error)
      for (let i = 0;i < app.event.error.length; i++) {
        let response = app.event.error[i].fn(errorContext);
        if (response instanceof Promise)
          response = await response;
        if (response !== undefined && response !== null)
          return context.response = mapResponse3(response, context.set);
      }
    return new Response(typeof error22.cause === "string" ? error22.cause : error22.message, { headers: context.set.headers, status: error22.status ?? 500 });
  };
};
var init_bun = __esm(() => {
  init_esm();
  init_esm();
  init_esm();
  init_esm();
  init_value4();
  init_compiler2();
  init_value4();
  init_value4();
  init_esm();
  init_esm();
  init_value4();
  init_compiler2();
  init_compiler2();
  init_value4();
  __create2 = Object.create;
  ({ getPrototypeOf: __getProtoOf2, defineProperty: __defProp2, getOwnPropertyNames: __getOwnPropNames2 } = Object);
  __hasOwnProp2 = Object.prototype.hasOwnProperty;
  require_dist = __commonJS2((exports) => {
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.parse = parse4;
    exports.serialize = serialize;
    var cookieNameRegExp = /^[\u0021-\u003A\u003C\u003E-\u007E]+$/, cookieValueRegExp = /^[\u0021-\u003A\u003C-\u007E]*$/, domainValueRegExp = /^([.]?[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)([.][a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?)*$/i, pathValueRegExp = /^[\u0020-\u003A\u003D-\u007E]*$/, __toString = Object.prototype.toString, NullObject = (() => {
      let C = function() {
      };
      return C.prototype = Object.create(null), C;
    })();
    function parse4(str, options) {
      let obj = new NullObject, len = str.length;
      if (len < 2)
        return obj;
      let dec = options?.decode || decode4, index = 0;
      do {
        let eqIdx = str.indexOf("=", index);
        if (eqIdx === -1)
          break;
        let colonIdx = str.indexOf(";", index), endIdx = colonIdx === -1 ? len : colonIdx;
        if (eqIdx > endIdx) {
          index = str.lastIndexOf(";", eqIdx - 1) + 1;
          continue;
        }
        let keyStartIdx = startIndex(str, index, eqIdx), keyEndIdx = endIndex(str, eqIdx, keyStartIdx), key = str.slice(keyStartIdx, keyEndIdx);
        if (obj[key] === undefined) {
          let valStartIdx = startIndex(str, eqIdx + 1, endIdx), valEndIdx = endIndex(str, endIdx, valStartIdx), value2 = dec(str.slice(valStartIdx, valEndIdx));
          obj[key] = value2;
        }
        index = endIdx + 1;
      } while (index < len);
      return obj;
    }
    function startIndex(str, index, max2) {
      do {
        let code = str.charCodeAt(index);
        if (code !== 32 && code !== 9)
          return index;
      } while (++index < max2);
      return max2;
    }
    function endIndex(str, index, min) {
      while (index > min) {
        let code = str.charCodeAt(--index);
        if (code !== 32 && code !== 9)
          return index + 1;
      }
      return min;
    }
    function serialize(name, val, options) {
      let enc = options?.encode || encodeURIComponent;
      if (!cookieNameRegExp.test(name))
        throw new TypeError(`argument name is invalid: ${name}`);
      let value2 = enc(val);
      if (!cookieValueRegExp.test(value2))
        throw new TypeError(`argument val is invalid: ${val}`);
      let str = name + "=" + value2;
      if (!options)
        return str;
      if (options.maxAge !== undefined) {
        if (!Number.isInteger(options.maxAge))
          throw new TypeError(`option maxAge is invalid: ${options.maxAge}`);
        str += "; Max-Age=" + options.maxAge;
      }
      if (options.domain) {
        if (!domainValueRegExp.test(options.domain))
          throw new TypeError(`option domain is invalid: ${options.domain}`);
        str += "; Domain=" + options.domain;
      }
      if (options.path) {
        if (!pathValueRegExp.test(options.path))
          throw new TypeError(`option path is invalid: ${options.path}`);
        str += "; Path=" + options.path;
      }
      if (options.expires) {
        if (!isDate(options.expires) || !Number.isFinite(options.expires.valueOf()))
          throw new TypeError(`option expires is invalid: ${options.expires}`);
        str += "; Expires=" + options.expires.toUTCString();
      }
      if (options.httpOnly)
        str += "; HttpOnly";
      if (options.secure)
        str += "; Secure";
      if (options.partitioned)
        str += "; Partitioned";
      if (options.priority)
        switch (typeof options.priority === "string" ? options.priority.toLowerCase() : undefined) {
          case "low":
            str += "; Priority=Low";
            break;
          case "medium":
            str += "; Priority=Medium";
            break;
          case "high":
            str += "; Priority=High";
            break;
          default:
            throw new TypeError(`option priority is invalid: ${options.priority}`);
        }
      if (options.sameSite)
        switch (typeof options.sameSite === "string" ? options.sameSite.toLowerCase() : options.sameSite) {
          case true:
          case "strict":
            str += "; SameSite=Strict";
            break;
          case "lax":
            str += "; SameSite=Lax";
            break;
          case "none":
            str += "; SameSite=None";
            break;
          default:
            throw new TypeError(`option sameSite is invalid: ${options.sameSite}`);
        }
      return str;
    }
    function decode4(str) {
      if (str.indexOf("%") === -1)
        return str;
      try {
        return decodeURIComponent(str);
      } catch (e) {
        return str;
      }
    }
    function isDate(val) {
      return __toString.call(val) === "[object Date]";
    }
  });
  require_fast_decode_uri_component = __commonJS2((exports, module3) => {
    var UTF8_ACCEPT = 12, UTF8_REJECT = 0, UTF8_DATA = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 7, 7, 10, 9, 9, 9, 11, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 0, 24, 36, 48, 60, 72, 84, 96, 0, 12, 12, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 24, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 48, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 127, 63, 63, 63, 0, 31, 15, 15, 15, 7, 7, 7];
    function decodeURIComponent2(uri2) {
      var percentPosition = uri2.indexOf("%");
      if (percentPosition === -1)
        return uri2;
      var length = uri2.length, decoded = "", last = 0, codepoint = 0, startOfOctets = percentPosition, state = UTF8_ACCEPT;
      while (percentPosition > -1 && percentPosition < length) {
        var high = hexCodeToInt(uri2[percentPosition + 1], 4), low = hexCodeToInt(uri2[percentPosition + 2], 0), byte2 = high | low, type4 = UTF8_DATA[byte2];
        if (state = UTF8_DATA[256 + state + type4], codepoint = codepoint << 6 | byte2 & UTF8_DATA[364 + type4], state === UTF8_ACCEPT)
          decoded += uri2.slice(last, startOfOctets), decoded += codepoint <= 65535 ? String.fromCharCode(codepoint) : String.fromCharCode(55232 + (codepoint >> 10), 56320 + (codepoint & 1023)), codepoint = 0, last = percentPosition + 3, percentPosition = startOfOctets = uri2.indexOf("%", last);
        else if (state === UTF8_REJECT)
          return null;
        else {
          if (percentPosition += 3, percentPosition < length && uri2.charCodeAt(percentPosition) === 37)
            continue;
          return null;
        }
      }
      return decoded + uri2.slice(last);
    }
    var HEX = { "0": 0, "1": 1, "2": 2, "3": 3, "4": 4, "5": 5, "6": 6, "7": 7, "8": 8, "9": 9, a: 10, A: 10, b: 11, B: 11, c: 12, C: 12, d: 13, D: 13, e: 14, E: 14, f: 15, F: 15 };
    function hexCodeToInt(c, shift) {
      var i = HEX[c];
      return i === undefined ? 255 : i << shift;
    }
    module3.exports = decodeURIComponent2;
  });
  _ = class _ {
    config;
    root = {};
    history = [];
    deferred = [];
    constructor(A = {}) {
      if (this.config = A, A.lazy)
        this.find = this.lazyFind;
    }
    static regex = { static: /:.+?(?=\/|$)/, params: /:.+?(?=\/|$)/g, optionalParams: /(\/:\w+\?)/g };
    lazyFind = (A, b) => {
      if (!this.config.lazy)
        return this.find;
      return this.build(), this.find(A, b);
    };
    build() {
      if (!this.config.lazy)
        return;
      for (let [A, b, v] of this.deferred)
        this.add(A, b, v, { lazy: false, ignoreHistory: true });
      this.deferred = [], this.find = (A, b) => {
        let v = this.root[A];
        if (!v)
          return null;
        return $(b, b.length, v, 0);
      };
    }
    add(A, b, v, { ignoreError: K = false, ignoreHistory: V = false, lazy: U = this.config.lazy } = {}) {
      if (U)
        return this.find = this.lazyFind, this.deferred.push([A, b, v]), v;
      if (typeof b !== "string")
        throw new TypeError("Route path must be a string");
      if (b === "")
        b = "/";
      else if (b[0] !== "/")
        b = `/${b}`;
      let J = b[b.length - 1] === "*", F = b.match(_.regex.optionalParams);
      if (F) {
        let S = b.replaceAll("?", "");
        this.add(A, S, v, { ignoreError: K, ignoreHistory: V, lazy: U });
        for (let D = 0;D < F.length; D++) {
          let B = b.replace(F[D], "");
          this.add(A, B, v, { ignoreError: true, ignoreHistory: V, lazy: U });
        }
        return v;
      }
      if (F)
        b = b.replaceAll("?", "");
      if (this.history.find(([S, D, B]) => S === A && D === b))
        return v;
      if (J || F && b.charCodeAt(b.length - 1) === 63)
        b = b.slice(0, -1);
      if (!V)
        this.history.push([A, b, v]);
      let G = b.split(_.regex.static), X = b.match(_.regex.params) || [];
      if (G[G.length - 1] === "")
        G.pop();
      let q;
      if (!this.root[A])
        q = this.root[A] = Y("/");
      else
        q = this.root[A];
      let O = 0;
      for (let S = 0;S < G.length; ++S) {
        let D = G[S];
        if (S > 0) {
          let B = X[O++].slice(1);
          if (q.params === null)
            q.params = T(B);
          else if (q.params.name !== B)
            if (K)
              return v;
            else
              throw new Error(`Cannot create route "${b}" with parameter "${B}" because a route already exists with a different parameter name ("${q.params.name}") in the same location`);
          let Q = q.params;
          if (Q.inert === null) {
            q = Q.inert = Y(D);
            continue;
          }
          q = Q.inert;
        }
        for (let B = 0;; ) {
          if (B === D.length) {
            if (B < q.part.length) {
              let Q = k(q, q.part.slice(B));
              Object.assign(q, Y(D, [Q]));
            }
            break;
          }
          if (B === q.part.length) {
            if (q.inert === null)
              q.inert = {};
            let Q = q.inert[D.charCodeAt(B)];
            if (Q) {
              q = Q, D = D.slice(B), B = 0;
              continue;
            }
            let Z = Y(D.slice(B));
            q.inert[D.charCodeAt(B)] = Z, q = Z;
            break;
          }
          if (D[B] !== q.part[B]) {
            let Q = k(q, q.part.slice(B)), Z = Y(D.slice(B));
            Object.assign(q, Y(q.part.slice(0, B), [Q, Z])), q = Z;
            break;
          }
          ++B;
        }
      }
      if (O < X.length) {
        let D = X[O].slice(1);
        if (q.params === null)
          q.params = T(D);
        else if (q.params.name !== D)
          if (K)
            return v;
          else
            throw new Error(`Cannot create route "${b}" with parameter "${D}" because a route already exists with a different parameter name ("${q.params.name}") in the same location`);
        if (q.params.store === null)
          q.params.store = v;
        return q.params.store;
      }
      if (J) {
        if (q.wildcardStore === null)
          q.wildcardStore = v;
        return q.wildcardStore;
      }
      if (q.store === null)
        q.store = v;
      return q.store;
    }
    find(A, b) {
      let v = this.root[A];
      if (!v)
        return null;
      return $(b, b.length, v, 0);
    }
  };
  fullFormats = { date: date3, time: getTime(true), "date-time": getDateTime(true), "iso-time": getTime(false), "iso-date-time": getDateTime(false), duration: /^P(?!$)((\d+Y)?(\d+M)?(\d+D)?(T(?=\d)(\d+H)?(\d+M)?(\d+S)?)?|(\d+W)?)$/, uri, "uri-reference": /^(?:[a-z][a-z0-9+\-.]*:)?(?:\/?\/(?:(?:[a-z0-9\-._~!$&'()*+,;=:]|%[0-9a-f]{2})*@)?(?:\[(?:(?:(?:(?:[0-9a-f]{1,4}:){6}|::(?:[0-9a-f]{1,4}:){5}|(?:[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){4}|(?:(?:[0-9a-f]{1,4}:){0,1}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){3}|(?:(?:[0-9a-f]{1,4}:){0,2}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){2}|(?:(?:[0-9a-f]{1,4}:){0,3}[0-9a-f]{1,4})?::[0-9a-f]{1,4}:|(?:(?:[0-9a-f]{1,4}:){0,4}[0-9a-f]{1,4})?::)(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?))|(?:(?:[0-9a-f]{1,4}:){0,5}[0-9a-f]{1,4})?::[0-9a-f]{1,4}|(?:(?:[0-9a-f]{1,4}:){0,6}[0-9a-f]{1,4})?::)|[Vv][0-9a-f]+\.[a-z0-9\-._~!$&'()*+,;=:]+)\]|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)|(?:[a-z0-9\-._~!$&'"()*+,;=]|%[0-9a-f]{2})*)(?::\d*)?(?:\/(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})*)*|\/(?:(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})*)*)?|(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})*)*)?(?:\?(?:[a-z0-9\-._~!$&'"()*+,;=:@/?]|%[0-9a-f]{2})*)?(?:#(?:[a-z0-9\-._~!$&'"()*+,;=:@/?]|%[0-9a-f]{2})*)?$/i, "uri-template": /^(?:(?:[^\x00-\x20"'<>%\\^`{|}]|%[0-9a-f]{2})|\{[+#./;?&=,!@|]?(?:[a-z0-9_]|%[0-9a-f]{2})+(?::[1-9][0-9]{0,3}|\*)?(?:,(?:[a-z0-9_]|%[0-9a-f]{2})+(?::[1-9][0-9]{0,3}|\*)?)*\})*$/i, url: /^(?:https?|ftp):\/\/(?:\S+(?::\S*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z0-9\u{00a1}-\u{ffff}]+-)*[a-z0-9\u{00a1}-\u{ffff}]+)(?:\.(?:[a-z0-9\u{00a1}-\u{ffff}]+-)*[a-z0-9\u{00a1}-\u{ffff}]+)*(?:\.(?:[a-z\u{00a1}-\u{ffff}]{2,})))(?::\d{2,5})?(?:\/[^\s]*)?$/iu, email: /^[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$/i, hostname: /^(?=.{1,253}\.?$)[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?(?:\.[a-z0-9](?:[-0-9a-z]{0,61}[0-9a-z])?)*\.?$/i, ipv4: /^(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)\.){3}(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)$/, ipv6: /^((([0-9a-f]{1,4}:){7}([0-9a-f]{1,4}|:))|(([0-9a-f]{1,4}:){6}(:[0-9a-f]{1,4}|((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9a-f]{1,4}:){5}(((:[0-9a-f]{1,4}){1,2})|:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9a-f]{1,4}:){4}(((:[0-9a-f]{1,4}){1,3})|((:[0-9a-f]{1,4})?:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9a-f]{1,4}:){3}(((:[0-9a-f]{1,4}){1,4})|((:[0-9a-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9a-f]{1,4}:){2}(((:[0-9a-f]{1,4}){1,5})|((:[0-9a-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9a-f]{1,4}:){1}(((:[0-9a-f]{1,4}){1,6})|((:[0-9a-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9a-f]{1,4}){1,7})|((:[0-9a-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))$/i, regex, uuid: /^(?:urn:uuid:)?[0-9a-f]{8}-(?:[0-9a-f]{4}-){3}[0-9a-f]{12}$/i, "json-pointer": /^(?:\/(?:[^~/]|~0|~1)*)*$/, "json-pointer-uri-fragment": /^#(?:\/(?:[a-z0-9_\-.!$&'()*+,;:=@]|%[0-9a-f]{2}|~0|~1)*)*$/i, "relative-json-pointer": /^(?:0|[1-9][0-9]*)(?:#|(?:\/(?:[^~/]|~0|~1)*)*)$/, byte, int32: { type: "number", validate: validateInt32 }, int64: { type: "number", validate: validateInt64 }, float: { type: "number", validate: validateNumber }, double: { type: "number", validate: validateNumber }, password: true, binary: true };
  DATE = /^(\d\d\d\d)-(\d\d)-(\d\d)$/;
  DAYS = [0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
  TIME = /^(\d\d):(\d\d):(\d\d(?:\.\d+)?)(z|([+-])(\d\d)(?::?(\d\d))?)?$/i;
  DATE_TIME_SEPARATOR = /t|\s/i;
  NOT_URI_FRAGMENT = /\/|:/;
  URI = /^(?:[a-z][a-z0-9+\-.]*:)(?:\/?\/(?:(?:[a-z0-9\-._~!$&'()*+,;=:]|%[0-9a-f]{2})*@)?(?:\[(?:(?:(?:(?:[0-9a-f]{1,4}:){6}|::(?:[0-9a-f]{1,4}:){5}|(?:[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){4}|(?:(?:[0-9a-f]{1,4}:){0,1}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){3}|(?:(?:[0-9a-f]{1,4}:){0,2}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){2}|(?:(?:[0-9a-f]{1,4}:){0,3}[0-9a-f]{1,4})?::[0-9a-f]{1,4}:|(?:(?:[0-9a-f]{1,4}:){0,4}[0-9a-f]{1,4})?::)(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?))|(?:(?:[0-9a-f]{1,4}:){0,5}[0-9a-f]{1,4})?::[0-9a-f]{1,4}|(?:(?:[0-9a-f]{1,4}:){0,6}[0-9a-f]{1,4})?::)|[Vv][0-9a-f]+\.[a-z0-9\-._~!$&'()*+,;=:]+)\]|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)|(?:[a-z0-9\-._~!$&'()*+,;=]|%[0-9a-f]{2})*)(?::\d*)?(?:\/(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})*)*|\/(?:(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})*)*)?|(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})*)*)(?:\?(?:[a-z0-9\-._~!$&'()*+,;=:@/?]|%[0-9a-f]{2})*)?(?:#(?:[a-z0-9\-._~!$&'()*+,;=:@/?]|%[0-9a-f]{2})*)?$/i;
  BYTE = /^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/gm;
  Z_ANCHOR = /[^\\]\\Z/;
  isISO8601 = /(\d{4}-[01]\d-[0-3]\dT[0-2]\d:[0-5]\d:[0-5]\d\.\d+([+-][0-2]\d:[0-5]\d|Z))|(\d{4}-[01]\d-[0-3]\dT[0-2]\d:[0-5]\d:[0-5]\d([+-][0-2]\d:[0-5]\d|Z))|(\d{4}-[01]\d-[0-3]\dT[0-2]\d:[0-5]\d([+-][0-2]\d:[0-5]\d|Z))/;
  isFormalDate = /(?:Sun|Mon|Tue|Wed|Thu|Fri|Sat)\s(?:Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)\s\d{2}\s\d{4}\s\d{2}:\d{2}:\d{2}\sGMT(?:\+|-)\d{4}\s\([^)]+\)/;
  isShortenDate = /^(?:(?:(?:(?:0?[1-9]|[12][0-9]|3[01])[/\s-](?:0?[1-9]|1[0-2])[/\s-](?:19|20)\d{2})|(?:(?:19|20)\d{2}[/\s-](?:0?[1-9]|1[0-2])[/\s-](?:0?[1-9]|[12][0-9]|3[01]))))(?:\s(?:1[012]|0?[1-9]):[0-5][0-9](?::[0-5][0-9])?(?:\s[AP]M)?)?$/;
  _validateDate = fullFormats.date;
  _validateDateTime = fullFormats["date-time"];
  if (!exports_format.Has("date"))
    exports_format.Set("date", (value2) => {
      let temp = parseDateTimeEmptySpace(value2).replace(/"/g, "");
      if (isISO8601.test(temp) || isFormalDate.test(temp) || isShortenDate.test(temp) || _validateDate(temp)) {
        let date22 = new Date(temp);
        if (!Number.isNaN(date22.getTime()))
          return true;
      }
      return false;
    });
  if (!exports_format.Has("date-time"))
    exports_format.Set("date-time", (value2) => {
      let temp = value2.replace(/"/g, "");
      if (isISO8601.test(temp) || isFormalDate.test(temp) || isShortenDate.test(temp) || _validateDateTime(temp)) {
        let date22 = new Date(temp);
        if (!Number.isNaN(date22.getTime()))
          return true;
      }
      return false;
    });
  Object.entries(fullFormats).forEach((formatEntry) => {
    let [formatName, formatValue] = formatEntry;
    if (!exports_format.Has(formatName)) {
      if (formatValue instanceof RegExp)
        exports_format.Set(formatName, (value2) => formatValue.test(value2));
      else if (typeof formatValue === "function")
        exports_format.Set(formatName, formatValue);
    }
  });
  if (!exports_format.Has("numeric"))
    exports_format.Set("numeric", (value2) => !!value2 && !isNaN(+value2));
  if (!exports_format.Has("integer"))
    exports_format.Set("integer", (value2) => !!value2 && Number.isInteger(+value2));
  if (!exports_format.Has("boolean"))
    exports_format.Set("boolean", (value2) => value2 === "true" || value2 === "false");
  if (!exports_format.Has("ObjectString"))
    exports_format.Set("ObjectString", (value2) => {
      let start = value2.charCodeAt(0);
      if (start === 9 || start === 10 || start === 32)
        start = value2.trimStart().charCodeAt(0);
      if (start !== 123 && start !== 91)
        return false;
      try {
        return JSON.parse(value2), true;
      } catch {
        return false;
      }
    });
  if (!exports_format.Has("ArrayString"))
    exports_format.Set("ArrayString", (value2) => {
      let start = value2.charCodeAt(0);
      if (start === 9 || start === 10 || start === 32)
        start = value2.trimStart().charCodeAt(0);
      if (start !== 123 && start !== 91)
        return false;
      try {
        return JSON.parse(value2), true;
      } catch {
        return false;
      }
    });
  isBun = typeof Bun !== "undefined";
  mime = { aac: "audio/aac", abw: "application/x-abiword", ai: "application/postscript", arc: "application/octet-stream", avi: "video/x-msvideo", azw: "application/vnd.amazon.ebook", bin: "application/octet-stream", bz: "application/x-bzip", bz2: "application/x-bzip2", csh: "application/x-csh", css: "text/css", csv: "text/csv", doc: "application/msword", dll: "application/octet-stream", eot: "application/vnd.ms-fontobject", epub: "application/epub+zip", gif: "image/gif", htm: "text/html", html: "text/html", ico: "image/x-icon", ics: "text/calendar", jar: "application/java-archive", jpeg: "image/jpeg", jpg: "image/jpeg", js: "application/javascript", json: "application/json", mid: "audio/midi", midi: "audio/midi", mp2: "audio/mpeg", mp3: "audio/mpeg", mp4: "video/mp4", mpa: "video/mpeg", mpe: "video/mpeg", mpeg: "video/mpeg", mpkg: "application/vnd.apple.installer+xml", odp: "application/vnd.oasis.opendocument.presentation", ods: "application/vnd.oasis.opendocument.spreadsheet", odt: "application/vnd.oasis.opendocument.text", oga: "audio/ogg", ogv: "video/ogg", ogx: "application/ogg", otf: "font/otf", png: "image/png", pdf: "application/pdf", ppt: "application/vnd.ms-powerpoint", rar: "application/x-rar-compressed", rtf: "application/rtf", sh: "application/x-sh", svg: "image/svg+xml", swf: "application/x-shockwave-flash", tar: "application/x-tar", tif: "image/tiff", tiff: "image/tiff", ts: "application/typescript", ttf: "font/ttf", txt: "text/plain", vsd: "application/vnd.visio", wav: "audio/x-wav", weba: "audio/webm", webm: "video/webm", webp: "image/webp", woff: "font/woff", woff2: "font/woff2", xhtml: "application/xhtml+xml", xls: "application/vnd.ms-excel", xlsx: "application/vnd.ms-excel", xlsx_OLD: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet", xml: "application/xml", xul: "application/vnd.mozilla.xul+xml", zip: "application/zip", "3gp": "video/3gpp", "3gp_DOES_NOT_CONTAIN_VIDEO": "audio/3gpp", "3gp2": "video/3gpp2", "3gp2_DOES_NOT_CONTAIN_VIDEO": "audio/3gpp2", "7z": "application/x-7z-compressed" };
  hasHeaderShorthand = "toJSON" in new Headers;
  primitiveHooks = ["start", "request", "parse", "transform", "resolve", "beforeHandle", "afterHandle", "mapResponse", "afterResponse", "trace", "error", "stop", "body", "headers", "params", "query", "response", "type", "detail"];
  primitiveHookMap = primitiveHooks.reduce((acc, x) => (acc[x] = true, acc), {});
  isBun2 = typeof Bun !== "undefined";
  hasBunHash = isBun2 && typeof Bun.hash === "function";
  StatusMap = { Continue: 100, "Switching Protocols": 101, Processing: 102, "Early Hints": 103, OK: 200, Created: 201, Accepted: 202, "Non-Authoritative Information": 203, "No Content": 204, "Reset Content": 205, "Partial Content": 206, "Multi-Status": 207, "Already Reported": 208, "Multiple Choices": 300, "Moved Permanently": 301, Found: 302, "See Other": 303, "Not Modified": 304, "Temporary Redirect": 307, "Permanent Redirect": 308, "Bad Request": 400, Unauthorized: 401, "Payment Required": 402, Forbidden: 403, "Not Found": 404, "Method Not Allowed": 405, "Not Acceptable": 406, "Proxy Authentication Required": 407, "Request Timeout": 408, Conflict: 409, Gone: 410, "Length Required": 411, "Precondition Failed": 412, "Payload Too Large": 413, "URI Too Long": 414, "Unsupported Media Type": 415, "Range Not Satisfiable": 416, "Expectation Failed": 417, "I'm a teapot": 418, "Misdirected Request": 421, "Unprocessable Content": 422, Locked: 423, "Failed Dependency": 424, "Too Early": 425, "Upgrade Required": 426, "Precondition Required": 428, "Too Many Requests": 429, "Request Header Fields Too Large": 431, "Unavailable For Legal Reasons": 451, "Internal Server Error": 500, "Not Implemented": 501, "Bad Gateway": 502, "Service Unavailable": 503, "Gateway Timeout": 504, "HTTP Version Not Supported": 505, "Variant Also Negotiates": 506, "Insufficient Storage": 507, "Loop Detected": 508, "Not Extended": 510, "Network Authentication Required": 511 };
  InvertedStatusMap = Object.fromEntries(Object.entries(StatusMap).map(([k2, v]) => [v, k2]));
  encoder = new TextEncoder;
  ELYSIA_FORM_DATA = Symbol("ElysiaFormData");
  ELYSIA_REQUEST_ID = Symbol("ElysiaRequestId");
  supportPerMethodInlineHandler = (() => {
    if (typeof Bun === "undefined")
      return true;
    let semver = Bun.version.split(".");
    if (+semver[0] < 1 || +semver[1] < 2 || +semver[2] < 14)
      return false;
    return true;
  })();
  env = typeof Bun !== "undefined" ? Bun.env : typeof process !== "undefined" ? process?.env : undefined;
  ERROR_CODE = Symbol("ElysiaErrorCode");
  isProduction = (env?.NODE_ENV ?? env?.ENV) === "production";
  InternalServerError = class InternalServerError extends Error {
    code = "INTERNAL_SERVER_ERROR";
    status = 500;
    constructor(message) {
      super(message ?? "INTERNAL_SERVER_ERROR");
    }
  };
  NotFoundError = class NotFoundError extends Error {
    code = "NOT_FOUND";
    status = 404;
    constructor(message) {
      super(message ?? "NOT_FOUND");
    }
  };
  ParseError2 = class ParseError2 extends Error {
    code = "PARSE";
    status = 400;
    constructor(cause) {
      super("Bad Request", { cause });
    }
  };
  InvalidCookieSignature = class InvalidCookieSignature extends Error {
    key;
    code = "INVALID_COOKIE_SIGNATURE";
    status = 400;
    constructor(key, message) {
      super(message ?? `"${key}" has invalid cookie signature`);
      this.key = key;
    }
  };
  InvalidFileType = class InvalidFileType extends Error {
    property;
    expected;
    message;
    code = "INVALID_FILE_TYPE";
    status = 422;
    constructor(property, expected, message = `"${property}" has invalid file type`) {
      super(message);
      this.property = property;
      this.expected = expected;
      this.message = message;
      Object.setPrototypeOf(this, InvalidFileType.prototype);
    }
    toResponse(headers) {
      if (isProduction)
        return new Response(JSON.stringify({ type: "validation", on: "body" }), { status: 422, headers: { ...headers, "content-type": "application/json" } });
      return new Response(JSON.stringify({ type: "validation", on: "body", summary: "Invalid file type", message: this.message, property: this.property, expected: this.expected }), { status: 422, headers: { ...headers, "content-type": "application/json" } });
    }
  };
  ValidationError = class ValidationError extends Error {
    type;
    validator;
    value;
    code = "VALIDATION";
    status = 422;
    constructor(type4, validator, value2, errors2) {
      if (value2 && typeof value2 === "object" && value2 instanceof ElysiaCustomStatusResponse)
        value2 = value2.response;
      let error22 = errors2?.First() || (isProduction ? undefined : ("Errors" in validator) ? validator.Errors(value2).First() : exports_value2.Errors(validator, value2).First()), customError = error22?.schema?.message || error22?.schema?.error !== undefined ? typeof error22.schema.error === "function" ? error22.schema.error({ type: type4, validator, value: value2, get errors() {
        return [...validator.Errors(value2)].map(mapValueError);
      } }) : error22.schema.error : undefined, accessor = error22?.path || "root", message = "";
      if (customError !== undefined)
        message = typeof customError === "object" ? JSON.stringify(customError) : customError + "";
      else if (isProduction)
        message = JSON.stringify({ type: "validation", on: type4, summary: mapValueError(error22).summary, message: error22?.message, found: value2 });
      else {
        let schema3 = validator?.schema ?? validator, errors22 = "Errors" in validator ? [...validator.Errors(value2)].map(mapValueError) : [...exports_value2.Errors(validator, value2)].map(mapValueError), expected;
        try {
          expected = exports_value2.Create(schema3);
        } catch (error3) {
          expected = { type: "Could not create expected value", message: error3?.message, error: error3 };
        }
        message = JSON.stringify({ type: "validation", on: type4, summary: mapValueError(error22).summary, property: accessor, message: error22?.message, expected, found: value2, errors: errors22 }, null, 2);
      }
      super(message);
      this.type = type4;
      this.validator = validator;
      this.value = value2;
      Object.setPrototypeOf(this, ValidationError.prototype);
    }
    get all() {
      return "Errors" in this.validator ? [...this.validator.Errors(this.value)].map(mapValueError) : [...exports_value2.Errors(this.validator, this.value)].map(mapValueError);
    }
    static simplifyModel(validator) {
      let model = "schema" in validator ? validator.schema : validator;
      try {
        return exports_value2.Create(model);
      } catch {
        return model;
      }
    }
    get model() {
      return ValidationError.simplifyModel(this.validator);
    }
    toResponse(headers) {
      return new Response(this.message, { status: 400, headers: { ...headers, "content-type": "application/json" } });
    }
  };
  t = Object.assign({}, Type);
  createType("UnionEnum", (schema3, value2) => (typeof value2 === "number" || typeof value2 === "string" || value2 === null) && schema3.enum.includes(value2));
  internalFiles = createType("Files", (options, value2) => {
    if (!Array.isArray(value2))
      return validateFile(options, value2);
    if (options.minItems && value2.length < options.minItems)
      return false;
    if (options.maxItems && value2.length > options.maxItems)
      return false;
    for (let i = 0;i < value2.length; i++)
      if (!validateFile(options, value2[i]))
        return false;
    return true;
  });
  internalFormData = createType("ElysiaForm", ({ compiler: compiler2, ...schema3 }, value2) => {
    if (!(value2 instanceof FormData))
      return false;
    if (compiler2) {
      if (!(ELYSIA_FORM_DATA in value2))
        throw new ValidationError("property", schema3, value2);
      if (!compiler2.Check(value2[ELYSIA_FORM_DATA]))
        throw compiler2.Error(value2[ELYSIA_FORM_DATA]);
    }
    return true;
  });
  ElysiaType = { String: (property) => Type.String(property), Numeric: (property) => {
    let schema3 = Type.Number(property), compiler2 = compile(schema3);
    return t.Transform(t.Union([t.String({ format: "numeric", default: 0 }), t.Number(property)], property)).Decode((value2) => {
      let number3 = +value2;
      if (isNaN(number3))
        return value2;
      if (property && !compiler2.Check(number3))
        throw compiler2.Error(value2);
      return number3;
    }).Encode((value2) => value2);
  }, Integer: (property) => {
    let schema3 = Type.Integer(property), compiler2 = compile(schema3);
    return t.Transform(t.Union([t.String({ format: "integer", default: 0 }), Type.Integer(property)], property)).Decode((value2) => {
      let number3 = +value2;
      if (!compiler2.Check(number3))
        throw compiler2.Error(number3);
      return number3;
    }).Encode((value2) => value2);
  }, Date: (property) => {
    let schema3 = Type.Date(property), compiler2 = compile(schema3), _default = property?.default ? new Date(property.default) : undefined;
    return t.Transform(t.Union([Type.Date(property), t.String({ format: "date-time", default: _default?.toISOString() }), t.String({ format: "date", default: _default?.toISOString() }), t.Number({ default: _default?.getTime() })], property)).Decode((value2) => {
      if (typeof value2 === "number") {
        let date32 = new Date(value2);
        if (!compiler2.Check(date32))
          throw compiler2.Error(date32);
        return date32;
      }
      if (value2 instanceof Date)
        return value2;
      let date22 = new Date(parseDateTimeEmptySpace(value2));
      if (!date22 || isNaN(date22.getTime()))
        throw new ValidationError("property", schema3, date22);
      if (!compiler2.Check(date22))
        throw compiler2.Error(date22);
      return date22;
    }).Encode((value2) => value2.toISOString());
  }, BooleanString: (property) => {
    let schema3 = Type.Boolean(property), compiler2 = compile(schema3);
    return t.Transform(t.Union([t.Boolean(property), t.String({ format: "boolean", default: false })], property)).Decode((value2) => {
      if (typeof value2 === "string")
        return value2 === "true";
      if (value2 !== undefined && !compiler2.Check(value2))
        throw compiler2.Error(value2);
      return value2;
    }).Encode((value2) => value2);
  }, ObjectString: (properties, options) => {
    let schema3 = t.Object(properties, options), compiler2 = compile(schema3), defaultValue = JSON.stringify(compiler2.Create());
    return t.Transform(t.Union([t.String({ format: "ObjectString", default: defaultValue }), schema3])).Decode((value2) => {
      if (typeof value2 === "string") {
        if (value2.charCodeAt(0) !== 123)
          throw new ValidationError("property", schema3, value2);
        if (!compiler2.Check(value2 = tryParse(value2, schema3)))
          throw compiler2.Error(value2);
        return compiler2.Decode(value2);
      }
      return value2;
    }).Encode((value2) => {
      let original;
      if (typeof value2 === "string")
        value2 = tryParse(original = value2, schema3);
      if (!compiler2.Check(value2))
        throw compiler2.Error(value2);
      return original ?? JSON.stringify(value2);
    });
  }, ArrayString: (children = t.String(), options) => {
    let schema3 = t.Array(children, options), compiler2 = compile(schema3), decode4 = (value2, isProperty = false) => {
      if (value2.charCodeAt(0) === 91) {
        if (!compiler2.Check(value2 = tryParse(value2, schema3)))
          throw compiler2.Error(value2);
        return compiler2.Decode(value2);
      }
      if (value2.indexOf(",") !== -1) {
        if (!compiler2.Check(value2))
          throw compiler2.Error(value2);
        return compiler2.Decode(value2);
      }
      if (isProperty)
        return value2;
      throw new ValidationError("property", schema3, value2);
    };
    return t.Transform(t.Union([t.String({ format: "ArrayString", default: options?.default }), schema3])).Decode((value2) => {
      if (Array.isArray(value2)) {
        let values = [];
        for (let i = 0;i < value2.length; i++) {
          let v = value2[i];
          if (typeof v === "string") {
            let t2 = decode4(v, true);
            if (Array.isArray(t2))
              values = values.concat(t2);
            else
              values.push(t2);
            continue;
          }
          values.push(v);
        }
        return values;
      }
      if (typeof value2 === "string")
        return decode4(value2);
      return value2;
    }).Encode((value2) => {
      let original;
      if (typeof value2 === "string")
        value2 = tryParse(original = value2, schema3);
      if (!compiler2.Check(value2))
        throw new ValidationError("property", schema3, value2);
      return original ?? JSON.stringify(value2);
    });
  }, File: createType("File", validateFile), Files: (options = {}) => t.Transform(internalFiles(options)).Decode((value2) => {
    if (Array.isArray(value2))
      return value2;
    return [value2];
  }).Encode((value2) => value2), Nullable: (schema3, options) => t.Union([schema3, t.Null()], options), MaybeEmpty: (schema3, options) => t.Union([schema3, t.Null(), t.Undefined()], options), Cookie: (properties, { domain, expires, httpOnly, maxAge, path, priority, sameSite, secure, secrets, sign, ...options } = {}) => {
    let v = t.Object(properties, options);
    return v.config = { domain, expires, httpOnly, maxAge, path, priority, sameSite, secure, secrets, sign }, v;
  }, UnionEnum: (values, options = {}) => {
    let type4 = values.every((value2) => typeof value2 === "string") ? { type: "string" } : values.every((value2) => typeof value2 === "number") ? { type: "number" } : values.every((value2) => value2 === null) ? { type: "null" } : {};
    if (values.some((x) => typeof x === "object" && x !== null))
      throw new Error("This type does not support objects or arrays");
    return { default: values[0], ...options, [Kind]: "UnionEnum", ...type4, enum: values };
  }, NoValidate: (v, enabled = true) => {
    return v.noValidate = enabled, v;
  }, Form: (v, options = {}) => {
    let schema3 = t.Object(v, { default: form({}), ...options }), compiler2 = compile(schema3);
    return t.Union([schema3, internalFormData({ compiler: compiler2 })]);
  } };
  t.BooleanString = ElysiaType.BooleanString;
  t.ObjectString = ElysiaType.ObjectString;
  t.ArrayString = ElysiaType.ArrayString;
  t.Numeric = ElysiaType.Numeric;
  t.Integer = ElysiaType.Integer;
  t.File = (arg) => {
    if (arg?.type)
      loadFileType();
    return ElysiaType.File({ default: "File", ...arg, extension: arg?.type, type: "string", format: "binary" });
  };
  t.Files = (arg) => {
    if (arg?.type)
      loadFileType();
    return ElysiaType.Files({ ...arg, elysiaMeta: "Files", default: "Files", extension: arg?.type, type: "array", items: { ...arg, default: "Files", type: "string", format: "binary" } });
  };
  t.Nullable = (schema3) => ElysiaType.Nullable(schema3);
  t.MaybeEmpty = ElysiaType.MaybeEmpty;
  t.Cookie = ElysiaType.Cookie;
  t.Date = ElysiaType.Date;
  t.UnionEnum = ElysiaType.UnionEnum;
  t.NoValidate = ElysiaType.NoValidate;
  t.Form = ElysiaType.Form;
  caches = {};
  import_cookie = __toESM2(require_dist(), 1);
  import_fast_decode_uri_component = __toESM2(require_fast_decode_uri_component(), 1);
  handleResponse = createResponseHandler({ mapResponse, mapCompactResponse });
  handleStream = createStreamHandler({ mapResponse, mapCompactResponse });
  WebStandardAdapter = { name: "web-standard", isWebStandard: true, handler: { mapResponse, mapEarlyResponse, mapCompactResponse, createStaticHandler }, composeHandler: { mapResponseContext: "c.request", preferWebstandardHeaders: true, headers: `c.headers={}
for(const [k,v] of c.request.headers.entries())c.headers[k]=v
`, parser: { json(isOptional) {
    if (isOptional)
      return `try{c.body=await c.request.json()}catch{}
`;
    return `c.body=await c.request.json()
`;
  }, text() {
    return `c.body=await c.request.text()
`;
  }, urlencoded() {
    return `c.body=parseQuery(await c.request.text())
`;
  }, arrayBuffer() {
    return `c.body=await c.request.arrayBuffer()
`;
  }, formData(isOptional) {
    let fnLiteral = `
c.body={}
`;
    if (isOptional)
      fnLiteral += "let form;try{form=await c.request.formData()}catch{}";
    else
      fnLiteral += `const form=await c.request.formData()
`;
    return fnLiteral + `for(const key of form.keys()){if(c.body[key]) continue
const value=form.getAll(key)
if(value.length===1)c.body[key]=value[0]
else c.body[key]=value}`;
  } } }, composeGeneralHandler: { parameters: "r", createContext(app) {
    let decoratorsLiteral = "", fnLiteral = "", defaultHeaders = app.setHeaders;
    for (let key of Object.keys(app.decorator))
      decoratorsLiteral += `,'${key}':decorator['${key}']`;
    let standardHostname = app.config.handler?.standardHostname ?? true, hasTrace = !!app.event.trace?.length;
    if (fnLiteral += `const u=r.url,s=u.indexOf('/',${standardHostname ? 11 : 7}),qi=u.indexOf('?',s+1)
let p
if(qi===-1)p=u.substring(s)
else p=u.substring(s, qi)
`, hasTrace)
      fnLiteral += `const id=randomId()
`;
    if (fnLiteral += "const c={request:r,store,qi,path:p,url:u,redirect,error:status,status,set:{headers:", fnLiteral += Object.keys(defaultHeaders ?? {}).length ? "Object.assign({},app.setHeaders)" : "Object.create(null)", fnLiteral += ",status:200}", app.inference.server)
      fnLiteral += ",get server(){return app.getServer()}";
    if (hasTrace)
      fnLiteral += ",[ELYSIA_REQUEST_ID]:id";
    return fnLiteral += decoratorsLiteral, fnLiteral += `}
`, fnLiteral;
  }, error404(hasEventHook, hasErrorHook) {
    let findDynamicRoute = "if(route===null)return ";
    if (hasErrorHook)
      findDynamicRoute += `app.handleError(c,notFound,false,${this.parameters})`;
    else
      findDynamicRoute += hasEventHook ? "new Response(error404Message,{status:c.set.status===200?404:c.set.status,headers:c.set.headers})" : "error404.clone()";
    return { declare: hasErrorHook ? "" : `const error404Message=notFound.message.toString()
const error404=new Response(error404Message,{status:404})
`, code: findDynamicRoute };
  } }, composeError: { mapResponseContext: "", validationError: "return new Response(error.message,{headers:Object.assign({'content-type':'application/json'},set.headers),status:set.status})", unknownError: "return new Response(error.message,{headers:set.headers,status:error.status??set.status??500})" }, listen() {
    return () => {
      throw new Error("WebStandard does not support listen, you might want to export default Elysia.fetch instead");
    };
  } };
  import_fast_decode_uri_component3 = __toESM2(require_fast_decode_uri_component(), 1);
  import_fast_decode_uri_component2 = __toESM2(require_fast_decode_uri_component(), 1);
  ELYSIA_TRACE = Symbol("ElysiaTrace");
  Kind3 = Symbol.for("TypeBox.Kind");
  Hint2 = Symbol.for("TypeBox.Hint");
  defaultParsers = ["json", "text", "urlencoded", "arrayBuffer", "formdata", "application/json", "text/plain", "application/x-www-form-urlencoded", "application/octet-stream", "multipart/form-data"];
  matchResponseClone = /=>\s?response\.clone\(/;
  matchFnReturn = /(?:return|=>)\s?\S+\(|a(?:sync|wait)/;
  handleResponse2 = createResponseHandler({ mapResponse: mapResponse2, mapCompactResponse: mapCompactResponse2 });
  handleStream2 = createStreamHandler({ mapResponse: mapResponse2, mapCompactResponse: mapCompactResponse2 });
  websocket = { open(ws) {
    ws.data.open?.(ws);
  }, message(ws, message) {
    ws.data.message?.(ws, message);
  }, drain(ws) {
    ws.data.drain?.(ws);
  }, close(ws, code, reason) {
    ws.data.close?.(ws, code, reason);
  } };
  ElysiaWS = class ElysiaWS {
    raw;
    data;
    body;
    validator;
    ["~types"];
    get id() {
      return this.data.id;
    }
    constructor(raw, data, body = undefined) {
      this.raw = raw;
      this.data = data;
      this.body = body;
      this.validator = raw.data?.validator, this.sendText = raw.sendText.bind(raw), this.sendBinary = raw.sendBinary.bind(raw), this.close = raw.close.bind(raw), this.terminate = raw.terminate.bind(raw), this.publishText = raw.publishText.bind(raw), this.publishBinary = raw.publishBinary.bind(raw), this.subscribe = raw.subscribe.bind(raw), this.unsubscribe = raw.unsubscribe.bind(raw), this.isSubscribed = raw.isSubscribed.bind(raw), this.cork = raw.cork.bind(raw), this.remoteAddress = raw.remoteAddress, this.binaryType = raw.binaryType, this.data = raw.data, this.send = this.send.bind(this), this.ping = this.ping.bind(this), this.pong = this.pong.bind(this), this.publish = this.publish.bind(this);
    }
    send(data, compress) {
      if (Buffer.isBuffer(data))
        return this.raw.send(data, compress);
      if (this.validator?.Check(data) === false)
        return this.raw.send(new ValidationError("message", this.validator, data).message);
      if (typeof data === "object")
        data = JSON.stringify(data);
      return this.raw.send(data, compress);
    }
    ping(data) {
      if (Buffer.isBuffer(data))
        return this.raw.ping(data);
      if (this.validator?.Check(data) === false)
        return this.raw.send(new ValidationError("message", this.validator, data).message);
      if (typeof data === "object")
        data = JSON.stringify(data);
      return this.raw.ping(data);
    }
    pong(data) {
      if (Buffer.isBuffer(data))
        return this.raw.pong(data);
      if (this.validator?.Check(data) === false)
        return this.raw.send(new ValidationError("message", this.validator, data).message);
      if (typeof data === "object")
        data = JSON.stringify(data);
      return this.raw.pong(data);
    }
    publish(topic, data, compress) {
      if (Buffer.isBuffer(data))
        return this.raw.publish(topic, data, compress);
      if (this.validator?.Check(data) === false)
        return this.raw.send(new ValidationError("message", this.validator, data).message);
      if (typeof data === "object")
        data = JSON.stringify(data);
      return this.raw.publish(topic, data, compress);
    }
    sendText;
    sendBinary;
    close;
    terminate;
    publishText;
    publishBinary;
    subscribe;
    unsubscribe;
    isSubscribed;
    cork;
    remoteAddress;
    binaryType;
    get readyState() {
      return this.raw.readyState;
    }
  };
  optionalParam = /:.+?\?(?=\/|$)/;
  supportedMethods = { GET: true, HEAD: true, OPTIONS: true, DELETE: true, PATCH: true, POST: true, PUT: true };
  BunAdapter = { ...WebStandardAdapter, name: "bun", handler: { mapResponse: mapResponse2, mapEarlyResponse: mapEarlyResponse2, mapCompactResponse: mapCompactResponse2, createStaticHandler: createStaticHandler2, createNativeStaticHandler }, composeHandler: { ...WebStandardAdapter.composeHandler, headers: hasHeaderShorthand ? `c.headers=c.request.headers.toJSON()
` : `c.headers={}
for(const [k,v] of c.request.headers.entries())c.headers[k]=v
` }, listen(app) {
    return (options, callback) => {
      if (typeof Bun === "undefined")
        throw new Error(".listen() is designed to run on Bun only. If you are running Elysia in other environment please use a dedicated plugin or export the handler via Elysia.fetch");
      if (app.compile(), typeof options === "string") {
        if (!isNumericString(options))
          throw new Error("Port must be a numeric value");
        options = parseInt(options);
      }
      let createStaticRoute = (iterator3, { withAsync = false } = {}) => {
        let staticRoutes = {}, ops = [];
        for (let [path, route] of Object.entries(iterator3))
          if (supportPerMethodInlineHandler) {
            if (!route)
              continue;
            for (let [method, value2] of Object.entries(route)) {
              if (!value2 || !(method in supportedMethods))
                continue;
              if (value2 instanceof Promise) {
                if (withAsync) {
                  if (!staticRoutes[path])
                    staticRoutes[path] = {};
                  ops.push(value2.then((awaited3) => {
                    if (awaited3 instanceof Response)
                      staticRoutes[path][method] = awaited3;
                    if (typeof awaited3 === "object" && awaited3?.toString() === "[object HTMLBundle]")
                      staticRoutes[path][method] = awaited3;
                  }));
                }
                continue;
              }
              if (!(value2 instanceof Response) && !(typeof value2 === "object" && value2?.toString() === "[object HTMLBundle]"))
                continue;
              if (!staticRoutes[path])
                staticRoutes[path] = {};
              staticRoutes[path][method] = value2;
            }
          } else {
            if (!route)
              continue;
            if (route instanceof Promise) {
              if (withAsync) {
                if (!staticRoutes[path])
                  staticRoutes[path] = {};
                ops.push(route.then((awaited3) => {
                  if (awaited3 instanceof Response)
                    staticRoutes[path] = awaited3;
                }));
              }
              continue;
            }
            if (!(route instanceof Response))
              continue;
            staticRoutes[path] = route;
          }
        if (withAsync)
          return Promise.all(ops).then(() => staticRoutes);
        return staticRoutes;
      }, serve = typeof options === "object" ? { development: !isProduction, reusePort: true, ...app.config.serve || {}, ...options || {}, routes: mergeRoutes(mergeRoutes(createStaticRoute(app.router.response), mapRoutes(app)), app.config.serve?.routes), websocket: { ...app.config.websocket || {}, ...websocket || {} }, fetch: app.fetch } : { development: !isProduction, reusePort: true, ...app.config.serve || {}, routes: mergeRoutes(mergeRoutes(createStaticRoute(app.router.response), mapRoutes(app)), app.config.serve?.routes), websocket: { ...app.config.websocket || {}, ...websocket || {} }, port: options, fetch: app.fetch };
      if (app.server = Bun.serve(serve), app.event.start)
        for (let i = 0;i < app.event.start.length; i++)
          app.event.start[i].fn(app);
      if (callback)
        callback(app.server);
      process.on("beforeExit", () => {
        if (app.server) {
          if (app.server.stop?.(), app.server = null, app.event.stop)
            for (let i = 0;i < app.event.stop.length; i++)
              app.event.stop[i].fn(app);
        }
      }), app.promisedModules.then(async () => {
        app.server?.reload({ ...serve, fetch: app.fetch, routes: mergeRoutes(mergeRoutes(await createStaticRoute(app.router.response, { withAsync: true }), mapRoutes(app)), app.config.serve?.routes) }), Bun?.gc(false);
      });
    };
  }, ws(app, path, options) {
    let { parse: parse22, body, response, ...rest3 } = options, validateMessage = getSchemaValidator(body, { modules: app.definitions.typebox, models: app.definitions.type, normalize: app.config.normalize }), validateResponse = getSchemaValidator(response, { modules: app.definitions.typebox, models: app.definitions.type, normalize: app.config.normalize });
    app.route("WS", path, async (context) => {
      let server = app.getServer(), { set: set22, path: path2, qi, headers, query, params } = context;
      if (context.validator = validateResponse, options.upgrade) {
        if (typeof options.upgrade === "function") {
          let temp = options.upgrade(context);
          if (temp instanceof Promise)
            await temp;
        } else if (options.upgrade)
          Object.assign(set22.headers, options.upgrade);
      }
      if (set22.cookie && isNotEmpty(set22.cookie)) {
        let cookie = serializeCookie(set22.cookie);
        if (cookie)
          set22.headers["set-cookie"] = cookie;
      }
      if (set22.headers["set-cookie"] && Array.isArray(set22.headers["set-cookie"]))
        set22.headers = parseSetCookies(new Headers(set22.headers), set22.headers["set-cookie"]);
      let handleResponse3 = createHandleWSResponse(validateResponse), parseMessage = createWSMessageParser(parse22), _id;
      if (typeof options.beforeHandle === "function") {
        let result = options.beforeHandle(context);
        if (result instanceof Promise)
          await result;
      }
      let errorHandlers = [...Array.isArray(options.error) ? options.error : [options.error], ...(app.event.error ?? []).map((x) => typeof x === "function" ? x : x.fn)].filter((x) => x), handleErrors = !errorHandlers.length ? () => {
      } : async (ws, error22) => {
        for (let handleError of errorHandlers) {
          let response2 = handleError(Object.assign(context, { error: error22 }));
          if (response2 instanceof Promise)
            response2 = await response2;
          if (await handleResponse3(ws, response2), response2)
            break;
        }
      };
      if (server?.upgrade(context.request, { headers: isNotEmpty(set22.headers) ? set22.headers : undefined, data: { ...context, get id() {
        if (_id)
          return _id;
        return _id = randomId();
      }, validator: validateResponse, ping(data) {
        options.ping?.(data);
      }, pong(data) {
        options.pong?.(data);
      }, open(ws) {
        try {
          handleResponse3(ws, options.open?.(new ElysiaWS(ws, context)));
        } catch (error22) {
          handleErrors(ws, error22);
        }
      }, message: async (ws, _message) => {
        let message = await parseMessage(ws, _message);
        if (validateMessage?.Check(message) === false)
          return void ws.send(new ValidationError("message", validateMessage, message).message);
        try {
          handleResponse3(ws, options.message?.(new ElysiaWS(ws, context, message), message));
        } catch (error22) {
          handleErrors(ws, error22);
        }
      }, drain(ws) {
        try {
          handleResponse3(ws, options.drain?.(new ElysiaWS(ws, context)));
        } catch (error22) {
          handleErrors(ws, error22);
        }
      }, close(ws, code, reason) {
        try {
          handleResponse3(ws, options.close?.(new ElysiaWS(ws, context), code, reason));
        } catch (error22) {
          handleErrors(ws, error22);
        }
      } } }))
        return;
      return set22.status = 400, "Expected a websocket connection";
    }, { ...rest3, websocket: options });
  } };
  env2 = isBun ? Bun.env : typeof process !== "undefined" && process?.env ? process.env : {};
});

// ../../node_modules/nanoid/url-alphabet/index.js
var urlAlphabet = "useandom-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict";

// ../../node_modules/nanoid/index.js
import { webcrypto as crypto2 } from "crypto";
function fillPool(bytes) {
  if (!pool || pool.length < bytes) {
    pool = Buffer.allocUnsafe(bytes * POOL_SIZE_MULTIPLIER);
    crypto2.getRandomValues(pool);
    poolOffset = 0;
  } else if (poolOffset + bytes > pool.length) {
    crypto2.getRandomValues(pool);
    poolOffset = 0;
  }
  poolOffset += bytes;
}
function nanoid(size = 21) {
  fillPool(size -= 0);
  let id = "";
  for (let i = poolOffset - size;i < poolOffset; i++) {
    id += urlAlphabet[pool[i] & 63];
  }
  return id;
}
var POOL_SIZE_MULTIPLIER = 128, pool, poolOffset;
var init_nanoid = () => {
};

// ../common/generateId.ts
var ResourceTypeEnum, idPrefixMap, reverseIdPrefixMap, generateId = (type4) => {
  if (!idPrefixMap[type4]) {
    throw new Error(`Invalid resource type: ${type4}`);
  }
  return `${idPrefixMap[type4]}-${nanoid(21)}`;
};
var init_generateId = __esm(() => {
  init_nanoid();
  ((ResourceTypeEnum2) => {
    ResourceTypeEnum2["organization"] = "100";
    ResourceTypeEnum2["datacenter"] = "200";
    ResourceTypeEnum2["cluster"] = "300";
    ResourceTypeEnum2["cluster_resource_mapping"] = "310";
    ResourceTypeEnum2["node"] = "400";
    ResourceTypeEnum2["instance"] = "500";
    ResourceTypeEnum2["instance_snapshot"] = "510";
    ResourceTypeEnum2["instance_job"] = "520";
    ResourceTypeEnum2["user"] = "600";
    ResourceTypeEnum2["user_role"] = "610";
    ResourceTypeEnum2["user_auth_provider"] = "620";
    ResourceTypeEnum2["storage_pool"] = "700";
    ResourceTypeEnum2["storage_volume"] = "720";
    ResourceTypeEnum2["svswitch"] = "800";
    ResourceTypeEnum2["svswitch_port_group"] = "810";
    ResourceTypeEnum2["dvswitch"] = "820";
    ResourceTypeEnum2["dvswitch_port_group"] = "830";
  })(ResourceTypeEnum ||= {});
  idPrefixMap = {
    ["100" /* organization */]: "org",
    ["200" /* datacenter */]: "dc",
    ["300" /* cluster */]: "cls",
    ["310" /* cluster_resource_mapping */]: "clsrmp",
    ["400" /* node */]: "node",
    ["500" /* instance */]: "inst",
    ["510" /* instance_snapshot */]: "isnap",
    ["520" /* instance_job */]: "ijob",
    ["600" /* user */]: "user",
    ["610" /* user_role */]: "role",
    ["620" /* user_auth_provider */]: "auth",
    ["700" /* storage_pool */]: "pool",
    ["720" /* storage_volume */]: "vol",
    ["800" /* svswitch */]: "svs",
    ["820" /* dvswitch */]: "dvs",
    ["810" /* svswitch_port_group */]: "spg",
    ["830" /* dvswitch_port_group */]: "dpg"
  };
  reverseIdPrefixMap = {};
  for (const [key, value2] of Object.entries(idPrefixMap)) {
    reverseIdPrefixMap[value2] = key;
  }
});

// src/schemas/_components.ts
var createId = (name, customDescription) => t.String({
  description: customDescription ?? `The unique identifier for the '${name}' object.`
}), createName = (name, maxLength = 64, regex2, customDescription) => t.String({
  minLength: 3,
  maxLength,
  pattern: regex2?.toString().slice(1, -1),
  description: customDescription ?? `The name of the '${name}' object.`
}), CapabilityDescriptionSuffix = " Accepted values can be retrieved from the node capabilities endpoint.", IDS, join_key, nameRegex, NAMES, description, ip, creation, vcpus, memory_physical, latitude, longitude, DatacenterLocation, DatacenterLocationNullable, docker_image, mfa_code, mac_address, wol_mac, disk_size, port_number, mtu, CpuObject, autostart, boot_order, instanceImage, linuxUser, pciDeviceSlot, basicPagination, licenseKey, cronSchedule, pxiEncryptionKey;
var init__components = __esm(() => {
  init_bun();
  init_generateId();
  IDS = {
    organization: createId("100" /* organization */),
    datacenter: createId("200" /* datacenter */),
    cluster: createId("300" /* cluster */),
    cluster_resource_mapping: createId("310" /* cluster_resource_mapping */),
    node: createId("400" /* node */),
    instance: createId("500" /* instance */),
    instanceJob: createId("520" /* instance_job */),
    user: createId("600" /* user */),
    role: createId("610" /* user_role */),
    task: createId(undefined, "The unique identifier for a task (version 4 UUID)."),
    snapshot: createId("510" /* instance_snapshot */),
    userAuthProvider: createId("620" /* user_auth_provider */),
    storagePool: createId("700" /* storage_pool */),
    volume: t.String({
      description: "The internal ID of the volume."
    }),
    svswitch: createId("800" /* svswitch */),
    dvswitch: createId("820" /* dvswitch */)
  };
  join_key = createId(undefined, "The unique identifier for a join key.");
  nameRegex = /^[a-zA-Z0-9_-]+$/;
  NAMES = {
    user: createName("user", 32, /^[a-z0-9_-]+$/),
    role: createName("user role", 32),
    organization: createName("organization", 64, nameRegex),
    datacenter: createName("datacenter", 64, nameRegex),
    cluster: createName("cluster", 64, nameRegex),
    cluster_resource_mapping: createName("cluster resource mapping", 64, nameRegex),
    node: createName("node", 64, nameRegex),
    task: createName("task", 64),
    instance: createName("instance", 255, nameRegex),
    pxi_image: t.String({
      description: "The name of the PXI image.",
      maxLength: 128,
      examples: ["centos-8-x64.pxi"]
    }),
    instance_device: createName("instance device", 64, nameRegex),
    snapshot: createName("instance snapshot", 64, nameRegex),
    userAuthProvider: createName("user auth provider", 64),
    storagePool: createName("storage pool", 32, nameRegex),
    volume: createName("volume", 64, nameRegex),
    svswitch: createName("standalone vSwitch", 16, /^svswitch\d+$/),
    dvswitch: createName("distributed vSwitch", 16, /^dvswitch\d+$/),
    svswitch_port_group: createName("standalone vSwitch port group", 64, nameRegex),
    dvswitch_port_group: createName("distributed vSwitch port group", 64, nameRegex)
  };
  description = t.String({
    description: "Description of the object.",
    maxLength: 512
  });
  ip = t.String();
  creation = t.Date({
    description: "The creation date of the object."
  });
  vcpus = t.Integer({
    minimum: 1,
    description: "The number of virtual CPUs."
  });
  memory_physical = t.Integer({
    minimum: 64,
    description: "The amount of physical memory in megabytes (MB) for the instance."
  });
  latitude = t.Numeric({
    minimum: -90,
    maximum: 90,
    description: "The latitude of the location."
  });
  longitude = t.Numeric({
    minimum: -180,
    maximum: 180,
    description: "The longitude of the location."
  });
  DatacenterLocation = t.Object({
    latitude,
    longitude
  });
  DatacenterLocationNullable = t.Union([
    DatacenterLocation,
    t.Nullable(t.Object({
      latitude: t.Nullable(latitude),
      longitude: t.Nullable(longitude)
    }))
  ]);
  docker_image = t.String({
    description: "The Docker/Podman image."
  });
  mfa_code = t.String({
    description: "The six-digit multi-factor authentication code.",
    minLength: 6,
    maxLength: 6
  });
  mac_address = t.String({
    description: "MAC address.",
    pattern: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"
  });
  wol_mac = t.String({
    description: "The MAC address for Wake-on-LAN (WOL).",
    pattern: "^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$"
  });
  disk_size = t.Number({
    description: "The size of the disk in gigabytes (GB).",
    minimum: 0.1
  });
  port_number = t.Integer({
    description: "The port number.",
    minimum: 1,
    maximum: 65535
  });
  mtu = t.Integer({
    description: "The maximum transmission unit.",
    minimum: 68,
    maximum: 65535
  });
  CpuObject = t.Object({
    sockets: t.Integer({
      min: 1,
      max: 4,
      description: "The number of CPU sockets."
    }),
    cores: t.Integer({ min: 1, description: "The number of CPU cores." }),
    threads: t.Integer({ min: 1, description: "The number of CPU threads." })
  });
  autostart = t.Boolean({
    description: "Whether the instance should start automatically when the node boots."
  });
  boot_order = t.Integer({
    description: "The boot priority of the instance. Instances with higher will boot before instances with lower values. -1 has no effect.",
    minimum: -1
  });
  instanceImage = t.String({
    description: "The name of the instance image.",
    maxLength: 64,
    pattern: "^(?![-_])([a-zA-Z0-9]+(?:[-_][a-zA-Z0-9]+)*)(?<![-_])$"
  });
  linuxUser = t.String({
    description: "The Linux user associated with the user account, if any. This is used for accessing node consoles. If not set or if an invalid user is set, console access will be denied. Console access for the root user as `root` is always allowed.",
    minLength: 1,
    maxLength: 32,
    pattern: "^[a-z_][a-z0-9_-]*$"
  });
  pciDeviceSlot = t.String({
    description: 'The PCI device ID, in the format "dddd:dd:dd.d".',
    pattern: "^[0-9a-fA-F]{4}:[0-9a-fA-F]{2}:[0-9a-fA-F]{2}(\\.[0-7])?$"
  });
  basicPagination = {
    page: t.Numeric({
      description: "The page number.",
      minimum: 1
    }),
    entries: t.Numeric({
      description: "The number of entries to return. Maximum is 5000.",
      minimum: 1,
      maximum: 5000
    })
  };
  licenseKey = t.String({
    description: "The license key.",
    minLength: 37,
    maxLength: 37,
    pattern: "^[A-Z0-9-]+$",
    examples: ["XXXXXX-XXXXXX-XXXXXX-XXXXXX-XXXXXX-VX"]
  });
  cronSchedule = t.String({
    description: 'The schedule in cron format. Non-standard values (e.g "@daily") are not supported. For more information, see [crontab.guru](https://crontab.guru/). For performance reasons, the minimum scheduling interval is 5 minutes, although it is recommended to use a minimum of 30 minutes to avoid overloading nodes.',
    examples: ["0 0 * * *", "30 14 * * 1-5"]
  });
  pxiEncryptionKey = t.String({
    description: "The encryption key to encrypt/decrypt PXI images. When decrypting an encrypted image, configuration information will not be included if the key is not provided."
  });
});

// ../common/vswitch.ts
var vSwitchType, vSwitchPortGroupType, vSwitchOpenFlowEthType, vSwitchOpenFlowL4Protocol;
var init_vswitch = __esm(() => {
  vSwitchType = {
    STANDALONE: 1,
    DISTRIBUTED: 2
  };
  vSwitchPortGroupType = {
    ACCESS: 1,
    TRUNK: 2,
    UNTAGGED: 3
  };
  vSwitchOpenFlowEthType = {
    ETHERNET: "eth",
    IPV4: "ip",
    IPV6: "ipv6",
    ARP: "arp",
    REVERSE_ARP: "rarp",
    MPLS: "mpls",
    MPLS_MULTICAST: "mplsm"
  };
  vSwitchOpenFlowL4Protocol = {
    ICMP: "icmp",
    ICMPv6: "icmp6",
    TCP: "tcp",
    TCPv6: "tcp6",
    UDP: "udp",
    UDPv6: "udp6",
    SCTP: "sctp",
    SCTPv6: "sctp6"
  };
});

// src/schemas/_objects/vswitch.ts
var vSwitchFirewallRuleObject, vSwitchPortGroupConfigBaseObject, vSwitchConfigBaseObject, InterfaceIpObject, StandaloneVswitchInterfaceBaseObject, StandaloneVswitchPortGroupBaseObject, DistributedVswitchPortGroupBaseObject, StandaloneVswitchBaseObject, DistributedVswitchBaseObject;
var init_vswitch2 = __esm(() => {
  init_bun();
  init__components();
  init_vswitch();
  vSwitchFirewallRuleObject = t.Object({
    l2: t.Object({
      src: t.Optional(mac_address),
      dst: t.Optional(mac_address),
      protocol: t.Optional(t.Enum(vSwitchOpenFlowEthType)),
      vlan: t.Optional(t.Integer({
        description: 'VLAN ID (0-4095). Use tag "0" to specify untagged traffic.',
        minimum: 0,
        maximum: 4095
      })),
      vlan_priority: t.Optional(t.Integer({
        description: "VLAN Quality-of-Service (QoS) priority (0-7).",
        minimum: 0,
        maximum: 7
      }))
    }),
    l3: t.Object({
      src: t.Optional(ip),
      dst: t.Optional(ip),
      protocol: t.Optional(t.Enum(vSwitchOpenFlowL4Protocol))
    }),
    l4: t.Object({
      src: t.Optional(port_number),
      dst: t.Optional(port_number),
      icmp_type: t.Optional(t.Integer({
        description: "ICMP type (0-255).",
        minimum: 0,
        maximum: 255
      })),
      icmp_code: t.Optional(t.Integer({
        description: "ICMP code (0-255).",
        minimum: 0,
        maximum: 255
      }))
    })
  });
  vSwitchPortGroupConfigBaseObject = {
    type: t.Enum(vSwitchPortGroupType, {
      description: "The type of the port group. An access port group is a port group that carries a single VLAN. A trunk port group is a port group that can carry multiple VLANs."
    }),
    data: t.Union([
      t.Object({
        _type: t.Literal(vSwitchPortGroupType.ACCESS),
        vlan_id: t.Integer({
          description: "The VLAN ID for the port group (1-4095). Tagged traffic is dropped.",
          minimum: 1,
          maximum: 4095
        })
      }),
      t.Object({
        _type: t.Literal(vSwitchPortGroupType.TRUNK),
        trunk_vlans: t.Array(t.Integer({
          description: "The list of VLAN IDs to be trunked. Traffic not matching any VLAN is dropped.",
          minimum: 1,
          maximum: 4095
        })),
        native_vlan_id: t.Optional(t.Integer({
          description: "The native VLAN ID for the port group (1-4095). If not specified, untagged traffic is dropped.",
          minimum: 1,
          maximum: 4095
        }))
      }),
      t.Object({
        _type: t.Literal(vSwitchPortGroupType.UNTAGGED)
      })
    ])
  };
  vSwitchConfigBaseObject = {
    security: t.Object({
      mac_table: t.Object({
        maximum: t.Optional(t.Integer({
          description: "The maximum number of MAC addresses per port. Defaults to 4096.",
          minimum: 1
        })),
        aging_time: t.Optional(t.Integer({
          description: "The MAC address aging time in seconds. Defaults to 300 seconds.",
          minimum: 1
        }))
      }),
      firewall_rules: t.Array(vSwitchFirewallRuleObject)
    })
  };
  InterfaceIpObject = {
    enabled: t.Boolean({
      description: "Whether the IP address is enabled."
    }),
    address: t.Optional(ip),
    netmask: t.Optional(ip),
    gateway: t.Optional(ip)
  };
  StandaloneVswitchInterfaceBaseObject = {
    name: t.String({
      description: "The name of the interface."
    }),
    mac_address,
    ipv4: t.Object(InterfaceIpObject),
    ipv6: t.Object(InterfaceIpObject)
  };
  StandaloneVswitchPortGroupBaseObject = {
    vswitch_id: IDS.svswitch,
    name: NAMES.svswitch_port_group,
    description: t.Nullable(description),
    config: t.Object({
      ...vSwitchPortGroupConfigBaseObject,
      firewall_rules: t.Array(vSwitchFirewallRuleObject),
      interfaces: t.Array(t.Object(StandaloneVswitchInterfaceBaseObject))
    }),
    creation
  };
  DistributedVswitchPortGroupBaseObject = {
    vswitch_id: IDS.dvswitch,
    name: NAMES.dvswitch_port_group,
    description: t.Nullable(description),
    config: t.Object({
      ...vSwitchPortGroupConfigBaseObject,
      firewall_rules: t.Array(vSwitchFirewallRuleObject)
    }),
    creation
  };
  StandaloneVswitchBaseObject = {
    id: IDS.svswitch,
    type: t.Enum(vSwitchType),
    node_id: IDS.node,
    name: NAMES.svswitch,
    description: t.Nullable(description),
    config: t.Object({
      ...vSwitchConfigBaseObject,
      uplinks: t.Array(t.String({
        description: "The name of the physical NIC."
      }))
    }),
    creation
  };
  DistributedVswitchBaseObject = {
    id: IDS.dvswitch,
    type: t.Enum(vSwitchType),
    cluster_id: IDS.cluster,
    name: NAMES.dvswitch,
    description: t.Nullable(description),
    config: t.Object({
      ...vSwitchConfigBaseObject,
      uplinks: t.Integer({
        description: "The number of uplinks on the vSwitch. Physical NICs are assigned to distributed vSwitch uplinks."
      }),
      nodes: t.Array(t.Object({
        node_id: IDS.node,
        uplink_map: t.Array(t.Object({
          uplink: t.Integer({
            description: "The ID of the uplink."
          }),
          physical_nic: t.String({
            description: "The name of the physical NIC."
          })
        }))
      }))
    }),
    creation
  };
});

// ../common/instances.ts
var InstanceTypeEnum, InstanceDeviceType, QEMUDiskBus, InstanceStatusEnum, InstanceJobEnum, InstanceBackupMethodEnum, RestoreInstanceVolumeAction;
var init_instances = __esm(() => {
  ((InstanceTypeEnum2) => {
    InstanceTypeEnum2[InstanceTypeEnum2["Docker"] = 0] = "Docker";
    InstanceTypeEnum2[InstanceTypeEnum2["LXC"] = 1] = "LXC";
    InstanceTypeEnum2[InstanceTypeEnum2["QEMU"] = 2] = "QEMU";
    InstanceTypeEnum2[InstanceTypeEnum2["Podman"] = 3] = "Podman";
  })(InstanceTypeEnum ||= {});
  ((InstanceDeviceType2) => {
    InstanceDeviceType2[InstanceDeviceType2["NetworkInterface"] = 1] = "NetworkInterface";
    InstanceDeviceType2[InstanceDeviceType2["StorageVolume"] = 2] = "StorageVolume";
    InstanceDeviceType2[InstanceDeviceType2["TrustedPlatformModule"] = 3] = "TrustedPlatformModule";
    InstanceDeviceType2[InstanceDeviceType2["UsbDevice"] = 4] = "UsbDevice";
    InstanceDeviceType2[InstanceDeviceType2["PciDevice"] = 5] = "PciDevice";
    InstanceDeviceType2[InstanceDeviceType2["RngDevice"] = 6] = "RngDevice";
  })(InstanceDeviceType ||= {});
  ((QEMUDiskBus2) => {
    QEMUDiskBus2["IDE"] = "ide";
    QEMUDiskBus2["SATA"] = "sata";
    QEMUDiskBus2["SCSI"] = "scsi";
    QEMUDiskBus2["VIRTIO"] = "virtio";
    QEMUDiskBus2["USB"] = "usb";
  })(QEMUDiskBus ||= {});
  ((InstanceStatusEnum2) => {
    InstanceStatusEnum2[InstanceStatusEnum2["UNKNOWN"] = 1] = "UNKNOWN";
    InstanceStatusEnum2[InstanceStatusEnum2["RUNNING"] = 2] = "RUNNING";
    InstanceStatusEnum2[InstanceStatusEnum2["CREATING"] = 3] = "CREATING";
    InstanceStatusEnum2[InstanceStatusEnum2["STARTING"] = 4] = "STARTING";
    InstanceStatusEnum2[InstanceStatusEnum2["STOPPING"] = 5] = "STOPPING";
    InstanceStatusEnum2[InstanceStatusEnum2["KILLING"] = 6] = "KILLING";
    InstanceStatusEnum2[InstanceStatusEnum2["RESTARTING"] = 7] = "RESTARTING";
    InstanceStatusEnum2[InstanceStatusEnum2["DESTROYING"] = 8] = "DESTROYING";
    InstanceStatusEnum2[InstanceStatusEnum2["STOPPED"] = 9] = "STOPPED";
    InstanceStatusEnum2[InstanceStatusEnum2["ERROR"] = 10] = "ERROR";
    InstanceStatusEnum2[InstanceStatusEnum2["BACKING_UP"] = 11] = "BACKING_UP";
    InstanceStatusEnum2[InstanceStatusEnum2["RESTORING"] = 12] = "RESTORING";
  })(InstanceStatusEnum ||= {});
  ((InstanceJobEnum2) => {
    InstanceJobEnum2[InstanceJobEnum2["BACKUP"] = 1] = "BACKUP";
    InstanceJobEnum2[InstanceJobEnum2["REPLICATION"] = 2] = "REPLICATION";
    InstanceJobEnum2[InstanceJobEnum2["SNAPSHOT"] = 3] = "SNAPSHOT";
  })(InstanceJobEnum ||= {});
  ((InstanceBackupMethodEnum2) => {
    InstanceBackupMethodEnum2[InstanceBackupMethodEnum2["LIVE"] = 1] = "LIVE";
    InstanceBackupMethodEnum2[InstanceBackupMethodEnum2["PAUSE"] = 2] = "PAUSE";
    InstanceBackupMethodEnum2[InstanceBackupMethodEnum2["SHUTDOWN"] = 3] = "SHUTDOWN";
  })(InstanceBackupMethodEnum ||= {});
  ((RestoreInstanceVolumeAction2) => {
    RestoreInstanceVolumeAction2[RestoreInstanceVolumeAction2["OVERWRITE"] = 1] = "OVERWRITE";
    RestoreInstanceVolumeAction2[RestoreInstanceVolumeAction2["RESTORE"] = 2] = "RESTORE";
    RestoreInstanceVolumeAction2[RestoreInstanceVolumeAction2["CREATE"] = 3] = "CREATE";
    RestoreInstanceVolumeAction2[RestoreInstanceVolumeAction2["NONE"] = 4] = "NONE";
  })(RestoreInstanceVolumeAction ||= {});
});

// src/types/instances/libvirt.ts
var ArrObjUnion = (type4) => t.Union([type4, t.Array(type4)]), YesNo, LibvirtDiskDriverEnum, LibvirtDomainDiskXml, LibvirtDomainInterfaceXml, LibvirtDomainPciPassthroughXml, LibvirtDomainUsbPassthroughXml, LibvirtDomainRngXml, LibvirtDomainGraphicsXml, LibvirtDomainConsoleXml, LibvirtDomainTpmXml, LibvirtDomainDevices, LibvirtDomainType, LibvirtDomainXml, LibvirtCapabilitiesXml, LibvirtDomainCapabilityEnum = (description2) => ArrObjUnion(t.Object({
  "@name": t.String({
    description: description2
  }),
  value: ArrObjUnion(t.String({
    description: description2
  }))
})), LibvirtDomainCapabilitiesXml, LibvirtSimplifiedCapability;
var init_libvirt = __esm(() => {
  init_bun();
  init_instances();
  YesNo = t.Union([t.Literal("yes"), t.Literal("no")]);
  ((LibvirtDiskDriverEnum2) => {
    LibvirtDiskDriverEnum2["qcow2"] = "qcow2";
    LibvirtDiskDriverEnum2["vmdk"] = "vmdk";
    LibvirtDiskDriverEnum2["raw"] = "raw";
  })(LibvirtDiskDriverEnum ||= {});
  LibvirtDomainDiskXml = t.Object({
    "@type": t.Union([t.Literal("file"), t.Literal("block")]),
    "@device": t.Union([t.Literal("disk"), t.Literal("cdrom")]),
    driver: t.Object({
      "@name": t.String({
        description: "The disk driver name."
      }),
      "@type": t.Enum(LibvirtDiskDriverEnum)
    }),
    source: t.Union([
      t.Object({
        "@file": t.String({
          description: "The path to the disk image file.",
          examples: ["/var/lib/pce/images/disk.qcow2"]
        })
      }),
      t.Object({
        "@dev": t.String({
          description: "The block device name.",
          examples: ["/dev/zvol/pool/volume"]
        })
      })
    ]),
    target: t.Object({
      "@dev": t.String({
        description: "The target device name.",
        examples: ["vda"]
      }),
      "@bus": t.Enum(QEMUDiskBus)
    }),
    "@readonly": t.Optional(t.Object({}))
  });
  LibvirtDomainInterfaceXml = t.Object({
    "@type": t.String({
      description: "The interface type."
    }),
    mac: t.Object({
      "@address": t.String({
        description: "The MAC address of the interface."
      })
    }),
    source: t.Object({
      "@network": t.String({
        description: "The network source of the interface."
      })
    }),
    model: t.Object({
      "@type": t.String({
        description: "The model of the interface."
      })
    })
  });
  LibvirtDomainPciPassthroughXml = t.Object({
    "@mode": t.Literal("subsystem"),
    "@type": t.Literal("pci"),
    "@managed": YesNo,
    source: t.Object({
      address: t.Object({
        "@domain": t.String({
          description: "The domain of the host device.",
          examples: ["0x0000"]
        }),
        "@bus": t.String({
          description: "The bus of the host device.",
          examples: ["0x00"]
        }),
        "@slot": t.String({
          description: "The slot of the host device.",
          examples: ["0x00"]
        }),
        "@function": t.String({
          description: "The function number of the host device.",
          examples: ["0x0"]
        })
      })
    })
  });
  LibvirtDomainUsbPassthroughXml = t.Object({
    "@mode": t.Literal("subsystem"),
    "@type": t.Literal("usb"),
    "@managed": YesNo,
    source: t.Object({
      "@startupPolicy": t.Union([
        t.Literal("mandatory"),
        t.Literal("requisite"),
        t.Literal("optional")
      ]),
      vendor: t.Object({
        "@id": t.String({
          description: "The vendor ID of the USB device in hexadecimal.",
          examples: ["1234"]
        })
      }),
      product: t.Object({
        "@id": t.String({
          description: "The product ID of the USB device in hexadecimal.",
          examples: ["5678"]
        })
      }),
      address: t.Object({
        "@bus": t.String({
          description: "The bus of the USB device.",
          examples: ["1"]
        }),
        "@device": t.String({
          description: "The device of the USB device.",
          examples: ["2"]
        })
      })
    })
  });
  LibvirtDomainRngXml = t.Object({
    "@model": t.String({
      description: "The model of the RNG.",
      examples: ["virtio"]
    }),
    backend: t.Object({
      "@model": t.String({
        description: "The model of the RNG backend.",
        examples: ["random"]
      }),
      "#": t.String({
        description: "The path to the RNG backend.",
        examples: ["/dev/urandom"]
      })
    })
  });
  LibvirtDomainGraphicsXml = t.Object({
    "@type": t.String({
      description: "The type of the graphics device.",
      examples: ["vnc"]
    }),
    "@port": t.String({
      description: "The port of the graphics device.",
      examples: ["5900"]
    }),
    "@autoport": YesNo
  });
  LibvirtDomainConsoleXml = t.Object({
    "@type": t.String({
      description: "The type of the console device.",
      examples: ["pty"]
    }),
    "@tty": t.Optional(t.String({
      description: "The tty of the console device. Only available for LXC instances.",
      examples: ["/dev/pts/0"]
    })),
    source: t.Optional(t.Object({
      "@path": t.String({
        description: "The path of the console device.",
        examples: ["/dev/pts/0"]
      })
    })),
    target: t.Optional(t.Object({
      "@type": t.String({
        description: "The target type of the console device.",
        examples: ["serial"]
      }),
      "@port": t.String({
        description: "The target port of the console device.",
        examples: ["0"]
      })
    }))
  });
  LibvirtDomainTpmXml = t.Object({
    "@model": t.Union([t.Literal("tpm-tis"), t.Literal("tpm-crb")]),
    backend: t.Object({
      "@type": t.Union([t.Literal("emulator"), t.Literal("passthrough")]),
      "@version": t.Union([t.Literal("1.2"), t.Literal("2.0")])
    })
  });
  LibvirtDomainDevices = t.Object({
    disk: t.Optional(ArrObjUnion(LibvirtDomainDiskXml)),
    interface: t.Optional(ArrObjUnion(LibvirtDomainInterfaceXml)),
    hostdev: t.Optional(ArrObjUnion(t.Union([
      LibvirtDomainPciPassthroughXml,
      LibvirtDomainUsbPassthroughXml
    ]))),
    rng: t.Optional(ArrObjUnion(LibvirtDomainRngXml)),
    graphics: t.Optional(ArrObjUnion(LibvirtDomainGraphicsXml)),
    console: t.Optional(ArrObjUnion(LibvirtDomainConsoleXml)),
    tpm: t.Optional(ArrObjUnion(LibvirtDomainTpmXml))
  });
  LibvirtDomainType = t.Union([
    t.Literal("kvm"),
    t.Literal("lxc"),
    t.Literal("qemu")
  ]);
  LibvirtDomainXml = t.Object({
    domain: t.Object({
      "@type": LibvirtDomainType,
      name: t.String({
        description: "The name of the domain."
      }),
      uuid: t.String({
        description: "The UUID of the domain."
      }),
      memory: t.Object({
        "@unit": t.String({
          description: "The unit of memory.",
          examples: ["KiB"]
        }),
        "#": t.Numeric({
          description: "The amount of memory."
        })
      }),
      vcpu: t.Object({
        "@placement": t.String({
          description: "The placement of the vCPU.",
          examples: ["static"]
        }),
        "#": t.Numeric({
          description: "The number of vCPUs."
        })
      }),
      os: t.Object({
        type: t.Object({
          "@arch": t.String({
            description: "The architecture of the OS.",
            examples: ["x86_64"]
          }),
          "@machine": t.String({
            description: "The machine type of the OS.",
            examples: ["pc-q35-9.0", "pc"]
          }),
          "#": t.Union([t.Literal("hvm"), t.Literal("exe")])
        }),
        init: t.Optional(t.String({
          description: "The path to the init program.",
          examples: ["/sbin/init"]
        }))
      }),
      features: t.Record(t.String({
        description: "The feature name."
      }), t.Object({})),
      cpu: t.Object({
        "@mode": t.Optional(t.String({
          description: "The CPU mode."
        })),
        topology: t.Optional(t.Object({
          "@sockets": t.Numeric({
            description: "The number of sockets."
          }),
          "@dies": t.Numeric({
            description: "The number of dies."
          }),
          "@clusters": t.Numeric({
            description: "The number of clusters."
          }),
          "@cores": t.Numeric({
            description: "The number of cores."
          }),
          "@threads": t.Numeric({
            description: "The number of threads."
          })
        }))
      }),
      clock: t.Object({
        "@offset": t.String({
          description: "The clock offset.",
          examples: ["utc"]
        })
      }),
      devices: LibvirtDomainDevices
    }, {
      additionalProperties: true
    })
  });
  LibvirtCapabilitiesXml = t.Object({
    capabilities: t.Object({
      host: t.Object({
        iommu: t.Object({
          "@support": YesNo
        })
      }),
      guest: ArrObjUnion(t.Object({
        os_type: t.String({
          description: "The OS type.",
          examples: ["hvm"]
        }),
        arch: t.Object({
          "@name": t.String({
            description: "The architecture name.",
            examples: ["x86_64"]
          }),
          wordsize: t.Numeric({
            description: "The word size of the architecture.",
            examples: ["32", "64"]
          }),
          emulator: t.String({
            description: "The path to the emulator binary.",
            examples: ["/usr/bin/qemu-system-x86_64"]
          }),
          machine: ArrObjUnion(t.Object({
            "#": t.String({
              description: "The machine type.",
              examples: ["pc-i440fx-2.9"]
            }),
            "@maxCpus": t.Numeric({
              description: "The maximum number of CPUs.",
              examples: ["512"]
            }),
            "@canonical": t.Optional(t.String({
              description: "The canonical name of the machine type.",
              examples: ["pc-i440fx-2.9"]
            })),
            "@deprecated": t.Optional(YesNo)
          })),
          domain: ArrObjUnion(t.Object({
            "@type": LibvirtDomainType
          }))
        }),
        features: t.Record(t.String({
          description: "The feature name."
        }), t.Object({}))
      }))
    })
  });
  LibvirtDomainCapabilitiesXml = t.Object({
    domainCapabilities: t.Object({
      path: t.Optional(t.String({
        description: "The path to the emulator binary.",
        examples: ["/usr/bin/qemu-system-x86_64"]
      })),
      domain: LibvirtDomainType,
      machine: t.Optional(t.String({
        description: "The machine type.",
        examples: ["pc-i440fx-2.1"]
      })),
      arch: t.String({
        description: "The architecture of the domain.",
        examples: ["x86_64"]
      }),
      vcpu: t.Optional(t.Object({
        "@max": t.Numeric({
          description: "The maximum number of vCPUs.",
          examples: ["255"]
        })
      })),
      os: t.Object({
        enum: t.Optional(LibvirtDomainCapabilityEnum("The firmware autoselection values.")),
        loader: t.Object({
          value: ArrObjUnion(t.String({
            description: "The path to the firmware binary.",
            examples: ["/usr/share/OVMF/OVMF_CODE.fd"]
          })),
          enum: t.Optional(LibvirtDomainCapabilityEnum("The configurable values for the firmware."))
        })
      }),
      cpu: t.Object({
        mode: ArrObjUnion(t.Object({
          model: t.Optional(ArrObjUnion(t.Object({
            "#": t.String({
              description: "The CPU model name.",
              examples: ["qemu64"]
            }),
            "@vendor": t.Optional(t.String({
              description: "The CPU vendor. `unknown` if not available.",
              examples: ["Intel", "AMD"]
            })),
            "@usable": t.Optional(t.Union([
              t.Literal("yes"),
              t.Literal("no"),
              t.Literal("unknown")
            ]))
          })))
        }))
      }),
      features: t.Record(t.String({
        description: "The feature name."
      }), t.Object({
        "@supported": YesNo
      }))
    })
  }, {
    additionalProperties: true
  });
  LibvirtSimplifiedCapability = t.Object({
    arch: t.String({
      description: "The architecture name.",
      examples: ["x86_64"]
    }),
    wordsize: t.Integer({
      description: "The word size of the architecture.",
      examples: [64]
    }),
    emulator: t.String({
      description: "The path to the emulator binary.",
      examples: ["/usr/bin/qemu-system-x86_64"]
    }),
    kvm_supported: t.Boolean({
      description: "Whether KVM is supported. If not, QEMU (emulation) will be used."
    }),
    firmware: t.Object({}),
    cpu_models: t.Array(t.Object({
      name: t.String({
        description: "The name of the CPU model.",
        examples: ["qemu64", "pentium3"]
      }),
      vendor: t.String({
        description: "The vendor of the CPU model. `unknown` if not available.",
        examples: ["Intel", "AMD", "unknown"]
      }),
      experimental: t.Boolean({
        description: "Whether the CPU model is experimental. Experimental CPU models are not recommended for production use."
      })
    })),
    default_machine: t.Optional(t.String({
      description: "The default machine type, if available.",
      examples: ["pc-i440fx-2.9"]
    })),
    machines: t.Array(t.Object({
      name: t.String({
        description: "The name of the machine type.",
        examples: ["pc-i440fx-2.9"]
      }),
      max_vcpus: t.Integer({
        description: "The maximum number of vCPUs."
      })
    })),
    features: t.Record(t.String({
      description: "The feature name."
    }), t.Boolean({
      description: "Whether the feature is supported."
    }))
  });
});

// src/types/instances/index.ts
var QEMUDiskDevice, QemuDiskMetadata, _InstanceDiskBase, _InstanceStorageVolumeBase, _InstanceMountpointBase, InstanceAnonymousMountpoint, InstanceMountpoint, CreateInstanceDisk, InstanceStorageVolume, LibvirtRootfs, CreateInstanceNetworkBase, CreateInstanceNetworkWithIp, VirtualizationPowerAction, QEMUFirmware, CreateInstanceMetadataSchemas, LibvirtConnectionString = (type4) => `${InstanceTypeEnum[type4].toLowerCase()}:///system`, ImageMimeTypes, InstanceDeviceTypeMetadataSchemas, InstanceDeviceTypeMetadataUnion;
var init_instances2 = __esm(() => {
  init_bun();
  init__components();
  init_vswitch2();
  init_instances();
  init_libvirt();
  ((QEMUDiskDevice2) => {
    QEMUDiskDevice2["DISK"] = "disk";
  })(QEMUDiskDevice ||= {});
  QemuDiskMetadata = t.Object({
    device: t.Enum(QEMUDiskDevice),
    bus: t.Enum(QEMUDiskBus)
  });
  _InstanceDiskBase = {
    backup: t.Optional(t.Boolean({
      description: "Whether the disk should be included in backups."
    })),
    readonly: t.Optional(t.Boolean({
      description: "Whether the disk is read-only."
    }))
  };
  _InstanceStorageVolumeBase = {
    ..._InstanceDiskBase,
    bus: t.Enum(QEMUDiskBus),
    dev: t.String({
      description: "The device name to use for the volume. This is only a hint, and may be ignored by the hypervisor.",
      examples: ["vda", "sda", "hda"]
    }),
    driver: t.Enum(LibvirtDiskDriverEnum)
  };
  _InstanceMountpointBase = {
    ..._InstanceDiskBase,
    target: t.String({
      description: "The target path in the container."
    })
  };
  InstanceAnonymousMountpoint = t.Object(_InstanceMountpointBase);
  InstanceMountpoint = t.Object({
    ..._InstanceMountpointBase,
    storage_pool_id: IDS.storagePool
  });
  CreateInstanceDisk = t.Object({
    ..._InstanceStorageVolumeBase,
    storage_pool_id: IDS.storagePool,
    size: disk_size
  });
  InstanceStorageVolume = t.Object({
    ..._InstanceStorageVolumeBase,
    volume_id: IDS.volume
  });
  LibvirtRootfs = t.Object({
    storage_pool_id: IDS.storagePool,
    size: disk_size,
    image: t.String({
      description: "The name of the image to use."
    })
  });
  CreateInstanceNetworkBase = {
    mac: t.Optional(mac_address),
    vswitch_id: t.Union([IDS.svswitch, IDS.dvswitch]),
    port_group_name: t.Union([
      NAMES.svswitch_port_group,
      NAMES.dvswitch_port_group
    ])
  };
  CreateInstanceNetworkWithIp = t.Object({
    ...CreateInstanceNetworkBase,
    ipv4: t.Object(InterfaceIpObject),
    ipv6: t.Object(InterfaceIpObject)
  });
  ((VirtualizationPowerAction2) => {
    VirtualizationPowerAction2["Start"] = "start";
    VirtualizationPowerAction2["Stop"] = "stop";
    VirtualizationPowerAction2["Kill"] = "kill";
    VirtualizationPowerAction2["Restart"] = "restart";
  })(VirtualizationPowerAction ||= {});
  ((QEMUFirmware2) => {
    QEMUFirmware2["BIOS"] = "bios";
    QEMUFirmware2["EFI"] = "efi";
  })(QEMUFirmware ||= {});
  CreateInstanceMetadataSchemas = {
    docker_podman: t.Object({
      _type: t.Literal("docker_podman"),
      command: t.Optional(t.String({
        description: "The command to run in the container."
      })),
      env: t.Optional(t.Array(t.String({
        description: "Environment variables to pass to the container."
      }))),
      mountpoints: t.Array(InstanceAnonymousMountpoint, {
        maxItems: 16
      }),
      image: docker_image,
      networks: t.Array(CreateInstanceNetworkWithIp, {
        maxItems: 16
      })
    }),
    lxc: t.Object({
      _type: t.Literal("lxc"),
      init: t.Optional(t.String({
        description: "The init process to run in the container. By default, this is `/sbin/init`."
      })),
      mountpoints: t.Array(InstanceMountpoint),
      rootfs: LibvirtRootfs,
      networks: t.Array(CreateInstanceNetworkWithIp, {
        maxItems: 16
      })
    }),
    qemu: t.Object({
      _type: t.Literal("qemu"),
      arch: t.String({
        description: `The architecture of the instance.${CapabilityDescriptionSuffix}`
      }),
      cpu_model: t.String({
        description: `The CPU model of the instance.${CapabilityDescriptionSuffix}`
      }),
      machine_type: t.String({
        description: `The machine type of the instance.${CapabilityDescriptionSuffix}`
      }),
      firmware: t.Enum(QEMUFirmware),
      disks: t.Array(CreateInstanceDisk, {
        maxItems: 16
      }),
      rootfs: LibvirtRootfs,
      rootfs_persistent: t.Boolean({
        description: "Whether the rootfs should be persistent. If true, changes to the rootfs will be saved. If false, changes will be lost when the instance is stopped or restarted. This should be set to false for installer images."
      }),
      networks: t.Array(t.Object(CreateInstanceNetworkBase), {
        maxItems: 16
      })
    })
  };
  ImageMimeTypes = {
    [0 /* Docker */]: ["application/x-tar"],
    [3 /* Podman */]: ["application/x-tar"],
    [1 /* LXC */]: ["application/gzip", "application/x-xz"],
    [2 /* QEMU */]: ["application/x-iso9660-image"]
  };
  InstanceDeviceTypeMetadataSchemas = {
    [1 /* NetworkInterface */]: t.Object({
      _type: t.Literal(1 /* NetworkInterface */),
      data: t.Union([
        CreateInstanceNetworkWithIp,
        t.Object(CreateInstanceNetworkBase)
      ])
    }),
    [2 /* StorageVolume */]: t.Object({
      _type: t.Literal(2 /* StorageVolume */),
      data: InstanceStorageVolume
    }),
    [3 /* TrustedPlatformModule */]: t.Object({
      _type: t.Literal(3 /* TrustedPlatformModule */),
      data: t.Object({
        version: t.Union([t.Literal("1.2"), t.Literal("2.0")], {
          description: "The version of the TPM. Defaults to `1.2`.",
          default: "1.2"
        }),
        model: t.Union([t.Literal("tis"), t.Literal("crb")], {
          description: "The model of the TPM. Defaults to `tis`. `crb` TPMs must have a version of `2.0`.",
          default: "tis"
        })
      })
    }),
    [4 /* UsbDevice */]: t.Object({
      _type: t.Literal(4 /* UsbDevice */),
      data: t.Object({
        cluster_mapping_id: t.Optional(IDS.cluster_resource_mapping),
        device: t.Optional(t.Object({
          vendor_id: t.String({
            description: "The vendor ID of the USB device in hexadecimal.",
            examples: ["1234"],
            minLength: 4,
            maxLength: 4
          }),
          product_id: t.String({
            description: "The product ID of the USB device in hexadecimal.",
            examples: ["5678"],
            minLength: 4,
            maxLength: 4
          }),
          bus: t.String({
            description: "The bus number of the USB device.",
            examples: ["1"]
          }),
          device: t.String({
            description: "The device number of the USB device.",
            examples: ["3"]
          })
        })),
        startup_policy: t.Optional(t.Union([
          t.Literal("mandatory", {
            description: "The instance will fail to start if the device is not available."
          }),
          t.Literal("requisite", {
            description: "The instance will fail to start if the device is not available, but will succeed when migrating the instance to a host where the device is available."
          }),
          t.Literal("optional", {
            description: "The instance will start even if the device is not available."
          })
        ]))
      })
    }),
    [5 /* PciDevice */]: t.Object({
      _type: t.Literal(5 /* PciDevice */),
      data: t.Object({
        device: t.Optional(pciDeviceSlot),
        cluster_mapping_id: t.Optional(IDS.cluster_resource_mapping),
        is_display: t.Optional(t.Boolean({
          description: "Whether the device should be enabled as a display device. This provides a display device for the instance. Defaults to `false`."
        })),
        ramfb: t.Optional(t.Boolean({
          description: "Whether the device should be enabled as a RAM framebuffer device. This provides an in-memory framebuffer (display) device for the instance. Must be used in conjunction with `is_display`, otherwise it will be ignored. Defaults to `false`."
        }))
      })
    }),
    [6 /* RngDevice */]: t.Object({
      _type: t.Literal(6 /* RngDevice */),
      data: t.Object({
        path: t.String({
          description: "The path to the RNG device. It can be a hardware RNG device or a software RNG device. Defaults to `/dev/urandom`.",
          default: "/dev/urandom",
          pattern: "^\\/dev\\/(u?random|hwrng\\d{0,2})$"
        })
      })
    })
  };
  InstanceDeviceTypeMetadataUnion = t.Union([
    InstanceDeviceTypeMetadataSchemas[1 /* NetworkInterface */],
    InstanceDeviceTypeMetadataSchemas[2 /* StorageVolume */],
    InstanceDeviceTypeMetadataSchemas[3 /* TrustedPlatformModule */],
    InstanceDeviceTypeMetadataSchemas[4 /* UsbDevice */],
    InstanceDeviceTypeMetadataSchemas[5 /* PciDevice */],
    InstanceDeviceTypeMetadataSchemas[6 /* RngDevice */]
  ]);
});

// ../common/config.ts
import { readFileSync } from "fs";
var ETC_DIR = "/etc/pce", CONFIG, cache = null, GetNodeData = () => {
  if (cache) {
    return cache;
  }
  cache = JSON.parse(readFileSync(CONFIG.PATHS.NODE_DATA).toString("utf8"));
  return cache;
};
var init_config = __esm(() => {
  CONFIG = {
    PORTS: {
      PCEPROXYD: 5007,
      PCEDAEMON: 85
    },
    PATHS: {
      INSTALLATION_DEFAULTS: "/.pce-default",
      ETC: ETC_DIR,
      NODE_DATA: `${ETC_DIR}/node.json`,
      CLUSTER_JOIN_LOCK: `${ETC_DIR}/cluster-join.lock`,
      DNS_HOSTS: "/etc/hosts",
      DNS_NAMESERVERS: "/etc/resolv.conf",
      CADDY: "/etc/caddy",
      CERTIFICATES: {
        WEB_KEY: "/etc/caddy/pce.key",
        WEB_CERT: "/etc/caddy/pce.crt"
      },
      INSTANCE_IMAGES: "/var/lib/pce/images/",
      CLUSTER_MEMBERS: "/var/lib/pce/cluster-members",
      CRDB_LOCALITY: "/var/lib/pce/crdb-locality",
      STORAGE_POOLS: "/var/lib/pce/storage",
      PCI_PASSTHROUGH_MARKED_DEVICES: "/var/lib/pce/pci-passthrough",
      APT_PCE_AUTH_CONFIG: "/etc/apt/auth.conf.d/pextra-ce.conf",
      NODE_JOIN_EXPORT: "/var/lib/pce/node-join-export",
      NODE_CAPABILITIES_CACHE: "/var/lib/pce/node-capabilities.json"
    },
    COCKROACHDB: {
      CERTS: "/usr/local/lib/cockroach/certs",
      USER: "pextra_ce_pcedaemon",
      DB: "pextra_ce"
    },
    CLUSTER_LEADER_EXPIRY: 8
  };
});

// src/utils/writeFileWithPermissions.ts
var writeFileWithPermissions = async (payload, file) => {
  const promise3 = file ? file.write(payload.data) : Bun.write(payload.path, payload.data);
  const chmodCmd = `chmod ${payload.permissions.mode} ${payload.path}`;
  const chownCmd = `chown ${payload.permissions.user ?? ""}:${payload.permissions.group ?? ""} ${payload.path}`;
  if (!payload.permissions.user && !payload.permissions.group) {
    return promise3.then(() => Bun.$`${{ raw: chmodCmd }}`.quiet());
  } else {
    return promise3.then(() => Bun.$`${{ raw: chownCmd }} && ${{ raw: chmodCmd }}`.quiet());
  }
};

// src/utils/virsh.ts
var {$: $2 } = globalThis.Bun;
import { randomUUID } from "crypto";
var import_xmlbuilder2, logger2, parseVirshHeader = (header) => header.trim().split(/\s+/).filter((column) => column !== ""), parseVirshColumns = (columns) => {
  const rows = columns.split(`
`).filter((row) => row !== "");
  return rows.map((row) => {
    const columns2 = row.trim().split(/\s{2,}/).filter((column) => column !== "");
    return columns2;
  }).filter((row) => row.length > 0);
}, ParseVirshOutput = (output) => {
  const lines = output.split(`
`).filter((line) => line !== "");
  const header = parseVirshHeader(lines[0]);
  const rows = parseVirshColumns(lines.slice(2).join(`
`));
  rows.forEach((row) => {
    if (row.length !== header.length) {
      throw new Error("Invalid number of columns");
    }
  });
  return {
    header,
    rows
  };
}, ParseVirshOutputNoHeader = (output) => {
  const lines = output.split(`
`).filter((line) => line !== "");
  const header = [];
  const rows = [];
  lines.forEach((line) => {
    const columns = line.trim().split(/\s{2,}/).filter((column) => column !== "");
    if (columns.length === 2) {
      header.push(columns[0].slice(0, -1));
      rows.push(columns[1]);
    } else {
      throw new Error("Invalid number of columns");
    }
  });
  return {
    header,
    rows: [rows]
  };
}, ObjectifyVirshOutput = (output) => output.rows.map((row) => {
  const object3 = {};
  output.header.forEach((column, index) => {
    object3[column] = row[index];
  });
  return object3;
}), executeVirshCommand = async (command, type4) => {
  const connectionString = type4 ? LibvirtConnectionString(type4) : "qemu:///system";
  const result = await $2`virsh --connect ${connectionString} ${command}`.quiet().nothrow();
  if (result.exitCode !== 0) {
    throw new Error(`Failed to execute command '${command}': ${result.stderr.toString()}`);
  }
  return result.stdout.toString();
}, VirshExecute = async (command, type4) => ObjectifyVirshOutput(ParseVirshOutput(await executeVirshCommand(command, type4))), VirshExecuteParseNoHeader = async (command, type4) => {
  try {
    const result = await executeVirshCommand(command, type4);
    return ObjectifyVirshOutput(ParseVirshOutputNoHeader(result));
  } catch (e) {
    logger2.error(`Failed to execute command '${command}': ${e.message}`);
    return [];
  }
}, VirshExecuteNoParse = async (command, type4) => executeVirshCommand(command, type4), VirshExecuteXml = async (command, type4) => {
  const result = await executeVirshCommand(command, type4);
  return import_xmlbuilder2.default.create(result).end({ format: "object" });
}, TempFile = async (content) => {
  const fileName = `/tmp/pce/${randomUUID()}`;
  await Bun.write(fileName, content);
  return fileName;
}, maybeArray = (value2) => Array.isArray(value2) ? value2 : [value2], excludedMachineTypes, cachedCapabilities, GetCapabilities = async () => {
  if (cachedCapabilities.size > 0) {
    logger2.verbose(`Returning ${cachedCapabilities.size} cached capabilities`);
    return cachedCapabilities;
  }
  try {
    logger2.debug("Checking capabilities cache file...");
    const capsFile = Bun.file(CONFIG.PATHS.NODE_CAPABILITIES_CACHE);
    const lastUpdated = (await capsFile.stat()).mtime;
    const isCacheValid = lastUpdated && Date.now() - lastUpdated.getTime() < 1000 * 60 * 60 * 24 * 7;
    if (!isCacheValid) {
      logger2.debug("Capabilities cache is outdated, removing...");
      await capsFile.unlink().catch(() => {
      });
      logger2.verbose("Removed outdated capabilities cache file");
    } else {
      const data = await capsFile.json();
      logger2.debug(`Capabilities cache found, loading ${Object.keys(data).length} architectures`);
      Object.entries(data).forEach(([arch, capabilities]) => {
        cachedCapabilities.set(arch, capabilities);
      });
      return cachedCapabilities;
    }
  } catch (e) {
  }
  logger2.debug("Capabilities cache not found, fetching...");
  const hostCaps = await VirshExecuteXml("capabilities");
  const guests = maybeArray(hostCaps.capabilities.guest);
  logger2.verbose(`Found ${guests.length} architectures in host capabilities XML`);
  await Promise.all(guests.map(async (cap) => {
    const arch = cap.arch["@name"];
    logger2.silly(`Processing capabilities for ${arch} (${cap.arch.emulator}, ${cap.arch["wordsize"]}-bit)`);
    const domCaps = await VirshExecuteXml(`domcapabilities --arch ${arch}`);
    const cpuModels = maybeArray(domCaps.domainCapabilities.cpu.mode).map((mode) => maybeArray(mode.model)).filter((model) => !model.some((c) => !c)).flat().filter((model) => model?.["@usable"] && model["@usable"] !== "no");
    const machines = maybeArray(cap.arch.machine).filter((machine) => machine["@deprecated"] !== "yes" && !excludedMachineTypes.includes(machine["#"]));
    const domains = maybeArray(cap.arch.domain);
    const domFeatures = Object.entries(domCaps.domainCapabilities.features).reduce((acc, [key, value2]) => {
      acc[key] = value2["@supported"] === "yes";
      return acc;
    }, {});
    const archFeatures = Object.keys(cap.features).reduce((acc, key) => {
      acc[key] = true;
      return acc;
    }, {});
    const result = {
      arch,
      emulator: cap.arch.emulator,
      kvm_supported: domains.some((domain) => domain["@type"] === "kvm"),
      wordsize: parseInt(cap.arch.wordsize.toString()),
      firmware: {},
      default_machine: domCaps.domainCapabilities.machine,
      cpu_models: cpuModels.map((model) => ({
        name: model["#"],
        vendor: model["@vendor"] ?? "unknown",
        experimental: model["@usable"] === "unknown"
      })),
      machines: machines.map((machine) => ({
        max_vcpus: parseInt(machine["@maxCpus"].toString()),
        name: machine["#"]
      })),
      features: { ...domFeatures, ...archFeatures }
    };
    cachedCapabilities.set(arch, result);
  }));
  await writeFileWithPermissions({
    path: CONFIG.PATHS.NODE_CAPABILITIES_CACHE,
    data: JSON.stringify(Object.fromEntries(cachedCapabilities.entries())),
    permissions: {
      mode: "644"
    }
  });
  logger2.debug(`Successfully built capabilities cache for ${cachedCapabilities.size} architectures`);
  return cachedCapabilities;
};
var init_virsh = __esm(() => {
  import_xmlbuilder2 = __toESM(require_lib4(), 1);
  init_instances2();
  init_config();
  init_logger();
  logger2 = child({
    id: "Virsh",
    namespace: "utils"
  });
  excludedMachineTypes = ["x-remote", "microvm", "nitro-enclave"];
  cachedCapabilities = new Map;
});

// ../../node_modules/postgres-array/index.js
var require_postgres_array = __commonJS((exports) => {
  exports.parse = function(source, transform4) {
    return new ArrayParser(source, transform4).parse();
  };

  class ArrayParser {
    constructor(source, transform4) {
      this.source = source;
      this.transform = transform4 || identity;
      this.position = 0;
      this.entries = [];
      this.recorded = [];
      this.dimension = 0;
    }
    isEof() {
      return this.position >= this.source.length;
    }
    nextCharacter() {
      var character = this.source[this.position++];
      if (character === "\\") {
        return {
          value: this.source[this.position++],
          escaped: true
        };
      }
      return {
        value: character,
        escaped: false
      };
    }
    record(character) {
      this.recorded.push(character);
    }
    newEntry(includeEmpty) {
      var entry;
      if (this.recorded.length > 0 || includeEmpty) {
        entry = this.recorded.join("");
        if (entry === "NULL" && !includeEmpty) {
          entry = null;
        }
        if (entry !== null)
          entry = this.transform(entry);
        this.entries.push(entry);
        this.recorded = [];
      }
    }
    consumeDimensions() {
      if (this.source[0] === "[") {
        while (!this.isEof()) {
          var char = this.nextCharacter();
          if (char.value === "=")
            break;
        }
      }
    }
    parse(nested) {
      var character, parser, quote;
      this.consumeDimensions();
      while (!this.isEof()) {
        character = this.nextCharacter();
        if (character.value === "{" && !quote) {
          this.dimension++;
          if (this.dimension > 1) {
            parser = new ArrayParser(this.source.substr(this.position - 1), this.transform);
            this.entries.push(parser.parse(true));
            this.position += parser.position - 2;
          }
        } else if (character.value === "}" && !quote) {
          this.dimension--;
          if (!this.dimension) {
            this.newEntry();
            if (nested)
              return this.entries;
          }
        } else if (character.value === '"' && !character.escaped) {
          if (quote)
            this.newEntry(true);
          quote = !quote;
        } else if (character.value === "," && !quote) {
          this.newEntry();
        } else {
          this.record(character.value);
        }
      }
      if (this.dimension !== 0) {
        throw new Error("array dimension not balanced");
      }
      return this.entries;
    }
  }
  function identity(value2) {
    return value2;
  }
});

// ../../node_modules/pg-types/lib/arrayParser.js
var require_arrayParser = __commonJS((exports, module3) => {
  var array3 = require_postgres_array();
  module3.exports = {
    create: function(source, transform4) {
      return {
        parse: function() {
          return array3.parse(source, transform4);
        }
      };
    }
  };
});

// ../../node_modules/postgres-date/index.js
var require_postgres_date = __commonJS((exports, module3) => {
  var DATE_TIME = /(\d{1,})-(\d{2})-(\d{2}) (\d{2}):(\d{2}):(\d{2})(\.\d{1,})?.*?( BC)?$/;
  var DATE2 = /^(\d{1,})-(\d{2})-(\d{2})( BC)?$/;
  var TIME_ZONE = /([Z+-])(\d{2})?:?(\d{2})?:?(\d{2})?/;
  var INFINITY = /^-?infinity$/;
  module3.exports = function parseDate(isoDate) {
    if (INFINITY.test(isoDate)) {
      return Number(isoDate.replace("i", "I"));
    }
    var matches = DATE_TIME.exec(isoDate);
    if (!matches) {
      return getDate(isoDate) || null;
    }
    var isBC = !!matches[8];
    var year = parseInt(matches[1], 10);
    if (isBC) {
      year = bcYearToNegativeYear(year);
    }
    var month = parseInt(matches[2], 10) - 1;
    var day = matches[3];
    var hour = parseInt(matches[4], 10);
    var minute = parseInt(matches[5], 10);
    var second = parseInt(matches[6], 10);
    var ms = matches[7];
    ms = ms ? 1000 * parseFloat(ms) : 0;
    var date4;
    var offset = timeZoneOffset(isoDate);
    if (offset != null) {
      date4 = new Date(Date.UTC(year, month, day, hour, minute, second, ms));
      if (is0To99(year)) {
        date4.setUTCFullYear(year);
      }
      if (offset !== 0) {
        date4.setTime(date4.getTime() - offset);
      }
    } else {
      date4 = new Date(year, month, day, hour, minute, second, ms);
      if (is0To99(year)) {
        date4.setFullYear(year);
      }
    }
    return date4;
  };
  function getDate(isoDate) {
    var matches = DATE2.exec(isoDate);
    if (!matches) {
      return;
    }
    var year = parseInt(matches[1], 10);
    var isBC = !!matches[4];
    if (isBC) {
      year = bcYearToNegativeYear(year);
    }
    var month = parseInt(matches[2], 10) - 1;
    var day = matches[3];
    var date4 = new Date(year, month, day);
    if (is0To99(year)) {
      date4.setFullYear(year);
    }
    return date4;
  }
  function timeZoneOffset(isoDate) {
    if (isoDate.endsWith("+00")) {
      return 0;
    }
    var zone = TIME_ZONE.exec(isoDate.split(" ")[1]);
    if (!zone)
      return;
    var type4 = zone[1];
    if (type4 === "Z") {
      return 0;
    }
    var sign = type4 === "-" ? -1 : 1;
    var offset = parseInt(zone[2], 10) * 3600 + parseInt(zone[3] || 0, 10) * 60 + parseInt(zone[4] || 0, 10);
    return offset * sign * 1000;
  }
  function bcYearToNegativeYear(year) {
    return -(year - 1);
  }
  function is0To99(num) {
    return num >= 0 && num < 100;
  }
});

// ../../node_modules/xtend/mutable.js
var require_mutable = __commonJS((exports, module3) => {
  module3.exports = extend;
  var hasOwnProperty = Object.prototype.hasOwnProperty;
  function extend(target) {
    for (var i = 1;i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  }
});

// ../../node_modules/postgres-interval/index.js
var require_postgres_interval = __commonJS((exports, module3) => {
  var extend = require_mutable();
  module3.exports = PostgresInterval;
  function PostgresInterval(raw) {
    if (!(this instanceof PostgresInterval)) {
      return new PostgresInterval(raw);
    }
    extend(this, parse4(raw));
  }
  var properties = ["seconds", "minutes", "hours", "days", "months", "years"];
  PostgresInterval.prototype.toPostgres = function() {
    var filtered = properties.filter(this.hasOwnProperty, this);
    if (this.milliseconds && filtered.indexOf("seconds") < 0) {
      filtered.push("seconds");
    }
    if (filtered.length === 0)
      return "0";
    return filtered.map(function(property) {
      var value2 = this[property] || 0;
      if (property === "seconds" && this.milliseconds) {
        value2 = (value2 + this.milliseconds / 1000).toFixed(6).replace(/\.?0+$/, "");
      }
      return value2 + " " + property;
    }, this).join(" ");
  };
  var propertiesISOEquivalent = {
    years: "Y",
    months: "M",
    days: "D",
    hours: "H",
    minutes: "M",
    seconds: "S"
  };
  var dateProperties = ["years", "months", "days"];
  var timeProperties = ["hours", "minutes", "seconds"];
  PostgresInterval.prototype.toISOString = PostgresInterval.prototype.toISO = function() {
    var datePart = dateProperties.map(buildProperty, this).join("");
    var timePart = timeProperties.map(buildProperty, this).join("");
    return "P" + datePart + "T" + timePart;
    function buildProperty(property) {
      var value2 = this[property] || 0;
      if (property === "seconds" && this.milliseconds) {
        value2 = (value2 + this.milliseconds / 1000).toFixed(6).replace(/0+$/, "");
      }
      return value2 + propertiesISOEquivalent[property];
    }
  };
  var NUMBER = "([+-]?\\d+)";
  var YEAR = NUMBER + "\\s+years?";
  var MONTH = NUMBER + "\\s+mons?";
  var DAY = NUMBER + "\\s+days?";
  var TIME2 = "([+-])?([\\d]*):(\\d\\d):(\\d\\d)\\.?(\\d{1,6})?";
  var INTERVAL = new RegExp([YEAR, MONTH, DAY, TIME2].map(function(regexString) {
    return "(" + regexString + ")?";
  }).join("\\s*"));
  var positions = {
    years: 2,
    months: 4,
    days: 6,
    hours: 9,
    minutes: 10,
    seconds: 11,
    milliseconds: 12
  };
  var negatives = ["hours", "minutes", "seconds", "milliseconds"];
  function parseMilliseconds(fraction) {
    var microseconds = fraction + "000000".slice(fraction.length);
    return parseInt(microseconds, 10) / 1000;
  }
  function parse4(interval) {
    if (!interval)
      return {};
    var matches = INTERVAL.exec(interval);
    var isNegative = matches[8] === "-";
    return Object.keys(positions).reduce(function(parsed, property) {
      var position = positions[property];
      var value2 = matches[position];
      if (!value2)
        return parsed;
      value2 = property === "milliseconds" ? parseMilliseconds(value2) : parseInt(value2, 10);
      if (!value2)
        return parsed;
      if (isNegative && ~negatives.indexOf(property)) {
        value2 *= -1;
      }
      parsed[property] = value2;
      return parsed;
    }, {});
  }
});

// ../../node_modules/postgres-bytea/index.js
var require_postgres_bytea = __commonJS((exports, module3) => {
  module3.exports = function parseBytea(input) {
    if (/^\\x/.test(input)) {
      return new Buffer(input.substr(2), "hex");
    }
    var output = "";
    var i = 0;
    while (i < input.length) {
      if (input[i] !== "\\") {
        output += input[i];
        ++i;
      } else {
        if (/[0-7]{3}/.test(input.substr(i + 1, 3))) {
          output += String.fromCharCode(parseInt(input.substr(i + 1, 3), 8));
          i += 4;
        } else {
          var backslashes = 1;
          while (i + backslashes < input.length && input[i + backslashes] === "\\") {
            backslashes++;
          }
          for (var k2 = 0;k2 < Math.floor(backslashes / 2); ++k2) {
            output += "\\";
          }
          i += Math.floor(backslashes / 2) * 2;
        }
      }
    }
    return new Buffer(output, "binary");
  };
});

// ../../node_modules/pg-types/lib/textParsers.js
var require_textParsers = __commonJS((exports, module3) => {
  var array3 = require_postgres_array();
  var arrayParser = require_arrayParser();
  var parseDate = require_postgres_date();
  var parseInterval = require_postgres_interval();
  var parseByteA = require_postgres_bytea();
  function allowNull(fn) {
    return function nullAllowed(value2) {
      if (value2 === null)
        return value2;
      return fn(value2);
    };
  }
  function parseBool(value2) {
    if (value2 === null)
      return value2;
    return value2 === "TRUE" || value2 === "t" || value2 === "true" || value2 === "y" || value2 === "yes" || value2 === "on" || value2 === "1";
  }
  function parseBoolArray(value2) {
    if (!value2)
      return null;
    return array3.parse(value2, parseBool);
  }
  function parseBaseTenInt(string3) {
    return parseInt(string3, 10);
  }
  function parseIntegerArray(value2) {
    if (!value2)
      return null;
    return array3.parse(value2, allowNull(parseBaseTenInt));
  }
  function parseBigIntegerArray(value2) {
    if (!value2)
      return null;
    return array3.parse(value2, allowNull(function(entry) {
      return parseBigInteger(entry).trim();
    }));
  }
  var parsePointArray = function(value2) {
    if (!value2) {
      return null;
    }
    var p = arrayParser.create(value2, function(entry) {
      if (entry !== null) {
        entry = parsePoint(entry);
      }
      return entry;
    });
    return p.parse();
  };
  var parseFloatArray = function(value2) {
    if (!value2) {
      return null;
    }
    var p = arrayParser.create(value2, function(entry) {
      if (entry !== null) {
        entry = parseFloat(entry);
      }
      return entry;
    });
    return p.parse();
  };
  var parseStringArray = function(value2) {
    if (!value2) {
      return null;
    }
    var p = arrayParser.create(value2);
    return p.parse();
  };
  var parseDateArray = function(value2) {
    if (!value2) {
      return null;
    }
    var p = arrayParser.create(value2, function(entry) {
      if (entry !== null) {
        entry = parseDate(entry);
      }
      return entry;
    });
    return p.parse();
  };
  var parseIntervalArray = function(value2) {
    if (!value2) {
      return null;
    }
    var p = arrayParser.create(value2, function(entry) {
      if (entry !== null) {
        entry = parseInterval(entry);
      }
      return entry;
    });
    return p.parse();
  };
  var parseByteAArray = function(value2) {
    if (!value2) {
      return null;
    }
    return array3.parse(value2, allowNull(parseByteA));
  };
  var parseInteger = function(value2) {
    return parseInt(value2, 10);
  };
  var parseBigInteger = function(value2) {
    var valStr = String(value2);
    if (/^\d+$/.test(valStr)) {
      return valStr;
    }
    return value2;
  };
  var parseJsonArray = function(value2) {
    if (!value2) {
      return null;
    }
    return array3.parse(value2, allowNull(JSON.parse));
  };
  var parsePoint = function(value2) {
    if (value2[0] !== "(") {
      return null;
    }
    value2 = value2.substring(1, value2.length - 1).split(",");
    return {
      x: parseFloat(value2[0]),
      y: parseFloat(value2[1])
    };
  };
  var parseCircle = function(value2) {
    if (value2[0] !== "<" && value2[1] !== "(") {
      return null;
    }
    var point = "(";
    var radius = "";
    var pointParsed = false;
    for (var i = 2;i < value2.length - 1; i++) {
      if (!pointParsed) {
        point += value2[i];
      }
      if (value2[i] === ")") {
        pointParsed = true;
        continue;
      } else if (!pointParsed) {
        continue;
      }
      if (value2[i] === ",") {
        continue;
      }
      radius += value2[i];
    }
    var result = parsePoint(point);
    result.radius = parseFloat(radius);
    return result;
  };
  var init = function(register) {
    register(20, parseBigInteger);
    register(21, parseInteger);
    register(23, parseInteger);
    register(26, parseInteger);
    register(700, parseFloat);
    register(701, parseFloat);
    register(16, parseBool);
    register(1082, parseDate);
    register(1114, parseDate);
    register(1184, parseDate);
    register(600, parsePoint);
    register(651, parseStringArray);
    register(718, parseCircle);
    register(1000, parseBoolArray);
    register(1001, parseByteAArray);
    register(1005, parseIntegerArray);
    register(1007, parseIntegerArray);
    register(1028, parseIntegerArray);
    register(1016, parseBigIntegerArray);
    register(1017, parsePointArray);
    register(1021, parseFloatArray);
    register(1022, parseFloatArray);
    register(1231, parseFloatArray);
    register(1014, parseStringArray);
    register(1015, parseStringArray);
    register(1008, parseStringArray);
    register(1009, parseStringArray);
    register(1040, parseStringArray);
    register(1041, parseStringArray);
    register(1115, parseDateArray);
    register(1182, parseDateArray);
    register(1185, parseDateArray);
    register(1186, parseInterval);
    register(1187, parseIntervalArray);
    register(17, parseByteA);
    register(114, JSON.parse.bind(JSON));
    register(3802, JSON.parse.bind(JSON));
    register(199, parseJsonArray);
    register(3807, parseJsonArray);
    register(3907, parseStringArray);
    register(2951, parseStringArray);
    register(791, parseStringArray);
    register(1183, parseStringArray);
    register(1270, parseStringArray);
  };
  module3.exports = {
    init
  };
});

// ../../node_modules/pg-int8/index.js
var require_pg_int8 = __commonJS((exports, module3) => {
  var BASE = 1e6;
  function readInt8(buffer) {
    var high = buffer.readInt32BE(0);
    var low = buffer.readUInt32BE(4);
    var sign = "";
    if (high < 0) {
      high = ~high + (low === 0);
      low = ~low + 1 >>> 0;
      sign = "-";
    }
    var result = "";
    var carry;
    var t2;
    var digits;
    var pad;
    var l;
    var i;
    {
      carry = high % BASE;
      high = high / BASE >>> 0;
      t2 = 4294967296 * carry + low;
      low = t2 / BASE >>> 0;
      digits = "" + (t2 - BASE * low);
      if (low === 0 && high === 0) {
        return sign + digits + result;
      }
      pad = "";
      l = 6 - digits.length;
      for (i = 0;i < l; i++) {
        pad += "0";
      }
      result = pad + digits + result;
    }
    {
      carry = high % BASE;
      high = high / BASE >>> 0;
      t2 = 4294967296 * carry + low;
      low = t2 / BASE >>> 0;
      digits = "" + (t2 - BASE * low);
      if (low === 0 && high === 0) {
        return sign + digits + result;
      }
      pad = "";
      l = 6 - digits.length;
      for (i = 0;i < l; i++) {
        pad += "0";
      }
      result = pad + digits + result;
    }
    {
      carry = high % BASE;
      high = high / BASE >>> 0;
      t2 = 4294967296 * carry + low;
      low = t2 / BASE >>> 0;
      digits = "" + (t2 - BASE * low);
      if (low === 0 && high === 0) {
        return sign + digits + result;
      }
      pad = "";
      l = 6 - digits.length;
      for (i = 0;i < l; i++) {
        pad += "0";
      }
      result = pad + digits + result;
    }
    {
      carry = high % BASE;
      t2 = 4294967296 * carry + low;
      digits = "" + t2 % BASE;
      return sign + digits + result;
    }
  }
  module3.exports = readInt8;
});

// ../../node_modules/pg-types/lib/binaryParsers.js
var require_binaryParsers = __commonJS((exports, module3) => {
  var parseInt64 = require_pg_int8();
  var parseBits = function(data, bits2, offset, invert, callback) {
    offset = offset || 0;
    invert = invert || false;
    callback = callback || function(lastValue, newValue, bits3) {
      return lastValue * Math.pow(2, bits3) + newValue;
    };
    var offsetBytes = offset >> 3;
    var inv = function(value2) {
      if (invert) {
        return ~value2 & 255;
      }
      return value2;
    };
    var mask = 255;
    var firstBits = 8 - offset % 8;
    if (bits2 < firstBits) {
      mask = 255 << 8 - bits2 & 255;
      firstBits = bits2;
    }
    if (offset) {
      mask = mask >> offset % 8;
    }
    var result = 0;
    if (offset % 8 + bits2 >= 8) {
      result = callback(0, inv(data[offsetBytes]) & mask, firstBits);
    }
    var bytes = bits2 + offset >> 3;
    for (var i = offsetBytes + 1;i < bytes; i++) {
      result = callback(result, inv(data[i]), 8);
    }
    var lastBits = (bits2 + offset) % 8;
    if (lastBits > 0) {
      result = callback(result, inv(data[bytes]) >> 8 - lastBits, lastBits);
    }
    return result;
  };
  var parseFloatFromBits = function(data, precisionBits, exponentBits) {
    var bias = Math.pow(2, exponentBits - 1) - 1;
    var sign = parseBits(data, 1);
    var exponent = parseBits(data, exponentBits, 1);
    if (exponent === 0) {
      return 0;
    }
    var precisionBitsCounter = 1;
    var parsePrecisionBits = function(lastValue, newValue, bits2) {
      if (lastValue === 0) {
        lastValue = 1;
      }
      for (var i = 1;i <= bits2; i++) {
        precisionBitsCounter /= 2;
        if ((newValue & 1 << bits2 - i) > 0) {
          lastValue += precisionBitsCounter;
        }
      }
      return lastValue;
    };
    var mantissa = parseBits(data, precisionBits, exponentBits + 1, false, parsePrecisionBits);
    if (exponent == Math.pow(2, exponentBits + 1) - 1) {
      if (mantissa === 0) {
        return sign === 0 ? Infinity : -Infinity;
      }
      return NaN;
    }
    return (sign === 0 ? 1 : -1) * Math.pow(2, exponent - bias) * mantissa;
  };
  var parseInt16 = function(value2) {
    if (parseBits(value2, 1) == 1) {
      return -1 * (parseBits(value2, 15, 1, true) + 1);
    }
    return parseBits(value2, 15, 1);
  };
  var parseInt32 = function(value2) {
    if (parseBits(value2, 1) == 1) {
      return -1 * (parseBits(value2, 31, 1, true) + 1);
    }
    return parseBits(value2, 31, 1);
  };
  var parseFloat32 = function(value2) {
    return parseFloatFromBits(value2, 23, 8);
  };
  var parseFloat64 = function(value2) {
    return parseFloatFromBits(value2, 52, 11);
  };
  var parseNumeric = function(value2) {
    var sign = parseBits(value2, 16, 32);
    if (sign == 49152) {
      return NaN;
    }
    var weight = Math.pow(1e4, parseBits(value2, 16, 16));
    var result = 0;
    var digits = [];
    var ndigits = parseBits(value2, 16);
    for (var i = 0;i < ndigits; i++) {
      result += parseBits(value2, 16, 64 + 16 * i) * weight;
      weight /= 1e4;
    }
    var scale = Math.pow(10, parseBits(value2, 16, 48));
    return (sign === 0 ? 1 : -1) * Math.round(result * scale) / scale;
  };
  var parseDate = function(isUTC, value2) {
    var sign = parseBits(value2, 1);
    var rawValue = parseBits(value2, 63, 1);
    var result = new Date((sign === 0 ? 1 : -1) * rawValue / 1000 + 946684800000);
    if (!isUTC) {
      result.setTime(result.getTime() + result.getTimezoneOffset() * 60000);
    }
    result.usec = rawValue % 1000;
    result.getMicroSeconds = function() {
      return this.usec;
    };
    result.setMicroSeconds = function(value3) {
      this.usec = value3;
    };
    result.getUTCMicroSeconds = function() {
      return this.usec;
    };
    return result;
  };
  var parseArray = function(value2) {
    var dim = parseBits(value2, 32);
    var flags = parseBits(value2, 32, 32);
    var elementType = parseBits(value2, 32, 64);
    var offset = 96;
    var dims = [];
    for (var i = 0;i < dim; i++) {
      dims[i] = parseBits(value2, 32, offset);
      offset += 32;
      offset += 32;
    }
    var parseElement = function(elementType2) {
      var length = parseBits(value2, 32, offset);
      offset += 32;
      if (length == 4294967295) {
        return null;
      }
      var result;
      if (elementType2 == 23 || elementType2 == 20) {
        result = parseBits(value2, length * 8, offset);
        offset += length * 8;
        return result;
      } else if (elementType2 == 25) {
        result = value2.toString(this.encoding, offset >> 3, (offset += length << 3) >> 3);
        return result;
      } else {
        console.log("ERROR: ElementType not implemented: " + elementType2);
      }
    };
    var parse4 = function(dimension, elementType2) {
      var array3 = [];
      var i2;
      if (dimension.length > 1) {
        var count = dimension.shift();
        for (i2 = 0;i2 < count; i2++) {
          array3[i2] = parse4(dimension, elementType2);
        }
        dimension.unshift(count);
      } else {
        for (i2 = 0;i2 < dimension[0]; i2++) {
          array3[i2] = parseElement(elementType2);
        }
      }
      return array3;
    };
    return parse4(dims, elementType);
  };
  var parseText = function(value2) {
    return value2.toString("utf8");
  };
  var parseBool = function(value2) {
    if (value2 === null)
      return null;
    return parseBits(value2, 8) > 0;
  };
  var init = function(register) {
    register(20, parseInt64);
    register(21, parseInt16);
    register(23, parseInt32);
    register(26, parseInt32);
    register(1700, parseNumeric);
    register(700, parseFloat32);
    register(701, parseFloat64);
    register(16, parseBool);
    register(1114, parseDate.bind(null, false));
    register(1184, parseDate.bind(null, true));
    register(1000, parseArray);
    register(1007, parseArray);
    register(1016, parseArray);
    register(1008, parseArray);
    register(1009, parseArray);
    register(25, parseText);
  };
  module3.exports = {
    init
  };
});

// ../../node_modules/pg-types/lib/builtins.js
var require_builtins = __commonJS((exports, module3) => {
  module3.exports = {
    BOOL: 16,
    BYTEA: 17,
    CHAR: 18,
    INT8: 20,
    INT2: 21,
    INT4: 23,
    REGPROC: 24,
    TEXT: 25,
    OID: 26,
    TID: 27,
    XID: 28,
    CID: 29,
    JSON: 114,
    XML: 142,
    PG_NODE_TREE: 194,
    SMGR: 210,
    PATH: 602,
    POLYGON: 604,
    CIDR: 650,
    FLOAT4: 700,
    FLOAT8: 701,
    ABSTIME: 702,
    RELTIME: 703,
    TINTERVAL: 704,
    CIRCLE: 718,
    MACADDR8: 774,
    MONEY: 790,
    MACADDR: 829,
    INET: 869,
    ACLITEM: 1033,
    BPCHAR: 1042,
    VARCHAR: 1043,
    DATE: 1082,
    TIME: 1083,
    TIMESTAMP: 1114,
    TIMESTAMPTZ: 1184,
    INTERVAL: 1186,
    TIMETZ: 1266,
    BIT: 1560,
    VARBIT: 1562,
    NUMERIC: 1700,
    REFCURSOR: 1790,
    REGPROCEDURE: 2202,
    REGOPER: 2203,
    REGOPERATOR: 2204,
    REGCLASS: 2205,
    REGTYPE: 2206,
    UUID: 2950,
    TXID_SNAPSHOT: 2970,
    PG_LSN: 3220,
    PG_NDISTINCT: 3361,
    PG_DEPENDENCIES: 3402,
    TSVECTOR: 3614,
    TSQUERY: 3615,
    GTSVECTOR: 3642,
    REGCONFIG: 3734,
    REGDICTIONARY: 3769,
    JSONB: 3802,
    REGNAMESPACE: 4089,
    REGROLE: 4096
  };
});

// ../../node_modules/pg-types/index.js
var require_pg_types = __commonJS((exports) => {
  var textParsers = require_textParsers();
  var binaryParsers = require_binaryParsers();
  var arrayParser = require_arrayParser();
  var builtinTypes = require_builtins();
  exports.getTypeParser = getTypeParser;
  exports.setTypeParser = setTypeParser;
  exports.arrayParser = arrayParser;
  exports.builtins = builtinTypes;
  var typeParsers = {
    text: {},
    binary: {}
  };
  function noParse(val) {
    return String(val);
  }
  function getTypeParser(oid, format2) {
    format2 = format2 || "text";
    if (!typeParsers[format2]) {
      return noParse;
    }
    return typeParsers[format2][oid] || noParse;
  }
  function setTypeParser(oid, format2, parseFn) {
    if (typeof format2 == "function") {
      parseFn = format2;
      format2 = "text";
    }
    typeParsers[format2][oid] = parseFn;
  }
  textParsers.init(function(oid, converter) {
    typeParsers.text[oid] = converter;
  });
  binaryParsers.init(function(oid, converter) {
    typeParsers.binary[oid] = converter;
  });
});

// ../../node_modules/pg/lib/defaults.js
var require_defaults = __commonJS((exports, module3) => {
  module3.exports = {
    host: "localhost",
    user: process.platform === "win32" ? process.env.USERNAME : process.env.USER,
    database: undefined,
    password: null,
    connectionString: undefined,
    port: 5432,
    rows: 0,
    binary: false,
    max: 10,
    idleTimeoutMillis: 30000,
    client_encoding: "",
    ssl: false,
    application_name: undefined,
    fallback_application_name: undefined,
    options: undefined,
    parseInputDatesAsUTC: false,
    statement_timeout: false,
    lock_timeout: false,
    idle_in_transaction_session_timeout: false,
    query_timeout: false,
    connect_timeout: 0,
    keepalives: 1,
    keepalives_idle: 0
  };
  var pgTypes = require_pg_types();
  var parseBigInteger = pgTypes.getTypeParser(20, "text");
  var parseBigIntegerArray = pgTypes.getTypeParser(1016, "text");
  module3.exports.__defineSetter__("parseInt8", function(val) {
    pgTypes.setTypeParser(20, "text", val ? pgTypes.getTypeParser(23, "text") : parseBigInteger);
    pgTypes.setTypeParser(1016, "text", val ? pgTypes.getTypeParser(1007, "text") : parseBigIntegerArray);
  });
});

// ../../node_modules/pg/lib/utils.js
var require_utils = __commonJS((exports, module3) => {
  var defaults = require_defaults();
  function escapeElement(elementRepresentation) {
    var escaped = elementRepresentation.replace(/\\/g, "\\\\").replace(/"/g, "\\\"");
    return '"' + escaped + '"';
  }
  function arrayString(val) {
    var result = "{";
    for (var i = 0;i < val.length; i++) {
      if (i > 0) {
        result = result + ",";
      }
      if (val[i] === null || typeof val[i] === "undefined") {
        result = result + "NULL";
      } else if (Array.isArray(val[i])) {
        result = result + arrayString(val[i]);
      } else if (ArrayBuffer.isView(val[i])) {
        var item = val[i];
        if (!(item instanceof Buffer)) {
          var buf = Buffer.from(item.buffer, item.byteOffset, item.byteLength);
          if (buf.length === item.byteLength) {
            item = buf;
          } else {
            item = buf.slice(item.byteOffset, item.byteOffset + item.byteLength);
          }
        }
        result += "\\\\x" + item.toString("hex");
      } else {
        result += escapeElement(prepareValue(val[i]));
      }
    }
    result = result + "}";
    return result;
  }
  var prepareValue = function(val, seen) {
    if (val == null) {
      return null;
    }
    if (val instanceof Buffer) {
      return val;
    }
    if (ArrayBuffer.isView(val)) {
      var buf = Buffer.from(val.buffer, val.byteOffset, val.byteLength);
      if (buf.length === val.byteLength) {
        return buf;
      }
      return buf.slice(val.byteOffset, val.byteOffset + val.byteLength);
    }
    if (val instanceof Date) {
      if (defaults.parseInputDatesAsUTC) {
        return dateToStringUTC(val);
      } else {
        return dateToString(val);
      }
    }
    if (Array.isArray(val)) {
      return arrayString(val);
    }
    if (typeof val === "object") {
      return prepareObject(val, seen);
    }
    return val.toString();
  };
  function prepareObject(val, seen) {
    if (val && typeof val.toPostgres === "function") {
      seen = seen || [];
      if (seen.indexOf(val) !== -1) {
        throw new Error('circular reference detected while preparing "' + val + '" for query');
      }
      seen.push(val);
      return prepareValue(val.toPostgres(prepareValue), seen);
    }
    return JSON.stringify(val);
  }
  function pad(number3, digits) {
    number3 = "" + number3;
    while (number3.length < digits) {
      number3 = "0" + number3;
    }
    return number3;
  }
  function dateToString(date4) {
    var offset = -date4.getTimezoneOffset();
    var year = date4.getFullYear();
    var isBCYear = year < 1;
    if (isBCYear)
      year = Math.abs(year) + 1;
    var ret = pad(year, 4) + "-" + pad(date4.getMonth() + 1, 2) + "-" + pad(date4.getDate(), 2) + "T" + pad(date4.getHours(), 2) + ":" + pad(date4.getMinutes(), 2) + ":" + pad(date4.getSeconds(), 2) + "." + pad(date4.getMilliseconds(), 3);
    if (offset < 0) {
      ret += "-";
      offset *= -1;
    } else {
      ret += "+";
    }
    ret += pad(Math.floor(offset / 60), 2) + ":" + pad(offset % 60, 2);
    if (isBCYear)
      ret += " BC";
    return ret;
  }
  function dateToStringUTC(date4) {
    var year = date4.getUTCFullYear();
    var isBCYear = year < 1;
    if (isBCYear)
      year = Math.abs(year) + 1;
    var ret = pad(year, 4) + "-" + pad(date4.getUTCMonth() + 1, 2) + "-" + pad(date4.getUTCDate(), 2) + "T" + pad(date4.getUTCHours(), 2) + ":" + pad(date4.getUTCMinutes(), 2) + ":" + pad(date4.getUTCSeconds(), 2) + "." + pad(date4.getUTCMilliseconds(), 3);
    ret += "+00:00";
    if (isBCYear)
      ret += " BC";
    return ret;
  }
  function normalizeQueryConfig(config, values, callback) {
    config = typeof config === "string" ? { text: config } : config;
    if (values) {
      if (typeof values === "function") {
        config.callback = values;
      } else {
        config.values = values;
      }
    }
    if (callback) {
      config.callback = callback;
    }
    return config;
  }
  var escapeIdentifier = function(str) {
    return '"' + str.replace(/"/g, '""') + '"';
  };
  var escapeLiteral = function(str) {
    var hasBackslash = false;
    var escaped = "'";
    for (var i = 0;i < str.length; i++) {
      var c = str[i];
      if (c === "'") {
        escaped += c + c;
      } else if (c === "\\") {
        escaped += c + c;
        hasBackslash = true;
      } else {
        escaped += c;
      }
    }
    escaped += "'";
    if (hasBackslash === true) {
      escaped = " E" + escaped;
    }
    return escaped;
  };
  module3.exports = {
    prepareValue: function prepareValueWrapper(value2) {
      return prepareValue(value2);
    },
    normalizeQueryConfig,
    escapeIdentifier,
    escapeLiteral
  };
});

// ../../node_modules/pg/lib/crypto/utils-legacy.js
var require_utils_legacy = __commonJS((exports, module3) => {
  var nodeCrypto = __require("crypto");
  function md5(string3) {
    return nodeCrypto.createHash("md5").update(string3, "utf-8").digest("hex");
  }
  function postgresMd5PasswordHash(user, password, salt) {
    var inner = md5(password + user);
    var outer = md5(Buffer.concat([Buffer.from(inner), salt]));
    return "md5" + outer;
  }
  function sha256(text) {
    return nodeCrypto.createHash("sha256").update(text).digest();
  }
  function hmacSha256(key, msg) {
    return nodeCrypto.createHmac("sha256", key).update(msg).digest();
  }
  async function deriveKey(password, salt, iterations) {
    return nodeCrypto.pbkdf2Sync(password, salt, iterations, 32, "sha256");
  }
  module3.exports = {
    postgresMd5PasswordHash,
    randomBytes: nodeCrypto.randomBytes,
    deriveKey,
    sha256,
    hmacSha256,
    md5
  };
});

// ../../node_modules/pg/lib/crypto/utils-webcrypto.js
var require_utils_webcrypto = __commonJS((exports, module3) => {
  var nodeCrypto = __require("crypto");
  module3.exports = {
    postgresMd5PasswordHash,
    randomBytes,
    deriveKey,
    sha256,
    hmacSha256,
    md5
  };
  var webCrypto = nodeCrypto.webcrypto || globalThis.crypto;
  var subtleCrypto = webCrypto.subtle;
  var textEncoder = new TextEncoder;
  function randomBytes(length) {
    return webCrypto.getRandomValues(Buffer.alloc(length));
  }
  async function md5(string3) {
    try {
      return nodeCrypto.createHash("md5").update(string3, "utf-8").digest("hex");
    } catch (e) {
      const data = typeof string3 === "string" ? textEncoder.encode(string3) : string3;
      const hash3 = await subtleCrypto.digest("MD5", data);
      return Array.from(new Uint8Array(hash3)).map((b) => b.toString(16).padStart(2, "0")).join("");
    }
  }
  async function postgresMd5PasswordHash(user, password, salt) {
    var inner = await md5(password + user);
    var outer = await md5(Buffer.concat([Buffer.from(inner), salt]));
    return "md5" + outer;
  }
  async function sha256(text) {
    return await subtleCrypto.digest("SHA-256", text);
  }
  async function hmacSha256(keyBuffer, msg) {
    const key = await subtleCrypto.importKey("raw", keyBuffer, { name: "HMAC", hash: "SHA-256" }, false, ["sign"]);
    return await subtleCrypto.sign("HMAC", key, textEncoder.encode(msg));
  }
  async function deriveKey(password, salt, iterations) {
    const key = await subtleCrypto.importKey("raw", textEncoder.encode(password), "PBKDF2", false, ["deriveBits"]);
    const params = { name: "PBKDF2", hash: "SHA-256", salt, iterations };
    return await subtleCrypto.deriveBits(params, key, 32 * 8, ["deriveBits"]);
  }
});

// ../../node_modules/pg/lib/crypto/utils.js
var require_utils2 = __commonJS((exports, module3) => {
  var useLegacyCrypto = parseInt(process.versions && process.versions.node && process.versions.node.split(".")[0]) < 15;
  if (useLegacyCrypto) {
    module3.exports = require_utils_legacy();
  } else {
    module3.exports = require_utils_webcrypto();
  }
});

// ../../node_modules/pg/lib/crypto/sasl.js
var require_sasl = __commonJS((exports, module3) => {
  var crypto3 = require_utils2();
  function startSession(mechanisms) {
    if (mechanisms.indexOf("SCRAM-SHA-256") === -1) {
      throw new Error("SASL: Only mechanism SCRAM-SHA-256 is currently supported");
    }
    const clientNonce = crypto3.randomBytes(18).toString("base64");
    return {
      mechanism: "SCRAM-SHA-256",
      clientNonce,
      response: "n,,n=*,r=" + clientNonce,
      message: "SASLInitialResponse"
    };
  }
  async function continueSession(session, password, serverData) {
    if (session.message !== "SASLInitialResponse") {
      throw new Error("SASL: Last message was not SASLInitialResponse");
    }
    if (typeof password !== "string") {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: client password must be a string");
    }
    if (password === "") {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: client password must be a non-empty string");
    }
    if (typeof serverData !== "string") {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: serverData must be a string");
    }
    const sv = parseServerFirstMessage(serverData);
    if (!sv.nonce.startsWith(session.clientNonce)) {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: server nonce does not start with client nonce");
    } else if (sv.nonce.length === session.clientNonce.length) {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: server nonce is too short");
    }
    var clientFirstMessageBare = "n=*,r=" + session.clientNonce;
    var serverFirstMessage = "r=" + sv.nonce + ",s=" + sv.salt + ",i=" + sv.iteration;
    var clientFinalMessageWithoutProof = "c=biws,r=" + sv.nonce;
    var authMessage = clientFirstMessageBare + "," + serverFirstMessage + "," + clientFinalMessageWithoutProof;
    var saltBytes = Buffer.from(sv.salt, "base64");
    var saltedPassword = await crypto3.deriveKey(password, saltBytes, sv.iteration);
    var clientKey = await crypto3.hmacSha256(saltedPassword, "Client Key");
    var storedKey = await crypto3.sha256(clientKey);
    var clientSignature = await crypto3.hmacSha256(storedKey, authMessage);
    var clientProof = xorBuffers(Buffer.from(clientKey), Buffer.from(clientSignature)).toString("base64");
    var serverKey = await crypto3.hmacSha256(saltedPassword, "Server Key");
    var serverSignatureBytes = await crypto3.hmacSha256(serverKey, authMessage);
    session.message = "SASLResponse";
    session.serverSignature = Buffer.from(serverSignatureBytes).toString("base64");
    session.response = clientFinalMessageWithoutProof + ",p=" + clientProof;
  }
  function finalizeSession(session, serverData) {
    if (session.message !== "SASLResponse") {
      throw new Error("SASL: Last message was not SASLResponse");
    }
    if (typeof serverData !== "string") {
      throw new Error("SASL: SCRAM-SERVER-FINAL-MESSAGE: serverData must be a string");
    }
    const { serverSignature } = parseServerFinalMessage(serverData);
    if (serverSignature !== session.serverSignature) {
      throw new Error("SASL: SCRAM-SERVER-FINAL-MESSAGE: server signature does not match");
    }
  }
  function isPrintableChars(text) {
    if (typeof text !== "string") {
      throw new TypeError("SASL: text must be a string");
    }
    return text.split("").map((_2, i) => text.charCodeAt(i)).every((c) => c >= 33 && c <= 43 || c >= 45 && c <= 126);
  }
  function isBase64(text) {
    return /^(?:[a-zA-Z0-9+/]{4})*(?:[a-zA-Z0-9+/]{2}==|[a-zA-Z0-9+/]{3}=)?$/.test(text);
  }
  function parseAttributePairs(text) {
    if (typeof text !== "string") {
      throw new TypeError("SASL: attribute pairs text must be a string");
    }
    return new Map(text.split(",").map((attrValue) => {
      if (!/^.=/.test(attrValue)) {
        throw new Error("SASL: Invalid attribute pair entry");
      }
      const name = attrValue[0];
      const value2 = attrValue.substring(2);
      return [name, value2];
    }));
  }
  function parseServerFirstMessage(data) {
    const attrPairs = parseAttributePairs(data);
    const nonce = attrPairs.get("r");
    if (!nonce) {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: nonce missing");
    } else if (!isPrintableChars(nonce)) {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: nonce must only contain printable characters");
    }
    const salt = attrPairs.get("s");
    if (!salt) {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: salt missing");
    } else if (!isBase64(salt)) {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: salt must be base64");
    }
    const iterationText = attrPairs.get("i");
    if (!iterationText) {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: iteration missing");
    } else if (!/^[1-9][0-9]*$/.test(iterationText)) {
      throw new Error("SASL: SCRAM-SERVER-FIRST-MESSAGE: invalid iteration count");
    }
    const iteration = parseInt(iterationText, 10);
    return {
      nonce,
      salt,
      iteration
    };
  }
  function parseServerFinalMessage(serverData) {
    const attrPairs = parseAttributePairs(serverData);
    const serverSignature = attrPairs.get("v");
    if (!serverSignature) {
      throw new Error("SASL: SCRAM-SERVER-FINAL-MESSAGE: server signature is missing");
    } else if (!isBase64(serverSignature)) {
      throw new Error("SASL: SCRAM-SERVER-FINAL-MESSAGE: server signature must be base64");
    }
    return {
      serverSignature
    };
  }
  function xorBuffers(a, b) {
    if (!Buffer.isBuffer(a)) {
      throw new TypeError("first argument must be a Buffer");
    }
    if (!Buffer.isBuffer(b)) {
      throw new TypeError("second argument must be a Buffer");
    }
    if (a.length !== b.length) {
      throw new Error("Buffer lengths must match");
    }
    if (a.length === 0) {
      throw new Error("Buffers cannot be empty");
    }
    return Buffer.from(a.map((_2, i) => a[i] ^ b[i]));
  }
  module3.exports = {
    startSession,
    continueSession,
    finalizeSession
  };
});

// ../../node_modules/pg/lib/type-overrides.js
var require_type_overrides = __commonJS((exports, module3) => {
  var types = require_pg_types();
  function TypeOverrides(userTypes) {
    this._types = userTypes || types;
    this.text = {};
    this.binary = {};
  }
  TypeOverrides.prototype.getOverrides = function(format2) {
    switch (format2) {
      case "text":
        return this.text;
      case "binary":
        return this.binary;
      default:
        return {};
    }
  };
  TypeOverrides.prototype.setTypeParser = function(oid, format2, parseFn) {
    if (typeof format2 === "function") {
      parseFn = format2;
      format2 = "text";
    }
    this.getOverrides(format2)[oid] = parseFn;
  };
  TypeOverrides.prototype.getTypeParser = function(oid, format2) {
    format2 = format2 || "text";
    return this.getOverrides(format2)[oid] || this._types.getTypeParser(oid, format2);
  };
  module3.exports = TypeOverrides;
});

// ../../node_modules/pg-connection-string/index.js
var require_pg_connection_string = __commonJS((exports, module3) => {
  function parse4(str) {
    if (str.charAt(0) === "/") {
      const config2 = str.split(" ");
      return { host: config2[0], database: config2[1] };
    }
    const config = {};
    let result;
    let dummyHost = false;
    if (/ |%[^a-f0-9]|%[a-f0-9][^a-f0-9]/i.test(str)) {
      str = encodeURI(str).replace(/\%25(\d\d)/g, "%$1");
    }
    try {
      result = new URL(str, "postgres://base");
    } catch (e) {
      result = new URL(str.replace("@/", "@___DUMMY___/"), "postgres://base");
      dummyHost = true;
    }
    for (const entry of result.searchParams.entries()) {
      config[entry[0]] = entry[1];
    }
    config.user = config.user || decodeURIComponent(result.username);
    config.password = config.password || decodeURIComponent(result.password);
    if (result.protocol == "socket:") {
      config.host = decodeURI(result.pathname);
      config.database = result.searchParams.get("db");
      config.client_encoding = result.searchParams.get("encoding");
      return config;
    }
    const hostname = dummyHost ? "" : result.hostname;
    if (!config.host) {
      config.host = decodeURIComponent(hostname);
    } else if (hostname && /^%2f/i.test(hostname)) {
      result.pathname = hostname + result.pathname;
    }
    if (!config.port) {
      config.port = result.port;
    }
    const pathname = result.pathname.slice(1) || null;
    config.database = pathname ? decodeURI(pathname) : null;
    if (config.ssl === "true" || config.ssl === "1") {
      config.ssl = true;
    }
    if (config.ssl === "0") {
      config.ssl = false;
    }
    if (config.sslcert || config.sslkey || config.sslrootcert || config.sslmode) {
      config.ssl = {};
    }
    const fs = config.sslcert || config.sslkey || config.sslrootcert ? __require("fs") : null;
    if (config.sslcert) {
      config.ssl.cert = fs.readFileSync(config.sslcert).toString();
    }
    if (config.sslkey) {
      config.ssl.key = fs.readFileSync(config.sslkey).toString();
    }
    if (config.sslrootcert) {
      config.ssl.ca = fs.readFileSync(config.sslrootcert).toString();
    }
    switch (config.sslmode) {
      case "disable": {
        config.ssl = false;
        break;
      }
      case "prefer":
      case "require":
      case "verify-ca":
      case "verify-full": {
        break;
      }
      case "no-verify": {
        config.ssl.rejectUnauthorized = false;
        break;
      }
    }
    return config;
  }
  module3.exports = parse4;
  parse4.parse = parse4;
});

// ../../node_modules/pg/lib/connection-parameters.js
var require_connection_parameters = __commonJS((exports, module3) => {
  var dns = __require("dns");
  var defaults = require_defaults();
  var parse4 = require_pg_connection_string().parse;
  var val = function(key, config, envVar) {
    if (envVar === undefined) {
      envVar = process.env["PG" + key.toUpperCase()];
    } else if (envVar === false) {
    } else {
      envVar = process.env[envVar];
    }
    return config[key] || envVar || defaults[key];
  };
  var readSSLConfigFromEnvironment = function() {
    switch (process.env.PGSSLMODE) {
      case "disable":
        return false;
      case "prefer":
      case "require":
      case "verify-ca":
      case "verify-full":
        return true;
      case "no-verify":
        return { rejectUnauthorized: false };
    }
    return defaults.ssl;
  };
  var quoteParamValue = function(value2) {
    return "'" + ("" + value2).replace(/\\/g, "\\\\").replace(/'/g, "\\'") + "'";
  };
  var add = function(params, config, paramName) {
    var value2 = config[paramName];
    if (value2 !== undefined && value2 !== null) {
      params.push(paramName + "=" + quoteParamValue(value2));
    }
  };

  class ConnectionParameters {
    constructor(config) {
      config = typeof config === "string" ? parse4(config) : config || {};
      if (config.connectionString) {
        config = Object.assign({}, config, parse4(config.connectionString));
      }
      this.user = val("user", config);
      this.database = val("database", config);
      if (this.database === undefined) {
        this.database = this.user;
      }
      this.port = parseInt(val("port", config), 10);
      this.host = val("host", config);
      Object.defineProperty(this, "password", {
        configurable: true,
        enumerable: false,
        writable: true,
        value: val("password", config)
      });
      this.binary = val("binary", config);
      this.options = val("options", config);
      this.ssl = typeof config.ssl === "undefined" ? readSSLConfigFromEnvironment() : config.ssl;
      if (typeof this.ssl === "string") {
        if (this.ssl === "true") {
          this.ssl = true;
        }
      }
      if (this.ssl === "no-verify") {
        this.ssl = { rejectUnauthorized: false };
      }
      if (this.ssl && this.ssl.key) {
        Object.defineProperty(this.ssl, "key", {
          enumerable: false
        });
      }
      this.client_encoding = val("client_encoding", config);
      this.replication = val("replication", config);
      this.isDomainSocket = !(this.host || "").indexOf("/");
      this.application_name = val("application_name", config, "PGAPPNAME");
      this.fallback_application_name = val("fallback_application_name", config, false);
      this.statement_timeout = val("statement_timeout", config, false);
      this.lock_timeout = val("lock_timeout", config, false);
      this.idle_in_transaction_session_timeout = val("idle_in_transaction_session_timeout", config, false);
      this.query_timeout = val("query_timeout", config, false);
      if (config.connectionTimeoutMillis === undefined) {
        this.connect_timeout = process.env.PGCONNECT_TIMEOUT || 0;
      } else {
        this.connect_timeout = Math.floor(config.connectionTimeoutMillis / 1000);
      }
      if (config.keepAlive === false) {
        this.keepalives = 0;
      } else if (config.keepAlive === true) {
        this.keepalives = 1;
      }
      if (typeof config.keepAliveInitialDelayMillis === "number") {
        this.keepalives_idle = Math.floor(config.keepAliveInitialDelayMillis / 1000);
      }
    }
    getLibpqConnectionString(cb) {
      var params = [];
      add(params, this, "user");
      add(params, this, "password");
      add(params, this, "port");
      add(params, this, "application_name");
      add(params, this, "fallback_application_name");
      add(params, this, "connect_timeout");
      add(params, this, "options");
      var ssl = typeof this.ssl === "object" ? this.ssl : this.ssl ? { sslmode: this.ssl } : {};
      add(params, ssl, "sslmode");
      add(params, ssl, "sslca");
      add(params, ssl, "sslkey");
      add(params, ssl, "sslcert");
      add(params, ssl, "sslrootcert");
      if (this.database) {
        params.push("dbname=" + quoteParamValue(this.database));
      }
      if (this.replication) {
        params.push("replication=" + quoteParamValue(this.replication));
      }
      if (this.host) {
        params.push("host=" + quoteParamValue(this.host));
      }
      if (this.isDomainSocket) {
        return cb(null, params.join(" "));
      }
      if (this.client_encoding) {
        params.push("client_encoding=" + quoteParamValue(this.client_encoding));
      }
      dns.lookup(this.host, function(err2, address) {
        if (err2)
          return cb(err2, null);
        params.push("hostaddr=" + quoteParamValue(address));
        return cb(null, params.join(" "));
      });
    }
  }
  module3.exports = ConnectionParameters;
});

// ../../node_modules/pg/lib/result.js
var require_result = __commonJS((exports, module3) => {
  var types = require_pg_types();
  var matchRegexp = /^([A-Za-z]+)(?: (\d+))?(?: (\d+))?/;

  class Result {
    constructor(rowMode, types2) {
      this.command = null;
      this.rowCount = null;
      this.oid = null;
      this.rows = [];
      this.fields = [];
      this._parsers = undefined;
      this._types = types2;
      this.RowCtor = null;
      this.rowAsArray = rowMode === "array";
      if (this.rowAsArray) {
        this.parseRow = this._parseRowAsArray;
      }
      this._prebuiltEmptyResultObject = null;
    }
    addCommandComplete(msg) {
      var match;
      if (msg.text) {
        match = matchRegexp.exec(msg.text);
      } else {
        match = matchRegexp.exec(msg.command);
      }
      if (match) {
        this.command = match[1];
        if (match[3]) {
          this.oid = parseInt(match[2], 10);
          this.rowCount = parseInt(match[3], 10);
        } else if (match[2]) {
          this.rowCount = parseInt(match[2], 10);
        }
      }
    }
    _parseRowAsArray(rowData) {
      var row = new Array(rowData.length);
      for (var i = 0, len = rowData.length;i < len; i++) {
        var rawValue = rowData[i];
        if (rawValue !== null) {
          row[i] = this._parsers[i](rawValue);
        } else {
          row[i] = null;
        }
      }
      return row;
    }
    parseRow(rowData) {
      var row = { ...this._prebuiltEmptyResultObject };
      for (var i = 0, len = rowData.length;i < len; i++) {
        var rawValue = rowData[i];
        var field = this.fields[i].name;
        if (rawValue !== null) {
          row[field] = this._parsers[i](rawValue);
        } else {
          row[field] = null;
        }
      }
      return row;
    }
    addRow(row) {
      this.rows.push(row);
    }
    addFields(fieldDescriptions) {
      this.fields = fieldDescriptions;
      if (this.fields.length) {
        this._parsers = new Array(fieldDescriptions.length);
      }
      var row = {};
      for (var i = 0;i < fieldDescriptions.length; i++) {
        var desc = fieldDescriptions[i];
        row[desc.name] = null;
        if (this._types) {
          this._parsers[i] = this._types.getTypeParser(desc.dataTypeID, desc.format || "text");
        } else {
          this._parsers[i] = types.getTypeParser(desc.dataTypeID, desc.format || "text");
        }
      }
      this._prebuiltEmptyResultObject = { ...row };
    }
  }
  module3.exports = Result;
});

// ../../node_modules/pg/lib/query.js
var require_query = __commonJS((exports, module3) => {
  var { EventEmitter } = __require("events");
  var Result = require_result();
  var utils = require_utils();

  class Query extends EventEmitter {
    constructor(config, values, callback) {
      super();
      config = utils.normalizeQueryConfig(config, values, callback);
      this.text = config.text;
      this.values = config.values;
      this.rows = config.rows;
      this.types = config.types;
      this.name = config.name;
      this.queryMode = config.queryMode;
      this.binary = config.binary;
      this.portal = config.portal || "";
      this.callback = config.callback;
      this._rowMode = config.rowMode;
      if (process.domain && config.callback) {
        this.callback = process.domain.bind(config.callback);
      }
      this._result = new Result(this._rowMode, this.types);
      this._results = this._result;
      this._canceledDueToError = false;
    }
    requiresPreparation() {
      if (this.queryMode === "extended") {
        return true;
      }
      if (this.name) {
        return true;
      }
      if (this.rows) {
        return true;
      }
      if (!this.text) {
        return false;
      }
      if (!this.values) {
        return false;
      }
      return this.values.length > 0;
    }
    _checkForMultirow() {
      if (this._result.command) {
        if (!Array.isArray(this._results)) {
          this._results = [this._result];
        }
        this._result = new Result(this._rowMode, this.types);
        this._results.push(this._result);
      }
    }
    handleRowDescription(msg) {
      this._checkForMultirow();
      this._result.addFields(msg.fields);
      this._accumulateRows = this.callback || !this.listeners("row").length;
    }
    handleDataRow(msg) {
      let row;
      if (this._canceledDueToError) {
        return;
      }
      try {
        row = this._result.parseRow(msg.fields);
      } catch (err2) {
        this._canceledDueToError = err2;
        return;
      }
      this.emit("row", row, this._result);
      if (this._accumulateRows) {
        this._result.addRow(row);
      }
    }
    handleCommandComplete(msg, connection) {
      this._checkForMultirow();
      this._result.addCommandComplete(msg);
      if (this.rows) {
        connection.sync();
      }
    }
    handleEmptyQuery(connection) {
      if (this.rows) {
        connection.sync();
      }
    }
    handleError(err2, connection) {
      if (this._canceledDueToError) {
        err2 = this._canceledDueToError;
        this._canceledDueToError = false;
      }
      if (this.callback) {
        return this.callback(err2);
      }
      this.emit("error", err2);
    }
    handleReadyForQuery(con) {
      if (this._canceledDueToError) {
        return this.handleError(this._canceledDueToError, con);
      }
      if (this.callback) {
        try {
          this.callback(null, this._results);
        } catch (err2) {
          process.nextTick(() => {
            throw err2;
          });
        }
      }
      this.emit("end", this._results);
    }
    submit(connection) {
      if (typeof this.text !== "string" && typeof this.name !== "string") {
        return new Error("A query must have either text or a name. Supplying neither is unsupported.");
      }
      const previous = connection.parsedStatements[this.name];
      if (this.text && previous && this.text !== previous) {
        return new Error(`Prepared statements must be unique - '${this.name}' was used for a different statement`);
      }
      if (this.values && !Array.isArray(this.values)) {
        return new Error("Query values must be an array");
      }
      if (this.requiresPreparation()) {
        this.prepare(connection);
      } else {
        connection.query(this.text);
      }
      return null;
    }
    hasBeenParsed(connection) {
      return this.name && connection.parsedStatements[this.name];
    }
    handlePortalSuspended(connection) {
      this._getRows(connection, this.rows);
    }
    _getRows(connection, rows) {
      connection.execute({
        portal: this.portal,
        rows
      });
      if (!rows) {
        connection.sync();
      } else {
        connection.flush();
      }
    }
    prepare(connection) {
      if (!this.hasBeenParsed(connection)) {
        connection.parse({
          text: this.text,
          name: this.name,
          types: this.types
        });
      }
      try {
        connection.bind({
          portal: this.portal,
          statement: this.name,
          values: this.values,
          binary: this.binary,
          valueMapper: utils.prepareValue
        });
      } catch (err2) {
        this.handleError(err2, connection);
        return;
      }
      connection.describe({
        type: "P",
        name: this.portal || ""
      });
      this._getRows(connection, this.rows);
    }
    handleCopyInResponse(connection) {
      connection.sendCopyFail("No source stream defined");
    }
    handleCopyData(msg, connection) {
    }
  }
  module3.exports = Query;
});

// ../../node_modules/pg-protocol/dist/messages.js
var require_messages = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.NoticeMessage = exports.DataRowMessage = exports.CommandCompleteMessage = exports.ReadyForQueryMessage = exports.NotificationResponseMessage = exports.BackendKeyDataMessage = exports.AuthenticationMD5Password = exports.ParameterStatusMessage = exports.ParameterDescriptionMessage = exports.RowDescriptionMessage = exports.Field = exports.CopyResponse = exports.CopyDataMessage = exports.DatabaseError = exports.copyDone = exports.emptyQuery = exports.replicationStart = exports.portalSuspended = exports.noData = exports.closeComplete = exports.bindComplete = exports.parseComplete = undefined;
  exports.parseComplete = {
    name: "parseComplete",
    length: 5
  };
  exports.bindComplete = {
    name: "bindComplete",
    length: 5
  };
  exports.closeComplete = {
    name: "closeComplete",
    length: 5
  };
  exports.noData = {
    name: "noData",
    length: 5
  };
  exports.portalSuspended = {
    name: "portalSuspended",
    length: 5
  };
  exports.replicationStart = {
    name: "replicationStart",
    length: 4
  };
  exports.emptyQuery = {
    name: "emptyQuery",
    length: 4
  };
  exports.copyDone = {
    name: "copyDone",
    length: 4
  };

  class DatabaseError extends Error {
    constructor(message, length, name) {
      super(message);
      this.length = length;
      this.name = name;
    }
  }
  exports.DatabaseError = DatabaseError;

  class CopyDataMessage {
    constructor(length, chunk) {
      this.length = length;
      this.chunk = chunk;
      this.name = "copyData";
    }
  }
  exports.CopyDataMessage = CopyDataMessage;

  class CopyResponse {
    constructor(length, name, binary, columnCount) {
      this.length = length;
      this.name = name;
      this.binary = binary;
      this.columnTypes = new Array(columnCount);
    }
  }
  exports.CopyResponse = CopyResponse;

  class Field {
    constructor(name, tableID, columnID, dataTypeID, dataTypeSize, dataTypeModifier, format2) {
      this.name = name;
      this.tableID = tableID;
      this.columnID = columnID;
      this.dataTypeID = dataTypeID;
      this.dataTypeSize = dataTypeSize;
      this.dataTypeModifier = dataTypeModifier;
      this.format = format2;
    }
  }
  exports.Field = Field;

  class RowDescriptionMessage {
    constructor(length, fieldCount) {
      this.length = length;
      this.fieldCount = fieldCount;
      this.name = "rowDescription";
      this.fields = new Array(this.fieldCount);
    }
  }
  exports.RowDescriptionMessage = RowDescriptionMessage;

  class ParameterDescriptionMessage {
    constructor(length, parameterCount) {
      this.length = length;
      this.parameterCount = parameterCount;
      this.name = "parameterDescription";
      this.dataTypeIDs = new Array(this.parameterCount);
    }
  }
  exports.ParameterDescriptionMessage = ParameterDescriptionMessage;

  class ParameterStatusMessage {
    constructor(length, parameterName, parameterValue) {
      this.length = length;
      this.parameterName = parameterName;
      this.parameterValue = parameterValue;
      this.name = "parameterStatus";
    }
  }
  exports.ParameterStatusMessage = ParameterStatusMessage;

  class AuthenticationMD5Password {
    constructor(length, salt) {
      this.length = length;
      this.salt = salt;
      this.name = "authenticationMD5Password";
    }
  }
  exports.AuthenticationMD5Password = AuthenticationMD5Password;

  class BackendKeyDataMessage {
    constructor(length, processID, secretKey) {
      this.length = length;
      this.processID = processID;
      this.secretKey = secretKey;
      this.name = "backendKeyData";
    }
  }
  exports.BackendKeyDataMessage = BackendKeyDataMessage;

  class NotificationResponseMessage {
    constructor(length, processId, channel, payload) {
      this.length = length;
      this.processId = processId;
      this.channel = channel;
      this.payload = payload;
      this.name = "notification";
    }
  }
  exports.NotificationResponseMessage = NotificationResponseMessage;

  class ReadyForQueryMessage {
    constructor(length, status2) {
      this.length = length;
      this.status = status2;
      this.name = "readyForQuery";
    }
  }
  exports.ReadyForQueryMessage = ReadyForQueryMessage;

  class CommandCompleteMessage {
    constructor(length, text) {
      this.length = length;
      this.text = text;
      this.name = "commandComplete";
    }
  }
  exports.CommandCompleteMessage = CommandCompleteMessage;

  class DataRowMessage {
    constructor(length, fields) {
      this.length = length;
      this.fields = fields;
      this.name = "dataRow";
      this.fieldCount = fields.length;
    }
  }
  exports.DataRowMessage = DataRowMessage;

  class NoticeMessage {
    constructor(length, message) {
      this.length = length;
      this.message = message;
      this.name = "notice";
    }
  }
  exports.NoticeMessage = NoticeMessage;
});

// ../../node_modules/pg-protocol/dist/buffer-writer.js
var require_buffer_writer = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.Writer = undefined;

  class Writer {
    constructor(size = 256) {
      this.size = size;
      this.offset = 5;
      this.headerPosition = 0;
      this.buffer = Buffer.allocUnsafe(size);
    }
    ensure(size) {
      var remaining = this.buffer.length - this.offset;
      if (remaining < size) {
        var oldBuffer = this.buffer;
        var newSize = oldBuffer.length + (oldBuffer.length >> 1) + size;
        this.buffer = Buffer.allocUnsafe(newSize);
        oldBuffer.copy(this.buffer);
      }
    }
    addInt32(num) {
      this.ensure(4);
      this.buffer[this.offset++] = num >>> 24 & 255;
      this.buffer[this.offset++] = num >>> 16 & 255;
      this.buffer[this.offset++] = num >>> 8 & 255;
      this.buffer[this.offset++] = num >>> 0 & 255;
      return this;
    }
    addInt16(num) {
      this.ensure(2);
      this.buffer[this.offset++] = num >>> 8 & 255;
      this.buffer[this.offset++] = num >>> 0 & 255;
      return this;
    }
    addCString(string3) {
      if (!string3) {
        this.ensure(1);
      } else {
        var len = Buffer.byteLength(string3);
        this.ensure(len + 1);
        this.buffer.write(string3, this.offset, "utf-8");
        this.offset += len;
      }
      this.buffer[this.offset++] = 0;
      return this;
    }
    addString(string3 = "") {
      var len = Buffer.byteLength(string3);
      this.ensure(len);
      this.buffer.write(string3, this.offset);
      this.offset += len;
      return this;
    }
    add(otherBuffer) {
      this.ensure(otherBuffer.length);
      otherBuffer.copy(this.buffer, this.offset);
      this.offset += otherBuffer.length;
      return this;
    }
    join(code) {
      if (code) {
        this.buffer[this.headerPosition] = code;
        const length = this.offset - (this.headerPosition + 1);
        this.buffer.writeInt32BE(length, this.headerPosition + 1);
      }
      return this.buffer.slice(code ? 0 : 5, this.offset);
    }
    flush(code) {
      var result = this.join(code);
      this.offset = 5;
      this.headerPosition = 0;
      this.buffer = Buffer.allocUnsafe(this.size);
      return result;
    }
  }
  exports.Writer = Writer;
});

// ../../node_modules/pg-protocol/dist/serializer.js
var require_serializer2 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.serialize = undefined;
  var buffer_writer_1 = require_buffer_writer();
  var writer = new buffer_writer_1.Writer;
  var startup = (opts) => {
    writer.addInt16(3).addInt16(0);
    for (const key of Object.keys(opts)) {
      writer.addCString(key).addCString(opts[key]);
    }
    writer.addCString("client_encoding").addCString("UTF8");
    var bodyBuffer = writer.addCString("").flush();
    var length = bodyBuffer.length + 4;
    return new buffer_writer_1.Writer().addInt32(length).add(bodyBuffer).flush();
  };
  var requestSsl = () => {
    const response = Buffer.allocUnsafe(8);
    response.writeInt32BE(8, 0);
    response.writeInt32BE(80877103, 4);
    return response;
  };
  var password = (password2) => {
    return writer.addCString(password2).flush(112);
  };
  var sendSASLInitialResponseMessage = function(mechanism, initialResponse) {
    writer.addCString(mechanism).addInt32(Buffer.byteLength(initialResponse)).addString(initialResponse);
    return writer.flush(112);
  };
  var sendSCRAMClientFinalMessage = function(additionalData) {
    return writer.addString(additionalData).flush(112);
  };
  var query = (text) => {
    return writer.addCString(text).flush(81);
  };
  var emptyArray = [];
  var parse4 = (query2) => {
    const name = query2.name || "";
    if (name.length > 63) {
      console.error("Warning! Postgres only supports 63 characters for query names.");
      console.error("You supplied %s (%s)", name, name.length);
      console.error("This can cause conflicts and silent errors executing queries");
    }
    const types = query2.types || emptyArray;
    var len = types.length;
    var buffer = writer.addCString(name).addCString(query2.text).addInt16(len);
    for (var i = 0;i < len; i++) {
      buffer.addInt32(types[i]);
    }
    return writer.flush(80);
  };
  var paramWriter = new buffer_writer_1.Writer;
  var writeValues = function(values, valueMapper) {
    for (let i = 0;i < values.length; i++) {
      const mappedVal = valueMapper ? valueMapper(values[i], i) : values[i];
      if (mappedVal == null) {
        writer.addInt16(0);
        paramWriter.addInt32(-1);
      } else if (mappedVal instanceof Buffer) {
        writer.addInt16(1);
        paramWriter.addInt32(mappedVal.length);
        paramWriter.add(mappedVal);
      } else {
        writer.addInt16(0);
        paramWriter.addInt32(Buffer.byteLength(mappedVal));
        paramWriter.addString(mappedVal);
      }
    }
  };
  var bind = (config = {}) => {
    const portal = config.portal || "";
    const statement = config.statement || "";
    const binary = config.binary || false;
    const values = config.values || emptyArray;
    const len = values.length;
    writer.addCString(portal).addCString(statement);
    writer.addInt16(len);
    writeValues(values, config.valueMapper);
    writer.addInt16(len);
    writer.add(paramWriter.flush());
    writer.addInt16(binary ? 1 : 0);
    return writer.flush(66);
  };
  var emptyExecute = Buffer.from([69, 0, 0, 0, 9, 0, 0, 0, 0, 0]);
  var execute = (config) => {
    if (!config || !config.portal && !config.rows) {
      return emptyExecute;
    }
    const portal = config.portal || "";
    const rows = config.rows || 0;
    const portalLength = Buffer.byteLength(portal);
    const len = 4 + portalLength + 1 + 4;
    const buff = Buffer.allocUnsafe(1 + len);
    buff[0] = 69;
    buff.writeInt32BE(len, 1);
    buff.write(portal, 5, "utf-8");
    buff[portalLength + 5] = 0;
    buff.writeUInt32BE(rows, buff.length - 4);
    return buff;
  };
  var cancel = (processID, secretKey) => {
    const buffer = Buffer.allocUnsafe(16);
    buffer.writeInt32BE(16, 0);
    buffer.writeInt16BE(1234, 4);
    buffer.writeInt16BE(5678, 6);
    buffer.writeInt32BE(processID, 8);
    buffer.writeInt32BE(secretKey, 12);
    return buffer;
  };
  var cstringMessage = (code, string3) => {
    const stringLen = Buffer.byteLength(string3);
    const len = 4 + stringLen + 1;
    const buffer = Buffer.allocUnsafe(1 + len);
    buffer[0] = code;
    buffer.writeInt32BE(len, 1);
    buffer.write(string3, 5, "utf-8");
    buffer[len] = 0;
    return buffer;
  };
  var emptyDescribePortal = writer.addCString("P").flush(68);
  var emptyDescribeStatement = writer.addCString("S").flush(68);
  var describe = (msg) => {
    return msg.name ? cstringMessage(68, `${msg.type}${msg.name || ""}`) : msg.type === "P" ? emptyDescribePortal : emptyDescribeStatement;
  };
  var close = (msg) => {
    const text = `${msg.type}${msg.name || ""}`;
    return cstringMessage(67, text);
  };
  var copyData = (chunk) => {
    return writer.add(chunk).flush(100);
  };
  var copyFail = (message) => {
    return cstringMessage(102, message);
  };
  var codeOnlyBuffer = (code) => Buffer.from([code, 0, 0, 0, 4]);
  var flushBuffer = codeOnlyBuffer(72);
  var syncBuffer = codeOnlyBuffer(83);
  var endBuffer = codeOnlyBuffer(88);
  var copyDoneBuffer = codeOnlyBuffer(99);
  var serialize = {
    startup,
    password,
    requestSsl,
    sendSASLInitialResponseMessage,
    sendSCRAMClientFinalMessage,
    query,
    parse: parse4,
    bind,
    execute,
    describe,
    close,
    flush: () => flushBuffer,
    sync: () => syncBuffer,
    end: () => endBuffer,
    copyData,
    copyDone: () => copyDoneBuffer,
    copyFail,
    cancel
  };
  exports.serialize = serialize;
});

// ../../node_modules/pg-protocol/dist/buffer-reader.js
var require_buffer_reader = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.BufferReader = undefined;
  var emptyBuffer = Buffer.allocUnsafe(0);

  class BufferReader {
    constructor(offset = 0) {
      this.offset = offset;
      this.buffer = emptyBuffer;
      this.encoding = "utf-8";
    }
    setBuffer(offset, buffer) {
      this.offset = offset;
      this.buffer = buffer;
    }
    int16() {
      const result = this.buffer.readInt16BE(this.offset);
      this.offset += 2;
      return result;
    }
    byte() {
      const result = this.buffer[this.offset];
      this.offset++;
      return result;
    }
    int32() {
      const result = this.buffer.readInt32BE(this.offset);
      this.offset += 4;
      return result;
    }
    string(length) {
      const result = this.buffer.toString(this.encoding, this.offset, this.offset + length);
      this.offset += length;
      return result;
    }
    cstring() {
      const start = this.offset;
      let end = start;
      while (this.buffer[end++] !== 0) {
      }
      this.offset = end;
      return this.buffer.toString(this.encoding, start, end - 1);
    }
    bytes(length) {
      const result = this.buffer.slice(this.offset, this.offset + length);
      this.offset += length;
      return result;
    }
  }
  exports.BufferReader = BufferReader;
});

// ../../node_modules/pg-protocol/dist/parser.js
var require_parser2 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.Parser = undefined;
  var messages_1 = require_messages();
  var buffer_reader_1 = require_buffer_reader();
  var CODE_LENGTH = 1;
  var LEN_LENGTH = 4;
  var HEADER_LENGTH = CODE_LENGTH + LEN_LENGTH;
  var emptyBuffer = Buffer.allocUnsafe(0);

  class Parser {
    constructor(opts) {
      this.buffer = emptyBuffer;
      this.bufferLength = 0;
      this.bufferOffset = 0;
      this.reader = new buffer_reader_1.BufferReader;
      if ((opts === null || opts === undefined ? undefined : opts.mode) === "binary") {
        throw new Error("Binary mode not supported yet");
      }
      this.mode = (opts === null || opts === undefined ? undefined : opts.mode) || "text";
    }
    parse(buffer, callback) {
      this.mergeBuffer(buffer);
      const bufferFullLength = this.bufferOffset + this.bufferLength;
      let offset = this.bufferOffset;
      while (offset + HEADER_LENGTH <= bufferFullLength) {
        const code = this.buffer[offset];
        const length = this.buffer.readUInt32BE(offset + CODE_LENGTH);
        const fullMessageLength = CODE_LENGTH + length;
        if (fullMessageLength + offset <= bufferFullLength) {
          const message = this.handlePacket(offset + HEADER_LENGTH, code, length, this.buffer);
          callback(message);
          offset += fullMessageLength;
        } else {
          break;
        }
      }
      if (offset === bufferFullLength) {
        this.buffer = emptyBuffer;
        this.bufferLength = 0;
        this.bufferOffset = 0;
      } else {
        this.bufferLength = bufferFullLength - offset;
        this.bufferOffset = offset;
      }
    }
    mergeBuffer(buffer) {
      if (this.bufferLength > 0) {
        const newLength = this.bufferLength + buffer.byteLength;
        const newFullLength = newLength + this.bufferOffset;
        if (newFullLength > this.buffer.byteLength) {
          let newBuffer;
          if (newLength <= this.buffer.byteLength && this.bufferOffset >= this.bufferLength) {
            newBuffer = this.buffer;
          } else {
            let newBufferLength = this.buffer.byteLength * 2;
            while (newLength >= newBufferLength) {
              newBufferLength *= 2;
            }
            newBuffer = Buffer.allocUnsafe(newBufferLength);
          }
          this.buffer.copy(newBuffer, 0, this.bufferOffset, this.bufferOffset + this.bufferLength);
          this.buffer = newBuffer;
          this.bufferOffset = 0;
        }
        buffer.copy(this.buffer, this.bufferOffset + this.bufferLength);
        this.bufferLength = newLength;
      } else {
        this.buffer = buffer;
        this.bufferOffset = 0;
        this.bufferLength = buffer.byteLength;
      }
    }
    handlePacket(offset, code, length, bytes) {
      switch (code) {
        case 50:
          return messages_1.bindComplete;
        case 49:
          return messages_1.parseComplete;
        case 51:
          return messages_1.closeComplete;
        case 110:
          return messages_1.noData;
        case 115:
          return messages_1.portalSuspended;
        case 99:
          return messages_1.copyDone;
        case 87:
          return messages_1.replicationStart;
        case 73:
          return messages_1.emptyQuery;
        case 68:
          return this.parseDataRowMessage(offset, length, bytes);
        case 67:
          return this.parseCommandCompleteMessage(offset, length, bytes);
        case 90:
          return this.parseReadyForQueryMessage(offset, length, bytes);
        case 65:
          return this.parseNotificationMessage(offset, length, bytes);
        case 82:
          return this.parseAuthenticationResponse(offset, length, bytes);
        case 83:
          return this.parseParameterStatusMessage(offset, length, bytes);
        case 75:
          return this.parseBackendKeyData(offset, length, bytes);
        case 69:
          return this.parseErrorMessage(offset, length, bytes, "error");
        case 78:
          return this.parseErrorMessage(offset, length, bytes, "notice");
        case 84:
          return this.parseRowDescriptionMessage(offset, length, bytes);
        case 116:
          return this.parseParameterDescriptionMessage(offset, length, bytes);
        case 71:
          return this.parseCopyInMessage(offset, length, bytes);
        case 72:
          return this.parseCopyOutMessage(offset, length, bytes);
        case 100:
          return this.parseCopyData(offset, length, bytes);
        default:
          return new messages_1.DatabaseError("received invalid response: " + code.toString(16), length, "error");
      }
    }
    parseReadyForQueryMessage(offset, length, bytes) {
      this.reader.setBuffer(offset, bytes);
      const status2 = this.reader.string(1);
      return new messages_1.ReadyForQueryMessage(length, status2);
    }
    parseCommandCompleteMessage(offset, length, bytes) {
      this.reader.setBuffer(offset, bytes);
      const text = this.reader.cstring();
      return new messages_1.CommandCompleteMessage(length, text);
    }
    parseCopyData(offset, length, bytes) {
      const chunk = bytes.slice(offset, offset + (length - 4));
      return new messages_1.CopyDataMessage(length, chunk);
    }
    parseCopyInMessage(offset, length, bytes) {
      return this.parseCopyMessage(offset, length, bytes, "copyInResponse");
    }
    parseCopyOutMessage(offset, length, bytes) {
      return this.parseCopyMessage(offset, length, bytes, "copyOutResponse");
    }
    parseCopyMessage(offset, length, bytes, messageName) {
      this.reader.setBuffer(offset, bytes);
      const isBinary = this.reader.byte() !== 0;
      const columnCount = this.reader.int16();
      const message = new messages_1.CopyResponse(length, messageName, isBinary, columnCount);
      for (let i = 0;i < columnCount; i++) {
        message.columnTypes[i] = this.reader.int16();
      }
      return message;
    }
    parseNotificationMessage(offset, length, bytes) {
      this.reader.setBuffer(offset, bytes);
      const processId = this.reader.int32();
      const channel = this.reader.cstring();
      const payload = this.reader.cstring();
      return new messages_1.NotificationResponseMessage(length, processId, channel, payload);
    }
    parseRowDescriptionMessage(offset, length, bytes) {
      this.reader.setBuffer(offset, bytes);
      const fieldCount = this.reader.int16();
      const message = new messages_1.RowDescriptionMessage(length, fieldCount);
      for (let i = 0;i < fieldCount; i++) {
        message.fields[i] = this.parseField();
      }
      return message;
    }
    parseField() {
      const name = this.reader.cstring();
      const tableID = this.reader.int32();
      const columnID = this.reader.int16();
      const dataTypeID = this.reader.int32();
      const dataTypeSize = this.reader.int16();
      const dataTypeModifier = this.reader.int32();
      const mode = this.reader.int16() === 0 ? "text" : "binary";
      return new messages_1.Field(name, tableID, columnID, dataTypeID, dataTypeSize, dataTypeModifier, mode);
    }
    parseParameterDescriptionMessage(offset, length, bytes) {
      this.reader.setBuffer(offset, bytes);
      const parameterCount = this.reader.int16();
      const message = new messages_1.ParameterDescriptionMessage(length, parameterCount);
      for (let i = 0;i < parameterCount; i++) {
        message.dataTypeIDs[i] = this.reader.int32();
      }
      return message;
    }
    parseDataRowMessage(offset, length, bytes) {
      this.reader.setBuffer(offset, bytes);
      const fieldCount = this.reader.int16();
      const fields = new Array(fieldCount);
      for (let i = 0;i < fieldCount; i++) {
        const len = this.reader.int32();
        fields[i] = len === -1 ? null : this.reader.string(len);
      }
      return new messages_1.DataRowMessage(length, fields);
    }
    parseParameterStatusMessage(offset, length, bytes) {
      this.reader.setBuffer(offset, bytes);
      const name = this.reader.cstring();
      const value2 = this.reader.cstring();
      return new messages_1.ParameterStatusMessage(length, name, value2);
    }
    parseBackendKeyData(offset, length, bytes) {
      this.reader.setBuffer(offset, bytes);
      const processID = this.reader.int32();
      const secretKey = this.reader.int32();
      return new messages_1.BackendKeyDataMessage(length, processID, secretKey);
    }
    parseAuthenticationResponse(offset, length, bytes) {
      this.reader.setBuffer(offset, bytes);
      const code = this.reader.int32();
      const message = {
        name: "authenticationOk",
        length
      };
      switch (code) {
        case 0:
          break;
        case 3:
          if (message.length === 8) {
            message.name = "authenticationCleartextPassword";
          }
          break;
        case 5:
          if (message.length === 12) {
            message.name = "authenticationMD5Password";
            const salt = this.reader.bytes(4);
            return new messages_1.AuthenticationMD5Password(length, salt);
          }
          break;
        case 10:
          message.name = "authenticationSASL";
          message.mechanisms = [];
          let mechanism;
          do {
            mechanism = this.reader.cstring();
            if (mechanism) {
              message.mechanisms.push(mechanism);
            }
          } while (mechanism);
          break;
        case 11:
          message.name = "authenticationSASLContinue";
          message.data = this.reader.string(length - 8);
          break;
        case 12:
          message.name = "authenticationSASLFinal";
          message.data = this.reader.string(length - 8);
          break;
        default:
          throw new Error("Unknown authenticationOk message type " + code);
      }
      return message;
    }
    parseErrorMessage(offset, length, bytes, name) {
      this.reader.setBuffer(offset, bytes);
      const fields = {};
      let fieldType = this.reader.string(1);
      while (fieldType !== "\x00") {
        fields[fieldType] = this.reader.cstring();
        fieldType = this.reader.string(1);
      }
      const messageValue = fields.M;
      const message = name === "notice" ? new messages_1.NoticeMessage(length, messageValue) : new messages_1.DatabaseError(messageValue, length, name);
      message.severity = fields.S;
      message.code = fields.C;
      message.detail = fields.D;
      message.hint = fields.H;
      message.position = fields.P;
      message.internalPosition = fields.p;
      message.internalQuery = fields.q;
      message.where = fields.W;
      message.schema = fields.s;
      message.table = fields.t;
      message.column = fields.c;
      message.dataType = fields.d;
      message.constraint = fields.n;
      message.file = fields.F;
      message.line = fields.L;
      message.routine = fields.R;
      return message;
    }
  }
  exports.Parser = Parser;
});

// ../../node_modules/pg-protocol/dist/index.js
var require_dist2 = __commonJS((exports) => {
  Object.defineProperty(exports, "__esModule", { value: true });
  exports.DatabaseError = exports.serialize = exports.parse = undefined;
  var messages_1 = require_messages();
  Object.defineProperty(exports, "DatabaseError", { enumerable: true, get: function() {
    return messages_1.DatabaseError;
  } });
  var serializer_1 = require_serializer2();
  Object.defineProperty(exports, "serialize", { enumerable: true, get: function() {
    return serializer_1.serialize;
  } });
  var parser_1 = require_parser2();
  function parse4(stream, callback) {
    const parser = new parser_1.Parser;
    stream.on("data", (buffer) => parser.parse(buffer, callback));
    return new Promise((resolve) => stream.on("end", () => resolve()));
  }
  exports.parse = parse4;
});

// ../../node_modules/pg-cloudflare/dist/empty.js
var exports_empty = {};
__export(exports_empty, {
  default: () => empty_default
});
var empty_default;
var init_empty = __esm(() => {
  empty_default = {};
});

// ../../node_modules/pg/lib/stream.js
var require_stream2 = __commonJS((exports, module3) => {
  var { getStream, getSecureStream } = getStreamFuncs();
  module3.exports = {
    getStream,
    getSecureStream
  };
  function getNodejsStreamFuncs() {
    function getStream2(ssl) {
      const net = __require("net");
      return new net.Socket;
    }
    function getSecureStream2(options) {
      var tls = __require("tls");
      return tls.connect(options);
    }
    return {
      getStream: getStream2,
      getSecureStream: getSecureStream2
    };
  }
  function getCloudflareStreamFuncs() {
    function getStream2(ssl) {
      const { CloudflareSocket } = (init_empty(), __toCommonJS(exports_empty));
      return new CloudflareSocket(ssl);
    }
    function getSecureStream2(options) {
      options.socket.startTls(options);
      return options.socket;
    }
    return {
      getStream: getStream2,
      getSecureStream: getSecureStream2
    };
  }
  function isCloudflareRuntime() {
    if (typeof navigator === "object" && navigator !== null && typeof navigator.userAgent === "string") {
      return navigator.userAgent === "Cloudflare-Workers";
    }
    if (typeof Response === "function") {
      const resp = new Response(null, { cf: { thing: true } });
      if (typeof resp.cf === "object" && resp.cf !== null && resp.cf.thing) {
        return true;
      }
    }
    return false;
  }
  function getStreamFuncs() {
    if (isCloudflareRuntime()) {
      return getCloudflareStreamFuncs();
    }
    return getNodejsStreamFuncs();
  }
});

// ../../node_modules/pg/lib/connection.js
var require_connection = __commonJS((exports, module3) => {
  var EventEmitter = __require("events").EventEmitter;
  var { parse: parse4, serialize } = require_dist2();
  var { getStream, getSecureStream } = require_stream2();
  var flushBuffer = serialize.flush();
  var syncBuffer = serialize.sync();
  var endBuffer = serialize.end();

  class Connection extends EventEmitter {
    constructor(config) {
      super();
      config = config || {};
      this.stream = config.stream || getStream(config.ssl);
      if (typeof this.stream === "function") {
        this.stream = this.stream(config);
      }
      this._keepAlive = config.keepAlive;
      this._keepAliveInitialDelayMillis = config.keepAliveInitialDelayMillis;
      this.lastBuffer = false;
      this.parsedStatements = {};
      this.ssl = config.ssl || false;
      this._ending = false;
      this._emitMessage = false;
      var self2 = this;
      this.on("newListener", function(eventName) {
        if (eventName === "message") {
          self2._emitMessage = true;
        }
      });
    }
    connect(port, host) {
      var self2 = this;
      this._connecting = true;
      this.stream.setNoDelay(true);
      this.stream.connect(port, host);
      this.stream.once("connect", function() {
        if (self2._keepAlive) {
          self2.stream.setKeepAlive(true, self2._keepAliveInitialDelayMillis);
        }
        self2.emit("connect");
      });
      const reportStreamError = function(error3) {
        if (self2._ending && (error3.code === "ECONNRESET" || error3.code === "EPIPE")) {
          return;
        }
        self2.emit("error", error3);
      };
      this.stream.on("error", reportStreamError);
      this.stream.on("close", function() {
        self2.emit("end");
      });
      if (!this.ssl) {
        return this.attachListeners(this.stream);
      }
      this.stream.once("data", function(buffer) {
        var responseCode = buffer.toString("utf8");
        switch (responseCode) {
          case "S":
            break;
          case "N":
            self2.stream.end();
            return self2.emit("error", new Error("The server does not support SSL connections"));
          default:
            self2.stream.end();
            return self2.emit("error", new Error("There was an error establishing an SSL connection"));
        }
        const options = {
          socket: self2.stream
        };
        if (self2.ssl !== true) {
          Object.assign(options, self2.ssl);
          if ("key" in self2.ssl) {
            options.key = self2.ssl.key;
          }
        }
        var net = __require("net");
        if (net.isIP && net.isIP(host) === 0) {
          options.servername = host;
        }
        try {
          self2.stream = getSecureStream(options);
        } catch (err2) {
          return self2.emit("error", err2);
        }
        self2.attachListeners(self2.stream);
        self2.stream.on("error", reportStreamError);
        self2.emit("sslconnect");
      });
    }
    attachListeners(stream) {
      parse4(stream, (msg) => {
        var eventName = msg.name === "error" ? "errorMessage" : msg.name;
        if (this._emitMessage) {
          this.emit("message", msg);
        }
        this.emit(eventName, msg);
      });
    }
    requestSsl() {
      this.stream.write(serialize.requestSsl());
    }
    startup(config) {
      this.stream.write(serialize.startup(config));
    }
    cancel(processID, secretKey) {
      this._send(serialize.cancel(processID, secretKey));
    }
    password(password) {
      this._send(serialize.password(password));
    }
    sendSASLInitialResponseMessage(mechanism, initialResponse) {
      this._send(serialize.sendSASLInitialResponseMessage(mechanism, initialResponse));
    }
    sendSCRAMClientFinalMessage(additionalData) {
      this._send(serialize.sendSCRAMClientFinalMessage(additionalData));
    }
    _send(buffer) {
      if (!this.stream.writable) {
        return false;
      }
      return this.stream.write(buffer);
    }
    query(text) {
      this._send(serialize.query(text));
    }
    parse(query) {
      this._send(serialize.parse(query));
    }
    bind(config) {
      this._send(serialize.bind(config));
    }
    execute(config) {
      this._send(serialize.execute(config));
    }
    flush() {
      if (this.stream.writable) {
        this.stream.write(flushBuffer);
      }
    }
    sync() {
      this._ending = true;
      this._send(syncBuffer);
    }
    ref() {
      this.stream.ref();
    }
    unref() {
      this.stream.unref();
    }
    end() {
      this._ending = true;
      if (!this._connecting || !this.stream.writable) {
        this.stream.end();
        return;
      }
      return this.stream.write(endBuffer, () => {
        this.stream.end();
      });
    }
    close(msg) {
      this._send(serialize.close(msg));
    }
    describe(msg) {
      this._send(serialize.describe(msg));
    }
    sendCopyFromChunk(chunk) {
      this._send(serialize.copyData(chunk));
    }
    endCopyFrom() {
      this._send(serialize.copyDone());
    }
    sendCopyFail(msg) {
      this._send(serialize.copyFail(msg));
    }
  }
  module3.exports = Connection;
});

// ../../node_modules/split2/index.js
var require_split2 = __commonJS((exports, module3) => {
  var { Transform: Transform2 } = __require("stream");
  var { StringDecoder } = __require("string_decoder");
  var kLast = Symbol("last");
  var kDecoder = Symbol("decoder");
  function transform4(chunk, enc, cb) {
    let list;
    if (this.overflow) {
      const buf = this[kDecoder].write(chunk);
      list = buf.split(this.matcher);
      if (list.length === 1)
        return cb();
      list.shift();
      this.overflow = false;
    } else {
      this[kLast] += this[kDecoder].write(chunk);
      list = this[kLast].split(this.matcher);
    }
    this[kLast] = list.pop();
    for (let i = 0;i < list.length; i++) {
      try {
        push(this, this.mapper(list[i]));
      } catch (error3) {
        return cb(error3);
      }
    }
    this.overflow = this[kLast].length > this.maxLength;
    if (this.overflow && !this.skipOverflow) {
      cb(new Error("maximum buffer reached"));
      return;
    }
    cb();
  }
  function flush(cb) {
    this[kLast] += this[kDecoder].end();
    if (this[kLast]) {
      try {
        push(this, this.mapper(this[kLast]));
      } catch (error3) {
        return cb(error3);
      }
    }
    cb();
  }
  function push(self2, val) {
    if (val !== undefined) {
      self2.push(val);
    }
  }
  function noop(incoming) {
    return incoming;
  }
  function split(matcher, mapper, options) {
    matcher = matcher || /\r?\n/;
    mapper = mapper || noop;
    options = options || {};
    switch (arguments.length) {
      case 1:
        if (typeof matcher === "function") {
          mapper = matcher;
          matcher = /\r?\n/;
        } else if (typeof matcher === "object" && !(matcher instanceof RegExp) && !matcher[Symbol.split]) {
          options = matcher;
          matcher = /\r?\n/;
        }
        break;
      case 2:
        if (typeof matcher === "function") {
          options = mapper;
          mapper = matcher;
          matcher = /\r?\n/;
        } else if (typeof mapper === "object") {
          options = mapper;
          mapper = noop;
        }
    }
    options = Object.assign({}, options);
    options.autoDestroy = true;
    options.transform = transform4;
    options.flush = flush;
    options.readableObjectMode = true;
    const stream = new Transform2(options);
    stream[kLast] = "";
    stream[kDecoder] = new StringDecoder("utf8");
    stream.matcher = matcher;
    stream.mapper = mapper;
    stream.maxLength = options.maxLength;
    stream.skipOverflow = options.skipOverflow || false;
    stream.overflow = false;
    stream._destroy = function(err2, cb) {
      this._writableState.errorEmitted = false;
      cb(err2);
    };
    return stream;
  }
  module3.exports = split;
});

// ../../node_modules/pgpass/lib/helper.js
var require_helper = __commonJS((exports, module3) => {
  var path = __require("path");
  var Stream = __require("stream").Stream;
  var split = require_split2();
  var util = __require("util");
  var defaultPort = 5432;
  var isWin = process.platform === "win32";
  var warnStream = process.stderr;
  var S_IRWXG = 56;
  var S_IRWXO = 7;
  var S_IFMT = 61440;
  var S_IFREG = 32768;
  function isRegFile(mode) {
    return (mode & S_IFMT) == S_IFREG;
  }
  var fieldNames = ["host", "port", "database", "user", "password"];
  var nrOfFields = fieldNames.length;
  var passKey = fieldNames[nrOfFields - 1];
  function warn() {
    var isWritable = warnStream instanceof Stream && warnStream.writable === true;
    if (isWritable) {
      var args = Array.prototype.slice.call(arguments).concat(`
`);
      warnStream.write(util.format.apply(util, args));
    }
  }
  Object.defineProperty(exports, "isWin", {
    get: function() {
      return isWin;
    },
    set: function(val) {
      isWin = val;
    }
  });
  exports.warnTo = function(stream) {
    var old = warnStream;
    warnStream = stream;
    return old;
  };
  exports.getFileName = function(rawEnv) {
    var env3 = rawEnv || process.env;
    var file = env3.PGPASSFILE || (isWin ? path.join(env3.APPDATA || "./", "postgresql", "pgpass.conf") : path.join(env3.HOME || "./", ".pgpass"));
    return file;
  };
  exports.usePgPass = function(stats, fname) {
    if (Object.prototype.hasOwnProperty.call(process.env, "PGPASSWORD")) {
      return false;
    }
    if (isWin) {
      return true;
    }
    fname = fname || "<unkn>";
    if (!isRegFile(stats.mode)) {
      warn('WARNING: password file "%s" is not a plain file', fname);
      return false;
    }
    if (stats.mode & (S_IRWXG | S_IRWXO)) {
      warn('WARNING: password file "%s" has group or world access; permissions should be u=rw (0600) or less', fname);
      return false;
    }
    return true;
  };
  var matcher = exports.match = function(connInfo, entry) {
    return fieldNames.slice(0, -1).reduce(function(prev, field, idx) {
      if (idx == 1) {
        if (Number(connInfo[field] || defaultPort) === Number(entry[field])) {
          return prev && true;
        }
      }
      return prev && (entry[field] === "*" || entry[field] === connInfo[field]);
    }, true);
  };
  exports.getPassword = function(connInfo, stream, cb) {
    var pass;
    var lineStream = stream.pipe(split());
    function onLine(line) {
      var entry = parseLine(line);
      if (entry && isValidEntry(entry) && matcher(connInfo, entry)) {
        pass = entry[passKey];
        lineStream.end();
      }
    }
    var onEnd = function() {
      stream.destroy();
      cb(pass);
    };
    var onErr = function(err2) {
      stream.destroy();
      warn("WARNING: error on reading file: %s", err2);
      cb(undefined);
    };
    stream.on("error", onErr);
    lineStream.on("data", onLine).on("end", onEnd).on("error", onErr);
  };
  var parseLine = exports.parseLine = function(line) {
    if (line.length < 11 || line.match(/^\s+#/)) {
      return null;
    }
    var curChar = "";
    var prevChar = "";
    var fieldIdx = 0;
    var startIdx = 0;
    var endIdx = 0;
    var obj = {};
    var isLastField = false;
    var addToObj = function(idx, i0, i1) {
      var field = line.substring(i0, i1);
      if (!Object.hasOwnProperty.call(process.env, "PGPASS_NO_DEESCAPE")) {
        field = field.replace(/\\([:\\])/g, "$1");
      }
      obj[fieldNames[idx]] = field;
    };
    for (var i = 0;i < line.length - 1; i += 1) {
      curChar = line.charAt(i + 1);
      prevChar = line.charAt(i);
      isLastField = fieldIdx == nrOfFields - 1;
      if (isLastField) {
        addToObj(fieldIdx, startIdx);
        break;
      }
      if (i >= 0 && curChar == ":" && prevChar !== "\\") {
        addToObj(fieldIdx, startIdx, i + 1);
        startIdx = i + 2;
        fieldIdx += 1;
      }
    }
    obj = Object.keys(obj).length === nrOfFields ? obj : null;
    return obj;
  };
  var isValidEntry = exports.isValidEntry = function(entry) {
    var rules = {
      0: function(x) {
        return x.length > 0;
      },
      1: function(x) {
        if (x === "*") {
          return true;
        }
        x = Number(x);
        return isFinite(x) && x > 0 && x < 9007199254740992 && Math.floor(x) === x;
      },
      2: function(x) {
        return x.length > 0;
      },
      3: function(x) {
        return x.length > 0;
      },
      4: function(x) {
        return x.length > 0;
      }
    };
    for (var idx = 0;idx < fieldNames.length; idx += 1) {
      var rule = rules[idx];
      var value2 = entry[fieldNames[idx]] || "";
      var res = rule(value2);
      if (!res) {
        return false;
      }
    }
    return true;
  };
});

// ../../node_modules/pgpass/lib/index.js
var require_lib5 = __commonJS((exports, module3) => {
  var path = __require("path");
  var fs = __require("fs");
  var helper = require_helper();
  module3.exports = function(connInfo, cb) {
    var file = helper.getFileName();
    fs.stat(file, function(err2, stat2) {
      if (err2 || !helper.usePgPass(stat2, file)) {
        return cb(undefined);
      }
      var st = fs.createReadStream(file);
      helper.getPassword(connInfo, st, cb);
    });
  };
  module3.exports.warnTo = helper.warnTo;
});

// ../../node_modules/pg/lib/client.js
var require_client = __commonJS((exports, module3) => {
  var EventEmitter = __require("events").EventEmitter;
  var utils = require_utils();
  var sasl = require_sasl();
  var TypeOverrides = require_type_overrides();
  var ConnectionParameters = require_connection_parameters();
  var Query = require_query();
  var defaults = require_defaults();
  var Connection = require_connection();
  var crypto3 = require_utils2();

  class Client extends EventEmitter {
    constructor(config) {
      super();
      this.connectionParameters = new ConnectionParameters(config);
      this.user = this.connectionParameters.user;
      this.database = this.connectionParameters.database;
      this.port = this.connectionParameters.port;
      this.host = this.connectionParameters.host;
      Object.defineProperty(this, "password", {
        configurable: true,
        enumerable: false,
        writable: true,
        value: this.connectionParameters.password
      });
      this.replication = this.connectionParameters.replication;
      var c = config || {};
      this._Promise = c.Promise || global.Promise;
      this._types = new TypeOverrides(c.types);
      this._ending = false;
      this._ended = false;
      this._connecting = false;
      this._connected = false;
      this._connectionError = false;
      this._queryable = true;
      this.connection = c.connection || new Connection({
        stream: c.stream,
        ssl: this.connectionParameters.ssl,
        keepAlive: c.keepAlive || false,
        keepAliveInitialDelayMillis: c.keepAliveInitialDelayMillis || 0,
        encoding: this.connectionParameters.client_encoding || "utf8"
      });
      this.queryQueue = [];
      this.binary = c.binary || defaults.binary;
      this.processID = null;
      this.secretKey = null;
      this.ssl = this.connectionParameters.ssl || false;
      if (this.ssl && this.ssl.key) {
        Object.defineProperty(this.ssl, "key", {
          enumerable: false
        });
      }
      this._connectionTimeoutMillis = c.connectionTimeoutMillis || 0;
    }
    _errorAllQueries(err2) {
      const enqueueError = (query) => {
        process.nextTick(() => {
          query.handleError(err2, this.connection);
        });
      };
      if (this.activeQuery) {
        enqueueError(this.activeQuery);
        this.activeQuery = null;
      }
      this.queryQueue.forEach(enqueueError);
      this.queryQueue.length = 0;
    }
    _connect(callback) {
      var self2 = this;
      var con = this.connection;
      this._connectionCallback = callback;
      if (this._connecting || this._connected) {
        const err2 = new Error("Client has already been connected. You cannot reuse a client.");
        process.nextTick(() => {
          callback(err2);
        });
        return;
      }
      this._connecting = true;
      if (this._connectionTimeoutMillis > 0) {
        this.connectionTimeoutHandle = setTimeout(() => {
          con._ending = true;
          con.stream.destroy(new Error("timeout expired"));
        }, this._connectionTimeoutMillis);
      }
      if (this.host && this.host.indexOf("/") === 0) {
        con.connect(this.host + "/.s.PGSQL." + this.port);
      } else {
        con.connect(this.port, this.host);
      }
      con.on("connect", function() {
        if (self2.ssl) {
          con.requestSsl();
        } else {
          con.startup(self2.getStartupConf());
        }
      });
      con.on("sslconnect", function() {
        con.startup(self2.getStartupConf());
      });
      this._attachListeners(con);
      con.once("end", () => {
        const error3 = this._ending ? new Error("Connection terminated") : new Error("Connection terminated unexpectedly");
        clearTimeout(this.connectionTimeoutHandle);
        this._errorAllQueries(error3);
        this._ended = true;
        if (!this._ending) {
          if (this._connecting && !this._connectionError) {
            if (this._connectionCallback) {
              this._connectionCallback(error3);
            } else {
              this._handleErrorEvent(error3);
            }
          } else if (!this._connectionError) {
            this._handleErrorEvent(error3);
          }
        }
        process.nextTick(() => {
          this.emit("end");
        });
      });
    }
    connect(callback) {
      if (callback) {
        this._connect(callback);
        return;
      }
      return new this._Promise((resolve, reject) => {
        this._connect((error3) => {
          if (error3) {
            reject(error3);
          } else {
            resolve();
          }
        });
      });
    }
    _attachListeners(con) {
      con.on("authenticationCleartextPassword", this._handleAuthCleartextPassword.bind(this));
      con.on("authenticationMD5Password", this._handleAuthMD5Password.bind(this));
      con.on("authenticationSASL", this._handleAuthSASL.bind(this));
      con.on("authenticationSASLContinue", this._handleAuthSASLContinue.bind(this));
      con.on("authenticationSASLFinal", this._handleAuthSASLFinal.bind(this));
      con.on("backendKeyData", this._handleBackendKeyData.bind(this));
      con.on("error", this._handleErrorEvent.bind(this));
      con.on("errorMessage", this._handleErrorMessage.bind(this));
      con.on("readyForQuery", this._handleReadyForQuery.bind(this));
      con.on("notice", this._handleNotice.bind(this));
      con.on("rowDescription", this._handleRowDescription.bind(this));
      con.on("dataRow", this._handleDataRow.bind(this));
      con.on("portalSuspended", this._handlePortalSuspended.bind(this));
      con.on("emptyQuery", this._handleEmptyQuery.bind(this));
      con.on("commandComplete", this._handleCommandComplete.bind(this));
      con.on("parseComplete", this._handleParseComplete.bind(this));
      con.on("copyInResponse", this._handleCopyInResponse.bind(this));
      con.on("copyData", this._handleCopyData.bind(this));
      con.on("notification", this._handleNotification.bind(this));
    }
    _checkPgPass(cb) {
      const con = this.connection;
      if (typeof this.password === "function") {
        this._Promise.resolve().then(() => this.password()).then((pass) => {
          if (pass !== undefined) {
            if (typeof pass !== "string") {
              con.emit("error", new TypeError("Password must be a string"));
              return;
            }
            this.connectionParameters.password = this.password = pass;
          } else {
            this.connectionParameters.password = this.password = null;
          }
          cb();
        }).catch((err2) => {
          con.emit("error", err2);
        });
      } else if (this.password !== null) {
        cb();
      } else {
        try {
          const pgPass = require_lib5();
          pgPass(this.connectionParameters, (pass) => {
            if (pass !== undefined) {
              this.connectionParameters.password = this.password = pass;
            }
            cb();
          });
        } catch (e) {
          this.emit("error", e);
        }
      }
    }
    _handleAuthCleartextPassword(msg) {
      this._checkPgPass(() => {
        this.connection.password(this.password);
      });
    }
    _handleAuthMD5Password(msg) {
      this._checkPgPass(async () => {
        try {
          const hashedPassword = await crypto3.postgresMd5PasswordHash(this.user, this.password, msg.salt);
          this.connection.password(hashedPassword);
        } catch (e) {
          this.emit("error", e);
        }
      });
    }
    _handleAuthSASL(msg) {
      this._checkPgPass(() => {
        try {
          this.saslSession = sasl.startSession(msg.mechanisms);
          this.connection.sendSASLInitialResponseMessage(this.saslSession.mechanism, this.saslSession.response);
        } catch (err2) {
          this.connection.emit("error", err2);
        }
      });
    }
    async _handleAuthSASLContinue(msg) {
      try {
        await sasl.continueSession(this.saslSession, this.password, msg.data);
        this.connection.sendSCRAMClientFinalMessage(this.saslSession.response);
      } catch (err2) {
        this.connection.emit("error", err2);
      }
    }
    _handleAuthSASLFinal(msg) {
      try {
        sasl.finalizeSession(this.saslSession, msg.data);
        this.saslSession = null;
      } catch (err2) {
        this.connection.emit("error", err2);
      }
    }
    _handleBackendKeyData(msg) {
      this.processID = msg.processID;
      this.secretKey = msg.secretKey;
    }
    _handleReadyForQuery(msg) {
      if (this._connecting) {
        this._connecting = false;
        this._connected = true;
        clearTimeout(this.connectionTimeoutHandle);
        if (this._connectionCallback) {
          this._connectionCallback(null, this);
          this._connectionCallback = null;
        }
        this.emit("connect");
      }
      const { activeQuery } = this;
      this.activeQuery = null;
      this.readyForQuery = true;
      if (activeQuery) {
        activeQuery.handleReadyForQuery(this.connection);
      }
      this._pulseQueryQueue();
    }
    _handleErrorWhileConnecting(err2) {
      if (this._connectionError) {
        return;
      }
      this._connectionError = true;
      clearTimeout(this.connectionTimeoutHandle);
      if (this._connectionCallback) {
        return this._connectionCallback(err2);
      }
      this.emit("error", err2);
    }
    _handleErrorEvent(err2) {
      if (this._connecting) {
        return this._handleErrorWhileConnecting(err2);
      }
      this._queryable = false;
      this._errorAllQueries(err2);
      this.emit("error", err2);
    }
    _handleErrorMessage(msg) {
      if (this._connecting) {
        return this._handleErrorWhileConnecting(msg);
      }
      const activeQuery = this.activeQuery;
      if (!activeQuery) {
        this._handleErrorEvent(msg);
        return;
      }
      this.activeQuery = null;
      activeQuery.handleError(msg, this.connection);
    }
    _handleRowDescription(msg) {
      this.activeQuery.handleRowDescription(msg);
    }
    _handleDataRow(msg) {
      this.activeQuery.handleDataRow(msg);
    }
    _handlePortalSuspended(msg) {
      this.activeQuery.handlePortalSuspended(this.connection);
    }
    _handleEmptyQuery(msg) {
      this.activeQuery.handleEmptyQuery(this.connection);
    }
    _handleCommandComplete(msg) {
      if (this.activeQuery == null) {
        const error3 = new Error("Received unexpected commandComplete message from backend.");
        this._handleErrorEvent(error3);
        return;
      }
      this.activeQuery.handleCommandComplete(msg, this.connection);
    }
    _handleParseComplete() {
      if (this.activeQuery == null) {
        const error3 = new Error("Received unexpected parseComplete message from backend.");
        this._handleErrorEvent(error3);
        return;
      }
      if (this.activeQuery.name) {
        this.connection.parsedStatements[this.activeQuery.name] = this.activeQuery.text;
      }
    }
    _handleCopyInResponse(msg) {
      this.activeQuery.handleCopyInResponse(this.connection);
    }
    _handleCopyData(msg) {
      this.activeQuery.handleCopyData(msg, this.connection);
    }
    _handleNotification(msg) {
      this.emit("notification", msg);
    }
    _handleNotice(msg) {
      this.emit("notice", msg);
    }
    getStartupConf() {
      var params = this.connectionParameters;
      var data = {
        user: params.user,
        database: params.database
      };
      var appName = params.application_name || params.fallback_application_name;
      if (appName) {
        data.application_name = appName;
      }
      if (params.replication) {
        data.replication = "" + params.replication;
      }
      if (params.statement_timeout) {
        data.statement_timeout = String(parseInt(params.statement_timeout, 10));
      }
      if (params.lock_timeout) {
        data.lock_timeout = String(parseInt(params.lock_timeout, 10));
      }
      if (params.idle_in_transaction_session_timeout) {
        data.idle_in_transaction_session_timeout = String(parseInt(params.idle_in_transaction_session_timeout, 10));
      }
      if (params.options) {
        data.options = params.options;
      }
      return data;
    }
    cancel(client, query) {
      if (client.activeQuery === query) {
        var con = this.connection;
        if (this.host && this.host.indexOf("/") === 0) {
          con.connect(this.host + "/.s.PGSQL." + this.port);
        } else {
          con.connect(this.port, this.host);
        }
        con.on("connect", function() {
          con.cancel(client.processID, client.secretKey);
        });
      } else if (client.queryQueue.indexOf(query) !== -1) {
        client.queryQueue.splice(client.queryQueue.indexOf(query), 1);
      }
    }
    setTypeParser(oid, format2, parseFn) {
      return this._types.setTypeParser(oid, format2, parseFn);
    }
    getTypeParser(oid, format2) {
      return this._types.getTypeParser(oid, format2);
    }
    escapeIdentifier(str) {
      return utils.escapeIdentifier(str);
    }
    escapeLiteral(str) {
      return utils.escapeLiteral(str);
    }
    _pulseQueryQueue() {
      if (this.readyForQuery === true) {
        this.activeQuery = this.queryQueue.shift();
        if (this.activeQuery) {
          this.readyForQuery = false;
          this.hasExecuted = true;
          const queryError = this.activeQuery.submit(this.connection);
          if (queryError) {
            process.nextTick(() => {
              this.activeQuery.handleError(queryError, this.connection);
              this.readyForQuery = true;
              this._pulseQueryQueue();
            });
          }
        } else if (this.hasExecuted) {
          this.activeQuery = null;
          this.emit("drain");
        }
      }
    }
    query(config, values, callback) {
      var query;
      var result;
      var readTimeout;
      var readTimeoutTimer;
      var queryCallback;
      if (config === null || config === undefined) {
        throw new TypeError("Client was passed a null or undefined query");
      } else if (typeof config.submit === "function") {
        readTimeout = config.query_timeout || this.connectionParameters.query_timeout;
        result = query = config;
        if (typeof values === "function") {
          query.callback = query.callback || values;
        }
      } else {
        readTimeout = config.query_timeout || this.connectionParameters.query_timeout;
        query = new Query(config, values, callback);
        if (!query.callback) {
          result = new this._Promise((resolve, reject) => {
            query.callback = (err2, res) => err2 ? reject(err2) : resolve(res);
          }).catch((err2) => {
            Error.captureStackTrace(err2);
            throw err2;
          });
        }
      }
      if (readTimeout) {
        queryCallback = query.callback;
        readTimeoutTimer = setTimeout(() => {
          var error3 = new Error("Query read timeout");
          process.nextTick(() => {
            query.handleError(error3, this.connection);
          });
          queryCallback(error3);
          query.callback = () => {
          };
          var index = this.queryQueue.indexOf(query);
          if (index > -1) {
            this.queryQueue.splice(index, 1);
          }
          this._pulseQueryQueue();
        }, readTimeout);
        query.callback = (err2, res) => {
          clearTimeout(readTimeoutTimer);
          queryCallback(err2, res);
        };
      }
      if (this.binary && !query.binary) {
        query.binary = true;
      }
      if (query._result && !query._result._types) {
        query._result._types = this._types;
      }
      if (!this._queryable) {
        process.nextTick(() => {
          query.handleError(new Error("Client has encountered a connection error and is not queryable"), this.connection);
        });
        return result;
      }
      if (this._ending) {
        process.nextTick(() => {
          query.handleError(new Error("Client was closed and is not queryable"), this.connection);
        });
        return result;
      }
      this.queryQueue.push(query);
      this._pulseQueryQueue();
      return result;
    }
    ref() {
      this.connection.ref();
    }
    unref() {
      this.connection.unref();
    }
    end(cb) {
      this._ending = true;
      if (!this.connection._connecting || this._ended) {
        if (cb) {
          cb();
        } else {
          return this._Promise.resolve();
        }
      }
      if (this.activeQuery || !this._queryable) {
        this.connection.stream.destroy();
      } else {
        this.connection.end();
      }
      if (cb) {
        this.connection.once("end", cb);
      } else {
        return new this._Promise((resolve) => {
          this.connection.once("end", resolve);
        });
      }
    }
  }
  Client.Query = Query;
  module3.exports = Client;
});

// ../../node_modules/pg-pool/index.js
var require_pg_pool = __commonJS((exports, module3) => {
  var EventEmitter = __require("events").EventEmitter;
  var NOOP = function() {
  };
  var removeWhere = (list, predicate) => {
    const i = list.findIndex(predicate);
    return i === -1 ? undefined : list.splice(i, 1)[0];
  };

  class IdleItem {
    constructor(client, idleListener, timeoutId) {
      this.client = client;
      this.idleListener = idleListener;
      this.timeoutId = timeoutId;
    }
  }

  class PendingItem {
    constructor(callback) {
      this.callback = callback;
    }
  }
  function throwOnDoubleRelease() {
    throw new Error("Release called on client which has already been released to the pool.");
  }
  function promisify(Promise3, callback) {
    if (callback) {
      return { callback, result: undefined };
    }
    let rej;
    let res;
    const cb = function(err2, client) {
      err2 ? rej(err2) : res(client);
    };
    const result = new Promise3(function(resolve, reject) {
      res = resolve;
      rej = reject;
    }).catch((err2) => {
      Error.captureStackTrace(err2);
      throw err2;
    });
    return { callback: cb, result };
  }
  function makeIdleListener(pool2, client) {
    return function idleListener(err2) {
      err2.client = client;
      client.removeListener("error", idleListener);
      client.on("error", () => {
        pool2.log("additional client error after disconnection due to error", err2);
      });
      pool2._remove(client);
      pool2.emit("error", err2, client);
    };
  }

  class Pool extends EventEmitter {
    constructor(options, Client) {
      super();
      this.options = Object.assign({}, options);
      if (options != null && "password" in options) {
        Object.defineProperty(this.options, "password", {
          configurable: true,
          enumerable: false,
          writable: true,
          value: options.password
        });
      }
      if (options != null && options.ssl && options.ssl.key) {
        Object.defineProperty(this.options.ssl, "key", {
          enumerable: false
        });
      }
      this.options.max = this.options.max || this.options.poolSize || 10;
      this.options.maxUses = this.options.maxUses || Infinity;
      this.options.allowExitOnIdle = this.options.allowExitOnIdle || false;
      this.options.maxLifetimeSeconds = this.options.maxLifetimeSeconds || 0;
      this.log = this.options.log || function() {
      };
      this.Client = this.options.Client || Client || require_lib6().Client;
      this.Promise = this.options.Promise || global.Promise;
      if (typeof this.options.idleTimeoutMillis === "undefined") {
        this.options.idleTimeoutMillis = 1e4;
      }
      this._clients = [];
      this._idle = [];
      this._expired = new WeakSet;
      this._pendingQueue = [];
      this._endCallback = undefined;
      this.ending = false;
      this.ended = false;
    }
    _isFull() {
      return this._clients.length >= this.options.max;
    }
    _pulseQueue() {
      this.log("pulse queue");
      if (this.ended) {
        this.log("pulse queue ended");
        return;
      }
      if (this.ending) {
        this.log("pulse queue on ending");
        if (this._idle.length) {
          this._idle.slice().map((item) => {
            this._remove(item.client);
          });
        }
        if (!this._clients.length) {
          this.ended = true;
          this._endCallback();
        }
        return;
      }
      if (!this._pendingQueue.length) {
        this.log("no queued requests");
        return;
      }
      if (!this._idle.length && this._isFull()) {
        return;
      }
      const pendingItem = this._pendingQueue.shift();
      if (this._idle.length) {
        const idleItem = this._idle.pop();
        clearTimeout(idleItem.timeoutId);
        const client = idleItem.client;
        client.ref && client.ref();
        const idleListener = idleItem.idleListener;
        return this._acquireClient(client, pendingItem, idleListener, false);
      }
      if (!this._isFull()) {
        return this.newClient(pendingItem);
      }
      throw new Error("unexpected condition");
    }
    _remove(client) {
      const removed = removeWhere(this._idle, (item) => item.client === client);
      if (removed !== undefined) {
        clearTimeout(removed.timeoutId);
      }
      this._clients = this._clients.filter((c) => c !== client);
      client.end();
      this.emit("remove", client);
    }
    connect(cb) {
      if (this.ending) {
        const err2 = new Error("Cannot use a pool after calling end on the pool");
        return cb ? cb(err2) : this.Promise.reject(err2);
      }
      const response = promisify(this.Promise, cb);
      const result = response.result;
      if (this._isFull() || this._idle.length) {
        if (this._idle.length) {
          process.nextTick(() => this._pulseQueue());
        }
        if (!this.options.connectionTimeoutMillis) {
          this._pendingQueue.push(new PendingItem(response.callback));
          return result;
        }
        const queueCallback = (err2, res, done) => {
          clearTimeout(tid);
          response.callback(err2, res, done);
        };
        const pendingItem = new PendingItem(queueCallback);
        const tid = setTimeout(() => {
          removeWhere(this._pendingQueue, (i) => i.callback === queueCallback);
          pendingItem.timedOut = true;
          response.callback(new Error("timeout exceeded when trying to connect"));
        }, this.options.connectionTimeoutMillis);
        this._pendingQueue.push(pendingItem);
        return result;
      }
      this.newClient(new PendingItem(response.callback));
      return result;
    }
    newClient(pendingItem) {
      const client = new this.Client(this.options);
      this._clients.push(client);
      const idleListener = makeIdleListener(this, client);
      this.log("checking client timeout");
      let tid;
      let timeoutHit = false;
      if (this.options.connectionTimeoutMillis) {
        tid = setTimeout(() => {
          this.log("ending client due to timeout");
          timeoutHit = true;
          client.connection ? client.connection.stream.destroy() : client.end();
        }, this.options.connectionTimeoutMillis);
      }
      this.log("connecting new client");
      client.connect((err2) => {
        if (tid) {
          clearTimeout(tid);
        }
        client.on("error", idleListener);
        if (err2) {
          this.log("client failed to connect", err2);
          this._clients = this._clients.filter((c) => c !== client);
          if (timeoutHit) {
            err2.message = "Connection terminated due to connection timeout";
          }
          this._pulseQueue();
          if (!pendingItem.timedOut) {
            pendingItem.callback(err2, undefined, NOOP);
          }
        } else {
          this.log("new client connected");
          if (this.options.maxLifetimeSeconds !== 0) {
            const maxLifetimeTimeout = setTimeout(() => {
              this.log("ending client due to expired lifetime");
              this._expired.add(client);
              const idleIndex = this._idle.findIndex((idleItem) => idleItem.client === client);
              if (idleIndex !== -1) {
                this._acquireClient(client, new PendingItem((err3, client2, clientRelease) => clientRelease()), idleListener, false);
              }
            }, this.options.maxLifetimeSeconds * 1000);
            maxLifetimeTimeout.unref();
            client.once("end", () => clearTimeout(maxLifetimeTimeout));
          }
          return this._acquireClient(client, pendingItem, idleListener, true);
        }
      });
    }
    _acquireClient(client, pendingItem, idleListener, isNew) {
      if (isNew) {
        this.emit("connect", client);
      }
      this.emit("acquire", client);
      client.release = this._releaseOnce(client, idleListener);
      client.removeListener("error", idleListener);
      if (!pendingItem.timedOut) {
        if (isNew && this.options.verify) {
          this.options.verify(client, (err2) => {
            if (err2) {
              client.release(err2);
              return pendingItem.callback(err2, undefined, NOOP);
            }
            pendingItem.callback(undefined, client, client.release);
          });
        } else {
          pendingItem.callback(undefined, client, client.release);
        }
      } else {
        if (isNew && this.options.verify) {
          this.options.verify(client, client.release);
        } else {
          client.release();
        }
      }
    }
    _releaseOnce(client, idleListener) {
      let released = false;
      return (err2) => {
        if (released) {
          throwOnDoubleRelease();
        }
        released = true;
        this._release(client, idleListener, err2);
      };
    }
    _release(client, idleListener, err2) {
      client.on("error", idleListener);
      client._poolUseCount = (client._poolUseCount || 0) + 1;
      this.emit("release", err2, client);
      if (err2 || this.ending || !client._queryable || client._ending || client._poolUseCount >= this.options.maxUses) {
        if (client._poolUseCount >= this.options.maxUses) {
          this.log("remove expended client");
        }
        this._remove(client);
        this._pulseQueue();
        return;
      }
      const isExpired = this._expired.has(client);
      if (isExpired) {
        this.log("remove expired client");
        this._expired.delete(client);
        this._remove(client);
        this._pulseQueue();
        return;
      }
      let tid;
      if (this.options.idleTimeoutMillis) {
        tid = setTimeout(() => {
          this.log("remove idle client");
          this._remove(client);
        }, this.options.idleTimeoutMillis);
        if (this.options.allowExitOnIdle) {
          tid.unref();
        }
      }
      if (this.options.allowExitOnIdle) {
        client.unref();
      }
      this._idle.push(new IdleItem(client, idleListener, tid));
      this._pulseQueue();
    }
    query(text, values, cb) {
      if (typeof text === "function") {
        const response2 = promisify(this.Promise, text);
        setImmediate(function() {
          return response2.callback(new Error("Passing a function as the first parameter to pool.query is not supported"));
        });
        return response2.result;
      }
      if (typeof values === "function") {
        cb = values;
        values = undefined;
      }
      const response = promisify(this.Promise, cb);
      cb = response.callback;
      this.connect((err2, client) => {
        if (err2) {
          return cb(err2);
        }
        let clientReleased = false;
        const onError = (err3) => {
          if (clientReleased) {
            return;
          }
          clientReleased = true;
          client.release(err3);
          cb(err3);
        };
        client.once("error", onError);
        this.log("dispatching query");
        try {
          client.query(text, values, (err3, res) => {
            this.log("query dispatched");
            client.removeListener("error", onError);
            if (clientReleased) {
              return;
            }
            clientReleased = true;
            client.release(err3);
            if (err3) {
              return cb(err3);
            }
            return cb(undefined, res);
          });
        } catch (err3) {
          client.release(err3);
          return cb(err3);
        }
      });
      return response.result;
    }
    end(cb) {
      this.log("ending");
      if (this.ending) {
        const err2 = new Error("Called end on pool more than once");
        return cb ? cb(err2) : this.Promise.reject(err2);
      }
      this.ending = true;
      const promised = promisify(this.Promise, cb);
      this._endCallback = promised.callback;
      this._pulseQueue();
      return promised.result;
    }
    get waitingCount() {
      return this._pendingQueue.length;
    }
    get idleCount() {
      return this._idle.length;
    }
    get expiredCount() {
      return this._clients.reduce((acc, client) => acc + (this._expired.has(client) ? 1 : 0), 0);
    }
    get totalCount() {
      return this._clients.length;
    }
  }
  module3.exports = Pool;
});

// ../../node_modules/pg/lib/native/query.js
var require_query2 = __commonJS((exports, module3) => {
  var EventEmitter = __require("events").EventEmitter;
  var util = __require("util");
  var utils = require_utils();
  var NativeQuery = module3.exports = function(config, values, callback) {
    EventEmitter.call(this);
    config = utils.normalizeQueryConfig(config, values, callback);
    this.text = config.text;
    this.values = config.values;
    this.name = config.name;
    this.queryMode = config.queryMode;
    this.callback = config.callback;
    this.state = "new";
    this._arrayMode = config.rowMode === "array";
    this._emitRowEvents = false;
    this.on("newListener", function(event) {
      if (event === "row")
        this._emitRowEvents = true;
    }.bind(this));
  };
  util.inherits(NativeQuery, EventEmitter);
  var errorFieldMap = {
    sqlState: "code",
    statementPosition: "position",
    messagePrimary: "message",
    context: "where",
    schemaName: "schema",
    tableName: "table",
    columnName: "column",
    dataTypeName: "dataType",
    constraintName: "constraint",
    sourceFile: "file",
    sourceLine: "line",
    sourceFunction: "routine"
  };
  NativeQuery.prototype.handleError = function(err2) {
    var fields = this.native.pq.resultErrorFields();
    if (fields) {
      for (var key in fields) {
        var normalizedFieldName = errorFieldMap[key] || key;
        err2[normalizedFieldName] = fields[key];
      }
    }
    if (this.callback) {
      this.callback(err2);
    } else {
      this.emit("error", err2);
    }
    this.state = "error";
  };
  NativeQuery.prototype.then = function(onSuccess, onFailure) {
    return this._getPromise().then(onSuccess, onFailure);
  };
  NativeQuery.prototype.catch = function(callback) {
    return this._getPromise().catch(callback);
  };
  NativeQuery.prototype._getPromise = function() {
    if (this._promise)
      return this._promise;
    this._promise = new Promise(function(resolve, reject) {
      this._once("end", resolve);
      this._once("error", reject);
    }.bind(this));
    return this._promise;
  };
  NativeQuery.prototype.submit = function(client) {
    this.state = "running";
    var self2 = this;
    this.native = client.native;
    client.native.arrayMode = this._arrayMode;
    var after = function(err2, rows, results) {
      client.native.arrayMode = false;
      setImmediate(function() {
        self2.emit("_done");
      });
      if (err2) {
        return self2.handleError(err2);
      }
      if (self2._emitRowEvents) {
        if (results.length > 1) {
          rows.forEach((rowOfRows, i) => {
            rowOfRows.forEach((row) => {
              self2.emit("row", row, results[i]);
            });
          });
        } else {
          rows.forEach(function(row) {
            self2.emit("row", row, results);
          });
        }
      }
      self2.state = "end";
      self2.emit("end", results);
      if (self2.callback) {
        self2.callback(null, results);
      }
    };
    if (process.domain) {
      after = process.domain.bind(after);
    }
    if (this.name) {
      if (this.name.length > 63) {
        console.error("Warning! Postgres only supports 63 characters for query names.");
        console.error("You supplied %s (%s)", this.name, this.name.length);
        console.error("This can cause conflicts and silent errors executing queries");
      }
      var values = (this.values || []).map(utils.prepareValue);
      if (client.namedQueries[this.name]) {
        if (this.text && client.namedQueries[this.name] !== this.text) {
          const err2 = new Error(`Prepared statements must be unique - '${this.name}' was used for a different statement`);
          return after(err2);
        }
        return client.native.execute(this.name, values, after);
      }
      return client.native.prepare(this.name, this.text, values.length, function(err2) {
        if (err2)
          return after(err2);
        client.namedQueries[self2.name] = self2.text;
        return self2.native.execute(self2.name, values, after);
      });
    } else if (this.values) {
      if (!Array.isArray(this.values)) {
        const err2 = new Error("Query values must be an array");
        return after(err2);
      }
      var vals = this.values.map(utils.prepareValue);
      client.native.query(this.text, vals, after);
    } else if (this.queryMode === "extended") {
      client.native.query(this.text, [], after);
    } else {
      client.native.query(this.text, after);
    }
  };
});

// ../../node_modules/pg/lib/native/client.js
var require_client2 = __commonJS((exports, module3) => {
  var Native;
  try {
    Native = (()=>{throw new Error("Cannot require module "+"pg-native");})();
  } catch (e) {
    throw e;
  }
  var TypeOverrides = require_type_overrides();
  var EventEmitter = __require("events").EventEmitter;
  var util = __require("util");
  var ConnectionParameters = require_connection_parameters();
  var NativeQuery = require_query2();
  var Client = module3.exports = function(config) {
    EventEmitter.call(this);
    config = config || {};
    this._Promise = config.Promise || global.Promise;
    this._types = new TypeOverrides(config.types);
    this.native = new Native({
      types: this._types
    });
    this._queryQueue = [];
    this._ending = false;
    this._connecting = false;
    this._connected = false;
    this._queryable = true;
    var cp = this.connectionParameters = new ConnectionParameters(config);
    if (config.nativeConnectionString)
      cp.nativeConnectionString = config.nativeConnectionString;
    this.user = cp.user;
    Object.defineProperty(this, "password", {
      configurable: true,
      enumerable: false,
      writable: true,
      value: cp.password
    });
    this.database = cp.database;
    this.host = cp.host;
    this.port = cp.port;
    this.namedQueries = {};
  };
  Client.Query = NativeQuery;
  util.inherits(Client, EventEmitter);
  Client.prototype._errorAllQueries = function(err2) {
    const enqueueError = (query) => {
      process.nextTick(() => {
        query.native = this.native;
        query.handleError(err2);
      });
    };
    if (this._hasActiveQuery()) {
      enqueueError(this._activeQuery);
      this._activeQuery = null;
    }
    this._queryQueue.forEach(enqueueError);
    this._queryQueue.length = 0;
  };
  Client.prototype._connect = function(cb) {
    var self2 = this;
    if (this._connecting) {
      process.nextTick(() => cb(new Error("Client has already been connected. You cannot reuse a client.")));
      return;
    }
    this._connecting = true;
    this.connectionParameters.getLibpqConnectionString(function(err2, conString) {
      if (self2.connectionParameters.nativeConnectionString)
        conString = self2.connectionParameters.nativeConnectionString;
      if (err2)
        return cb(err2);
      self2.native.connect(conString, function(err3) {
        if (err3) {
          self2.native.end();
          return cb(err3);
        }
        self2._connected = true;
        self2.native.on("error", function(err4) {
          self2._queryable = false;
          self2._errorAllQueries(err4);
          self2.emit("error", err4);
        });
        self2.native.on("notification", function(msg) {
          self2.emit("notification", {
            channel: msg.relname,
            payload: msg.extra
          });
        });
        self2.emit("connect");
        self2._pulseQueryQueue(true);
        cb();
      });
    });
  };
  Client.prototype.connect = function(callback) {
    if (callback) {
      this._connect(callback);
      return;
    }
    return new this._Promise((resolve, reject) => {
      this._connect((error3) => {
        if (error3) {
          reject(error3);
        } else {
          resolve();
        }
      });
    });
  };
  Client.prototype.query = function(config, values, callback) {
    var query;
    var result;
    var readTimeout;
    var readTimeoutTimer;
    var queryCallback;
    if (config === null || config === undefined) {
      throw new TypeError("Client was passed a null or undefined query");
    } else if (typeof config.submit === "function") {
      readTimeout = config.query_timeout || this.connectionParameters.query_timeout;
      result = query = config;
      if (typeof values === "function") {
        config.callback = values;
      }
    } else {
      readTimeout = config.query_timeout || this.connectionParameters.query_timeout;
      query = new NativeQuery(config, values, callback);
      if (!query.callback) {
        let resolveOut, rejectOut;
        result = new this._Promise((resolve, reject) => {
          resolveOut = resolve;
          rejectOut = reject;
        }).catch((err2) => {
          Error.captureStackTrace(err2);
          throw err2;
        });
        query.callback = (err2, res) => err2 ? rejectOut(err2) : resolveOut(res);
      }
    }
    if (readTimeout) {
      queryCallback = query.callback;
      readTimeoutTimer = setTimeout(() => {
        var error3 = new Error("Query read timeout");
        process.nextTick(() => {
          query.handleError(error3, this.connection);
        });
        queryCallback(error3);
        query.callback = () => {
        };
        var index = this._queryQueue.indexOf(query);
        if (index > -1) {
          this._queryQueue.splice(index, 1);
        }
        this._pulseQueryQueue();
      }, readTimeout);
      query.callback = (err2, res) => {
        clearTimeout(readTimeoutTimer);
        queryCallback(err2, res);
      };
    }
    if (!this._queryable) {
      query.native = this.native;
      process.nextTick(() => {
        query.handleError(new Error("Client has encountered a connection error and is not queryable"));
      });
      return result;
    }
    if (this._ending) {
      query.native = this.native;
      process.nextTick(() => {
        query.handleError(new Error("Client was closed and is not queryable"));
      });
      return result;
    }
    this._queryQueue.push(query);
    this._pulseQueryQueue();
    return result;
  };
  Client.prototype.end = function(cb) {
    var self2 = this;
    this._ending = true;
    if (!this._connected) {
      this.once("connect", this.end.bind(this, cb));
    }
    var result;
    if (!cb) {
      result = new this._Promise(function(resolve, reject) {
        cb = (err2) => err2 ? reject(err2) : resolve();
      });
    }
    this.native.end(function() {
      self2._errorAllQueries(new Error("Connection terminated"));
      process.nextTick(() => {
        self2.emit("end");
        if (cb)
          cb();
      });
    });
    return result;
  };
  Client.prototype._hasActiveQuery = function() {
    return this._activeQuery && this._activeQuery.state !== "error" && this._activeQuery.state !== "end";
  };
  Client.prototype._pulseQueryQueue = function(initialConnection) {
    if (!this._connected) {
      return;
    }
    if (this._hasActiveQuery()) {
      return;
    }
    var query = this._queryQueue.shift();
    if (!query) {
      if (!initialConnection) {
        this.emit("drain");
      }
      return;
    }
    this._activeQuery = query;
    query.submit(this);
    var self2 = this;
    query.once("_done", function() {
      self2._pulseQueryQueue();
    });
  };
  Client.prototype.cancel = function(query) {
    if (this._activeQuery === query) {
      this.native.cancel(function() {
      });
    } else if (this._queryQueue.indexOf(query) !== -1) {
      this._queryQueue.splice(this._queryQueue.indexOf(query), 1);
    }
  };
  Client.prototype.ref = function() {
  };
  Client.prototype.unref = function() {
  };
  Client.prototype.setTypeParser = function(oid, format2, parseFn) {
    return this._types.setTypeParser(oid, format2, parseFn);
  };
  Client.prototype.getTypeParser = function(oid, format2) {
    return this._types.getTypeParser(oid, format2);
  };
});

// ../../node_modules/pg/lib/index.js
var require_lib6 = __commonJS((exports, module3) => {
  var Client = require_client();
  var defaults = require_defaults();
  var Connection = require_connection();
  var Pool = require_pg_pool();
  var { DatabaseError } = require_dist2();
  var { escapeIdentifier, escapeLiteral } = require_utils();
  var poolFactory = (Client2) => {
    return class BoundPool extends Pool {
      constructor(options) {
        super(options, Client2);
      }
    };
  };
  var PG = function(clientConstructor) {
    this.defaults = defaults;
    this.Client = clientConstructor;
    this.Query = this.Client.Query;
    this.Pool = poolFactory(this.Client);
    this._pools = [];
    this.Connection = Connection;
    this.types = require_pg_types();
    this.DatabaseError = DatabaseError;
    this.escapeIdentifier = escapeIdentifier;
    this.escapeLiteral = escapeLiteral;
  };
  if (typeof process.env.NODE_PG_FORCE_NATIVE !== "undefined") {
    module3.exports = new PG(require_client2());
  } else {
    module3.exports = new PG(Client);
    Object.defineProperty(module3.exports, "native", {
      configurable: true,
      enumerable: false,
      get() {
        var native = null;
        try {
          native = new PG(require_client2());
        } catch (err2) {
          if (err2.code !== "MODULE_NOT_FOUND") {
            throw err2;
          }
        }
        Object.defineProperty(module3.exports, "native", {
          value: native
        });
        return native;
      }
    });
  }
});

// ../../node_modules/kysely/dist/esm/util/object-utils.js
function isUndefined(obj) {
  return typeof obj === "undefined" || obj === undefined;
}
function isString(obj) {
  return typeof obj === "string";
}
function isNumber(obj) {
  return typeof obj === "number";
}
function isBoolean(obj) {
  return typeof obj === "boolean";
}
function isNull(obj) {
  return obj === null;
}
function isDate(obj) {
  return obj instanceof Date;
}
function isBigInt(obj) {
  return typeof obj === "bigint";
}
function isBuffer(obj) {
  return typeof Buffer !== "undefined" && Buffer.isBuffer(obj);
}
function isFunction(obj) {
  return typeof obj === "function";
}
function isObject2(obj) {
  return typeof obj === "object" && obj !== null;
}
function isPlainObject(obj) {
  if (!isObject2(obj) || getTag(obj) !== "[object Object]") {
    return false;
  }
  if (Object.getPrototypeOf(obj) === null) {
    return true;
  }
  let proto = obj;
  while (Object.getPrototypeOf(proto) !== null) {
    proto = Object.getPrototypeOf(proto);
  }
  return Object.getPrototypeOf(obj) === proto;
}
function getLast(arr) {
  return arr[arr.length - 1];
}
function freeze(obj) {
  return Object.freeze(obj);
}
function asArray(arg) {
  if (isReadonlyArray(arg)) {
    return arg;
  } else {
    return [arg];
  }
}
function isReadonlyArray(arg) {
  return Array.isArray(arg);
}
function noop(obj) {
  return obj;
}
function compare(obj1, obj2) {
  if (isReadonlyArray(obj1) && isReadonlyArray(obj2)) {
    return compareArrays(obj1, obj2);
  } else if (isObject2(obj1) && isObject2(obj2)) {
    return compareObjects(obj1, obj2);
  }
  return obj1 === obj2;
}
function compareArrays(arr1, arr2) {
  if (arr1.length !== arr2.length) {
    return false;
  }
  for (let i = 0;i < arr1.length; ++i) {
    if (!compare(arr1[i], arr2[i])) {
      return false;
    }
  }
  return true;
}
function compareObjects(obj1, obj2) {
  if (isBuffer(obj1) && isBuffer(obj2)) {
    return compareBuffers(obj1, obj2);
  } else if (isDate(obj1) && isDate(obj2)) {
    return compareDates(obj1, obj2);
  }
  return compareGenericObjects(obj1, obj2);
}
function compareBuffers(buf1, buf2) {
  return Buffer.compare(buf1, buf2) === 0;
}
function compareDates(date1, date22) {
  return date1.getTime() === date22.getTime();
}
function compareGenericObjects(obj1, obj2) {
  const keys1 = Object.keys(obj1);
  const keys2 = Object.keys(obj2);
  if (keys1.length !== keys2.length) {
    return false;
  }
  for (const key of keys1) {
    if (!compare(obj1[key], obj2[key])) {
      return false;
    }
  }
  return true;
}
function getTag(value2) {
  if (value2 == null) {
    return value2 === undefined ? "[object Undefined]" : "[object Null]";
  }
  return toString.call(value2);
}
var toString;
var init_object_utils = __esm(() => {
  toString = Object.prototype.toString;
});

// ../../node_modules/kysely/dist/esm/operation-node/alter-table-node.js
var AlterTableNode;
var init_alter_table_node = __esm(() => {
  init_object_utils();
  AlterTableNode = freeze({
    is(node) {
      return node.kind === "AlterTableNode";
    },
    create(table) {
      return freeze({
        kind: "AlterTableNode",
        table
      });
    },
    cloneWithTableProps(node, props) {
      return freeze({
        ...node,
        ...props
      });
    },
    cloneWithColumnAlteration(node, columnAlteration) {
      return freeze({
        ...node,
        columnAlterations: node.columnAlterations ? [...node.columnAlterations, columnAlteration] : [columnAlteration]
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/identifier-node.js
var IdentifierNode;
var init_identifier_node = __esm(() => {
  init_object_utils();
  IdentifierNode = freeze({
    is(node) {
      return node.kind === "IdentifierNode";
    },
    create(name) {
      return freeze({
        kind: "IdentifierNode",
        name
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/create-index-node.js
var CreateIndexNode;
var init_create_index_node = __esm(() => {
  init_object_utils();
  init_identifier_node();
  CreateIndexNode = freeze({
    is(node) {
      return node.kind === "CreateIndexNode";
    },
    create(name) {
      return freeze({
        kind: "CreateIndexNode",
        name: IdentifierNode.create(name)
      });
    },
    cloneWith(node, props) {
      return freeze({
        ...node,
        ...props
      });
    },
    cloneWithColumns(node, columns) {
      return freeze({
        ...node,
        columns: [...node.columns || [], ...columns]
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/create-schema-node.js
var CreateSchemaNode;
var init_create_schema_node = __esm(() => {
  init_object_utils();
  init_identifier_node();
  CreateSchemaNode = freeze({
    is(node) {
      return node.kind === "CreateSchemaNode";
    },
    create(schema3, params) {
      return freeze({
        kind: "CreateSchemaNode",
        schema: IdentifierNode.create(schema3),
        ...params
      });
    },
    cloneWith(createSchema, params) {
      return freeze({
        ...createSchema,
        ...params
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/create-table-node.js
var ON_COMMIT_ACTIONS, CreateTableNode;
var init_create_table_node = __esm(() => {
  init_object_utils();
  ON_COMMIT_ACTIONS = ["preserve rows", "delete rows", "drop"];
  CreateTableNode = freeze({
    is(node) {
      return node.kind === "CreateTableNode";
    },
    create(table) {
      return freeze({
        kind: "CreateTableNode",
        table,
        columns: freeze([])
      });
    },
    cloneWithColumn(createTable, column) {
      return freeze({
        ...createTable,
        columns: freeze([...createTable.columns, column])
      });
    },
    cloneWithConstraint(createTable, constraint) {
      return freeze({
        ...createTable,
        constraints: createTable.constraints ? freeze([...createTable.constraints, constraint]) : freeze([constraint])
      });
    },
    cloneWithFrontModifier(createTable, modifier) {
      return freeze({
        ...createTable,
        frontModifiers: createTable.frontModifiers ? freeze([...createTable.frontModifiers, modifier]) : freeze([modifier])
      });
    },
    cloneWithEndModifier(createTable, modifier) {
      return freeze({
        ...createTable,
        endModifiers: createTable.endModifiers ? freeze([...createTable.endModifiers, modifier]) : freeze([modifier])
      });
    },
    cloneWith(createTable, params) {
      return freeze({
        ...createTable,
        ...params
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/schemable-identifier-node.js
var SchemableIdentifierNode;
var init_schemable_identifier_node = __esm(() => {
  init_object_utils();
  init_identifier_node();
  SchemableIdentifierNode = freeze({
    is(node) {
      return node.kind === "SchemableIdentifierNode";
    },
    create(identifier) {
      return freeze({
        kind: "SchemableIdentifierNode",
        identifier: IdentifierNode.create(identifier)
      });
    },
    createWithSchema(schema3, identifier) {
      return freeze({
        kind: "SchemableIdentifierNode",
        schema: IdentifierNode.create(schema3),
        identifier: IdentifierNode.create(identifier)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/drop-index-node.js
var DropIndexNode;
var init_drop_index_node = __esm(() => {
  init_object_utils();
  init_schemable_identifier_node();
  DropIndexNode = freeze({
    is(node) {
      return node.kind === "DropIndexNode";
    },
    create(name, params) {
      return freeze({
        kind: "DropIndexNode",
        name: SchemableIdentifierNode.create(name),
        ...params
      });
    },
    cloneWith(dropIndex, props) {
      return freeze({
        ...dropIndex,
        ...props
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/drop-schema-node.js
var DropSchemaNode;
var init_drop_schema_node = __esm(() => {
  init_object_utils();
  init_identifier_node();
  DropSchemaNode = freeze({
    is(node) {
      return node.kind === "DropSchemaNode";
    },
    create(schema3, params) {
      return freeze({
        kind: "DropSchemaNode",
        schema: IdentifierNode.create(schema3),
        ...params
      });
    },
    cloneWith(dropSchema, params) {
      return freeze({
        ...dropSchema,
        ...params
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/drop-table-node.js
var DropTableNode;
var init_drop_table_node = __esm(() => {
  init_object_utils();
  DropTableNode = freeze({
    is(node) {
      return node.kind === "DropTableNode";
    },
    create(table, params) {
      return freeze({
        kind: "DropTableNode",
        table,
        ...params
      });
    },
    cloneWith(dropIndex, params) {
      return freeze({
        ...dropIndex,
        ...params
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/alias-node.js
var AliasNode;
var init_alias_node = __esm(() => {
  init_object_utils();
  AliasNode = freeze({
    is(node) {
      return node.kind === "AliasNode";
    },
    create(node, alias) {
      return freeze({
        kind: "AliasNode",
        node,
        alias
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/table-node.js
var TableNode;
var init_table_node = __esm(() => {
  init_object_utils();
  init_schemable_identifier_node();
  TableNode = freeze({
    is(node) {
      return node.kind === "TableNode";
    },
    create(table) {
      return freeze({
        kind: "TableNode",
        table: SchemableIdentifierNode.create(table)
      });
    },
    createWithSchema(schema3, table) {
      return freeze({
        kind: "TableNode",
        table: SchemableIdentifierNode.createWithSchema(schema3, table)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/operation-node-source.js
function isOperationNodeSource(obj) {
  return isObject2(obj) && isFunction(obj.toOperationNode);
}
var init_operation_node_source = __esm(() => {
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/expression/expression.js
function isExpression(obj) {
  return isObject2(obj) && "expressionType" in obj && isOperationNodeSource(obj);
}
function isAliasedExpression(obj) {
  return isObject2(obj) && "expression" in obj && isString(obj.alias) && isOperationNodeSource(obj);
}
var init_expression = __esm(() => {
  init_operation_node_source();
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/operation-node/select-modifier-node.js
var SelectModifierNode;
var init_select_modifier_node = __esm(() => {
  init_object_utils();
  SelectModifierNode = freeze({
    is(node) {
      return node.kind === "SelectModifierNode";
    },
    create(modifier, of) {
      return freeze({
        kind: "SelectModifierNode",
        modifier,
        of
      });
    },
    createWithExpression(modifier) {
      return freeze({
        kind: "SelectModifierNode",
        rawModifier: modifier
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/and-node.js
var AndNode;
var init_and_node = __esm(() => {
  init_object_utils();
  AndNode = freeze({
    is(node) {
      return node.kind === "AndNode";
    },
    create(left, right) {
      return freeze({
        kind: "AndNode",
        left,
        right
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/or-node.js
var OrNode;
var init_or_node = __esm(() => {
  init_object_utils();
  OrNode = freeze({
    is(node) {
      return node.kind === "OrNode";
    },
    create(left, right) {
      return freeze({
        kind: "OrNode",
        left,
        right
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/on-node.js
var OnNode;
var init_on_node = __esm(() => {
  init_object_utils();
  init_and_node();
  init_or_node();
  OnNode = freeze({
    is(node) {
      return node.kind === "OnNode";
    },
    create(filter) {
      return freeze({
        kind: "OnNode",
        on: filter
      });
    },
    cloneWithOperation(onNode, operator, operation) {
      return freeze({
        ...onNode,
        on: operator === "And" ? AndNode.create(onNode.on, operation) : OrNode.create(onNode.on, operation)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/join-node.js
var JoinNode;
var init_join_node = __esm(() => {
  init_object_utils();
  init_on_node();
  JoinNode = freeze({
    is(node) {
      return node.kind === "JoinNode";
    },
    create(joinType, table) {
      return freeze({
        kind: "JoinNode",
        joinType,
        table,
        on: undefined
      });
    },
    createWithOn(joinType, table, on) {
      return freeze({
        kind: "JoinNode",
        joinType,
        table,
        on: OnNode.create(on)
      });
    },
    cloneWithOn(joinNode, operation) {
      return freeze({
        ...joinNode,
        on: joinNode.on ? OnNode.cloneWithOperation(joinNode.on, "And", operation) : OnNode.create(operation)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/binary-operation-node.js
var BinaryOperationNode;
var init_binary_operation_node = __esm(() => {
  init_object_utils();
  BinaryOperationNode = freeze({
    is(node) {
      return node.kind === "BinaryOperationNode";
    },
    create(leftOperand, operator, rightOperand) {
      return freeze({
        kind: "BinaryOperationNode",
        leftOperand,
        operator,
        rightOperand
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/operator-node.js
function isJSONOperator(op) {
  return isString(op) && JSON_OPERATORS.includes(op);
}
var COMPARISON_OPERATORS, ARITHMETIC_OPERATORS, JSON_OPERATORS, BINARY_OPERATORS, UNARY_FILTER_OPERATORS, UNARY_OPERATORS, OPERATORS, OperatorNode;
var init_operator_node = __esm(() => {
  init_object_utils();
  COMPARISON_OPERATORS = [
    "=",
    "==",
    "!=",
    "<>",
    ">",
    ">=",
    "<",
    "<=",
    "in",
    "not in",
    "is",
    "is not",
    "like",
    "not like",
    "match",
    "ilike",
    "not ilike",
    "@>",
    "<@",
    "^@",
    "&&",
    "?",
    "?&",
    "?|",
    "!<",
    "!>",
    "<=>",
    "!~",
    "~",
    "~*",
    "!~*",
    "@@",
    "@@@",
    "!!",
    "<->",
    "regexp",
    "is distinct from",
    "is not distinct from"
  ];
  ARITHMETIC_OPERATORS = [
    "+",
    "-",
    "*",
    "/",
    "%",
    "^",
    "&",
    "|",
    "#",
    "<<",
    ">>"
  ];
  JSON_OPERATORS = ["->", "->>"];
  BINARY_OPERATORS = [
    ...COMPARISON_OPERATORS,
    ...ARITHMETIC_OPERATORS,
    "&&",
    "||"
  ];
  UNARY_FILTER_OPERATORS = ["exists", "not exists"];
  UNARY_OPERATORS = ["not", "-", ...UNARY_FILTER_OPERATORS];
  OPERATORS = [
    ...BINARY_OPERATORS,
    ...JSON_OPERATORS,
    ...UNARY_OPERATORS,
    "between",
    "between symmetric"
  ];
  OperatorNode = freeze({
    is(node) {
      return node.kind === "OperatorNode";
    },
    create(operator) {
      return freeze({
        kind: "OperatorNode",
        operator
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/column-node.js
var ColumnNode;
var init_column_node = __esm(() => {
  init_object_utils();
  init_identifier_node();
  ColumnNode = freeze({
    is(node) {
      return node.kind === "ColumnNode";
    },
    create(column) {
      return freeze({
        kind: "ColumnNode",
        column: IdentifierNode.create(column)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/select-all-node.js
var SelectAllNode;
var init_select_all_node = __esm(() => {
  init_object_utils();
  SelectAllNode = freeze({
    is(node) {
      return node.kind === "SelectAllNode";
    },
    create() {
      return freeze({
        kind: "SelectAllNode"
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/reference-node.js
var ReferenceNode;
var init_reference_node = __esm(() => {
  init_select_all_node();
  init_object_utils();
  ReferenceNode = freeze({
    is(node) {
      return node.kind === "ReferenceNode";
    },
    create(column, table) {
      return freeze({
        kind: "ReferenceNode",
        table,
        column
      });
    },
    createSelectAll(table) {
      return freeze({
        kind: "ReferenceNode",
        table,
        column: SelectAllNode.create()
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/dynamic/dynamic-reference-builder.js
class DynamicReferenceBuilder {
  #dynamicReference;
  get dynamicReference() {
    return this.#dynamicReference;
  }
  get refType() {
    return;
  }
  constructor(reference) {
    this.#dynamicReference = reference;
  }
  toOperationNode() {
    return parseSimpleReferenceExpression(this.#dynamicReference);
  }
}
function isDynamicReferenceBuilder(obj) {
  return isObject2(obj) && isOperationNodeSource(obj) && isString(obj.dynamicReference);
}
var init_dynamic_reference_builder = __esm(() => {
  init_operation_node_source();
  init_reference_parser();
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/operation-node/order-by-item-node.js
var OrderByItemNode;
var init_order_by_item_node = __esm(() => {
  init_object_utils();
  OrderByItemNode = freeze({
    is(node) {
      return node.kind === "OrderByItemNode";
    },
    create(orderBy, direction) {
      return freeze({
        kind: "OrderByItemNode",
        orderBy,
        direction
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/raw-node.js
var RawNode;
var init_raw_node = __esm(() => {
  init_object_utils();
  RawNode = freeze({
    is(node) {
      return node.kind === "RawNode";
    },
    create(sqlFragments, parameters3) {
      return freeze({
        kind: "RawNode",
        sqlFragments: freeze(sqlFragments),
        parameters: freeze(parameters3)
      });
    },
    createWithSql(sql) {
      return RawNode.create([sql], []);
    },
    createWithChild(child2) {
      return RawNode.create(["", ""], [child2]);
    },
    createWithChildren(children) {
      return RawNode.create(new Array(children.length + 1).fill(""), children);
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/order-by-parser.js
function isOrderByDirection(thing) {
  return thing === "asc" || thing === "desc";
}
function parseOrderBy(args) {
  if (args.length === 2) {
    return [parseOrderByItem(args[0], args[1])];
  }
  if (args.length === 1) {
    const [orderBy] = args;
    if (Array.isArray(orderBy)) {
      return orderBy.map((item) => parseOrderByItem(item));
    }
    return [parseOrderByItem(orderBy)];
  }
  throw new Error(`Invalid number of arguments at order by! expected 1-2, received ${args.length}`);
}
function parseOrderByItem(ref3, direction) {
  const parsedRef = parseOrderByExpression(ref3);
  if (OrderByItemNode.is(parsedRef)) {
    if (direction) {
      throw new Error("Cannot specify direction twice!");
    }
    return parsedRef;
  }
  return OrderByItemNode.create(parsedRef, parseOrderByDirectionExpression(direction));
}
function parseOrderByExpression(expr) {
  if (isExpressionOrFactory(expr)) {
    return parseExpression(expr);
  }
  if (isDynamicReferenceBuilder(expr)) {
    return expr.toOperationNode();
  }
  const [ref3, direction] = expr.split(" ");
  if (direction) {
    if (!isOrderByDirection(direction)) {
      throw new Error(`Invalid order by direction: ${direction}`);
    }
    return OrderByItemNode.create(parseStringReference(ref3), parseOrderByDirectionExpression(direction));
  }
  return parseStringReference(expr);
}
function parseOrderByDirectionExpression(expr) {
  if (!expr) {
    return;
  }
  if (expr === "asc" || expr === "desc") {
    return RawNode.createWithSql(expr);
  }
  return expr.toOperationNode();
}
var init_order_by_parser = __esm(() => {
  init_dynamic_reference_builder();
  init_order_by_item_node();
  init_raw_node();
  init_expression_parser();
  init_reference_parser();
});

// ../../node_modules/kysely/dist/esm/operation-node/json-reference-node.js
var JSONReferenceNode;
var init_json_reference_node = __esm(() => {
  init_object_utils();
  JSONReferenceNode = freeze({
    is(node) {
      return node.kind === "JSONReferenceNode";
    },
    create(reference, traversal) {
      return freeze({
        kind: "JSONReferenceNode",
        reference,
        traversal
      });
    },
    cloneWithTraversal(node, traversal) {
      return freeze({
        ...node,
        traversal
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/json-operator-chain-node.js
var JSONOperatorChainNode;
var init_json_operator_chain_node = __esm(() => {
  init_object_utils();
  JSONOperatorChainNode = freeze({
    is(node) {
      return node.kind === "JSONOperatorChainNode";
    },
    create(operator) {
      return freeze({
        kind: "JSONOperatorChainNode",
        operator,
        values: freeze([])
      });
    },
    cloneWithValue(node, value2) {
      return freeze({
        ...node,
        values: freeze([...node.values, value2])
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/json-path-node.js
var JSONPathNode;
var init_json_path_node = __esm(() => {
  init_object_utils();
  JSONPathNode = freeze({
    is(node) {
      return node.kind === "JSONPathNode";
    },
    create(inOperator) {
      return freeze({
        kind: "JSONPathNode",
        inOperator,
        pathLegs: freeze([])
      });
    },
    cloneWithLeg(jsonPathNode, pathLeg) {
      return freeze({
        ...jsonPathNode,
        pathLegs: freeze([...jsonPathNode.pathLegs, pathLeg])
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/reference-parser.js
function parseSimpleReferenceExpression(exp) {
  if (isString(exp)) {
    return parseStringReference(exp);
  }
  return exp.toOperationNode();
}
function parseReferenceExpressionOrList(arg) {
  if (isReadonlyArray(arg)) {
    return arg.map((it) => parseReferenceExpression(it));
  } else {
    return [parseReferenceExpression(arg)];
  }
}
function parseReferenceExpression(exp) {
  if (isExpressionOrFactory(exp)) {
    return parseExpression(exp);
  }
  return parseSimpleReferenceExpression(exp);
}
function parseJSONReference(ref3, op) {
  const referenceNode = parseStringReference(ref3);
  if (isJSONOperator(op)) {
    return JSONReferenceNode.create(referenceNode, JSONOperatorChainNode.create(OperatorNode.create(op)));
  }
  const opWithoutLastChar = op.slice(0, -1);
  if (isJSONOperator(opWithoutLastChar)) {
    return JSONReferenceNode.create(referenceNode, JSONPathNode.create(OperatorNode.create(opWithoutLastChar)));
  }
  throw new Error(`Invalid JSON operator: ${op}`);
}
function parseStringReference(ref3) {
  const COLUMN_SEPARATOR = ".";
  if (!ref3.includes(COLUMN_SEPARATOR)) {
    return ReferenceNode.create(ColumnNode.create(ref3));
  }
  const parts = ref3.split(COLUMN_SEPARATOR).map(trim);
  if (parts.length === 3) {
    return parseStringReferenceWithTableAndSchema(parts);
  }
  if (parts.length === 2) {
    return parseStringReferenceWithTable(parts);
  }
  throw new Error(`invalid column reference ${ref3}`);
}
function parseAliasedStringReference(ref3) {
  const ALIAS_SEPARATOR = " as ";
  if (ref3.includes(ALIAS_SEPARATOR)) {
    const [columnRef, alias] = ref3.split(ALIAS_SEPARATOR).map(trim);
    return AliasNode.create(parseStringReference(columnRef), IdentifierNode.create(alias));
  } else {
    return parseStringReference(ref3);
  }
}
function parseColumnName(column) {
  return ColumnNode.create(column);
}
function parseOrderedColumnName(column) {
  const ORDER_SEPARATOR = " ";
  if (column.includes(ORDER_SEPARATOR)) {
    const [columnName, order] = column.split(ORDER_SEPARATOR).map(trim);
    if (!isOrderByDirection(order)) {
      throw new Error(`invalid order direction "${order}" next to "${columnName}"`);
    }
    return parseOrderBy([columnName, order])[0];
  } else {
    return parseColumnName(column);
  }
}
function parseStringReferenceWithTableAndSchema(parts) {
  const [schema3, table, column] = parts;
  return ReferenceNode.create(ColumnNode.create(column), TableNode.createWithSchema(schema3, table));
}
function parseStringReferenceWithTable(parts) {
  const [table, column] = parts;
  return ReferenceNode.create(ColumnNode.create(column), TableNode.create(table));
}
function trim(str) {
  return str.trim();
}
var init_reference_parser = __esm(() => {
  init_alias_node();
  init_column_node();
  init_reference_node();
  init_table_node();
  init_object_utils();
  init_expression_parser();
  init_identifier_node();
  init_order_by_parser();
  init_operator_node();
  init_json_reference_node();
  init_json_operator_chain_node();
  init_json_path_node();
});

// ../../node_modules/kysely/dist/esm/operation-node/primitive-value-list-node.js
var PrimitiveValueListNode;
var init_primitive_value_list_node = __esm(() => {
  init_object_utils();
  PrimitiveValueListNode = freeze({
    is(node) {
      return node.kind === "PrimitiveValueListNode";
    },
    create(values) {
      return freeze({
        kind: "PrimitiveValueListNode",
        values: freeze([...values])
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/value-list-node.js
var ValueListNode;
var init_value_list_node = __esm(() => {
  init_object_utils();
  ValueListNode = freeze({
    is(node) {
      return node.kind === "ValueListNode";
    },
    create(values) {
      return freeze({
        kind: "ValueListNode",
        values: freeze(values)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/value-node.js
var ValueNode;
var init_value_node = __esm(() => {
  init_object_utils();
  ValueNode = freeze({
    is(node) {
      return node.kind === "ValueNode";
    },
    create(value2) {
      return freeze({
        kind: "ValueNode",
        value: value2
      });
    },
    createImmediate(value2) {
      return freeze({
        kind: "ValueNode",
        value: value2,
        immediate: true
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/value-parser.js
function parseValueExpressionOrList(arg) {
  if (isReadonlyArray(arg)) {
    return parseValueExpressionList(arg);
  }
  return parseValueExpression(arg);
}
function parseValueExpression(exp) {
  if (isExpressionOrFactory(exp)) {
    return parseExpression(exp);
  }
  return ValueNode.create(exp);
}
function isSafeImmediateValue(value2) {
  return isNumber(value2) || isBoolean(value2) || isNull(value2);
}
function parseSafeImmediateValue(value2) {
  if (!isSafeImmediateValue(value2)) {
    throw new Error(`unsafe immediate value ${JSON.stringify(value2)}`);
  }
  return ValueNode.createImmediate(value2);
}
function parseValueExpressionList(arg) {
  if (arg.some(isExpressionOrFactory)) {
    return ValueListNode.create(arg.map((it) => parseValueExpression(it)));
  }
  return PrimitiveValueListNode.create(arg);
}
var init_value_parser = __esm(() => {
  init_primitive_value_list_node();
  init_value_list_node();
  init_value_node();
  init_object_utils();
  init_expression_parser();
});

// ../../node_modules/kysely/dist/esm/operation-node/parens-node.js
var ParensNode;
var init_parens_node = __esm(() => {
  init_object_utils();
  ParensNode = freeze({
    is(node) {
      return node.kind === "ParensNode";
    },
    create(node) {
      return freeze({
        kind: "ParensNode",
        node
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/binary-operation-parser.js
function parseValueBinaryOperationOrExpression(args) {
  if (args.length === 3) {
    return parseValueBinaryOperation(args[0], args[1], args[2]);
  } else if (args.length === 1) {
    return parseValueExpression(args[0]);
  }
  throw new Error(`invalid arguments: ${JSON.stringify(args)}`);
}
function parseValueBinaryOperation(left, operator, right) {
  if (isIsOperator(operator) && needsIsOperator(right)) {
    return BinaryOperationNode.create(parseReferenceExpression(left), parseOperator(operator), ValueNode.createImmediate(right));
  }
  return BinaryOperationNode.create(parseReferenceExpression(left), parseOperator(operator), parseValueExpressionOrList(right));
}
function parseReferentialBinaryOperation(left, operator, right) {
  return BinaryOperationNode.create(parseReferenceExpression(left), parseOperator(operator), parseReferenceExpression(right));
}
function parseFilterObject(obj, combinator) {
  return parseFilterList(Object.entries(obj).filter(([, v]) => !isUndefined(v)).map(([k2, v]) => parseValueBinaryOperation(k2, needsIsOperator(v) ? "is" : "=", v)), combinator);
}
function parseFilterList(list, combinator, withParens = true) {
  const combine = combinator === "and" ? AndNode.create : OrNode.create;
  if (list.length === 0) {
    return BinaryOperationNode.create(ValueNode.createImmediate(1), OperatorNode.create("="), ValueNode.createImmediate(combinator === "and" ? 1 : 0));
  }
  let node = toOperationNode(list[0]);
  for (let i = 1;i < list.length; ++i) {
    node = combine(node, toOperationNode(list[i]));
  }
  if (list.length > 1 && withParens) {
    return ParensNode.create(node);
  }
  return node;
}
function isIsOperator(operator) {
  return operator === "is" || operator === "is not";
}
function needsIsOperator(value2) {
  return isNull(value2) || isBoolean(value2);
}
function parseOperator(operator) {
  if (isString(operator) && OPERATORS.includes(operator)) {
    return OperatorNode.create(operator);
  }
  if (isOperationNodeSource(operator)) {
    return operator.toOperationNode();
  }
  throw new Error(`invalid operator ${JSON.stringify(operator)}`);
}
function toOperationNode(nodeOrSource) {
  return isOperationNodeSource(nodeOrSource) ? nodeOrSource.toOperationNode() : nodeOrSource;
}
var init_binary_operation_parser = __esm(() => {
  init_binary_operation_node();
  init_object_utils();
  init_operation_node_source();
  init_operator_node();
  init_reference_parser();
  init_value_parser();
  init_value_node();
  init_and_node();
  init_parens_node();
  init_or_node();
});

// ../../node_modules/kysely/dist/esm/operation-node/order-by-node.js
var OrderByNode;
var init_order_by_node = __esm(() => {
  init_object_utils();
  OrderByNode = freeze({
    is(node) {
      return node.kind === "OrderByNode";
    },
    create(items) {
      return freeze({
        kind: "OrderByNode",
        items: freeze([...items])
      });
    },
    cloneWithItems(orderBy, items) {
      return freeze({
        ...orderBy,
        items: freeze([...orderBy.items, ...items])
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/partition-by-node.js
var PartitionByNode;
var init_partition_by_node = __esm(() => {
  init_object_utils();
  PartitionByNode = freeze({
    is(node) {
      return node.kind === "PartitionByNode";
    },
    create(items) {
      return freeze({
        kind: "PartitionByNode",
        items: freeze(items)
      });
    },
    cloneWithItems(partitionBy, items) {
      return freeze({
        ...partitionBy,
        items: freeze([...partitionBy.items, ...items])
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/over-node.js
var OverNode;
var init_over_node = __esm(() => {
  init_object_utils();
  init_order_by_node();
  init_partition_by_node();
  OverNode = freeze({
    is(node) {
      return node.kind === "OverNode";
    },
    create() {
      return freeze({
        kind: "OverNode"
      });
    },
    cloneWithOrderByItems(overNode, items) {
      return freeze({
        ...overNode,
        orderBy: overNode.orderBy ? OrderByNode.cloneWithItems(overNode.orderBy, items) : OrderByNode.create(items)
      });
    },
    cloneWithPartitionByItems(overNode, items) {
      return freeze({
        ...overNode,
        partitionBy: overNode.partitionBy ? PartitionByNode.cloneWithItems(overNode.partitionBy, items) : PartitionByNode.create(items)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/from-node.js
var FromNode;
var init_from_node = __esm(() => {
  init_object_utils();
  FromNode = freeze({
    is(node) {
      return node.kind === "FromNode";
    },
    create(froms) {
      return freeze({
        kind: "FromNode",
        froms: freeze(froms)
      });
    },
    cloneWithFroms(from, froms) {
      return freeze({
        ...from,
        froms: freeze([...from.froms, ...froms])
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/group-by-node.js
var GroupByNode;
var init_group_by_node = __esm(() => {
  init_object_utils();
  GroupByNode = freeze({
    is(node) {
      return node.kind === "GroupByNode";
    },
    create(items) {
      return freeze({
        kind: "GroupByNode",
        items: freeze(items)
      });
    },
    cloneWithItems(groupBy, items) {
      return freeze({
        ...groupBy,
        items: freeze([...groupBy.items, ...items])
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/having-node.js
var HavingNode;
var init_having_node = __esm(() => {
  init_object_utils();
  init_and_node();
  init_or_node();
  HavingNode = freeze({
    is(node) {
      return node.kind === "HavingNode";
    },
    create(filter) {
      return freeze({
        kind: "HavingNode",
        having: filter
      });
    },
    cloneWithOperation(havingNode, operator, operation) {
      return freeze({
        ...havingNode,
        having: operator === "And" ? AndNode.create(havingNode.having, operation) : OrNode.create(havingNode.having, operation)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/select-query-node.js
var SelectQueryNode;
var init_select_query_node = __esm(() => {
  init_object_utils();
  init_from_node();
  init_group_by_node();
  init_having_node();
  init_order_by_node();
  SelectQueryNode = freeze({
    is(node) {
      return node.kind === "SelectQueryNode";
    },
    create(withNode) {
      return freeze({
        kind: "SelectQueryNode",
        ...withNode && { with: withNode }
      });
    },
    createFrom(fromItems, withNode) {
      return freeze({
        kind: "SelectQueryNode",
        from: FromNode.create(fromItems),
        ...withNode && { with: withNode }
      });
    },
    cloneWithSelections(select, selections) {
      return freeze({
        ...select,
        selections: select.selections ? freeze([...select.selections, ...selections]) : freeze(selections)
      });
    },
    cloneWithDistinctOn(select, expressions) {
      return freeze({
        ...select,
        distinctOn: select.distinctOn ? freeze([...select.distinctOn, ...expressions]) : freeze(expressions)
      });
    },
    cloneWithFrontModifier(select, modifier) {
      return freeze({
        ...select,
        frontModifiers: select.frontModifiers ? freeze([...select.frontModifiers, modifier]) : freeze([modifier])
      });
    },
    cloneWithOrderByItems(selectNode, items) {
      return freeze({
        ...selectNode,
        orderBy: selectNode.orderBy ? OrderByNode.cloneWithItems(selectNode.orderBy, items) : OrderByNode.create(items)
      });
    },
    cloneWithGroupByItems(selectNode, items) {
      return freeze({
        ...selectNode,
        groupBy: selectNode.groupBy ? GroupByNode.cloneWithItems(selectNode.groupBy, items) : GroupByNode.create(items)
      });
    },
    cloneWithLimit(selectNode, limit) {
      return freeze({
        ...selectNode,
        limit
      });
    },
    cloneWithOffset(selectNode, offset) {
      return freeze({
        ...selectNode,
        offset
      });
    },
    cloneWithFetch(selectNode, fetch) {
      return freeze({
        ...selectNode,
        fetch
      });
    },
    cloneWithHaving(selectNode, operation) {
      return freeze({
        ...selectNode,
        having: selectNode.having ? HavingNode.cloneWithOperation(selectNode.having, "And", operation) : HavingNode.create(operation)
      });
    },
    cloneWithSetOperations(selectNode, setOperations) {
      return freeze({
        ...selectNode,
        setOperations: selectNode.setOperations ? freeze([...selectNode.setOperations, ...setOperations]) : freeze([...setOperations])
      });
    },
    cloneWithoutSelections(select) {
      return freeze({
        ...select,
        selections: []
      });
    },
    cloneWithoutLimit(select) {
      return freeze({
        ...select,
        limit: undefined
      });
    },
    cloneWithoutOffset(select) {
      return freeze({
        ...select,
        offset: undefined
      });
    },
    cloneWithoutOrderBy(select) {
      return freeze({
        ...select,
        orderBy: undefined
      });
    },
    cloneWithoutGroupBy(select) {
      return freeze({
        ...select,
        groupBy: undefined
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/util/prevent-await.js
function preventAwait(clazz, message) {
  Object.defineProperties(clazz.prototype, {
    then: {
      enumerable: false,
      value: () => {
        throw new Error(message);
      }
    }
  });
}

// ../../node_modules/kysely/dist/esm/query-builder/join-builder.js
class JoinBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  on(...args) {
    return new JoinBuilder({
      ...this.#props,
      joinNode: JoinNode.cloneWithOn(this.#props.joinNode, parseValueBinaryOperationOrExpression(args))
    });
  }
  onRef(lhs, op, rhs) {
    return new JoinBuilder({
      ...this.#props,
      joinNode: JoinNode.cloneWithOn(this.#props.joinNode, parseReferentialBinaryOperation(lhs, op, rhs))
    });
  }
  onTrue() {
    return new JoinBuilder({
      ...this.#props,
      joinNode: JoinNode.cloneWithOn(this.#props.joinNode, RawNode.createWithSql("true"))
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.joinNode;
  }
}
var init_join_builder = __esm(() => {
  init_join_node();
  init_raw_node();
  init_binary_operation_parser();
  init_object_utils();
  preventAwait(JoinBuilder, "don't await JoinBuilder instances. They are never executed directly and are always just a part of a query.");
});

// ../../node_modules/kysely/dist/esm/operation-node/partition-by-item-node.js
var PartitionByItemNode;
var init_partition_by_item_node = __esm(() => {
  init_object_utils();
  PartitionByItemNode = freeze({
    is(node) {
      return node.kind === "PartitionByItemNode";
    },
    create(partitionBy) {
      return freeze({
        kind: "PartitionByItemNode",
        partitionBy
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/partition-by-parser.js
function parsePartitionBy(partitionBy) {
  return parseReferenceExpressionOrList(partitionBy).map(PartitionByItemNode.create);
}
var init_partition_by_parser = __esm(() => {
  init_partition_by_item_node();
  init_reference_parser();
});

// ../../node_modules/kysely/dist/esm/query-builder/over-builder.js
class OverBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  orderBy(orderBy, direction) {
    return new OverBuilder({
      overNode: OverNode.cloneWithOrderByItems(this.#props.overNode, parseOrderBy([orderBy, direction]))
    });
  }
  partitionBy(partitionBy) {
    return new OverBuilder({
      overNode: OverNode.cloneWithPartitionByItems(this.#props.overNode, parsePartitionBy(partitionBy))
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.overNode;
  }
}
var init_over_builder = __esm(() => {
  init_over_node();
  init_order_by_parser();
  init_partition_by_parser();
  init_object_utils();
  preventAwait(OverBuilder, "don't await OverBuilder instances. They are never executed directly and are always just a part of a query.");
});

// ../../node_modules/kysely/dist/esm/operation-node/selection-node.js
var SelectionNode;
var init_selection_node = __esm(() => {
  init_object_utils();
  init_reference_node();
  init_select_all_node();
  SelectionNode = freeze({
    is(node) {
      return node.kind === "SelectionNode";
    },
    create(selection) {
      return freeze({
        kind: "SelectionNode",
        selection
      });
    },
    createSelectAll() {
      return freeze({
        kind: "SelectionNode",
        selection: SelectAllNode.create()
      });
    },
    createSelectAllFromTable(table) {
      return freeze({
        kind: "SelectionNode",
        selection: ReferenceNode.createSelectAll(table)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/select-parser.js
function parseSelectArg(selection) {
  if (isFunction(selection)) {
    return parseSelectArg(selection(expressionBuilder()));
  } else if (isReadonlyArray(selection)) {
    return selection.map((it) => parseSelectExpression(it));
  } else {
    return [parseSelectExpression(selection)];
  }
}
function parseSelectExpression(selection) {
  if (isString(selection)) {
    return SelectionNode.create(parseAliasedStringReference(selection));
  } else if (isDynamicReferenceBuilder(selection)) {
    return SelectionNode.create(selection.toOperationNode());
  } else {
    return SelectionNode.create(parseAliasedExpression(selection));
  }
}
function parseSelectAll(table) {
  if (!table) {
    return [SelectionNode.createSelectAll()];
  } else if (Array.isArray(table)) {
    return table.map(parseSelectAllArg);
  } else {
    return [parseSelectAllArg(table)];
  }
}
function parseSelectAllArg(table) {
  if (isString(table)) {
    return SelectionNode.createSelectAllFromTable(parseTable(table));
  }
  throw new Error(`invalid value selectAll expression: ${JSON.stringify(table)}`);
}
var init_select_parser = __esm(() => {
  init_object_utils();
  init_selection_node();
  init_reference_parser();
  init_dynamic_reference_builder();
  init_expression_parser();
  init_table_parser();
  init_expression_builder();
});

// ../../node_modules/kysely/dist/esm/operation-node/values-node.js
var ValuesNode;
var init_values_node = __esm(() => {
  init_object_utils();
  ValuesNode = freeze({
    is(node) {
      return node.kind === "ValuesNode";
    },
    create(values) {
      return freeze({
        kind: "ValuesNode",
        values: freeze(values)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/default-insert-value-node.js
var DefaultInsertValueNode;
var init_default_insert_value_node = __esm(() => {
  init_object_utils();
  DefaultInsertValueNode = freeze({
    is(node) {
      return node.kind === "DefaultInsertValueNode";
    },
    create() {
      return freeze({
        kind: "DefaultInsertValueNode"
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/insert-values-parser.js
function parseInsertExpression(arg) {
  const objectOrList = isFunction(arg) ? arg(expressionBuilder()) : arg;
  const list = isReadonlyArray(objectOrList) ? objectOrList : freeze([objectOrList]);
  return parseInsertColumnsAndValues(list);
}
function parseInsertColumnsAndValues(rows) {
  const columns = parseColumnNamesAndIndexes(rows);
  return [
    freeze([...columns.keys()].map(ColumnNode.create)),
    ValuesNode.create(rows.map((row) => parseRowValues(row, columns)))
  ];
}
function parseColumnNamesAndIndexes(rows) {
  const columns = new Map;
  for (const row of rows) {
    const cols = Object.keys(row);
    for (const col of cols) {
      if (!columns.has(col) && row[col] !== undefined) {
        columns.set(col, columns.size);
      }
    }
  }
  return columns;
}
function parseRowValues(row, columns) {
  const rowColumns = Object.keys(row);
  const rowValues = Array.from({
    length: columns.size
  });
  let hasUndefinedOrComplexColumns = false;
  let indexedRowColumns = rowColumns.length;
  for (const col of rowColumns) {
    const columnIdx = columns.get(col);
    if (isUndefined(columnIdx)) {
      indexedRowColumns--;
      continue;
    }
    const value2 = row[col];
    if (isUndefined(value2) || isExpressionOrFactory(value2)) {
      hasUndefinedOrComplexColumns = true;
    }
    rowValues[columnIdx] = value2;
  }
  const hasMissingColumns = indexedRowColumns < columns.size;
  if (hasMissingColumns || hasUndefinedOrComplexColumns) {
    const defaultValue = DefaultInsertValueNode.create();
    return ValueListNode.create(rowValues.map((it) => isUndefined(it) ? defaultValue : parseValueExpression(it)));
  }
  return PrimitiveValueListNode.create(rowValues);
}
var init_insert_values_parser = __esm(() => {
  init_column_node();
  init_primitive_value_list_node();
  init_value_list_node();
  init_object_utils();
  init_value_parser();
  init_values_node();
  init_expression_parser();
  init_default_insert_value_node();
  init_expression_builder();
});

// ../../node_modules/kysely/dist/esm/operation-node/insert-query-node.js
var InsertQueryNode;
var init_insert_query_node = __esm(() => {
  init_object_utils();
  InsertQueryNode = freeze({
    is(node) {
      return node.kind === "InsertQueryNode";
    },
    create(into, withNode, replace) {
      return freeze({
        kind: "InsertQueryNode",
        into,
        ...withNode && { with: withNode },
        replace
      });
    },
    createWithoutInto() {
      return freeze({
        kind: "InsertQueryNode"
      });
    },
    cloneWith(insertQuery, props) {
      return freeze({
        ...insertQuery,
        ...props
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/update-query-node.js
var UpdateQueryNode;
var init_update_query_node = __esm(() => {
  init_object_utils();
  init_from_node();
  UpdateQueryNode = freeze({
    is(node) {
      return node.kind === "UpdateQueryNode";
    },
    create(table, withNode) {
      return freeze({
        kind: "UpdateQueryNode",
        table,
        ...withNode && { with: withNode }
      });
    },
    createWithoutTable() {
      return freeze({
        kind: "UpdateQueryNode"
      });
    },
    cloneWithFromItems(updateQuery, fromItems) {
      return freeze({
        ...updateQuery,
        from: updateQuery.from ? FromNode.cloneWithFroms(updateQuery.from, fromItems) : FromNode.create(fromItems)
      });
    },
    cloneWithUpdates(updateQuery, updates) {
      return freeze({
        ...updateQuery,
        updates: updateQuery.updates ? freeze([...updateQuery.updates, ...updates]) : updates
      });
    },
    cloneWithLimit(updateQuery, limit) {
      return freeze({
        ...updateQuery,
        limit
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/using-node.js
var UsingNode;
var init_using_node = __esm(() => {
  init_object_utils();
  UsingNode = freeze({
    is(node) {
      return node.kind === "UsingNode";
    },
    create(tables) {
      return freeze({
        kind: "UsingNode",
        tables: freeze(tables)
      });
    },
    cloneWithTables(using, tables) {
      return freeze({
        ...using,
        tables: freeze([...using.tables, ...tables])
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/delete-query-node.js
var DeleteQueryNode;
var init_delete_query_node = __esm(() => {
  init_object_utils();
  init_from_node();
  init_order_by_node();
  init_using_node();
  DeleteQueryNode = freeze({
    is(node) {
      return node.kind === "DeleteQueryNode";
    },
    create(fromItems, withNode) {
      return freeze({
        kind: "DeleteQueryNode",
        from: FromNode.create(fromItems),
        ...withNode && { with: withNode }
      });
    },
    cloneWithOrderByItems(deleteNode, items) {
      return freeze({
        ...deleteNode,
        orderBy: deleteNode.orderBy ? OrderByNode.cloneWithItems(deleteNode.orderBy, items) : OrderByNode.create(items)
      });
    },
    cloneWithoutOrderBy(deleteNode) {
      return freeze({
        ...deleteNode,
        orderBy: undefined
      });
    },
    cloneWithLimit(deleteNode, limit) {
      return freeze({
        ...deleteNode,
        limit
      });
    },
    cloneWithoutLimit(deleteNode) {
      return freeze({
        ...deleteNode,
        limit: undefined
      });
    },
    cloneWithUsing(deleteNode, tables) {
      return freeze({
        ...deleteNode,
        using: deleteNode.using !== undefined ? UsingNode.cloneWithTables(deleteNode.using, tables) : UsingNode.create(tables)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/where-node.js
var WhereNode;
var init_where_node = __esm(() => {
  init_object_utils();
  init_and_node();
  init_or_node();
  WhereNode = freeze({
    is(node) {
      return node.kind === "WhereNode";
    },
    create(filter) {
      return freeze({
        kind: "WhereNode",
        where: filter
      });
    },
    cloneWithOperation(whereNode, operator, operation) {
      return freeze({
        ...whereNode,
        where: operator === "And" ? AndNode.create(whereNode.where, operation) : OrNode.create(whereNode.where, operation)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/returning-node.js
var ReturningNode;
var init_returning_node = __esm(() => {
  init_object_utils();
  ReturningNode = freeze({
    is(node) {
      return node.kind === "ReturningNode";
    },
    create(selections) {
      return freeze({
        kind: "ReturningNode",
        selections: freeze(selections)
      });
    },
    cloneWithSelections(returning, selections) {
      return freeze({
        ...returning,
        selections: returning.selections ? freeze([...returning.selections, ...selections]) : freeze(selections)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/explain-node.js
var ExplainNode;
var init_explain_node = __esm(() => {
  init_object_utils();
  ExplainNode = freeze({
    is(node) {
      return node.kind === "ExplainNode";
    },
    create(format2, options) {
      return freeze({
        kind: "ExplainNode",
        format: format2,
        options
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/when-node.js
var WhenNode;
var init_when_node = __esm(() => {
  init_object_utils();
  WhenNode = freeze({
    is(node) {
      return node.kind === "WhenNode";
    },
    create(condition) {
      return freeze({
        kind: "WhenNode",
        condition
      });
    },
    cloneWithResult(whenNode, result) {
      return freeze({
        ...whenNode,
        result
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/merge-query-node.js
var MergeQueryNode;
var init_merge_query_node = __esm(() => {
  init_object_utils();
  init_when_node();
  MergeQueryNode = freeze({
    is(node) {
      return node.kind === "MergeQueryNode";
    },
    create(into, withNode) {
      return freeze({
        kind: "MergeQueryNode",
        into,
        ...withNode && { with: withNode }
      });
    },
    cloneWithUsing(mergeNode, using) {
      return freeze({
        ...mergeNode,
        using
      });
    },
    cloneWithWhen(mergeNode, when) {
      return freeze({
        ...mergeNode,
        whens: mergeNode.whens ? freeze([...mergeNode.whens, when]) : freeze([when])
      });
    },
    cloneWithThen(mergeNode, then) {
      return freeze({
        ...mergeNode,
        whens: mergeNode.whens ? freeze([
          ...mergeNode.whens.slice(0, -1),
          WhenNode.cloneWithResult(mergeNode.whens[mergeNode.whens.length - 1], then)
        ]) : undefined
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/output-node.js
var OutputNode;
var init_output_node = __esm(() => {
  init_object_utils();
  OutputNode = freeze({
    is(node) {
      return node.kind === "OutputNode";
    },
    create(selections) {
      return freeze({
        kind: "OutputNode",
        selections: freeze(selections)
      });
    },
    cloneWithSelections(output, selections) {
      return freeze({
        ...output,
        selections: output.selections ? freeze([...output.selections, ...selections]) : freeze(selections)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/query-node.js
var QueryNode;
var init_query_node = __esm(() => {
  init_insert_query_node();
  init_select_query_node();
  init_update_query_node();
  init_delete_query_node();
  init_where_node();
  init_object_utils();
  init_returning_node();
  init_explain_node();
  init_merge_query_node();
  init_output_node();
  QueryNode = freeze({
    is(node) {
      return SelectQueryNode.is(node) || InsertQueryNode.is(node) || UpdateQueryNode.is(node) || DeleteQueryNode.is(node) || MergeQueryNode.is(node);
    },
    cloneWithEndModifier(node, modifier) {
      return freeze({
        ...node,
        endModifiers: node.endModifiers ? freeze([...node.endModifiers, modifier]) : freeze([modifier])
      });
    },
    cloneWithWhere(node, operation) {
      return freeze({
        ...node,
        where: node.where ? WhereNode.cloneWithOperation(node.where, "And", operation) : WhereNode.create(operation)
      });
    },
    cloneWithJoin(node, join) {
      return freeze({
        ...node,
        joins: node.joins ? freeze([...node.joins, join]) : freeze([join])
      });
    },
    cloneWithReturning(node, selections) {
      return freeze({
        ...node,
        returning: node.returning ? ReturningNode.cloneWithSelections(node.returning, selections) : ReturningNode.create(selections)
      });
    },
    cloneWithoutReturning(node) {
      return freeze({
        ...node,
        returning: undefined
      });
    },
    cloneWithoutWhere(node) {
      return freeze({
        ...node,
        where: undefined
      });
    },
    cloneWithExplain(node, format2, options) {
      return freeze({
        ...node,
        explain: ExplainNode.create(format2, options?.toOperationNode())
      });
    },
    cloneWithTop(node, top) {
      return freeze({
        ...node,
        top
      });
    },
    cloneWithOutput(node, selections) {
      return freeze({
        ...node,
        output: node.output ? OutputNode.cloneWithSelections(node.output, selections) : OutputNode.create(selections)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/column-update-node.js
var ColumnUpdateNode;
var init_column_update_node = __esm(() => {
  init_object_utils();
  ColumnUpdateNode = freeze({
    is(node) {
      return node.kind === "ColumnUpdateNode";
    },
    create(column, value2) {
      return freeze({
        kind: "ColumnUpdateNode",
        column,
        value: value2
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/update-set-parser.js
function parseUpdate(...args) {
  if (args.length === 2) {
    return [
      ColumnUpdateNode.create(parseReferenceExpression(args[0]), parseValueExpression(args[1]))
    ];
  }
  return parseUpdateObjectExpression(args[0]);
}
function parseUpdateObjectExpression(update) {
  const updateObj = isFunction(update) ? update(expressionBuilder()) : update;
  return Object.entries(updateObj).filter(([_2, value2]) => value2 !== undefined).map(([key, value2]) => {
    return ColumnUpdateNode.create(ColumnNode.create(key), parseValueExpression(value2));
  });
}
var init_update_set_parser = __esm(() => {
  init_column_node();
  init_column_update_node();
  init_expression_builder();
  init_object_utils();
  init_value_parser();
  init_reference_parser();
});

// ../../node_modules/kysely/dist/esm/operation-node/on-duplicate-key-node.js
var OnDuplicateKeyNode;
var init_on_duplicate_key_node = __esm(() => {
  init_object_utils();
  OnDuplicateKeyNode = freeze({
    is(node) {
      return node.kind === "OnDuplicateKeyNode";
    },
    create(updates) {
      return freeze({
        kind: "OnDuplicateKeyNode",
        updates
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/query-builder/insert-result.js
class InsertResult {
  insertId;
  numInsertedOrUpdatedRows;
  constructor(insertId, numInsertedOrUpdatedRows) {
    this.insertId = insertId;
    this.numInsertedOrUpdatedRows = numInsertedOrUpdatedRows;
  }
}

// ../../node_modules/kysely/dist/esm/query-builder/no-result-error.js
function isNoResultErrorConstructor(fn) {
  return Object.prototype.hasOwnProperty.call(fn, "prototype");
}
var NoResultError;
var init_no_result_error = __esm(() => {
  NoResultError = class NoResultError extends Error {
    node;
    constructor(node) {
      super("no result");
      this.node = node;
    }
  };
});

// ../../node_modules/kysely/dist/esm/operation-node/on-conflict-node.js
var OnConflictNode;
var init_on_conflict_node = __esm(() => {
  init_object_utils();
  init_where_node();
  OnConflictNode = freeze({
    is(node) {
      return node.kind === "OnConflictNode";
    },
    create() {
      return freeze({
        kind: "OnConflictNode"
      });
    },
    cloneWith(node, props) {
      return freeze({
        ...node,
        ...props
      });
    },
    cloneWithIndexWhere(node, operation) {
      return freeze({
        ...node,
        indexWhere: node.indexWhere ? WhereNode.cloneWithOperation(node.indexWhere, "And", operation) : WhereNode.create(operation)
      });
    },
    cloneWithIndexOrWhere(node, operation) {
      return freeze({
        ...node,
        indexWhere: node.indexWhere ? WhereNode.cloneWithOperation(node.indexWhere, "Or", operation) : WhereNode.create(operation)
      });
    },
    cloneWithUpdateWhere(node, operation) {
      return freeze({
        ...node,
        updateWhere: node.updateWhere ? WhereNode.cloneWithOperation(node.updateWhere, "And", operation) : WhereNode.create(operation)
      });
    },
    cloneWithUpdateOrWhere(node, operation) {
      return freeze({
        ...node,
        updateWhere: node.updateWhere ? WhereNode.cloneWithOperation(node.updateWhere, "Or", operation) : WhereNode.create(operation)
      });
    },
    cloneWithoutIndexWhere(node) {
      return freeze({
        ...node,
        indexWhere: undefined
      });
    },
    cloneWithoutUpdateWhere(node) {
      return freeze({
        ...node,
        updateWhere: undefined
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/query-builder/on-conflict-builder.js
class OnConflictBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  column(column) {
    const columnNode = ColumnNode.create(column);
    return new OnConflictBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWith(this.#props.onConflictNode, {
        columns: this.#props.onConflictNode.columns ? freeze([...this.#props.onConflictNode.columns, columnNode]) : freeze([columnNode])
      })
    });
  }
  columns(columns) {
    const columnNodes = columns.map(ColumnNode.create);
    return new OnConflictBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWith(this.#props.onConflictNode, {
        columns: this.#props.onConflictNode.columns ? freeze([...this.#props.onConflictNode.columns, ...columnNodes]) : freeze(columnNodes)
      })
    });
  }
  constraint(constraintName) {
    return new OnConflictBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWith(this.#props.onConflictNode, {
        constraint: IdentifierNode.create(constraintName)
      })
    });
  }
  expression(expression) {
    return new OnConflictBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWith(this.#props.onConflictNode, {
        indexExpression: expression.toOperationNode()
      })
    });
  }
  where(...args) {
    return new OnConflictBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWithIndexWhere(this.#props.onConflictNode, parseValueBinaryOperationOrExpression(args))
    });
  }
  whereRef(lhs, op, rhs) {
    return new OnConflictBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWithIndexWhere(this.#props.onConflictNode, parseReferentialBinaryOperation(lhs, op, rhs))
    });
  }
  clearWhere() {
    return new OnConflictBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWithoutIndexWhere(this.#props.onConflictNode)
    });
  }
  doNothing() {
    return new OnConflictDoNothingBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWith(this.#props.onConflictNode, {
        doNothing: true
      })
    });
  }
  doUpdateSet(update) {
    return new OnConflictUpdateBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWith(this.#props.onConflictNode, {
        updates: parseUpdateObjectExpression(update)
      })
    });
  }
  $call(func) {
    return func(this);
  }
}

class OnConflictDoNothingBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  toOperationNode() {
    return this.#props.onConflictNode;
  }
}

class OnConflictUpdateBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  where(...args) {
    return new OnConflictUpdateBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWithUpdateWhere(this.#props.onConflictNode, parseValueBinaryOperationOrExpression(args))
    });
  }
  whereRef(lhs, op, rhs) {
    return new OnConflictUpdateBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWithUpdateWhere(this.#props.onConflictNode, parseReferentialBinaryOperation(lhs, op, rhs))
    });
  }
  clearWhere() {
    return new OnConflictUpdateBuilder({
      ...this.#props,
      onConflictNode: OnConflictNode.cloneWithoutUpdateWhere(this.#props.onConflictNode)
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.onConflictNode;
  }
}
var init_on_conflict_builder = __esm(() => {
  init_column_node();
  init_identifier_node();
  init_on_conflict_node();
  init_binary_operation_parser();
  init_update_set_parser();
  init_object_utils();
  preventAwait(OnConflictBuilder, "don't await OnConflictBuilder instances.");
  preventAwait(OnConflictDoNothingBuilder, "don't await OnConflictDoNothingBuilder instances.");
  preventAwait(OnConflictUpdateBuilder, "don't await OnConflictUpdateBuilder instances.");
});

// ../../node_modules/kysely/dist/esm/operation-node/top-node.js
var TopNode;
var init_top_node = __esm(() => {
  init_object_utils();
  TopNode = freeze({
    is(node) {
      return node.kind === "TopNode";
    },
    create(expression, modifiers) {
      return freeze({
        kind: "TopNode",
        expression,
        modifiers
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/top-parser.js
function parseTop(expression, modifiers) {
  if (!isNumber(expression) && !isBigInt(expression)) {
    throw new Error(`Invalid top expression: ${expression}`);
  }
  if (!isUndefined(modifiers) && !isTopModifiers(modifiers)) {
    throw new Error(`Invalid top modifiers: ${modifiers}`);
  }
  return TopNode.create(expression, modifiers);
}
function isTopModifiers(modifiers) {
  return modifiers === "percent" || modifiers === "with ties" || modifiers === "percent with ties";
}
var init_top_parser = __esm(() => {
  init_top_node();
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/query-builder/insert-query-builder.js
class InsertQueryBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  values(insert) {
    const [columns, values] = parseInsertExpression(insert);
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: InsertQueryNode.cloneWith(this.#props.queryNode, {
        columns,
        values
      })
    });
  }
  columns(columns) {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: InsertQueryNode.cloneWith(this.#props.queryNode, {
        columns: freeze(columns.map(ColumnNode.create))
      })
    });
  }
  expression(expression) {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: InsertQueryNode.cloneWith(this.#props.queryNode, {
        values: parseExpression(expression)
      })
    });
  }
  defaultValues() {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: InsertQueryNode.cloneWith(this.#props.queryNode, {
        defaultValues: true
      })
    });
  }
  modifyEnd(modifier) {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, modifier.toOperationNode())
    });
  }
  ignore() {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: InsertQueryNode.cloneWith(this.#props.queryNode, {
        ignore: true
      })
    });
  }
  top(expression, modifiers) {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithTop(this.#props.queryNode, parseTop(expression, modifiers))
    });
  }
  onConflict(callback) {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: InsertQueryNode.cloneWith(this.#props.queryNode, {
        onConflict: callback(new OnConflictBuilder({
          onConflictNode: OnConflictNode.create()
        })).toOperationNode()
      })
    });
  }
  onDuplicateKeyUpdate(update) {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: InsertQueryNode.cloneWith(this.#props.queryNode, {
        onDuplicateKey: OnDuplicateKeyNode.create(parseUpdateObjectExpression(update))
      })
    });
  }
  returning(selection) {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithReturning(this.#props.queryNode, parseSelectArg(selection))
    });
  }
  returningAll() {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithReturning(this.#props.queryNode, parseSelectAll())
    });
  }
  output(args) {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectArg(args))
    });
  }
  outputAll(table) {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectAll(table))
    });
  }
  clearReturning() {
    return new InsertQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithoutReturning(this.#props.queryNode)
    });
  }
  $call(func) {
    return func(this);
  }
  $if(condition, func) {
    if (condition) {
      return func(this);
    }
    return new InsertQueryBuilder({
      ...this.#props
    });
  }
  $castTo() {
    return new InsertQueryBuilder(this.#props);
  }
  $narrowType() {
    return new InsertQueryBuilder(this.#props);
  }
  $assertType() {
    return new InsertQueryBuilder(this.#props);
  }
  withPlugin(plugin) {
    return new InsertQueryBuilder({
      ...this.#props,
      executor: this.#props.executor.withPlugin(plugin)
    });
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.queryNode, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    const compiledQuery = this.compile();
    const result = await this.#props.executor.executeQuery(compiledQuery, this.#props.queryId);
    const { adapter } = this.#props.executor;
    const query = compiledQuery.query;
    if (query.returning && adapter.supportsReturning || query.output && adapter.supportsOutput) {
      return result.rows;
    }
    return [
      new InsertResult(result.insertId, result.numAffectedRows ?? result.numUpdatedOrDeletedRows)
    ];
  }
  async executeTakeFirst() {
    const [result] = await this.execute();
    return result;
  }
  async executeTakeFirstOrThrow(errorConstructor = NoResultError) {
    const result = await this.executeTakeFirst();
    if (result === undefined) {
      const error3 = isNoResultErrorConstructor(errorConstructor) ? new errorConstructor(this.toOperationNode()) : errorConstructor(this.toOperationNode());
      throw error3;
    }
    return result;
  }
  async* stream(chunkSize = 100) {
    const compiledQuery = this.compile();
    const stream = this.#props.executor.stream(compiledQuery, chunkSize, this.#props.queryId);
    for await (const item of stream) {
      yield* item.rows;
    }
  }
  async explain(format2, options) {
    const builder = new InsertQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithExplain(this.#props.queryNode, format2, options)
    });
    return await builder.execute();
  }
}
var init_insert_query_builder = __esm(() => {
  init_select_parser();
  init_insert_values_parser();
  init_insert_query_node();
  init_query_node();
  init_update_set_parser();
  init_object_utils();
  init_on_duplicate_key_node();
  init_no_result_error();
  init_expression_parser();
  init_column_node();
  init_on_conflict_builder();
  init_on_conflict_node();
  init_top_parser();
  preventAwait(InsertQueryBuilder, "don't await InsertQueryBuilder instances directly. To execute the query you need to call `execute` or `executeTakeFirst`.");
});

// ../../node_modules/kysely/dist/esm/query-builder/delete-result.js
class DeleteResult {
  numDeletedRows;
  constructor(numDeletedRows) {
    this.numDeletedRows = numDeletedRows;
  }
}

// ../../node_modules/kysely/dist/esm/operation-node/limit-node.js
var LimitNode;
var init_limit_node = __esm(() => {
  init_object_utils();
  LimitNode = freeze({
    is(node) {
      return node.kind === "LimitNode";
    },
    create(limit) {
      return freeze({
        kind: "LimitNode",
        limit
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/query-builder/delete-query-builder.js
class DeleteQueryBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  where(...args) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithWhere(this.#props.queryNode, parseValueBinaryOperationOrExpression(args))
    });
  }
  whereRef(lhs, op, rhs) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithWhere(this.#props.queryNode, parseReferentialBinaryOperation(lhs, op, rhs))
    });
  }
  clearWhere() {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithoutWhere(this.#props.queryNode)
    });
  }
  top(expression, modifiers) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithTop(this.#props.queryNode, parseTop(expression, modifiers))
    });
  }
  using(tables) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: DeleteQueryNode.cloneWithUsing(this.#props.queryNode, parseTableExpressionOrList(tables))
    });
  }
  innerJoin(...args) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("InnerJoin", args))
    });
  }
  leftJoin(...args) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("LeftJoin", args))
    });
  }
  rightJoin(...args) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("RightJoin", args))
    });
  }
  fullJoin(...args) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("FullJoin", args))
    });
  }
  returning(selection) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithReturning(this.#props.queryNode, parseSelectArg(selection))
    });
  }
  returningAll(table) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithReturning(this.#props.queryNode, parseSelectAll(table))
    });
  }
  output(args) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectArg(args))
    });
  }
  outputAll(table) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectAll(table))
    });
  }
  clearReturning() {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithoutReturning(this.#props.queryNode)
    });
  }
  clearLimit() {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: DeleteQueryNode.cloneWithoutLimit(this.#props.queryNode)
    });
  }
  clearOrderBy() {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: DeleteQueryNode.cloneWithoutOrderBy(this.#props.queryNode)
    });
  }
  orderBy(orderBy, direction) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: DeleteQueryNode.cloneWithOrderByItems(this.#props.queryNode, parseOrderBy([orderBy, direction]))
    });
  }
  limit(limit) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: DeleteQueryNode.cloneWithLimit(this.#props.queryNode, LimitNode.create(parseValueExpression(limit)))
    });
  }
  modifyEnd(modifier) {
    return new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, modifier.toOperationNode())
    });
  }
  $call(func) {
    return func(this);
  }
  $if(condition, func) {
    if (condition) {
      return func(this);
    }
    return new DeleteQueryBuilder({
      ...this.#props
    });
  }
  $castTo() {
    return new DeleteQueryBuilder(this.#props);
  }
  $narrowType() {
    return new DeleteQueryBuilder(this.#props);
  }
  $assertType() {
    return new DeleteQueryBuilder(this.#props);
  }
  withPlugin(plugin) {
    return new DeleteQueryBuilder({
      ...this.#props,
      executor: this.#props.executor.withPlugin(plugin)
    });
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.queryNode, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    const compiledQuery = this.compile();
    const result = await this.#props.executor.executeQuery(compiledQuery, this.#props.queryId);
    const { adapter } = this.#props.executor;
    const query = compiledQuery.query;
    if (query.returning && adapter.supportsReturning || query.output && adapter.supportsOutput) {
      return result.rows;
    }
    return [
      new DeleteResult(result.numAffectedRows ?? result.numUpdatedOrDeletedRows ?? BigInt(0))
    ];
  }
  async executeTakeFirst() {
    const [result] = await this.execute();
    return result;
  }
  async executeTakeFirstOrThrow(errorConstructor = NoResultError) {
    const result = await this.executeTakeFirst();
    if (result === undefined) {
      const error3 = isNoResultErrorConstructor(errorConstructor) ? new errorConstructor(this.toOperationNode()) : errorConstructor(this.toOperationNode());
      throw error3;
    }
    return result;
  }
  async* stream(chunkSize = 100) {
    const compiledQuery = this.compile();
    const stream = this.#props.executor.stream(compiledQuery, chunkSize, this.#props.queryId);
    for await (const item of stream) {
      yield* item.rows;
    }
  }
  async explain(format2, options) {
    const builder = new DeleteQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithExplain(this.#props.queryNode, format2, options)
    });
    return await builder.execute();
  }
}
var init_delete_query_builder = __esm(() => {
  init_join_parser();
  init_table_parser();
  init_select_parser();
  init_query_node();
  init_object_utils();
  init_no_result_error();
  init_delete_query_node();
  init_limit_node();
  init_order_by_parser();
  init_binary_operation_parser();
  init_value_parser();
  init_top_parser();
  preventAwait(DeleteQueryBuilder, "don't await DeleteQueryBuilder instances directly. To execute the query you need to call `execute` or `executeTakeFirst`.");
});

// ../../node_modules/kysely/dist/esm/query-builder/update-result.js
class UpdateResult {
  numUpdatedRows;
  numChangedRows;
  constructor(numUpdatedRows, numChangedRows) {
    this.numUpdatedRows = numUpdatedRows;
    this.numChangedRows = numChangedRows;
  }
}

// ../../node_modules/kysely/dist/esm/query-builder/update-query-builder.js
class UpdateQueryBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  where(...args) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithWhere(this.#props.queryNode, parseValueBinaryOperationOrExpression(args))
    });
  }
  whereRef(lhs, op, rhs) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithWhere(this.#props.queryNode, parseReferentialBinaryOperation(lhs, op, rhs))
    });
  }
  clearWhere() {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithoutWhere(this.#props.queryNode)
    });
  }
  top(expression, modifiers) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithTop(this.#props.queryNode, parseTop(expression, modifiers))
    });
  }
  from(from) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: UpdateQueryNode.cloneWithFromItems(this.#props.queryNode, parseTableExpressionOrList(from))
    });
  }
  innerJoin(...args) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("InnerJoin", args))
    });
  }
  leftJoin(...args) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("LeftJoin", args))
    });
  }
  rightJoin(...args) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("RightJoin", args))
    });
  }
  fullJoin(...args) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("FullJoin", args))
    });
  }
  limit(limit) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: UpdateQueryNode.cloneWithLimit(this.#props.queryNode, LimitNode.create(parseValueExpression(limit)))
    });
  }
  set(...args) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: UpdateQueryNode.cloneWithUpdates(this.#props.queryNode, parseUpdate(...args))
    });
  }
  returning(selection) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithReturning(this.#props.queryNode, parseSelectArg(selection))
    });
  }
  returningAll(table) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithReturning(this.#props.queryNode, parseSelectAll(table))
    });
  }
  output(args) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectArg(args))
    });
  }
  outputAll(table) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectAll(table))
    });
  }
  modifyEnd(modifier) {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, modifier.toOperationNode())
    });
  }
  clearReturning() {
    return new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithoutReturning(this.#props.queryNode)
    });
  }
  $call(func) {
    return func(this);
  }
  $if(condition, func) {
    if (condition) {
      return func(this);
    }
    return new UpdateQueryBuilder({
      ...this.#props
    });
  }
  $castTo() {
    return new UpdateQueryBuilder(this.#props);
  }
  $narrowType() {
    return new UpdateQueryBuilder(this.#props);
  }
  $assertType() {
    return new UpdateQueryBuilder(this.#props);
  }
  withPlugin(plugin) {
    return new UpdateQueryBuilder({
      ...this.#props,
      executor: this.#props.executor.withPlugin(plugin)
    });
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.queryNode, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    const compiledQuery = this.compile();
    const result = await this.#props.executor.executeQuery(compiledQuery, this.#props.queryId);
    const { adapter } = this.#props.executor;
    const query = compiledQuery.query;
    if (query.returning && adapter.supportsReturning || query.output && adapter.supportsOutput) {
      return result.rows;
    }
    return [
      new UpdateResult(result.numAffectedRows ?? result.numUpdatedOrDeletedRows ?? BigInt(0), result.numChangedRows)
    ];
  }
  async executeTakeFirst() {
    const [result] = await this.execute();
    return result;
  }
  async executeTakeFirstOrThrow(errorConstructor = NoResultError) {
    const result = await this.executeTakeFirst();
    if (result === undefined) {
      const error3 = isNoResultErrorConstructor(errorConstructor) ? new errorConstructor(this.toOperationNode()) : errorConstructor(this.toOperationNode());
      throw error3;
    }
    return result;
  }
  async* stream(chunkSize = 100) {
    const compiledQuery = this.compile();
    const stream = this.#props.executor.stream(compiledQuery, chunkSize, this.#props.queryId);
    for await (const item of stream) {
      yield* item.rows;
    }
  }
  async explain(format2, options) {
    const builder = new UpdateQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithExplain(this.#props.queryNode, format2, options)
    });
    return await builder.execute();
  }
}
var init_update_query_builder = __esm(() => {
  init_join_parser();
  init_table_parser();
  init_select_parser();
  init_query_node();
  init_update_query_node();
  init_update_set_parser();
  init_object_utils();
  init_no_result_error();
  init_binary_operation_parser();
  init_value_parser();
  init_limit_node();
  init_top_parser();
  preventAwait(UpdateQueryBuilder, "don't await UpdateQueryBuilder instances directly. To execute the query you need to call `execute` or `executeTakeFirst`.");
});

// ../../node_modules/kysely/dist/esm/operation-node/common-table-expression-name-node.js
var CommonTableExpressionNameNode;
var init_common_table_expression_name_node = __esm(() => {
  init_object_utils();
  init_column_node();
  init_table_node();
  CommonTableExpressionNameNode = freeze({
    is(node) {
      return node.kind === "CommonTableExpressionNameNode";
    },
    create(tableName, columnNames) {
      return freeze({
        kind: "CommonTableExpressionNameNode",
        table: TableNode.create(tableName),
        columns: columnNames ? freeze(columnNames.map(ColumnNode.create)) : undefined
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/common-table-expression-node.js
var CommonTableExpressionNode;
var init_common_table_expression_node = __esm(() => {
  init_object_utils();
  CommonTableExpressionNode = freeze({
    is(node) {
      return node.kind === "CommonTableExpressionNode";
    },
    create(name, expression) {
      return freeze({
        kind: "CommonTableExpressionNode",
        name,
        expression
      });
    },
    cloneWith(node, props) {
      return freeze({
        ...node,
        ...props
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/query-builder/cte-builder.js
class CTEBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  materialized() {
    return new CTEBuilder({
      ...this.#props,
      node: CommonTableExpressionNode.cloneWith(this.#props.node, {
        materialized: true
      })
    });
  }
  notMaterialized() {
    return new CTEBuilder({
      ...this.#props,
      node: CommonTableExpressionNode.cloneWith(this.#props.node, {
        materialized: false
      })
    });
  }
  toOperationNode() {
    return this.#props.node;
  }
}
var init_cte_builder = __esm(() => {
  init_common_table_expression_node();
  init_object_utils();
  preventAwait(CTEBuilder, "don't await CTEBuilder instances. They are never executed directly and are always just a part of a query.");
});

// ../../node_modules/kysely/dist/esm/parser/with-parser.js
function parseCommonTableExpression(nameOrBuilderCallback, expression) {
  const expressionNode = expression(createQueryCreator()).toOperationNode();
  if (isFunction(nameOrBuilderCallback)) {
    return nameOrBuilderCallback(cteBuilderFactory(expressionNode)).toOperationNode();
  }
  return CommonTableExpressionNode.create(parseCommonTableExpressionName(nameOrBuilderCallback), expressionNode);
}
function cteBuilderFactory(expressionNode) {
  return (name) => {
    return new CTEBuilder({
      node: CommonTableExpressionNode.create(parseCommonTableExpressionName(name), expressionNode)
    });
  };
}
function parseCommonTableExpressionName(name) {
  if (name.includes("(")) {
    const parts = name.split(/[\(\)]/);
    const table = parts[0];
    const columns = parts[1].split(",").map((it) => it.trim());
    return CommonTableExpressionNameNode.create(table, columns);
  } else {
    return CommonTableExpressionNameNode.create(name);
  }
}
var init_with_parser = __esm(() => {
  init_common_table_expression_name_node();
  init_parse_utils();
  init_object_utils();
  init_cte_builder();
  init_common_table_expression_node();
});

// ../../node_modules/kysely/dist/esm/operation-node/with-node.js
var WithNode;
var init_with_node = __esm(() => {
  init_object_utils();
  WithNode = freeze({
    is(node) {
      return node.kind === "WithNode";
    },
    create(expression, params) {
      return freeze({
        kind: "WithNode",
        expressions: freeze([expression]),
        ...params
      });
    },
    cloneWithExpression(withNode, expression) {
      return freeze({
        ...withNode,
        expressions: freeze([...withNode.expressions, expression])
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/util/random-string.js
function randomString(length) {
  let chars = "";
  for (let i = 0;i < length; ++i) {
    chars += randomChar();
  }
  return chars;
}
function randomChar() {
  return CHARS[~~(Math.random() * CHARS.length)];
}
var CHARS;
var init_random_string = __esm(() => {
  CHARS = [
    "A",
    "B",
    "C",
    "D",
    "E",
    "F",
    "G",
    "H",
    "I",
    "J",
    "K",
    "L",
    "M",
    "N",
    "O",
    "P",
    "Q",
    "R",
    "S",
    "T",
    "U",
    "V",
    "W",
    "X",
    "Y",
    "Z",
    "a",
    "b",
    "c",
    "d",
    "e",
    "f",
    "g",
    "h",
    "i",
    "j",
    "k",
    "l",
    "m",
    "n",
    "o",
    "p",
    "q",
    "r",
    "s",
    "t",
    "u",
    "v",
    "w",
    "x",
    "y",
    "z",
    "0",
    "1",
    "2",
    "3",
    "4",
    "5",
    "6",
    "7",
    "8",
    "9"
  ];
});

// ../../node_modules/kysely/dist/esm/util/query-id.js
function createQueryId() {
  return new LazyQueryId;
}

class LazyQueryId {
  #queryId;
  get queryId() {
    if (this.#queryId === undefined) {
      this.#queryId = randomString(8);
    }
    return this.#queryId;
  }
}
var init_query_id = __esm(() => {
  init_random_string();
});

// ../../node_modules/kysely/dist/esm/util/require-all-props.js
function requireAllProps(obj) {
  return obj;
}

// ../../node_modules/kysely/dist/esm/operation-node/operation-node-transformer.js
class OperationNodeTransformer {
  nodeStack = [];
  #transformers = freeze({
    AliasNode: this.transformAlias.bind(this),
    ColumnNode: this.transformColumn.bind(this),
    IdentifierNode: this.transformIdentifier.bind(this),
    SchemableIdentifierNode: this.transformSchemableIdentifier.bind(this),
    RawNode: this.transformRaw.bind(this),
    ReferenceNode: this.transformReference.bind(this),
    SelectQueryNode: this.transformSelectQuery.bind(this),
    SelectionNode: this.transformSelection.bind(this),
    TableNode: this.transformTable.bind(this),
    FromNode: this.transformFrom.bind(this),
    SelectAllNode: this.transformSelectAll.bind(this),
    AndNode: this.transformAnd.bind(this),
    OrNode: this.transformOr.bind(this),
    ValueNode: this.transformValue.bind(this),
    ValueListNode: this.transformValueList.bind(this),
    PrimitiveValueListNode: this.transformPrimitiveValueList.bind(this),
    ParensNode: this.transformParens.bind(this),
    JoinNode: this.transformJoin.bind(this),
    OperatorNode: this.transformOperator.bind(this),
    WhereNode: this.transformWhere.bind(this),
    InsertQueryNode: this.transformInsertQuery.bind(this),
    DeleteQueryNode: this.transformDeleteQuery.bind(this),
    ReturningNode: this.transformReturning.bind(this),
    CreateTableNode: this.transformCreateTable.bind(this),
    AddColumnNode: this.transformAddColumn.bind(this),
    ColumnDefinitionNode: this.transformColumnDefinition.bind(this),
    DropTableNode: this.transformDropTable.bind(this),
    DataTypeNode: this.transformDataType.bind(this),
    OrderByNode: this.transformOrderBy.bind(this),
    OrderByItemNode: this.transformOrderByItem.bind(this),
    GroupByNode: this.transformGroupBy.bind(this),
    GroupByItemNode: this.transformGroupByItem.bind(this),
    UpdateQueryNode: this.transformUpdateQuery.bind(this),
    ColumnUpdateNode: this.transformColumnUpdate.bind(this),
    LimitNode: this.transformLimit.bind(this),
    OffsetNode: this.transformOffset.bind(this),
    OnConflictNode: this.transformOnConflict.bind(this),
    OnDuplicateKeyNode: this.transformOnDuplicateKey.bind(this),
    CreateIndexNode: this.transformCreateIndex.bind(this),
    DropIndexNode: this.transformDropIndex.bind(this),
    ListNode: this.transformList.bind(this),
    PrimaryKeyConstraintNode: this.transformPrimaryKeyConstraint.bind(this),
    UniqueConstraintNode: this.transformUniqueConstraint.bind(this),
    ReferencesNode: this.transformReferences.bind(this),
    CheckConstraintNode: this.transformCheckConstraint.bind(this),
    WithNode: this.transformWith.bind(this),
    CommonTableExpressionNode: this.transformCommonTableExpression.bind(this),
    CommonTableExpressionNameNode: this.transformCommonTableExpressionName.bind(this),
    HavingNode: this.transformHaving.bind(this),
    CreateSchemaNode: this.transformCreateSchema.bind(this),
    DropSchemaNode: this.transformDropSchema.bind(this),
    AlterTableNode: this.transformAlterTable.bind(this),
    DropColumnNode: this.transformDropColumn.bind(this),
    RenameColumnNode: this.transformRenameColumn.bind(this),
    AlterColumnNode: this.transformAlterColumn.bind(this),
    ModifyColumnNode: this.transformModifyColumn.bind(this),
    AddConstraintNode: this.transformAddConstraint.bind(this),
    DropConstraintNode: this.transformDropConstraint.bind(this),
    ForeignKeyConstraintNode: this.transformForeignKeyConstraint.bind(this),
    CreateViewNode: this.transformCreateView.bind(this),
    DropViewNode: this.transformDropView.bind(this),
    GeneratedNode: this.transformGenerated.bind(this),
    DefaultValueNode: this.transformDefaultValue.bind(this),
    OnNode: this.transformOn.bind(this),
    ValuesNode: this.transformValues.bind(this),
    SelectModifierNode: this.transformSelectModifier.bind(this),
    CreateTypeNode: this.transformCreateType.bind(this),
    DropTypeNode: this.transformDropType.bind(this),
    ExplainNode: this.transformExplain.bind(this),
    DefaultInsertValueNode: this.transformDefaultInsertValue.bind(this),
    AggregateFunctionNode: this.transformAggregateFunction.bind(this),
    OverNode: this.transformOver.bind(this),
    PartitionByNode: this.transformPartitionBy.bind(this),
    PartitionByItemNode: this.transformPartitionByItem.bind(this),
    SetOperationNode: this.transformSetOperation.bind(this),
    BinaryOperationNode: this.transformBinaryOperation.bind(this),
    UnaryOperationNode: this.transformUnaryOperation.bind(this),
    UsingNode: this.transformUsing.bind(this),
    FunctionNode: this.transformFunction.bind(this),
    CaseNode: this.transformCase.bind(this),
    WhenNode: this.transformWhen.bind(this),
    JSONReferenceNode: this.transformJSONReference.bind(this),
    JSONPathNode: this.transformJSONPath.bind(this),
    JSONPathLegNode: this.transformJSONPathLeg.bind(this),
    JSONOperatorChainNode: this.transformJSONOperatorChain.bind(this),
    TupleNode: this.transformTuple.bind(this),
    MergeQueryNode: this.transformMergeQuery.bind(this),
    MatchedNode: this.transformMatched.bind(this),
    AddIndexNode: this.transformAddIndex.bind(this),
    CastNode: this.transformCast.bind(this),
    FetchNode: this.transformFetch.bind(this),
    TopNode: this.transformTop.bind(this),
    OutputNode: this.transformOutput.bind(this)
  });
  transformNode(node) {
    if (!node) {
      return node;
    }
    this.nodeStack.push(node);
    const out = this.transformNodeImpl(node);
    this.nodeStack.pop();
    return freeze(out);
  }
  transformNodeImpl(node) {
    return this.#transformers[node.kind](node);
  }
  transformNodeList(list) {
    if (!list) {
      return list;
    }
    return freeze(list.map((node) => this.transformNode(node)));
  }
  transformSelectQuery(node) {
    return requireAllProps({
      kind: "SelectQueryNode",
      from: this.transformNode(node.from),
      selections: this.transformNodeList(node.selections),
      distinctOn: this.transformNodeList(node.distinctOn),
      joins: this.transformNodeList(node.joins),
      groupBy: this.transformNode(node.groupBy),
      orderBy: this.transformNode(node.orderBy),
      where: this.transformNode(node.where),
      frontModifiers: this.transformNodeList(node.frontModifiers),
      endModifiers: this.transformNodeList(node.endModifiers),
      limit: this.transformNode(node.limit),
      offset: this.transformNode(node.offset),
      with: this.transformNode(node.with),
      having: this.transformNode(node.having),
      explain: this.transformNode(node.explain),
      setOperations: this.transformNodeList(node.setOperations),
      fetch: this.transformNode(node.fetch),
      top: this.transformNode(node.top)
    });
  }
  transformSelection(node) {
    return requireAllProps({
      kind: "SelectionNode",
      selection: this.transformNode(node.selection)
    });
  }
  transformColumn(node) {
    return requireAllProps({
      kind: "ColumnNode",
      column: this.transformNode(node.column)
    });
  }
  transformAlias(node) {
    return requireAllProps({
      kind: "AliasNode",
      node: this.transformNode(node.node),
      alias: this.transformNode(node.alias)
    });
  }
  transformTable(node) {
    return requireAllProps({
      kind: "TableNode",
      table: this.transformNode(node.table)
    });
  }
  transformFrom(node) {
    return requireAllProps({
      kind: "FromNode",
      froms: this.transformNodeList(node.froms)
    });
  }
  transformReference(node) {
    return requireAllProps({
      kind: "ReferenceNode",
      column: this.transformNode(node.column),
      table: this.transformNode(node.table)
    });
  }
  transformAnd(node) {
    return requireAllProps({
      kind: "AndNode",
      left: this.transformNode(node.left),
      right: this.transformNode(node.right)
    });
  }
  transformOr(node) {
    return requireAllProps({
      kind: "OrNode",
      left: this.transformNode(node.left),
      right: this.transformNode(node.right)
    });
  }
  transformValueList(node) {
    return requireAllProps({
      kind: "ValueListNode",
      values: this.transformNodeList(node.values)
    });
  }
  transformParens(node) {
    return requireAllProps({
      kind: "ParensNode",
      node: this.transformNode(node.node)
    });
  }
  transformJoin(node) {
    return requireAllProps({
      kind: "JoinNode",
      joinType: node.joinType,
      table: this.transformNode(node.table),
      on: this.transformNode(node.on)
    });
  }
  transformRaw(node) {
    return requireAllProps({
      kind: "RawNode",
      sqlFragments: freeze([...node.sqlFragments]),
      parameters: this.transformNodeList(node.parameters)
    });
  }
  transformWhere(node) {
    return requireAllProps({
      kind: "WhereNode",
      where: this.transformNode(node.where)
    });
  }
  transformInsertQuery(node) {
    return requireAllProps({
      kind: "InsertQueryNode",
      into: this.transformNode(node.into),
      columns: this.transformNodeList(node.columns),
      values: this.transformNode(node.values),
      returning: this.transformNode(node.returning),
      onConflict: this.transformNode(node.onConflict),
      onDuplicateKey: this.transformNode(node.onDuplicateKey),
      endModifiers: this.transformNodeList(node.endModifiers),
      with: this.transformNode(node.with),
      ignore: node.ignore,
      replace: node.replace,
      explain: this.transformNode(node.explain),
      defaultValues: node.defaultValues,
      top: this.transformNode(node.top),
      output: this.transformNode(node.output)
    });
  }
  transformValues(node) {
    return requireAllProps({
      kind: "ValuesNode",
      values: this.transformNodeList(node.values)
    });
  }
  transformDeleteQuery(node) {
    return requireAllProps({
      kind: "DeleteQueryNode",
      from: this.transformNode(node.from),
      using: this.transformNode(node.using),
      joins: this.transformNodeList(node.joins),
      where: this.transformNode(node.where),
      returning: this.transformNode(node.returning),
      endModifiers: this.transformNodeList(node.endModifiers),
      with: this.transformNode(node.with),
      orderBy: this.transformNode(node.orderBy),
      limit: this.transformNode(node.limit),
      explain: this.transformNode(node.explain),
      top: this.transformNode(node.top),
      output: this.transformNode(node.output)
    });
  }
  transformReturning(node) {
    return requireAllProps({
      kind: "ReturningNode",
      selections: this.transformNodeList(node.selections)
    });
  }
  transformCreateTable(node) {
    return requireAllProps({
      kind: "CreateTableNode",
      table: this.transformNode(node.table),
      columns: this.transformNodeList(node.columns),
      constraints: this.transformNodeList(node.constraints),
      temporary: node.temporary,
      ifNotExists: node.ifNotExists,
      onCommit: node.onCommit,
      frontModifiers: this.transformNodeList(node.frontModifiers),
      endModifiers: this.transformNodeList(node.endModifiers),
      selectQuery: this.transformNode(node.selectQuery)
    });
  }
  transformColumnDefinition(node) {
    return requireAllProps({
      kind: "ColumnDefinitionNode",
      column: this.transformNode(node.column),
      dataType: this.transformNode(node.dataType),
      references: this.transformNode(node.references),
      primaryKey: node.primaryKey,
      autoIncrement: node.autoIncrement,
      unique: node.unique,
      notNull: node.notNull,
      unsigned: node.unsigned,
      defaultTo: this.transformNode(node.defaultTo),
      check: this.transformNode(node.check),
      generated: this.transformNode(node.generated),
      frontModifiers: this.transformNodeList(node.frontModifiers),
      endModifiers: this.transformNodeList(node.endModifiers),
      nullsNotDistinct: node.nullsNotDistinct,
      identity: node.identity,
      ifNotExists: node.ifNotExists
    });
  }
  transformAddColumn(node) {
    return requireAllProps({
      kind: "AddColumnNode",
      column: this.transformNode(node.column)
    });
  }
  transformDropTable(node) {
    return requireAllProps({
      kind: "DropTableNode",
      table: this.transformNode(node.table),
      ifExists: node.ifExists,
      cascade: node.cascade
    });
  }
  transformOrderBy(node) {
    return requireAllProps({
      kind: "OrderByNode",
      items: this.transformNodeList(node.items)
    });
  }
  transformOrderByItem(node) {
    return requireAllProps({
      kind: "OrderByItemNode",
      orderBy: this.transformNode(node.orderBy),
      direction: this.transformNode(node.direction)
    });
  }
  transformGroupBy(node) {
    return requireAllProps({
      kind: "GroupByNode",
      items: this.transformNodeList(node.items)
    });
  }
  transformGroupByItem(node) {
    return requireAllProps({
      kind: "GroupByItemNode",
      groupBy: this.transformNode(node.groupBy)
    });
  }
  transformUpdateQuery(node) {
    return requireAllProps({
      kind: "UpdateQueryNode",
      table: this.transformNode(node.table),
      from: this.transformNode(node.from),
      joins: this.transformNodeList(node.joins),
      where: this.transformNode(node.where),
      updates: this.transformNodeList(node.updates),
      returning: this.transformNode(node.returning),
      endModifiers: this.transformNodeList(node.endModifiers),
      with: this.transformNode(node.with),
      explain: this.transformNode(node.explain),
      limit: this.transformNode(node.limit),
      top: this.transformNode(node.top),
      output: this.transformNode(node.output)
    });
  }
  transformColumnUpdate(node) {
    return requireAllProps({
      kind: "ColumnUpdateNode",
      column: this.transformNode(node.column),
      value: this.transformNode(node.value)
    });
  }
  transformLimit(node) {
    return requireAllProps({
      kind: "LimitNode",
      limit: this.transformNode(node.limit)
    });
  }
  transformOffset(node) {
    return requireAllProps({
      kind: "OffsetNode",
      offset: this.transformNode(node.offset)
    });
  }
  transformOnConflict(node) {
    return requireAllProps({
      kind: "OnConflictNode",
      columns: this.transformNodeList(node.columns),
      constraint: this.transformNode(node.constraint),
      indexExpression: this.transformNode(node.indexExpression),
      indexWhere: this.transformNode(node.indexWhere),
      updates: this.transformNodeList(node.updates),
      updateWhere: this.transformNode(node.updateWhere),
      doNothing: node.doNothing
    });
  }
  transformOnDuplicateKey(node) {
    return requireAllProps({
      kind: "OnDuplicateKeyNode",
      updates: this.transformNodeList(node.updates)
    });
  }
  transformCreateIndex(node) {
    return requireAllProps({
      kind: "CreateIndexNode",
      name: this.transformNode(node.name),
      table: this.transformNode(node.table),
      columns: this.transformNodeList(node.columns),
      unique: node.unique,
      using: this.transformNode(node.using),
      ifNotExists: node.ifNotExists,
      where: this.transformNode(node.where),
      nullsNotDistinct: node.nullsNotDistinct
    });
  }
  transformList(node) {
    return requireAllProps({
      kind: "ListNode",
      items: this.transformNodeList(node.items)
    });
  }
  transformDropIndex(node) {
    return requireAllProps({
      kind: "DropIndexNode",
      name: this.transformNode(node.name),
      table: this.transformNode(node.table),
      ifExists: node.ifExists,
      cascade: node.cascade
    });
  }
  transformPrimaryKeyConstraint(node) {
    return requireAllProps({
      kind: "PrimaryKeyConstraintNode",
      columns: this.transformNodeList(node.columns),
      name: this.transformNode(node.name)
    });
  }
  transformUniqueConstraint(node) {
    return requireAllProps({
      kind: "UniqueConstraintNode",
      columns: this.transformNodeList(node.columns),
      name: this.transformNode(node.name),
      nullsNotDistinct: node.nullsNotDistinct
    });
  }
  transformForeignKeyConstraint(node) {
    return requireAllProps({
      kind: "ForeignKeyConstraintNode",
      columns: this.transformNodeList(node.columns),
      references: this.transformNode(node.references),
      name: this.transformNode(node.name),
      onDelete: node.onDelete,
      onUpdate: node.onUpdate
    });
  }
  transformSetOperation(node) {
    return requireAllProps({
      kind: "SetOperationNode",
      operator: node.operator,
      expression: this.transformNode(node.expression),
      all: node.all
    });
  }
  transformReferences(node) {
    return requireAllProps({
      kind: "ReferencesNode",
      table: this.transformNode(node.table),
      columns: this.transformNodeList(node.columns),
      onDelete: node.onDelete,
      onUpdate: node.onUpdate
    });
  }
  transformCheckConstraint(node) {
    return requireAllProps({
      kind: "CheckConstraintNode",
      expression: this.transformNode(node.expression),
      name: this.transformNode(node.name)
    });
  }
  transformWith(node) {
    return requireAllProps({
      kind: "WithNode",
      expressions: this.transformNodeList(node.expressions),
      recursive: node.recursive
    });
  }
  transformCommonTableExpression(node) {
    return requireAllProps({
      kind: "CommonTableExpressionNode",
      name: this.transformNode(node.name),
      materialized: node.materialized,
      expression: this.transformNode(node.expression)
    });
  }
  transformCommonTableExpressionName(node) {
    return requireAllProps({
      kind: "CommonTableExpressionNameNode",
      table: this.transformNode(node.table),
      columns: this.transformNodeList(node.columns)
    });
  }
  transformHaving(node) {
    return requireAllProps({
      kind: "HavingNode",
      having: this.transformNode(node.having)
    });
  }
  transformCreateSchema(node) {
    return requireAllProps({
      kind: "CreateSchemaNode",
      schema: this.transformNode(node.schema),
      ifNotExists: node.ifNotExists
    });
  }
  transformDropSchema(node) {
    return requireAllProps({
      kind: "DropSchemaNode",
      schema: this.transformNode(node.schema),
      ifExists: node.ifExists,
      cascade: node.cascade
    });
  }
  transformAlterTable(node) {
    return requireAllProps({
      kind: "AlterTableNode",
      table: this.transformNode(node.table),
      renameTo: this.transformNode(node.renameTo),
      setSchema: this.transformNode(node.setSchema),
      columnAlterations: this.transformNodeList(node.columnAlterations),
      addConstraint: this.transformNode(node.addConstraint),
      dropConstraint: this.transformNode(node.dropConstraint),
      addIndex: this.transformNode(node.addIndex),
      dropIndex: this.transformNode(node.dropIndex)
    });
  }
  transformDropColumn(node) {
    return requireAllProps({
      kind: "DropColumnNode",
      column: this.transformNode(node.column)
    });
  }
  transformRenameColumn(node) {
    return requireAllProps({
      kind: "RenameColumnNode",
      column: this.transformNode(node.column),
      renameTo: this.transformNode(node.renameTo)
    });
  }
  transformAlterColumn(node) {
    return requireAllProps({
      kind: "AlterColumnNode",
      column: this.transformNode(node.column),
      dataType: this.transformNode(node.dataType),
      dataTypeExpression: this.transformNode(node.dataTypeExpression),
      setDefault: this.transformNode(node.setDefault),
      dropDefault: node.dropDefault,
      setNotNull: node.setNotNull,
      dropNotNull: node.dropNotNull
    });
  }
  transformModifyColumn(node) {
    return requireAllProps({
      kind: "ModifyColumnNode",
      column: this.transformNode(node.column)
    });
  }
  transformAddConstraint(node) {
    return requireAllProps({
      kind: "AddConstraintNode",
      constraint: this.transformNode(node.constraint)
    });
  }
  transformDropConstraint(node) {
    return requireAllProps({
      kind: "DropConstraintNode",
      constraintName: this.transformNode(node.constraintName),
      ifExists: node.ifExists,
      modifier: node.modifier
    });
  }
  transformCreateView(node) {
    return requireAllProps({
      kind: "CreateViewNode",
      name: this.transformNode(node.name),
      temporary: node.temporary,
      orReplace: node.orReplace,
      ifNotExists: node.ifNotExists,
      materialized: node.materialized,
      columns: this.transformNodeList(node.columns),
      as: this.transformNode(node.as)
    });
  }
  transformDropView(node) {
    return requireAllProps({
      kind: "DropViewNode",
      name: this.transformNode(node.name),
      ifExists: node.ifExists,
      materialized: node.materialized,
      cascade: node.cascade
    });
  }
  transformGenerated(node) {
    return requireAllProps({
      kind: "GeneratedNode",
      byDefault: node.byDefault,
      always: node.always,
      identity: node.identity,
      stored: node.stored,
      expression: this.transformNode(node.expression)
    });
  }
  transformDefaultValue(node) {
    return requireAllProps({
      kind: "DefaultValueNode",
      defaultValue: this.transformNode(node.defaultValue)
    });
  }
  transformOn(node) {
    return requireAllProps({
      kind: "OnNode",
      on: this.transformNode(node.on)
    });
  }
  transformSelectModifier(node) {
    return requireAllProps({
      kind: "SelectModifierNode",
      modifier: node.modifier,
      rawModifier: this.transformNode(node.rawModifier),
      of: this.transformNodeList(node.of)
    });
  }
  transformCreateType(node) {
    return requireAllProps({
      kind: "CreateTypeNode",
      name: this.transformNode(node.name),
      enum: this.transformNode(node.enum)
    });
  }
  transformDropType(node) {
    return requireAllProps({
      kind: "DropTypeNode",
      name: this.transformNode(node.name),
      ifExists: node.ifExists
    });
  }
  transformExplain(node) {
    return requireAllProps({
      kind: "ExplainNode",
      format: node.format,
      options: this.transformNode(node.options)
    });
  }
  transformSchemableIdentifier(node) {
    return requireAllProps({
      kind: "SchemableIdentifierNode",
      schema: this.transformNode(node.schema),
      identifier: this.transformNode(node.identifier)
    });
  }
  transformAggregateFunction(node) {
    return requireAllProps({
      kind: "AggregateFunctionNode",
      aggregated: this.transformNodeList(node.aggregated),
      distinct: node.distinct,
      orderBy: this.transformNode(node.orderBy),
      filter: this.transformNode(node.filter),
      func: node.func,
      over: this.transformNode(node.over)
    });
  }
  transformOver(node) {
    return requireAllProps({
      kind: "OverNode",
      orderBy: this.transformNode(node.orderBy),
      partitionBy: this.transformNode(node.partitionBy)
    });
  }
  transformPartitionBy(node) {
    return requireAllProps({
      kind: "PartitionByNode",
      items: this.transformNodeList(node.items)
    });
  }
  transformPartitionByItem(node) {
    return requireAllProps({
      kind: "PartitionByItemNode",
      partitionBy: this.transformNode(node.partitionBy)
    });
  }
  transformBinaryOperation(node) {
    return requireAllProps({
      kind: "BinaryOperationNode",
      leftOperand: this.transformNode(node.leftOperand),
      operator: this.transformNode(node.operator),
      rightOperand: this.transformNode(node.rightOperand)
    });
  }
  transformUnaryOperation(node) {
    return requireAllProps({
      kind: "UnaryOperationNode",
      operator: this.transformNode(node.operator),
      operand: this.transformNode(node.operand)
    });
  }
  transformUsing(node) {
    return requireAllProps({
      kind: "UsingNode",
      tables: this.transformNodeList(node.tables)
    });
  }
  transformFunction(node) {
    return requireAllProps({
      kind: "FunctionNode",
      func: node.func,
      arguments: this.transformNodeList(node.arguments)
    });
  }
  transformCase(node) {
    return requireAllProps({
      kind: "CaseNode",
      value: this.transformNode(node.value),
      when: this.transformNodeList(node.when),
      else: this.transformNode(node.else),
      isStatement: node.isStatement
    });
  }
  transformWhen(node) {
    return requireAllProps({
      kind: "WhenNode",
      condition: this.transformNode(node.condition),
      result: this.transformNode(node.result)
    });
  }
  transformJSONReference(node) {
    return requireAllProps({
      kind: "JSONReferenceNode",
      reference: this.transformNode(node.reference),
      traversal: this.transformNode(node.traversal)
    });
  }
  transformJSONPath(node) {
    return requireAllProps({
      kind: "JSONPathNode",
      inOperator: this.transformNode(node.inOperator),
      pathLegs: this.transformNodeList(node.pathLegs)
    });
  }
  transformJSONPathLeg(node) {
    return requireAllProps({
      kind: "JSONPathLegNode",
      type: node.type,
      value: node.value
    });
  }
  transformJSONOperatorChain(node) {
    return requireAllProps({
      kind: "JSONOperatorChainNode",
      operator: this.transformNode(node.operator),
      values: this.transformNodeList(node.values)
    });
  }
  transformTuple(node) {
    return requireAllProps({
      kind: "TupleNode",
      values: this.transformNodeList(node.values)
    });
  }
  transformMergeQuery(node) {
    return requireAllProps({
      kind: "MergeQueryNode",
      into: this.transformNode(node.into),
      using: this.transformNode(node.using),
      whens: this.transformNodeList(node.whens),
      with: this.transformNode(node.with),
      top: this.transformNode(node.top),
      endModifiers: this.transformNodeList(node.endModifiers),
      output: this.transformNode(node.output)
    });
  }
  transformMatched(node) {
    return requireAllProps({
      kind: "MatchedNode",
      not: node.not,
      bySource: node.bySource
    });
  }
  transformAddIndex(node) {
    return requireAllProps({
      kind: "AddIndexNode",
      name: this.transformNode(node.name),
      columns: this.transformNodeList(node.columns),
      unique: node.unique,
      using: this.transformNode(node.using),
      ifNotExists: node.ifNotExists
    });
  }
  transformCast(node) {
    return requireAllProps({
      kind: "CastNode",
      expression: this.transformNode(node.expression),
      dataType: this.transformNode(node.dataType)
    });
  }
  transformFetch(node) {
    return requireAllProps({
      kind: "FetchNode",
      rowCount: this.transformNode(node.rowCount),
      modifier: node.modifier
    });
  }
  transformTop(node) {
    return requireAllProps({
      kind: "TopNode",
      expression: node.expression,
      modifiers: node.modifiers
    });
  }
  transformOutput(node) {
    return requireAllProps({
      kind: "OutputNode",
      selections: this.transformNodeList(node.selections)
    });
  }
  transformDataType(node) {
    return node;
  }
  transformSelectAll(node) {
    return node;
  }
  transformIdentifier(node) {
    return node;
  }
  transformValue(node) {
    return node;
  }
  transformPrimitiveValueList(node) {
    return node;
  }
  transformOperator(node) {
    return node;
  }
  transformDefaultInsertValue(node) {
    return node;
  }
}
var init_operation_node_transformer = __esm(() => {
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/plugin/with-schema/with-schema-transformer.js
var ROOT_OPERATION_NODES, SCHEMALESS_FUNCTIONS, WithSchemaTransformer;
var init_with_schema_transformer = __esm(() => {
  init_alias_node();
  init_identifier_node();
  init_operation_node_transformer();
  init_schemable_identifier_node();
  init_table_node();
  init_object_utils();
  ROOT_OPERATION_NODES = freeze({
    AlterTableNode: true,
    CreateIndexNode: true,
    CreateSchemaNode: true,
    CreateTableNode: true,
    CreateTypeNode: true,
    CreateViewNode: true,
    DeleteQueryNode: true,
    DropIndexNode: true,
    DropSchemaNode: true,
    DropTableNode: true,
    DropTypeNode: true,
    DropViewNode: true,
    InsertQueryNode: true,
    RawNode: true,
    SelectQueryNode: true,
    UpdateQueryNode: true,
    MergeQueryNode: true
  });
  SCHEMALESS_FUNCTIONS = {
    json_agg: true,
    to_json: true
  };
  WithSchemaTransformer = class WithSchemaTransformer extends OperationNodeTransformer {
    #schema;
    #schemableIds = new Set;
    #ctes = new Set;
    constructor(schema3) {
      super();
      this.#schema = schema3;
    }
    transformNodeImpl(node) {
      if (!this.#isRootOperationNode(node)) {
        return super.transformNodeImpl(node);
      }
      const ctes = this.#collectCTEs(node);
      for (const cte of ctes) {
        this.#ctes.add(cte);
      }
      const tables = this.#collectSchemableIds(node);
      for (const table of tables) {
        this.#schemableIds.add(table);
      }
      const transformed = super.transformNodeImpl(node);
      for (const table of tables) {
        this.#schemableIds.delete(table);
      }
      for (const cte of ctes) {
        this.#ctes.delete(cte);
      }
      return transformed;
    }
    transformSchemableIdentifier(node) {
      const transformed = super.transformSchemableIdentifier(node);
      if (transformed.schema || !this.#schemableIds.has(node.identifier.name)) {
        return transformed;
      }
      return {
        ...transformed,
        schema: IdentifierNode.create(this.#schema)
      };
    }
    transformReferences(node) {
      const transformed = super.transformReferences(node);
      if (transformed.table.table.schema) {
        return transformed;
      }
      return {
        ...transformed,
        table: TableNode.createWithSchema(this.#schema, transformed.table.table.identifier.name)
      };
    }
    transformAggregateFunction(node) {
      return {
        ...super.transformAggregateFunction({ ...node, aggregated: [] }),
        aggregated: this.#transformTableArgsWithoutSchemas(node, "aggregated")
      };
    }
    transformFunction(node) {
      return {
        ...super.transformFunction({ ...node, arguments: [] }),
        arguments: this.#transformTableArgsWithoutSchemas(node, "arguments")
      };
    }
    #transformTableArgsWithoutSchemas(node, argsKey) {
      return SCHEMALESS_FUNCTIONS[node.func] ? node[argsKey].map((arg) => !TableNode.is(arg) || arg.table.schema ? this.transformNode(arg) : {
        ...arg,
        table: this.transformIdentifier(arg.table.identifier)
      }) : this.transformNodeList(node[argsKey]);
    }
    #isRootOperationNode(node) {
      return node.kind in ROOT_OPERATION_NODES;
    }
    #collectSchemableIds(node) {
      const schemableIds = new Set;
      if ("name" in node && node.name && SchemableIdentifierNode.is(node.name)) {
        this.#collectSchemableId(node.name, schemableIds);
      }
      if ("from" in node && node.from) {
        for (const from of node.from.froms) {
          this.#collectSchemableIdsFromTableExpr(from, schemableIds);
        }
      }
      if ("into" in node && node.into) {
        this.#collectSchemableIdsFromTableExpr(node.into, schemableIds);
      }
      if ("table" in node && node.table) {
        this.#collectSchemableIdsFromTableExpr(node.table, schemableIds);
      }
      if ("joins" in node && node.joins) {
        for (const join of node.joins) {
          this.#collectSchemableIdsFromTableExpr(join.table, schemableIds);
        }
      }
      if ("using" in node && node.using) {
        this.#collectSchemableIdsFromTableExpr(node.using, schemableIds);
      }
      return schemableIds;
    }
    #collectCTEs(node) {
      const ctes = new Set;
      if ("with" in node && node.with) {
        this.#collectCTEIds(node.with, ctes);
      }
      return ctes;
    }
    #collectSchemableIdsFromTableExpr(node, schemableIds) {
      const table = TableNode.is(node) ? node : AliasNode.is(node) && TableNode.is(node.node) ? node.node : null;
      if (table) {
        this.#collectSchemableId(table.table, schemableIds);
      }
    }
    #collectSchemableId(node, schemableIds) {
      const id = node.identifier.name;
      if (!this.#schemableIds.has(id) && !this.#ctes.has(id)) {
        schemableIds.add(id);
      }
    }
    #collectCTEIds(node, ctes) {
      for (const expr of node.expressions) {
        const cteId = expr.name.table.table.identifier.name;
        if (!this.#ctes.has(cteId)) {
          ctes.add(cteId);
        }
      }
    }
  };
});

// ../../node_modules/kysely/dist/esm/plugin/with-schema/with-schema-plugin.js
class WithSchemaPlugin {
  #transformer;
  constructor(schema3) {
    this.#transformer = new WithSchemaTransformer(schema3);
  }
  transformQuery(args) {
    return this.#transformer.transformNode(args.node);
  }
  async transformResult(args) {
    return args.result;
  }
}
var init_with_schema_plugin = __esm(() => {
  init_with_schema_transformer();
});

// ../../node_modules/kysely/dist/esm/operation-node/matched-node.js
var MatchedNode;
var init_matched_node = __esm(() => {
  init_object_utils();
  MatchedNode = freeze({
    is(node) {
      return node.kind === "MatchedNode";
    },
    create(not3, bySource = false) {
      return freeze({
        kind: "MatchedNode",
        not: not3,
        bySource
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/merge-parser.js
function parseMergeWhen(type4, args, refRight) {
  return WhenNode.create(parseFilterList([
    MatchedNode.create(!type4.isMatched, type4.bySource),
    ...args && args.length > 0 ? [
      args.length === 3 && refRight ? parseReferentialBinaryOperation(args[0], args[1], args[2]) : parseValueBinaryOperationOrExpression(args)
    ] : []
  ], "and", false));
}
function parseMergeThen(result) {
  if (isString(result)) {
    return RawNode.create([result], []);
  }
  if (isOperationNodeSource(result)) {
    return result.toOperationNode();
  }
  return result;
}
var init_merge_parser = __esm(() => {
  init_matched_node();
  init_operation_node_source();
  init_raw_node();
  init_when_node();
  init_object_utils();
  init_binary_operation_parser();
});

// ../../node_modules/kysely/dist/esm/util/deferred.js
class Deferred2 {
  #promise;
  #resolve;
  #reject;
  constructor() {
    this.#promise = new Promise((resolve, reject) => {
      this.#reject = reject;
      this.#resolve = resolve;
    });
  }
  get promise() {
    return this.#promise;
  }
  resolve = (value2) => {
    if (this.#resolve) {
      this.#resolve(value2);
    }
  };
  reject = (reason) => {
    if (this.#reject) {
      this.#reject(reason);
    }
  };
}

// ../../node_modules/kysely/dist/esm/util/log-once.js
function logOnce(message) {
  if (LOGGED_MESSAGES.has(message)) {
    return;
  }
  LOGGED_MESSAGES.add(message);
  console.log(message);
}
var LOGGED_MESSAGES;
var init_log_once = __esm(() => {
  LOGGED_MESSAGES = new Set;
});

// ../../node_modules/kysely/dist/esm/query-executor/query-executor-base.js
class QueryExecutorBase {
  #plugins;
  constructor(plugins = NO_PLUGINS) {
    this.#plugins = plugins;
  }
  get plugins() {
    return this.#plugins;
  }
  transformQuery(node, queryId) {
    for (const plugin of this.#plugins) {
      const transformedNode = plugin.transformQuery({ node, queryId });
      if (transformedNode.kind === node.kind) {
        node = transformedNode;
      } else {
        throw new Error([
          `KyselyPlugin.transformQuery must return a node`,
          `of the same kind that was given to it.`,
          `The plugin was given a ${node.kind}`,
          `but it returned a ${transformedNode.kind}`
        ].join(" "));
      }
    }
    return node;
  }
  async executeQuery(compiledQuery, queryId) {
    return await this.provideConnection(async (connection) => {
      const result = await connection.executeQuery(compiledQuery);
      const transformedResult = await this.#transformResult(result, queryId);
      warnOfOutdatedDriverOrPlugins(result, transformedResult);
      return transformedResult;
    });
  }
  async* stream(compiledQuery, chunkSize, queryId) {
    const connectionDefer = new Deferred2;
    const connectionReleaseDefer = new Deferred2;
    this.provideConnection(async (connection2) => {
      connectionDefer.resolve(connection2);
      return await connectionReleaseDefer.promise;
    }).catch((ex) => connectionDefer.reject(ex));
    const connection = await connectionDefer.promise;
    try {
      for await (const result of connection.streamQuery(compiledQuery, chunkSize)) {
        yield await this.#transformResult(result, queryId);
      }
    } finally {
      connectionReleaseDefer.resolve();
    }
  }
  async#transformResult(result, queryId) {
    for (const plugin of this.#plugins) {
      result = await plugin.transformResult({ result, queryId });
    }
    return result;
  }
}
function warnOfOutdatedDriverOrPlugins(result, transformedResult) {
  const { numAffectedRows } = result;
  if (numAffectedRows === undefined && result.numUpdatedOrDeletedRows === undefined || numAffectedRows !== undefined && transformedResult.numAffectedRows !== undefined) {
    return;
  }
  logOnce("kysely:warning: outdated driver/plugin detected! QueryResult.numUpdatedOrDeletedRows is deprecated and will be removed in a future release.");
}
var NO_PLUGINS;
var init_query_executor_base = __esm(() => {
  init_object_utils();
  init_log_once();
  NO_PLUGINS = freeze([]);
});

// ../../node_modules/kysely/dist/esm/query-executor/noop-query-executor.js
var NoopQueryExecutor, NOOP_QUERY_EXECUTOR;
var init_noop_query_executor = __esm(() => {
  init_query_executor_base();
  NoopQueryExecutor = class NoopQueryExecutor extends QueryExecutorBase {
    get adapter() {
      throw new Error("this query cannot be compiled to SQL");
    }
    compileQuery() {
      throw new Error("this query cannot be compiled to SQL");
    }
    provideConnection() {
      throw new Error("this query cannot be executed");
    }
    withConnectionProvider() {
      throw new Error("this query cannot have a connection provider");
    }
    withPlugin(plugin) {
      return new NoopQueryExecutor([...this.plugins, plugin]);
    }
    withPlugins(plugins) {
      return new NoopQueryExecutor([...this.plugins, ...plugins]);
    }
    withPluginAtFront(plugin) {
      return new NoopQueryExecutor([plugin, ...this.plugins]);
    }
    withoutPlugins() {
      return new NoopQueryExecutor([]);
    }
  };
  NOOP_QUERY_EXECUTOR = new NoopQueryExecutor;
});

// ../../node_modules/kysely/dist/esm/query-builder/merge-result.js
class MergeResult {
  numChangedRows;
  constructor(numChangedRows) {
    this.numChangedRows = numChangedRows;
  }
}

// ../../node_modules/kysely/dist/esm/query-builder/merge-query-builder.js
class MergeQueryBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  modifyEnd(modifier) {
    return new MergeQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, modifier.toOperationNode())
    });
  }
  top(expression, modifiers) {
    return new MergeQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithTop(this.#props.queryNode, parseTop(expression, modifiers))
    });
  }
  using(...args) {
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: MergeQueryNode.cloneWithUsing(this.#props.queryNode, parseJoin("Using", args))
    });
  }
  output(args) {
    return new MergeQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectArg(args))
    });
  }
  outputAll(table) {
    return new MergeQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectAll(table))
    });
  }
}

class WheneableMergeQueryBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  modifyEnd(modifier) {
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, modifier.toOperationNode())
    });
  }
  top(expression, modifiers) {
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithTop(this.#props.queryNode, parseTop(expression, modifiers))
    });
  }
  whenMatched() {
    return this.#whenMatched([]);
  }
  whenMatchedAnd(...args) {
    return this.#whenMatched(args);
  }
  whenMatchedAndRef(lhs, op, rhs) {
    return this.#whenMatched([lhs, op, rhs], true);
  }
  #whenMatched(args, refRight) {
    return new MatchedThenableMergeQueryBuilder({
      ...this.#props,
      queryNode: MergeQueryNode.cloneWithWhen(this.#props.queryNode, parseMergeWhen({ isMatched: true }, args, refRight))
    });
  }
  whenNotMatched() {
    return this.#whenNotMatched([]);
  }
  whenNotMatchedAnd(...args) {
    return this.#whenNotMatched(args);
  }
  whenNotMatchedAndRef(lhs, op, rhs) {
    return this.#whenNotMatched([lhs, op, rhs], true);
  }
  whenNotMatchedBySource() {
    return this.#whenNotMatched([], false, true);
  }
  whenNotMatchedBySourceAnd(...args) {
    return this.#whenNotMatched(args, false, true);
  }
  whenNotMatchedBySourceAndRef(lhs, op, rhs) {
    return this.#whenNotMatched([lhs, op, rhs], true, true);
  }
  output(args) {
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectArg(args))
    });
  }
  outputAll(table) {
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: QueryNode.cloneWithOutput(this.#props.queryNode, parseSelectAll(table))
    });
  }
  #whenNotMatched(args, refRight = false, bySource = false) {
    const props = {
      ...this.#props,
      queryNode: MergeQueryNode.cloneWithWhen(this.#props.queryNode, parseMergeWhen({ isMatched: false, bySource }, args, refRight))
    };
    const Builder = bySource ? MatchedThenableMergeQueryBuilder : NotMatchedThenableMergeQueryBuilder;
    return new Builder(props);
  }
  $call(func) {
    return func(this);
  }
  $if(condition, func) {
    if (condition) {
      return func(this);
    }
    return new WheneableMergeQueryBuilder({
      ...this.#props
    });
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.queryNode, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    const compiledQuery = this.compile();
    const result = await this.#props.executor.executeQuery(compiledQuery, this.#props.queryId);
    if (compiledQuery.query.output && this.#props.executor.adapter.supportsOutput) {
      return result.rows;
    }
    return [new MergeResult(result.numAffectedRows)];
  }
  async executeTakeFirst() {
    const [result] = await this.execute();
    return result;
  }
  async executeTakeFirstOrThrow(errorConstructor = NoResultError) {
    const result = await this.executeTakeFirst();
    if (result === undefined) {
      const error3 = isNoResultErrorConstructor(errorConstructor) ? new errorConstructor(this.toOperationNode()) : errorConstructor(this.toOperationNode());
      throw error3;
    }
    return result;
  }
}

class MatchedThenableMergeQueryBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  thenDelete() {
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: MergeQueryNode.cloneWithThen(this.#props.queryNode, parseMergeThen("delete"))
    });
  }
  thenDoNothing() {
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: MergeQueryNode.cloneWithThen(this.#props.queryNode, parseMergeThen("do nothing"))
    });
  }
  thenUpdate(set3) {
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: MergeQueryNode.cloneWithThen(this.#props.queryNode, parseMergeThen(set3(new UpdateQueryBuilder({
        queryId: this.#props.queryId,
        executor: NOOP_QUERY_EXECUTOR,
        queryNode: UpdateQueryNode.createWithoutTable()
      }))))
    });
  }
  thenUpdateSet(...args) {
    return this.thenUpdate((ub) => ub.set(...args));
  }
}

class NotMatchedThenableMergeQueryBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  thenDoNothing() {
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: MergeQueryNode.cloneWithThen(this.#props.queryNode, parseMergeThen("do nothing"))
    });
  }
  thenInsertValues(insert) {
    const [columns, values] = parseInsertExpression(insert);
    return new WheneableMergeQueryBuilder({
      ...this.#props,
      queryNode: MergeQueryNode.cloneWithThen(this.#props.queryNode, parseMergeThen(InsertQueryNode.cloneWith(InsertQueryNode.createWithoutInto(), {
        columns,
        values
      })))
    });
  }
}
var init_merge_query_builder = __esm(() => {
  init_insert_query_node();
  init_merge_query_node();
  init_query_node();
  init_update_query_node();
  init_insert_values_parser();
  init_join_parser();
  init_merge_parser();
  init_select_parser();
  init_top_parser();
  init_noop_query_executor();
  init_object_utils();
  init_no_result_error();
  init_update_query_builder();
  preventAwait(MergeQueryBuilder, "don't await MergeQueryBuilder instances directly. To execute the query you need to call `execute` when available.");
  preventAwait(WheneableMergeQueryBuilder, "don't await WheneableMergeQueryBuilder instances directly. To execute the query you need to call `execute`.");
  preventAwait(MatchedThenableMergeQueryBuilder, "don't await MatchedThenableMergeQueryBuilder instances directly. To execute the query you need to call `execute` when available.");
  preventAwait(NotMatchedThenableMergeQueryBuilder, "don't await NotMatchedThenableMergeQueryBuilder instances directly. To execute the query you need to call `execute` when available.");
});

// ../../node_modules/kysely/dist/esm/query-creator.js
class QueryCreator {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  selectFrom(from) {
    return createSelectQueryBuilder({
      queryId: createQueryId(),
      executor: this.#props.executor,
      queryNode: SelectQueryNode.createFrom(parseTableExpressionOrList(from), this.#props.withNode)
    });
  }
  selectNoFrom(selection) {
    return createSelectQueryBuilder({
      queryId: createQueryId(),
      executor: this.#props.executor,
      queryNode: SelectQueryNode.cloneWithSelections(SelectQueryNode.create(this.#props.withNode), parseSelectArg(selection))
    });
  }
  insertInto(table) {
    return new InsertQueryBuilder({
      queryId: createQueryId(),
      executor: this.#props.executor,
      queryNode: InsertQueryNode.create(parseTable(table), this.#props.withNode)
    });
  }
  replaceInto(table) {
    return new InsertQueryBuilder({
      queryId: createQueryId(),
      executor: this.#props.executor,
      queryNode: InsertQueryNode.create(parseTable(table), this.#props.withNode, true)
    });
  }
  deleteFrom(tables) {
    return new DeleteQueryBuilder({
      queryId: createQueryId(),
      executor: this.#props.executor,
      queryNode: DeleteQueryNode.create(parseTableExpressionOrList(tables), this.#props.withNode)
    });
  }
  updateTable(table) {
    return new UpdateQueryBuilder({
      queryId: createQueryId(),
      executor: this.#props.executor,
      queryNode: UpdateQueryNode.create(parseTableExpression(table), this.#props.withNode)
    });
  }
  mergeInto(targetTable) {
    return new MergeQueryBuilder({
      queryId: createQueryId(),
      executor: this.#props.executor,
      queryNode: MergeQueryNode.create(parseAliasedTable(targetTable), this.#props.withNode)
    });
  }
  with(nameOrBuilder, expression) {
    const cte = parseCommonTableExpression(nameOrBuilder, expression);
    return new QueryCreator({
      ...this.#props,
      withNode: this.#props.withNode ? WithNode.cloneWithExpression(this.#props.withNode, cte) : WithNode.create(cte)
    });
  }
  withRecursive(nameOrBuilder, expression) {
    const cte = parseCommonTableExpression(nameOrBuilder, expression);
    return new QueryCreator({
      ...this.#props,
      withNode: this.#props.withNode ? WithNode.cloneWithExpression(this.#props.withNode, cte) : WithNode.create(cte, { recursive: true })
    });
  }
  withPlugin(plugin) {
    return new QueryCreator({
      ...this.#props,
      executor: this.#props.executor.withPlugin(plugin)
    });
  }
  withoutPlugins() {
    return new QueryCreator({
      ...this.#props,
      executor: this.#props.executor.withoutPlugins()
    });
  }
  withSchema(schema3) {
    return new QueryCreator({
      ...this.#props,
      executor: this.#props.executor.withPluginAtFront(new WithSchemaPlugin(schema3))
    });
  }
}
var init_query_creator = __esm(() => {
  init_select_query_builder();
  init_insert_query_builder();
  init_delete_query_builder();
  init_update_query_builder();
  init_delete_query_node();
  init_insert_query_node();
  init_select_query_node();
  init_update_query_node();
  init_table_parser();
  init_with_parser();
  init_with_node();
  init_query_id();
  init_with_schema_plugin();
  init_object_utils();
  init_select_parser();
  init_merge_query_builder();
  init_merge_query_node();
});

// ../../node_modules/kysely/dist/esm/parser/parse-utils.js
function createQueryCreator() {
  return new QueryCreator({
    executor: NOOP_QUERY_EXECUTOR
  });
}
function createJoinBuilder(joinType, table) {
  return new JoinBuilder({
    joinNode: JoinNode.create(joinType, parseTableExpression(table))
  });
}
function createOverBuilder() {
  return new OverBuilder({
    overNode: OverNode.create()
  });
}
var init_parse_utils = __esm(() => {
  init_join_node();
  init_over_node();
  init_select_query_node();
  init_join_builder();
  init_over_builder();
  init_select_query_builder();
  init_query_creator();
  init_noop_query_executor();
  init_query_id();
  init_table_parser();
});

// ../../node_modules/kysely/dist/esm/parser/join-parser.js
function parseJoin(joinType, args) {
  if (args.length === 3) {
    return parseSingleOnJoin(joinType, args[0], args[1], args[2]);
  } else if (args.length === 2) {
    return parseCallbackJoin(joinType, args[0], args[1]);
  } else {
    throw new Error("not implemented");
  }
}
function parseCallbackJoin(joinType, from, callback) {
  return callback(createJoinBuilder(joinType, from)).toOperationNode();
}
function parseSingleOnJoin(joinType, from, lhsColumn, rhsColumn) {
  return JoinNode.createWithOn(joinType, parseTableExpression(from), parseReferentialBinaryOperation(lhsColumn, "=", rhsColumn));
}
var init_join_parser = __esm(() => {
  init_join_node();
  init_table_parser();
  init_binary_operation_parser();
  init_parse_utils();
});

// ../../node_modules/kysely/dist/esm/operation-node/offset-node.js
var OffsetNode;
var init_offset_node = __esm(() => {
  init_object_utils();
  OffsetNode = freeze({
    is(node) {
      return node.kind === "OffsetNode";
    },
    create(offset) {
      return freeze({
        kind: "OffsetNode",
        offset
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/group-by-item-node.js
var GroupByItemNode;
var init_group_by_item_node = __esm(() => {
  init_object_utils();
  GroupByItemNode = freeze({
    is(node) {
      return node.kind === "GroupByItemNode";
    },
    create(groupBy) {
      return freeze({
        kind: "GroupByItemNode",
        groupBy
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/group-by-parser.js
function parseGroupBy(groupBy) {
  groupBy = isFunction(groupBy) ? groupBy(expressionBuilder()) : groupBy;
  return parseReferenceExpressionOrList(groupBy).map(GroupByItemNode.create);
}
var init_group_by_parser = __esm(() => {
  init_group_by_item_node();
  init_expression_builder();
  init_object_utils();
  init_reference_parser();
});

// ../../node_modules/kysely/dist/esm/operation-node/set-operation-node.js
var SetOperationNode;
var init_set_operation_node = __esm(() => {
  init_object_utils();
  SetOperationNode = freeze({
    is(node) {
      return node.kind === "SetOperationNode";
    },
    create(operator, expression, all) {
      return freeze({
        kind: "SetOperationNode",
        operator,
        expression,
        all
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/set-operation-parser.js
function parseSetOperations(operator, expression, all) {
  if (isFunction(expression)) {
    expression = expression(createExpressionBuilder());
  }
  if (!isReadonlyArray(expression)) {
    expression = [expression];
  }
  return expression.map((expr) => SetOperationNode.create(operator, parseExpression(expr), all));
}
var init_set_operation_parser = __esm(() => {
  init_expression_builder();
  init_set_operation_node();
  init_object_utils();
  init_expression_parser();
});

// ../../node_modules/kysely/dist/esm/expression/expression-wrapper.js
class ExpressionWrapper {
  #node;
  constructor(node) {
    this.#node = node;
  }
  get expressionType() {
    return;
  }
  as(alias) {
    return new AliasedExpressionWrapper(this, alias);
  }
  or(...args) {
    return new OrWrapper(OrNode.create(this.#node, parseValueBinaryOperationOrExpression(args)));
  }
  and(...args) {
    return new AndWrapper(AndNode.create(this.#node, parseValueBinaryOperationOrExpression(args)));
  }
  $castTo() {
    return new ExpressionWrapper(this.#node);
  }
  $notNull() {
    return new ExpressionWrapper(this.#node);
  }
  toOperationNode() {
    return this.#node;
  }
}

class AliasedExpressionWrapper {
  #expr;
  #alias;
  constructor(expr, alias) {
    this.#expr = expr;
    this.#alias = alias;
  }
  get expression() {
    return this.#expr;
  }
  get alias() {
    return this.#alias;
  }
  toOperationNode() {
    return AliasNode.create(this.#expr.toOperationNode(), isOperationNodeSource(this.#alias) ? this.#alias.toOperationNode() : IdentifierNode.create(this.#alias));
  }
}

class OrWrapper {
  #node;
  constructor(node) {
    this.#node = node;
  }
  get expressionType() {
    return;
  }
  as(alias) {
    return new AliasedExpressionWrapper(this, alias);
  }
  or(...args) {
    return new OrWrapper(OrNode.create(this.#node, parseValueBinaryOperationOrExpression(args)));
  }
  $castTo() {
    return new OrWrapper(this.#node);
  }
  toOperationNode() {
    return ParensNode.create(this.#node);
  }
}

class AndWrapper {
  #node;
  constructor(node) {
    this.#node = node;
  }
  get expressionType() {
    return;
  }
  as(alias) {
    return new AliasedExpressionWrapper(this, alias);
  }
  and(...args) {
    return new AndWrapper(AndNode.create(this.#node, parseValueBinaryOperationOrExpression(args)));
  }
  $castTo() {
    return new AndWrapper(this.#node);
  }
  toOperationNode() {
    return ParensNode.create(this.#node);
  }
}
var init_expression_wrapper = __esm(() => {
  init_alias_node();
  init_and_node();
  init_identifier_node();
  init_operation_node_source();
  init_or_node();
  init_parens_node();
  init_binary_operation_parser();
});

// ../../node_modules/kysely/dist/esm/operation-node/fetch-node.js
var FetchNode;
var init_fetch_node = __esm(() => {
  init_value_node();
  FetchNode = {
    is(node) {
      return node.kind === "FetchNode";
    },
    create(rowCount, modifier) {
      return {
        kind: "FetchNode",
        rowCount: ValueNode.create(rowCount),
        modifier
      };
    }
  };
});

// ../../node_modules/kysely/dist/esm/parser/fetch-parser.js
function parseFetch(rowCount, modifier) {
  if (!isNumber(rowCount) && !isBigInt(rowCount)) {
    throw new Error(`Invalid fetch row count: ${rowCount}`);
  }
  if (!isFetchModifier(modifier)) {
    throw new Error(`Invalid fetch modifier: ${modifier}`);
  }
  return FetchNode.create(rowCount, modifier);
}
function isFetchModifier(value2) {
  return value2 === "only" || value2 === "with ties";
}
var init_fetch_parser = __esm(() => {
  init_fetch_node();
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/query-builder/select-query-builder.js
class SelectQueryBuilderImpl {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  get expressionType() {
    return;
  }
  get isSelectQueryBuilder() {
    return true;
  }
  where(...args) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithWhere(this.#props.queryNode, parseValueBinaryOperationOrExpression(args))
    });
  }
  whereRef(lhs, op, rhs) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithWhere(this.#props.queryNode, parseReferentialBinaryOperation(lhs, op, rhs))
    });
  }
  having(...args) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithHaving(this.#props.queryNode, parseValueBinaryOperationOrExpression(args))
    });
  }
  havingRef(lhs, op, rhs) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithHaving(this.#props.queryNode, parseReferentialBinaryOperation(lhs, op, rhs))
    });
  }
  select(selection) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithSelections(this.#props.queryNode, parseSelectArg(selection))
    });
  }
  distinctOn(selection) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithDistinctOn(this.#props.queryNode, parseReferenceExpressionOrList(selection))
    });
  }
  modifyFront(modifier) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithFrontModifier(this.#props.queryNode, SelectModifierNode.createWithExpression(modifier.toOperationNode()))
    });
  }
  modifyEnd(modifier) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, SelectModifierNode.createWithExpression(modifier.toOperationNode()))
    });
  }
  distinct() {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithFrontModifier(this.#props.queryNode, SelectModifierNode.create("Distinct"))
    });
  }
  forUpdate(of) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, SelectModifierNode.create("ForUpdate", of ? asArray(of).map(parseTable) : undefined))
    });
  }
  forShare(of) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, SelectModifierNode.create("ForShare", of ? asArray(of).map(parseTable) : undefined))
    });
  }
  forKeyShare(of) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, SelectModifierNode.create("ForKeyShare", of ? asArray(of).map(parseTable) : undefined))
    });
  }
  forNoKeyUpdate(of) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, SelectModifierNode.create("ForNoKeyUpdate", of ? asArray(of).map(parseTable) : undefined))
    });
  }
  skipLocked() {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, SelectModifierNode.create("SkipLocked"))
    });
  }
  noWait() {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithEndModifier(this.#props.queryNode, SelectModifierNode.create("NoWait"))
    });
  }
  selectAll(table) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithSelections(this.#props.queryNode, parseSelectAll(table))
    });
  }
  innerJoin(...args) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("InnerJoin", args))
    });
  }
  leftJoin(...args) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("LeftJoin", args))
    });
  }
  rightJoin(...args) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("RightJoin", args))
    });
  }
  fullJoin(...args) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("FullJoin", args))
    });
  }
  innerJoinLateral(...args) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("LateralInnerJoin", args))
    });
  }
  leftJoinLateral(...args) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithJoin(this.#props.queryNode, parseJoin("LateralLeftJoin", args))
    });
  }
  orderBy(...args) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithOrderByItems(this.#props.queryNode, parseOrderBy(args))
    });
  }
  groupBy(groupBy) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithGroupByItems(this.#props.queryNode, parseGroupBy(groupBy))
    });
  }
  limit(limit) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithLimit(this.#props.queryNode, LimitNode.create(parseValueExpression(limit)))
    });
  }
  offset(offset) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithOffset(this.#props.queryNode, OffsetNode.create(parseValueExpression(offset)))
    });
  }
  fetch(rowCount, modifier = "only") {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithFetch(this.#props.queryNode, parseFetch(rowCount, modifier))
    });
  }
  top(expression, modifiers) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithTop(this.#props.queryNode, parseTop(expression, modifiers))
    });
  }
  union(expression) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithSetOperations(this.#props.queryNode, parseSetOperations("union", expression, false))
    });
  }
  unionAll(expression) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithSetOperations(this.#props.queryNode, parseSetOperations("union", expression, true))
    });
  }
  intersect(expression) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithSetOperations(this.#props.queryNode, parseSetOperations("intersect", expression, false))
    });
  }
  intersectAll(expression) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithSetOperations(this.#props.queryNode, parseSetOperations("intersect", expression, true))
    });
  }
  except(expression) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithSetOperations(this.#props.queryNode, parseSetOperations("except", expression, false))
    });
  }
  exceptAll(expression) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithSetOperations(this.#props.queryNode, parseSetOperations("except", expression, true))
    });
  }
  as(alias) {
    return new AliasedSelectQueryBuilderImpl(this, alias);
  }
  clearSelect() {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithoutSelections(this.#props.queryNode)
    });
  }
  clearWhere() {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithoutWhere(this.#props.queryNode)
    });
  }
  clearLimit() {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithoutLimit(this.#props.queryNode)
    });
  }
  clearOffset() {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithoutOffset(this.#props.queryNode)
    });
  }
  clearOrderBy() {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithoutOrderBy(this.#props.queryNode)
    });
  }
  clearGroupBy() {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: SelectQueryNode.cloneWithoutGroupBy(this.#props.queryNode)
    });
  }
  $call(func) {
    return func(this);
  }
  $if(condition, func) {
    if (condition) {
      return func(this);
    }
    return new SelectQueryBuilderImpl({
      ...this.#props
    });
  }
  $castTo() {
    return new SelectQueryBuilderImpl(this.#props);
  }
  $narrowType() {
    return new SelectQueryBuilderImpl(this.#props);
  }
  $assertType() {
    return new SelectQueryBuilderImpl(this.#props);
  }
  $asTuple() {
    return new ExpressionWrapper(this.toOperationNode());
  }
  withPlugin(plugin) {
    return new SelectQueryBuilderImpl({
      ...this.#props,
      executor: this.#props.executor.withPlugin(plugin)
    });
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.queryNode, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    const compiledQuery = this.compile();
    const result = await this.#props.executor.executeQuery(compiledQuery, this.#props.queryId);
    return result.rows;
  }
  async executeTakeFirst() {
    const [result] = await this.execute();
    return result;
  }
  async executeTakeFirstOrThrow(errorConstructor = NoResultError) {
    const result = await this.executeTakeFirst();
    if (result === undefined) {
      const error3 = isNoResultErrorConstructor(errorConstructor) ? new errorConstructor(this.toOperationNode()) : errorConstructor(this.toOperationNode());
      throw error3;
    }
    return result;
  }
  async* stream(chunkSize = 100) {
    const compiledQuery = this.compile();
    const stream = this.#props.executor.stream(compiledQuery, chunkSize, this.#props.queryId);
    for await (const item of stream) {
      yield* item.rows;
    }
  }
  async explain(format2, options) {
    const builder = new SelectQueryBuilderImpl({
      ...this.#props,
      queryNode: QueryNode.cloneWithExplain(this.#props.queryNode, format2, options)
    });
    return await builder.execute();
  }
}
function createSelectQueryBuilder(props) {
  return new SelectQueryBuilderImpl(props);
}

class AliasedSelectQueryBuilderImpl {
  #queryBuilder;
  #alias;
  constructor(queryBuilder, alias) {
    this.#queryBuilder = queryBuilder;
    this.#alias = alias;
  }
  get expression() {
    return this.#queryBuilder;
  }
  get alias() {
    return this.#alias;
  }
  get isAliasedSelectQueryBuilder() {
    return true;
  }
  toOperationNode() {
    return AliasNode.create(this.#queryBuilder.toOperationNode(), IdentifierNode.create(this.#alias));
  }
}
var init_select_query_builder = __esm(() => {
  init_alias_node();
  init_select_modifier_node();
  init_join_parser();
  init_table_parser();
  init_select_parser();
  init_reference_parser();
  init_select_query_node();
  init_query_node();
  init_order_by_parser();
  init_limit_node();
  init_offset_node();
  init_object_utils();
  init_group_by_parser();
  init_no_result_error();
  init_identifier_node();
  init_set_operation_parser();
  init_binary_operation_parser();
  init_expression_wrapper();
  init_value_parser();
  init_fetch_parser();
  init_top_parser();
  preventAwait(SelectQueryBuilderImpl, "don't await SelectQueryBuilder instances directly. To execute the query you need to call `execute` or `executeTakeFirst`.");
  preventAwait(AliasedSelectQueryBuilderImpl, "don't await AliasedSelectQueryBuilder instances directly. AliasedSelectQueryBuilder should never be executed directly since it's always a part of another query.");
});

// ../../node_modules/kysely/dist/esm/operation-node/aggregate-function-node.js
var AggregateFunctionNode;
var init_aggregate_function_node = __esm(() => {
  init_object_utils();
  init_where_node();
  init_order_by_node();
  AggregateFunctionNode = freeze({
    is(node) {
      return node.kind === "AggregateFunctionNode";
    },
    create(aggregateFunction, aggregated = []) {
      return freeze({
        kind: "AggregateFunctionNode",
        func: aggregateFunction,
        aggregated
      });
    },
    cloneWithDistinct(aggregateFunctionNode) {
      return freeze({
        ...aggregateFunctionNode,
        distinct: true
      });
    },
    cloneWithOrderBy(aggregateFunctionNode, orderItems) {
      return freeze({
        ...aggregateFunctionNode,
        orderBy: aggregateFunctionNode.orderBy ? OrderByNode.cloneWithItems(aggregateFunctionNode.orderBy, orderItems) : OrderByNode.create(orderItems)
      });
    },
    cloneWithFilter(aggregateFunctionNode, filter) {
      return freeze({
        ...aggregateFunctionNode,
        filter: aggregateFunctionNode.filter ? WhereNode.cloneWithOperation(aggregateFunctionNode.filter, "And", filter) : WhereNode.create(filter)
      });
    },
    cloneWithOrFilter(aggregateFunctionNode, filter) {
      return freeze({
        ...aggregateFunctionNode,
        filter: aggregateFunctionNode.filter ? WhereNode.cloneWithOperation(aggregateFunctionNode.filter, "Or", filter) : WhereNode.create(filter)
      });
    },
    cloneWithOver(aggregateFunctionNode, over) {
      return freeze({
        ...aggregateFunctionNode,
        over
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/function-node.js
var FunctionNode;
var init_function_node = __esm(() => {
  init_object_utils();
  FunctionNode = freeze({
    is(node) {
      return node.kind === "FunctionNode";
    },
    create(func, args) {
      return freeze({
        kind: "FunctionNode",
        func,
        arguments: args
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/query-builder/aggregate-function-builder.js
class AggregateFunctionBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  get expressionType() {
    return;
  }
  as(alias) {
    return new AliasedAggregateFunctionBuilder(this, alias);
  }
  distinct() {
    return new AggregateFunctionBuilder({
      ...this.#props,
      aggregateFunctionNode: AggregateFunctionNode.cloneWithDistinct(this.#props.aggregateFunctionNode)
    });
  }
  orderBy(orderBy, direction) {
    return new AggregateFunctionBuilder({
      ...this.#props,
      aggregateFunctionNode: AggregateFunctionNode.cloneWithOrderBy(this.#props.aggregateFunctionNode, parseOrderBy([orderBy, direction]))
    });
  }
  filterWhere(...args) {
    return new AggregateFunctionBuilder({
      ...this.#props,
      aggregateFunctionNode: AggregateFunctionNode.cloneWithFilter(this.#props.aggregateFunctionNode, parseValueBinaryOperationOrExpression(args))
    });
  }
  filterWhereRef(lhs, op, rhs) {
    return new AggregateFunctionBuilder({
      ...this.#props,
      aggregateFunctionNode: AggregateFunctionNode.cloneWithFilter(this.#props.aggregateFunctionNode, parseReferentialBinaryOperation(lhs, op, rhs))
    });
  }
  over(over) {
    const builder = createOverBuilder();
    return new AggregateFunctionBuilder({
      ...this.#props,
      aggregateFunctionNode: AggregateFunctionNode.cloneWithOver(this.#props.aggregateFunctionNode, (over ? over(builder) : builder).toOperationNode())
    });
  }
  $call(func) {
    return func(this);
  }
  $castTo() {
    return new AggregateFunctionBuilder(this.#props);
  }
  $notNull() {
    return new AggregateFunctionBuilder(this.#props);
  }
  toOperationNode() {
    return this.#props.aggregateFunctionNode;
  }
}

class AliasedAggregateFunctionBuilder {
  #aggregateFunctionBuilder;
  #alias;
  constructor(aggregateFunctionBuilder, alias) {
    this.#aggregateFunctionBuilder = aggregateFunctionBuilder;
    this.#alias = alias;
  }
  get expression() {
    return this.#aggregateFunctionBuilder;
  }
  get alias() {
    return this.#alias;
  }
  toOperationNode() {
    return AliasNode.create(this.#aggregateFunctionBuilder.toOperationNode(), IdentifierNode.create(this.#alias));
  }
}
var init_aggregate_function_builder = __esm(() => {
  init_object_utils();
  init_aggregate_function_node();
  init_alias_node();
  init_identifier_node();
  init_parse_utils();
  init_binary_operation_parser();
  init_order_by_parser();
  preventAwait(AggregateFunctionBuilder, "don't await AggregateFunctionBuilder instances. They are never executed directly and are always just a part of a query.");
});

// ../../node_modules/kysely/dist/esm/query-builder/function-module.js
function createFunctionModule() {
  const fn = (name, args) => {
    return new ExpressionWrapper(FunctionNode.create(name, parseReferenceExpressionOrList(args ?? [])));
  };
  const agg = (name, args) => {
    return new AggregateFunctionBuilder({
      aggregateFunctionNode: AggregateFunctionNode.create(name, args ? parseReferenceExpressionOrList(args) : undefined)
    });
  };
  return Object.assign(fn, {
    agg,
    avg(column) {
      return agg("avg", [column]);
    },
    coalesce(...values) {
      return fn("coalesce", values);
    },
    count(column) {
      return agg("count", [column]);
    },
    countAll(table) {
      return new AggregateFunctionBuilder({
        aggregateFunctionNode: AggregateFunctionNode.create("count", parseSelectAll(table))
      });
    },
    max(column) {
      return agg("max", [column]);
    },
    min(column) {
      return agg("min", [column]);
    },
    sum(column) {
      return agg("sum", [column]);
    },
    any(column) {
      return fn("any", [column]);
    },
    jsonAgg(table) {
      return new AggregateFunctionBuilder({
        aggregateFunctionNode: AggregateFunctionNode.create("json_agg", [
          isString(table) ? parseTable(table) : table.toOperationNode()
        ])
      });
    },
    toJson(table) {
      return new ExpressionWrapper(FunctionNode.create("to_json", [
        isString(table) ? parseTable(table) : table.toOperationNode()
      ]));
    }
  });
}
var init_function_module = __esm(() => {
  init_expression_wrapper();
  init_aggregate_function_node();
  init_function_node();
  init_reference_parser();
  init_select_parser();
  init_aggregate_function_builder();
  init_object_utils();
  init_table_parser();
});

// ../../node_modules/kysely/dist/esm/operation-node/unary-operation-node.js
var UnaryOperationNode;
var init_unary_operation_node = __esm(() => {
  init_object_utils();
  UnaryOperationNode = freeze({
    is(node) {
      return node.kind === "UnaryOperationNode";
    },
    create(operator, operand) {
      return freeze({
        kind: "UnaryOperationNode",
        operator,
        operand
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/unary-operation-parser.js
function parseUnaryOperation(operator, operand) {
  return UnaryOperationNode.create(OperatorNode.create(operator), parseReferenceExpression(operand));
}
var init_unary_operation_parser = __esm(() => {
  init_operator_node();
  init_unary_operation_node();
  init_reference_parser();
});

// ../../node_modules/kysely/dist/esm/operation-node/case-node.js
var CaseNode;
var init_case_node = __esm(() => {
  init_object_utils();
  init_when_node();
  CaseNode = freeze({
    is(node) {
      return node.kind === "CaseNode";
    },
    create(value2) {
      return freeze({
        kind: "CaseNode",
        value: value2
      });
    },
    cloneWithWhen(caseNode, when) {
      return freeze({
        ...caseNode,
        when: freeze(caseNode.when ? [...caseNode.when, when] : [when])
      });
    },
    cloneWithThen(caseNode, then) {
      return freeze({
        ...caseNode,
        when: caseNode.when ? freeze([
          ...caseNode.when.slice(0, -1),
          WhenNode.cloneWithResult(caseNode.when[caseNode.when.length - 1], then)
        ]) : undefined
      });
    },
    cloneWith(caseNode, props) {
      return freeze({
        ...caseNode,
        ...props
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/query-builder/case-builder.js
class CaseBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  when(...args) {
    return new CaseThenBuilder({
      ...this.#props,
      node: CaseNode.cloneWithWhen(this.#props.node, WhenNode.create(parseValueBinaryOperationOrExpression(args)))
    });
  }
}

class CaseThenBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  then(valueExpression) {
    return new CaseWhenBuilder({
      ...this.#props,
      node: CaseNode.cloneWithThen(this.#props.node, isSafeImmediateValue(valueExpression) ? parseSafeImmediateValue(valueExpression) : parseValueExpression(valueExpression))
    });
  }
}

class CaseWhenBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  when(...args) {
    return new CaseThenBuilder({
      ...this.#props,
      node: CaseNode.cloneWithWhen(this.#props.node, WhenNode.create(parseValueBinaryOperationOrExpression(args)))
    });
  }
  else(valueExpression) {
    return new CaseEndBuilder({
      ...this.#props,
      node: CaseNode.cloneWith(this.#props.node, {
        else: isSafeImmediateValue(valueExpression) ? parseSafeImmediateValue(valueExpression) : parseValueExpression(valueExpression)
      })
    });
  }
  end() {
    return new ExpressionWrapper(CaseNode.cloneWith(this.#props.node, { isStatement: false }));
  }
  endCase() {
    return new ExpressionWrapper(CaseNode.cloneWith(this.#props.node, { isStatement: true }));
  }
}

class CaseEndBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  end() {
    return new ExpressionWrapper(CaseNode.cloneWith(this.#props.node, { isStatement: false }));
  }
  endCase() {
    return new ExpressionWrapper(CaseNode.cloneWith(this.#props.node, { isStatement: true }));
  }
}
var init_case_builder = __esm(() => {
  init_expression_wrapper();
  init_object_utils();
  init_case_node();
  init_when_node();
  init_binary_operation_parser();
  init_value_parser();
});

// ../../node_modules/kysely/dist/esm/operation-node/json-path-leg-node.js
var JSONPathLegNode;
var init_json_path_leg_node = __esm(() => {
  init_object_utils();
  JSONPathLegNode = freeze({
    is(node) {
      return node.kind === "JSONPathLegNode";
    },
    create(type4, value2) {
      return freeze({
        kind: "JSONPathLegNode",
        type: type4,
        value: value2
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/query-builder/json-path-builder.js
class JSONPathBuilder {
  #node;
  constructor(node) {
    this.#node = node;
  }
  at(index) {
    return this.#createBuilderWithPathLeg("ArrayLocation", index);
  }
  key(key) {
    return this.#createBuilderWithPathLeg("Member", key);
  }
  #createBuilderWithPathLeg(legType, value2) {
    if (JSONReferenceNode.is(this.#node)) {
      return new TraversedJSONPathBuilder(JSONReferenceNode.cloneWithTraversal(this.#node, JSONPathNode.is(this.#node.traversal) ? JSONPathNode.cloneWithLeg(this.#node.traversal, JSONPathLegNode.create(legType, value2)) : JSONOperatorChainNode.cloneWithValue(this.#node.traversal, ValueNode.createImmediate(value2))));
    }
    return new TraversedJSONPathBuilder(JSONPathNode.cloneWithLeg(this.#node, JSONPathLegNode.create(legType, value2)));
  }
}

class AliasedJSONPathBuilder {
  #jsonPath;
  #alias;
  constructor(jsonPath, alias) {
    this.#jsonPath = jsonPath;
    this.#alias = alias;
  }
  get expression() {
    return this.#jsonPath;
  }
  get alias() {
    return this.#alias;
  }
  toOperationNode() {
    return AliasNode.create(this.#jsonPath.toOperationNode(), isOperationNodeSource(this.#alias) ? this.#alias.toOperationNode() : IdentifierNode.create(this.#alias));
  }
}
var TraversedJSONPathBuilder;
var init_json_path_builder = __esm(() => {
  init_alias_node();
  init_identifier_node();
  init_json_operator_chain_node();
  init_json_path_leg_node();
  init_json_path_node();
  init_json_reference_node();
  init_operation_node_source();
  init_value_node();
  TraversedJSONPathBuilder = class TraversedJSONPathBuilder extends JSONPathBuilder {
    #node;
    constructor(node) {
      super(node);
      this.#node = node;
    }
    get expressionType() {
      return;
    }
    as(alias) {
      return new AliasedJSONPathBuilder(this, alias);
    }
    $castTo() {
      return new TraversedJSONPathBuilder(this.#node);
    }
    $notNull() {
      return new TraversedJSONPathBuilder(this.#node);
    }
    toOperationNode() {
      return this.#node;
    }
  };
});

// ../../node_modules/kysely/dist/esm/operation-node/tuple-node.js
var TupleNode;
var init_tuple_node = __esm(() => {
  init_object_utils();
  TupleNode = freeze({
    is(node) {
      return node.kind === "TupleNode";
    },
    create(values) {
      return freeze({
        kind: "TupleNode",
        values: freeze(values)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/data-type-node.js
function isColumnDataType(dataType) {
  if (SIMPLE_COLUMN_DATA_TYPES.includes(dataType)) {
    return true;
  }
  if (COLUMN_DATA_TYPE_REGEX.some((r) => r.test(dataType))) {
    return true;
  }
  return false;
}
var SIMPLE_COLUMN_DATA_TYPES, COLUMN_DATA_TYPE_REGEX, DataTypeNode;
var init_data_type_node = __esm(() => {
  init_object_utils();
  SIMPLE_COLUMN_DATA_TYPES = [
    "varchar",
    "char",
    "text",
    "integer",
    "int2",
    "int4",
    "int8",
    "smallint",
    "bigint",
    "boolean",
    "real",
    "double precision",
    "float4",
    "float8",
    "decimal",
    "numeric",
    "binary",
    "bytea",
    "date",
    "datetime",
    "time",
    "timetz",
    "timestamp",
    "timestamptz",
    "serial",
    "bigserial",
    "uuid",
    "json",
    "jsonb",
    "blob",
    "varbinary",
    "int4range",
    "int4multirange",
    "int8range",
    "int8multirange",
    "numrange",
    "nummultirange",
    "tsrange",
    "tsmultirange",
    "tstzrange",
    "tstzmultirange",
    "daterange",
    "datemultirange"
  ];
  COLUMN_DATA_TYPE_REGEX = [
    /^varchar\(\d+\)$/,
    /^char\(\d+\)$/,
    /^decimal\(\d+, \d+\)$/,
    /^numeric\(\d+, \d+\)$/,
    /^binary\(\d+\)$/,
    /^datetime\(\d+\)$/,
    /^time\(\d+\)$/,
    /^timetz\(\d+\)$/,
    /^timestamp\(\d+\)$/,
    /^timestamptz\(\d+\)$/,
    /^varbinary\(\d+\)$/
  ];
  DataTypeNode = freeze({
    is(node) {
      return node.kind === "DataTypeNode";
    },
    create(dataType) {
      return freeze({
        kind: "DataTypeNode",
        dataType
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/data-type-parser.js
function parseDataTypeExpression(dataType) {
  if (isOperationNodeSource(dataType)) {
    return dataType.toOperationNode();
  }
  if (isColumnDataType(dataType)) {
    return DataTypeNode.create(dataType);
  }
  throw new Error(`invalid column data type ${JSON.stringify(dataType)}`);
}
var init_data_type_parser = __esm(() => {
  init_data_type_node();
  init_operation_node_source();
});

// ../../node_modules/kysely/dist/esm/operation-node/cast-node.js
var CastNode;
var init_cast_node = __esm(() => {
  init_object_utils();
  CastNode = freeze({
    is(node) {
      return node.kind === "CastNode";
    },
    create(expression, dataType) {
      return freeze({
        kind: "CastNode",
        expression,
        dataType
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/expression/expression-builder.js
function createExpressionBuilder(executor = NOOP_QUERY_EXECUTOR) {
  function binary(lhs, op, rhs) {
    return new ExpressionWrapper(parseValueBinaryOperation(lhs, op, rhs));
  }
  function unary(op, expr) {
    return new ExpressionWrapper(parseUnaryOperation(op, expr));
  }
  const eb = Object.assign(binary, {
    fn: undefined,
    eb: undefined,
    selectFrom(table) {
      return createSelectQueryBuilder({
        queryId: createQueryId(),
        executor,
        queryNode: SelectQueryNode.createFrom(parseTableExpressionOrList(table))
      });
    },
    case(reference) {
      return new CaseBuilder({
        node: CaseNode.create(isUndefined(reference) ? undefined : parseReferenceExpression(reference))
      });
    },
    ref(reference, op) {
      if (isUndefined(op)) {
        return new ExpressionWrapper(parseStringReference(reference));
      }
      return new JSONPathBuilder(parseJSONReference(reference, op));
    },
    jsonPath() {
      return new JSONPathBuilder(JSONPathNode.create());
    },
    table(table) {
      return new ExpressionWrapper(parseTable(table));
    },
    val(value2) {
      return new ExpressionWrapper(parseValueExpression(value2));
    },
    refTuple(...values) {
      return new ExpressionWrapper(TupleNode.create(values.map(parseReferenceExpression)));
    },
    tuple(...values) {
      return new ExpressionWrapper(TupleNode.create(values.map(parseValueExpression)));
    },
    lit(value2) {
      return new ExpressionWrapper(parseSafeImmediateValue(value2));
    },
    unary,
    not(expr) {
      return unary("not", expr);
    },
    exists(expr) {
      return unary("exists", expr);
    },
    neg(expr) {
      return unary("-", expr);
    },
    between(expr, start, end) {
      return new ExpressionWrapper(BinaryOperationNode.create(parseReferenceExpression(expr), OperatorNode.create("between"), AndNode.create(parseValueExpression(start), parseValueExpression(end))));
    },
    betweenSymmetric(expr, start, end) {
      return new ExpressionWrapper(BinaryOperationNode.create(parseReferenceExpression(expr), OperatorNode.create("between symmetric"), AndNode.create(parseValueExpression(start), parseValueExpression(end))));
    },
    and(exprs) {
      if (isReadonlyArray(exprs)) {
        return new ExpressionWrapper(parseFilterList(exprs, "and"));
      }
      return new ExpressionWrapper(parseFilterObject(exprs, "and"));
    },
    or(exprs) {
      if (isReadonlyArray(exprs)) {
        return new ExpressionWrapper(parseFilterList(exprs, "or"));
      }
      return new ExpressionWrapper(parseFilterObject(exprs, "or"));
    },
    parens(...args) {
      const node = parseValueBinaryOperationOrExpression(args);
      if (ParensNode.is(node)) {
        return new ExpressionWrapper(node);
      } else {
        return new ExpressionWrapper(ParensNode.create(node));
      }
    },
    cast(expr, dataType) {
      return new ExpressionWrapper(CastNode.create(parseReferenceExpression(expr), parseDataTypeExpression(dataType)));
    },
    withSchema(schema3) {
      return createExpressionBuilder(executor.withPluginAtFront(new WithSchemaPlugin(schema3)));
    }
  });
  eb.fn = createFunctionModule();
  eb.eb = eb;
  return eb;
}
function expressionBuilder(_2) {
  return createExpressionBuilder();
}
var init_expression_builder = __esm(() => {
  init_select_query_builder();
  init_select_query_node();
  init_table_parser();
  init_with_schema_plugin();
  init_query_id();
  init_function_module();
  init_reference_parser();
  init_binary_operation_parser();
  init_parens_node();
  init_expression_wrapper();
  init_operator_node();
  init_unary_operation_parser();
  init_value_parser();
  init_noop_query_executor();
  init_case_builder();
  init_case_node();
  init_object_utils();
  init_json_path_builder();
  init_binary_operation_node();
  init_and_node();
  init_tuple_node();
  init_json_path_node();
  init_data_type_parser();
  init_cast_node();
});

// ../../node_modules/kysely/dist/esm/parser/expression-parser.js
function parseExpression(exp) {
  if (isOperationNodeSource(exp)) {
    return exp.toOperationNode();
  } else if (isFunction(exp)) {
    return exp(expressionBuilder()).toOperationNode();
  }
  throw new Error(`invalid expression: ${JSON.stringify(exp)}`);
}
function parseAliasedExpression(exp) {
  if (isOperationNodeSource(exp)) {
    return exp.toOperationNode();
  } else if (isFunction(exp)) {
    return exp(expressionBuilder()).toOperationNode();
  }
  throw new Error(`invalid aliased expression: ${JSON.stringify(exp)}`);
}
function isExpressionOrFactory(obj) {
  return isExpression(obj) || isAliasedExpression(obj) || isFunction(obj);
}
var init_expression_parser = __esm(() => {
  init_expression();
  init_operation_node_source();
  init_expression_builder();
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/parser/table-parser.js
function parseTableExpressionOrList(table) {
  if (isReadonlyArray(table)) {
    return table.map((it) => parseTableExpression(it));
  } else {
    return [parseTableExpression(table)];
  }
}
function parseTableExpression(table) {
  if (isString(table)) {
    return parseAliasedTable(table);
  } else {
    return parseAliasedExpression(table);
  }
}
function parseAliasedTable(from) {
  const ALIAS_SEPARATOR = " as ";
  if (from.includes(ALIAS_SEPARATOR)) {
    const [table, alias] = from.split(ALIAS_SEPARATOR).map(trim2);
    return AliasNode.create(parseTable(table), IdentifierNode.create(alias));
  } else {
    return parseTable(from);
  }
}
function parseTable(from) {
  const SCHEMA_SEPARATOR = ".";
  if (from.includes(SCHEMA_SEPARATOR)) {
    const [schema3, table] = from.split(SCHEMA_SEPARATOR).map(trim2);
    return TableNode.createWithSchema(schema3, table);
  } else {
    return TableNode.create(from);
  }
}
function trim2(str) {
  return str.trim();
}
var init_table_parser = __esm(() => {
  init_object_utils();
  init_alias_node();
  init_table_node();
  init_expression_parser();
  init_identifier_node();
});

// ../../node_modules/kysely/dist/esm/operation-node/add-column-node.js
var AddColumnNode;
var init_add_column_node = __esm(() => {
  init_object_utils();
  AddColumnNode = freeze({
    is(node) {
      return node.kind === "AddColumnNode";
    },
    create(column) {
      return freeze({
        kind: "AddColumnNode",
        column
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/column-definition-node.js
var ColumnDefinitionNode;
var init_column_definition_node = __esm(() => {
  init_object_utils();
  init_column_node();
  ColumnDefinitionNode = freeze({
    is(node) {
      return node.kind === "ColumnDefinitionNode";
    },
    create(column, dataType) {
      return freeze({
        kind: "ColumnDefinitionNode",
        column: ColumnNode.create(column),
        dataType
      });
    },
    cloneWithFrontModifier(node, modifier) {
      return freeze({
        ...node,
        frontModifiers: node.frontModifiers ? freeze([...node.frontModifiers, modifier]) : [modifier]
      });
    },
    cloneWithEndModifier(node, modifier) {
      return freeze({
        ...node,
        endModifiers: node.endModifiers ? freeze([...node.endModifiers, modifier]) : [modifier]
      });
    },
    cloneWith(node, props) {
      return freeze({
        ...node,
        ...props
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/drop-column-node.js
var DropColumnNode;
var init_drop_column_node = __esm(() => {
  init_object_utils();
  init_column_node();
  DropColumnNode = freeze({
    is(node) {
      return node.kind === "DropColumnNode";
    },
    create(column) {
      return freeze({
        kind: "DropColumnNode",
        column: ColumnNode.create(column)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/rename-column-node.js
var RenameColumnNode;
var init_rename_column_node = __esm(() => {
  init_object_utils();
  init_column_node();
  RenameColumnNode = freeze({
    is(node) {
      return node.kind === "RenameColumnNode";
    },
    create(column, newColumn) {
      return freeze({
        kind: "RenameColumnNode",
        column: ColumnNode.create(column),
        renameTo: ColumnNode.create(newColumn)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/check-constraint-node.js
var CheckConstraintNode;
var init_check_constraint_node = __esm(() => {
  init_object_utils();
  init_identifier_node();
  CheckConstraintNode = freeze({
    is(node) {
      return node.kind === "CheckConstraintNode";
    },
    create(expression, constraintName) {
      return freeze({
        kind: "CheckConstraintNode",
        expression,
        name: constraintName ? IdentifierNode.create(constraintName) : undefined
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/references-node.js
var ON_MODIFY_FOREIGN_ACTIONS, ReferencesNode;
var init_references_node = __esm(() => {
  init_object_utils();
  ON_MODIFY_FOREIGN_ACTIONS = [
    "no action",
    "restrict",
    "cascade",
    "set null",
    "set default"
  ];
  ReferencesNode = freeze({
    is(node) {
      return node.kind === "ReferencesNode";
    },
    create(table, columns) {
      return freeze({
        kind: "ReferencesNode",
        table,
        columns: freeze([...columns])
      });
    },
    cloneWithOnDelete(references, onDelete) {
      return freeze({
        ...references,
        onDelete
      });
    },
    cloneWithOnUpdate(references, onUpdate) {
      return freeze({
        ...references,
        onUpdate
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/default-value-parser.js
function parseDefaultValueExpression(value2) {
  return isOperationNodeSource(value2) ? value2.toOperationNode() : ValueNode.createImmediate(value2);
}
var init_default_value_parser = __esm(() => {
  init_operation_node_source();
  init_value_node();
});

// ../../node_modules/kysely/dist/esm/operation-node/generated-node.js
var GeneratedNode;
var init_generated_node = __esm(() => {
  init_object_utils();
  GeneratedNode = freeze({
    is(node) {
      return node.kind === "GeneratedNode";
    },
    create(params) {
      return freeze({
        kind: "GeneratedNode",
        ...params
      });
    },
    createWithExpression(expression) {
      return freeze({
        kind: "GeneratedNode",
        always: true,
        expression
      });
    },
    cloneWith(node, params) {
      return freeze({
        ...node,
        ...params
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/default-value-node.js
var DefaultValueNode;
var init_default_value_node = __esm(() => {
  init_object_utils();
  DefaultValueNode = freeze({
    is(node) {
      return node.kind === "DefaultValueNode";
    },
    create(defaultValue) {
      return freeze({
        kind: "DefaultValueNode",
        defaultValue
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/parser/on-modify-action-parser.js
function parseOnModifyForeignAction(action) {
  if (ON_MODIFY_FOREIGN_ACTIONS.includes(action)) {
    return action;
  }
  throw new Error(`invalid OnModifyForeignAction ${action}`);
}
var init_on_modify_action_parser = __esm(() => {
  init_references_node();
});

// ../../node_modules/kysely/dist/esm/schema/column-definition-builder.js
class ColumnDefinitionBuilder {
  #node;
  constructor(node) {
    this.#node = node;
  }
  autoIncrement() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, { autoIncrement: true }));
  }
  identity() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, { identity: true }));
  }
  primaryKey() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, { primaryKey: true }));
  }
  references(ref3) {
    const references = parseStringReference(ref3);
    if (!references.table || SelectAllNode.is(references.column)) {
      throw new Error(`invalid call references('${ref3}'). The reference must have format table.column or schema.table.column`);
    }
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, {
      references: ReferencesNode.create(references.table, [
        references.column
      ])
    }));
  }
  onDelete(onDelete) {
    if (!this.#node.references) {
      throw new Error("on delete constraint can only be added for foreign keys");
    }
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, {
      references: ReferencesNode.cloneWithOnDelete(this.#node.references, parseOnModifyForeignAction(onDelete))
    }));
  }
  onUpdate(onUpdate) {
    if (!this.#node.references) {
      throw new Error("on update constraint can only be added for foreign keys");
    }
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, {
      references: ReferencesNode.cloneWithOnUpdate(this.#node.references, parseOnModifyForeignAction(onUpdate))
    }));
  }
  unique() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, { unique: true }));
  }
  notNull() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, { notNull: true }));
  }
  unsigned() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, { unsigned: true }));
  }
  defaultTo(value2) {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, {
      defaultTo: DefaultValueNode.create(parseDefaultValueExpression(value2))
    }));
  }
  check(expression) {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, {
      check: CheckConstraintNode.create(expression.toOperationNode())
    }));
  }
  generatedAlwaysAs(expression) {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, {
      generated: GeneratedNode.createWithExpression(expression.toOperationNode())
    }));
  }
  generatedAlwaysAsIdentity() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, {
      generated: GeneratedNode.create({ identity: true, always: true })
    }));
  }
  generatedByDefaultAsIdentity() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, {
      generated: GeneratedNode.create({ identity: true, byDefault: true })
    }));
  }
  stored() {
    if (!this.#node.generated) {
      throw new Error("stored() can only be called after generatedAlwaysAs");
    }
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, {
      generated: GeneratedNode.cloneWith(this.#node.generated, {
        stored: true
      })
    }));
  }
  modifyFront(modifier) {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWithFrontModifier(this.#node, modifier.toOperationNode()));
  }
  nullsNotDistinct() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, { nullsNotDistinct: true }));
  }
  ifNotExists() {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWith(this.#node, { ifNotExists: true }));
  }
  modifyEnd(modifier) {
    return new ColumnDefinitionBuilder(ColumnDefinitionNode.cloneWithEndModifier(this.#node, modifier.toOperationNode()));
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#node;
  }
}
var init_column_definition_builder = __esm(() => {
  init_check_constraint_node();
  init_references_node();
  init_select_all_node();
  init_reference_parser();
  init_column_definition_node();
  init_default_value_parser();
  init_generated_node();
  init_default_value_node();
  init_on_modify_action_parser();
  preventAwait(ColumnDefinitionBuilder, "don't await ColumnDefinitionBuilder instances directly.");
});

// ../../node_modules/kysely/dist/esm/operation-node/modify-column-node.js
var ModifyColumnNode;
var init_modify_column_node = __esm(() => {
  init_object_utils();
  ModifyColumnNode = freeze({
    is(node) {
      return node.kind === "ModifyColumnNode";
    },
    create(column) {
      return freeze({
        kind: "ModifyColumnNode",
        column
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/foreign-key-constraint-node.js
var ForeignKeyConstraintNode;
var init_foreign_key_constraint_node = __esm(() => {
  init_object_utils();
  init_identifier_node();
  init_references_node();
  ForeignKeyConstraintNode = freeze({
    is(node) {
      return node.kind === "ForeignKeyConstraintNode";
    },
    create(sourceColumns, targetTable, targetColumns, constraintName) {
      return freeze({
        kind: "ForeignKeyConstraintNode",
        columns: sourceColumns,
        references: ReferencesNode.create(targetTable, targetColumns),
        name: constraintName ? IdentifierNode.create(constraintName) : undefined
      });
    },
    cloneWith(node, props) {
      return freeze({
        ...node,
        ...props
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/schema/foreign-key-constraint-builder.js
class ForeignKeyConstraintBuilder {
  #node;
  constructor(node) {
    this.#node = node;
  }
  onDelete(onDelete) {
    return new ForeignKeyConstraintBuilder(ForeignKeyConstraintNode.cloneWith(this.#node, {
      onDelete: parseOnModifyForeignAction(onDelete)
    }));
  }
  onUpdate(onUpdate) {
    return new ForeignKeyConstraintBuilder(ForeignKeyConstraintNode.cloneWith(this.#node, {
      onUpdate: parseOnModifyForeignAction(onUpdate)
    }));
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#node;
  }
}
var init_foreign_key_constraint_builder = __esm(() => {
  init_foreign_key_constraint_node();
  init_on_modify_action_parser();
  preventAwait(ForeignKeyConstraintBuilder, "don't await ForeignKeyConstraintBuilder instances directly.");
});

// ../../node_modules/kysely/dist/esm/operation-node/add-constraint-node.js
var AddConstraintNode;
var init_add_constraint_node = __esm(() => {
  init_object_utils();
  AddConstraintNode = freeze({
    is(node) {
      return node.kind === "AddConstraintNode";
    },
    create(constraint) {
      return freeze({
        kind: "AddConstraintNode",
        constraint
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/unique-constraint-node.js
var UniqueConstraintNode;
var init_unique_constraint_node = __esm(() => {
  init_object_utils();
  init_column_node();
  init_identifier_node();
  UniqueConstraintNode = freeze({
    is(node) {
      return node.kind === "UniqueConstraintNode";
    },
    create(columns, constraintName, nullsNotDistinct) {
      return freeze({
        kind: "UniqueConstraintNode",
        columns: freeze(columns.map(ColumnNode.create)),
        name: constraintName ? IdentifierNode.create(constraintName) : undefined,
        nullsNotDistinct
      });
    },
    cloneWith(node, props) {
      return freeze({
        ...node,
        ...props
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/drop-constraint-node.js
var DropConstraintNode;
var init_drop_constraint_node = __esm(() => {
  init_object_utils();
  init_identifier_node();
  DropConstraintNode = freeze({
    is(node) {
      return node.kind === "DropConstraintNode";
    },
    create(constraintName) {
      return freeze({
        kind: "DropConstraintNode",
        constraintName: IdentifierNode.create(constraintName)
      });
    },
    cloneWith(dropConstraint, props) {
      return freeze({
        ...dropConstraint,
        ...props
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/alter-column-node.js
var AlterColumnNode;
var init_alter_column_node = __esm(() => {
  init_object_utils();
  init_column_node();
  AlterColumnNode = freeze({
    is(node) {
      return node.kind === "AlterColumnNode";
    },
    create(column, prop, value2) {
      return freeze({
        kind: "AlterColumnNode",
        column: ColumnNode.create(column),
        [prop]: value2
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/schema/alter-column-builder.js
class AlterColumnBuilder {
  #column;
  constructor(column) {
    this.#column = column;
  }
  setDataType(dataType) {
    return new AlteredColumnBuilder(AlterColumnNode.create(this.#column, "dataType", parseDataTypeExpression(dataType)));
  }
  setDefault(value2) {
    return new AlteredColumnBuilder(AlterColumnNode.create(this.#column, "setDefault", parseDefaultValueExpression(value2)));
  }
  dropDefault() {
    return new AlteredColumnBuilder(AlterColumnNode.create(this.#column, "dropDefault", true));
  }
  setNotNull() {
    return new AlteredColumnBuilder(AlterColumnNode.create(this.#column, "setNotNull", true));
  }
  dropNotNull() {
    return new AlteredColumnBuilder(AlterColumnNode.create(this.#column, "dropNotNull", true));
  }
  $call(func) {
    return func(this);
  }
}

class AlteredColumnBuilder {
  #alterColumnNode;
  constructor(alterColumnNode) {
    this.#alterColumnNode = alterColumnNode;
  }
  toOperationNode() {
    return this.#alterColumnNode;
  }
}
var init_alter_column_builder = __esm(() => {
  init_alter_column_node();
  init_data_type_parser();
  init_default_value_parser();
  preventAwait(AlterColumnBuilder, "don't await AlterColumnBuilder instances");
  preventAwait(AlteredColumnBuilder, "don't await AlteredColumnBuilder instances");
});

// ../../node_modules/kysely/dist/esm/schema/alter-table-executor.js
class AlterTableExecutor {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_alter_table_executor = __esm(() => {
  init_object_utils();
  preventAwait(AlterTableExecutor, "don't await AlterTableExecutor instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/schema/alter-table-add-foreign-key-constraint-builder.js
class AlterTableAddForeignKeyConstraintBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  onDelete(onDelete) {
    return new AlterTableAddForeignKeyConstraintBuilder({
      ...this.#props,
      constraintBuilder: this.#props.constraintBuilder.onDelete(onDelete)
    });
  }
  onUpdate(onUpdate) {
    return new AlterTableAddForeignKeyConstraintBuilder({
      ...this.#props,
      constraintBuilder: this.#props.constraintBuilder.onUpdate(onUpdate)
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(AlterTableNode.cloneWithTableProps(this.#props.node, {
      addConstraint: AddConstraintNode.create(this.#props.constraintBuilder.toOperationNode())
    }), this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_alter_table_add_foreign_key_constraint_builder = __esm(() => {
  init_add_constraint_node();
  init_alter_table_node();
  init_object_utils();
  preventAwait(AlterTableAddForeignKeyConstraintBuilder, "don't await AlterTableAddForeignKeyConstraintBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/schema/alter-table-drop-constraint-builder.js
class AlterTableDropConstraintBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  ifExists() {
    return new AlterTableDropConstraintBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        dropConstraint: DropConstraintNode.cloneWith(this.#props.node.dropConstraint, {
          ifExists: true
        })
      })
    });
  }
  cascade() {
    return new AlterTableDropConstraintBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        dropConstraint: DropConstraintNode.cloneWith(this.#props.node.dropConstraint, {
          modifier: "cascade"
        })
      })
    });
  }
  restrict() {
    return new AlterTableDropConstraintBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        dropConstraint: DropConstraintNode.cloneWith(this.#props.node.dropConstraint, {
          modifier: "restrict"
        })
      })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_alter_table_drop_constraint_builder = __esm(() => {
  init_alter_table_node();
  init_drop_constraint_node();
  init_object_utils();
  preventAwait(AlterTableDropConstraintBuilder, "don't await AlterTableDropConstraintBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/operation-node/primary-constraint-node.js
var PrimaryConstraintNode;
var init_primary_constraint_node = __esm(() => {
  init_object_utils();
  init_column_node();
  init_identifier_node();
  PrimaryConstraintNode = freeze({
    is(node) {
      return node.kind === "PrimaryKeyConstraintNode";
    },
    create(columns, constraintName) {
      return freeze({
        kind: "PrimaryKeyConstraintNode",
        columns: freeze(columns.map(ColumnNode.create)),
        name: constraintName ? IdentifierNode.create(constraintName) : undefined
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/add-index-node.js
var AddIndexNode;
var init_add_index_node = __esm(() => {
  init_object_utils();
  init_identifier_node();
  AddIndexNode = freeze({
    is(node) {
      return node.kind === "AddIndexNode";
    },
    create(name) {
      return freeze({
        kind: "AddIndexNode",
        name: IdentifierNode.create(name)
      });
    },
    cloneWith(node, props) {
      return freeze({
        ...node,
        ...props
      });
    },
    cloneWithColumns(node, columns) {
      return freeze({
        ...node,
        columns: [...node.columns || [], ...columns]
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/schema/alter-table-add-index-builder.js
class AlterTableAddIndexBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  unique() {
    return new AlterTableAddIndexBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        addIndex: AddIndexNode.cloneWith(this.#props.node.addIndex, {
          unique: true
        })
      })
    });
  }
  column(column) {
    return new AlterTableAddIndexBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        addIndex: AddIndexNode.cloneWithColumns(this.#props.node.addIndex, [
          parseOrderedColumnName(column)
        ])
      })
    });
  }
  columns(columns) {
    return new AlterTableAddIndexBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        addIndex: AddIndexNode.cloneWithColumns(this.#props.node.addIndex, columns.map(parseOrderedColumnName))
      })
    });
  }
  expression(expression) {
    return new AlterTableAddIndexBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        addIndex: AddIndexNode.cloneWithColumns(this.#props.node.addIndex, [
          expression.toOperationNode()
        ])
      })
    });
  }
  using(indexType) {
    return new AlterTableAddIndexBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        addIndex: AddIndexNode.cloneWith(this.#props.node.addIndex, {
          using: RawNode.createWithSql(indexType)
        })
      })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_alter_table_add_index_builder = __esm(() => {
  init_add_index_node();
  init_alter_table_node();
  init_raw_node();
  init_reference_parser();
  init_object_utils();
  preventAwait(AlterTableAddIndexBuilder, "don't await AlterTableAddIndexBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/schema/unique-constraint-builder.js
class UniqueConstraintNodeBuilder {
  #node;
  constructor(node) {
    this.#node = node;
  }
  toOperationNode() {
    return this.#node;
  }
  nullsNotDistinct() {
    return new UniqueConstraintNodeBuilder(UniqueConstraintNode.cloneWith(this.#node, { nullsNotDistinct: true }));
  }
}
var init_unique_constraint_builder = __esm(() => {
  init_unique_constraint_node();
  preventAwait(UniqueConstraintNodeBuilder, "don't await UniqueConstraintNodeBuilder instances directly.");
});

// ../../node_modules/kysely/dist/esm/schema/alter-table-builder.js
class AlterTableBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  renameTo(newTableName) {
    return new AlterTableExecutor({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        renameTo: parseTable(newTableName)
      })
    });
  }
  setSchema(newSchema) {
    return new AlterTableExecutor({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        setSchema: IdentifierNode.create(newSchema)
      })
    });
  }
  alterColumn(column, alteration) {
    const builder = alteration(new AlterColumnBuilder(column));
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, builder.toOperationNode())
    });
  }
  dropColumn(column) {
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, DropColumnNode.create(column))
    });
  }
  renameColumn(column, newColumn) {
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, RenameColumnNode.create(column, newColumn))
    });
  }
  addColumn(columnName, dataType, build = noop) {
    const builder = build(new ColumnDefinitionBuilder(ColumnDefinitionNode.create(columnName, parseDataTypeExpression(dataType))));
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, AddColumnNode.create(builder.toOperationNode()))
    });
  }
  modifyColumn(columnName, dataType, build = noop) {
    const builder = build(new ColumnDefinitionBuilder(ColumnDefinitionNode.create(columnName, parseDataTypeExpression(dataType))));
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, ModifyColumnNode.create(builder.toOperationNode()))
    });
  }
  addUniqueConstraint(constraintName, columns, build = noop) {
    const uniqueConstraintBuilder = build(new UniqueConstraintNodeBuilder(UniqueConstraintNode.create(columns, constraintName)));
    return new AlterTableExecutor({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        addConstraint: AddConstraintNode.create(uniqueConstraintBuilder.toOperationNode())
      })
    });
  }
  addCheckConstraint(constraintName, checkExpression) {
    return new AlterTableExecutor({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        addConstraint: AddConstraintNode.create(CheckConstraintNode.create(checkExpression.toOperationNode(), constraintName))
      })
    });
  }
  addForeignKeyConstraint(constraintName, columns, targetTable, targetColumns) {
    return new AlterTableAddForeignKeyConstraintBuilder({
      ...this.#props,
      constraintBuilder: new ForeignKeyConstraintBuilder(ForeignKeyConstraintNode.create(columns.map(ColumnNode.create), parseTable(targetTable), targetColumns.map(ColumnNode.create), constraintName))
    });
  }
  addPrimaryKeyConstraint(constraintName, columns) {
    return new AlterTableExecutor({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        addConstraint: AddConstraintNode.create(PrimaryConstraintNode.create(columns, constraintName))
      })
    });
  }
  dropConstraint(constraintName) {
    return new AlterTableDropConstraintBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        dropConstraint: DropConstraintNode.create(constraintName)
      })
    });
  }
  addIndex(indexName) {
    return new AlterTableAddIndexBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        addIndex: AddIndexNode.create(indexName)
      })
    });
  }
  dropIndex(indexName) {
    return new AlterTableExecutor({
      ...this.#props,
      node: AlterTableNode.cloneWithTableProps(this.#props.node, {
        dropIndex: DropIndexNode.create(indexName)
      })
    });
  }
  $call(func) {
    return func(this);
  }
}

class AlterTableColumnAlteringBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  alterColumn(column, alteration) {
    const builder = alteration(new AlterColumnBuilder(column));
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, builder.toOperationNode())
    });
  }
  dropColumn(column) {
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, DropColumnNode.create(column))
    });
  }
  renameColumn(column, newColumn) {
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, RenameColumnNode.create(column, newColumn))
    });
  }
  addColumn(columnName, dataType, build = noop) {
    const builder = build(new ColumnDefinitionBuilder(ColumnDefinitionNode.create(columnName, parseDataTypeExpression(dataType))));
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, AddColumnNode.create(builder.toOperationNode()))
    });
  }
  modifyColumn(columnName, dataType, build = noop) {
    const builder = build(new ColumnDefinitionBuilder(ColumnDefinitionNode.create(columnName, parseDataTypeExpression(dataType))));
    return new AlterTableColumnAlteringBuilder({
      ...this.#props,
      node: AlterTableNode.cloneWithColumnAlteration(this.#props.node, ModifyColumnNode.create(builder.toOperationNode()))
    });
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_alter_table_builder = __esm(() => {
  init_add_column_node();
  init_alter_table_node();
  init_column_definition_node();
  init_drop_column_node();
  init_identifier_node();
  init_rename_column_node();
  init_object_utils();
  init_column_definition_builder();
  init_modify_column_node();
  init_data_type_parser();
  init_foreign_key_constraint_builder();
  init_add_constraint_node();
  init_unique_constraint_node();
  init_check_constraint_node();
  init_foreign_key_constraint_node();
  init_column_node();
  init_table_parser();
  init_drop_constraint_node();
  init_alter_column_builder();
  init_alter_table_executor();
  init_alter_table_add_foreign_key_constraint_builder();
  init_alter_table_drop_constraint_builder();
  init_primary_constraint_node();
  init_drop_index_node();
  init_add_index_node();
  init_alter_table_add_index_builder();
  init_unique_constraint_builder();
  preventAwait(AlterTableBuilder, "don't await AlterTableBuilder instances");
  preventAwait(AlterTableColumnAlteringBuilder, "don't await AlterTableColumnAlteringBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/plugin/immediate-value/immediate-value-transformer.js
var ImmediateValueTransformer;
var init_immediate_value_transformer = __esm(() => {
  init_operation_node_transformer();
  ImmediateValueTransformer = class ImmediateValueTransformer extends OperationNodeTransformer {
    transformValue(node) {
      return {
        ...super.transformValue(node),
        immediate: true
      };
    }
  };
});

// ../../node_modules/kysely/dist/esm/schema/create-index-builder.js
class CreateIndexBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  ifNotExists() {
    return new CreateIndexBuilder({
      ...this.#props,
      node: CreateIndexNode.cloneWith(this.#props.node, {
        ifNotExists: true
      })
    });
  }
  unique() {
    return new CreateIndexBuilder({
      ...this.#props,
      node: CreateIndexNode.cloneWith(this.#props.node, {
        unique: true
      })
    });
  }
  nullsNotDistinct() {
    return new CreateIndexBuilder({
      ...this.#props,
      node: CreateIndexNode.cloneWith(this.#props.node, {
        nullsNotDistinct: true
      })
    });
  }
  on(table) {
    return new CreateIndexBuilder({
      ...this.#props,
      node: CreateIndexNode.cloneWith(this.#props.node, {
        table: parseTable(table)
      })
    });
  }
  column(column) {
    return new CreateIndexBuilder({
      ...this.#props,
      node: CreateIndexNode.cloneWithColumns(this.#props.node, [
        parseOrderedColumnName(column)
      ])
    });
  }
  columns(columns) {
    return new CreateIndexBuilder({
      ...this.#props,
      node: CreateIndexNode.cloneWithColumns(this.#props.node, columns.map(parseOrderedColumnName))
    });
  }
  expression(expression) {
    return new CreateIndexBuilder({
      ...this.#props,
      node: CreateIndexNode.cloneWithColumns(this.#props.node, [
        expression.toOperationNode()
      ])
    });
  }
  using(indexType) {
    return new CreateIndexBuilder({
      ...this.#props,
      node: CreateIndexNode.cloneWith(this.#props.node, {
        using: RawNode.createWithSql(indexType)
      })
    });
  }
  where(...args) {
    const transformer = new ImmediateValueTransformer;
    return new CreateIndexBuilder({
      ...this.#props,
      node: QueryNode.cloneWithWhere(this.#props.node, transformer.transformNode(parseValueBinaryOperationOrExpression(args)))
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_create_index_builder = __esm(() => {
  init_create_index_node();
  init_raw_node();
  init_reference_parser();
  init_table_parser();
  init_object_utils();
  init_binary_operation_parser();
  init_query_node();
  init_immediate_value_transformer();
  preventAwait(CreateIndexBuilder, "don't await CreateIndexBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/schema/create-schema-builder.js
class CreateSchemaBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  ifNotExists() {
    return new CreateSchemaBuilder({
      ...this.#props,
      node: CreateSchemaNode.cloneWith(this.#props.node, { ifNotExists: true })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_create_schema_builder = __esm(() => {
  init_create_schema_node();
  init_object_utils();
  preventAwait(CreateSchemaBuilder, "don't await CreateSchemaBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/parser/on-commit-action-parse.js
function parseOnCommitAction(action) {
  if (ON_COMMIT_ACTIONS.includes(action)) {
    return action;
  }
  throw new Error(`invalid OnCommitAction ${action}`);
}
var init_on_commit_action_parse = __esm(() => {
  init_create_table_node();
});

// ../../node_modules/kysely/dist/esm/schema/create-table-builder.js
class CreateTableBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  temporary() {
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWith(this.#props.node, {
        temporary: true
      })
    });
  }
  onCommit(onCommit) {
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWith(this.#props.node, {
        onCommit: parseOnCommitAction(onCommit)
      })
    });
  }
  ifNotExists() {
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWith(this.#props.node, {
        ifNotExists: true
      })
    });
  }
  addColumn(columnName, dataType, build = noop) {
    const columnBuilder = build(new ColumnDefinitionBuilder(ColumnDefinitionNode.create(columnName, parseDataTypeExpression(dataType))));
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWithColumn(this.#props.node, columnBuilder.toOperationNode())
    });
  }
  addPrimaryKeyConstraint(constraintName, columns) {
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWithConstraint(this.#props.node, PrimaryConstraintNode.create(columns, constraintName))
    });
  }
  addUniqueConstraint(constraintName, columns, build = noop) {
    const uniqueConstraintBuilder = build(new UniqueConstraintNodeBuilder(UniqueConstraintNode.create(columns, constraintName)));
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWithConstraint(this.#props.node, uniqueConstraintBuilder.toOperationNode())
    });
  }
  addCheckConstraint(constraintName, checkExpression) {
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWithConstraint(this.#props.node, CheckConstraintNode.create(checkExpression.toOperationNode(), constraintName))
    });
  }
  addForeignKeyConstraint(constraintName, columns, targetTable, targetColumns, build = noop) {
    const builder = build(new ForeignKeyConstraintBuilder(ForeignKeyConstraintNode.create(columns.map(ColumnNode.create), parseTable(targetTable), targetColumns.map(ColumnNode.create), constraintName)));
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWithConstraint(this.#props.node, builder.toOperationNode())
    });
  }
  modifyFront(modifier) {
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWithFrontModifier(this.#props.node, modifier.toOperationNode())
    });
  }
  modifyEnd(modifier) {
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWithEndModifier(this.#props.node, modifier.toOperationNode())
    });
  }
  as(expression) {
    return new CreateTableBuilder({
      ...this.#props,
      node: CreateTableNode.cloneWith(this.#props.node, {
        selectQuery: parseExpression(expression)
      })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_create_table_builder = __esm(() => {
  init_column_definition_node();
  init_create_table_node();
  init_column_definition_builder();
  init_object_utils();
  init_foreign_key_constraint_node();
  init_column_node();
  init_foreign_key_constraint_builder();
  init_data_type_parser();
  init_primary_constraint_node();
  init_unique_constraint_node();
  init_check_constraint_node();
  init_table_parser();
  init_on_commit_action_parse();
  init_unique_constraint_builder();
  init_expression_parser();
  preventAwait(CreateTableBuilder, "don't await CreateTableBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/schema/drop-index-builder.js
class DropIndexBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  on(table) {
    return new DropIndexBuilder({
      ...this.#props,
      node: DropIndexNode.cloneWith(this.#props.node, {
        table: parseTable(table)
      })
    });
  }
  ifExists() {
    return new DropIndexBuilder({
      ...this.#props,
      node: DropIndexNode.cloneWith(this.#props.node, {
        ifExists: true
      })
    });
  }
  cascade() {
    return new DropIndexBuilder({
      ...this.#props,
      node: DropIndexNode.cloneWith(this.#props.node, {
        cascade: true
      })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_drop_index_builder = __esm(() => {
  init_drop_index_node();
  init_table_parser();
  init_object_utils();
  preventAwait(DropIndexBuilder, "don't await DropIndexBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/schema/drop-schema-builder.js
class DropSchemaBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  ifExists() {
    return new DropSchemaBuilder({
      ...this.#props,
      node: DropSchemaNode.cloneWith(this.#props.node, {
        ifExists: true
      })
    });
  }
  cascade() {
    return new DropSchemaBuilder({
      ...this.#props,
      node: DropSchemaNode.cloneWith(this.#props.node, {
        cascade: true
      })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_drop_schema_builder = __esm(() => {
  init_drop_schema_node();
  init_object_utils();
  preventAwait(DropSchemaBuilder, "don't await DropSchemaBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/schema/drop-table-builder.js
class DropTableBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  ifExists() {
    return new DropTableBuilder({
      ...this.#props,
      node: DropTableNode.cloneWith(this.#props.node, {
        ifExists: true
      })
    });
  }
  cascade() {
    return new DropTableBuilder({
      ...this.#props,
      node: DropTableNode.cloneWith(this.#props.node, {
        cascade: true
      })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_drop_table_builder = __esm(() => {
  init_drop_table_node();
  init_object_utils();
  preventAwait(DropTableBuilder, "don't await DropTableBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/operation-node/create-view-node.js
var CreateViewNode;
var init_create_view_node = __esm(() => {
  init_object_utils();
  init_schemable_identifier_node();
  CreateViewNode = freeze({
    is(node) {
      return node.kind === "CreateViewNode";
    },
    create(name) {
      return freeze({
        kind: "CreateViewNode",
        name: SchemableIdentifierNode.create(name)
      });
    },
    cloneWith(createView, params) {
      return freeze({
        ...createView,
        ...params
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/plugin/immediate-value/immediate-value-plugin.js
class ImmediateValuePlugin {
  #transformer = new ImmediateValueTransformer;
  transformQuery(args) {
    return this.#transformer.transformNode(args.node);
  }
  transformResult(args) {
    return Promise.resolve(args.result);
  }
}
var init_immediate_value_plugin = __esm(() => {
  init_immediate_value_transformer();
});

// ../../node_modules/kysely/dist/esm/schema/create-view-builder.js
class CreateViewBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  temporary() {
    return new CreateViewBuilder({
      ...this.#props,
      node: CreateViewNode.cloneWith(this.#props.node, {
        temporary: true
      })
    });
  }
  materialized() {
    return new CreateViewBuilder({
      ...this.#props,
      node: CreateViewNode.cloneWith(this.#props.node, {
        materialized: true
      })
    });
  }
  ifNotExists() {
    return new CreateViewBuilder({
      ...this.#props,
      node: CreateViewNode.cloneWith(this.#props.node, {
        ifNotExists: true
      })
    });
  }
  orReplace() {
    return new CreateViewBuilder({
      ...this.#props,
      node: CreateViewNode.cloneWith(this.#props.node, {
        orReplace: true
      })
    });
  }
  columns(columns) {
    return new CreateViewBuilder({
      ...this.#props,
      node: CreateViewNode.cloneWith(this.#props.node, {
        columns: columns.map(parseColumnName)
      })
    });
  }
  as(query) {
    const queryNode = query.withPlugin(new ImmediateValuePlugin).toOperationNode();
    return new CreateViewBuilder({
      ...this.#props,
      node: CreateViewNode.cloneWith(this.#props.node, {
        as: queryNode
      })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_create_view_builder = __esm(() => {
  init_object_utils();
  init_create_view_node();
  init_reference_parser();
  init_immediate_value_plugin();
  preventAwait(CreateViewBuilder, "don't await CreateViewBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/operation-node/drop-view-node.js
var DropViewNode;
var init_drop_view_node = __esm(() => {
  init_object_utils();
  init_schemable_identifier_node();
  DropViewNode = freeze({
    is(node) {
      return node.kind === "DropViewNode";
    },
    create(name) {
      return freeze({
        kind: "DropViewNode",
        name: SchemableIdentifierNode.create(name)
      });
    },
    cloneWith(dropView, params) {
      return freeze({
        ...dropView,
        ...params
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/schema/drop-view-builder.js
class DropViewBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  materialized() {
    return new DropViewBuilder({
      ...this.#props,
      node: DropViewNode.cloneWith(this.#props.node, {
        materialized: true
      })
    });
  }
  ifExists() {
    return new DropViewBuilder({
      ...this.#props,
      node: DropViewNode.cloneWith(this.#props.node, {
        ifExists: true
      })
    });
  }
  cascade() {
    return new DropViewBuilder({
      ...this.#props,
      node: DropViewNode.cloneWith(this.#props.node, {
        cascade: true
      })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_drop_view_builder = __esm(() => {
  init_object_utils();
  init_drop_view_node();
  preventAwait(DropViewBuilder, "don't await DropViewBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/operation-node/create-type-node.js
var CreateTypeNode;
var init_create_type_node = __esm(() => {
  init_object_utils();
  init_value_list_node();
  init_value_node();
  CreateTypeNode = freeze({
    is(node) {
      return node.kind === "CreateTypeNode";
    },
    create(name) {
      return freeze({
        kind: "CreateTypeNode",
        name
      });
    },
    cloneWithEnum(createType2, values) {
      return freeze({
        ...createType2,
        enum: ValueListNode.create(values.map((value2) => ValueNode.createImmediate(value2)))
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/schema/create-type-builder.js
class CreateTypeBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  asEnum(values) {
    return new CreateTypeBuilder({
      ...this.#props,
      node: CreateTypeNode.cloneWithEnum(this.#props.node, values)
    });
  }
  $call(func) {
    return func(this);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_create_type_builder = __esm(() => {
  init_object_utils();
  init_create_type_node();
  preventAwait(CreateTypeBuilder, "don't await CreateTypeBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/operation-node/drop-type-node.js
var DropTypeNode;
var init_drop_type_node = __esm(() => {
  init_object_utils();
  DropTypeNode = freeze({
    is(node) {
      return node.kind === "DropTypeNode";
    },
    create(name) {
      return freeze({
        kind: "DropTypeNode",
        name
      });
    },
    cloneWith(dropType, params) {
      return freeze({
        ...dropType,
        ...params
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/schema/drop-type-builder.js
class DropTypeBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  ifExists() {
    return new DropTypeBuilder({
      ...this.#props,
      node: DropTypeNode.cloneWith(this.#props.node, {
        ifExists: true
      })
    });
  }
  $call(func) {
    return func(this);
  }
  toOperationNode() {
    return this.#props.executor.transformQuery(this.#props.node, this.#props.queryId);
  }
  compile() {
    return this.#props.executor.compileQuery(this.toOperationNode(), this.#props.queryId);
  }
  async execute() {
    await this.#props.executor.executeQuery(this.compile(), this.#props.queryId);
  }
}
var init_drop_type_builder = __esm(() => {
  init_drop_type_node();
  init_object_utils();
  preventAwait(DropTypeBuilder, "don't await DropTypeBuilder instances directly. To execute the query you need to call `execute`");
});

// ../../node_modules/kysely/dist/esm/parser/identifier-parser.js
function parseSchemableIdentifier(id) {
  const SCHEMA_SEPARATOR = ".";
  if (id.includes(SCHEMA_SEPARATOR)) {
    const parts = id.split(SCHEMA_SEPARATOR).map(trim3);
    if (parts.length === 2) {
      return SchemableIdentifierNode.createWithSchema(parts[0], parts[1]);
    } else {
      throw new Error(`invalid schemable identifier ${id}`);
    }
  } else {
    return SchemableIdentifierNode.create(id);
  }
}
function trim3(str) {
  return str.trim();
}
var init_identifier_parser = __esm(() => {
  init_schemable_identifier_node();
});

// ../../node_modules/kysely/dist/esm/schema/schema.js
class SchemaModule {
  #executor;
  constructor(executor) {
    this.#executor = executor;
  }
  createTable(table) {
    return new CreateTableBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: CreateTableNode.create(parseTable(table))
    });
  }
  dropTable(table) {
    return new DropTableBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: DropTableNode.create(parseTable(table))
    });
  }
  createIndex(indexName) {
    return new CreateIndexBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: CreateIndexNode.create(indexName)
    });
  }
  dropIndex(indexName) {
    return new DropIndexBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: DropIndexNode.create(indexName)
    });
  }
  createSchema(schema3) {
    return new CreateSchemaBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: CreateSchemaNode.create(schema3)
    });
  }
  dropSchema(schema3) {
    return new DropSchemaBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: DropSchemaNode.create(schema3)
    });
  }
  alterTable(table) {
    return new AlterTableBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: AlterTableNode.create(parseTable(table))
    });
  }
  createView(viewName) {
    return new CreateViewBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: CreateViewNode.create(viewName)
    });
  }
  dropView(viewName) {
    return new DropViewBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: DropViewNode.create(viewName)
    });
  }
  createType(typeName) {
    return new CreateTypeBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: CreateTypeNode.create(parseSchemableIdentifier(typeName))
    });
  }
  dropType(typeName) {
    return new DropTypeBuilder({
      queryId: createQueryId(),
      executor: this.#executor,
      node: DropTypeNode.create(parseSchemableIdentifier(typeName))
    });
  }
  withPlugin(plugin) {
    return new SchemaModule(this.#executor.withPlugin(plugin));
  }
  withoutPlugins() {
    return new SchemaModule(this.#executor.withoutPlugins());
  }
  withSchema(schema3) {
    return new SchemaModule(this.#executor.withPluginAtFront(new WithSchemaPlugin(schema3)));
  }
}
var init_schema3 = __esm(() => {
  init_alter_table_node();
  init_create_index_node();
  init_create_schema_node();
  init_create_table_node();
  init_drop_index_node();
  init_drop_schema_node();
  init_drop_table_node();
  init_table_parser();
  init_alter_table_builder();
  init_create_index_builder();
  init_create_schema_builder();
  init_create_table_builder();
  init_drop_index_builder();
  init_drop_schema_builder();
  init_drop_table_builder();
  init_query_id();
  init_with_schema_plugin();
  init_create_view_builder();
  init_create_view_node();
  init_drop_view_builder();
  init_drop_view_node();
  init_create_type_builder();
  init_drop_type_builder();
  init_create_type_node();
  init_drop_type_node();
  init_identifier_parser();
});

// ../../node_modules/kysely/dist/esm/dynamic/dynamic.js
class DynamicModule {
  ref(reference) {
    return new DynamicReferenceBuilder(reference);
  }
}
var init_dynamic = __esm(() => {
  init_dynamic_reference_builder();
});

// ../../node_modules/kysely/dist/esm/driver/default-connection-provider.js
class DefaultConnectionProvider {
  #driver;
  constructor(driver) {
    this.#driver = driver;
  }
  async provideConnection(consumer) {
    const connection = await this.#driver.acquireConnection();
    try {
      return await consumer(connection);
    } finally {
      await this.#driver.releaseConnection(connection);
    }
  }
}

// ../../node_modules/kysely/dist/esm/query-executor/default-query-executor.js
var DefaultQueryExecutor;
var init_default_query_executor = __esm(() => {
  init_query_executor_base();
  DefaultQueryExecutor = class DefaultQueryExecutor extends QueryExecutorBase {
    #compiler;
    #adapter;
    #connectionProvider;
    constructor(compiler2, adapter, connectionProvider, plugins = []) {
      super(plugins);
      this.#compiler = compiler2;
      this.#adapter = adapter;
      this.#connectionProvider = connectionProvider;
    }
    get adapter() {
      return this.#adapter;
    }
    compileQuery(node) {
      return this.#compiler.compileQuery(node);
    }
    provideConnection(consumer) {
      return this.#connectionProvider.provideConnection(consumer);
    }
    withPlugins(plugins) {
      return new DefaultQueryExecutor(this.#compiler, this.#adapter, this.#connectionProvider, [...this.plugins, ...plugins]);
    }
    withPlugin(plugin) {
      return new DefaultQueryExecutor(this.#compiler, this.#adapter, this.#connectionProvider, [...this.plugins, plugin]);
    }
    withPluginAtFront(plugin) {
      return new DefaultQueryExecutor(this.#compiler, this.#adapter, this.#connectionProvider, [plugin, ...this.plugins]);
    }
    withConnectionProvider(connectionProvider) {
      return new DefaultQueryExecutor(this.#compiler, this.#adapter, connectionProvider, [...this.plugins]);
    }
    withoutPlugins() {
      return new DefaultQueryExecutor(this.#compiler, this.#adapter, this.#connectionProvider, []);
    }
  };
});

// ../../node_modules/kysely/dist/esm/util/performance-now.js
function performanceNow() {
  if (typeof performance !== "undefined" && isFunction(performance.now)) {
    return performance.now();
  } else {
    return Date.now();
  }
}
var init_performance_now = __esm(() => {
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/driver/runtime-driver.js
class RuntimeDriver {
  #driver;
  #log;
  #initPromise;
  #initDone;
  #destroyPromise;
  #connections = new WeakSet;
  constructor(driver, log) {
    this.#initDone = false;
    this.#driver = driver;
    this.#log = log;
  }
  async init() {
    if (this.#destroyPromise) {
      throw new Error("driver has already been destroyed");
    }
    if (!this.#initPromise) {
      this.#initPromise = this.#driver.init().then(() => {
        this.#initDone = true;
      }).catch((err2) => {
        this.#initPromise = undefined;
        return Promise.reject(err2);
      });
    }
    await this.#initPromise;
  }
  async acquireConnection() {
    if (this.#destroyPromise) {
      throw new Error("driver has already been destroyed");
    }
    if (!this.#initDone) {
      await this.init();
    }
    const connection = await this.#driver.acquireConnection();
    if (!this.#connections.has(connection)) {
      if (this.#needsLogging()) {
        this.#addLogging(connection);
      }
      this.#connections.add(connection);
    }
    return connection;
  }
  async releaseConnection(connection) {
    await this.#driver.releaseConnection(connection);
  }
  beginTransaction(connection, settings) {
    return this.#driver.beginTransaction(connection, settings);
  }
  commitTransaction(connection) {
    return this.#driver.commitTransaction(connection);
  }
  rollbackTransaction(connection) {
    return this.#driver.rollbackTransaction(connection);
  }
  async destroy() {
    if (!this.#initPromise) {
      return;
    }
    await this.#initPromise;
    if (!this.#destroyPromise) {
      this.#destroyPromise = this.#driver.destroy().catch((err2) => {
        this.#destroyPromise = undefined;
        return Promise.reject(err2);
      });
    }
    await this.#destroyPromise;
  }
  #needsLogging() {
    return this.#log.isLevelEnabled("query") || this.#log.isLevelEnabled("error");
  }
  #addLogging(connection) {
    const executeQuery = connection.executeQuery;
    connection.executeQuery = async (compiledQuery) => {
      let caughtError;
      const startTime = performanceNow();
      try {
        return await executeQuery.call(connection, compiledQuery);
      } catch (error3) {
        caughtError = error3;
        await this.#logError(error3, compiledQuery, startTime);
        throw error3;
      } finally {
        if (!caughtError) {
          await this.#logQuery(compiledQuery, startTime);
        }
      }
    };
  }
  async#logError(error3, compiledQuery, startTime) {
    await this.#log.error(() => ({
      level: "error",
      error: error3,
      query: compiledQuery,
      queryDurationMillis: this.#calculateDurationMillis(startTime)
    }));
  }
  async#logQuery(compiledQuery, startTime) {
    await this.#log.query(() => ({
      level: "query",
      query: compiledQuery,
      queryDurationMillis: this.#calculateDurationMillis(startTime)
    }));
  }
  #calculateDurationMillis(startTime) {
    return performanceNow() - startTime;
  }
}
var init_runtime_driver = __esm(() => {
  init_performance_now();
});

// ../../node_modules/kysely/dist/esm/driver/single-connection-provider.js
class SingleConnectionProvider {
  #connection;
  #runningPromise;
  constructor(connection) {
    this.#connection = connection;
  }
  async provideConnection(consumer) {
    while (this.#runningPromise) {
      await this.#runningPromise.catch(ignoreError);
    }
    this.#runningPromise = this.#run(consumer).finally(() => {
      this.#runningPromise = undefined;
    });
    return this.#runningPromise;
  }
  async#run(runner) {
    return await runner(this.#connection);
  }
}
var ignoreError = () => {
};

// ../../node_modules/kysely/dist/esm/driver/driver.js
var TRANSACTION_ISOLATION_LEVELS;
var init_driver = __esm(() => {
  TRANSACTION_ISOLATION_LEVELS = [
    "read uncommitted",
    "read committed",
    "repeatable read",
    "serializable",
    "snapshot"
  ];
});

// ../../node_modules/kysely/dist/esm/util/log.js
class Log {
  #levels;
  #logger;
  constructor(config) {
    if (isFunction(config)) {
      this.#logger = config;
      this.#levels = freeze({
        query: true,
        error: true
      });
    } else {
      this.#logger = defaultLogger;
      this.#levels = freeze({
        query: config.includes("query"),
        error: config.includes("error")
      });
    }
  }
  isLevelEnabled(level) {
    return this.#levels[level];
  }
  async query(getEvent) {
    if (this.#levels.query) {
      await this.#logger(getEvent());
    }
  }
  async error(getEvent) {
    if (this.#levels.error) {
      await this.#logger(getEvent());
    }
  }
}
function defaultLogger(event) {
  if (event.level === "query") {
    console.log(`kysely:query: ${event.query.sql}`);
    console.log(`kysely:query: duration: ${event.queryDurationMillis.toFixed(1)}ms`);
  } else if (event.level === "error") {
    if (event.error instanceof Error) {
      console.error(`kysely:error: ${event.error.stack ?? event.error.message}`);
    } else {
      console.error(`kysely:error: ${JSON.stringify({
        error: event.error,
        query: event.query.sql,
        queryDurationMillis: event.queryDurationMillis
      })}`);
    }
  }
}
var LOG_LEVELS;
var init_log = __esm(() => {
  init_object_utils();
  LOG_LEVELS = freeze(["query", "error"]);
});

// ../../node_modules/kysely/dist/esm/util/compilable.js
function isCompilable(value2) {
  return isObject2(value2) && isFunction(value2.compile);
}
var init_compilable = __esm(() => {
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/kysely.js
function isKyselyProps(obj) {
  return isObject2(obj) && isObject2(obj.config) && isObject2(obj.driver) && isObject2(obj.executor) && isObject2(obj.dialect);
}

class ConnectionBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  async execute(callback) {
    return this.#props.executor.provideConnection(async (connection) => {
      const executor = this.#props.executor.withConnectionProvider(new SingleConnectionProvider(connection));
      const db = new Kysely({
        ...this.#props,
        executor
      });
      return await callback(db);
    });
  }
}

class TransactionBuilder {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  setIsolationLevel(isolationLevel) {
    return new TransactionBuilder({
      ...this.#props,
      isolationLevel
    });
  }
  async execute(callback) {
    const { isolationLevel, ...kyselyProps } = this.#props;
    const settings = { isolationLevel };
    validateTransactionSettings(settings);
    return this.#props.executor.provideConnection(async (connection) => {
      const executor = this.#props.executor.withConnectionProvider(new SingleConnectionProvider(connection));
      const transaction = new Transaction({
        ...kyselyProps,
        executor
      });
      try {
        await this.#props.driver.beginTransaction(connection, settings);
        const result = await callback(transaction);
        await this.#props.driver.commitTransaction(connection);
        return result;
      } catch (error3) {
        await this.#props.driver.rollbackTransaction(connection);
        throw error3;
      }
    });
  }
}
function validateTransactionSettings(settings) {
  if (settings.isolationLevel && !TRANSACTION_ISOLATION_LEVELS.includes(settings.isolationLevel)) {
    throw new Error(`invalid transaction isolation level ${settings.isolationLevel}`);
  }
}
var Kysely, Transaction;
var init_kysely = __esm(() => {
  init_schema3();
  init_dynamic();
  init_query_creator();
  init_default_query_executor();
  init_object_utils();
  init_runtime_driver();
  init_driver();
  init_function_module();
  init_log();
  init_query_id();
  init_compilable();
  init_case_builder();
  init_case_node();
  init_expression_parser();
  init_with_schema_plugin();
  Kysely = class Kysely extends QueryCreator {
    #props;
    constructor(args) {
      let superProps;
      let props;
      if (isKyselyProps(args)) {
        superProps = { executor: args.executor };
        props = { ...args };
      } else {
        const dialect = args.dialect;
        const driver = dialect.createDriver();
        const compiler2 = dialect.createQueryCompiler();
        const adapter = dialect.createAdapter();
        const log = new Log(args.log ?? []);
        const runtimeDriver = new RuntimeDriver(driver, log);
        const connectionProvider = new DefaultConnectionProvider(runtimeDriver);
        const executor = new DefaultQueryExecutor(compiler2, adapter, connectionProvider, args.plugins ?? []);
        superProps = { executor };
        props = {
          config: args,
          executor,
          dialect,
          driver: runtimeDriver
        };
      }
      super(superProps);
      this.#props = freeze(props);
    }
    get schema() {
      return new SchemaModule(this.#props.executor);
    }
    get dynamic() {
      return new DynamicModule;
    }
    get introspection() {
      return this.#props.dialect.createIntrospector(this.withoutPlugins());
    }
    case(value2) {
      return new CaseBuilder({
        node: CaseNode.create(isUndefined(value2) ? undefined : parseExpression(value2))
      });
    }
    get fn() {
      return createFunctionModule();
    }
    transaction() {
      return new TransactionBuilder({ ...this.#props });
    }
    connection() {
      return new ConnectionBuilder({ ...this.#props });
    }
    withPlugin(plugin) {
      return new Kysely({
        ...this.#props,
        executor: this.#props.executor.withPlugin(plugin)
      });
    }
    withoutPlugins() {
      return new Kysely({
        ...this.#props,
        executor: this.#props.executor.withoutPlugins()
      });
    }
    withSchema(schema3) {
      return new Kysely({
        ...this.#props,
        executor: this.#props.executor.withPluginAtFront(new WithSchemaPlugin(schema3))
      });
    }
    withTables() {
      return new Kysely({ ...this.#props });
    }
    async destroy() {
      await this.#props.driver.destroy();
    }
    get isTransaction() {
      return false;
    }
    getExecutor() {
      return this.#props.executor;
    }
    executeQuery(query, queryId = createQueryId()) {
      const compiledQuery = isCompilable(query) ? query.compile() : query;
      return this.getExecutor().executeQuery(compiledQuery, queryId);
    }
  };
  Transaction = class Transaction extends Kysely {
    #props;
    constructor(props) {
      super(props);
      this.#props = props;
    }
    get isTransaction() {
      return true;
    }
    transaction() {
      throw new Error("calling the transaction method for a Transaction is not supported");
    }
    connection() {
      throw new Error("calling the connection method for a Transaction is not supported");
    }
    async destroy() {
      throw new Error("calling the destroy method for a Transaction is not supported");
    }
    withPlugin(plugin) {
      return new Transaction({
        ...this.#props,
        executor: this.#props.executor.withPlugin(plugin)
      });
    }
    withoutPlugins() {
      return new Transaction({
        ...this.#props,
        executor: this.#props.executor.withoutPlugins()
      });
    }
    withSchema(schema3) {
      return new Transaction({
        ...this.#props,
        executor: this.#props.executor.withPluginAtFront(new WithSchemaPlugin(schema3))
      });
    }
    withTables() {
      return new Transaction({ ...this.#props });
    }
  };
  preventAwait(ConnectionBuilder, "don't await ConnectionBuilder instances directly. To execute the query you need to call the `execute` method");
  preventAwait(TransactionBuilder, "don't await TransactionBuilder instances directly. To execute the transaction you need to call the `execute` method");
});

// ../../node_modules/kysely/dist/esm/query-builder/where-interface.js
var init_where_interface = () => {
};

// ../../node_modules/kysely/dist/esm/query-builder/returning-interface.js
var init_returning_interface = () => {
};

// ../../node_modules/kysely/dist/esm/query-builder/output-interface.js
var init_output_interface = () => {
};

// ../../node_modules/kysely/dist/esm/query-builder/having-interface.js
var init_having_interface = () => {
};

// ../../node_modules/kysely/dist/esm/raw-builder/raw-builder.js
class RawBuilderImpl {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  get expressionType() {
    return;
  }
  get isRawBuilder() {
    return true;
  }
  as(alias) {
    return new AliasedRawBuilderImpl(this, alias);
  }
  $castTo() {
    return new RawBuilderImpl({ ...this.#props });
  }
  $notNull() {
    return new RawBuilderImpl(this.#props);
  }
  withPlugin(plugin) {
    return new RawBuilderImpl({
      ...this.#props,
      plugins: this.#props.plugins !== undefined ? freeze([...this.#props.plugins, plugin]) : freeze([plugin])
    });
  }
  toOperationNode() {
    return this.#toOperationNode(this.#getExecutor());
  }
  compile(executorProvider) {
    return this.#compile(this.#getExecutor(executorProvider));
  }
  async execute(executorProvider) {
    const executor = this.#getExecutor(executorProvider);
    return executor.executeQuery(this.#compile(executor), this.#props.queryId);
  }
  #getExecutor(executorProvider) {
    const executor = executorProvider !== undefined ? executorProvider.getExecutor() : NOOP_QUERY_EXECUTOR;
    return this.#props.plugins !== undefined ? executor.withPlugins(this.#props.plugins) : executor;
  }
  #toOperationNode(executor) {
    return executor.transformQuery(this.#props.rawNode, this.#props.queryId);
  }
  #compile(executor) {
    return executor.compileQuery(this.#toOperationNode(executor), this.#props.queryId);
  }
}
function createRawBuilder(props) {
  return new RawBuilderImpl(props);
}

class AliasedRawBuilderImpl {
  #rawBuilder;
  #alias;
  constructor(rawBuilder, alias) {
    this.#rawBuilder = rawBuilder;
    this.#alias = alias;
  }
  get expression() {
    return this.#rawBuilder;
  }
  get alias() {
    return this.#alias;
  }
  get rawBuilder() {
    return this.#rawBuilder;
  }
  toOperationNode() {
    return AliasNode.create(this.#rawBuilder.toOperationNode(), isOperationNodeSource(this.#alias) ? this.#alias.toOperationNode() : IdentifierNode.create(this.#alias));
  }
}
var init_raw_builder = __esm(() => {
  init_alias_node();
  init_object_utils();
  init_noop_query_executor();
  init_identifier_node();
  init_operation_node_source();
  preventAwait(RawBuilderImpl, "don't await RawBuilder instances directly. To execute the query you need to call `execute`");
  preventAwait(AliasedRawBuilderImpl, "don't await AliasedRawBuilder instances directly. AliasedRawBuilder should never be executed directly since it's always a part of another query.");
});

// ../../node_modules/kysely/dist/esm/raw-builder/sql.js
function parseParameter(param) {
  if (isOperationNodeSource(param)) {
    return param.toOperationNode();
  }
  return parseValueExpression(param);
}
var sql;
var init_sql = __esm(() => {
  init_identifier_node();
  init_operation_node_source();
  init_raw_node();
  init_value_node();
  init_reference_parser();
  init_table_parser();
  init_value_parser();
  init_query_id();
  init_raw_builder();
  sql = Object.assign((sqlFragments, ...parameters3) => {
    return createRawBuilder({
      queryId: createQueryId(),
      rawNode: RawNode.create(sqlFragments, parameters3?.map(parseParameter) ?? [])
    });
  }, {
    ref(columnReference) {
      return createRawBuilder({
        queryId: createQueryId(),
        rawNode: RawNode.createWithChild(parseStringReference(columnReference))
      });
    },
    val(value2) {
      return createRawBuilder({
        queryId: createQueryId(),
        rawNode: RawNode.createWithChild(parseValueExpression(value2))
      });
    },
    value(value2) {
      return this.val(value2);
    },
    table(tableReference) {
      return createRawBuilder({
        queryId: createQueryId(),
        rawNode: RawNode.createWithChild(parseTable(tableReference))
      });
    },
    id(...ids) {
      const fragments = new Array(ids.length + 1).fill(".");
      fragments[0] = "";
      fragments[fragments.length - 1] = "";
      return createRawBuilder({
        queryId: createQueryId(),
        rawNode: RawNode.create(fragments, ids.map(IdentifierNode.create))
      });
    },
    lit(value2) {
      return createRawBuilder({
        queryId: createQueryId(),
        rawNode: RawNode.createWithChild(ValueNode.createImmediate(value2))
      });
    },
    literal(value2) {
      return this.lit(value2);
    },
    raw(sql2) {
      return createRawBuilder({
        queryId: createQueryId(),
        rawNode: RawNode.createWithSql(sql2)
      });
    },
    join(array3, separator = sql`, `) {
      const nodes = new Array(2 * array3.length - 1);
      const sep = separator.toOperationNode();
      for (let i = 0;i < array3.length; ++i) {
        nodes[2 * i] = parseParameter(array3[i]);
        if (i !== array3.length - 1) {
          nodes[2 * i + 1] = sep;
        }
      }
      return createRawBuilder({
        queryId: createQueryId(),
        rawNode: RawNode.createWithChildren(nodes)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/query-executor/query-executor.js
var init_query_executor = () => {
};

// ../../node_modules/kysely/dist/esm/query-executor/query-executor-provider.js
var init_query_executor_provider = () => {
};

// ../../node_modules/kysely/dist/esm/operation-node/operation-node-visitor.js
class OperationNodeVisitor {
  nodeStack = [];
  get parentNode() {
    return this.nodeStack[this.nodeStack.length - 2];
  }
  #visitors = freeze({
    AliasNode: this.visitAlias.bind(this),
    ColumnNode: this.visitColumn.bind(this),
    IdentifierNode: this.visitIdentifier.bind(this),
    SchemableIdentifierNode: this.visitSchemableIdentifier.bind(this),
    RawNode: this.visitRaw.bind(this),
    ReferenceNode: this.visitReference.bind(this),
    SelectQueryNode: this.visitSelectQuery.bind(this),
    SelectionNode: this.visitSelection.bind(this),
    TableNode: this.visitTable.bind(this),
    FromNode: this.visitFrom.bind(this),
    SelectAllNode: this.visitSelectAll.bind(this),
    AndNode: this.visitAnd.bind(this),
    OrNode: this.visitOr.bind(this),
    ValueNode: this.visitValue.bind(this),
    ValueListNode: this.visitValueList.bind(this),
    PrimitiveValueListNode: this.visitPrimitiveValueList.bind(this),
    ParensNode: this.visitParens.bind(this),
    JoinNode: this.visitJoin.bind(this),
    OperatorNode: this.visitOperator.bind(this),
    WhereNode: this.visitWhere.bind(this),
    InsertQueryNode: this.visitInsertQuery.bind(this),
    DeleteQueryNode: this.visitDeleteQuery.bind(this),
    ReturningNode: this.visitReturning.bind(this),
    CreateTableNode: this.visitCreateTable.bind(this),
    AddColumnNode: this.visitAddColumn.bind(this),
    ColumnDefinitionNode: this.visitColumnDefinition.bind(this),
    DropTableNode: this.visitDropTable.bind(this),
    DataTypeNode: this.visitDataType.bind(this),
    OrderByNode: this.visitOrderBy.bind(this),
    OrderByItemNode: this.visitOrderByItem.bind(this),
    GroupByNode: this.visitGroupBy.bind(this),
    GroupByItemNode: this.visitGroupByItem.bind(this),
    UpdateQueryNode: this.visitUpdateQuery.bind(this),
    ColumnUpdateNode: this.visitColumnUpdate.bind(this),
    LimitNode: this.visitLimit.bind(this),
    OffsetNode: this.visitOffset.bind(this),
    OnConflictNode: this.visitOnConflict.bind(this),
    OnDuplicateKeyNode: this.visitOnDuplicateKey.bind(this),
    CreateIndexNode: this.visitCreateIndex.bind(this),
    DropIndexNode: this.visitDropIndex.bind(this),
    ListNode: this.visitList.bind(this),
    PrimaryKeyConstraintNode: this.visitPrimaryKeyConstraint.bind(this),
    UniqueConstraintNode: this.visitUniqueConstraint.bind(this),
    ReferencesNode: this.visitReferences.bind(this),
    CheckConstraintNode: this.visitCheckConstraint.bind(this),
    WithNode: this.visitWith.bind(this),
    CommonTableExpressionNode: this.visitCommonTableExpression.bind(this),
    CommonTableExpressionNameNode: this.visitCommonTableExpressionName.bind(this),
    HavingNode: this.visitHaving.bind(this),
    CreateSchemaNode: this.visitCreateSchema.bind(this),
    DropSchemaNode: this.visitDropSchema.bind(this),
    AlterTableNode: this.visitAlterTable.bind(this),
    DropColumnNode: this.visitDropColumn.bind(this),
    RenameColumnNode: this.visitRenameColumn.bind(this),
    AlterColumnNode: this.visitAlterColumn.bind(this),
    ModifyColumnNode: this.visitModifyColumn.bind(this),
    AddConstraintNode: this.visitAddConstraint.bind(this),
    DropConstraintNode: this.visitDropConstraint.bind(this),
    ForeignKeyConstraintNode: this.visitForeignKeyConstraint.bind(this),
    CreateViewNode: this.visitCreateView.bind(this),
    DropViewNode: this.visitDropView.bind(this),
    GeneratedNode: this.visitGenerated.bind(this),
    DefaultValueNode: this.visitDefaultValue.bind(this),
    OnNode: this.visitOn.bind(this),
    ValuesNode: this.visitValues.bind(this),
    SelectModifierNode: this.visitSelectModifier.bind(this),
    CreateTypeNode: this.visitCreateType.bind(this),
    DropTypeNode: this.visitDropType.bind(this),
    ExplainNode: this.visitExplain.bind(this),
    DefaultInsertValueNode: this.visitDefaultInsertValue.bind(this),
    AggregateFunctionNode: this.visitAggregateFunction.bind(this),
    OverNode: this.visitOver.bind(this),
    PartitionByNode: this.visitPartitionBy.bind(this),
    PartitionByItemNode: this.visitPartitionByItem.bind(this),
    SetOperationNode: this.visitSetOperation.bind(this),
    BinaryOperationNode: this.visitBinaryOperation.bind(this),
    UnaryOperationNode: this.visitUnaryOperation.bind(this),
    UsingNode: this.visitUsing.bind(this),
    FunctionNode: this.visitFunction.bind(this),
    CaseNode: this.visitCase.bind(this),
    WhenNode: this.visitWhen.bind(this),
    JSONReferenceNode: this.visitJSONReference.bind(this),
    JSONPathNode: this.visitJSONPath.bind(this),
    JSONPathLegNode: this.visitJSONPathLeg.bind(this),
    JSONOperatorChainNode: this.visitJSONOperatorChain.bind(this),
    TupleNode: this.visitTuple.bind(this),
    MergeQueryNode: this.visitMergeQuery.bind(this),
    MatchedNode: this.visitMatched.bind(this),
    AddIndexNode: this.visitAddIndex.bind(this),
    CastNode: this.visitCast.bind(this),
    FetchNode: this.visitFetch.bind(this),
    TopNode: this.visitTop.bind(this),
    OutputNode: this.visitOutput.bind(this)
  });
  visitNode = (node) => {
    this.nodeStack.push(node);
    this.#visitors[node.kind](node);
    this.nodeStack.pop();
  };
}
var init_operation_node_visitor = __esm(() => {
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/query-compiler/default-query-compiler.js
var DefaultQueryCompiler, SELECT_MODIFIER_SQL, SELECT_MODIFIER_PRIORITY, JOIN_TYPE_SQL;
var init_default_query_compiler = __esm(() => {
  init_create_table_node();
  init_insert_query_node();
  init_operation_node_visitor();
  init_operator_node();
  init_parens_node();
  init_query_node();
  init_object_utils();
  init_create_view_node();
  init_set_operation_node();
  init_merge_query_node();
  DefaultQueryCompiler = class DefaultQueryCompiler extends OperationNodeVisitor {
    #sql = "";
    #parameters = [];
    get numParameters() {
      return this.#parameters.length;
    }
    compileQuery(node) {
      this.#sql = "";
      this.#parameters = [];
      this.nodeStack.splice(0, this.nodeStack.length);
      this.visitNode(node);
      return freeze({
        query: node,
        sql: this.getSql(),
        parameters: [...this.#parameters]
      });
    }
    getSql() {
      return this.#sql;
    }
    visitSelectQuery(node) {
      const wrapInParens = this.parentNode !== undefined && !ParensNode.is(this.parentNode) && !InsertQueryNode.is(this.parentNode) && !CreateTableNode.is(this.parentNode) && !CreateViewNode.is(this.parentNode) && !SetOperationNode.is(this.parentNode);
      if (this.parentNode === undefined && node.explain) {
        this.visitNode(node.explain);
        this.append(" ");
      }
      if (wrapInParens) {
        this.append("(");
      }
      if (node.with) {
        this.visitNode(node.with);
        this.append(" ");
      }
      this.append("select");
      if (node.distinctOn) {
        this.append(" ");
        this.compileDistinctOn(node.distinctOn);
      }
      if (node.frontModifiers?.length) {
        this.append(" ");
        this.compileList(node.frontModifiers, " ");
      }
      if (node.top) {
        this.append(" ");
        this.visitNode(node.top);
      }
      if (node.selections) {
        this.append(" ");
        this.compileList(node.selections);
      }
      if (node.from) {
        this.append(" ");
        this.visitNode(node.from);
      }
      if (node.joins) {
        this.append(" ");
        this.compileList(node.joins, " ");
      }
      if (node.where) {
        this.append(" ");
        this.visitNode(node.where);
      }
      if (node.groupBy) {
        this.append(" ");
        this.visitNode(node.groupBy);
      }
      if (node.having) {
        this.append(" ");
        this.visitNode(node.having);
      }
      if (node.setOperations) {
        this.append(" ");
        this.compileList(node.setOperations, " ");
      }
      if (node.orderBy) {
        this.append(" ");
        this.visitNode(node.orderBy);
      }
      if (node.limit) {
        this.append(" ");
        this.visitNode(node.limit);
      }
      if (node.offset) {
        this.append(" ");
        this.visitNode(node.offset);
      }
      if (node.fetch) {
        this.append(" ");
        this.visitNode(node.fetch);
      }
      if (node.endModifiers?.length) {
        this.append(" ");
        this.compileList(this.sortSelectModifiers([...node.endModifiers]), " ");
      }
      if (wrapInParens) {
        this.append(")");
      }
    }
    visitFrom(node) {
      this.append("from ");
      this.compileList(node.froms);
    }
    visitSelection(node) {
      this.visitNode(node.selection);
    }
    visitColumn(node) {
      this.visitNode(node.column);
    }
    compileDistinctOn(expressions) {
      this.append("distinct on (");
      this.compileList(expressions);
      this.append(")");
    }
    compileList(nodes, separator = ", ") {
      const lastIndex = nodes.length - 1;
      for (let i = 0;i <= lastIndex; i++) {
        this.visitNode(nodes[i]);
        if (i < lastIndex) {
          this.append(separator);
        }
      }
    }
    visitWhere(node) {
      this.append("where ");
      this.visitNode(node.where);
    }
    visitHaving(node) {
      this.append("having ");
      this.visitNode(node.having);
    }
    visitInsertQuery(node) {
      const rootQueryNode = this.nodeStack.find(QueryNode.is);
      const isSubQuery = rootQueryNode !== node;
      if (!isSubQuery && node.explain) {
        this.visitNode(node.explain);
        this.append(" ");
      }
      if (isSubQuery && !MergeQueryNode.is(rootQueryNode)) {
        this.append("(");
      }
      if (node.with) {
        this.visitNode(node.with);
        this.append(" ");
      }
      this.append(node.replace ? "replace" : "insert");
      if (node.ignore) {
        this.append(" ignore");
      }
      if (node.top) {
        this.append(" ");
        this.visitNode(node.top);
      }
      if (node.into) {
        this.append(" into ");
        this.visitNode(node.into);
      }
      if (node.columns) {
        this.append(" (");
        this.compileList(node.columns);
        this.append(")");
      }
      if (node.output) {
        this.append(" ");
        this.visitNode(node.output);
      }
      if (node.values) {
        this.append(" ");
        this.visitNode(node.values);
      }
      if (node.defaultValues) {
        this.append(" ");
        this.append("default values");
      }
      if (node.onConflict) {
        this.append(" ");
        this.visitNode(node.onConflict);
      }
      if (node.onDuplicateKey) {
        this.append(" ");
        this.visitNode(node.onDuplicateKey);
      }
      if (node.returning) {
        this.append(" ");
        this.visitNode(node.returning);
      }
      if (isSubQuery && !MergeQueryNode.is(rootQueryNode)) {
        this.append(")");
      }
      if (node.endModifiers?.length) {
        this.append(" ");
        this.compileList(node.endModifiers, " ");
      }
    }
    visitValues(node) {
      this.append("values ");
      this.compileList(node.values);
    }
    visitDeleteQuery(node) {
      const isSubQuery = this.nodeStack.find(QueryNode.is) !== node;
      if (!isSubQuery && node.explain) {
        this.visitNode(node.explain);
        this.append(" ");
      }
      if (isSubQuery) {
        this.append("(");
      }
      if (node.with) {
        this.visitNode(node.with);
        this.append(" ");
      }
      this.append("delete ");
      if (node.top) {
        this.visitNode(node.top);
        this.append(" ");
      }
      this.visitNode(node.from);
      if (node.output) {
        this.append(" ");
        this.visitNode(node.output);
      }
      if (node.using) {
        this.append(" ");
        this.visitNode(node.using);
      }
      if (node.joins) {
        this.append(" ");
        this.compileList(node.joins, " ");
      }
      if (node.where) {
        this.append(" ");
        this.visitNode(node.where);
      }
      if (node.orderBy) {
        this.append(" ");
        this.visitNode(node.orderBy);
      }
      if (node.limit) {
        this.append(" ");
        this.visitNode(node.limit);
      }
      if (node.returning) {
        this.append(" ");
        this.visitNode(node.returning);
      }
      if (isSubQuery) {
        this.append(")");
      }
      if (node.endModifiers?.length) {
        this.append(" ");
        this.compileList(node.endModifiers, " ");
      }
    }
    visitReturning(node) {
      this.append("returning ");
      this.compileList(node.selections);
    }
    visitAlias(node) {
      this.visitNode(node.node);
      this.append(" as ");
      this.visitNode(node.alias);
    }
    visitReference(node) {
      if (node.table) {
        this.visitNode(node.table);
        this.append(".");
      }
      this.visitNode(node.column);
    }
    visitSelectAll(_2) {
      this.append("*");
    }
    visitIdentifier(node) {
      this.append(this.getLeftIdentifierWrapper());
      this.compileUnwrappedIdentifier(node);
      this.append(this.getRightIdentifierWrapper());
    }
    compileUnwrappedIdentifier(node) {
      if (!isString(node.name)) {
        throw new Error("a non-string identifier was passed to compileUnwrappedIdentifier.");
      }
      this.append(this.sanitizeIdentifier(node.name));
    }
    visitAnd(node) {
      this.visitNode(node.left);
      this.append(" and ");
      this.visitNode(node.right);
    }
    visitOr(node) {
      this.visitNode(node.left);
      this.append(" or ");
      this.visitNode(node.right);
    }
    visitValue(node) {
      if (node.immediate) {
        this.appendImmediateValue(node.value);
      } else {
        this.appendValue(node.value);
      }
    }
    visitValueList(node) {
      this.append("(");
      this.compileList(node.values);
      this.append(")");
    }
    visitTuple(node) {
      this.append("(");
      this.compileList(node.values);
      this.append(")");
    }
    visitPrimitiveValueList(node) {
      this.append("(");
      const { values } = node;
      for (let i = 0;i < values.length; ++i) {
        this.appendValue(values[i]);
        if (i !== values.length - 1) {
          this.append(", ");
        }
      }
      this.append(")");
    }
    visitParens(node) {
      this.append("(");
      this.visitNode(node.node);
      this.append(")");
    }
    visitJoin(node) {
      this.append(JOIN_TYPE_SQL[node.joinType]);
      this.append(" ");
      this.visitNode(node.table);
      if (node.on) {
        this.append(" ");
        this.visitNode(node.on);
      }
    }
    visitOn(node) {
      this.append("on ");
      this.visitNode(node.on);
    }
    visitRaw(node) {
      const { sqlFragments, parameters: params } = node;
      for (let i = 0;i < sqlFragments.length; ++i) {
        this.append(sqlFragments[i]);
        if (params.length > i) {
          this.visitNode(params[i]);
        }
      }
    }
    visitOperator(node) {
      this.append(node.operator);
    }
    visitTable(node) {
      this.visitNode(node.table);
    }
    visitSchemableIdentifier(node) {
      if (node.schema) {
        this.visitNode(node.schema);
        this.append(".");
      }
      this.visitNode(node.identifier);
    }
    visitCreateTable(node) {
      this.append("create ");
      if (node.frontModifiers && node.frontModifiers.length > 0) {
        this.compileList(node.frontModifiers, " ");
        this.append(" ");
      }
      if (node.temporary) {
        this.append("temporary ");
      }
      this.append("table ");
      if (node.ifNotExists) {
        this.append("if not exists ");
      }
      this.visitNode(node.table);
      if (node.selectQuery) {
        this.append(" as ");
        this.visitNode(node.selectQuery);
      } else {
        this.append(" (");
        this.compileList([...node.columns, ...node.constraints ?? []]);
        this.append(")");
        if (node.onCommit) {
          this.append(" on commit ");
          this.append(node.onCommit);
        }
        if (node.endModifiers && node.endModifiers.length > 0) {
          this.append(" ");
          this.compileList(node.endModifiers, " ");
        }
      }
    }
    visitColumnDefinition(node) {
      if (node.ifNotExists) {
        this.append("if not exists ");
      }
      this.visitNode(node.column);
      this.append(" ");
      this.visitNode(node.dataType);
      if (node.unsigned) {
        this.append(" unsigned");
      }
      if (node.frontModifiers && node.frontModifiers.length > 0) {
        this.append(" ");
        this.compileList(node.frontModifiers, " ");
      }
      if (node.generated) {
        this.append(" ");
        this.visitNode(node.generated);
      }
      if (node.identity) {
        this.append(" identity");
      }
      if (node.defaultTo) {
        this.append(" ");
        this.visitNode(node.defaultTo);
      }
      if (node.notNull) {
        this.append(" not null");
      }
      if (node.unique) {
        this.append(" unique");
      }
      if (node.nullsNotDistinct) {
        this.append(" nulls not distinct");
      }
      if (node.primaryKey) {
        this.append(" primary key");
      }
      if (node.autoIncrement) {
        this.append(" ");
        this.append(this.getAutoIncrement());
      }
      if (node.references) {
        this.append(" ");
        this.visitNode(node.references);
      }
      if (node.check) {
        this.append(" ");
        this.visitNode(node.check);
      }
      if (node.endModifiers && node.endModifiers.length > 0) {
        this.append(" ");
        this.compileList(node.endModifiers, " ");
      }
    }
    getAutoIncrement() {
      return "auto_increment";
    }
    visitReferences(node) {
      this.append("references ");
      this.visitNode(node.table);
      this.append(" (");
      this.compileList(node.columns);
      this.append(")");
      if (node.onDelete) {
        this.append(" on delete ");
        this.append(node.onDelete);
      }
      if (node.onUpdate) {
        this.append(" on update ");
        this.append(node.onUpdate);
      }
    }
    visitDropTable(node) {
      this.append("drop table ");
      if (node.ifExists) {
        this.append("if exists ");
      }
      this.visitNode(node.table);
      if (node.cascade) {
        this.append(" cascade");
      }
    }
    visitDataType(node) {
      this.append(node.dataType);
    }
    visitOrderBy(node) {
      this.append("order by ");
      this.compileList(node.items);
    }
    visitOrderByItem(node) {
      this.visitNode(node.orderBy);
      if (node.direction) {
        this.append(" ");
        this.visitNode(node.direction);
      }
    }
    visitGroupBy(node) {
      this.append("group by ");
      this.compileList(node.items);
    }
    visitGroupByItem(node) {
      this.visitNode(node.groupBy);
    }
    visitUpdateQuery(node) {
      const rootQueryNode = this.nodeStack.find(QueryNode.is);
      const isSubQuery = rootQueryNode !== node;
      if (!isSubQuery && node.explain) {
        this.visitNode(node.explain);
        this.append(" ");
      }
      if (isSubQuery && !MergeQueryNode.is(rootQueryNode)) {
        this.append("(");
      }
      if (node.with) {
        this.visitNode(node.with);
        this.append(" ");
      }
      this.append("update ");
      if (node.top) {
        this.visitNode(node.top);
        this.append(" ");
      }
      if (node.table) {
        this.visitNode(node.table);
        this.append(" ");
      }
      this.append("set ");
      if (node.updates) {
        this.compileList(node.updates);
      }
      if (node.output) {
        this.append(" ");
        this.visitNode(node.output);
      }
      if (node.from) {
        this.append(" ");
        this.visitNode(node.from);
      }
      if (node.joins) {
        this.append(" ");
        this.compileList(node.joins, " ");
      }
      if (node.where) {
        this.append(" ");
        this.visitNode(node.where);
      }
      if (node.limit) {
        this.append(" ");
        this.visitNode(node.limit);
      }
      if (node.returning) {
        this.append(" ");
        this.visitNode(node.returning);
      }
      if (isSubQuery && !MergeQueryNode.is(rootQueryNode)) {
        this.append(")");
      }
      if (node.endModifiers?.length) {
        this.append(" ");
        this.compileList(node.endModifiers, " ");
      }
    }
    visitColumnUpdate(node) {
      this.visitNode(node.column);
      this.append(" = ");
      this.visitNode(node.value);
    }
    visitLimit(node) {
      this.append("limit ");
      this.visitNode(node.limit);
    }
    visitOffset(node) {
      this.append("offset ");
      this.visitNode(node.offset);
    }
    visitOnConflict(node) {
      this.append("on conflict");
      if (node.columns) {
        this.append(" (");
        this.compileList(node.columns);
        this.append(")");
      } else if (node.constraint) {
        this.append(" on constraint ");
        this.visitNode(node.constraint);
      } else if (node.indexExpression) {
        this.append(" (");
        this.visitNode(node.indexExpression);
        this.append(")");
      }
      if (node.indexWhere) {
        this.append(" ");
        this.visitNode(node.indexWhere);
      }
      if (node.doNothing === true) {
        this.append(" do nothing");
      } else if (node.updates) {
        this.append(" do update set ");
        this.compileList(node.updates);
        if (node.updateWhere) {
          this.append(" ");
          this.visitNode(node.updateWhere);
        }
      }
    }
    visitOnDuplicateKey(node) {
      this.append("on duplicate key update ");
      this.compileList(node.updates);
    }
    visitCreateIndex(node) {
      this.append("create ");
      if (node.unique) {
        this.append("unique ");
      }
      this.append("index ");
      if (node.ifNotExists) {
        this.append("if not exists ");
      }
      this.visitNode(node.name);
      if (node.table) {
        this.append(" on ");
        this.visitNode(node.table);
      }
      if (node.using) {
        this.append(" using ");
        this.visitNode(node.using);
      }
      if (node.columns) {
        this.append(" (");
        this.compileList(node.columns);
        this.append(")");
      }
      if (node.nullsNotDistinct) {
        this.append(" nulls not distinct");
      }
      if (node.where) {
        this.append(" ");
        this.visitNode(node.where);
      }
    }
    visitDropIndex(node) {
      this.append("drop index ");
      if (node.ifExists) {
        this.append("if exists ");
      }
      this.visitNode(node.name);
      if (node.table) {
        this.append(" on ");
        this.visitNode(node.table);
      }
      if (node.cascade) {
        this.append(" cascade");
      }
    }
    visitCreateSchema(node) {
      this.append("create schema ");
      if (node.ifNotExists) {
        this.append("if not exists ");
      }
      this.visitNode(node.schema);
    }
    visitDropSchema(node) {
      this.append("drop schema ");
      if (node.ifExists) {
        this.append("if exists ");
      }
      this.visitNode(node.schema);
      if (node.cascade) {
        this.append(" cascade");
      }
    }
    visitPrimaryKeyConstraint(node) {
      if (node.name) {
        this.append("constraint ");
        this.visitNode(node.name);
        this.append(" ");
      }
      this.append("primary key (");
      this.compileList(node.columns);
      this.append(")");
    }
    visitUniqueConstraint(node) {
      if (node.name) {
        this.append("constraint ");
        this.visitNode(node.name);
        this.append(" ");
      }
      this.append("unique");
      if (node.nullsNotDistinct) {
        this.append(" nulls not distinct");
      }
      this.append(" (");
      this.compileList(node.columns);
      this.append(")");
    }
    visitCheckConstraint(node) {
      if (node.name) {
        this.append("constraint ");
        this.visitNode(node.name);
        this.append(" ");
      }
      this.append("check (");
      this.visitNode(node.expression);
      this.append(")");
    }
    visitForeignKeyConstraint(node) {
      if (node.name) {
        this.append("constraint ");
        this.visitNode(node.name);
        this.append(" ");
      }
      this.append("foreign key (");
      this.compileList(node.columns);
      this.append(") ");
      this.visitNode(node.references);
      if (node.onDelete) {
        this.append(" on delete ");
        this.append(node.onDelete);
      }
      if (node.onUpdate) {
        this.append(" on update ");
        this.append(node.onUpdate);
      }
    }
    visitList(node) {
      this.compileList(node.items);
    }
    visitWith(node) {
      this.append("with ");
      if (node.recursive) {
        this.append("recursive ");
      }
      this.compileList(node.expressions);
    }
    visitCommonTableExpression(node) {
      this.visitNode(node.name);
      this.append(" as ");
      if (isBoolean(node.materialized)) {
        if (!node.materialized) {
          this.append("not ");
        }
        this.append("materialized ");
      }
      this.visitNode(node.expression);
    }
    visitCommonTableExpressionName(node) {
      this.visitNode(node.table);
      if (node.columns) {
        this.append("(");
        this.compileList(node.columns);
        this.append(")");
      }
    }
    visitAlterTable(node) {
      this.append("alter table ");
      this.visitNode(node.table);
      this.append(" ");
      if (node.renameTo) {
        this.append("rename to ");
        this.visitNode(node.renameTo);
      }
      if (node.setSchema) {
        this.append("set schema ");
        this.visitNode(node.setSchema);
      }
      if (node.addConstraint) {
        this.visitNode(node.addConstraint);
      }
      if (node.dropConstraint) {
        this.visitNode(node.dropConstraint);
      }
      if (node.columnAlterations) {
        this.compileColumnAlterations(node.columnAlterations);
      }
      if (node.addIndex) {
        this.visitNode(node.addIndex);
      }
      if (node.dropIndex) {
        this.visitNode(node.dropIndex);
      }
    }
    visitAddColumn(node) {
      this.append("add column ");
      this.visitNode(node.column);
    }
    visitRenameColumn(node) {
      this.append("rename column ");
      this.visitNode(node.column);
      this.append(" to ");
      this.visitNode(node.renameTo);
    }
    visitDropColumn(node) {
      this.append("drop column ");
      this.visitNode(node.column);
    }
    visitAlterColumn(node) {
      this.append("alter column ");
      this.visitNode(node.column);
      this.append(" ");
      if (node.dataType) {
        if (this.announcesNewColumnDataType()) {
          this.append("type ");
        }
        this.visitNode(node.dataType);
        if (node.dataTypeExpression) {
          this.append("using ");
          this.visitNode(node.dataTypeExpression);
        }
      }
      if (node.setDefault) {
        this.append("set default ");
        this.visitNode(node.setDefault);
      }
      if (node.dropDefault) {
        this.append("drop default");
      }
      if (node.setNotNull) {
        this.append("set not null");
      }
      if (node.dropNotNull) {
        this.append("drop not null");
      }
    }
    visitModifyColumn(node) {
      this.append("modify column ");
      this.visitNode(node.column);
    }
    visitAddConstraint(node) {
      this.append("add ");
      this.visitNode(node.constraint);
    }
    visitDropConstraint(node) {
      this.append("drop constraint ");
      if (node.ifExists) {
        this.append("if exists ");
      }
      this.visitNode(node.constraintName);
      if (node.modifier === "cascade") {
        this.append(" cascade");
      } else if (node.modifier === "restrict") {
        this.append(" restrict");
      }
    }
    visitSetOperation(node) {
      this.append(node.operator);
      this.append(" ");
      if (node.all) {
        this.append("all ");
      }
      this.visitNode(node.expression);
    }
    visitCreateView(node) {
      this.append("create ");
      if (node.orReplace) {
        this.append("or replace ");
      }
      if (node.materialized) {
        this.append("materialized ");
      }
      if (node.temporary) {
        this.append("temporary ");
      }
      this.append("view ");
      if (node.ifNotExists) {
        this.append("if not exists ");
      }
      this.visitNode(node.name);
      this.append(" ");
      if (node.columns) {
        this.append("(");
        this.compileList(node.columns);
        this.append(") ");
      }
      if (node.as) {
        this.append("as ");
        this.visitNode(node.as);
      }
    }
    visitDropView(node) {
      this.append("drop ");
      if (node.materialized) {
        this.append("materialized ");
      }
      this.append("view ");
      if (node.ifExists) {
        this.append("if exists ");
      }
      this.visitNode(node.name);
      if (node.cascade) {
        this.append(" cascade");
      }
    }
    visitGenerated(node) {
      this.append("generated ");
      if (node.always) {
        this.append("always ");
      }
      if (node.byDefault) {
        this.append("by default ");
      }
      this.append("as ");
      if (node.identity) {
        this.append("identity");
      }
      if (node.expression) {
        this.append("(");
        this.visitNode(node.expression);
        this.append(")");
      }
      if (node.stored) {
        this.append(" stored");
      }
    }
    visitDefaultValue(node) {
      this.append("default ");
      this.visitNode(node.defaultValue);
    }
    visitSelectModifier(node) {
      if (node.rawModifier) {
        this.visitNode(node.rawModifier);
      } else {
        this.append(SELECT_MODIFIER_SQL[node.modifier]);
      }
      if (node.of) {
        this.append(" of ");
        this.compileList(node.of, ", ");
      }
    }
    visitCreateType(node) {
      this.append("create type ");
      this.visitNode(node.name);
      if (node.enum) {
        this.append(" as enum ");
        this.visitNode(node.enum);
      }
    }
    visitDropType(node) {
      this.append("drop type ");
      if (node.ifExists) {
        this.append("if exists ");
      }
      this.visitNode(node.name);
    }
    visitExplain(node) {
      this.append("explain");
      if (node.options || node.format) {
        this.append(" ");
        this.append(this.getLeftExplainOptionsWrapper());
        if (node.options) {
          this.visitNode(node.options);
          if (node.format) {
            this.append(this.getExplainOptionsDelimiter());
          }
        }
        if (node.format) {
          this.append("format");
          this.append(this.getExplainOptionAssignment());
          this.append(node.format);
        }
        this.append(this.getRightExplainOptionsWrapper());
      }
    }
    visitDefaultInsertValue(_2) {
      this.append("default");
    }
    visitAggregateFunction(node) {
      this.append(node.func);
      this.append("(");
      if (node.distinct) {
        this.append("distinct ");
      }
      this.compileList(node.aggregated);
      if (node.orderBy) {
        this.append(" ");
        this.visitNode(node.orderBy);
      }
      this.append(")");
      if (node.filter) {
        this.append(" filter(");
        this.visitNode(node.filter);
        this.append(")");
      }
      if (node.over) {
        this.append(" ");
        this.visitNode(node.over);
      }
    }
    visitOver(node) {
      this.append("over(");
      if (node.partitionBy) {
        this.visitNode(node.partitionBy);
        if (node.orderBy) {
          this.append(" ");
        }
      }
      if (node.orderBy) {
        this.visitNode(node.orderBy);
      }
      this.append(")");
    }
    visitPartitionBy(node) {
      this.append("partition by ");
      this.compileList(node.items);
    }
    visitPartitionByItem(node) {
      this.visitNode(node.partitionBy);
    }
    visitBinaryOperation(node) {
      this.visitNode(node.leftOperand);
      this.append(" ");
      this.visitNode(node.operator);
      this.append(" ");
      this.visitNode(node.rightOperand);
    }
    visitUnaryOperation(node) {
      this.visitNode(node.operator);
      if (!this.isMinusOperator(node.operator)) {
        this.append(" ");
      }
      this.visitNode(node.operand);
    }
    isMinusOperator(node) {
      return OperatorNode.is(node) && node.operator === "-";
    }
    visitUsing(node) {
      this.append("using ");
      this.compileList(node.tables);
    }
    visitFunction(node) {
      this.append(node.func);
      this.append("(");
      this.compileList(node.arguments);
      this.append(")");
    }
    visitCase(node) {
      this.append("case");
      if (node.value) {
        this.append(" ");
        this.visitNode(node.value);
      }
      if (node.when) {
        this.append(" ");
        this.compileList(node.when, " ");
      }
      if (node.else) {
        this.append(" else ");
        this.visitNode(node.else);
      }
      this.append(" end");
      if (node.isStatement) {
        this.append(" case");
      }
    }
    visitWhen(node) {
      this.append("when ");
      this.visitNode(node.condition);
      if (node.result) {
        this.append(" then ");
        this.visitNode(node.result);
      }
    }
    visitJSONReference(node) {
      this.visitNode(node.reference);
      this.visitNode(node.traversal);
    }
    visitJSONPath(node) {
      if (node.inOperator) {
        this.visitNode(node.inOperator);
      }
      this.append("'$");
      for (const pathLeg of node.pathLegs) {
        this.visitNode(pathLeg);
      }
      this.append("'");
    }
    visitJSONPathLeg(node) {
      const isArrayLocation = node.type === "ArrayLocation";
      this.append(isArrayLocation ? "[" : ".");
      this.append(String(node.value));
      if (isArrayLocation) {
        this.append("]");
      }
    }
    visitJSONOperatorChain(node) {
      for (let i = 0, len = node.values.length;i < len; i++) {
        if (i === len - 1) {
          this.visitNode(node.operator);
        } else {
          this.append("->");
        }
        this.visitNode(node.values[i]);
      }
    }
    visitMergeQuery(node) {
      if (node.with) {
        this.visitNode(node.with);
        this.append(" ");
      }
      this.append("merge ");
      if (node.top) {
        this.visitNode(node.top);
        this.append(" ");
      }
      this.append("into ");
      this.visitNode(node.into);
      if (node.using) {
        this.append(" ");
        this.visitNode(node.using);
      }
      if (node.whens) {
        this.append(" ");
        this.compileList(node.whens, " ");
      }
      if (node.output) {
        this.append(" ");
        this.visitNode(node.output);
      }
      if (node.endModifiers?.length) {
        this.append(" ");
        this.compileList(node.endModifiers, " ");
      }
    }
    visitMatched(node) {
      if (node.not) {
        this.append("not ");
      }
      this.append("matched");
      if (node.bySource) {
        this.append(" by source");
      }
    }
    visitAddIndex(node) {
      this.append("add ");
      if (node.unique) {
        this.append("unique ");
      }
      this.append("index ");
      this.visitNode(node.name);
      if (node.columns) {
        this.append(" (");
        this.compileList(node.columns);
        this.append(")");
      }
      if (node.using) {
        this.append(" using ");
        this.visitNode(node.using);
      }
    }
    visitCast(node) {
      this.append("cast(");
      this.visitNode(node.expression);
      this.append(" as ");
      this.visitNode(node.dataType);
      this.append(")");
    }
    visitFetch(node) {
      this.append("fetch next ");
      this.visitNode(node.rowCount);
      this.append(` rows ${node.modifier}`);
    }
    visitOutput(node) {
      this.append("output ");
      this.compileList(node.selections);
    }
    visitTop(node) {
      this.append(`top(${node.expression})`);
      if (node.modifiers) {
        this.append(` ${node.modifiers}`);
      }
    }
    append(str) {
      this.#sql += str;
    }
    appendValue(parameter) {
      this.addParameter(parameter);
      this.append(this.getCurrentParameterPlaceholder());
    }
    getLeftIdentifierWrapper() {
      return '"';
    }
    getRightIdentifierWrapper() {
      return '"';
    }
    getCurrentParameterPlaceholder() {
      return "$" + this.numParameters;
    }
    getLeftExplainOptionsWrapper() {
      return "(";
    }
    getExplainOptionAssignment() {
      return " ";
    }
    getExplainOptionsDelimiter() {
      return ", ";
    }
    getRightExplainOptionsWrapper() {
      return ")";
    }
    sanitizeIdentifier(identifier) {
      const leftWrap = this.getLeftIdentifierWrapper();
      const rightWrap = this.getRightIdentifierWrapper();
      let sanitized = "";
      for (const c of identifier) {
        sanitized += c;
        if (c === leftWrap) {
          sanitized += leftWrap;
        } else if (c === rightWrap) {
          sanitized += rightWrap;
        }
      }
      return sanitized;
    }
    addParameter(parameter) {
      this.#parameters.push(parameter);
    }
    appendImmediateValue(value2) {
      if (isString(value2)) {
        this.append(`'${value2}'`);
      } else if (isNumber(value2) || isBoolean(value2)) {
        this.append(value2.toString());
      } else if (isNull(value2)) {
        this.append("null");
      } else if (isDate(value2)) {
        this.appendImmediateValue(value2.toISOString());
      } else if (isBigInt(value2)) {
        this.appendImmediateValue(value2.toString());
      } else {
        throw new Error(`invalid immediate value ${value2}`);
      }
    }
    sortSelectModifiers(arr) {
      arr.sort((left, right) => left.modifier && right.modifier ? SELECT_MODIFIER_PRIORITY[left.modifier] - SELECT_MODIFIER_PRIORITY[right.modifier] : 1);
      return freeze(arr);
    }
    compileColumnAlterations(columnAlterations) {
      this.compileList(columnAlterations);
    }
    announcesNewColumnDataType() {
      return true;
    }
  };
  SELECT_MODIFIER_SQL = freeze({
    ForKeyShare: "for key share",
    ForNoKeyUpdate: "for no key update",
    ForUpdate: "for update",
    ForShare: "for share",
    NoWait: "nowait",
    SkipLocked: "skip locked",
    Distinct: "distinct"
  });
  SELECT_MODIFIER_PRIORITY = freeze({
    ForKeyShare: 1,
    ForNoKeyUpdate: 1,
    ForUpdate: 1,
    ForShare: 1,
    NoWait: 2,
    SkipLocked: 2,
    Distinct: 0
  });
  JOIN_TYPE_SQL = freeze({
    InnerJoin: "inner join",
    LeftJoin: "left join",
    RightJoin: "right join",
    FullJoin: "full join",
    LateralInnerJoin: "inner join lateral",
    LateralLeftJoin: "left join lateral",
    Using: "using"
  });
});

// ../../node_modules/kysely/dist/esm/query-compiler/compiled-query.js
var CompiledQuery;
var init_compiled_query = __esm(() => {
  init_raw_node();
  init_object_utils();
  CompiledQuery = freeze({
    raw(sql2, parameters3 = []) {
      return freeze({
        sql: sql2,
        query: RawNode.createWithSql(sql2),
        parameters: freeze(parameters3)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/driver/database-connection.js
var init_database_connection = () => {
};

// ../../node_modules/kysely/dist/esm/driver/connection-provider.js
var init_connection_provider = () => {
};
// ../../node_modules/kysely/dist/esm/dialect/dialect.js
var init_dialect = () => {
};

// ../../node_modules/kysely/dist/esm/dialect/dialect-adapter.js
var init_dialect_adapter = () => {
};

// ../../node_modules/kysely/dist/esm/dialect/dialect-adapter-base.js
class DialectAdapterBase {
  get supportsCreateIfNotExists() {
    return true;
  }
  get supportsTransactionalDdl() {
    return false;
  }
  get supportsReturning() {
    return false;
  }
  get supportsOutput() {
    return false;
  }
}

// ../../node_modules/kysely/dist/esm/dialect/database-introspector.js
var init_database_introspector = () => {
};

// ../../node_modules/kysely/dist/esm/dialect/sqlite/sqlite-driver.js
class SqliteDriver {
  #config;
  #connectionMutex = new ConnectionMutex;
  #db;
  #connection;
  constructor(config) {
    this.#config = freeze({ ...config });
  }
  async init() {
    this.#db = isFunction(this.#config.database) ? await this.#config.database() : this.#config.database;
    this.#connection = new SqliteConnection(this.#db);
    if (this.#config.onCreateConnection) {
      await this.#config.onCreateConnection(this.#connection);
    }
  }
  async acquireConnection() {
    await this.#connectionMutex.lock();
    return this.#connection;
  }
  async beginTransaction(connection) {
    await connection.executeQuery(CompiledQuery.raw("begin"));
  }
  async commitTransaction(connection) {
    await connection.executeQuery(CompiledQuery.raw("commit"));
  }
  async rollbackTransaction(connection) {
    await connection.executeQuery(CompiledQuery.raw("rollback"));
  }
  async releaseConnection() {
    this.#connectionMutex.unlock();
  }
  async destroy() {
    this.#db?.close();
  }
}

class SqliteConnection {
  #db;
  constructor(db) {
    this.#db = db;
  }
  executeQuery(compiledQuery) {
    const { sql: sql2, parameters: parameters3 } = compiledQuery;
    const stmt = this.#db.prepare(sql2);
    if (stmt.reader) {
      return Promise.resolve({
        rows: stmt.all(parameters3)
      });
    } else {
      const { changes, lastInsertRowid } = stmt.run(parameters3);
      const numAffectedRows = changes !== undefined && changes !== null ? BigInt(changes) : undefined;
      return Promise.resolve({
        numUpdatedOrDeletedRows: numAffectedRows,
        numAffectedRows,
        insertId: lastInsertRowid !== undefined && lastInsertRowid !== null ? BigInt(lastInsertRowid) : undefined,
        rows: []
      });
    }
  }
  async* streamQuery(compiledQuery, _chunkSize) {
    const { sql: sql2, parameters: parameters3, query } = compiledQuery;
    const stmt = this.#db.prepare(sql2);
    if (SelectQueryNode.is(query)) {
      const iter = stmt.iterate(parameters3);
      for (const row of iter) {
        yield {
          rows: [row]
        };
      }
    } else {
      throw new Error("Sqlite driver only supports streaming of select queries");
    }
  }
}

class ConnectionMutex {
  #promise;
  #resolve;
  async lock() {
    while (this.#promise) {
      await this.#promise;
    }
    this.#promise = new Promise((resolve) => {
      this.#resolve = resolve;
    });
  }
  unlock() {
    const resolve = this.#resolve;
    this.#promise = undefined;
    this.#resolve = undefined;
    resolve?.();
  }
}
var init_sqlite_driver = __esm(() => {
  init_select_query_node();
  init_compiled_query();
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/dialect/sqlite/sqlite-query-compiler.js
var ID_WRAP_REGEX, SqliteQueryCompiler;
var init_sqlite_query_compiler = __esm(() => {
  init_default_query_compiler();
  ID_WRAP_REGEX = /"/g;
  SqliteQueryCompiler = class SqliteQueryCompiler extends DefaultQueryCompiler {
    getCurrentParameterPlaceholder() {
      return "?";
    }
    getLeftExplainOptionsWrapper() {
      return "";
    }
    getRightExplainOptionsWrapper() {
      return "";
    }
    getLeftIdentifierWrapper() {
      return '"';
    }
    getRightIdentifierWrapper() {
      return '"';
    }
    getAutoIncrement() {
      return "autoincrement";
    }
    sanitizeIdentifier(identifier) {
      return identifier.replace(ID_WRAP_REGEX, '""');
    }
    visitDefaultInsertValue(_2) {
      this.append("null");
    }
  };
});

// ../../node_modules/kysely/dist/esm/plugin/noop-plugin.js
class NoopPlugin {
  transformQuery(args) {
    return args.node;
  }
  async transformResult(args) {
    return args.result;
  }
}

// ../../node_modules/kysely/dist/esm/migration/migrator.js
class Migrator {
  #props;
  constructor(props) {
    this.#props = freeze(props);
  }
  async getMigrations() {
    const executedMigrations = await this.#doesTableExists(this.#migrationTable) ? await this.#props.db.withPlugin(this.#schemaPlugin).selectFrom(this.#migrationTable).select(["name", "timestamp"]).$narrowType().execute() : [];
    const migrations = await this.#resolveMigrations();
    return migrations.map(({ name, ...migration }) => {
      const executed = executedMigrations.find((it) => it.name === name);
      return {
        name,
        migration,
        executedAt: executed ? new Date(executed.timestamp) : undefined
      };
    });
  }
  async migrateToLatest() {
    return this.#migrate(() => ({ direction: "Up", step: Infinity }));
  }
  async migrateTo(targetMigrationName) {
    return this.#migrate(({ migrations, executedMigrations, pendingMigrations }) => {
      if (targetMigrationName === NO_MIGRATIONS) {
        return { direction: "Down", step: Infinity };
      }
      if (!migrations.find((m) => m.name === targetMigrationName)) {
        throw new Error(`migration "${targetMigrationName}" doesn't exist`);
      }
      const executedIndex = executedMigrations.indexOf(targetMigrationName);
      const pendingIndex = pendingMigrations.findIndex((m) => m.name === targetMigrationName);
      if (executedIndex !== -1) {
        return {
          direction: "Down",
          step: executedMigrations.length - executedIndex - 1
        };
      } else if (pendingIndex !== -1) {
        return { direction: "Up", step: pendingIndex + 1 };
      } else {
        throw new Error(`migration "${targetMigrationName}" isn't executed or pending`);
      }
    });
  }
  async migrateUp() {
    return this.#migrate(() => ({ direction: "Up", step: 1 }));
  }
  async migrateDown() {
    return this.#migrate(() => ({ direction: "Down", step: 1 }));
  }
  async#migrate(getMigrationDirectionAndStep) {
    try {
      await this.#ensureMigrationTablesExists();
      return await this.#runMigrations(getMigrationDirectionAndStep);
    } catch (error3) {
      if (error3 instanceof MigrationResultSetError) {
        return error3.resultSet;
      }
      return { error: error3 };
    }
  }
  get #migrationTableSchema() {
    return this.#props.migrationTableSchema;
  }
  get #migrationTable() {
    return this.#props.migrationTableName ?? DEFAULT_MIGRATION_TABLE;
  }
  get #migrationLockTable() {
    return this.#props.migrationLockTableName ?? DEFAULT_MIGRATION_LOCK_TABLE;
  }
  get #allowUnorderedMigrations() {
    return this.#props.allowUnorderedMigrations ?? DEFAULT_ALLOW_UNORDERED_MIGRATIONS;
  }
  get #schemaPlugin() {
    if (this.#migrationTableSchema) {
      return new WithSchemaPlugin(this.#migrationTableSchema);
    }
    return new NoopPlugin;
  }
  async#ensureMigrationTablesExists() {
    await this.#ensureMigrationTableSchemaExists();
    await this.#ensureMigrationTableExists();
    await this.#ensureMigrationLockTableExists();
    await this.#ensureLockRowExists();
  }
  async#ensureMigrationTableSchemaExists() {
    if (!this.#migrationTableSchema) {
      return;
    }
    if (!await this.#doesSchemaExists()) {
      try {
        await this.#createIfNotExists(this.#props.db.schema.createSchema(this.#migrationTableSchema));
      } catch (error3) {
        if (!await this.#doesSchemaExists()) {
          throw error3;
        }
      }
    }
  }
  async#ensureMigrationTableExists() {
    if (!await this.#doesTableExists(this.#migrationTable)) {
      try {
        if (this.#migrationTableSchema) {
          await this.#createIfNotExists(this.#props.db.schema.createSchema(this.#migrationTableSchema));
        }
        await this.#createIfNotExists(this.#props.db.schema.withPlugin(this.#schemaPlugin).createTable(this.#migrationTable).addColumn("name", "varchar(255)", (col) => col.notNull().primaryKey()).addColumn("timestamp", "varchar(255)", (col) => col.notNull()));
      } catch (error3) {
        if (!await this.#doesTableExists(this.#migrationTable)) {
          throw error3;
        }
      }
    }
  }
  async#ensureMigrationLockTableExists() {
    if (!await this.#doesTableExists(this.#migrationLockTable)) {
      try {
        await this.#createIfNotExists(this.#props.db.schema.withPlugin(this.#schemaPlugin).createTable(this.#migrationLockTable).addColumn("id", "varchar(255)", (col) => col.notNull().primaryKey()).addColumn("is_locked", "integer", (col) => col.notNull().defaultTo(0)));
      } catch (error3) {
        if (!await this.#doesTableExists(this.#migrationLockTable)) {
          throw error3;
        }
      }
    }
  }
  async#ensureLockRowExists() {
    if (!await this.#doesLockRowExists()) {
      try {
        await this.#props.db.withPlugin(this.#schemaPlugin).insertInto(this.#migrationLockTable).values({ id: MIGRATION_LOCK_ID, is_locked: 0 }).execute();
      } catch (error3) {
        if (!await this.#doesLockRowExists()) {
          throw error3;
        }
      }
    }
  }
  async#doesSchemaExists() {
    const schemas = await this.#props.db.introspection.getSchemas();
    return schemas.some((it) => it.name === this.#migrationTableSchema);
  }
  async#doesTableExists(tableName) {
    const schema3 = this.#migrationTableSchema;
    const tables = await this.#props.db.introspection.getTables({
      withInternalKyselyTables: true
    });
    return tables.some((it) => it.name === tableName && (!schema3 || it.schema === schema3));
  }
  async#doesLockRowExists() {
    const lockRow = await this.#props.db.withPlugin(this.#schemaPlugin).selectFrom(this.#migrationLockTable).where("id", "=", MIGRATION_LOCK_ID).select("id").executeTakeFirst();
    return !!lockRow;
  }
  async#runMigrations(getMigrationDirectionAndStep) {
    const adapter = this.#props.db.getExecutor().adapter;
    const lockOptions = freeze({
      lockTable: this.#props.migrationLockTableName ?? DEFAULT_MIGRATION_LOCK_TABLE,
      lockRowId: MIGRATION_LOCK_ID,
      lockTableSchema: this.#props.migrationTableSchema
    });
    const run = async (db) => {
      try {
        await adapter.acquireMigrationLock(db, lockOptions);
        const state = await this.#getState(db);
        if (state.migrations.length === 0) {
          return { results: [] };
        }
        const { direction, step } = getMigrationDirectionAndStep(state);
        if (step <= 0) {
          return { results: [] };
        }
        if (direction === "Down") {
          return await this.#migrateDown(db, state, step);
        } else if (direction === "Up") {
          return await this.#migrateUp(db, state, step);
        }
        return { results: [] };
      } finally {
        await adapter.releaseMigrationLock(db, lockOptions);
      }
    };
    if (adapter.supportsTransactionalDdl) {
      return this.#props.db.transaction().execute(run);
    } else {
      return this.#props.db.connection().execute(run);
    }
  }
  async#getState(db) {
    const migrations = await this.#resolveMigrations();
    const executedMigrations = await this.#getExecutedMigrations(db);
    this.#ensureNoMissingMigrations(migrations, executedMigrations);
    if (!this.#allowUnorderedMigrations) {
      this.#ensureMigrationsInOrder(migrations, executedMigrations);
    }
    const pendingMigrations = this.#getPendingMigrations(migrations, executedMigrations);
    return freeze({
      migrations,
      executedMigrations,
      lastMigration: getLast(executedMigrations),
      pendingMigrations
    });
  }
  #getPendingMigrations(migrations, executedMigrations) {
    return migrations.filter((migration) => {
      return !executedMigrations.includes(migration.name);
    });
  }
  async#resolveMigrations() {
    const allMigrations = await this.#props.provider.getMigrations();
    return Object.keys(allMigrations).sort().map((name) => ({
      ...allMigrations[name],
      name
    }));
  }
  async#getExecutedMigrations(db) {
    const executedMigrations = await db.withPlugin(this.#schemaPlugin).selectFrom(this.#migrationTable).select(["name", "timestamp"]).$narrowType().execute();
    const nameComparator = this.#props.nameComparator || ((a, b) => a.localeCompare(b));
    return executedMigrations.sort((a, b) => {
      if (a.timestamp === b.timestamp) {
        return nameComparator(a.name, b.name);
      }
      return new Date(a.timestamp).getTime() - new Date(b.timestamp).getTime();
    }).map((it) => it.name);
  }
  #ensureNoMissingMigrations(migrations, executedMigrations) {
    for (const executed of executedMigrations) {
      if (!migrations.some((it) => it.name === executed)) {
        throw new Error(`corrupted migrations: previously executed migration ${executed} is missing`);
      }
    }
  }
  #ensureMigrationsInOrder(migrations, executedMigrations) {
    for (let i = 0;i < executedMigrations.length; ++i) {
      if (migrations[i].name !== executedMigrations[i]) {
        throw new Error(`corrupted migrations: expected previously executed migration ${executedMigrations[i]} to be at index ${i} but ${migrations[i].name} was found in its place. New migrations must always have a name that comes alphabetically after the last executed migration.`);
      }
    }
  }
  async#migrateDown(db, state, step) {
    const migrationsToRollback = state.executedMigrations.slice().reverse().slice(0, step).map((name) => {
      return state.migrations.find((it) => it.name === name);
    });
    const results = migrationsToRollback.map((migration) => {
      return {
        migrationName: migration.name,
        direction: "Down",
        status: "NotExecuted"
      };
    });
    for (let i = 0;i < results.length; ++i) {
      const migration = migrationsToRollback[i];
      try {
        if (migration.down) {
          await migration.down(db);
          await db.withPlugin(this.#schemaPlugin).deleteFrom(this.#migrationTable).where("name", "=", migration.name).execute();
          results[i] = {
            migrationName: migration.name,
            direction: "Down",
            status: "Success"
          };
        }
      } catch (error3) {
        results[i] = {
          migrationName: migration.name,
          direction: "Down",
          status: "Error"
        };
        throw new MigrationResultSetError({
          error: error3,
          results
        });
      }
    }
    return { results };
  }
  async#migrateUp(db, state, step) {
    const migrationsToRun = state.pendingMigrations.slice(0, step);
    const results = migrationsToRun.map((migration) => {
      return {
        migrationName: migration.name,
        direction: "Up",
        status: "NotExecuted"
      };
    });
    for (let i = 0;i < results.length; i++) {
      const migration = state.pendingMigrations[i];
      try {
        await migration.up(db);
        await db.withPlugin(this.#schemaPlugin).insertInto(this.#migrationTable).values({
          name: migration.name,
          timestamp: new Date().toISOString()
        }).execute();
        results[i] = {
          migrationName: migration.name,
          direction: "Up",
          status: "Success"
        };
      } catch (error3) {
        results[i] = {
          migrationName: migration.name,
          direction: "Up",
          status: "Error"
        };
        throw new MigrationResultSetError({
          error: error3,
          results
        });
      }
    }
    return { results };
  }
  async#createIfNotExists(qb) {
    if (this.#props.db.getExecutor().adapter.supportsCreateIfNotExists) {
      qb = qb.ifNotExists();
    }
    await qb.execute();
  }
}
var DEFAULT_MIGRATION_TABLE = "kysely_migration", DEFAULT_MIGRATION_LOCK_TABLE = "kysely_migration_lock", DEFAULT_ALLOW_UNORDERED_MIGRATIONS = false, MIGRATION_LOCK_ID = "migration_lock", NO_MIGRATIONS, MigrationResultSetError;
var init_migrator = __esm(() => {
  init_with_schema_plugin();
  init_object_utils();
  NO_MIGRATIONS = freeze({ __noMigrations__: true });
  MigrationResultSetError = class MigrationResultSetError extends Error {
    #resultSet;
    constructor(result) {
      super();
      this.#resultSet = result;
    }
    get resultSet() {
      return this.#resultSet;
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/sqlite/sqlite-introspector.js
class SqliteIntrospector {
  #db;
  constructor(db) {
    this.#db = db;
  }
  async getSchemas() {
    return [];
  }
  async getTables(options = { withInternalKyselyTables: false }) {
    return await this.#getTableMetadata(options);
  }
  async getMetadata(options) {
    return {
      tables: await this.getTables(options)
    };
  }
  #tablesQuery(qb, options) {
    let tablesQuery = qb.selectFrom("sqlite_master").where("type", "in", ["table", "view"]).where("name", "not like", "sqlite_%").select(["name", "sql", "type"]).orderBy("name");
    if (!options.withInternalKyselyTables) {
      tablesQuery = tablesQuery.where("name", "!=", DEFAULT_MIGRATION_TABLE).where("name", "!=", DEFAULT_MIGRATION_LOCK_TABLE);
    }
    return tablesQuery;
  }
  async#getTableMetadata(options) {
    const tablesResult = await this.#tablesQuery(this.#db, options).execute();
    const tableMetadata = await this.#db.with("table_list", (qb) => this.#tablesQuery(qb, options)).selectFrom([
      "table_list as tl",
      sql`pragma_table_info(tl.name)`.as("p")
    ]).select([
      "tl.name as table",
      "p.cid",
      "p.name",
      "p.type",
      "p.notnull",
      "p.dflt_value",
      "p.pk"
    ]).orderBy(["tl.name", "p.cid"]).execute();
    const columnsByTable = {};
    for (const row of tableMetadata) {
      columnsByTable[row.table] ??= [];
      columnsByTable[row.table].push(row);
    }
    return tablesResult.map(({ name, sql: sql2, type: type4 }) => {
      let autoIncrementCol = sql2?.split(/[\(\),]/)?.find((it) => it.toLowerCase().includes("autoincrement"))?.trimStart()?.split(/\s+/)?.[0]?.replace(/["`]/g, "");
      const columns = columnsByTable[name] ?? [];
      if (!autoIncrementCol) {
        const pkCols = columns.filter((r) => r.pk > 0);
        if (pkCols.length === 1 && pkCols[0].type.toLowerCase() === "integer") {
          autoIncrementCol = pkCols[0].name;
        }
      }
      return {
        name,
        isView: type4 === "view",
        columns: columns.map((col) => ({
          name: col.name,
          dataType: col.type,
          isNullable: !col.notnull,
          isAutoIncrementing: col.name === autoIncrementCol,
          hasDefaultValue: col.dflt_value != null,
          comment: undefined
        }))
      };
    });
  }
}
var init_sqlite_introspector = __esm(() => {
  init_migrator();
  init_sql();
});

// ../../node_modules/kysely/dist/esm/dialect/sqlite/sqlite-adapter.js
var SqliteAdapter;
var init_sqlite_adapter = __esm(() => {
  SqliteAdapter = class SqliteAdapter extends DialectAdapterBase {
    get supportsTransactionalDdl() {
      return false;
    }
    get supportsReturning() {
      return true;
    }
    async acquireMigrationLock(_db, _opt) {
    }
    async releaseMigrationLock(_db, _opt) {
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/sqlite/sqlite-dialect.js
class SqliteDialect {
  #config;
  constructor(config) {
    this.#config = freeze({ ...config });
  }
  createDriver() {
    return new SqliteDriver(this.#config);
  }
  createQueryCompiler() {
    return new SqliteQueryCompiler;
  }
  createAdapter() {
    return new SqliteAdapter;
  }
  createIntrospector(db) {
    return new SqliteIntrospector(db);
  }
}
var init_sqlite_dialect = __esm(() => {
  init_sqlite_driver();
  init_sqlite_query_compiler();
  init_sqlite_introspector();
  init_sqlite_adapter();
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/dialect/sqlite/sqlite-dialect-config.js
var init_sqlite_dialect_config = () => {
};

// ../../node_modules/kysely/dist/esm/dialect/postgres/postgres-query-compiler.js
var ID_WRAP_REGEX2, PostgresQueryCompiler;
var init_postgres_query_compiler = __esm(() => {
  init_default_query_compiler();
  ID_WRAP_REGEX2 = /"/g;
  PostgresQueryCompiler = class PostgresQueryCompiler extends DefaultQueryCompiler {
    sanitizeIdentifier(identifier) {
      return identifier.replace(ID_WRAP_REGEX2, '""');
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/postgres/postgres-introspector.js
class PostgresIntrospector {
  #db;
  constructor(db) {
    this.#db = db;
  }
  async getSchemas() {
    let rawSchemas = await this.#db.selectFrom("pg_catalog.pg_namespace").select("nspname").$castTo().execute();
    return rawSchemas.map((it) => ({ name: it.nspname }));
  }
  async getTables(options = { withInternalKyselyTables: false }) {
    let query = this.#db.selectFrom("pg_catalog.pg_attribute as a").innerJoin("pg_catalog.pg_class as c", "a.attrelid", "c.oid").innerJoin("pg_catalog.pg_namespace as ns", "c.relnamespace", "ns.oid").innerJoin("pg_catalog.pg_type as typ", "a.atttypid", "typ.oid").innerJoin("pg_catalog.pg_namespace as dtns", "typ.typnamespace", "dtns.oid").select([
      "a.attname as column",
      "a.attnotnull as not_null",
      "a.atthasdef as has_default",
      "c.relname as table",
      "c.relkind as table_type",
      "ns.nspname as schema",
      "typ.typname as type",
      "dtns.nspname as type_schema",
      sql`col_description(a.attrelid, a.attnum)`.as("column_description"),
      this.#db.selectFrom("pg_class").select(sql`true`.as("auto_incrementing")).whereRef("relnamespace", "=", "c.relnamespace").where("relkind", "=", "S").where("relname", "=", sql`c.relname || '_' || a.attname || '_seq'`).as("auto_incrementing")
    ]).where((eb) => eb.or([
      eb("c.relkind", "=", "r"),
      eb("c.relkind", "=", "v"),
      eb("c.relkind", "=", "p")
    ])).where("ns.nspname", "!~", "^pg_").where("ns.nspname", "!=", "information_schema").where("a.attnum", ">=", 0).where("a.attisdropped", "!=", true).orderBy("ns.nspname").orderBy("c.relname").orderBy("a.attnum").$castTo();
    if (!options.withInternalKyselyTables) {
      query = query.where("c.relname", "!=", DEFAULT_MIGRATION_TABLE).where("c.relname", "!=", DEFAULT_MIGRATION_LOCK_TABLE);
    }
    const rawColumns = await query.execute();
    return this.#parseTableMetadata(rawColumns);
  }
  async getMetadata(options) {
    return {
      tables: await this.getTables(options)
    };
  }
  #parseTableMetadata(columns) {
    return columns.reduce((tables, it) => {
      let table = tables.find((tbl) => tbl.name === it.table && tbl.schema === it.schema);
      if (!table) {
        table = freeze({
          name: it.table,
          isView: it.table_type === "v",
          schema: it.schema,
          columns: []
        });
        tables.push(table);
      }
      table.columns.push(freeze({
        name: it.column,
        dataType: it.type,
        dataTypeSchema: it.type_schema,
        isNullable: !it.not_null,
        isAutoIncrementing: !!it.auto_incrementing,
        hasDefaultValue: it.has_default,
        comment: it.column_description ?? undefined
      }));
      return tables;
    }, []);
  }
}
var init_postgres_introspector = __esm(() => {
  init_migrator();
  init_object_utils();
  init_sql();
});

// ../../node_modules/kysely/dist/esm/dialect/postgres/postgres-adapter.js
var LOCK_ID, PostgresAdapter;
var init_postgres_adapter = __esm(() => {
  init_sql();
  LOCK_ID = BigInt("3853314791062309107");
  PostgresAdapter = class PostgresAdapter extends DialectAdapterBase {
    get supportsTransactionalDdl() {
      return false;
    }
    get supportsReturning() {
      return true;
    }
    async acquireMigrationLock(db, _opt) {
    }
    async releaseMigrationLock(_db, _opt) {
    }
  };
});

// ../../node_modules/kysely/dist/esm/util/stack-trace-utils.js
function extendStackTrace(err2, stackError) {
  if (isStackHolder(err2) && stackError.stack) {
    const stackExtension = stackError.stack.split(`
`).slice(1).join(`
`);
    err2.stack += `
${stackExtension}`;
    return err2;
  }
  return err2;
}
function isStackHolder(obj) {
  return isObject2(obj) && isString(obj.stack);
}
var init_stack_trace_utils = __esm(() => {
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/dialect/mysql/mysql-driver.js
class MysqlDriver {
  #config;
  #connections = new WeakMap;
  #pool;
  constructor(configOrPool) {
    this.#config = freeze({ ...configOrPool });
  }
  async init() {
    this.#pool = isFunction(this.#config.pool) ? await this.#config.pool() : this.#config.pool;
  }
  async acquireConnection() {
    const rawConnection = await this.#acquireConnection();
    let connection = this.#connections.get(rawConnection);
    if (!connection) {
      connection = new MysqlConnection(rawConnection);
      this.#connections.set(rawConnection, connection);
      if (this.#config?.onCreateConnection) {
        await this.#config.onCreateConnection(connection);
      }
    }
    if (this.#config?.onReserveConnection) {
      await this.#config.onReserveConnection(connection);
    }
    return connection;
  }
  async#acquireConnection() {
    return new Promise((resolve, reject) => {
      this.#pool.getConnection(async (err2, rawConnection) => {
        if (err2) {
          reject(err2);
        } else {
          resolve(rawConnection);
        }
      });
    });
  }
  async beginTransaction(connection, settings) {
    if (settings.isolationLevel) {
      await connection.executeQuery(CompiledQuery.raw(`set transaction isolation level ${settings.isolationLevel}`));
    }
    await connection.executeQuery(CompiledQuery.raw("begin"));
  }
  async commitTransaction(connection) {
    await connection.executeQuery(CompiledQuery.raw("commit"));
  }
  async rollbackTransaction(connection) {
    await connection.executeQuery(CompiledQuery.raw("rollback"));
  }
  async releaseConnection(connection) {
    connection[PRIVATE_RELEASE_METHOD]();
  }
  async destroy() {
    return new Promise((resolve, reject) => {
      this.#pool.end((err2) => {
        if (err2) {
          reject(err2);
        } else {
          resolve();
        }
      });
    });
  }
}
function isOkPacket(obj) {
  return isObject2(obj) && "insertId" in obj && "affectedRows" in obj;
}
var PRIVATE_RELEASE_METHOD, MysqlConnection;
var init_mysql_driver = __esm(() => {
  init_compiled_query();
  init_object_utils();
  init_stack_trace_utils();
  PRIVATE_RELEASE_METHOD = Symbol();
  MysqlConnection = class MysqlConnection {
    #rawConnection;
    constructor(rawConnection) {
      this.#rawConnection = rawConnection;
    }
    async executeQuery(compiledQuery) {
      try {
        const result = await this.#executeQuery(compiledQuery);
        if (isOkPacket(result)) {
          const { insertId, affectedRows, changedRows } = result;
          const numAffectedRows = affectedRows !== undefined && affectedRows !== null ? BigInt(affectedRows) : undefined;
          const numChangedRows = changedRows !== undefined && changedRows !== null ? BigInt(changedRows) : undefined;
          return {
            insertId: insertId !== undefined && insertId !== null && insertId.toString() !== "0" ? BigInt(insertId) : undefined,
            numUpdatedOrDeletedRows: numAffectedRows,
            numAffectedRows,
            numChangedRows,
            rows: []
          };
        } else if (Array.isArray(result)) {
          return {
            rows: result
          };
        }
        return {
          rows: []
        };
      } catch (err2) {
        throw extendStackTrace(err2, new Error);
      }
    }
    #executeQuery(compiledQuery) {
      return new Promise((resolve, reject) => {
        this.#rawConnection.query(compiledQuery.sql, compiledQuery.parameters, (err2, result) => {
          if (err2) {
            reject(err2);
          } else {
            resolve(result);
          }
        });
      });
    }
    async* streamQuery(compiledQuery, _chunkSize) {
      const stream = this.#rawConnection.query(compiledQuery.sql, compiledQuery.parameters).stream({
        objectMode: true
      });
      try {
        for await (const row of stream) {
          yield {
            rows: [row]
          };
        }
      } catch (ex) {
        if (ex && typeof ex === "object" && "code" in ex && ex.code === "ERR_STREAM_PREMATURE_CLOSE") {
          return;
        }
        throw ex;
      }
    }
    [PRIVATE_RELEASE_METHOD]() {
      this.#rawConnection.release();
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/mysql/mysql-query-compiler.js
var ID_WRAP_REGEX3, MysqlQueryCompiler;
var init_mysql_query_compiler = __esm(() => {
  init_default_query_compiler();
  ID_WRAP_REGEX3 = /`/g;
  MysqlQueryCompiler = class MysqlQueryCompiler extends DefaultQueryCompiler {
    getCurrentParameterPlaceholder() {
      return "?";
    }
    getLeftExplainOptionsWrapper() {
      return "";
    }
    getExplainOptionAssignment() {
      return "=";
    }
    getExplainOptionsDelimiter() {
      return " ";
    }
    getRightExplainOptionsWrapper() {
      return "";
    }
    getLeftIdentifierWrapper() {
      return "`";
    }
    getRightIdentifierWrapper() {
      return "`";
    }
    sanitizeIdentifier(identifier) {
      return identifier.replace(ID_WRAP_REGEX3, "``");
    }
    visitCreateIndex(node) {
      this.append("create ");
      if (node.unique) {
        this.append("unique ");
      }
      this.append("index ");
      if (node.ifNotExists) {
        this.append("if not exists ");
      }
      this.visitNode(node.name);
      if (node.using) {
        this.append(" using ");
        this.visitNode(node.using);
      }
      if (node.table) {
        this.append(" on ");
        this.visitNode(node.table);
      }
      if (node.columns) {
        this.append(" (");
        this.compileList(node.columns);
        this.append(")");
      }
      if (node.where) {
        this.append(" ");
        this.visitNode(node.where);
      }
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/mysql/mysql-introspector.js
class MysqlIntrospector {
  #db;
  constructor(db) {
    this.#db = db;
  }
  async getSchemas() {
    let rawSchemas = await this.#db.selectFrom("information_schema.schemata").select("schema_name").$castTo().execute();
    return rawSchemas.map((it) => ({ name: it.SCHEMA_NAME }));
  }
  async getTables(options = { withInternalKyselyTables: false }) {
    let query = this.#db.selectFrom("information_schema.columns as columns").innerJoin("information_schema.tables as tables", (b) => b.onRef("columns.TABLE_CATALOG", "=", "tables.TABLE_CATALOG").onRef("columns.TABLE_SCHEMA", "=", "tables.TABLE_SCHEMA").onRef("columns.TABLE_NAME", "=", "tables.TABLE_NAME")).select([
      "columns.COLUMN_NAME",
      "columns.COLUMN_DEFAULT",
      "columns.TABLE_NAME",
      "columns.TABLE_SCHEMA",
      "tables.TABLE_TYPE",
      "columns.IS_NULLABLE",
      "columns.DATA_TYPE",
      "columns.EXTRA",
      "columns.COLUMN_COMMENT"
    ]).where("columns.TABLE_SCHEMA", "=", sql`database()`).orderBy("columns.TABLE_NAME").orderBy("columns.ORDINAL_POSITION").$castTo();
    if (!options.withInternalKyselyTables) {
      query = query.where("columns.TABLE_NAME", "!=", DEFAULT_MIGRATION_TABLE).where("columns.TABLE_NAME", "!=", DEFAULT_MIGRATION_LOCK_TABLE);
    }
    const rawColumns = await query.execute();
    return this.#parseTableMetadata(rawColumns);
  }
  async getMetadata(options) {
    return {
      tables: await this.getTables(options)
    };
  }
  #parseTableMetadata(columns) {
    return columns.reduce((tables, it) => {
      let table = tables.find((tbl) => tbl.name === it.TABLE_NAME);
      if (!table) {
        table = freeze({
          name: it.TABLE_NAME,
          isView: it.TABLE_TYPE === "VIEW",
          schema: it.TABLE_SCHEMA,
          columns: []
        });
        tables.push(table);
      }
      table.columns.push(freeze({
        name: it.COLUMN_NAME,
        dataType: it.DATA_TYPE,
        isNullable: it.IS_NULLABLE === "YES",
        isAutoIncrementing: it.EXTRA.toLowerCase().includes("auto_increment"),
        hasDefaultValue: it.COLUMN_DEFAULT !== null,
        comment: it.COLUMN_COMMENT === "" ? undefined : it.COLUMN_COMMENT
      }));
      return tables;
    }, []);
  }
}
var init_mysql_introspector = __esm(() => {
  init_migrator();
  init_object_utils();
  init_sql();
});

// ../../node_modules/kysely/dist/esm/dialect/mysql/mysql-adapter.js
var LOCK_ID2 = "ea586330-2c93-47c8-908d-981d9d270f9d", LOCK_TIMEOUT_SECONDS, MysqlAdapter;
var init_mysql_adapter = __esm(() => {
  init_sql();
  LOCK_TIMEOUT_SECONDS = 60 * 60;
  MysqlAdapter = class MysqlAdapter extends DialectAdapterBase {
    get supportsTransactionalDdl() {
      return false;
    }
    get supportsReturning() {
      return false;
    }
    async acquireMigrationLock(db, _opt) {
      await sql`select get_lock(${sql.lit(LOCK_ID2)}, ${sql.lit(LOCK_TIMEOUT_SECONDS)})`.execute(db);
    }
    async releaseMigrationLock(db, _opt) {
      await sql`select release_lock(${sql.lit(LOCK_ID2)})`.execute(db);
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/mysql/mysql-dialect.js
class MysqlDialect {
  #config;
  constructor(config) {
    this.#config = config;
  }
  createDriver() {
    return new MysqlDriver(this.#config);
  }
  createQueryCompiler() {
    return new MysqlQueryCompiler;
  }
  createAdapter() {
    return new MysqlAdapter;
  }
  createIntrospector(db) {
    return new MysqlIntrospector(db);
  }
}
var init_mysql_dialect = __esm(() => {
  init_mysql_driver();
  init_mysql_query_compiler();
  init_mysql_introspector();
  init_mysql_adapter();
});

// ../../node_modules/kysely/dist/esm/dialect/mysql/mysql-dialect-config.js
var init_mysql_dialect_config = () => {
};

// ../../node_modules/kysely/dist/esm/dialect/postgres/postgres-driver.js
class PostgresDriver {
  #config;
  #connections = new WeakMap;
  #pool;
  constructor(config) {
    this.#config = freeze({ ...config });
  }
  async init() {
    this.#pool = isFunction(this.#config.pool) ? await this.#config.pool() : this.#config.pool;
  }
  async acquireConnection() {
    const client = await this.#pool.connect();
    let connection = this.#connections.get(client);
    if (!connection) {
      connection = new PostgresConnection(client, {
        cursor: this.#config.cursor ?? null
      });
      this.#connections.set(client, connection);
      if (this.#config.onCreateConnection) {
        await this.#config.onCreateConnection(connection);
      }
    }
    if (this.#config.onReserveConnection) {
      await this.#config.onReserveConnection(connection);
    }
    return connection;
  }
  async beginTransaction(connection, settings) {
    if (settings.isolationLevel) {
      await connection.executeQuery(CompiledQuery.raw(`start transaction isolation level ${settings.isolationLevel}`));
    } else {
      await connection.executeQuery(CompiledQuery.raw("begin"));
    }
  }
  async commitTransaction(connection) {
    await connection.executeQuery(CompiledQuery.raw("commit"));
  }
  async rollbackTransaction(connection) {
    await connection.executeQuery(CompiledQuery.raw("rollback"));
  }
  async releaseConnection(connection) {
    connection[PRIVATE_RELEASE_METHOD2]();
  }
  async destroy() {
    if (this.#pool) {
      const pool2 = this.#pool;
      this.#pool = undefined;
      await pool2.end();
    }
  }
}
var PRIVATE_RELEASE_METHOD2, PostgresConnection;
var init_postgres_driver = __esm(() => {
  init_compiled_query();
  init_object_utils();
  init_stack_trace_utils();
  PRIVATE_RELEASE_METHOD2 = Symbol();
  PostgresConnection = class PostgresConnection {
    #client;
    #options;
    constructor(client, options) {
      this.#client = client;
      this.#options = options;
    }
    async executeQuery(compiledQuery) {
      try {
        const result = await this.#client.query(compiledQuery.sql, [
          ...compiledQuery.parameters
        ]);
        if (result.command === "INSERT" || result.command === "UPDATE" || result.command === "DELETE" || result.command === "MERGE") {
          const numAffectedRows = BigInt(result.rowCount);
          return {
            numUpdatedOrDeletedRows: numAffectedRows,
            numAffectedRows,
            rows: result.rows ?? []
          };
        }
        return {
          rows: result.rows ?? []
        };
      } catch (err2) {
        throw extendStackTrace(err2, new Error);
      }
    }
    async* streamQuery(compiledQuery, chunkSize) {
      if (!this.#options.cursor) {
        throw new Error("'cursor' is not present in your postgres dialect config. It's required to make streaming work in postgres.");
      }
      if (!Number.isInteger(chunkSize) || chunkSize <= 0) {
        throw new Error("chunkSize must be a positive integer");
      }
      const cursor = this.#client.query(new this.#options.cursor(compiledQuery.sql, compiledQuery.parameters.slice()));
      try {
        while (true) {
          const rows = await cursor.read(chunkSize);
          if (rows.length === 0) {
            break;
          }
          yield {
            rows
          };
        }
      } finally {
        await cursor.close();
      }
    }
    [PRIVATE_RELEASE_METHOD2]() {
      this.#client.release();
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/postgres/postgres-dialect-config.js
var init_postgres_dialect_config = () => {
};

// ../../node_modules/kysely/dist/esm/dialect/postgres/postgres-dialect.js
class PostgresDialect {
  #config;
  constructor(config) {
    this.#config = config;
  }
  createDriver() {
    return new PostgresDriver(this.#config);
  }
  createQueryCompiler() {
    return new PostgresQueryCompiler;
  }
  createAdapter() {
    return new PostgresAdapter;
  }
  createIntrospector(db) {
    return new PostgresIntrospector(db);
  }
}
var init_postgres_dialect = __esm(() => {
  init_postgres_driver();
  init_postgres_introspector();
  init_postgres_query_compiler();
  init_postgres_adapter();
});

// ../../node_modules/kysely/dist/esm/dialect/mssql/mssql-adapter.js
var MssqlAdapter;
var init_mssql_adapter = __esm(() => {
  init_migrator();
  init_sql();
  MssqlAdapter = class MssqlAdapter extends DialectAdapterBase {
    get supportsCreateIfNotExists() {
      return false;
    }
    get supportsTransactionalDdl() {
      return true;
    }
    get supportsOutput() {
      return true;
    }
    async acquireMigrationLock(db) {
      await sql`exec sp_getapplock @DbPrincipal = ${sql.lit("dbo")}, @Resource = ${sql.lit(DEFAULT_MIGRATION_TABLE)}, @LockMode = ${sql.lit("Exclusive")}`.execute(db);
    }
    async releaseMigrationLock() {
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/mssql/mssql-dialect-config.js
var init_mssql_dialect_config = () => {
};

// ../../node_modules/kysely/dist/esm/dialect/mssql/mssql-driver.js
class MssqlDriver {
  #config;
  #pool;
  constructor(config) {
    this.#config = freeze({ ...config });
    const { tarn, tedious } = this.#config;
    const { validateConnections, ...poolOptions } = tarn.options;
    this.#pool = new tarn.Pool({
      ...poolOptions,
      create: async () => {
        const connection = await tedious.connectionFactory();
        return await new MssqlConnection(connection, tedious).connect();
      },
      destroy: async (connection) => {
        await connection[PRIVATE_DESTROY_METHOD]();
      },
      validate: validateConnections === false ? undefined : (connection) => connection.validate()
    });
  }
  async init() {
  }
  async acquireConnection() {
    return await this.#pool.acquire().promise;
  }
  async beginTransaction(connection, settings) {
    await connection.beginTransaction(settings);
  }
  async commitTransaction(connection) {
    await connection.commitTransaction();
  }
  async rollbackTransaction(connection) {
    await connection.rollbackTransaction();
  }
  async releaseConnection(connection) {
    await connection[PRIVATE_RELEASE_METHOD3]();
    this.#pool.release(connection);
  }
  async destroy() {
    await this.#pool.destroy();
  }
}

class MssqlRequest {
  #request;
  #rows;
  #streamChunkSize;
  #subscribers;
  #tedious;
  #error;
  #rowCount;
  constructor(props) {
    const { compiledQuery, onDone, streamChunkSize, tedious } = props;
    this.#rows = [];
    this.#streamChunkSize = streamChunkSize;
    this.#subscribers = {};
    this.#tedious = tedious;
    if (onDone) {
      const subscriptionKey = "onDone";
      this.#subscribers[subscriptionKey] = (event, error3) => {
        if (event === "chunkReady") {
          return;
        }
        delete this.#subscribers[subscriptionKey];
        if (event === "error") {
          onDone.reject(error3);
        } else {
          onDone.resolve({
            rowCount: this.#rowCount,
            rows: this.#rows
          });
        }
      };
    }
    this.#request = new this.#tedious.Request(compiledQuery.sql, (err2, rowCount) => {
      if (err2) {
        Object.values(this.#subscribers).forEach((subscriber) => subscriber("error", err2 instanceof AggregateError ? err2.errors : err2));
      } else {
        this.#rowCount = rowCount;
      }
    });
    this.#addParametersToRequest(compiledQuery.parameters);
    this.#attachListeners();
  }
  get request() {
    return this.#request;
  }
  readChunk() {
    const subscriptionKey = this.readChunk.name;
    return new Promise((resolve, reject) => {
      this.#subscribers[subscriptionKey] = (event, error3) => {
        delete this.#subscribers[subscriptionKey];
        if (event === "error") {
          reject(error3);
        } else {
          resolve(this.#rows.splice(0, this.#streamChunkSize));
        }
      };
      this.#request.resume();
    });
  }
  #addParametersToRequest(parameters3) {
    for (let i = 0;i < parameters3.length; i++) {
      const parameter = parameters3[i];
      this.#request.addParameter(String(i + 1), this.#getTediousDataType(parameter), parameter);
    }
  }
  #attachListeners() {
    const pauseAndEmitChunkReady = this.#streamChunkSize ? () => {
      if (this.#streamChunkSize <= this.#rows.length) {
        this.#request.pause();
        Object.values(this.#subscribers).forEach((subscriber) => subscriber("chunkReady"));
      }
    } : () => {
    };
    const rowListener = (columns) => {
      const row = {};
      for (const column of columns) {
        row[column.metadata.colName] = column.value;
      }
      this.#rows.push(row);
      pauseAndEmitChunkReady();
    };
    this.#request.on("row", rowListener);
    this.#request.once("requestCompleted", () => {
      Object.values(this.#subscribers).forEach((subscriber) => subscriber("completed"));
      this.#request.off("row", rowListener);
    });
  }
  #getTediousDataType(value2) {
    if (isNull(value2) || isUndefined(value2) || isString(value2)) {
      return this.#tedious.TYPES.NVarChar;
    }
    if (isBigInt(value2) || isNumber(value2) && value2 % 1 === 0) {
      if (value2 < -2147483648 || value2 > 2147483647) {
        return this.#tedious.TYPES.BigInt;
      } else {
        return this.#tedious.TYPES.Int;
      }
    }
    if (isNumber(value2)) {
      return this.#tedious.TYPES.Float;
    }
    if (isBoolean(value2)) {
      return this.#tedious.TYPES.Bit;
    }
    if (isDate(value2)) {
      return this.#tedious.TYPES.DateTime;
    }
    if (isBuffer(value2)) {
      return this.#tedious.TYPES.VarBinary;
    }
    return this.#tedious.TYPES.NVarChar;
  }
}
var PRIVATE_RELEASE_METHOD3, PRIVATE_DESTROY_METHOD, MssqlConnection;
var init_mssql_driver = __esm(() => {
  init_object_utils();
  init_compiled_query();
  init_stack_trace_utils();
  init_random_string();
  PRIVATE_RELEASE_METHOD3 = Symbol();
  PRIVATE_DESTROY_METHOD = Symbol();
  MssqlConnection = class MssqlConnection {
    #connection;
    #tedious;
    constructor(connection, tedious) {
      this.#connection = connection;
      this.#tedious = tedious;
      this.#connection.on("error", console.error);
      this.#connection.once("end", () => {
        this.#connection.off("error", console.error);
      });
    }
    async beginTransaction(settings) {
      const { isolationLevel } = settings;
      await new Promise((resolve, reject) => this.#connection.beginTransaction((error3) => {
        if (error3)
          reject(error3);
        else
          resolve(undefined);
      }, isolationLevel ? randomString(8) : undefined, isolationLevel ? this.#getTediousIsolationLevel(isolationLevel) : undefined));
    }
    async commitTransaction() {
      await new Promise((resolve, reject) => this.#connection.commitTransaction((error3) => {
        if (error3)
          reject(error3);
        else
          resolve(undefined);
      }));
    }
    async connect() {
      await new Promise((resolve, reject) => {
        this.#connection.connect((error3) => {
          if (error3) {
            console.error(error3);
            reject(error3);
          } else {
            resolve(undefined);
          }
        });
      });
      return this;
    }
    async executeQuery(compiledQuery) {
      try {
        const deferred = new Deferred2;
        const request = new MssqlRequest({
          compiledQuery,
          tedious: this.#tedious,
          onDone: deferred
        });
        this.#connection.execSql(request.request);
        const { rowCount, rows } = await deferred.promise;
        return {
          numAffectedRows: rowCount !== undefined ? BigInt(rowCount) : undefined,
          rows
        };
      } catch (err2) {
        throw extendStackTrace(err2, new Error);
      }
    }
    async rollbackTransaction() {
      await new Promise((resolve, reject) => this.#connection.rollbackTransaction((error3) => {
        if (error3)
          reject(error3);
        else
          resolve(undefined);
      }));
    }
    async* streamQuery(compiledQuery, chunkSize) {
      if (!Number.isInteger(chunkSize) || chunkSize <= 0) {
        throw new Error("chunkSize must be a positive integer");
      }
      const request = new MssqlRequest({
        compiledQuery,
        streamChunkSize: chunkSize,
        tedious: this.#tedious
      });
      this.#connection.execSql(request.request);
      try {
        while (true) {
          const rows = await request.readChunk();
          if (rows.length === 0) {
            break;
          }
          yield { rows };
          if (rows.length < chunkSize) {
            break;
          }
        }
      } finally {
        await this.#cancelRequest(request);
      }
    }
    async validate() {
      try {
        const deferred = new Deferred2;
        const request = new MssqlRequest({
          compiledQuery: CompiledQuery.raw("select 1"),
          onDone: deferred,
          tedious: this.#tedious
        });
        this.#connection.execSql(request.request);
        await deferred.promise;
        return true;
      } catch {
        return false;
      }
    }
    #getTediousIsolationLevel(isolationLevel) {
      const { ISOLATION_LEVEL } = this.#tedious;
      const mapper = {
        "read committed": ISOLATION_LEVEL.READ_COMMITTED,
        "read uncommitted": ISOLATION_LEVEL.READ_UNCOMMITTED,
        "repeatable read": ISOLATION_LEVEL.REPEATABLE_READ,
        serializable: ISOLATION_LEVEL.SERIALIZABLE,
        snapshot: ISOLATION_LEVEL.SNAPSHOT
      };
      const tediousIsolationLevel = mapper[isolationLevel];
      if (tediousIsolationLevel === undefined) {
        throw new Error(`Unknown isolation level: ${isolationLevel}`);
      }
      return tediousIsolationLevel;
    }
    #cancelRequest(request) {
      return new Promise((resolve) => {
        request.request.once("requestCompleted", resolve);
        const wasCanceled = this.#connection.cancel();
        if (!wasCanceled) {
          request.request.off("requestCompleted", resolve);
          resolve(undefined);
        }
      });
    }
    async[PRIVATE_RELEASE_METHOD3]() {
      if (this.#tedious.resetConnectionOnRelease !== false) {
        await new Promise((resolve, reject) => {
          this.#connection.reset((error3) => {
            if (error3)
              reject(error3);
            else
              resolve(undefined);
          });
        });
      }
    }
    [PRIVATE_DESTROY_METHOD]() {
      return new Promise((resolve) => {
        this.#connection.once("end", () => {
          resolve(undefined);
        });
        this.#connection.close();
      });
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/mssql/mssql-introspector.js
class MssqlIntrospector {
  #db;
  constructor(db) {
    this.#db = db;
  }
  async getSchemas() {
    return await this.#db.selectFrom("sys.schemas").select("name").execute();
  }
  async getTables(options = { withInternalKyselyTables: false }) {
    const rawColumns = await this.#db.selectFrom("sys.tables as tables").leftJoin("sys.schemas as table_schemas", "table_schemas.schema_id", "tables.schema_id").innerJoin("sys.columns as columns", "columns.object_id", "tables.object_id").innerJoin("sys.types as types", "types.user_type_id", "columns.user_type_id").leftJoin("sys.schemas as type_schemas", "type_schemas.schema_id", "types.schema_id").leftJoin("sys.extended_properties as comments", (join) => join.onRef("comments.major_id", "=", "tables.object_id").onRef("comments.minor_id", "=", "columns.column_id").on("comments.name", "=", "MS_Description")).$if(!options.withInternalKyselyTables, (qb) => qb.where("tables.name", "!=", DEFAULT_MIGRATION_TABLE).where("tables.name", "!=", DEFAULT_MIGRATION_LOCK_TABLE)).select([
      "tables.name as table_name",
      (eb) => eb.ref("tables.type").$castTo().as("table_type"),
      "table_schemas.name as table_schema_name",
      "columns.default_object_id as column_default_object_id",
      "columns.generated_always_type_desc as column_generated_always_type",
      "columns.is_computed as column_is_computed",
      "columns.is_identity as column_is_identity",
      "columns.is_nullable as column_is_nullable",
      "columns.is_rowguidcol as column_is_rowguidcol",
      "columns.name as column_name",
      "types.is_nullable as type_is_nullable",
      "types.name as type_name",
      "type_schemas.name as type_schema_name",
      "comments.value as column_comment"
    ]).unionAll(this.#db.selectFrom("sys.views as views").leftJoin("sys.schemas as view_schemas", "view_schemas.schema_id", "views.schema_id").innerJoin("sys.columns as columns", "columns.object_id", "views.object_id").innerJoin("sys.types as types", "types.user_type_id", "columns.user_type_id").leftJoin("sys.schemas as type_schemas", "type_schemas.schema_id", "types.schema_id").leftJoin("sys.extended_properties as comments", (join) => join.onRef("comments.major_id", "=", "views.object_id").onRef("comments.minor_id", "=", "columns.column_id").on("comments.name", "=", "MS_Description")).select([
      "views.name as table_name",
      "views.type as table_type",
      "view_schemas.name as table_schema_name",
      "columns.default_object_id as column_default_object_id",
      "columns.generated_always_type_desc as column_generated_always_type",
      "columns.is_computed as column_is_computed",
      "columns.is_identity as column_is_identity",
      "columns.is_nullable as column_is_nullable",
      "columns.is_rowguidcol as column_is_rowguidcol",
      "columns.name as column_name",
      "types.is_nullable as type_is_nullable",
      "types.name as type_name",
      "type_schemas.name as type_schema_name",
      "comments.value as column_comment"
    ])).orderBy("table_schema_name").orderBy("table_name").orderBy("column_name").execute();
    const tableDictionary = {};
    for (const rawColumn of rawColumns) {
      const key = `${rawColumn.table_schema_name}.${rawColumn.table_name}`;
      const table = tableDictionary[key] = tableDictionary[key] || freeze({
        columns: [],
        isView: rawColumn.table_type === "V ",
        name: rawColumn.table_name,
        schema: rawColumn.table_schema_name ?? undefined
      });
      table.columns.push(freeze({
        dataType: rawColumn.type_name,
        dataTypeSchema: rawColumn.type_schema_name ?? undefined,
        hasDefaultValue: rawColumn.column_default_object_id > 0 || rawColumn.column_generated_always_type !== "NOT_APPLICABLE" || rawColumn.column_is_identity || rawColumn.column_is_computed || rawColumn.column_is_rowguidcol,
        isAutoIncrementing: rawColumn.column_is_identity,
        isNullable: rawColumn.column_is_nullable && rawColumn.type_is_nullable,
        name: rawColumn.column_name,
        comment: rawColumn.column_comment ?? undefined
      }));
    }
    return Object.values(tableDictionary);
  }
  async getMetadata(options) {
    return {
      tables: await this.getTables(options)
    };
  }
}
var init_mssql_introspector = __esm(() => {
  init_migrator();
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/dialect/mssql/mssql-query-compiler.js
var MssqlQueryCompiler;
var init_mssql_query_compiler = __esm(() => {
  init_default_query_compiler();
  MssqlQueryCompiler = class MssqlQueryCompiler extends DefaultQueryCompiler {
    getCurrentParameterPlaceholder() {
      return `@${this.numParameters}`;
    }
    visitOffset(node) {
      super.visitOffset(node);
      this.append(" rows");
    }
    compileColumnAlterations(columnAlterations) {
      const nodesByKind = {};
      for (const columnAlteration of columnAlterations) {
        if (!nodesByKind[columnAlteration.kind]) {
          nodesByKind[columnAlteration.kind] = [];
        }
        nodesByKind[columnAlteration.kind].push(columnAlteration);
      }
      let first = true;
      if (nodesByKind.AddColumnNode) {
        this.append("add ");
        this.compileList(nodesByKind.AddColumnNode);
        first = false;
      }
      if (nodesByKind.AlterColumnNode) {
        if (!first)
          this.append(", ");
        this.compileList(nodesByKind.AlterColumnNode);
      }
      if (nodesByKind.DropColumnNode) {
        if (!first)
          this.append(", ");
        this.append("drop column ");
        this.compileList(nodesByKind.DropColumnNode);
      }
      if (nodesByKind.ModifyColumnNode) {
        if (!first)
          this.append(", ");
        this.compileList(nodesByKind.ModifyColumnNode);
      }
      if (nodesByKind.RenameColumnNode) {
        if (!first)
          this.append(", ");
        this.compileList(nodesByKind.RenameColumnNode);
      }
    }
    visitAddColumn(node) {
      this.visitNode(node.column);
    }
    visitDropColumn(node) {
      this.visitNode(node.column);
    }
    visitMergeQuery(node) {
      super.visitMergeQuery(node);
      this.append(";");
    }
    announcesNewColumnDataType() {
      return false;
    }
  };
});

// ../../node_modules/kysely/dist/esm/dialect/mssql/mssql-dialect.js
class MssqlDialect {
  #config;
  constructor(config) {
    this.#config = config;
  }
  createDriver() {
    return new MssqlDriver(this.#config);
  }
  createQueryCompiler() {
    return new MssqlQueryCompiler;
  }
  createAdapter() {
    return new MssqlAdapter;
  }
  createIntrospector(db) {
    return new MssqlIntrospector(db);
  }
}
var init_mssql_dialect = __esm(() => {
  init_mssql_adapter();
  init_mssql_driver();
  init_mssql_introspector();
  init_mssql_query_compiler();
});

// ../../node_modules/kysely/dist/esm/query-compiler/query-compiler.js
var init_query_compiler = () => {
};

// ../../node_modules/kysely/dist/esm/migration/file-migration-provider.js
class FileMigrationProvider {
  #props;
  constructor(props) {
    this.#props = props;
  }
  async getMigrations() {
    const migrations = {};
    const files = await this.#props.fs.readdir(this.#props.migrationFolder);
    for (const fileName of files) {
      if (fileName.endsWith(".js") || fileName.endsWith(".ts") && !fileName.endsWith(".d.ts") || fileName.endsWith(".mjs") || fileName.endsWith(".mts") && !fileName.endsWith(".d.mts")) {
        const migration = await import(this.#props.path.join(this.#props.migrationFolder, fileName));
        const migrationKey = fileName.substring(0, fileName.lastIndexOf("."));
        if (isMigration(migration?.default)) {
          migrations[migrationKey] = migration.default;
        } else if (isMigration(migration)) {
          migrations[migrationKey] = migration;
        }
      }
    }
    return migrations;
  }
}
function isMigration(obj) {
  return isObject2(obj) && isFunction(obj.up);
}
var init_file_migration_provider = __esm(() => {
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/plugin/kysely-plugin.js
var init_kysely_plugin = () => {
};

// ../../node_modules/kysely/dist/esm/plugin/camel-case/camel-case-transformer.js
var SnakeCaseTransformer;
var init_camel_case_transformer = __esm(() => {
  init_operation_node_transformer();
  SnakeCaseTransformer = class SnakeCaseTransformer extends OperationNodeTransformer {
    #snakeCase;
    constructor(snakeCase) {
      super();
      this.#snakeCase = snakeCase;
    }
    transformIdentifier(node) {
      node = super.transformIdentifier(node);
      return {
        ...node,
        name: this.#snakeCase(node.name)
      };
    }
  };
});

// ../../node_modules/kysely/dist/esm/plugin/camel-case/camel-case.js
function createSnakeCaseMapper({ upperCase = false, underscoreBeforeDigits = false, underscoreBetweenUppercaseLetters = false } = {}) {
  return memoize((str) => {
    if (str.length === 0) {
      return str;
    }
    const upper = str.toUpperCase();
    const lower = str.toLowerCase();
    let out = lower[0];
    for (let i = 1, l = str.length;i < l; ++i) {
      const char = str[i];
      const prevChar = str[i - 1];
      const upperChar = upper[i];
      const prevUpperChar = upper[i - 1];
      const lowerChar = lower[i];
      const prevLowerChar = lower[i - 1];
      if (underscoreBeforeDigits && isDigit(char) && !isDigit(prevChar) && !out.endsWith("_")) {
        out += "_" + char;
        continue;
      }
      if (char === upperChar && upperChar !== lowerChar) {
        const prevCharacterIsUppercase = prevChar === prevUpperChar && prevUpperChar !== prevLowerChar;
        if (underscoreBetweenUppercaseLetters || !prevCharacterIsUppercase) {
          out += "_" + lowerChar;
        } else {
          out += lowerChar;
        }
      } else {
        out += char;
      }
    }
    if (upperCase) {
      return out.toUpperCase();
    } else {
      return out;
    }
  });
}
function createCamelCaseMapper({ upperCase = false } = {}) {
  return memoize((str) => {
    if (str.length === 0) {
      return str;
    }
    if (upperCase && isAllUpperCaseSnakeCase(str)) {
      str = str.toLowerCase();
    }
    let out = str[0];
    for (let i = 1, l = str.length;i < l; ++i) {
      const char = str[i];
      const prevChar = str[i - 1];
      if (char !== "_") {
        if (prevChar === "_") {
          out += char.toUpperCase();
        } else {
          out += char;
        }
      }
    }
    return out;
  });
}
function isAllUpperCaseSnakeCase(str) {
  for (let i = 1, l = str.length;i < l; ++i) {
    const char = str[i];
    if (char !== "_" && char !== char.toUpperCase()) {
      return false;
    }
  }
  return true;
}
function isDigit(char) {
  return char >= "0" && char <= "9";
}
function memoize(func) {
  const cache2 = new Map;
  return (str) => {
    let mapped3 = cache2.get(str);
    if (!mapped3) {
      mapped3 = func(str);
      cache2.set(str, mapped3);
    }
    return mapped3;
  };
}

// ../../node_modules/kysely/dist/esm/plugin/camel-case/camel-case-plugin.js
class CamelCasePlugin {
  opt;
  #camelCase;
  #snakeCase;
  #snakeCaseTransformer;
  constructor(opt = {}) {
    this.opt = opt;
    this.#camelCase = createCamelCaseMapper(opt);
    this.#snakeCase = createSnakeCaseMapper(opt);
    this.#snakeCaseTransformer = new SnakeCaseTransformer(this.snakeCase.bind(this));
  }
  transformQuery(args) {
    return this.#snakeCaseTransformer.transformNode(args.node);
  }
  async transformResult(args) {
    if (args.result.rows && Array.isArray(args.result.rows)) {
      return {
        ...args.result,
        rows: args.result.rows.map((row) => this.mapRow(row))
      };
    }
    return args.result;
  }
  mapRow(row) {
    return Object.keys(row).reduce((obj, key) => {
      let value2 = row[key];
      if (Array.isArray(value2)) {
        value2 = value2.map((it) => canMap(it, this.opt) ? this.mapRow(it) : it);
      } else if (canMap(value2, this.opt)) {
        value2 = this.mapRow(value2);
      }
      obj[this.camelCase(key)] = value2;
      return obj;
    }, {});
  }
  snakeCase(str) {
    return this.#snakeCase(str);
  }
  camelCase(str) {
    return this.#camelCase(str);
  }
}
function canMap(obj, opt) {
  return isPlainObject(obj) && !opt?.maintainNestedObjectKeys;
}
var init_camel_case_plugin = __esm(() => {
  init_object_utils();
  init_camel_case_transformer();
});

// ../../node_modules/kysely/dist/esm/plugin/deduplicate-joins/deduplicate-joins-transformer.js
var DeduplicateJoinsTransformer;
var init_deduplicate_joins_transformer = __esm(() => {
  init_operation_node_transformer();
  init_object_utils();
  DeduplicateJoinsTransformer = class DeduplicateJoinsTransformer extends OperationNodeTransformer {
    transformSelectQuery(node) {
      return this.#transformQuery(super.transformSelectQuery(node));
    }
    transformUpdateQuery(node) {
      return this.#transformQuery(super.transformUpdateQuery(node));
    }
    transformDeleteQuery(node) {
      return this.#transformQuery(super.transformDeleteQuery(node));
    }
    #transformQuery(node) {
      if (!node.joins || node.joins.length === 0) {
        return node;
      }
      return freeze({
        ...node,
        joins: this.#deduplicateJoins(node.joins)
      });
    }
    #deduplicateJoins(joins) {
      const out = [];
      for (let i = 0;i < joins.length; ++i) {
        let foundDuplicate = false;
        for (let j = 0;j < out.length; ++j) {
          if (compare(joins[i], out[j])) {
            foundDuplicate = true;
            break;
          }
        }
        if (!foundDuplicate) {
          out.push(joins[i]);
        }
      }
      return freeze(out);
    }
  };
});

// ../../node_modules/kysely/dist/esm/plugin/deduplicate-joins/deduplicate-joins-plugin.js
class DeduplicateJoinsPlugin {
  #transformer = new DeduplicateJoinsTransformer;
  transformQuery(args) {
    return this.#transformer.transformNode(args.node);
  }
  transformResult(args) {
    return Promise.resolve(args.result);
  }
}
var init_deduplicate_joins_plugin = __esm(() => {
  init_deduplicate_joins_transformer();
});

// ../../node_modules/kysely/dist/esm/plugin/parse-json-results/parse-json-results-plugin.js
class ParseJSONResultsPlugin {
  opt;
  #objectStrategy;
  constructor(opt = {}) {
    this.opt = opt;
    this.#objectStrategy = opt.objectStrategy || "in-place";
  }
  transformQuery(args) {
    return args.node;
  }
  async transformResult(args) {
    return {
      ...args.result,
      rows: parseArray(args.result.rows, this.#objectStrategy)
    };
  }
}
function parseArray(arr, objectStrategy) {
  const target = objectStrategy === "create" ? new Array(arr.length) : arr;
  for (let i = 0;i < arr.length; ++i) {
    target[i] = parse4(arr[i], objectStrategy);
  }
  return target;
}
function parse4(obj, objectStrategy) {
  if (isString(obj)) {
    return parseString(obj);
  }
  if (Array.isArray(obj)) {
    return parseArray(obj, objectStrategy);
  }
  if (isPlainObject(obj)) {
    return parseObject(obj, objectStrategy);
  }
  return obj;
}
function parseString(str) {
  if (maybeJson(str)) {
    try {
      return parse4(JSON.parse(str), "in-place");
    } catch (err2) {
    }
  }
  return str;
}
function maybeJson(value2) {
  return value2.match(/^[\[\{]/) != null;
}
function parseObject(obj, objectStrategy) {
  const target = objectStrategy === "create" ? {} : obj;
  for (const key in obj) {
    target[key] = parse4(obj[key], objectStrategy);
  }
  return target;
}
var init_parse_json_results_plugin = __esm(() => {
  init_object_utils();
});

// ../../node_modules/kysely/dist/esm/operation-node/constraint-node.js
var init_constraint_node = () => {
};

// ../../node_modules/kysely/dist/esm/operation-node/list-node.js
var ListNode;
var init_list_node = __esm(() => {
  init_object_utils();
  ListNode = freeze({
    is(node) {
      return node.kind === "ListNode";
    },
    create(items) {
      return freeze({
        kind: "ListNode",
        items: freeze(items)
      });
    }
  });
});

// ../../node_modules/kysely/dist/esm/operation-node/operation-node.js
var init_operation_node = () => {
};

// ../../node_modules/kysely/dist/esm/operation-node/simple-reference-expression-node.js
var init_simple_reference_expression_node = () => {
};

// ../../node_modules/kysely/dist/esm/util/column-type.js
var init_column_type = () => {
};

// ../../node_modules/kysely/dist/esm/util/explainable.js
var init_explainable = () => {
};

// ../../node_modules/kysely/dist/esm/util/streamable.js
var init_streamable = () => {
};

// ../../node_modules/kysely/dist/esm/util/infer-result.js
var init_infer_result = () => {
};

// ../../node_modules/kysely/dist/esm/index.js
var init_esm3 = __esm(() => {
  init_kysely();
  init_query_creator();
  init_expression();
  init_expression_builder();
  init_expression_wrapper();
  init_where_interface();
  init_returning_interface();
  init_output_interface();
  init_having_interface();
  init_select_query_builder();
  init_insert_query_builder();
  init_update_query_builder();
  init_delete_query_builder();
  init_no_result_error();
  init_join_builder();
  init_function_module();
  init_on_conflict_builder();
  init_aggregate_function_builder();
  init_case_builder();
  init_json_path_builder();
  init_merge_query_builder();
  init_raw_builder();
  init_sql();
  init_query_executor();
  init_default_query_executor();
  init_noop_query_executor();
  init_query_executor_provider();
  init_default_query_compiler();
  init_compiled_query();
  init_schema3();
  init_create_table_builder();
  init_create_type_builder();
  init_drop_table_builder();
  init_drop_type_builder();
  init_create_index_builder();
  init_drop_index_builder();
  init_create_schema_builder();
  init_drop_schema_builder();
  init_column_definition_builder();
  init_foreign_key_constraint_builder();
  init_alter_table_builder();
  init_create_view_builder();
  init_drop_view_builder();
  init_alter_column_builder();
  init_dynamic();
  init_driver();
  init_database_connection();
  init_connection_provider();
  init_dialect();
  init_dialect_adapter();
  init_database_introspector();
  init_sqlite_dialect();
  init_sqlite_dialect_config();
  init_sqlite_driver();
  init_postgres_query_compiler();
  init_postgres_introspector();
  init_postgres_adapter();
  init_mysql_dialect();
  init_mysql_dialect_config();
  init_mysql_driver();
  init_mysql_query_compiler();
  init_mysql_introspector();
  init_mysql_adapter();
  init_postgres_driver();
  init_postgres_dialect_config();
  init_postgres_dialect();
  init_sqlite_query_compiler();
  init_sqlite_introspector();
  init_sqlite_adapter();
  init_mssql_adapter();
  init_mssql_dialect_config();
  init_mssql_dialect();
  init_mssql_driver();
  init_mssql_introspector();
  init_mssql_query_compiler();
  init_default_query_compiler();
  init_query_compiler();
  init_migrator();
  init_file_migration_provider();
  init_kysely_plugin();
  init_camel_case_plugin();
  init_deduplicate_joins_plugin();
  init_with_schema_plugin();
  init_parse_json_results_plugin();
  init_add_column_node();
  init_add_constraint_node();
  init_add_index_node();
  init_aggregate_function_node();
  init_alias_node();
  init_alter_column_node();
  init_alter_table_node();
  init_and_node();
  init_binary_operation_node();
  init_case_node();
  init_cast_node();
  init_check_constraint_node();
  init_column_definition_node();
  init_column_node();
  init_column_update_node();
  init_common_table_expression_name_node();
  init_common_table_expression_node();
  init_constraint_node();
  init_create_index_node();
  init_create_schema_node();
  init_create_table_node();
  init_create_type_node();
  init_create_view_node();
  init_data_type_node();
  init_default_insert_value_node();
  init_default_value_node();
  init_delete_query_node();
  init_drop_column_node();
  init_drop_constraint_node();
  init_drop_index_node();
  init_drop_schema_node();
  init_drop_table_node();
  init_drop_type_node();
  init_drop_view_node();
  init_explain_node();
  init_fetch_node();
  init_foreign_key_constraint_node();
  init_from_node();
  init_function_node();
  init_generated_node();
  init_group_by_item_node();
  init_group_by_node();
  init_having_node();
  init_identifier_node();
  init_insert_query_node();
  init_join_node();
  init_json_operator_chain_node();
  init_json_path_leg_node();
  init_json_path_node();
  init_json_reference_node();
  init_limit_node();
  init_list_node();
  init_matched_node();
  init_merge_query_node();
  init_modify_column_node();
  init_offset_node();
  init_on_conflict_node();
  init_on_duplicate_key_node();
  init_on_node();
  init_operation_node_source();
  init_operation_node_transformer();
  init_operation_node_visitor();
  init_operation_node();
  init_operator_node();
  init_or_node();
  init_order_by_item_node();
  init_order_by_node();
  init_output_node();
  init_over_node();
  init_parens_node();
  init_partition_by_item_node();
  init_partition_by_node();
  init_primary_constraint_node();
  init_primitive_value_list_node();
  init_query_node();
  init_raw_node();
  init_reference_node();
  init_references_node();
  init_rename_column_node();
  init_returning_node();
  init_schemable_identifier_node();
  init_select_all_node();
  init_select_modifier_node();
  init_select_query_node();
  init_selection_node();
  init_set_operation_node();
  init_simple_reference_expression_node();
  init_table_node();
  init_top_node();
  init_tuple_node();
  init_unary_operation_node();
  init_unique_constraint_node();
  init_update_query_node();
  init_using_node();
  init_value_list_node();
  init_value_node();
  init_values_node();
  init_when_node();
  init_where_node();
  init_with_node();
  init_column_type();
  init_compilable();
  init_explainable();
  init_streamable();
  init_log();
  init_infer_result();
  init_log_once();
});

// ../common/db/index.ts
var exports_db = {};
__export(exports_db, {
  testDbConnection: () => testDbConnection,
  pool: () => pool2,
  db: () => db
});
var import_pg, caCert, clientCert, clientKey, pool2, dialect2, db, logger4, testDbConnection = async (noLog = false) => {
  !noLog && logger4.info("Testing database connection...");
  try {
    await db.selectFrom("organizations").select("id").limit(1).executeTakeFirstOrThrow();
    !noLog && logger4.info("Database connection successful.");
    return true;
  } catch (e) {
    !noLog && logger4.error("Database connection test failed.");
    return false;
  }
};
var init_db = __esm(async () => {
  import_pg = __toESM(require_lib6(), 1);
  init_esm3();
  init_config();
  init_logger();
  process.env.TZ = "UTC";
  caCert = await Bun.file(`${CONFIG.COCKROACHDB.CERTS}/ca.crt`).text();
  clientCert = await Bun.file(`${CONFIG.COCKROACHDB.CERTS}/client.${CONFIG.COCKROACHDB.USER}.crt`).text();
  clientKey = await Bun.file(`${CONFIG.COCKROACHDB.CERTS}/client.${CONFIG.COCKROACHDB.USER}.key`).text();
  pool2 = new import_pg.Pool({
    database: CONFIG.COCKROACHDB.DB,
    host: process.env.COCKROACHDB_HOST ?? "localhost",
    user: CONFIG.COCKROACHDB.USER,
    ssl: {
      ca: caCert,
      cert: clientCert,
      key: clientKey,
      rejectUnauthorized: true
    },
    port: 26257,
    max: 20
  });
  dialect2 = new PostgresDialect({
    pool: pool2
  });
  db = new Kysely({
    dialect: dialect2
  });
  logger4 = child({
    id: "HealthCheck",
    namespace: "db"
  });
});

// src/workers/utils.ts
var CreateStreams = () => {
  const outputStream = new WritableStream({
    write(chunk) {
      self.postMessage({
        type: "output",
        data: {
          type: "output",
          chunk
        }
      });
    }
  });
  const errorStream = new WritableStream({
    write(chunk) {
      self.postMessage({
        type: "output",
        data: {
          type: "error",
          chunk
        }
      });
    }
  });
  return {
    output: outputStream.getWriter(),
    error: errorStream.getWriter(),
    outputStream,
    errorStream,
    closeStreams: () => {
      if (!outputStream.locked) {
        outputStream.close();
        return;
      }
      if (!errorStream.locked) {
        errorStream.close();
        return;
      }
      self.postMessage({
        type: "close"
      });
    }
  };
};
// src/workers/volumes/create.ts
init_storage();

// src/utils/volumes.ts
init_logger();
var import_xmlbuilder22 = __toESM(require_lib4(), 1);
init_virsh();
init_libvirt();
var logger3 = child({
  id: "VolumeManager",
  namespace: "volumes"
});
var createVolumeXmlFile = async (name, size, format2 = "raw" /* raw */) => {
  const sizeBytes = Math.round(size * 1024 * 1024 * 1024);
  const volumeXml = import_xmlbuilder22.create({
    volume: {
      name,
      capacity: {
        "@unit": "B",
        "#": sizeBytes
      },
      allocation: {
        "@unit": "B",
        "#": sizeBytes
      },
      target: {
        format: {
          "@type": format2
        }
      }
    }
  }).end({ prettyPrint: true });
  const fileName = await TempFile(volumeXml);
  return fileName;
};
var createVolume = async (payload) => {
  logger3.debug(`Got request to create ${payload.size} GiB volume ${payload.name}`);
  const fileName = await createVolumeXmlFile(payload.name, payload.size, payload.driver ?? "raw" /* raw */);
  logger3.verbose(`Volume XML file created at ${fileName}. Running command...`);
  const result = await Bun.$`virsh vol-create --pool ${payload.storage_pool_internal_id} --file ${{ raw: fileName }} && virsh vol-path --pool ${payload.storage_pool_internal_id} ${payload.name}`.quiet().nothrow();
  if (result.exitCode !== 0) {
    logger3.error(`Failed to create volume: ${result.stderr.toString()}`);
    throw new Error("Failed to create volume");
  }
  const volumePath = result.stdout.toString().trim();
  logger3.verbose(`Created volume ${payload.name} (${volumePath}) successfully`);
  return volumePath;
};
var destroyVolume = async (payload) => {
  logger3.debug(`Got request to destroy volume ${payload.name}`);
  const result = await Bun.$`virsh vol-delete --pool ${payload.storage_pool_internal_id} ${payload.name}`.quiet().nothrow();
  if (result.exitCode !== 0) {
    logger3.error(`Failed to destroy volume: ${result.stderr.toString()}`);
    throw new Error("Failed to destroy volume");
  }
  logger3.verbose("Volume destroyed successfully, returning");
};
var resizeVolume = async (payload) => {
  logger3.debug(`Got request to resize volume ${payload.name} by ${payload.size_delta > 0 ? "+" : ""}${payload.size_delta} GiB (from ${payload.current_size} GiB)`);
  const volPathRes = await Bun.$`virsh vol-path ${payload.name} --pool pce-${payload.storage_pool_internal_id}`.quiet().nothrow();
  if (volPathRes.exitCode !== 0) {
    logger3.error(`Failed to get volume path: ${volPathRes.stderr.toString()}`);
    throw new Error("Failed to get volume path");
  }
  const volPath = volPathRes.stdout.toString().trim();
  const currentSizeBytes = Math.round(payload.current_size * 1024 * 1024 * 1024);
  const deltaBytes = Math.round(payload.size_delta * 1024 * 1024 * 1024);
  const totalSizeBytes = currentSizeBytes + deltaBytes;
  let result;
  if (payload.live) {
    if (!payload.instance_internal_id) {
      throw new Error("Instance internal ID is required for live resize");
    }
    logger3.verbose("Attempting live resize of volume");
    result = await Bun.$`virsh blockresize --domain pce-${payload.instance_internal_id} --path ${{ raw: volPath }} --size ${{ raw: totalSizeBytes }}B`.quiet().nothrow();
  } else {
    logger3.verbose("Attempting offline resize of volume");
    result = await Bun.$`virsh vol-resize --vol ${{ raw: volPath }} --allocate --capacity ${{ raw: totalSizeBytes }}B`.quiet().nothrow();
  }
  if (result.exitCode !== 0) {
    logger3.error(`Failed to resize volume: ${result.stderr.toString()}`);
    throw new Error("Failed to resize volume");
  }
  logger3.verbose("Volume resized successfully, returning");
};
var Volumes = {
  create: createVolume,
  destroy: destroyVolume,
  resize: resizeVolume
};
var volumes_default = Volumes;

// src/workers/volumes/create.ts
await init_db();
var RunWorker = async (payload) => {
  self.postMessage({ type: "state", data: { state: "running" } });
  const { output, error: error3, closeStreams } = CreateStreams();
  output.write("Creating volume...");
  let result = 3 /* SUCCESS */;
  await db.transaction().execute(async (tx) => {
    const rollback = async () => await tx.updateTable("storage_volumes").set("status", 7 /* ERROR */).where("id", "=", payload.volume_id).execute();
    const currentStateResult = await tx.selectFrom("storage_volumes").select("status").where("id", "=", payload.volume_id).forUpdate().executeTakeFirst().catch(() => {
      error3.write("Failed to obtain lock on volume.");
      result = 1 /* FAILED_TO_OBTAIN_LOCK */;
    });
    if (!currentStateResult) {
      error3.write("Volume not found.");
      if (result === 3 /* SUCCESS */) {
        result = 2 /* ERROR */;
      }
      return;
    }
    const currentState = currentStateResult.status;
    if (currentState !== 1 /* CREATING */ && currentState !== 7 /* ERROR */) {
      error3.write("Volume cannot be created at this time, please try again later.");
      result = 2 /* ERROR */;
      return;
    }
    await tx.updateTable("storage_volumes").set("status", 1 /* CREATING */).where("id", "=", payload.volume_id).execute();
    try {
      await volumes_default.create(payload);
      output.write("Volume created successfully.");
    } catch (e) {
      error3.write(`Error while creating volume: ${e.message}`);
      result = 2 /* ERROR */;
      return await rollback();
    }
    await tx.updateTable("storage_volumes").set("status", 2 /* AVAILABLE */).where("id", "=", payload.volume_id).execute();
  });
  self.postMessage({
    type: "state",
    data: {
      state: result === 3 /* SUCCESS */ ? "completed" : "failed"
    }
  });
  closeStreams();
};
self.onmessage = (event) => {
  const message = event.data;
  switch (message.type) {
    case "action":
      RunWorker(message.data.data);
      break;
    default:
      break;
  }
};
